var sample_iam_data = {
    "groups": {
        "admin": {
            "arn": "arn:aws:iam::012345678901:group/admin",
            "name": "admin",
            "create_date": "2017-05-15 17:33:36+00:00",
            "id": "admin",
            "inline_policies": {
                "ffd2b5250e18691dbd9f0fb8b36640ec574867835837f17d39f859c3193fb3f2": "InlinePolicyForAdminGroup"
            },
            "path": "/",
            "customer_managed_policies": {
                "NotYourPolicy": "NotYourPolicy"
            },
            "aws_managed_policies": {
                "ANPAI6E2CYYMI4XI7AA5K": "AWSLambdaFullAccess"
            },
            "is_excluded": false
        },
        "biden": {
            "arn": "arn:aws:iam::012345678901:group/biden",
            "name": "biden",
            "create_date": "2017-05-15 17:33:36+00:00",
            "id": "biden",
            "inline_policies": {
                "e8bca32ff7d1f7990d71c64d95a04b7caa5aad5791f06f69db59653228c6853d": "InlinePolicyForBidenGroup"
            },
            "path": "/",
            "customer_managed_policies": {
                "InsecurePolicy": "InsecurePolicy",
                "NotYourPolicy": "NotYourPolicy"
            },
            "aws_managed_policies": {
                "ANPAI3R4QMOG6Q5A4VWVG": "AmazonRDSFullAccess"
            },
            "is_excluded": false
        }
    },
    "users": {
        "obama": {
            "arn": "arn:aws:iam::012345678901:user/obama",
            "create_date": "2019-12-18 19:10:08+00:00",
            "id": "obama",
            "name": "obama",
            "inline_policies": {},
            "groups": {
                "admin": {
                    "arn": "arn:aws:iam::012345678901:group/admin",
                    "name": "admin",
                    "create_date": "2017-05-15 17:33:36+00:00",
                    "id": "admin",
                    "inline_policies": {
                        "ffd2b5250e18691dbd9f0fb8b36640ec574867835837f17d39f859c3193fb3f2": "InlinePolicyForAdminGroup"
                    },
                    "path": "/",
                    "customer_managed_policies": {
                        "NotYourPolicy": "NotYourPolicy"
                    },
                    "aws_managed_policies": {
                        "ANPAI6E2CYYMI4XI7AA5K": "AWSLambdaFullAccess"
                    },
                    "is_excluded": false
                }
            },
            "path": "/",
            "customer_managed_policies": {
                "InsecurePolicy": "InsecurePolicy",
                "NotYourPolicy": "NotYourPolicy"
            },
            "aws_managed_policies": {
                "ANPAIFIR6V6BVTRAHWINE": "AmazonS3FullAccess",
                "ANPAI3VAJF5ZCRZ7MCQE6": "AmazonEC2FullAccess",
                "ANPAIQNUJTQYDRJPC3BNK": "AWSCloudTrailFullAccess",
                "ANPAI4VCZ3XPIZLQ5NZV2": "AWSCodeCommitFullAccess",
                "ANPAI6E2CYYMI4XI7AA5K": "AWSLambdaFullAccess",
                "ANPAIKEABORKUXN6DEAZU": "CloudWatchFullAccess"
            },
            "is_excluded": false
        },
        "ASIAZZUSERZZPLACEHOLDER": {
            "arn": "arn:aws:iam::012345678901:user/userwithlotsofpermissions",
            "create_date": "2019-12-18 19:10:08+00:00",
            "id": "ASIAZZUSERZZPLACEHOLDER",
            "name": "userwithlotsofpermissions",
            "inline_policies": {
                "354d81e1788639707f707738fb4c630cb7c5d23614cc467ff9a469a670049e3f": "InsecureUserPolicy"
            },
            "groups": {
                "admin": {
                    "arn": "arn:aws:iam::012345678901:group/admin",
                    "name": "admin",
                    "create_date": "2017-05-15 17:33:36+00:00",
                    "id": "admin",
                    "inline_policies": {
                        "ffd2b5250e18691dbd9f0fb8b36640ec574867835837f17d39f859c3193fb3f2": "InlinePolicyForAdminGroup"
                    },
                    "path": "/",
                    "customer_managed_policies": {
                        "NotYourPolicy": "NotYourPolicy"
                    },
                    "aws_managed_policies": {
                        "ANPAI6E2CYYMI4XI7AA5K": "AWSLambdaFullAccess"
                    },
                    "is_excluded": false
                }
            },
            "path": "/",
            "customer_managed_policies": {
                "NotYourPolicy": "NotYourPolicy"
            },
            "aws_managed_policies": {
                "ANPAI3R4QMOG6Q5A4VWVG": "AmazonRDSFullAccess",
                "ANPAJ2P4NXCHAT7NDPNR4": "AmazonSESFullAccess",
                "ANPAI7XKCFMBPM3QQRRVQ": "IAMFullAccess",
                "ANPAIKEABORKUXN6DEAZU": "CloudWatchFullAccess",
                "ANPAJNPP7PPPPMJRV2SA4": "AWSKeyManagementServicePowerUser",
                "ANPAIZTJ4DXE7G6AGAE6M": "AmazonS3ReadOnlyAccess"
            },
            "is_excluded": false
        }
    },
    "roles": {
        "MyRole": {
            "arn": "arn:aws:iam::012345678901:role/MyRole",
            "assume_role_policy": {
                "PolicyDocument": {
                    "Version": "2012-10-17",
                    "Statement": [
                        {
                            "Effect": "Allow",
                            "Principal": {
                                "Service": "lambda.amazonaws.com"
                            },
                            "Action": "sts:AssumeRole"
                        }
                    ]
                }
            },
            "create_date": "2019-08-16 17:27:59+00:00",
            "role_last_used": "2019-03-16 17:27:59+00:00",
            "id": "MyRole",
            "name": "MyRole",
            "inline_policies": {
                "0568550cb147d2434f6c04641e921f18fe1b7b1fd0b5af5acf514d33d204faca": "EC2-IAM-example"
            },
            "instance_profiles": [],
            "instances_count": 0,
            "path": "/",
            "customer_managed_policies": {},
            "aws_managed_policies": {
                "ANPAI6E2CYYMI4XI7AA5K": "AWSLambdaFullAccess",
                "ANPAIKEABORKUXN6DEAZU": "CloudWatchFullAccess"
            },
            "is_excluded": false
        },
        "MyOtherRole": {
            "arn": "arn:aws:iam::012345678901:role/MyOtherRole",
            "assume_role_policy": {
                "PolicyDocument": {
                    "Version": "2012-10-17",
                    "Statement": [
                        {
                            "Effect": "Allow",
                            "Principal": {
                                "Service": "ec2.amazonaws.com"
                            },
                            "Action": "sts:AssumeRole"
                        }
                    ]
                }
            },
            "create_date": "2019-08-16 17:27:59+00:00",
            "role_last_used": "2020-09-16 17:27:59+00:00",
            "id": "MyOtherRole",
            "name": "MyOtherRole",
            "inline_policies": {
                "0568550cb147d2434f6c04641e921f18fe1b7b1fd0b5af5acf514d33d204faca": "MyOtherRolePolicy"
            },
            "instance_profiles": [],
            "instances_count": 0,
            "path": "/",
            "customer_managed_policies": {},
            "aws_managed_policies": {
                "ANPAI6E2CYYMI4XI7AA5K": "AWSLambdaFullAccess"
            },
            "is_excluded": false
        },
        "OverprivilegedEC2": {
            "arn": "arn:aws:iam::012345678901:role/OverprivilegedEC2",
            "assume_role_policy": {
                "PolicyDocument": {
                    "Version": "2012-10-17",
                    "Statement": [
                        {
                            "Effect": "Allow",
                            "Principal": {
                                "Service": "ec2.amazonaws.com"
                            },
                            "Action": "sts:AssumeRole"
                        }
                    ]
                }
            },
            "create_date": "2018-08-20 18:48:00+00:00",
            "role_last_used": "2019-01-20 18:48:00+00:00",
            "id": "OverprivilegedEC2",
            "name": "OverprivilegedEC2",
            "inline_policies": {
                "d09fe3603cd65058b6e2d9817cf37093e83e98318a56ce1e29c8491ac989e57e": "OverprivilegedEC2"
            },
            "instance_profiles": [
                {
                    "Path": "/",
                    "InstanceProfileName": "OverprivilegedEC2",
                    "InstanceProfileId": "OverprivilegedEC2",
                    "Arn": "arn:aws:iam::012345678901:instance-profile/OverprivilegedEC2",
                    "CreateDate": "2018-08-20 18:48:00+00:00",
                    "Roles": [
                        {
                            "Path": "/",
                            "RoleName": "OverprivilegedEC2",
                            "RoleId": "OverprivilegedEC2",
                            "Arn": "arn:aws:iam::012345678901:role/OverprivilegedEC2",
                            "CreateDate": "2018-08-20 18:48:00+00:00",
                            "AssumeRolePolicyDocument": {
                                "Version": "2012-10-17",
                                "Statement": [
                                    {
                                        "Effect": "Allow",
                                        "Principal": {
                                            "Service": "ec2.amazonaws.com"
                                        },
                                        "Action": "sts:AssumeRole"
                                    }
                                ]
                            }
                        }
                    ]
                }
            ],
            "instances_count": 1,
            "path": "/",
            "customer_managed_policies": {
                "InsecurePolicy": "InsecurePolicy",
                "ExcessivePermissions": "ExcessivePermissions"
            },
            "aws_managed_policies": {},
            "is_excluded": false
        }
    },
    "aws_managed_policies": {
        "ANPAI4UIINUVGB5SEC57G": {
            "PolicyName": "AWSCodeCommitPowerUser",
            "PolicyId": "ANPAI4UIINUVGB5SEC57G",
            "Arn": "arn:aws:iam::aws:policy/AWSCodeCommitPowerUser",
            "Path": "/",
            "DefaultVersionId": "v11",
            "AttachmentCount": 2,
            "IsAttachable": true,
            "CreateDate": "2015-07-09 17:06:49+00:00",
            "UpdateDate": "2019-12-03 08:15:40+00:00",
            "PolicyVersionList": [
                {
                    "CreateDate": "2019-12-03 08:15:40+00:00",
                    "Document": {
                        "Statement": [
                            {
                                "Action": [
                                    "codecommit:AssociateApprovalRuleTemplateWithRepository",
                                    "codecommit:BatchAssociateApprovalRuleTemplateWithRepositories",
                                    "codecommit:BatchDisassociateApprovalRuleTemplateFromRepositories",
                                    "codecommit:BatchGet*",
                                    "codecommit:BatchDescribe*",
                                    "codecommit:Create*",
                                    "codecommit:DeleteBranch",
                                    "codecommit:DeleteFile",
                                    "codecommit:Describe*",
                                    "codecommit:DisassociateApprovalRuleTemplateFromRepository",
                                    "codecommit:EvaluatePullRequestApprovalRules",
                                    "codecommit:Get*",
                                    "codecommit:List*",
                                    "codecommit:Merge*",
                                    "codecommit:OverridePullRequestApprovalRules",
                                    "codecommit:Put*",
                                    "codecommit:Post*",
                                    "codecommit:TagResource",
                                    "codecommit:Test*",
                                    "codecommit:UntagResource",
                                    "codecommit:Update*",
                                    "codecommit:GitPull",
                                    "codecommit:GitPush"
                                ],
                                "Effect": "Allow",
                                "Resource": "*"
                            },
                            {
                                "Action": [
                                    "events:DeleteRule",
                                    "events:DescribeRule",
                                    "events:DisableRule",
                                    "events:EnableRule",
                                    "events:PutRule",
                                    "events:PutTargets",
                                    "events:RemoveTargets",
                                    "events:ListTargetsByRule"
                                ],
                                "Effect": "Allow",
                                "Resource": "arn:aws:events:*:*:rule/codecommit*",
                                "Sid": "CloudWatchEventsCodeCommitRulesAccess"
                            },
                            {
                                "Action": [
                                    "sns:Subscribe",
                                    "sns:Unsubscribe"
                                ],
                                "Effect": "Allow",
                                "Resource": "arn:aws:sns:*:*:codecommit*",
                                "Sid": "SNSTopicAndSubscriptionAccess"
                            },
                            {
                                "Action": [
                                    "sns:ListTopics",
                                    "sns:ListSubscriptionsByTopic",
                                    "sns:GetTopicAttributes"
                                ],
                                "Effect": "Allow",
                                "Resource": "*",
                                "Sid": "SNSTopicAndSubscriptionReadAccess"
                            },
                            {
                                "Action": [
                                    "lambda:ListFunctions"
                                ],
                                "Effect": "Allow",
                                "Resource": "*",
                                "Sid": "LambdaReadOnlyListAccess"
                            },
                            {
                                "Action": [
                                    "iam:ListUsers"
                                ],
                                "Effect": "Allow",
                                "Resource": "*",
                                "Sid": "IAMReadOnlyListAccess"
                            },
                            {
                                "Action": [
                                    "iam:ListAccessKeys",
                                    "iam:ListSSHPublicKeys",
                                    "iam:ListServiceSpecificCredentials"
                                ],
                                "Effect": "Allow",
                                "Resource": "arn:aws:iam::*:user/${aws:username}",
                                "Sid": "IAMReadOnlyConsoleAccess"
                            },
                            {
                                "Action": [
                                    "iam:DeleteSSHPublicKey",
                                    "iam:GetSSHPublicKey",
                                    "iam:ListSSHPublicKeys",
                                    "iam:UpdateSSHPublicKey",
                                    "iam:UploadSSHPublicKey"
                                ],
                                "Effect": "Allow",
                                "Resource": "arn:aws:iam::*:user/${aws:username}",
                                "Sid": "IAMUserSSHKeys"
                            },
                            {
                                "Action": [
                                    "iam:CreateServiceSpecificCredential",
                                    "iam:UpdateServiceSpecificCredential",
                                    "iam:DeleteServiceSpecificCredential",
                                    "iam:ResetServiceSpecificCredential"
                                ],
                                "Effect": "Allow",
                                "Resource": "arn:aws:iam::*:user/${aws:username}",
                                "Sid": "IAMSelfManageServiceSpecificCredentials"
                            },
                            {
                                "Action": [
                                    "codestar-notifications:CreateNotificationRule",
                                    "codestar-notifications:DescribeNotificationRule",
                                    "codestar-notifications:UpdateNotificationRule",
                                    "codestar-notifications:Subscribe",
                                    "codestar-notifications:Unsubscribe"
                                ],
                                "Condition": {
                                    "StringLike": {
                                        "codestar-notifications:NotificationsForResource": "arn:aws:codecommit:*"
                                    }
                                },
                                "Effect": "Allow",
                                "Resource": "*",
                                "Sid": "CodeStarNotificationsReadWriteAccess"
                            },
                            {
                                "Action": [
                                    "codestar-notifications:ListNotificationRules",
                                    "codestar-notifications:ListTargets",
                                    "codestar-notifications:ListTagsforResource",
                                    "codestar-notifications:ListEventTypes"
                                ],
                                "Effect": "Allow",
                                "Resource": "*",
                                "Sid": "CodeStarNotificationsListAccess"
                            },
                            {
                                "Action": [
                                    "codeguru-reviewer:AssociateRepository",
                                    "codeguru-reviewer:DescribeRepositoryAssociation",
                                    "codeguru-reviewer:ListRepositoryAssociations",
                                    "codeguru-reviewer:DisassociateRepository"
                                ],
                                "Effect": "Allow",
                                "Resource": "*",
                                "Sid": "AmazonCodeGuruReviewerFullAccess"
                            },
                            {
                                "Action": "iam:CreateServiceLinkedRole",
                                "Condition": {
                                    "StringLike": {
                                        "iam:AWSServiceName": "codeguru-reviewer.amazonaws.com"
                                    }
                                },
                                "Effect": "Allow",
                                "Resource": "arn:aws:iam::*:role/aws-service-role/codeguru-reviewer.amazonaws.com/AWSServiceRoleForAmazonCodeGuruReviewer",
                                "Sid": "AmazonCodeGuruReviewerSLRCreation"
                            },
                            {
                                "Action": [
                                    "events:PutRule",
                                    "events:PutTargets",
                                    "events:DeleteRule",
                                    "events:RemoveTargets"
                                ],
                                "Condition": {
                                    "StringEquals": {
                                        "events:ManagedBy": "codeguru-reviewer.amazonaws.com"
                                    }
                                },
                                "Effect": "Allow",
                                "Resource": "*",
                                "Sid": "CloudWatchEventsManagedRules"
                            }
                        ],
                        "Version": "2012-10-17"
                    },
                    "IsDefaultVersion": true,
                    "VersionId": "v11"
                },
                {
                    "CreateDate": "2019-11-20 17:12:55+00:00",
                    "Document": {
                        "Statement": [
                            {
                                "Action": [
                                    "codecommit:AssociateApprovalRuleTemplateWithRepository",
                                    "codecommit:BatchAssociateApprovalRuleTemplateWithRepositories",
                                    "codecommit:BatchDisassociateApprovalRuleTemplateFromRepositories",
                                    "codecommit:BatchGet*",
                                    "codecommit:BatchDescribe*",
                                    "codecommit:Create*",
                                    "codecommit:DeleteBranch",
                                    "codecommit:DeleteFile",
                                    "codecommit:Describe*",
                                    "codecommit:DisassociateApprovalRuleTemplateFromRepository",
                                    "codecommit:EvaluatePullRequestApprovalRules",
                                    "codecommit:Get*",
                                    "codecommit:List*",
                                    "codecommit:Merge*",
                                    "codecommit:OverridePullRequestApprovalRules",
                                    "codecommit:Put*",
                                    "codecommit:Post*",
                                    "codecommit:TagResource",
                                    "codecommit:Test*",
                                    "codecommit:UntagResource",
                                    "codecommit:Update*",
                                    "codecommit:GitPull",
                                    "codecommit:GitPush"
                                ],
                                "Effect": "Allow",
                                "Resource": "*"
                            },
                            {
                                "Action": [
                                    "events:DeleteRule",
                                    "events:DescribeRule",
                                    "events:DisableRule",
                                    "events:EnableRule",
                                    "events:PutRule",
                                    "events:PutTargets",
                                    "events:RemoveTargets",
                                    "events:ListTargetsByRule"
                                ],
                                "Effect": "Allow",
                                "Resource": "arn:aws:events:*:*:rule/codecommit*",
                                "Sid": "CloudWatchEventsCodeCommitRulesAccess"
                            },
                            {
                                "Action": [
                                    "sns:Subscribe",
                                    "sns:Unsubscribe"
                                ],
                                "Effect": "Allow",
                                "Resource": "arn:aws:sns:*:*:codecommit*",
                                "Sid": "SNSTopicAndSubscriptionAccess"
                            },
                            {
                                "Action": [
                                    "sns:ListTopics",
                                    "sns:ListSubscriptionsByTopic",
                                    "sns:GetTopicAttributes"
                                ],
                                "Effect": "Allow",
                                "Resource": "*",
                                "Sid": "SNSTopicAndSubscriptionReadAccess"
                            },
                            {
                                "Action": [
                                    "lambda:ListFunctions"
                                ],
                                "Effect": "Allow",
                                "Resource": "*",
                                "Sid": "LambdaReadOnlyListAccess"
                            },
                            {
                                "Action": [
                                    "iam:ListUsers"
                                ],
                                "Effect": "Allow",
                                "Resource": "*",
                                "Sid": "IAMReadOnlyListAccess"
                            },
                            {
                                "Action": [
                                    "iam:ListAccessKeys",
                                    "iam:ListSSHPublicKeys",
                                    "iam:ListServiceSpecificCredentials"
                                ],
                                "Effect": "Allow",
                                "Resource": "arn:aws:iam::*:user/${aws:username}",
                                "Sid": "IAMReadOnlyConsoleAccess"
                            },
                            {
                                "Action": [
                                    "iam:DeleteSSHPublicKey",
                                    "iam:GetSSHPublicKey",
                                    "iam:ListSSHPublicKeys",
                                    "iam:UpdateSSHPublicKey",
                                    "iam:UploadSSHPublicKey"
                                ],
                                "Effect": "Allow",
                                "Resource": "arn:aws:iam::*:user/${aws:username}",
                                "Sid": "IAMUserSSHKeys"
                            },
                            {
                                "Action": [
                                    "iam:CreateServiceSpecificCredential",
                                    "iam:UpdateServiceSpecificCredential",
                                    "iam:DeleteServiceSpecificCredential",
                                    "iam:ResetServiceSpecificCredential"
                                ],
                                "Effect": "Allow",
                                "Resource": "arn:aws:iam::*:user/${aws:username}",
                                "Sid": "IAMSelfManageServiceSpecificCredentials"
                            },
                            {
                                "Action": [
                                    "codestar-notifications:CreateNotificationRule",
                                    "codestar-notifications:DescribeNotificationRule",
                                    "codestar-notifications:UpdateNotificationRule",
                                    "codestar-notifications:Subscribe",
                                    "codestar-notifications:Unsubscribe"
                                ],
                                "Condition": {
                                    "StringLike": {
                                        "codestar-notifications:NotificationsForResource": "arn:aws:codecommit:*"
                                    }
                                },
                                "Effect": "Allow",
                                "Resource": "*",
                                "Sid": "CodeStarNotificationsReadWriteAccess"
                            },
                            {
                                "Action": [
                                    "codestar-notifications:ListNotificationRules",
                                    "codestar-notifications:ListTargets",
                                    "codestar-notifications:ListTagsforResource",
                                    "codestar-notifications:ListEventTypes"
                                ],
                                "Effect": "Allow",
                                "Resource": "*",
                                "Sid": "CodeStarNotificationsListAccess"
                            }
                        ],
                        "Version": "2012-10-17"
                    },
                    "IsDefaultVersion": false,
                    "VersionId": "v10"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": []
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "codecommit:MergePullRequestByThreeWay",
                "codecommit:UpdatePullRequestDescription",
                "codecommit:BatchAssociateApprovalRuleTemplateWithRepositories",
                "codecommit:UntagResource",
                "codecommit:OverridePullRequestApprovalRules",
                "codecommit:UpdateRepositoryName",
                "codecommit:MergeBranchesByThreeWay",
                "codecommit:PostCommentForComparedCommit",
                "codecommit:UpdateRepositoryDescription",
                "codecommit:MergePullRequestByFastForward",
                "codecommit:PutCommentReaction",
                "codecommit:TestRepositoryTriggers",
                "codecommit:DeleteBranch",
                "codecommit:AssociateApprovalRuleTemplateWithRepository",
                "codecommit:PostCommentForPullRequest",
                "codecommit:BatchDisassociateApprovalRuleTemplateFromRepositories",
                "codecommit:UpdatePullRequestApprovalRuleContent",
                "codecommit:UpdatePullRequestTitle",
                "codecommit:MergeBranchesByFastForward",
                "codecommit:MergeBranchesBySquash",
                "codecommit:DisassociateApprovalRuleTemplateFromRepository",
                "codecommit:DeleteFile",
                "codecommit:PutFile",
                "codecommit:PutRepositoryTriggers",
                "codecommit:CreatePullRequestApprovalRule",
                "codecommit:CreateUnreferencedMergeCommit",
                "codecommit:UpdateDefaultBranch",
                "codecommit:CreatePullRequest",
                "codecommit:MergePullRequestBySquash",
                "codecommit:CreateCommit",
                "codecommit:PostCommentReply",
                "codecommit:CreateBranch",
                "codecommit:GitPush",
                "codecommit:UpdateComment",
                "codecommit:TagResource",
                "codecommit:CreateRepository",
                "codecommit:UpdatePullRequestStatus",
                "codecommit:UpdatePullRequestApprovalState",
                "codestar-notifications:CreateNotificationRule",
                "codestar-notifications:UpdateNotificationRule",
                "codestar-notifications:Subscribe",
                "codestar-notifications:Unsubscribe",
                "codeguru-reviewer:DisassociateRepository",
                "codeguru-reviewer:AssociateRepository",
                "events:PutRule",
                "events:RemoveTargets",
                "events:DeleteRule",
                "events:PutTargets"
            ]
},
            "is_excluded": false
        },
        "ANPAI3R4QMOG6Q5A4VWVG": {
            "PolicyName": "AmazonRDSFullAccess",
            "PolicyId": "ANPAI3R4QMOG6Q5A4VWVG",
            "Arn": "arn:aws:iam::aws:policy/AmazonRDSFullAccess",
            "Path": "/",
            "DefaultVersionId": "v6",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:40:52+00:00",
            "UpdateDate": "2018-04-09 17:42:48+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Action": [
                                    "rds:*",
                                    "application-autoscaling:DeleteScalingPolicy",
                                    "application-autoscaling:DeregisterScalableTarget",
                                    "application-autoscaling:DescribeScalableTargets",
                                    "application-autoscaling:DescribeScalingActivities",
                                    "application-autoscaling:DescribeScalingPolicies",
                                    "application-autoscaling:PutScalingPolicy",
                                    "application-autoscaling:RegisterScalableTarget",
                                    "cloudwatch:DescribeAlarms",
                                    "cloudwatch:GetMetricStatistics",
                                    "cloudwatch:PutMetricAlarm",
                                    "cloudwatch:DeleteAlarms",
                                    "ec2:DescribeAccountAttributes",
                                    "ec2:DescribeAvailabilityZones",
                                    "ec2:DescribeInternetGateways",
                                    "ec2:DescribeSecurityGroups",
                                    "ec2:DescribeSubnets",
                                    "ec2:DescribeVpcAttribute",
                                    "ec2:DescribeVpcs",
                                    "sns:ListSubscriptions",
                                    "sns:ListTopics",
                                    "sns:Publish",
                                    "logs:DescribeLogStreams",
                                    "logs:GetLogEvents"
                                ],
                                "Effect": "Allow",
                                "Resource": "*"
                            },
                            {
                                "Action": "pi:*",
                                "Effect": "Allow",
                                "Resource": "arn:aws:pi:*:*:metrics/rds/*"
                            },
                            {
                                "Action": "iam:CreateServiceLinkedRole",
                                "Effect": "Allow",
                                "Resource": "*",
                                "Condition": {
                                    "StringLike": {
                                        "iam:AWSServiceName": [
                                            "rds.amazonaws.com",
                                            "rds.application-autoscaling.amazonaws.com"
                                        ]
                                    }
                                }
                            }
                        ]
                    },
                    "VersionId": "v6",
                    "IsDefaultVersion": true,
                    "CreateDate": "2018-04-09 17:42:48+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "rds:AuthorizeDBSecurityGroupIngress",
                "rds:ModifyDBClusterSnapshotAttribute",
                "rds:ModifyDBSnapshotAttribute",
                "iam:CreateServiceLinkedRole"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "pi",
                "rds"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "sns:Publish",
                "rds:ModifyDBProxyTargetGroup",
                "rds:CreateDBProxyEndpoint",
                "rds:ModifyDBSnapshot",
                "rds:DeleteDBSnapshot",
                "rds:ResetDBClusterParameterGroup",
                "rds:StartDBInstance",
                "rds:StopActivityStream",
                "rds:AddRoleToDBCluster",
                "rds:AddSourceIdentifierToSubscription",
                "rds:DeleteDBClusterParameterGroup",
                "cloudwatch:PutMetricAlarm",
                "rds:ModifyDBProxy",
                "rds:CopyOptionGroup",
                "rds:AuthorizeDBSecurityGroupIngress",
                "rds:RemoveRoleFromDBInstance",
                "rds:CreateDBParameterGroup",
                "rds:RebootDBInstance",
                "rds:RestoreDBClusterToPointInTime",
                "rds:RestoreDBInstanceFromS3",
                "rds:StartActivityStream",
                "rds:ModifyDBSubnetGroup",
                "rds:ModifyGlobalCluster",
                "rds:CreateDBSnapshot",
                "rds:CreateDBSecurityGroup",
                "cloudwatch:DeleteAlarms",
                "rds:CreateDBClusterParameterGroup",
                "rds:CreateOptionGroup",
                "rds:CreateDBInstance",
                "rds:ModifyCurrentDBClusterCapacity",
                "rds:DeleteDBSubnetGroup",
                "rds:DeleteDBInstance",
                "rds:RemoveTagsFromResource",
                "rds:StopDBCluster",
                "rds:DeleteGlobalCluster",
                "rds:RestoreDBClusterFromS3",
                "rds:DeleteDBProxy",
                "rds:FailoverDBCluster",
                "rds:ModifyDBParameterGroup",
                "rds:DeleteDBCluster",
                "rds:FailoverGlobalCluster",
                "rds:DeleteDBClusterEndpoint",
                "rds:ModifyDBClusterEndpoint",
                "rds:RemoveFromGlobalCluster",
                "rds:ModifyOptionGroup",
                "rds:RestoreDBClusterFromSnapshot",
                "rds:ResetDBParameterGroup",
                "rds:CreateEventSubscription",
                "rds:ApplyPendingMaintenanceAction",
                "rds:DeleteDBParameterGroup",
                "rds:DeregisterDBProxyTargets",
                "rds:CreateDBInstanceReadReplica",
                "rds:PurchaseReservedDBInstancesOffering",
                "rds:RevokeDBSecurityGroupIngress",
                "rds:CopyDBClusterSnapshot",
                "rds:CopyDBClusterParameterGroup",
                "rds:CopyDBSnapshot",
                "rds:BacktrackDBCluster",
                "rds:ModifyDBClusterSnapshotAttribute",
                "rds:ModifyEventSubscription",
                "rds:RemoveSourceIdentifierFromSubscription",
                "rds:ModifyDBClusterParameterGroup",
                "rds:ModifyDBSnapshotAttribute",
                "rds:DeleteOptionGroup",
                "rds:StartDBCluster",
                "rds:PromoteReadReplica",
                "rds:StopDBInstance",
                "rds:ModifyDBInstance",
                "rds:PromoteReadReplicaDBCluster",
                "rds:CreateDBSubnetGroup",
                "rds:AddRoleToDBInstance",
                "rds:AddTagsToResource",
                "rds:CreateDBClusterSnapshot",
                "rds:DeleteDBSecurityGroup",
                "rds:StopDBInstanceAutomatedBackupsReplication",
                "rds:RestoreDBInstanceToPointInTime",
                "rds:DeleteEventSubscription",
                "rds:CreateGlobalCluster",
                "rds:StartDBInstanceAutomatedBackupsReplication",
                "rds:CreateDBClusterEndpoint",
                "rds:DeleteDBProxyEndpoint",
                "rds:RemoveRoleFromDBCluster",
                "rds:ModifyDBCluster",
                "rds:CopyDBParameterGroup",
                "rds:DeleteDBClusterSnapshot",
                "rds:RegisterDBProxyTargets",
                "rds:RestoreDBInstanceFromDBSnapshot",
                "rds:CreateDBCluster",
                "rds:ModifyDBProxyEndpoint",
                "iam:CreateServiceLinkedRole"
            ]
},
            "is_excluded": false
        },
        "ANPAI3VAJF5ZCRZ7MCQE6": {
            "PolicyName": "AmazonEC2FullAccess",
            "PolicyId": "ANPAI3VAJF5ZCRZ7MCQE6",
            "Arn": "arn:aws:iam::aws:policy/AmazonEC2FullAccess",
            "Path": "/",
            "DefaultVersionId": "v5",
            "AttachmentCount": 3,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:40:15+00:00",
            "UpdateDate": "2018-11-27 02:16:56+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Action": "ec2:*",
                                "Effect": "Allow",
                                "Resource": "*"
                            },
                            {
                                "Effect": "Allow",
                                "Action": "elasticloadbalancing:*",
                                "Resource": "*"
                            },
                            {
                                "Effect": "Allow",
                                "Action": "cloudwatch:*",
                                "Resource": "*"
                            },
                            {
                                "Effect": "Allow",
                                "Action": "autoscaling:*",
                                "Resource": "*"
                            },
                            {
                                "Effect": "Allow",
                                "Action": "iam:CreateServiceLinkedRole",
                                "Resource": "*",
                                "Condition": {
                                    "StringEquals": {
                                        "iam:AWSServiceName": [
                                            "autoscaling.amazonaws.com",
                                            "ec2scheduled.amazonaws.com",
                                            "elasticloadbalancing.amazonaws.com",
                                            "spot.amazonaws.com",
                                            "spotfleet.amazonaws.com",
                                            "transitgateway.amazonaws.com"
                                        ]
                                    }
                                }
                            }
                        ]
                    },
                    "VersionId": "v5",
                    "IsDefaultVersion": true,
                    "CreateDate": "2018-11-27 02:16:56+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "ec2:ModifySnapshotAttribute",
                "ec2:CreateNetworkInterfacePermission",
                "ec2:ResetSnapshotAttribute",
                "ec2:ModifyVpcEndpointServicePermissions",
                "iam:CreateServiceLinkedRole"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "autoscaling",
                "cloudwatch",
                "ec2",
                "elasticloadbalancing"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": [
                "ec2:GetPasswordData"
            ]
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "ec2:DeleteVpcEndpointConnectionNotifications",
                "ec2:ModifyNetworkInterfaceAttribute",
                "ec2:ModifyVpnTunnelCertificate",
                "ec2:RejectVpcEndpointConnections",
                "ec2:EnableVolumeIO",
                "ec2:EnableVgwRoutePropagation",
                "ec2:DeleteVpnGateway",
                "ec2:CreateManagedPrefixList",
                "ec2:EnableTransitGatewayRouteTablePropagation",
                "ec2:DisableTransitGatewayRouteTablePropagation",
                "ec2:CreateCustomerGateway",
                "ec2:ImportClientVpnClientCertificateRevocationList",
                "ec2:ModifyVpcEndpoint",
                "ec2:ResetFpgaImageAttribute",
                "ec2:CreateNetworkAcl",
                "ec2:ModifyTransitGatewayPrefixListReference",
                "ec2:DeleteEgressOnlyInternetGateway",
                "ec2:DetachVpnGateway",
                "ec2:AssociateVpcCidrBlock",
                "ec2:DeleteTrafficMirrorSession",
                "ec2:CancelImportTask",
                "ec2:MonitorInstances",
                "ec2:DeleteFlowLogs",
                "ec2:ModifyVpnTunnelOptions",
                "ec2:DeleteRoute",
                "ec2:UnassignIpv6Addresses",
                "ec2:RequestSpotInstances",
                "ec2:CreateTransitGatewayRouteTable",
                "ec2:CreateStoreImageTask",
                "ec2:RevokeClientVpnIngress",
                "ec2:DeleteCarrierGateway",
                "ec2:AssignPrivateIpAddresses",
                "ec2:AllocateHosts",
                "ec2:CreateVpcPeeringConnection",
                "ec2:DeleteNetworkInsightsAnalysis",
                "ec2:ModifyTransitGatewayVpcAttachment",
                "ec2:DisableVgwRoutePropagation",
                "ec2:CreateFleet",
                "ec2:DetachInternetGateway",
                "ec2:DeleteTransitGatewayConnect",
                "ec2:DeleteVpnConnection",
                "ec2:DisassociateSubnetCidrBlock",
                "ec2:CreateVolume",
                "ec2:CreateSubnet",
                "ec2:DeleteDhcpOptions",
                "ec2:CreateVpc",
                "ec2:AssociateInstanceEventWindow",
                "ec2:AttachVpnGateway",
                "ec2:DeleteKeyPair",
                "ec2:ModifyVpcPeeringConnectionOptions",
                "ec2:RejectTransitGatewayVpcAttachment",
                "ec2:DeleteNetworkInterface",
                "ec2:ModifyVpcTenancy",
                "ec2:AcceptTransitGatewayVpcAttachment",
                "ec2:ReplaceRouteTableAssociation",
                "ec2:RejectVpcPeeringConnection",
                "ec2:RunInstances",
                "ec2:CreateTransitGatewayVpcAttachment",
                "ec2:DeleteTrafficMirrorFilterRule",
                "ec2:DeleteCustomerGateway",
                "ec2:DeleteVolume",
                "ec2:CreateLocalGatewayRoute",
                "ec2:DisassociateInstanceEventWindow",
                "ec2:CreateDhcpOptions",
                "ec2:CreateTags",
                "ec2:EnableImageDeprecation",
                "ec2:ReportInstanceStatus",
                "ec2:CreateLaunchTemplate",
                "ec2:RejectTransitGatewayPeeringAttachment",
                "ec2:DeleteInternetGateway",
                "ec2:DeleteClientVpnEndpoint",
                "ec2:DeleteNetworkAclEntry",
                "ec2:AcceptTransitGatewayPeeringAttachment",
                "ec2:ModifyInstanceMetadataOptions",
                "ec2:CancelExportTask",
                "ec2:CreateTransitGatewayConnectPeer",
                "ec2:CreateTrafficMirrorSession",
                "ec2:DisableVpcClassicLinkDnsSupport",
                "ec2:CreateTransitGatewayPeeringAttachment",
                "ec2:AuthorizeClientVpnIngress",
                "ec2:DeleteSecurityGroup",
                "ec2:StartVpcEndpointServicePrivateDnsVerification",
                "ec2:DisassociateRouteTable",
                "ec2:CancelSpotInstanceRequests",
                "ec2:ImportSnapshot",
                "ec2:AssociateIamInstanceProfile",
                "ec2:RegisterTransitGatewayMulticastGroupSources",
                "ec2:CreateFpgaImage",
                "ec2:ModifyInstancePlacement",
                "ec2:CreateTransitGatewayPrefixListReference",
                "ec2:ModifyFpgaImageAttribute",
                "ec2:CreateClientVpnRoute",
                "ec2:ResetNetworkInterfaceAttribute",
                "ec2:ModifyVpcEndpointServiceConfiguration",
                "ec2:DeleteLaunchTemplate",
                "ec2:ModifyVolume",
                "ec2:ModifyVpcEndpointServicePermissions",
                "ec2:ConfirmProductInstance",
                "ec2:ModifyInstanceAttribute",
                "ec2:ModifyCapacityReservation",
                "ec2:ModifyImageAttribute",
                "ec2:PurchaseHostReservation",
                "ec2:CreateTransitGatewayRoute",
                "ec2:StopInstances",
                "ec2:CreateTransitGatewayConnect",
                "ec2:ModifyVpcEndpointConnectionNotification",
                "ec2:CreateVpnConnection",
                "ec2:RebootInstances",
                "ec2:EnableVpcClassicLinkDnsSupport",
                "ec2:AssociateClientVpnTargetNetwork",
                "ec2:DeleteSubnet",
                "ec2:AssociateDhcpOptions",
                "ec2:ResetSnapshotAttribute",
                "ec2:DeleteTransitGateway",
                "ec2:CreateReservedInstancesListing",
                "ec2:ExportTransitGatewayRoutes",
                "ec2:ReleaseAddress",
                "ec2:CreateNetworkInterface",
                "ec2:CreateTrafficMirrorFilter",
                "ec2:UnassignPrivateIpAddresses",
                "ec2:DisableVpcClassicLink",
                "ec2:CreateEgressOnlyInternetGateway",
                "ec2:ResetImageAttribute",
                "ec2:AcceptTransitGatewayMulticastDomainAssociations",
                "ec2:CreateLocalGatewayRouteTableVpcAssociation",
                "ec2:ModifyReservedInstances",
                "ec2:ModifySecurityGroupRules",
                "ec2:ModifyVolumeAttribute",
                "ec2:CreateVpcEndpointConnectionNotification",
                "ec2:AttachClassicLinkVpc",
                "ec2:SendDiagnosticInterrupt",
                "ec2:DeleteTransitGatewayMulticastDomain",
                "ec2:CancelSpotFleetRequests",
                "ec2:AssociateSubnetCidrBlock",
                "ec2:ModifyClientVpnEndpoint",
                "ec2:AuthorizeSecurityGroupEgress",
                "ec2:StartNetworkInsightsAnalysis",
                "ec2:DisassociateClientVpnTargetNetwork",
                "ec2:RunScheduledInstances",
                "ec2:CreateVpnGateway",
                "ec2:TerminateClientVpnConnections",
                "ec2:ModifyVpnConnection",
                "ec2:CreateNatGateway",
                "ec2:ModifyTrafficMirrorFilterNetworkServices",
                "ec2:CreateTransitGatewayMulticastDomain",
                "ec2:DeleteFleets",
                "ec2:ImportKeyPair",
                "ec2:DeleteTransitGatewayPrefixListReference",
                "ec2:CreateNetworkAclEntry",
                "ec2:CreateTransitGateway",
                "ec2:AcceptVpcPeeringConnection",
                "ec2:DeleteNetworkAcl",
                "ec2:DeleteVpnConnectionRoute",
                "ec2:PurchaseReservedInstancesOffering",
                "ec2:ModifyInstanceEventStartTime",
                "ec2:AuthorizeSecurityGroupIngress",
                "ec2:DeleteQueuedReservedInstances",
                "ec2:DisableFastSnapshotRestores",
                "ec2:DeleteClientVpnRoute",
                "ec2:CreateRestoreImageTask",
                "ec2:ModifyHosts",
                "ec2:RequestSpotFleet",
                "ec2:CreateCapacityReservation",
                "ec2:DeleteTransitGatewayVpcAttachment",
                "ec2:ModifyInstanceEventWindow",
                "ec2:CreateNetworkInterfacePermission",
                "ec2:DeleteVpcEndpoints",
                "ec2:AcceptReservedInstancesExchangeQuote",
                "ec2:AssociateRouteTable",
                "ec2:AttachInternetGateway",
                "ec2:DeleteVpcPeeringConnection",
                "ec2:ModifyLaunchTemplate",
                "ec2:CopyImage",
                "ec2:CreateReplaceRootVolumeTask",
                "ec2:DeleteNetworkInsightsPath",
                "ec2:ModifyManagedPrefixList",
                "ec2:CreatePlacementGroup",
                "ec2:DisableImageDeprecation",
                "ec2:CreateRoute",
                "ec2:CopyFpgaImage",
                "ec2:DeregisterTransitGatewayMulticastGroupSources",
                "ec2:ReplaceRoute",
                "ec2:DisassociateTransitGatewayRouteTable",
                "ec2:ReleaseHosts",
                "ec2:ModifySubnetAttribute",
                "ec2:AttachNetworkInterface",
                "ec2:DeleteRouteTable",
                "ec2:DisassociateIamInstanceProfile",
                "ec2:CreateRouteTable",
                "ec2:ModifyTrafficMirrorFilterRule",
                "ec2:ReplaceTransitGatewayRoute",
                "ec2:DeleteTransitGatewayPeeringAttachment",
                "ec2:ModifyInstanceCreditSpecification",
                "ec2:UpdateSecurityGroupRuleDescriptionsEgress",
                "ec2:StartInstances",
                "ec2:DetachClassicLinkVpc",
                "ec2:ModifyTransitGateway",
                "ec2:DeleteVpcEndpointServiceConfigurations",
                "ec2:AssociateTransitGatewayMulticastDomain",
                "ec2:CreateKeyPair",
                "ec2:ModifyTrafficMirrorSession",
                "ec2:DeleteTransitGatewayConnectPeer",
                "ec2:DeleteTransitGatewayRouteTable",
                "ec2:DeleteTags",
                "ec2:CreateInstanceEventWindow",
                "ec2:ImportImage",
                "ec2:AttachVolume",
                "ec2:AssociateTransitGatewayRouteTable",
                "ec2:AssociateAddress",
                "ec2:UpdateSecurityGroupRuleDescriptionsIngress",
                "ec2:AssociateEnclaveCertificateIamRole",
                "ec2:DisassociateEnclaveCertificateIamRole",
                "ec2:EnableFastSnapshotRestores",
                "ec2:DetachVolume",
                "ec2:ReplaceNetworkAclEntry",
                "ec2:ModifySnapshotAttribute",
                "ec2:AllocateAddress",
                "ec2:RejectTransitGatewayMulticastDomainAssociations",
                "ec2:DetachNetworkInterface",
                "ec2:CreateFlowLogs",
                "ec2:DisassociateAddress",
                "ec2:CreateNetworkInsightsPath",
                "ec2:ResetInstanceAttribute",
                "ec2:RestoreManagedPrefixListVersion",
                "ec2:CreateInternetGateway",
                "ec2:DeleteFpgaImage",
                "ec2:ModifyVpcAttribute",
                "ec2:CreateTrafficMirrorFilterRule",
                "ec2:CreateInstanceExportTask",
                "ec2:CreateSnapshots",
                "ec2:ModifyVpnConnectionOptions",
                "ec2:TerminateInstances",
                "ec2:DeleteLocalGatewayRoute",
                "ec2:CreateImage",
                "ec2:DeleteSnapshot",
                "ec2:DisassociateTransitGatewayMulticastDomain",
                "ec2:DeleteVpc",
                "ec2:AcceptVpcEndpointConnections",
                "ec2:DeleteTrafficMirrorFilter",
                "ec2:CreateTrafficMirrorTarget",
                "ec2:UnmonitorInstances",
                "ec2:RevokeSecurityGroupEgress",
                "ec2:ImportInstance",
                "ec2:CreateSnapshot",
                "ec2:ModifySpotFleetRequest",
                "ec2:ExportImage",
                "ec2:DeleteLaunchTemplateVersions",
                "ec2:ModifyFleet",
                "ec2:RegisterTransitGatewayMulticastGroupMembers",
                "ec2:CreateVpcEndpoint",
                "ec2:DeleteNatGateway",
                "ec2:CreateClientVpnEndpoint",
                "ec2:CreateSecurityGroup",
                "ec2:DeregisterImage",
                "ec2:CreateVpnConnectionRoute",
                "ec2:RevokeSecurityGroupIngress",
                "ec2:DeleteTransitGatewayRoute",
                "ec2:DeleteLocalGatewayRouteTableVpcAssociation",
                "ec2:BundleInstance",
                "ec2:ReplaceIamInstanceProfileAssociation",
                "ec2:DeleteInstanceEventWindow",
                "ec2:ModifyInstanceCapacityReservationAttributes",
                "ec2:DeleteManagedPrefixList",
                "ec2:DeleteTrafficMirrorTarget",
                "ec2:CopySnapshot",
                "ec2:ApplySecurityGroupsToClientVpnTargetNetwork",
                "ec2:CreateVpcEndpointServiceConfiguration",
                "ec2:CancelCapacityReservation",
                "ec2:DeregisterTransitGatewayMulticastGroupMembers",
                "ec2:CreateLaunchTemplateVersion",
                "ec2:CreateCarrierGateway",
                "ec2:EnableVpcClassicLink",
                "ec2:AssignIpv6Addresses",
                "ec2:ReplaceNetworkAclAssociation",
                "elasticloadbalancing:RemoveListenerCertificates",
                "elasticloadbalancing:CreateTargetGroup",
                "elasticloadbalancing:CreateLoadBalancer",
                "elasticloadbalancing:DeleteListener",
                "elasticloadbalancing:CreateListener",
                "elasticloadbalancing:SetSubnets",
                "elasticloadbalancing:RemoveTags",
                "elasticloadbalancing:ModifyLoadBalancerAttributes",
                "elasticloadbalancing:ModifyTargetGroup",
                "elasticloadbalancing:AddListenerCertificates",
                "elasticloadbalancing:SetIpAddressType",
                "elasticloadbalancing:RegisterTargets",
                "elasticloadbalancing:DeleteLoadBalancer",
                "elasticloadbalancing:CreateRule",
                "elasticloadbalancing:AddTags",
                "elasticloadbalancing:SetRulePriorities",
                "elasticloadbalancing:SetSecurityGroups",
                "elasticloadbalancing:DeleteTargetGroup",
                "elasticloadbalancing:DeleteRule",
                "elasticloadbalancing:ModifyTargetGroupAttributes",
                "elasticloadbalancing:ModifyListener",
                "elasticloadbalancing:DeregisterTargets",
                "elasticloadbalancing:ModifyRule",
                "cloudwatch:PutDashboard",
                "cloudwatch:SetAlarmState",
                "cloudwatch:DisableInsightRules",
                "cloudwatch:DeleteInsightRules",
                "cloudwatch:PutCompositeAlarm",
                "cloudwatch:EnableInsightRules",
                "cloudwatch:StartMetricStreams",
                "cloudwatch:DeleteDashboards",
                "cloudwatch:PutMetricStream",
                "cloudwatch:EnableAlarmActions",
                "cloudwatch:DeleteMetricStream",
                "cloudwatch:DisableAlarmActions",
                "cloudwatch:PutMetricAlarm",
                "cloudwatch:DeleteAlarms",
                "cloudwatch:UntagResource",
                "cloudwatch:PutInsightRule",
                "cloudwatch:StopMetricStreams",
                "cloudwatch:TagResource",
                "autoscaling:EnableMetricsCollection",
                "autoscaling:CancelInstanceRefresh",
                "autoscaling:PutScheduledUpdateGroupAction",
                "autoscaling:SuspendProcesses",
                "autoscaling:DeletePolicy",
                "autoscaling:ExecutePolicy",
                "autoscaling:ResumeProcesses",
                "autoscaling:CompleteLifecycleAction",
                "autoscaling:BatchPutScheduledUpdateGroupAction",
                "autoscaling:DeleteNotificationConfiguration",
                "autoscaling:DeleteLifecycleHook",
                "autoscaling:StartInstanceRefresh",
                "autoscaling:AttachInstances",
                "autoscaling:CreateAutoScalingGroup",
                "autoscaling:TerminateInstanceInAutoScalingGroup",
                "autoscaling:UpdateAutoScalingGroup",
                "autoscaling:SetInstanceProtection",
                "autoscaling:AttachLoadBalancers",
                "autoscaling:PutLifecycleHook",
                "autoscaling:DeleteAutoScalingGroup",
                "autoscaling:AttachLoadBalancerTargetGroups",
                "autoscaling:ExitStandby",
                "autoscaling:EnterStandby",
                "autoscaling:SetInstanceHealth",
                "autoscaling:DetachInstances",
                "autoscaling:CreateLaunchConfiguration",
                "autoscaling:PutWarmPool",
                "autoscaling:CreateOrUpdateTags",
                "autoscaling:PutScalingPolicy",
                "autoscaling:DisableMetricsCollection",
                "autoscaling:PutNotificationConfiguration",
                "autoscaling:DetachLoadBalancers",
                "autoscaling:DetachLoadBalancerTargetGroups",
                "autoscaling:DeleteLaunchConfiguration",
                "autoscaling:DeleteTags",
                "autoscaling:BatchDeleteScheduledAction",
                "autoscaling:SetDesiredCapacity",
                "autoscaling:RecordLifecycleActionHeartbeat",
                "autoscaling:DeleteScheduledAction",
                "autoscaling:DeleteWarmPool",
                "iam:CreateServiceLinkedRole"
            ]
},
            "is_excluded": false
        },
        "ANPAI4VCZ3XPIZLQ5NZV2": {
            "PolicyName": "AWSCodeCommitFullAccess",
            "PolicyId": "ANPAI4VCZ3XPIZLQ5NZV2",
            "Arn": "arn:aws:iam::aws:policy/AWSCodeCommitFullAccess",
            "Path": "/",
            "DefaultVersionId": "v7",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-07-09 17:02:19+00:00",
            "UpdateDate": "2020-03-26 16:23:20+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "codecommit:*"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Sid": "CloudWatchEventsCodeCommitRulesAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "events:DeleteRule",
                                    "events:DescribeRule",
                                    "events:DisableRule",
                                    "events:EnableRule",
                                    "events:PutRule",
                                    "events:PutTargets",
                                    "events:RemoveTargets",
                                    "events:ListTargetsByRule"
                                ],
                                "Resource": "arn:aws:events:*:*:rule/codecommit*"
                            },
                            {
                                "Sid": "SNSTopicAndSubscriptionAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "sns:CreateTopic",
                                    "sns:DeleteTopic",
                                    "sns:Subscribe",
                                    "sns:Unsubscribe",
                                    "sns:SetTopicAttributes"
                                ],
                                "Resource": "arn:aws:sns:*:*:codecommit*"
                            },
                            {
                                "Sid": "SNSTopicAndSubscriptionReadAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "sns:ListTopics",
                                    "sns:ListSubscriptionsByTopic",
                                    "sns:GetTopicAttributes"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Sid": "LambdaReadOnlyListAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "lambda:ListFunctions"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Sid": "IAMReadOnlyListAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "iam:ListUsers"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Sid": "IAMReadOnlyConsoleAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "iam:ListAccessKeys",
                                    "iam:ListSSHPublicKeys",
                                    "iam:ListServiceSpecificCredentials"
                                ],
                                "Resource": "arn:aws:iam::*:user/${aws:username}"
                            },
                            {
                                "Sid": "IAMUserSSHKeys",
                                "Effect": "Allow",
                                "Action": [
                                    "iam:DeleteSSHPublicKey",
                                    "iam:GetSSHPublicKey",
                                    "iam:ListSSHPublicKeys",
                                    "iam:UpdateSSHPublicKey",
                                    "iam:UploadSSHPublicKey"
                                ],
                                "Resource": "arn:aws:iam::*:user/${aws:username}"
                            },
                            {
                                "Sid": "IAMSelfManageServiceSpecificCredentials",
                                "Effect": "Allow",
                                "Action": [
                                    "iam:CreateServiceSpecificCredential",
                                    "iam:UpdateServiceSpecificCredential",
                                    "iam:DeleteServiceSpecificCredential",
                                    "iam:ResetServiceSpecificCredential"
                                ],
                                "Resource": "arn:aws:iam::*:user/${aws:username}"
                            },
                            {
                                "Sid": "CodeStarNotificationsReadWriteAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "codestar-notifications:CreateNotificationRule",
                                    "codestar-notifications:DescribeNotificationRule",
                                    "codestar-notifications:UpdateNotificationRule",
                                    "codestar-notifications:DeleteNotificationRule",
                                    "codestar-notifications:Subscribe",
                                    "codestar-notifications:Unsubscribe"
                                ],
                                "Resource": "*",
                                "Condition": {
                                    "StringLike": {
                                        "codestar-notifications:NotificationsForResource": "arn:aws:codecommit:*"
                                    }
                                }
                            },
                            {
                                "Sid": "CodeStarNotificationsListAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "codestar-notifications:ListNotificationRules",
                                    "codestar-notifications:ListTargets",
                                    "codestar-notifications:ListTagsforResource",
                                    "codestar-notifications:ListEventTypes"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Sid": "CodeStarNotificationsSNSTopicCreateAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "sns:CreateTopic",
                                    "sns:SetTopicAttributes"
                                ],
                                "Resource": "arn:aws:sns:*:*:codestar-notifications*"
                            },
                            {
                                "Sid": "AmazonCodeGuruReviewerFullAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "codeguru-reviewer:AssociateRepository",
                                    "codeguru-reviewer:DescribeRepositoryAssociation",
                                    "codeguru-reviewer:ListRepositoryAssociations",
                                    "codeguru-reviewer:DisassociateRepository"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Sid": "AmazonCodeGuruReviewerSLRCreation",
                                "Action": "iam:CreateServiceLinkedRole",
                                "Effect": "Allow",
                                "Resource": "arn:aws:iam::*:role/aws-service-role/codeguru-reviewer.amazonaws.com/AWSServiceRoleForAmazonCodeGuruReviewer",
                                "Condition": {
                                    "StringLike": {
                                        "iam:AWSServiceName": "codeguru-reviewer.amazonaws.com"
                                    }
                                }
                            },
                            {
                                "Sid": "CloudWatchEventsManagedRules",
                                "Effect": "Allow",
                                "Action": [
                                    "events:PutRule",
                                    "events:PutTargets",
                                    "events:DeleteRule",
                                    "events:RemoveTargets"
                                ],
                                "Resource": "*",
                                "Condition": {
                                    "StringEquals": {
                                        "events:ManagedBy": "codeguru-reviewer.amazonaws.com"
                                    }
                                }
                            },
                            {
                                "Sid": "CodeStarNotificationsChatbotAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "chatbot:DescribeSlackChannelConfigurations"
                                ],
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v7",
                    "IsDefaultVersion": true,
                    "CreateDate": "2020-03-26 16:23:20+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": []
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "codecommit"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "codecommit:MergePullRequestByThreeWay",
                "codecommit:UpdatePullRequestDescription",
                "codecommit:BatchAssociateApprovalRuleTemplateWithRepositories",
                "codecommit:UntagResource",
                "codecommit:OverridePullRequestApprovalRules",
                "codecommit:UpdateRepositoryName",
                "codecommit:MergeBranchesByThreeWay",
                "codecommit:PostCommentForComparedCommit",
                "codecommit:DeleteRepository",
                "codecommit:UpdateRepositoryDescription",
                "codecommit:MergePullRequestByFastForward",
                "codecommit:PutCommentReaction",
                "codecommit:TestRepositoryTriggers",
                "codecommit:DeleteBranch",
                "codecommit:AssociateApprovalRuleTemplateWithRepository",
                "codecommit:PostCommentForPullRequest",
                "codecommit:BatchDisassociateApprovalRuleTemplateFromRepositories",
                "codecommit:UpdatePullRequestApprovalRuleContent",
                "codecommit:UpdatePullRequestTitle",
                "codecommit:UploadArchive",
                "codecommit:MergeBranchesByFastForward",
                "codecommit:MergeBranchesBySquash",
                "codecommit:DisassociateApprovalRuleTemplateFromRepository",
                "codecommit:DeleteFile",
                "codecommit:PutFile",
                "codecommit:PutRepositoryTriggers",
                "codecommit:CreatePullRequestApprovalRule",
                "codecommit:DeleteCommentContent",
                "codecommit:CreateUnreferencedMergeCommit",
                "codecommit:UpdateDefaultBranch",
                "codecommit:CreatePullRequest",
                "codecommit:MergePullRequestBySquash",
                "codecommit:CreateCommit",
                "codecommit:PostCommentReply",
                "codecommit:CreateBranch",
                "codecommit:DeletePullRequestApprovalRule",
                "codecommit:GitPush",
                "codecommit:UpdateComment",
                "codecommit:TagResource",
                "codecommit:CreateRepository",
                "codecommit:UpdatePullRequestStatus",
                "codecommit:UpdatePullRequestApprovalState",
                "codestar-notifications:CreateNotificationRule",
                "codestar-notifications:Unsubscribe",
                "codestar-notifications:UpdateNotificationRule",
                "codestar-notifications:Subscribe",
                "codestar-notifications:DeleteNotificationRule",
                "codeguru-reviewer:DisassociateRepository",
                "codeguru-reviewer:AssociateRepository",
                "events:PutRule",
                "events:RemoveTargets",
                "events:DeleteRule",
                "events:PutTargets"
            ]
},
            "is_excluded": false
        },
        "ANPAI65L554VRJ33ECQS6": {
            "PolicyName": "AmazonSQSFullAccess",
            "PolicyId": "ANPAI65L554VRJ33ECQS6",
            "Arn": "arn:aws:iam::aws:policy/AmazonSQSFullAccess",
            "Path": "/",
            "DefaultVersionId": "v1",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:41:07+00:00",
            "UpdateDate": "2015-02-06 18:41:07+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Action": [
                                    "sqs:*"
                                ],
                                "Effect": "Allow",
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v1",
                    "IsDefaultVersion": true,
                    "CreateDate": "2015-02-06 18:41:07+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "sqs:RemovePermission",
                "sqs:SetQueueAttributes",
                "sqs:CreateQueue",
                "sqs:AddPermission"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "sqs"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "sqs:RemovePermission",
                "sqs:SetQueueAttributes",
                "sqs:DeleteMessage",
                "sqs:CreateQueue",
                "sqs:DeleteQueue",
                "sqs:TagQueue",
                "sqs:PurgeQueue",
                "sqs:AddPermission",
                "sqs:UntagQueue",
                "sqs:ChangeMessageVisibility",
                "sqs:SendMessage"
            ]
},
            "is_excluded": false
        },
        "ANPAI6E2CYYMI4XI7AA5K": {
            "PolicyName": "AWSLambdaFullAccess",
            "PolicyId": "ANPAI6E2CYYMI4XI7AA5K",
            "Arn": "arn:aws:iam::aws:policy/AWSLambdaFullAccess",
            "Path": "/",
            "DefaultVersionId": "v8",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:40:45+00:00",
            "UpdateDate": "2017-11-27 23:22:38+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "cloudformation:DescribeChangeSet",
                                    "cloudformation:DescribeStackResources",
                                    "cloudformation:DescribeStacks",
                                    "cloudformation:GetTemplate",
                                    "cloudformation:ListStackResources",
                                    "cloudwatch:*",
                                    "cognito-identity:ListIdentityPools",
                                    "cognito-sync:GetCognitoEvents",
                                    "cognito-sync:SetCognitoEvents",
                                    "dynamodb:*",
                                    "ec2:DescribeSecurityGroups",
                                    "ec2:DescribeSubnets",
                                    "ec2:DescribeVpcs",
                                    "events:*",
                                    "iam:GetPolicy",
                                    "iam:GetPolicyVersion",
                                    "iam:GetRole",
                                    "iam:GetRolePolicy",
                                    "iam:ListAttachedRolePolicies",
                                    "iam:ListRolePolicies",
                                    "iam:ListRoles",
                                    "iam:PassRole",
                                    "iot:AttachPrincipalPolicy",
                                    "iot:AttachThingPrincipal",
                                    "iot:CreateKeysAndCertificate",
                                    "iot:CreatePolicy",
                                    "iot:CreateThing",
                                    "iot:CreateTopicRule",
                                    "iot:DescribeEndpoint",
                                    "iot:GetTopicRule",
                                    "iot:ListPolicies",
                                    "iot:ListThings",
                                    "iot:ListTopicRules",
                                    "iot:ReplaceTopicRule",
                                    "kinesis:DescribeStream",
                                    "kinesis:ListStreams",
                                    "kinesis:PutRecord",
                                    "kms:ListAliases",
                                    "lambda:*",
                                    "logs:*",
                                    "s3:*",
                                    "sns:ListSubscriptions",
                                    "sns:ListSubscriptionsByTopic",
                                    "sns:ListTopics",
                                    "sns:Publish",
                                    "sns:Subscribe",
                                    "sns:Unsubscribe",
                                    "sqs:ListQueues",
                                    "sqs:SendMessage",
                                    "tag:GetResources",
                                    "xray:PutTelemetryRecords",
                                    "xray:PutTraceSegments"
                                ],
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v8",
                    "IsDefaultVersion": true,
                    "CreateDate": "2017-11-27 23:22:38+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [
                {
                    "type": "PassExistingRoleToNewLambdaThenInvoke",
                    "actions": [
                        "iam:passrole",
                        "lambda:createfunction",
                        "lambda:invokefunction"
                    ]
                },
                {
                    "type": "PassExistingRoleToNewLambdaThenTriggerWithNewDynamo",
                    "actions": [
                        "iam:passrole",
                        "lambda:createfunction",
                        "lambda:createeventsourcemapping",
                        "dynamodb:createtable",
                        "dynamodb:putitem"
                    ]
                },
                {
                    "type": "PassExistingRoleToNewLambdaThenTriggerWithExistingDynamo",
                    "actions": [
                        "iam:passrole",
                        "lambda:createfunction",
                        "lambda:createeventsourcemapping"
                    ]
                },
                {
                    "type": "EditExistingLambdaFunctionWithRole",
                    "actions": [
                        "lambda:updatefunctioncode"
                    ]
                }
            ],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": [
                "s3:GetObject"
            ]
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "lambda:AddPermission",
                "lambda:DisableReplication",
                "s3:PutBucketPublicAccessBlock",
                "s3:DeleteAccessPointPolicy",
                "s3:PutObjectVersionAcl",
                "s3:DeleteBucketPolicy",
                "s3:DeleteAccessPointPolicyForObjectLambda",
                "s3:PutBucketAcl",
                "lambda:RemoveLayerVersionPermission",
                "lambda:RemovePermission",
                "lambda:AddLayerVersionPermission",
                "s3:ObjectOwnerOverrideToBucketOwner",
                "iam:PassRole",
                "s3:PutBucketPolicy",
                "iot:AttachPrincipalPolicy",
                "s3:BypassGovernanceRetention",
                "s3:PutObjectAcl",
                "s3:PutAccessPointPolicy",
                "s3:PutAccessPointPolicyForObjectLambda",
                "lambda:EnableReplication",
                "s3:PutMultiRegionAccessPointPolicy"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "cloudwatch",
                "dynamodb",
                "events",
                "lambda",
                "logs",
                "s3"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "events:DeleteConnection",
                "sns:Publish",
                "s3:DeleteBucketWebsite",
                "events:UpdateApiDestination",
                "s3:DeleteObjectTagging",
                "logs:AssociateKmsKey",
                "lambda:RemoveLayerVersionPermission",
                "s3:PutInventoryConfiguration",
                "s3:PutReplicationConfiguration",
                "events:InvokeApiDestination",
                "s3:PutBucketOwnershipControls",
                "dynamodb:DeleteItem",
                "events:DisableRule",
                "dynamodb:UntagResource",
                "cloudwatch:DeleteMetricStream",
                "events:UpdateArchive",
                "iot:CreateThing",
                "lambda:DeleteFunction",
                "dynamodb:BatchWriteItem",
                "lambda:UpdateFunctionConfiguration",
                "dynamodb:PartiQLDelete",
                "iot:ReplaceTopicRule",
                "lambda:AddPermission",
                "iot:CreatePolicy",
                "cloudwatch:DeleteInsightRules",
                "s3:PutLifecycleConfiguration",
                "logs:DeleteSubscriptionFilter",
                "events:CreatePartnerEventSource",
                "s3:BypassGovernanceRetention",
                "cloudwatch:PutMetricAlarm",
                "s3:PutBucketCORS",
                "s3:DeleteBucketPolicy",
                "s3:DeleteStorageLensConfiguration",
                "lambda:DeleteFunctionConcurrency",
                "logs:DeleteLogGroup",
                "events:EnableRule",
                "dynamodb:CreateTableReplica",
                "dynamodb:UpdateContributorInsights",
                "s3:PutBucketVersioning",
                "logs:DeleteLogStream",
                "lambda:PutProvisionedConcurrencyConfig",
                "cloudwatch:DeleteDashboards",
                "logs:DeleteMetricFilter",
                "lambda:DeleteEventSourceMapping",
                "dynamodb:UpdateTable",
                "s3:CreateAccessPointForObjectLambda",
                "lambda:UpdateCodeSigningConfig",
                "s3:DeleteBucket",
                "s3:PutObjectVersionTagging",
                "dynamodb:UpdateGlobalTable",
                "dynamodb:UpdateItem",
                "s3:PutAccelerateConfiguration",
                "dynamodb:ExportTableToPointInTime",
                "events:CancelReplay",
                "s3:ReplicateObject",
                "s3:DeleteObjectVersion",
                "s3:PutObjectAcl",
                "logs:DisassociateKmsKey",
                "events:StartReplay",
                "lambda:DisableReplication",
                "events:CreateEventBus",
                "cloudwatch:DeleteAlarms",
                "events:ActivateEventSource",
                "dynamodb:CreateTable",
                "dynamodb:DeleteBackup",
                "lambda:UpdateFunctionEventInvokeConfig",
                "cloudwatch:PutCompositeAlarm",
                "dynamodb:PartiQLInsert",
                "lambda:RemovePermission",
                "logs:TagLogGroup",
                "s3:PutAnalyticsConfiguration",
                "s3:PutMetricsConfiguration",
                "sns:Subscribe",
                "s3:PutAccessPointPolicy",
                "dynamodb:RestoreTableFromBackup",
                "events:PutRule",
                "cloudwatch:PutInsightRule",
                "cloudwatch:StopMetricStreams",
                "dynamodb:DeleteTable",
                "logs:UntagLogGroup",
                "cloudwatch:TagResource",
                "s3:PutBucketRequestPayment",
                "lambda:TagResource",
                "s3:PutAccessPointPolicyForObjectLambda",
                "logs:CreateExportTask",
                "s3:PutBucketLogging",
                "s3:RestoreObject",
                "events:DeauthorizeConnection",
                "dynamodb:CreateGlobalTable",
                "dynamodb:PartiQLUpdate",
                "dynamodb:CreateBackup",
                "lambda:InvokeAsync",
                "cloudwatch:PutDashboard",
                "events:CreateConnection",
                "dynamodb:UpdateTimeToLive",
                "dynamodb:DeleteTableReplica",
                "s3:DeleteMultiRegionAccessPoint",
                "lambda:UntagResource",
                "s3:DeleteAccessPointForObjectLambda",
                "lambda:DeleteCodeSigningConfig",
                "lambda:EnableReplication",
                "cloudwatch:DisableAlarmActions",
                "s3:ReplicateDelete",
                "s3:DeleteObjectVersionTagging",
                "dynamodb:UpdateTableReplicaAutoScaling",
                "logs:DeleteRetentionPolicy",
                "s3:UpdateJobPriority",
                "s3:PutEncryptionConfiguration",
                "cloudwatch:DisableInsightRules",
                "events:PutTargets",
                "lambda:AddLayerVersionPermission",
                "s3:PutIntelligentTieringConfiguration",
                "s3:PutObjectTagging",
                "s3:PutObjectLegalHold",
                "lambda:DeleteAlias",
                "lambda:DeleteFunctionEventInvokeConfig",
                "s3:PutBucketPublicAccessBlock",
                "lambda:PutFunctionCodeSigningConfig",
                "logs:PutLogEvents",
                "cloudwatch:PutMetricStream",
                "lambda:PublishLayerVersion",
                "events:CreateArchive",
                "logs:PutSubscriptionFilter",
                "events:PutEvents",
                "logs:CreateLogGroup",
                "logs:PutMetricFilter",
                "s3:PutStorageLensConfigurationTagging",
                "events:TagResource",
                "s3:CreateBucket",
                "s3:ObjectOwnerOverrideToBucketOwner",
                "lambda:CreateFunction",
                "events:DeleteApiDestination",
                "lambda:InvokeFunction",
                "s3:DeleteObject",
                "logs:PutRetentionPolicy",
                "s3:AbortMultipartUpload",
                "s3:DeleteJobTagging",
                "dynamodb:UpdateGlobalTableSettings",
                "lambda:PutFunctionEventInvokeConfig",
                "dynamodb:TagResource",
                "s3:DeleteAccessPointPolicy",
                "dynamodb:RestoreTableToPointInTime",
                "dynamodb:DisableKinesisStreamingDestination",
                "s3:DeleteBucketOwnershipControls",
                "sqs:SendMessage",
                "lambda:CreateCodeSigningConfig",
                "s3:PutAccessPointConfigurationForObjectLambda",
                "s3:ReplicateTags",
                "s3:PutObjectRetention",
                "cloudwatch:EnableAlarmActions",
                "lambda:UpdateFunctionCodeSigningConfig",
                "events:DeleteEventBus",
                "s3:PutBucketNotification",
                "s3:PutJobTagging",
                "cognito-sync:SetCognitoEvents",
                "events:DeleteArchive",
                "iam:PassRole",
                "cloudwatch:StartMetricStreams",
                "lambda:CreateAlias",
                "lambda:DeleteProvisionedConcurrencyConfig",
                "s3:PutMultiRegionAccessPointPolicy",
                "events:RemoveTargets",
                "s3:UpdateJobStatus",
                "s3:DeleteAccessPointPolicyForObjectLambda",
                "events:CreateApiDestination",
                "lambda:DeleteLayerVersion",
                "events:DeleteRule",
                "s3:CreateAccessPoint",
                "s3:PutBucketObjectLockConfiguration",
                "dynamodb:PutItem",
                "s3:PutBucketTagging",
                "s3:PutBucketAcl",
                "lambda:UpdateEventSourceMapping",
                "s3:PutBucketPolicy",
                "lambda:DeleteFunctionCodeSigningConfig",
                "iot:AttachPrincipalPolicy",
                "s3:DeleteStorageLensConfigurationTagging",
                "logs:CreateLogStream",
                "events:DeletePartnerEventSource",
                "events:DeactivateEventSource",
                "events:UpdateConnection",
                "lambda:UpdateAlias",
                "cloudwatch:SetAlarmState",
                "cloudwatch:UntagResource",
                "cloudwatch:EnableInsightRules",
                "s3:PutBucketWebsite",
                "kinesis:PutRecord",
                "s3:CreateMultiRegionAccessPoint",
                "s3:PutObjectVersionAcl",
                "lambda:PutFunctionConcurrency",
                "s3:PutObject",
                "iot:CreateTopicRule",
                "s3:DeleteAccessPoint",
                "s3:GetObject",
                "events:UntagResource",
                "lambda:PublishVersion",
                "lambda:UpdateFunctionCode",
                "dynamodb:EnableKinesisStreamingDestination",
                "dynamodb:UpdateContinuousBackups"
            ]
},
            "is_excluded": false
        },
        "ANPAI7XKCFMBPM3QQRRVQ": {
            "PolicyName": "IAMFullAccess",
            "PolicyId": "ANPAI7XKCFMBPM3QQRRVQ",
            "Arn": "arn:aws:iam::aws:policy/IAMFullAccess",
            "Path": "/",
            "DefaultVersionId": "v2",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:40:38+00:00",
            "UpdateDate": "2019-06-21 19:40:00+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "iam:*",
                                    "organizations:DescribeAccount",
                                    "organizations:DescribeOrganization",
                                    "organizations:DescribeOrganizationalUnit",
                                    "organizations:DescribePolicy",
                                    "organizations:ListChildren",
                                    "organizations:ListParents",
                                    "organizations:ListPoliciesForTarget",
                                    "organizations:ListRoots",
                                    "organizations:ListPolicies",
                                    "organizations:ListTargetsForPolicy"
                                ],
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v2",
                    "IsDefaultVersion": true,
                    "CreateDate": "2019-06-21 19:40:00+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [
                {
                    "type": "CreateAccessKey",
                    "actions": [
                        "iam:createaccesskey"
                    ]
                },
                {
                    "type": "CreateLoginProfile",
                    "actions": [
                        "iam:createloginprofile"
                    ]
                },
                {
                    "type": "UpdateLoginProfile",
                    "actions": [
                        "iam:updateloginprofile"
                    ]
                },
                {
                    "type": "AddUserToGroup",
                    "actions": [
                        "iam:addusertogroup"
                    ]
                },
                {
                    "type": "CreateNewPolicyVersion",
                    "actions": [
                        "iam:createpolicyversion"
                    ]
                },
                {
                    "type": "SetExistingDefaultPolicyVersion",
                    "actions": [
                        "iam:setdefaultpolicyversion"
                    ]
                },
                {
                    "type": "AttachUserPolicy",
                    "actions": [
                        "iam:attachuserpolicy"
                    ]
                },
                {
                    "type": "AttachGroupPolicy",
                    "actions": [
                        "iam:attachgrouppolicy"
                    ]
                },
                {
                    "type": "PutUserPolicy",
                    "actions": [
                        "iam:putuserpolicy"
                    ]
                },
                {
                    "type": "PutGroupPolicy",
                    "actions": [
                        "iam:putgrouppolicy"
                    ]
                }
            ],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "iam:CreateVirtualMFADevice",
                "iam:CreateOpenIDConnectProvider",
                "iam:DeleteOpenIDConnectProvider",
                "iam:UpdateLoginProfile",
                "iam:DetachGroupPolicy",
                "iam:UpdateAssumeRolePolicy",
                "iam:DeleteUserPolicy",
                "iam:DeleteGroupPolicy",
                "iam:DeleteGroup",
                "iam:DeleteUser",
                "iam:PutRolePolicy",
                "iam:UpdateOpenIDConnectProviderThumbprint",
                "iam:CreateAccessKey",
                "iam:DeleteAccessKey",
                "iam:RemoveUserFromGroup",
                "iam:RemoveRoleFromInstanceProfile",
                "iam:AddRoleToInstanceProfile",
                "iam:UpdateSigningCertificate",
                "iam:ResyncMFADevice",
                "iam:ChangePassword",
                "iam:DeleteSigningCertificate",
                "iam:CreateServiceSpecificCredential",
                "iam:UpdateAccessKey",
                "iam:DeletePolicy",
                "iam:CreateRole",
                "iam:CreateSAMLProvider",
                "iam:CreatePolicyVersion",
                "iam:ResetServiceSpecificCredential",
                "iam:EnableMFADevice",
                "iam:DeleteInstanceProfile",
                "iam:UpdateServerCertificate",
                "iam:CreateLoginProfile",
                "iam:DeleteVirtualMFADevice",
                "iam:UpdateRoleDescription",
                "iam:UploadSSHPublicKey",
                "iam:UpdateSAMLProvider",
                "iam:CreateUser",
                "iam:DeleteSSHPublicKey",
                "iam:UploadSigningCertificate",
                "iam:DeactivateMFADevice",
                "iam:DetachUserPolicy",
                "iam:RemoveClientIDFromOpenIDConnectProvider",
                "iam:PutRolePermissionsBoundary",
                "iam:DetachRolePolicy",
                "iam:CreateInstanceProfile",
                "iam:DeleteRolePermissionsBoundary",
                "iam:UpdateServiceSpecificCredential",
                "iam:AddClientIDToOpenIDConnectProvider",
                "iam:CreatePolicy",
                "iam:DeleteSAMLProvider",
                "iam:PutUserPolicy",
                "iam:UpdateRole",
                "iam:DeleteServerCertificate",
                "iam:DeleteLoginProfile",
                "iam:UploadServerCertificate",
                "iam:AttachGroupPolicy",
                "iam:PutGroupPolicy",
                "iam:AddUserToGroup",
                "iam:PassRole",
                "iam:DeleteRole",
                "iam:CreateGroup",
                "iam:UpdateSSHPublicKey",
                "iam:DeleteUserPermissionsBoundary",
                "iam:DeletePolicyVersion",
                "iam:PutUserPermissionsBoundary",
                "iam:AttachUserPolicy",
                "iam:CreateServiceLinkedRole",
                "iam:DeleteServiceLinkedRole",
                "iam:SetDefaultPolicyVersion",
                "iam:UpdateUser",
                "iam:DeleteServiceSpecificCredential",
                "iam:UpdateGroup",
                "iam:AttachRolePolicy",
                "iam:DeleteRolePolicy"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "iam"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": [
                "iam:CreateServiceSpecificCredential",
                "iam:CreateLoginProfile",
                "iam:UpdateAccessKey",
                "iam:ResetServiceSpecificCredential",
                "iam:CreateAccessKey"
            ]
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "iam:CreateVirtualMFADevice",
                "iam:CreateOpenIDConnectProvider",
                "iam:DeleteOpenIDConnectProvider",
                "iam:UpdateLoginProfile",
                "iam:UntagSAMLProvider",
                "iam:TagSAMLProvider",
                "iam:DetachGroupPolicy",
                "iam:UpdateAssumeRolePolicy",
                "iam:DeleteUserPolicy",
                "iam:DeleteGroupPolicy",
                "iam:DeleteGroup",
                "iam:DeleteUser",
                "iam:UntagRole",
                "iam:PutRolePolicy",
                "iam:UpdateOpenIDConnectProviderThumbprint",
                "iam:CreateAccessKey",
                "iam:TagRole",
                "iam:DeleteAccessKey",
                "iam:RemoveUserFromGroup",
                "iam:RemoveRoleFromInstanceProfile",
                "iam:UntagMFADevice",
                "iam:AddRoleToInstanceProfile",
                "iam:UpdateSigningCertificate",
                "iam:ResyncMFADevice",
                "iam:UntagPolicy",
                "iam:ChangePassword",
                "iam:TagServerCertificate",
                "iam:DeleteSigningCertificate",
                "iam:CreateServiceSpecificCredential",
                "iam:UpdateAccessKey",
                "iam:DeletePolicy",
                "iam:CreateRole",
                "iam:CreateSAMLProvider",
                "iam:CreatePolicyVersion",
                "iam:ResetServiceSpecificCredential",
                "iam:EnableMFADevice",
                "iam:DeleteInstanceProfile",
                "iam:TagPolicy",
                "iam:TagUser",
                "iam:UpdateServerCertificate",
                "iam:CreateLoginProfile",
                "iam:DeleteVirtualMFADevice",
                "iam:UpdateRoleDescription",
                "iam:UploadSSHPublicKey",
                "iam:UpdateSAMLProvider",
                "iam:CreateUser",
                "iam:DeleteSSHPublicKey",
                "iam:UntagUser",
                "iam:UploadSigningCertificate",
                "iam:DeactivateMFADevice",
                "iam:DetachUserPolicy",
                "iam:RemoveClientIDFromOpenIDConnectProvider",
                "iam:PutRolePermissionsBoundary",
                "iam:DetachRolePolicy",
                "iam:TagInstanceProfile",
                "iam:CreateInstanceProfile",
                "iam:DeleteRolePermissionsBoundary",
                "iam:UpdateServiceSpecificCredential",
                "iam:AddClientIDToOpenIDConnectProvider",
                "iam:CreatePolicy",
                "iam:DeleteSAMLProvider",
                "iam:PutUserPolicy",
                "iam:UpdateRole",
                "iam:UntagServerCertificate",
                "iam:DeleteServerCertificate",
                "iam:DeleteLoginProfile",
                "iam:UploadServerCertificate",
                "iam:AttachGroupPolicy",
                "iam:PutGroupPolicy",
                "iam:AddUserToGroup",
                "iam:TagOpenIDConnectProvider",
                "iam:PassRole",
                "iam:DeleteRole",
                "iam:CreateGroup",
                "iam:UpdateSSHPublicKey",
                "iam:DeleteUserPermissionsBoundary",
                "iam:DeletePolicyVersion",
                "iam:PutUserPermissionsBoundary",
                "iam:AttachUserPolicy",
                "iam:TagMFADevice",
                "iam:CreateServiceLinkedRole",
                "iam:DeleteServiceLinkedRole",
                "iam:UntagInstanceProfile",
                "iam:SetDefaultPolicyVersion",
                "iam:UpdateUser",
                "iam:DeleteServiceSpecificCredential",
                "iam:UpdateGroup",
                "iam:UntagOpenIDConnectProvider",
                "iam:AttachRolePolicy",
                "iam:DeleteRolePolicy"
            ]
},
            "is_excluded": false
        },
        "ANPAIFIR6V6BVTRAHWINE": {
            "PolicyName": "AmazonS3FullAccess",
            "PolicyId": "ANPAIFIR6V6BVTRAHWINE",
            "Arn": "arn:aws:iam::aws:policy/AmazonS3FullAccess",
            "Path": "/",
            "DefaultVersionId": "v1",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:40:58+00:00",
            "UpdateDate": "2015-02-06 18:40:58+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "Action": "s3:*",
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v1",
                    "IsDefaultVersion": true,
                    "CreateDate": "2015-02-06 18:40:58+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": [
                "s3:GetObject"
            ]
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "s3:BypassGovernanceRetention",
                "s3:DeleteBucketPolicy",
                "s3:PutObjectAcl",
                "s3:PutAccessPointPolicy",
                "s3:PutAccessPointPolicyForObjectLambda",
                "s3:PutBucketPublicAccessBlock",
                "s3:ObjectOwnerOverrideToBucketOwner",
                "s3:DeleteAccessPointPolicy",
                "s3:PutMultiRegionAccessPointPolicy",
                "s3:DeleteAccessPointPolicyForObjectLambda",
                "s3:PutBucketAcl",
                "s3:PutBucketPolicy",
                "s3:PutObjectVersionAcl"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "s3"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "s3:DeleteBucketWebsite",
                "s3:PutObjectAcl",
                "s3:DeleteObjectTagging",
                "s3:PutIntelligentTieringConfiguration",
                "s3:PutObjectTagging",
                "s3:PutObjectLegalHold",
                "s3:PutMultiRegionAccessPointPolicy",
                "s3:PutBucketPublicAccessBlock",
                "s3:PutInventoryConfiguration",
                "s3:PutReplicationConfiguration",
                "s3:PutBucketOwnershipControls",
                "s3:UpdateJobStatus",
                "s3:DeleteAccessPointPolicyForObjectLambda",
                "s3:PutJobTagging",
                "s3:CreateAccessPoint",
                "s3:PutBucketObjectLockConfiguration",
                "s3:PutBucketTagging",
                "s3:PutBucketAcl",
                "s3:PutAnalyticsConfiguration",
                "s3:PutMetricsConfiguration",
                "s3:PutAccessPointPolicy",
                "s3:PutStorageLensConfigurationTagging",
                "s3:CreateBucket",
                "s3:ObjectOwnerOverrideToBucketOwner",
                "s3:PutBucketPolicy",
                "s3:PutBucketRequestPayment",
                "s3:DeleteObject",
                "s3:DeleteJobTagging",
                "s3:AbortMultipartUpload",
                "s3:PutAccessPointPolicyForObjectLambda",
                "s3:PutLifecycleConfiguration",
                "s3:PutBucketLogging",
                "s3:BypassGovernanceRetention",
                "s3:DeleteStorageLensConfigurationTagging",
                "s3:RestoreObject",
                "s3:DeleteAccessPointPolicy",
                "s3:PutBucketCORS",
                "s3:DeleteBucketPolicy",
                "s3:DeleteStorageLensConfiguration",
                "s3:PutBucketVersioning",
                "s3:DeleteBucketOwnershipControls",
                "s3:CreateAccessPointForObjectLambda",
                "s3:PutAccessPointConfigurationForObjectLambda",
                "s3:PutBucketWebsite",
                "s3:DeleteMultiRegionAccessPoint",
                "s3:PutObjectRetention",
                "s3:CreateMultiRegionAccessPoint",
                "s3:DeleteAccessPointForObjectLambda",
                "s3:PutObjectVersionAcl",
                "s3:ReplicateTags",
                "s3:PutObject",
                "s3:ReplicateDelete",
                "s3:DeleteBucket",
                "s3:DeleteAccessPoint",
                "s3:PutBucketNotification",
                "s3:PutObjectVersionTagging",
                "s3:DeleteObjectVersionTagging",
                "s3:GetObject",
                "s3:PutAccelerateConfiguration",
                "s3:UpdateJobPriority",
                "s3:ReplicateObject",
                "s3:DeleteObjectVersion",
                "s3:PutEncryptionConfiguration"
            ]
},
            "is_excluded": false
        },
        "ANPAIICZJNOJN36GTG6CM": {
            "PolicyName": "AmazonVPCReadOnlyAccess",
            "PolicyId": "ANPAIICZJNOJN36GTG6CM",
            "Arn": "arn:aws:iam::aws:policy/AmazonVPCReadOnlyAccess",
            "Path": "/",
            "DefaultVersionId": "v6",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:41:17+00:00",
            "UpdateDate": "2018-03-07 18:34:42+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "ec2:DescribeAccountAttributes",
                                    "ec2:DescribeAddresses",
                                    "ec2:DescribeClassicLinkInstances",
                                    "ec2:DescribeCustomerGateways",
                                    "ec2:DescribeDhcpOptions",
                                    "ec2:DescribeEgressOnlyInternetGateways",
                                    "ec2:DescribeFlowLogs",
                                    "ec2:DescribeInternetGateways",
                                    "ec2:DescribeMovingAddresses",
                                    "ec2:DescribeNatGateways",
                                    "ec2:DescribeNetworkAcls",
                                    "ec2:DescribeNetworkInterfaceAttribute",
                                    "ec2:DescribeNetworkInterfacePermissions",
                                    "ec2:DescribeNetworkInterfaces",
                                    "ec2:DescribePrefixLists",
                                    "ec2:DescribeRouteTables",
                                    "ec2:DescribeSecurityGroupReferences",
                                    "ec2:DescribeSecurityGroups",
                                    "ec2:DescribeStaleSecurityGroups",
                                    "ec2:DescribeSubnets",
                                    "ec2:DescribeTags",
                                    "ec2:DescribeVpcAttribute",
                                    "ec2:DescribeVpcClassicLink",
                                    "ec2:DescribeVpcClassicLinkDnsSupport",
                                    "ec2:DescribeVpcEndpoints",
                                    "ec2:DescribeVpcEndpointConnectionNotifications",
                                    "ec2:DescribeVpcEndpointConnections",
                                    "ec2:DescribeVpcEndpointServiceConfigurations",
                                    "ec2:DescribeVpcEndpointServicePermissions",
                                    "ec2:DescribeVpcEndpointServices",
                                    "ec2:DescribeVpcPeeringConnections",
                                    "ec2:DescribeVpcs",
                                    "ec2:DescribeVpnConnections",
                                    "ec2:DescribeVpnGateways"
                                ],
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v6",
                    "IsDefaultVersion": true,
                    "CreateDate": "2018-03-07 18:34:42+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": []
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": []
},
            "is_excluded": false
        },
        "ANPAIKEABORKUXN6DEAZU": {
            "PolicyName": "CloudWatchFullAccess",
            "PolicyId": "ANPAIKEABORKUXN6DEAZU",
            "Arn": "arn:aws:iam::aws:policy/CloudWatchFullAccess",
            "Path": "/",
            "DefaultVersionId": "v3",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:40:00+00:00",
            "UpdateDate": "2018-08-09 19:10:43+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Action": [
                                    "autoscaling:Describe*",
                                    "cloudwatch:*",
                                    "logs:*",
                                    "sns:*",
                                    "iam:GetPolicy",
                                    "iam:GetPolicyVersion",
                                    "iam:GetRole"
                                ],
                                "Effect": "Allow",
                                "Resource": "*"
                            },
                            {
                                "Effect": "Allow",
                                "Action": "iam:CreateServiceLinkedRole",
                                "Resource": "arn:aws:iam::*:role/aws-service-role/events.amazonaws.com/AWSServiceRoleForCloudWatchEvents*",
                                "Condition": {
                                    "StringLike": {
                                        "iam:AWSServiceName": "events.amazonaws.com"
                                    }
                                }
                            }
                        ]
                    },
                    "VersionId": "v3",
                    "IsDefaultVersion": true,
                    "CreateDate": "2018-08-09 19:10:43+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "sns:AddPermission",
                "sns:CreateTopic",
                "sns:SetTopicAttributes",
                "sns:RemovePermission"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "cloudwatch",
                "logs",
                "sns"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "sns:Publish",
                "cloudwatch:DisableInsightRules",
                "sns:ConfirmSubscription",
                "sns:AddPermission",
                "cloudwatch:StartMetricStreams",
                "logs:AssociateKmsKey",
                "logs:DisassociateKmsKey",
                "cloudwatch:DeleteAlarms",
                "sns:DeleteTopic",
                "logs:PutLogEvents",
                "cloudwatch:PutCompositeAlarm",
                "cloudwatch:PutMetricStream",
                "logs:TagLogGroup",
                "cloudwatch:DeleteMetricStream",
                "sns:CreateTopic",
                "logs:PutSubscriptionFilter",
                "logs:CreateLogGroup",
                "logs:PutMetricFilter",
                "sns:Subscribe",
                "cloudwatch:PutInsightRule",
                "cloudwatch:StopMetricStreams",
                "logs:UntagLogGroup",
                "cloudwatch:TagResource",
                "logs:PutRetentionPolicy",
                "cloudwatch:DeleteInsightRules",
                "sns:UntagResource",
                "logs:CreateExportTask",
                "logs:DeleteSubscriptionFilter",
                "sns:SetTopicAttributes",
                "cloudwatch:PutMetricAlarm",
                "logs:CreateLogStream",
                "sns:TagResource",
                "sns:RemovePermission",
                "logs:DeleteLogGroup",
                "logs:DeleteLogStream",
                "cloudwatch:PutDashboard",
                "cloudwatch:SetAlarmState",
                "cloudwatch:EnableInsightRules",
                "cloudwatch:DeleteDashboards",
                "cloudwatch:UntagResource",
                "logs:DeleteMetricFilter",
                "cloudwatch:EnableAlarmActions",
                "cloudwatch:DisableAlarmActions",
                "logs:DeleteRetentionPolicy"
            ]
},
            "is_excluded": false
        },
        "ANPAINAW5ANUWTH3R4ANI": {
            "PolicyName": "AWSDirectoryServiceFullAccess",
            "PolicyId": "ANPAINAW5ANUWTH3R4ANI",
            "Arn": "arn:aws:iam::aws:policy/AWSDirectoryServiceFullAccess",
            "Path": "/",
            "DefaultVersionId": "v4",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:41:11+00:00",
            "UpdateDate": "2019-02-05 20:29:43+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Action": [
                                    "ds:*",
                                    "ec2:AuthorizeSecurityGroupEgress",
                                    "ec2:AuthorizeSecurityGroupIngress",
                                    "ec2:CreateNetworkInterface",
                                    "ec2:CreateSecurityGroup",
                                    "ec2:DeleteNetworkInterface",
                                    "ec2:DeleteSecurityGroup",
                                    "ec2:DescribeNetworkInterfaces",
                                    "ec2:DescribeSubnets",
                                    "ec2:DescribeVpcs",
                                    "ec2:RevokeSecurityGroupEgress",
                                    "ec2:RevokeSecurityGroupIngress",
                                    "ec2:DescribeSecurityGroups",
                                    "sns:GetTopicAttributes",
                                    "sns:ListSubscriptions",
                                    "sns:ListSubscriptionsByTopic",
                                    "sns:ListTopics",
                                    "iam:ListRoles",
                                    "organizations:ListAccountsForParent",
                                    "organizations:ListRoots",
                                    "organizations:ListAccounts",
                                    "organizations:DescribeOrganization",
                                    "organizations:DescribeAccount",
                                    "organizations:ListOrganizationalUnitsForParent",
                                    "organizations:ListAWSServiceAccessForOrganization"
                                ],
                                "Effect": "Allow",
                                "Resource": "*"
                            },
                            {
                                "Action": [
                                    "sns:CreateTopic",
                                    "sns:DeleteTopic",
                                    "sns:SetTopicAttributes",
                                    "sns:Subscribe",
                                    "sns:Unsubscribe"
                                ],
                                "Effect": "Allow",
                                "Resource": "arn:aws:sns:*:*:DirectoryMonitoring*"
                            },
                            {
                                "Action": [
                                    "organizations:EnableAWSServiceAccess",
                                    "organizations:DisableAWSServiceAccess"
                                ],
                                "Effect": "Allow",
                                "Resource": "*",
                                "Condition": {
                                    "ForAllValues:StringLike": {
                                        "organizations:ServicePrincipal": [
                                            "ds.amazonaws.com"
                                        ]
                                    }
                                }
                            },
                            {
                                "Action": [
                                    "ec2:CreateTags",
                                    "ec2:DeleteTags"
                                ],
                                "Effect": "Allow",
                                "Resource": [
                                    "arn:aws:ec2:*:*:network-interface/*",
                                    "arn:aws:ec2:*:*:security-group/*"
                                ]
                            }
                        ]
                    },
                    "VersionId": "v4",
                    "IsDefaultVersion": true,
                    "CreateDate": "2019-02-05 20:29:43+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "ds:CreateConditionalForwarder",
                "ds:CreateTrust",
                "ds:ShareDirectory"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "ds"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "ds:CreateLogSubscription",
                "ds:EnableLDAPS",
                "ds:RegisterEventTopic",
                "ds:RestoreFromSnapshot",
                "ds:RemoveIpRoutes",
                "ds:StartSchemaExtension",
                "ds:ResetUserPassword",
                "ds:CreateComputer",
                "ds:DisableClientAuthentication",
                "ds:UpdateNumberOfDomainControllers",
                "ec2:DeleteSecurityGroup",
                "ds:CreateSnapshot",
                "ds:EnableSso",
                "ec2:AuthorizeSecurityGroupIngress",
                "ds:EnableClientAuthentication",
                "ds:DeregisterCertificate",
                "ds:UnauthorizeApplication",
                "ds:AcceptSharedDirectory",
                "ds:DeleteSnapshot",
                "ds:DeleteDirectory",
                "ds:ShareDirectory",
                "ds:AuthorizeApplication",
                "ds:DisableRadius",
                "ds:AddTagsToResource",
                "ds:AddIpRoutes",
                "ds:UpdateRadius",
                "ds:UnshareDirectory",
                "ds:UpdateConditionalForwarder",
                "ds:DisableLDAPS",
                "ec2:RevokeSecurityGroupEgress",
                "ds:UpdateTrust",
                "ds:CreateAlias",
                "ds:RejectSharedDirectory",
                "ds:DeleteLogSubscription",
                "ds:CreateTrust",
                "ds:DeleteConditionalForwarder",
                "ec2:CreateSecurityGroup",
                "ec2:CreateNetworkInterface",
                "ds:CancelSchemaExtension",
                "ec2:RevokeSecurityGroupIngress",
                "ds:CreateConditionalForwarder",
                "ds:RemoveRegion",
                "ec2:DeleteNetworkInterface",
                "ds:DisableSso",
                "ds:RemoveTagsFromResource",
                "ds:DeregisterEventTopic",
                "ds:RegisterCertificate",
                "ds:EnableRadius",
                "ds:AddRegion",
                "ds:DeleteTrust",
                "ec2:AuthorizeSecurityGroupEgress"
            ]
},
            "is_excluded": false
        },
        "ANPAIONKN3TJZUKXCHXWC": {
            "PolicyName": "AWSCodeDeployFullAccess",
            "PolicyId": "ANPAIONKN3TJZUKXCHXWC",
            "Arn": "arn:aws:iam::aws:policy/AWSCodeDeployFullAccess",
            "Path": "/",
            "DefaultVersionId": "v3",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-05-19 18:13:23+00:00",
            "UpdateDate": "2020-04-02 16:14:47+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Action": "codedeploy:*",
                                "Effect": "Allow",
                                "Resource": "*"
                            },
                            {
                                "Sid": "CodeStarNotificationsReadWriteAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "codestar-notifications:CreateNotificationRule",
                                    "codestar-notifications:DescribeNotificationRule",
                                    "codestar-notifications:UpdateNotificationRule",
                                    "codestar-notifications:DeleteNotificationRule",
                                    "codestar-notifications:Subscribe",
                                    "codestar-notifications:Unsubscribe"
                                ],
                                "Resource": "*",
                                "Condition": {
                                    "StringLike": {
                                        "codestar-notifications:NotificationsForResource": "arn:aws:codedeploy:*"
                                    }
                                }
                            },
                            {
                                "Sid": "CodeStarNotificationsListAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "codestar-notifications:ListNotificationRules",
                                    "codestar-notifications:ListTargets",
                                    "codestar-notifications:ListTagsforResource",
                                    "codestar-notifications:ListEventTypes"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Sid": "CodeStarNotificationsSNSTopicCreateAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "sns:CreateTopic",
                                    "sns:SetTopicAttributes"
                                ],
                                "Resource": "arn:aws:sns:*:*:codestar-notifications*"
                            },
                            {
                                "Sid": "CodeStarNotificationsChatbotAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "chatbot:DescribeSlackChannelConfigurations"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Sid": "SNSTopicListAccess",
                                "Effect": "Allow",
                                "Action": [
                                    "sns:ListTopics"
                                ],
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v3",
                    "IsDefaultVersion": true,
                    "CreateDate": "2020-04-02 16:14:47+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": []
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "codedeploy"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "codedeploy:DeleteApplication",
                "codedeploy:DeleteDeploymentGroup",
                "codedeploy:AddTagsToOnPremisesInstances",
                "codedeploy:CreateDeployment",
                "codedeploy:UntagResource",
                "codedeploy:UpdateDeploymentGroup",
                "codedeploy:DeleteDeploymentConfig",
                "codedeploy:CreateDeploymentConfig",
                "codedeploy:DeregisterOnPremisesInstance",
                "codedeploy:UpdateApplication",
                "codedeploy:RegisterOnPremisesInstance",
                "codedeploy:TagResource",
                "codedeploy:RemoveTagsFromOnPremisesInstances",
                "codedeploy:RegisterApplicationRevision",
                "codedeploy:CreateDeploymentGroup",
                "codedeploy:CreateApplication",
                "codestar-notifications:CreateNotificationRule",
                "codestar-notifications:Unsubscribe",
                "codestar-notifications:UpdateNotificationRule",
                "codestar-notifications:Subscribe",
                "codestar-notifications:DeleteNotificationRule"
            ]
},
            "is_excluded": false
        },
        "ANPAIQNUJTQYDRJPC3BNK": {
            "PolicyName": "AWSCloudTrailFullAccess",
            "PolicyId": "ANPAIQNUJTQYDRJPC3BNK",
            "Arn": "arn:aws:iam::aws:policy/AWSCloudTrailFullAccess",
            "Path": "/",
            "DefaultVersionId": "v8",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:39:58+00:00",
            "UpdateDate": "2019-09-12 23:08:46+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "sns:AddPermission",
                                    "sns:CreateTopic",
                                    "sns:DeleteTopic",
                                    "sns:ListTopics",
                                    "sns:SetTopicAttributes",
                                    "sns:GetTopicAttributes"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "s3:CreateBucket",
                                    "s3:DeleteBucket",
                                    "s3:ListAllMyBuckets",
                                    "s3:PutBucketPolicy",
                                    "s3:ListBucket",
                                    "s3:GetObject",
                                    "s3:GetBucketLocation",
                                    "s3:GetBucketPolicy"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Effect": "Allow",
                                "Action": "cloudtrail:*",
                                "Resource": "*"
                            },
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "logs:CreateLogGroup"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "iam:ListRoles",
                                    "iam:GetRolePolicy",
                                    "iam:GetUser"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "iam:PassRole"
                                ],
                                "Resource": "*",
                                "Condition": {
                                    "StringEquals": {
                                        "iam:PassedToService": "cloudtrail.amazonaws.com"
                                    }
                                }
                            },
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "kms:ListKeys",
                                    "kms:ListAliases"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "lambda:ListFunctions"
                                ],
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v8",
                    "IsDefaultVersion": true,
                    "CreateDate": "2019-09-12 23:08:46+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": [
                "s3:GetObject"
            ]
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "sns:AddPermission",
                "sns:CreateTopic",
                "sns:SetTopicAttributes",
                "s3:PutBucketPolicy",
                "iam:PassRole"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "cloudtrail"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "sns:CreateTopic",
                "sns:DeleteTopic",
                "sns:SetTopicAttributes",
                "sns:AddPermission",
                "s3:DeleteBucket",
                "s3:GetObject",
                "s3:PutBucketPolicy",
                "s3:CreateBucket",
                "cloudtrail:AddTags",
                "cloudtrail:CreateTrail",
                "cloudtrail:PutInsightSelectors",
                "cloudtrail:StartLogging",
                "cloudtrail:PutEventSelectors",
                "cloudtrail:DeleteTrail",
                "cloudtrail:UpdateTrail",
                "cloudtrail:RemoveTags",
                "cloudtrail:StopLogging",
                "logs:CreateLogGroup",
                "iam:PassRole"
            ]
},
            "is_excluded": false
        },
        "ANPAIX2T3QCXHR2OGGCTO": {
            "PolicyName": "SecurityAudit",
            "PolicyId": "ANPAIX2T3QCXHR2OGGCTO",
            "Arn": "arn:aws:iam::aws:policy/SecurityAudit",
            "Path": "/",
            "DefaultVersionId": "v32",
            "AttachmentCount": 2,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:41:01+00:00",
            "UpdateDate": "2020-02-25 16:08:50+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "Resource": "*",
                                "Action": [
                                    "access-analyzer:GetAnalyzedResource",
                                    "access-analyzer:GetAnalyzer",
                                    "access-analyzer:GetArchiveRule",
                                    "access-analyzer:GetFinding",
                                    "access-analyzer:ListAnalyzedResources",
                                    "access-analyzer:ListAnalyzers",
                                    "access-analyzer:ListArchiveRules",
                                    "access-analyzer:ListFindings",
                                    "access-analyzer:ListTagsForResource",
                                    "acm:Describe*",
                                    "acm:List*",
                                    "application-autoscaling:Describe*",
                                    "appmesh:Describe*",
                                    "appmesh:List*",
                                    "appsync:List*",
                                    "athena:GetWorkGroup",
                                    "athena:List*",
                                    "autoscaling:Describe*",
                                    "batch:DescribeComputeEnvironments",
                                    "batch:DescribeJobDefinitions",
                                    "chime:List*",
                                    "cloud9:Describe*",
                                    "cloud9:ListEnvironments",
                                    "clouddirectory:ListDirectories",
                                    "cloudformation:DescribeStack*",
                                    "cloudformation:GetTemplate",
                                    "cloudformation:ListStack*",
                                    "cloudformation:GetStackPolicy",
                                    "cloudfront:Get*",
                                    "cloudfront:List*",
                                    "cloudhsm:ListHapgs",
                                    "cloudhsm:ListHsms",
                                    "cloudhsm:ListLunaClients",
                                    "cloudsearch:DescribeDomains",
                                    "cloudsearch:DescribeServiceAccessPolicies",
                                    "cloudtrail:DescribeTrails",
                                    "cloudtrail:GetEventSelectors",
                                    "cloudtrail:GetTrailStatus",
                                    "cloudtrail:ListTags",
                                    "cloudtrail:LookupEvents",
                                    "cloudwatch:Describe*",
                                    "codebuild:ListProjects",
                                    "codecommit:BatchGetRepositories",
                                    "codecommit:GetBranch",
                                    "codecommit:GetObjectIdentifier",
                                    "codecommit:GetRepository",
                                    "codecommit:List*",
                                    "codedeploy:Batch*",
                                    "codedeploy:Get*",
                                    "codedeploy:List*",
                                    "codepipeline:ListPipelines",
                                    "codestar:Describe*",
                                    "codestar:List*",
                                    "cognito-identity:ListIdentityPools",
                                    "cognito-idp:ListUserPools",
                                    "cognito-sync:Describe*",
                                    "cognito-sync:List*",
                                    "comprehend:Describe*",
                                    "comprehend:List*",
                                    "config:BatchGetAggregateResourceConfig",
                                    "config:BatchGetResourceConfig",
                                    "config:Deliver*",
                                    "config:Describe*",
                                    "config:Get*",
                                    "config:List*",
                                    "datapipeline:DescribeObjects",
                                    "datapipeline:DescribePipelines",
                                    "datapipeline:EvaluateExpression",
                                    "datapipeline:GetPipelineDefinition",
                                    "datapipeline:ListPipelines",
                                    "datapipeline:QueryObjects",
                                    "datapipeline:ValidatePipelineDefinition",
                                    "datasync:Describe*",
                                    "datasync:List*",
                                    "dax:Describe*",
                                    "dax:ListTags",
                                    "directconnect:Describe*",
                                    "dms:Describe*",
                                    "dms:ListTagsForResource",
                                    "ds:DescribeDirectories",
                                    "dynamodb:DescribeContinuousBackups",
                                    "dynamodb:DescribeGlobalTable",
                                    "dynamodb:DescribeTable",
                                    "dynamodb:DescribeTimeToLive",
                                    "dynamodb:ListBackups",
                                    "dynamodb:ListGlobalTables",
                                    "dynamodb:ListStreams",
                                    "dynamodb:ListTables",
                                    "ec2:Describe*",
                                    "ecr:DescribeRepositories",
                                    "ecr:GetRepositoryPolicy",
                                    "ecs:Describe*",
                                    "ecs:List*",
                                    "eks:DescribeCluster",
                                    "eks:ListClusters",
                                    "elasticache:Describe*",
                                    "elasticbeanstalk:Describe*",
                                    "elasticfilesystem:DescribeFileSystems",
                                    "elasticfilesystem:DescribeMountTargetSecurityGroups",
                                    "elasticfilesystem:DescribeMountTargets",
                                    "elasticloadbalancing:Describe*",
                                    "elasticmapreduce:Describe*",
                                    "elasticmapreduce:ListClusters",
                                    "elasticmapreduce:ListInstances",
                                    "es:Describe*",
                                    "es:ListDomainNames",
                                    "events:Describe*",
                                    "events:List*",
                                    "firehose:Describe*",
                                    "firehose:List*",
                                    "fms:ListComplianceStatus",
                                    "fms:ListPolicies",
                                    "fsx:Describe*",
                                    "fsx:List*",
                                    "gamelift:ListBuilds",
                                    "gamelift:ListFleets",
                                    "glacier:DescribeVault",
                                    "glacier:GetVaultAccessPolicy",
                                    "glacier:ListVaults",
                                    "globalaccelerator:Describe*",
                                    "globalaccelerator:List*",
                                    "greengrass:List*",
                                    "guardduty:Get*",
                                    "guardduty:List*",
                                    "iam:GenerateCredentialReport",
                                    "iam:GenerateServiceLastAccessedDetails",
                                    "iam:Get*",
                                    "iam:List*",
                                    "iam:SimulateCustomPolicy",
                                    "iam:SimulatePrincipalPolicy",
                                    "inspector:Describe*",
                                    "inspector:Get*",
                                    "inspector:List*",
                                    "inspector:Preview*",
                                    "iot:Describe*",
                                    "iot:GetPolicy",
                                    "iot:GetPolicyVersion",
                                    "iot:List*",
                                    "kinesis:DescribeStream",
                                    "kinesis:ListStreams",
                                    "kinesis:ListTagsForStream",
                                    "kinesisanalytics:ListApplications",
                                    "kms:Describe*",
                                    "kms:Get*",
                                    "kms:List*",
                                    "lambda:GetAccountSettings",
                                    "lambda:GetFunctionConfiguration",
                                    "lambda:GetLayerVersionPolicy",
                                    "lambda:GetPolicy",
                                    "lambda:List*",
                                    "license-manager:List*",
                                    "lightsail:GetInstances",
                                    "lightsail:GetLoadBalancers",
                                    "logs:Describe*",
                                    "logs:ListTagsLogGroup",
                                    "machinelearning:DescribeMLModels",
                                    "mediaconnect:Describe*",
                                    "mediaconnect:List*",
                                    "mediastore:GetContainerPolicy",
                                    "mediastore:ListContainers",
                                    "opsworks:DescribeStacks",
                                    "opsworks-cm:DescribeServers",
                                    "organizations:List*",
                                    "organizations:Describe*",
                                    "quicksight:Describe*",
                                    "quicksight:List*",
                                    "ram:List*",
                                    "rds:Describe*",
                                    "rds:DownloadDBLogFilePortion",
                                    "rds:ListTagsForResource",
                                    "redshift:Describe*",
                                    "rekognition:Describe*",
                                    "rekognition:List*",
                                    "robomaker:Describe*",
                                    "robomaker:List*",
                                    "route53:Get*",
                                    "route53:List*",
                                    "route53domains:GetDomainDetail",
                                    "route53domains:GetOperationDetail",
                                    "route53domains:ListDomains",
                                    "route53domains:ListOperations",
                                    "route53domains:ListTagsForDomain",
                                    "route53resolver:List*",
                                    "route53resolver:Get*",
                                    "s3:GetAccelerateConfiguration",
                                    "s3:GetAccessPoint",
                                    "s3:GetAccessPointPolicy",
                                    "s3:GetAccessPointPolicyStatus",
                                    "s3:GetAccountPublicAccessBlock",
                                    "s3:GetAnalyticsConfiguration",
                                    "s3:GetBucket*",
                                    "s3:GetEncryptionConfiguration",
                                    "s3:GetInventoryConfiguration",
                                    "s3:GetLifecycleConfiguration",
                                    "s3:GetMetricsConfiguration",
                                    "s3:GetObjectAcl",
                                    "s3:GetObjectVersionAcl",
                                    "s3:GetReplicationConfiguration",
                                    "s3:ListAccessPoints",
                                    "s3:ListAllMyBuckets",
                                    "sagemaker:Describe*",
                                    "sagemaker:List*",
                                    "sdb:DomainMetadata",
                                    "sdb:ListDomains",
                                    "secretsmanager:GetResourcePolicy",
                                    "secretsmanager:ListSecrets",
                                    "secretsmanager:ListSecretVersionIds",
                                    "securityhub:Describe*",
                                    "securityhub:Get*",
                                    "securityhub:List*",
                                    "serverlessrepo:GetApplicationPolicy",
                                    "serverlessrepo:List*",
                                    "ses:GetIdentityDkimAttributes",
                                    "ses:GetIdentityPolicies",
                                    "ses:GetIdentityVerificationAttributes",
                                    "ses:ListIdentities",
                                    "ses:ListIdentityPolicies",
                                    "ses:ListVerifiedEmailAddresses",
                                    "shield:Describe*",
                                    "shield:List*",
                                    "snowball:ListClusters",
                                    "snowball:ListJobs",
                                    "sns:GetTopicAttributes",
                                    "sns:ListSubscriptionsByTopic",
                                    "sns:ListTopics",
                                    "sqs:GetQueueAttributes",
                                    "sqs:ListDeadLetterSourceQueues",
                                    "sqs:ListQueues",
                                    "sqs:ListQueueTags",
                                    "ssm:Describe*",
                                    "ssm:GetAutomationExecution",
                                    "ssm:ListDocuments",
                                    "sso:DescribePermissionsPolicies",
                                    "sso:List*",
                                    "states:ListStateMachines",
                                    "storagegateway:DescribeBandwidthRateLimit",
                                    "storagegateway:DescribeCache",
                                    "storagegateway:DescribeCachediSCSIVolumes",
                                    "storagegateway:DescribeGatewayInformation",
                                    "storagegateway:DescribeMaintenanceStartTime",
                                    "storagegateway:DescribeNFSFileShares",
                                    "storagegateway:DescribeSnapshotSchedule",
                                    "storagegateway:DescribeStorediSCSIVolumes",
                                    "storagegateway:DescribeTapeArchives",
                                    "storagegateway:DescribeTapeRecoveryPoints",
                                    "storagegateway:DescribeTapes",
                                    "storagegateway:DescribeUploadBuffer",
                                    "storagegateway:DescribeVTLDevices",
                                    "storagegateway:DescribeWorkingStorage",
                                    "storagegateway:List*",
                                    "tag:GetResources",
                                    "tag:GetTagKeys",
                                    "transfer:Describe*",
                                    "transfer:List*",
                                    "translate:List*",
                                    "trustedadvisor:Describe*",
                                    "waf:ListWebACLs",
                                    "waf-regional:ListWebACLs",
                                    "workspaces:Describe*"
                                ]
                            },
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "apigateway:GET"
                                ],
                                "Resource": [
                                    "arn:aws:apigateway:*::/apis",
                                    "arn:aws:apigateway:*::/apis/*/stages",
                                    "arn:aws:apigateway:*::/apis/*/stages/*",
                                    "arn:aws:apigateway:*::/apis/*/routes",
                                    "arn:aws:apigateway:*::/restapis",
                                    "arn:aws:apigateway:*::/restapis/*/authorizers",
                                    "arn:aws:apigateway:*::/restapis/*/authorizers/*",
                                    "arn:aws:apigateway:*::/restapis/*/documentation/versions",
                                    "arn:aws:apigateway:*::/restapis/*/resources",
                                    "arn:aws:apigateway:*::/restapis/*/resources/*",
                                    "arn:aws:apigateway:*::/restapis/*/resources/*/methods/*",
                                    "arn:aws:apigateway:*::/restapis/*/stages",
                                    "arn:aws:apigateway:*::/restapis/*/stages/*",
                                    "arn:aws:apigateway:*::/vpclinks"
                                ]
                            }
                        ]
                    },
                    "VersionId": "v32",
                    "IsDefaultVersion": true,
                    "CreateDate": "2020-02-25 16:08:50+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "quicksight:DescribeDataSetPermissions",
                "quicksight:DescribeDataSourcePermissions"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "quicksight:DescribeDataSourcePermissions",
                "chime:ListChannelMessages",
                "quicksight:DescribeDataSetPermissions"
            ]
},
            "is_excluded": false
        },
        "ANPAIZTJ4DXE7G6AGAE6M": {
            "PolicyName": "AmazonS3ReadOnlyAccess",
            "PolicyId": "ANPAIZTJ4DXE7G6AGAE6M",
            "Arn": "arn:aws:iam::aws:policy/AmazonS3ReadOnlyAccess",
            "Path": "/",
            "DefaultVersionId": "v1",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:40:59+00:00",
            "UpdateDate": "2015-02-06 18:40:59+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "s3:Get*",
                                    "s3:List*"
                                ],
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v1",
                    "IsDefaultVersion": true,
                    "CreateDate": "2015-02-06 18:40:59+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": [
                "s3:GetObject"
            ]
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": []
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "s3:GetObject"
            ]
},
            "is_excluded": false
        },
        "ANPAJ2P4NXCHAT7NDPNR4": {
            "PolicyName": "AmazonSESFullAccess",
            "PolicyId": "ANPAJ2P4NXCHAT7NDPNR4",
            "Arn": "arn:aws:iam::aws:policy/AmazonSESFullAccess",
            "Path": "/",
            "DefaultVersionId": "v1",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:41:02+00:00",
            "UpdateDate": "2015-02-06 18:41:02+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "ses:*"
                                ],
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v1",
                    "IsDefaultVersion": true,
                    "CreateDate": "2015-02-06 18:41:02+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "ses:CreateEmailIdentityPolicy",
                "ses:DeleteEmailIdentityPolicy",
                "ses:UpdateEmailIdentityPolicy"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "ses"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "ses:PutEmailIdentityDkimSigningAttributes",
                "ses:UpdateContactList",
                "ses:TestRenderEmailTemplate",
                "ses:CreateContactList",
                "ses:UpdateConfigurationSetEventDestination",
                "ses:SendBulkEmail",
                "ses:CreateEmailTemplate",
                "ses:SendCustomVerificationEmail",
                "ses:CreateContact",
                "ses:DeleteConfigurationSetEventDestination",
                "ses:PutConfigurationSetSendingOptions",
                "ses:PutConfigurationSetDeliveryOptions",
                "ses:UntagResource",
                "ses:CreateEmailIdentityPolicy",
                "ses:CreateCustomVerificationEmailTemplate",
                "ses:UpdateEmailTemplate",
                "ses:PutEmailIdentityConfigurationSetAttributes",
                "ses:PutConfigurationSetReputationOptions",
                "ses:PutConfigurationSetTrackingOptions",
                "ses:DeleteConfigurationSet",
                "ses:DeleteEmailIdentityPolicy",
                "ses:DeleteDedicatedIpPool",
                "ses:UpdateCustomVerificationEmailTemplate",
                "ses:SendEmail",
                "ses:PutDedicatedIpInPool",
                "ses:CreateConfigurationSetEventDestination",
                "ses:DeleteEmailTemplate",
                "ses:CreateConfigurationSet",
                "ses:PutEmailIdentityDkimAttributes",
                "ses:DeleteContactList",
                "ses:UpdateContact",
                "ses:PutEmailIdentityFeedbackAttributes",
                "ses:PutConfigurationSetSuppressionOptions",
                "ses:CreateDeliverabilityTestReport",
                "ses:UpdateEmailIdentityPolicy",
                "ses:CreateEmailIdentity",
                "ses:TagResource",
                "ses:DeleteEmailIdentity",
                "ses:DeleteCustomVerificationEmailTemplate",
                "ses:PutEmailIdentityMailFromAttributes",
                "ses:DeleteContact",
                "ses:CreateDedicatedIpPool"
            ]
},
            "is_excluded": false
        },
        "ANPAJBWPGNOVKZD3JI2P2": {
            "PolicyName": "AmazonVPCFullAccess",
            "PolicyId": "ANPAJBWPGNOVKZD3JI2P2",
            "Arn": "arn:aws:iam::aws:policy/AmazonVPCFullAccess",
            "Path": "/",
            "DefaultVersionId": "v7",
            "AttachmentCount": 2,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:41:16+00:00",
            "UpdateDate": "2018-03-15 18:30:25+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "ec2:AcceptVpcPeeringConnection",
                                    "ec2:AcceptVpcEndpointConnections",
                                    "ec2:AllocateAddress",
                                    "ec2:AssignIpv6Addresses",
                                    "ec2:AssignPrivateIpAddresses",
                                    "ec2:AssociateAddress",
                                    "ec2:AssociateDhcpOptions",
                                    "ec2:AssociateRouteTable",
                                    "ec2:AssociateSubnetCidrBlock",
                                    "ec2:AssociateVpcCidrBlock",
                                    "ec2:AttachClassicLinkVpc",
                                    "ec2:AttachInternetGateway",
                                    "ec2:AttachNetworkInterface",
                                    "ec2:AttachVpnGateway",
                                    "ec2:AuthorizeSecurityGroupEgress",
                                    "ec2:AuthorizeSecurityGroupIngress",
                                    "ec2:CreateCustomerGateway",
                                    "ec2:CreateDefaultSubnet",
                                    "ec2:CreateDefaultVpc",
                                    "ec2:CreateDhcpOptions",
                                    "ec2:CreateEgressOnlyInternetGateway",
                                    "ec2:CreateFlowLogs",
                                    "ec2:CreateInternetGateway",
                                    "ec2:CreateNatGateway",
                                    "ec2:CreateNetworkAcl",
                                    "ec2:CreateNetworkAcl",
                                    "ec2:CreateNetworkAclEntry",
                                    "ec2:CreateNetworkInterface",
                                    "ec2:CreateNetworkInterfacePermission",
                                    "ec2:CreateRoute",
                                    "ec2:CreateRouteTable",
                                    "ec2:CreateSecurityGroup",
                                    "ec2:CreateSubnet",
                                    "ec2:CreateTags",
                                    "ec2:CreateVpc",
                                    "ec2:CreateVpcEndpoint",
                                    "ec2:CreateVpcEndpointConnectionNotification",
                                    "ec2:CreateVpcEndpointServiceConfiguration",
                                    "ec2:CreateVpcPeeringConnection",
                                    "ec2:CreateVpnConnection",
                                    "ec2:CreateVpnConnectionRoute",
                                    "ec2:CreateVpnGateway",
                                    "ec2:DeleteCustomerGateway",
                                    "ec2:DeleteDhcpOptions",
                                    "ec2:DeleteEgressOnlyInternetGateway",
                                    "ec2:DeleteFlowLogs",
                                    "ec2:DeleteInternetGateway",
                                    "ec2:DeleteNatGateway",
                                    "ec2:DeleteNetworkAcl",
                                    "ec2:DeleteNetworkAclEntry",
                                    "ec2:DeleteNetworkInterface",
                                    "ec2:DeleteNetworkInterfacePermission",
                                    "ec2:DeleteRoute",
                                    "ec2:DeleteRouteTable",
                                    "ec2:DeleteSecurityGroup",
                                    "ec2:DeleteSubnet",
                                    "ec2:DeleteTags",
                                    "ec2:DeleteVpc",
                                    "ec2:DeleteVpcEndpoints",
                                    "ec2:DeleteVpcEndpointConnectionNotifications",
                                    "ec2:DeleteVpcEndpointServiceConfigurations",
                                    "ec2:DeleteVpcPeeringConnection",
                                    "ec2:DeleteVpnConnection",
                                    "ec2:DeleteVpnConnectionRoute",
                                    "ec2:DeleteVpnGateway",
                                    "ec2:DescribeAccountAttributes",
                                    "ec2:DescribeAddresses",
                                    "ec2:DescribeAvailabilityZones",
                                    "ec2:DescribeClassicLinkInstances",
                                    "ec2:DescribeCustomerGateways",
                                    "ec2:DescribeDhcpOptions",
                                    "ec2:DescribeEgressOnlyInternetGateways",
                                    "ec2:DescribeFlowLogs",
                                    "ec2:DescribeInstances",
                                    "ec2:DescribeInternetGateways",
                                    "ec2:DescribeKeyPairs",
                                    "ec2:DescribeMovingAddresses",
                                    "ec2:DescribeNatGateways",
                                    "ec2:DescribeNetworkAcls",
                                    "ec2:DescribeNetworkInterfaceAttribute",
                                    "ec2:DescribeNetworkInterfacePermissions",
                                    "ec2:DescribeNetworkInterfaces",
                                    "ec2:DescribePrefixLists",
                                    "ec2:DescribeRouteTables",
                                    "ec2:DescribeSecurityGroupReferences",
                                    "ec2:DescribeSecurityGroups",
                                    "ec2:DescribeStaleSecurityGroups",
                                    "ec2:DescribeSubnets",
                                    "ec2:DescribeTags",
                                    "ec2:DescribeVpcAttribute",
                                    "ec2:DescribeVpcClassicLink",
                                    "ec2:DescribeVpcClassicLinkDnsSupport",
                                    "ec2:DescribeVpcEndpointConnectionNotifications",
                                    "ec2:DescribeVpcEndpointConnections",
                                    "ec2:DescribeVpcEndpoints",
                                    "ec2:DescribeVpcEndpointServiceConfigurations",
                                    "ec2:DescribeVpcEndpointServicePermissions",
                                    "ec2:DescribeVpcEndpointServices",
                                    "ec2:DescribeVpcPeeringConnections",
                                    "ec2:DescribeVpcs",
                                    "ec2:DescribeVpnConnections",
                                    "ec2:DescribeVpnGateways",
                                    "ec2:DetachClassicLinkVpc",
                                    "ec2:DetachInternetGateway",
                                    "ec2:DetachNetworkInterface",
                                    "ec2:DetachVpnGateway",
                                    "ec2:DisableVgwRoutePropagation",
                                    "ec2:DisableVpcClassicLink",
                                    "ec2:DisableVpcClassicLinkDnsSupport",
                                    "ec2:DisassociateAddress",
                                    "ec2:DisassociateRouteTable",
                                    "ec2:DisassociateSubnetCidrBlock",
                                    "ec2:DisassociateVpcCidrBlock",
                                    "ec2:EnableVgwRoutePropagation",
                                    "ec2:EnableVpcClassicLink",
                                    "ec2:EnableVpcClassicLinkDnsSupport",
                                    "ec2:ModifyNetworkInterfaceAttribute",
                                    "ec2:ModifySubnetAttribute",
                                    "ec2:ModifyVpcAttribute",
                                    "ec2:ModifyVpcEndpoint",
                                    "ec2:ModifyVpcEndpointConnectionNotification",
                                    "ec2:ModifyVpcEndpointServiceConfiguration",
                                    "ec2:ModifyVpcEndpointServicePermissions",
                                    "ec2:ModifyVpcPeeringConnectionOptions",
                                    "ec2:ModifyVpcTenancy",
                                    "ec2:MoveAddressToVpc",
                                    "ec2:RejectVpcEndpointConnections",
                                    "ec2:RejectVpcPeeringConnection",
                                    "ec2:ReleaseAddress",
                                    "ec2:ReplaceNetworkAclAssociation",
                                    "ec2:ReplaceNetworkAclEntry",
                                    "ec2:ReplaceRoute",
                                    "ec2:ReplaceRouteTableAssociation",
                                    "ec2:ResetNetworkInterfaceAttribute",
                                    "ec2:RestoreAddressToClassic",
                                    "ec2:RevokeSecurityGroupEgress",
                                    "ec2:RevokeSecurityGroupIngress",
                                    "ec2:UnassignIpv6Addresses",
                                    "ec2:UnassignPrivateIpAddresses",
                                    "ec2:UpdateSecurityGroupRuleDescriptionsEgress",
                                    "ec2:UpdateSecurityGroupRuleDescriptionsIngress"
                                ],
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v7",
                    "IsDefaultVersion": true,
                    "CreateDate": "2018-03-15 18:30:25+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "ec2:ModifyVpcEndpointServicePermissions",
                "ec2:CreateNetworkInterfacePermission"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "ec2:DeleteVpcEndpointConnectionNotifications",
                "ec2:ModifyNetworkInterfaceAttribute",
                "ec2:RejectVpcEndpointConnections",
                "ec2:EnableVgwRoutePropagation",
                "ec2:DeleteVpnGateway",
                "ec2:CreateCustomerGateway",
                "ec2:ModifyVpcEndpoint",
                "ec2:CreateNetworkAcl",
                "ec2:DeleteEgressOnlyInternetGateway",
                "ec2:AssociateVpcCidrBlock",
                "ec2:DetachVpnGateway",
                "ec2:DeleteFlowLogs",
                "ec2:DeleteRoute",
                "ec2:UnassignIpv6Addresses",
                "ec2:AssignPrivateIpAddresses",
                "ec2:CreateVpcPeeringConnection",
                "ec2:DisableVgwRoutePropagation",
                "ec2:DetachInternetGateway",
                "ec2:DeleteVpnConnection",
                "ec2:DisassociateSubnetCidrBlock",
                "ec2:CreateSubnet",
                "ec2:DeleteDhcpOptions",
                "ec2:CreateVpc",
                "ec2:AttachVpnGateway",
                "ec2:ModifyVpcPeeringConnectionOptions",
                "ec2:DeleteNetworkInterface",
                "ec2:ModifyVpcTenancy",
                "ec2:RejectVpcPeeringConnection",
                "ec2:ReplaceRouteTableAssociation",
                "ec2:DeleteCustomerGateway",
                "ec2:CreateDhcpOptions",
                "ec2:CreateTags",
                "ec2:DeleteInternetGateway",
                "ec2:DeleteNetworkAclEntry",
                "ec2:DisableVpcClassicLinkDnsSupport",
                "ec2:DeleteSecurityGroup",
                "ec2:DisassociateRouteTable",
                "ec2:ResetNetworkInterfaceAttribute",
                "ec2:ModifyVpcEndpointServiceConfiguration",
                "ec2:ModifyVpcEndpointServicePermissions",
                "ec2:CreateVpnConnection",
                "ec2:EnableVpcClassicLinkDnsSupport",
                "ec2:ModifyVpcEndpointConnectionNotification",
                "ec2:DeleteSubnet",
                "ec2:AssociateDhcpOptions",
                "ec2:CreateNetworkInterface",
                "ec2:ReleaseAddress",
                "ec2:UnassignPrivateIpAddresses",
                "ec2:DisableVpcClassicLink",
                "ec2:CreateEgressOnlyInternetGateway",
                "ec2:AttachClassicLinkVpc",
                "ec2:CreateVpcEndpointConnectionNotification",
                "ec2:AssociateSubnetCidrBlock",
                "ec2:AuthorizeSecurityGroupEgress",
                "ec2:CreateVpnGateway",
                "ec2:CreateNatGateway",
                "ec2:CreateNetworkAclEntry",
                "ec2:DeleteNetworkAcl",
                "ec2:AcceptVpcPeeringConnection",
                "ec2:DeleteVpnConnectionRoute",
                "ec2:AuthorizeSecurityGroupIngress",
                "ec2:CreateNetworkInterfacePermission",
                "ec2:DeleteVpcEndpoints",
                "ec2:AssociateRouteTable",
                "ec2:AttachInternetGateway",
                "ec2:DeleteVpcPeeringConnection",
                "ec2:CreateRoute",
                "ec2:ReplaceRoute",
                "ec2:ModifySubnetAttribute",
                "ec2:AttachNetworkInterface",
                "ec2:DeleteRouteTable",
                "ec2:CreateRouteTable",
                "ec2:UpdateSecurityGroupRuleDescriptionsEgress",
                "ec2:DetachClassicLinkVpc",
                "ec2:DeleteVpcEndpointServiceConfigurations",
                "ec2:DeleteTags",
                "ec2:AssociateAddress",
                "ec2:UpdateSecurityGroupRuleDescriptionsIngress",
                "ec2:ReplaceNetworkAclEntry",
                "ec2:AllocateAddress",
                "ec2:DetachNetworkInterface",
                "ec2:CreateFlowLogs",
                "ec2:DisassociateAddress",
                "ec2:CreateInternetGateway",
                "ec2:ModifyVpcAttribute",
                "ec2:DeleteVpc",
                "ec2:AcceptVpcEndpointConnections",
                "ec2:RevokeSecurityGroupEgress",
                "ec2:CreateVpcEndpoint",
                "ec2:DeleteNatGateway",
                "ec2:CreateSecurityGroup",
                "ec2:CreateVpnConnectionRoute",
                "ec2:RevokeSecurityGroupIngress",
                "ec2:CreateVpcEndpointServiceConfiguration",
                "ec2:EnableVpcClassicLink",
                "ec2:AssignIpv6Addresses",
                "ec2:ReplaceNetworkAclAssociation"
            ]
},
            "is_excluded": false
        },
        "ANPAJKSO7NDY4T57MWDSQ": {
            "PolicyName": "IAMReadOnlyAccess",
            "PolicyId": "ANPAJKSO7NDY4T57MWDSQ",
            "Arn": "arn:aws:iam::aws:policy/IAMReadOnlyAccess",
            "Path": "/",
            "DefaultVersionId": "v4",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:40:39+00:00",
            "UpdateDate": "2018-01-25 19:11:27+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "iam:GenerateCredentialReport",
                                    "iam:GenerateServiceLastAccessedDetails",
                                    "iam:Get*",
                                    "iam:List*",
                                    "iam:SimulateCustomPolicy",
                                    "iam:SimulatePrincipalPolicy"
                                ],
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v4",
                    "IsDefaultVersion": true,
                    "CreateDate": "2018-01-25 19:11:27+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": []
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": []
},
            "is_excluded": false
        },
        "ANPAJLIB4VSBVO47ZSBB6": {
            "PolicyName": "AWSAccountUsageReportAccess",
            "PolicyId": "ANPAJLIB4VSBVO47ZSBB6",
            "Arn": "arn:aws:iam::aws:policy/AWSAccountUsageReportAccess",
            "Path": "/",
            "DefaultVersionId": "v1",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:41:19+00:00",
            "UpdateDate": "2015-02-06 18:41:19+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "aws-portal:ViewUsage"
                                ],
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v1",
                    "IsDefaultVersion": true,
                    "CreateDate": "2015-02-06 18:41:19+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": []
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": []
},
            "is_excluded": false
        },
        "ANPAJNPP7PPPPMJRV2SA4": {
            "PolicyName": "AWSKeyManagementServicePowerUser",
            "PolicyId": "ANPAJNPP7PPPPMJRV2SA4",
            "Arn": "arn:aws:iam::aws:policy/AWSKeyManagementServicePowerUser",
            "Path": "/",
            "DefaultVersionId": "v2",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:40:40+00:00",
            "UpdateDate": "2017-03-07 00:55:11+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "kms:CreateAlias",
                                    "kms:CreateKey",
                                    "kms:DeleteAlias",
                                    "kms:Describe*",
                                    "kms:GenerateRandom",
                                    "kms:Get*",
                                    "kms:List*",
                                    "kms:TagResource",
                                    "kms:UntagResource",
                                    "iam:ListGroups",
                                    "iam:ListRoles",
                                    "iam:ListUsers"
                                ],
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v2",
                    "IsDefaultVersion": true,
                    "CreateDate": "2017-03-07 00:55:11+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": []
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "kms:UntagResource",
                "kms:DeleteAlias",
                "kms:TagResource",
                "kms:CreateAlias"
            ]
},
            "is_excluded": false
        },
        "ANPAJWVDLG5RPST6PHQ3A": {
            "PolicyName": "AmazonRoute53FullAccess",
            "PolicyId": "ANPAJWVDLG5RPST6PHQ3A",
            "Arn": "arn:aws:iam::aws:policy/AmazonRoute53FullAccess",
            "Path": "/",
            "DefaultVersionId": "v4",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:40:54+00:00",
            "UpdateDate": "2018-12-20 21:42:00+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "route53:*",
                                    "route53domains:*",
                                    "cloudfront:ListDistributions",
                                    "elasticloadbalancing:DescribeLoadBalancers",
                                    "elasticbeanstalk:DescribeEnvironments",
                                    "s3:ListBucket",
                                    "s3:GetBucketLocation",
                                    "s3:GetBucketWebsite",
                                    "ec2:DescribeVpcs",
                                    "ec2:DescribeVpcEndpoints",
                                    "ec2:DescribeRegions",
                                    "sns:ListTopics",
                                    "sns:ListSubscriptionsByTopic",
                                    "cloudwatch:DescribeAlarms",
                                    "cloudwatch:GetMetricStatistics"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Effect": "Allow",
                                "Action": "apigateway:GET",
                                "Resource": "arn:aws:apigateway:*::/domainnames"
                            }
                        ]
                    },
                    "VersionId": "v4",
                    "IsDefaultVersion": true,
                    "CreateDate": "2018-12-20 21:42:00+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": []
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "route53",
                "route53domains"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "route53:DeleteHealthCheck",
                "route53:UpdateTrafficPolicyInstance",
                "route53:CreateTrafficPolicyVersion",
                "route53:DeleteTrafficPolicyInstance",
                "route53:ActivateKeySigningKey",
                "route53:UpdateTrafficPolicyComment",
                "route53:CreateKeySigningKey",
                "route53:DeleteReusableDelegationSet",
                "route53:CreateTrafficPolicyInstance",
                "route53:DeleteQueryLoggingConfig",
                "route53:DeleteHostedZone",
                "route53:AssociateVPCWithHostedZone",
                "route53:CreateHostedZone",
                "route53:ChangeTagsForResource",
                "route53:DisableHostedZoneDNSSEC",
                "route53:CreateVPCAssociationAuthorization",
                "route53:DisassociateVPCFromHostedZone",
                "route53:UpdateHealthCheck",
                "route53:CreateQueryLoggingConfig",
                "route53:DeactivateKeySigningKey",
                "route53:DeleteKeySigningKey",
                "route53:UpdateHostedZoneComment",
                "route53:DeleteTrafficPolicy",
                "route53:DeleteVPCAssociationAuthorization",
                "route53:EnableHostedZoneDNSSEC",
                "route53:ChangeResourceRecordSets"
            ]
},
            "is_excluded": false
        },
        "ANPAJYRXTHIB4FOVS3ZXS": {
            "PolicyName": "PowerUserAccess",
            "PolicyId": "ANPAJYRXTHIB4FOVS3ZXS",
            "Arn": "arn:aws:iam::aws:policy/PowerUserAccess",
            "Path": "/",
            "DefaultVersionId": "v4",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2015-02-06 18:39:47+00:00",
            "UpdateDate": "2019-03-20 22:19:03+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Effect": "Allow",
                                "NotAction": [
                                    "iam:*",
                                    "organizations:*",
                                    "account:*"
                                ],
                                "Resource": "*"
                            },
                            {
                                "Effect": "Allow",
                                "Action": [
                                    "iam:CreateServiceLinkedRole",
                                    "iam:DeleteServiceLinkedRole",
                                    "iam:ListRoles",
                                    "organizations:DescribeOrganization",
                                    "account:ListRegions"
                                ],
                                "Resource": "*"
                            }
                        ]
                    },
                    "VersionId": "v4",
                    "IsDefaultVersion": true,
                    "CreateDate": "2019-03-20 22:19:03+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [
                {
                    "type": "UpdateExistingGlueDevEndpoint",
                    "actions": [
                        "glue:updatedevendpoint"
                    ]
                },
                {
                    "type": "EditExistingLambdaFunctionWithRole",
                    "actions": [
                        "lambda:updatefunctioncode"
                    ]
                }
            ],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": [
                "ssm:GetParameters",
                "secretsmanager:GetSecretValue",
                "ssm:GetParameter",
                "s3:GetObject",
                "ssm:GetParametersByPath"
            ]
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "rds:AuthorizeDBSecurityGroupIngress",
                "backup:DeleteBackupVaultAccessPolicy",
                "iot:DetachPolicy",
                "sqs:RemovePermission",
                "acm-pca:DeletePolicy",
                "secretsmanager:DeleteResourcePolicy",
                "waf:PutPermissionPolicy",
                "storagegateway:UpdateChapCredentials",
                "route53resolver:PutResolverQueryLogConfigPolicy",
                "sqs:CreateQueue",
                "iot:SetDefaultAuthorizer",
                "glue:PutResourcePolicy",
                "acm-pca:CreatePermission",
                "ssm-incidents:DeleteResourcePolicy",
                "redshift:CreateSnapshotCopyGrant",
                "s3-object-lambda:PutObjectVersionAcl",
                "redshift:RejectDataShare",
                "s3:PutBucketPublicAccessBlock",
                "ssm:ModifyDocumentPermission",
                "route53resolver:PutFirewallRuleGroupPolicy",
                "quicksight:UpdateIAMPolicyAssignment",
                "worklink:UpdateDevicePolicyConfiguration",
                "monitron:DisassociateProjectAdminUser",
                "ec2:ResetSnapshotAttribute",
                "quicksight:UpdateGroup",
                "kms:CreateGrant",
                "quicksight:DescribeDataSetPermissions",
                "redshift:RevokeSnapshotAccess",
                "servicecatalog:DeletePortfolioShare",
                "imagebuilder:PutImagePolicy",
                "sso:DeletePermissionSet",
                "redshift:ModifyClusterIamRoles",
                "sso:DetachManagedPolicyFromPermissionSet",
                "ses:CreateEmailIdentityPolicy",
                "workmail:ResetUserPassword",
                "ssm-incidents:PutResourcePolicy",
                "quicksight:UpdateDashboardPermissions",
                "cognito-identity:DeleteIdentityPool",
                "quicksight:DeleteUserByPrincipalId",
                "glacier:SetVaultAccessPolicy",
                "es:CreateElasticsearchDomain",
                "opsworks:SetPermission",
                "quicksight:CreateAdmin",
                "s3-outposts:PutAccessPointPolicy",
                "cognito-identity:UnlinkDeveloperIdentity",
                "ram:AssociateResourceShare",
                "sso:AttachManagedPolicyToPermissionSet",
                "redshift:JoinGroup",
                "lambda:RemovePermission",
                "ecr:SetRepositoryPolicy",
                "quicksight:UpdateDataSourcePermissions",
                "ram:DisassociateResourceShare",
                "storagegateway:SetSMBGuestPassword",
                "s3:PutAccessPointPolicyForObjectLambda",
                "fsx:ManageBackupPrincipalAssociations",
                "servicecatalog:CreatePortfolioShare",
                "quicksight:UpdateThemePermissions",
                "glacier:InitiateVaultLock",
                "ram:UpdateResourceShare",
                "waf-regional:DeletePermissionPolicy",
                "rds:ModifyDBSnapshotAttribute",
                "codeartifact:DeleteRepositoryPermissionsPolicy",
                "redshift:AuthorizeDataShare",
                "lambda:EnableReplication",
                "codestar:DeleteProject",
                "cloudformation:SetStackPolicy",
                "ds:CreateTrust",
                "imagebuilder:PutImageRecipePolicy",
                "rds:ModifyDBClusterSnapshotAttribute",
                "redshift:AuthorizeSnapshotAccess",
                "sns:AddPermission",
                "storagegateway:DeleteChapCredentials",
                "ssm-contacts:AssociateContact",
                "s3-outposts:PutObjectAcl",
                "quicksight:UpdateFolderPermissions",
                "s3-outposts:DeleteBucketPolicy",
                "waf:DeletePermissionPolicy",
                "wafv2:DeleteWebACL",
                "ses:UpdateEmailIdentityPolicy",
                "quicksight:UpdateUser",
                "ds:CreateConditionalForwarder",
                "sns:RemovePermission",
                "s3:PutObjectVersionAcl",
                "ram:RejectResourceShareInvitation",
                "ecr:DeleteRepositoryPolicy",
                "codestar:DisassociateTeamMember",
                "s3-outposts:DeleteAccessPointPolicy",
                "glacier:CompleteVaultLock",
                "route53resolver:PutResolverRulePolicy",
                "quicksight:DeleteGroupMembership",
                "quicksight:UpdateTemplatePermissions",
                "cognito-identity:UpdateIdentityPool",
                "ec2:ModifyVpcEndpointServicePermissions",
                "codeguru-profiler:RemovePermission",
                "kms:RevokeGrant",
                "waf-regional:PutPermissionPolicy",
                "iot:AttachPrincipalPolicy",
                "quicksight:CreateGroupMembership",
                "signer:AddProfilePermission",
                "secretsmanager:PutResourcePolicy",
                "codebuild:DeleteResourcePolicy",
                "lambda:AddPermission",
                "lambda:DisableReplication",
                "grafana:UpdatePermissions",
                "elasticfilesystem:DeleteFileSystemPolicy",
                "kms:RetireGrant",
                "s3:PutBucketPolicy",
                "mediatailor:DeleteChannelPolicy",
                "rds-db:connect",
                "quicksight:DeleteGroup",
                "monitron:ListProjectAdminUsers",
                "ec2:CreateNetworkInterfacePermission",
                "codeartifact:DeleteDomainPermissionsPolicy",
                "kms:PutKeyPolicy",
                "servicecatalog:UpdatePortfolioShare",
                "sns:CreateTopic",
                "s3:PutAccessPointPolicy",
                "elasticfilesystem:PutFileSystemPolicy",
                "signer:RemoveProfilePermission",
                "wafv2:UpdateWebACL",
                "redshift:CreateClusterUser",
                "wafv2:PutPermissionPolicy",
                "ecr-public:SetRepositoryPolicy",
                "sso:CreatePermissionSet",
                "apigateway:UpdateRestApiPolicy",
                "ram:DeleteResourceShare",
                "ec2:ModifySnapshotAttribute",
                "codebuild:PutResourcePolicy",
                "workmail:ResetPassword",
                "iot:SetDefaultPolicyVersion",
                "quicksight:CreateGroup",
                "sns:SetTopicAttributes",
                "cognito-identity:MergeDeveloperIdentities",
                "s3:ObjectOwnerOverrideToBucketOwner",
                "imagebuilder:PutContainerRecipePolicy",
                "glacier:AbortVaultLock",
                "mediatailor:PutChannelPolicy",
                "mediapackage:RotateIngestEndpointCredentials",
                "codeguru-profiler:PutPermission",
                "codestar:UpdateTeamMember",
                "sso:UpdatePermissionSet",
                "ses:DeleteEmailIdentityPolicy",
                "quicksight:DeleteUser",
                "iot:AttachPolicy",
                "acm-pca:DeletePermission",
                "quicksight:UpdateAnalysisPermissions",
                "backup:PutBackupVaultAccessPolicy",
                "ds:ShareDirectory",
                "lambda:RemoveLayerVersionPermission",
                "storagegateway:SetLocalConsolePassword",
                "s3:BypassGovernanceRetention",
                "s3:PutObjectAcl",
                "s3:PutMultiRegionAccessPointPolicy",
                "quicksight:CreateIAMPolicyAssignment",
                "workspaces:UpdateConnectionAliasPermission",
                "sqs:AddPermission",
                "s3:DeleteAccessPointPolicyForObjectLambda",
                "s3:PutBucketAcl",
                "quicksight:RegisterUser",
                "monitron:AssociateProjectAdminUser",
                "cloudsearch:UpdateServiceAccessPolicies",
                "glacier:DeleteVaultAccessPolicy",
                "wafv2:CreateWebACL",
                "secretsmanager:ValidateResourcePolicy",
                "s3:DeleteAccessPointPolicy",
                "wafv2:DeletePermissionPolicy",
                "s3-outposts:PutBucketPolicy",
                "iot:DetachPrincipalPolicy",
                "imagebuilder:PutComponentPolicy",
                "workspaces:ModifySelfservicePermissions",
                "lambda:AddLayerVersionPermission",
                "s3-object-lambda:PutObjectAcl",
                "workspaces:UpdateWorkspaceImagePermission",
                "acm-pca:PutPolicy",
                "quicksight:UpdateDataSetPermissions",
                "sqs:SetQueueAttributes",
                "quicksight:DescribeDataSourcePermissions",
                "glue:DeleteResourcePolicy",
                "codestar:AssociateTeamMember",
                "redshift:DeauthorizeDataShare",
                "s3:DeleteBucketPolicy",
                "es:UpdateElasticsearchDomainConfig",
                "quicksight:DeleteIAMPolicyAssignment",
                "quicksight:CreateUser",
                "ram:AcceptResourceShareInvitation",
                "iam:DeleteServiceLinkedRole",
                "iam:CreateServiceLinkedRole"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": [
                "mediapackage:RotateChannelCredentials",
                "codepipeline:PollForJobs",
                "connect:GetFederationTokens",
                "sts:AssumeRoleWithWebIdentity",
                "sts:GetFederationToken",
                "sts:GetSessionToken",
                "sts:AssumeRoleWithSAML",
                "cognito-idp:GetSigningCertificate",
                "connect:GetFederationToken",
                "sts:AssumeRole",
                "cognito-identity:GetOpenIdToken",
                "mediapackage:RotateIngestEndpointCredentials",
                "lightsail:DownloadDefaultKeyPair",
                "ec2:GetPasswordData",
                "cognito-identity:GetOpenIdTokenForDeveloperIdentity",
                "ecr:GetAuthorizationToken",
                "redshift:GetClusterCredentials",
                "lightsail:GetRelationalDatabaseMasterUserPassword",
                "gamelift:RequestUploadCredentials",
                "rds-db:connect",
                "cognito-identity:GetCredentialsForIdentity",
                "gamelift:GetInstanceAccess",
                "lightsail:CreateBucketAccessKey",
                "chime:CreateApiKey",
                "lightsail:GetInstanceAccessDetails"
            ]
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "lightsail:DeleteContactMethod",
                "servicecatalog:CreatePortfolioShare",
                "secretsmanager:PutResourcePolicy",
                "mgn:UpdateAgentConversionInfoForMgn",
                "codecommit:UpdatePullRequestDescription",
                "s3:DeleteObjectTagging",
                "mgn:FinalizeCutover",
                "monitron:UntagResource",
                "managedblockchain:UpdateNode",
                "healthlake:UntagResource",
                "elasticache:CopySnapshot",
                "swf:ContinueAsNewWorkflowExecution",
                "ec2:ModifyVpcEndpoint",
                "chime:CreateChannelModerator",
                "ec2:ResetFpgaImageAttribute",
                "glue:DeleteSchemaVersions",
                "dynamodb:DeleteItem",
                "appmesh-preview:CreateVirtualGateway",
                "codebuild:CreateReportGroup",
                "managedblockchain:UpdateMember",
                "elasticfilesystem:ClientWrite",
                "codebuild:DeleteResourcePolicy",
                "elasticfilesystem:CreateTags",
                "codedeploy:TagResource",
                "rds:StopActivityStream",
                "s3-outposts:DeleteEndpoint",
                "storagegateway:UpdateAutomaticTapeCreationPolicy",
                "worklink:UpdateIdentityProviderConfiguration",
                "dms:StartReplicationTask",
                "waf-regional:DeleteRule",
                "opsworks:StopInstance",
                "aps:UpdateWorkspaceAlias",
                "grafana:AssociateLicense",
                "ec2:RequestSpotInstances",
                "iotanalytics:CreateDataset",
                "ec2:CreateTransitGatewayRouteTable",
                "iot:CreateCustomMetric",
                "mq:CreateUser",
                "proton:UpdateServiceInstance",
                "wafv2:PutFirewallManagerRuleGroups",
                "rds-data:ExecuteSql",
                "athena:CreatePreparedStatement",
                "codeartifact:DisassociateExternalConnection",
                "sagemaker:DeleteTrial",
                "quicksight:RestoreAnalysis",
                "sagemaker:DeletePipeline",
                "frauddetector:UpdateModel",
                "deepcomposer:DeleteModel",
                "geo:BatchDeleteDevicePositionHistory",
                "frauddetector:PutOutcome",
                "ec2:DetachInternetGateway",
                "opsworks:TagResource",
                "kendra:StopDataSourceSyncJob",
                "iot1click:UpdateProject",
                "ssm:UpdateMaintenanceWindowTarget",
                "rds:AuthorizeDBSecurityGroupIngress",
                "codecommit:CreatePullRequestApprovalRule",
                "s3:DeleteStorageLensConfiguration",
                "devicefarm:StopJob",
                "ec2:CreateSubnet",
                "databrew:UntagResource",
                "license-manager:DeleteGrant",
                "storagegateway:CreateNFSFileShare",
                "honeycode:BatchUpdateTableRows",
                "lookoutmetrics:DeleteAnomalyDetector",
                "appmesh-preview:CreateVirtualRouter",
                "artifact:AcceptAgreement",
                "quicksight:CreateTheme",
                "gamelift:SuspendGameServerGroup",
                "rds:ModifyDBSubnetGroup",
                "medialive:StartChannel",
                "config:PutConfigRule",
                "forecast:UpdateDatasetGroup",
                "workmail:EnableMailGroups",
                "networkmanager:AssociateCustomerGateway",
                "sagemaker:DeleteAssociation",
                "ecs:StartTask",
                "iot:AddThingToBillingGroup",
                "wellarchitected:TagResource",
                "workmail:DeleteMobileDevice",
                "kinesis:CreateStream",
                "sagemaker:DeleteMonitoringSchedule",
                "connect:DeleteInstance",
                "ds:CreateLogSubscription",
                "ec2:EnableImageDeprecation",
                "quicksight:UpdateThemePermissions",
                "deeplens:DeleteProject",
                "memorydb:DeleteSubnetGroup",
                "lambda:DisableReplication",
                "mobiletargeting:UntagResource",
                "schemas:DeleteRegistry",
                "codebuild:CreateProject",
                "ses:UntagResource",
                "route53resolver:AssociateResolverQueryLogConfig",
                "codestar:UpdateTeamMember",
                "redshift:CreateHsmConfiguration",
                "kms:DisableKeyRotation",
                "appmesh:CreateRoute",
                "appconfig:DeleteEnvironment",
                "workspaces:ModifyClientProperties",
                "athena:UpdateWorkGroup",
                "deepracer:UntagResource",
                "sso:UpdatePermissionSet",
                "mgh:AssociateDiscoveredResource",
                "chime:DeleteAppInstance",
                "athena:DeleteNamedQuery",
                "ec2:ModifyVpcEndpointServiceConfiguration",
                "iot:UpdateAuthorizer",
                "wellarchitected:UpgradeLensReview",
                "ses:DeleteDedicatedIpPool",
                "redshift:RestoreTableFromClusterSnapshot",
                "app-integrations:DeleteDataIntegrationAssociation",
                "grafana:UpdatePermissions",
                "backup:DeleteBackupVaultAccessPolicy",
                "elasticfilesystem:UntagResource",
                "elasticbeanstalk:DisassociateEnvironmentOperationsRole",
                "cognito-idp:StartUserImportJob",
                "cloudsearch:CreateDomain",
                "es:ESHttpDelete",
                "ec2:ConfirmProductInstance",
                "ec2:ModifyInstanceAttribute",
                "lambda:TagResource",
                "mgh:DeleteProgressUpdateStream",
                "connect:DeleteIntegrationAssociation",
                "amplifybackend:RemoveAllBackends",
                "sagemaker:CreateApp",
                "backup:DeleteReportPlan",
                "execute-api:InvalidateCache",
                "workmail:DeleteOutboundMailFlowRule",
                "fsx:CreateFileSystem",
                "servicecatalog:DeleteProduct",
                "ec2:DeleteSubnet",
                "swf:TerminateWorkflowExecution",
                "appconfig:ValidateConfiguration",
                "ses:DeleteContactList",
                "cloudhsm:RestoreBackup",
                "forecast:CreateDatasetGroup",
                "appstream:UpdateImagePermissions",
                "workmail:TagResource",
                "connect:AssociateLambdaFunction",
                "connect-campaigns:StartCampaign",
                "medialive:PurchaseOffering",
                "codedeploy:CreateApplication",
                "ec2:CreateTrafficMirrorFilter",
                "signer:TagResource",
                "cloudshell:DeleteEnvironment",
                "dms:ApplyPendingMaintenanceAction",
                "ecr:TagResource",
                "comprehend:CreateEntityRecognizer",
                "appconfig:CreateApplication",
                "ses:CreateDedicatedIpPool",
                "cognito-idp:UpdateGroup",
                "opsworks:DeregisterInstance",
                "nimble:DeleteStreamingSession",
                "iot:DeleteProvisioningTemplate",
                "backup:StartReportJob",
                "s3-object-lambda:DeleteObjectVersion",
                "directconnect:DeleteDirectConnectGateway",
                "storagegateway:DeleteAutomaticTapeCreationPolicy",
                "proton:CancelServiceInstanceDeployment",
                "rds:ModifyOptionGroup",
                "ecs:UpdateContainerInstancesState",
                "ssm:UpdateMaintenanceWindow",
                "ec2:AcceptVpcPeeringConnection",
                "connect:CreateRoutingProfile",
                "groundstation:DeleteDataflowEndpointGroup",
                "elasticfilesystem:ClientRootAccess",
                "quicksight:DeleteAnalysis",
                "lightsail:AttachDisk",
                "ec2:ModifyInstanceEventStartTime",
                "app-integrations:CreateEventIntegrationAssociation",
                "kafka-cluster:WriteData",
                "cloud9:UntagResource",
                "apprunner:CreateAutoScalingConfiguration",
                "codepipeline:DeleteCustomActionType",
                "elasticfilesystem:Restore",
                "sagemaker:CreateModel",
                "iot:CreateTopicRuleDestination",
                "signer:StartSigningJob",
                "es:CancelServiceSoftwareUpdate",
                "ses:DeleteEmailIdentityPolicy",
                "ds:AddIpRoutes",
                "proton:UpdateEnvironment",
                "license-manager:UntagResource",
                "lambda:InvokeFunction",
                "worklink:UntagResource",
                "kinesis:DeleteStream",
                "qldb:PartiQLCreateIndex",
                "mgn:DeleteSourceServer",
                "ec2:ModifyManagedPrefixList",
                "lightsail:DeleteContainerService",
                "cognito-sync:UnsubscribeFromDataset",
                "ec2:ReleaseHosts",
                "ec2:DisassociateTransitGatewayRouteTable",
                "mgh:ImportMigrationTask",
                "codeguru-reviewer:TagResource",
                "panorama:CreateStreams",
                "dynamodb:DisableKinesisStreamingDestination",
                "chime:PutAppInstanceStreamingConfigurations",
                "route53:DeactivateKeySigningKey",
                "iotsitewise:BatchAssociateProjectAssets",
                "dax:DeleteItem",
                "storagegateway:UpdateSnapshotSchedule",
                "worklink:UpdateDomainMetadata",
                "s3-outposts:PutObject",
                "frauddetector:DeleteVariable",
                "ec2:StartInstances",
                "guardduty:TagResource",
                "connect:SuspendContactRecording",
                "s3:PutObjectRetention",
                "ec2:AssociateTransitGatewayMulticastDomain",
                "sagemaker:AssociateTrialComponent",
                "cognito-identity:TagResource",
                "ec2:DeleteTransitGatewayRouteTable",
                "schemas:UpdateDiscoverer",
                "iot:DetachPolicy",
                "glacier:InitiateVaultLock",
                "ec2:ImportImage",
                "macie2:CreateCustomDataIdentifier",
                "imagebuilder:CreateComponent",
                "waf:DeleteSizeConstraintSet",
                "backup:UpdateBackupPlan",
                "robomaker:UntagResource",
                "lightsail:GetInstanceAccessDetails",
                "appsync:UpdateGraphqlApi",
                "sqs:RemovePermission",
                "databrew:DeleteJob",
                "ram:UpdateResourceShare",
                "schemas:DeleteResourcePolicy",
                "mobiletargeting:UpdateApnsVoipChannel",
                "worklink:UpdateAuditStreamConfiguration",
                "fms:PutProtocolsList",
                "directconnect:AllocateHostedConnection",
                "lex:RecognizeText",
                "sagemaker:DeleteImageVersion",
                "macie2:CreateClassificationJob",
                "route53-recovery-readiness:UpdateResourceSet",
                "medialive:CreateChannel",
                "appmesh:UpdateRoute",
                "profile:DeleteDomain",
                "directconnect:CreateDirectConnectGatewayAssociationProposal",
                "codeartifact:UpdatePackageVersionsStatus",
                "guardduty:DeleteDetector",
                "ses:PutConfigurationSetDeliveryOptions",
                "ram:TagResource",
                "kinesisvideo:PutMedia",
                "redshift:ModifySnapshotSchedule",
                "workmail:DisassociateDelegateFromResource",
                "clouddirectory:AddFacetToObject",
                "dax:PutItem",
                "mediapackage-vod:DeletePackagingGroup",
                "dataexchange:UpdateAsset",
                "ssm:PutComplianceItems",
                "autoscaling:CreateAutoScalingGroup",
                "sagemaker:DeleteExperiment",
                "quicksight:UpdateAccountCustomization",
                "iotevents:DeleteAlarmModel",
                "kinesisanalytics:UntagResource",
                "sqlworkbench:UpdateFileFolder",
                "waf:DeleteRuleGroup",
                "lookoutmetrics:CreateAlert",
                "personalize:CreateEventTracker",
                "memorydb:TagResource",
                "frauddetector:UpdateRuleMetadata",
                "mobiletargeting:UpdateApnsChannel",
                "transfer:DeleteServer",
                "auditmanager:UpdateAssessmentStatus",
                "a4b:DeleteGatewayGroup",
                "opsworks:RegisterVolume",
                "robomaker:CreateRobotApplicationVersion",
                "voiceid:TagResource",
                "workspaces:DeleteConnectionAlias",
                "cloud9:ActivateEC2Remote",
                "ec2:ExportImage",
                "sagemaker:DeleteModelPackageGroup",
                "swf:CompleteWorkflowExecution",
                "cloudsearch:UpdateDomainEndpointOptions",
                "quicksight:DeleteUser",
                "waf:CreateWebACL",
                "kinesisvideo:ConnectAsMaster",
                "cassandra:Alter",
                "proton:UpdateEnvironmentAccountConnection",
                "iot:AttachPolicy",
                "ec2:ModifyInstanceCapacityReservationAttributes",
                "mobiletargeting:DeleteEventStream",
                "s3:CreateMultiRegionAccessPoint",
                "lambda:PutFunctionConcurrency",
                "rds:RegisterDBProxyTargets",
                "ec2:CreateVpcEndpointServiceConfiguration",
                "amplify:UpdateDomainAssociation",
                "opsworks:CreateApp",
                "elasticache:CreateCacheCluster",
                "proton:UpdateServiceTemplateMajorVersion",
                "iotfleethub:DeleteApplication",
                "lookoutequipment:StopInferenceScheduler",
                "mediatailor:UpdateVodSource",
                "glue:StartMLEvaluationTaskRun",
                "waf-regional:DeletePermissionPolicy",
                "acm-pca:DeletePolicy",
                "amplifybackend:CreateBackendConfig",
                "workmail:EnableMailDomain",
                "s3-outposts:AbortMultipartUpload",
                "appmesh:DeleteVirtualRouter",
                "frauddetector:DeleteModel",
                "ssm:UpdateOpsMetadata",
                "fis:InjectApiThrottleError",
                "frauddetector:DeleteBatchPredictionJob",
                "iot:DeleteBillingGroup",
                "guardduty:UpdatePublishingDestination",
                "ses:CreateContactList",
                "ses:UpdateConfigurationSetEventDestination",
                "securityhub:UpdateActionTarget",
                "autoscaling:SuspendProcesses",
                "kms:ImportKeyMaterial",
                "workmail:DeregisterFromWorkMail",
                "ses:DeleteConfigurationSetEventDestination",
                "workspaces:CreateWorkspaces",
                "sqlworkbench:CreateConnection",
                "mediapackage:UpdateChannel",
                "cognito-idp:AdminLinkProviderForUser",
                "ec2:DetachVpnGateway",
                "cloudsearch:DeleteIndexField",
                "iotwireless:ResetResourceLogLevel",
                "storagegateway:ResetCache",
                "networkmanager:UpdateSite",
                "medialive:BatchStart",
                "quicksight:CreateThemeAlias",
                "lightsail:CreateKeyPair",
                "chime:DeleteAppInstanceAdmin",
                "lightsail:CreateDistribution",
                "datasync:UntagResource",
                "autoscaling:UpdateAutoScalingGroup",
                "dataexchange:DeleteDataSet",
                "dynamodb:PartiQLDelete",
                "waf-regional:PutLoggingConfiguration",
                "cognito-sync:BulkPublish",
                "acm-pca:DeletePermission",
                "schemas:CreateSchema",
                "medialive:UpdateChannelClass",
                "redshift:CancelResize",
                "swf:DeprecateDomain",
                "sagemaker:CreateModelBiasJobDefinition",
                "codecommit:DisassociateApprovalRuleTemplateFromRepository",
                "s3:PutBucketCORS",
                "mediatailor:DeleteProgram",
                "network-firewall:UntagResource",
                "s3:PutBucketVersioning",
                "route53:CreateQueryLoggingConfig",
                "lightsail:DeleteContainerImage",
                "cognito-idp:AdminUpdateUserAttributes",
                "chime:TagMeeting",
                "iot:ConfirmTopicRuleDestination",
                "codedeploy:UntagResource",
                "ec2:RejectVpcPeeringConnection",
                "gamelift:StartGameSessionPlacement",
                "execute-api:Invoke",
                "autoscaling:DetachLoadBalancers",
                "route53resolver:UpdateFirewallRule",
                "sagemaker:UpdateNotebookInstance",
                "ds:DeregisterEventTopic",
                "sagemaker:CreateAlgorithm",
                "route53:EnableHostedZoneDNSSEC",
                "s3:PutAccelerateConfiguration",
                "sdb:BatchPutAttributes",
                "directconnect:AllocatePublicVirtualInterface",
                "s3:DeleteObjectVersion",
                "codebuild:BatchPutCodeCoverages",
                "forecast:DeleteForecastExportJob",
                "imagebuilder:DeleteImageRecipe",
                "securityhub:EnableImportFindingsForProduct",
                "elasticache:AuthorizeCacheSecurityGroupIngress",
                "waf:DeleteSqlInjectionMatchSet",
                "secretsmanager:CancelRotateSecret",
                "kms:Decrypt",
                "memorydb:UntagResource",
                "lightsail:AttachLoadBalancerTlsCertificate",
                "resource-groups:UpdateGroupQuery",
                "iotanalytics:CreateDatasetContent",
                "autoscaling:DeletePolicy",
                "opsworks:RegisterElasticIp",
                "redshift:CreateHsmClientCertificate",
                "dynamodb:CreateTable",
                "cloudwatch:DeleteAlarms",
                "sagemaker:DeleteUserProfile",
                "ec2:CreateTransitGatewayConnectPeer",
                "iotsitewise:DeleteAssetModel",
                "quicksight:UpdateDataSet",
                "codepipeline:UntagResource",
                "ec2:StartVpcEndpointServicePrivateDnsVerification",
                "route53-recovery-control-config:CreateSafetyRule",
                "cognito-idp:SetUICustomization",
                "connect:AssociateInstanceStorageConfig",
                "ec2:CreateTransitGatewayPrefixListReference",
                "elastictranscoder:CreatePreset",
                "codestar:PutExtendedAccess",
                "iot:UpdateScheduledAudit",
                "amplifybackend:ImportBackendAuth",
                "glacier:InitiateJob",
                "route53-recovery-readiness:CreateCell",
                "fsx:CreateVolumeFromBackup",
                "gamelift:DeregisterGameServer",
                "comprehend:StartDominantLanguageDetectionJob",
                "wisdom:CreateSession",
                "kinesisvideo:TagResource",
                "elemental-appliances-software:UpdateQuote",
                "airflow:UpdateEnvironment",
                "sagemaker:CreateAppImageConfig",
                "batch:DeleteComputeEnvironment",
                "forecast:CreateDatasetImportJob",
                "ec2:AssociateClientVpnTargetNetwork",
                "amplify:CreateBranch",
                "secretsmanager:DeleteResourcePolicy",
                "ecr:PutImage",
                "kendra:DeleteQuerySuggestionsBlockList",
                "connect:UpdateQueueHoursOfOperation",
                "rds:DeleteDBProxy",
                "robomaker:TagResource",
                "devicefarm:StopRemoteAccessSession",
                "airflow:UntagResource",
                "codecommit:MergePullRequestBySquash",
                "iot:CreateThingType",
                "states:CreateStateMachine",
                "servicecatalog:UpdateAttributeGroup",
                "connect:CreateUseCase",
                "fis:StartExperiment",
                "route53:DeleteTrafficPolicy",
                "ec2:CreateLocalGatewayRouteTableVpcAssociation",
                "access-analyzer:UntagResource",
                "quicksight:UpdateAnalysisPermissions",
                "iot:UntagResource",
                "ecr:PutImageTagMutability",
                "ssm:UpdatePatchBaseline",
                "medialive:BatchStop",
                "globalaccelerator:DeleteAccelerator",
                "autoscaling:BatchDeleteScheduledAction",
                "backup:DisassociateRecoveryPoint",
                "glacier:UploadMultipartPart",
                "s3:PutEncryptionConfiguration",
                "route53:DeleteTrafficPolicyInstance",
                "serverlessrepo:DeleteApplication",
                "transfer:DeleteUser",
                "sqs:DeleteMessage",
                "securityhub:DisassociateFromAdministratorAccount",
                "worklink:DisassociateWebsiteCertificateAuthority",
                "iot:UpdateDomainConfiguration",
                "appconfig:UpdateDeploymentStrategy",
                "chime:ListChannelMessages",
                "route53resolver:UpdateFirewallConfig",
                "memorydb:CopySnapshot",
                "iot:Connect",
                "auditmanager:DisassociateAssessmentReportEvidenceFolder",
                "elasticloadbalancing:ModifyTargetGroup",
                "resource-groups:UngroupResources",
                "kinesis:SplitShard",
                "lightsail:DetachInstancesFromLoadBalancer",
                "dataexchange:UpdateRevision",
                "workspaces:CopyWorkspaceImage",
                "servicediscovery:DeleteNamespace",
                "workspaces:RegisterWorkspaceDirectory",
                "iot:DeletePolicy",
                "a4b:DeleteUser",
                "nimble:DeleteStudioComponent",
                "cloud9:UpdateMembershipSettings",
                "codebuild:UpdateWebhook",
                "aps:DeleteAlertManagerSilence",
                "glue:CreateSchema",
                "route53resolver:CreateFirewallDomainList",
                "autoscaling:AttachInstances",
                "route53-recovery-readiness:TagResource",
                "storagegateway:AssignTapePool",
                "devicefarm:UpdateNetworkProfile",
                "elasticbeanstalk:RebuildEnvironment",
                "schemas:DeleteSchema",
                "ssm:DeregisterTargetFromMaintenanceWindow",
                "route53-recovery-control-config:CreateControlPanel",
                "codestar-notifications:Unsubscribe",
                "ssm:ResetServiceSetting",
                "ssm:UpdateDocumentDefaultVersion",
                "lightsail:UntagResource",
                "forecast:DeleteDatasetGroup",
                "ec2:DeregisterTransitGatewayMulticastGroupSources",
                "schemas:CreateRegistry",
                "elasticbeanstalk:UpdateApplicationVersion",
                "sagemaker:UpdateDeviceFleet",
                "es:AddTags",
                "workmail:DeleteRetentionPolicy",
                "network-firewall:UpdateFirewallPolicy",
                "qldb:DeleteLedger",
                "swf:CancelWorkflowExecution",
                "sagemaker:DeleteModelBiasJobDefinition",
                "sagemaker:CreateFlowDefinition",
                "sagemaker:UpdateCodeRepository",
                "sagemaker:CreateExperiment",
                "workmail:SetMailUserDetails",
                "bugbust:TagResource",
                "batch:CreateComputeEnvironment",
                "a4b:DisassociateSkillGroupFromRoom",
                "swf:RespondActivityTaskCanceled",
                "workspaces:DeleteWorkspaceBundle",
                "rds:ModifyDBSnapshotAttribute",
                "backup:PutBackupVaultAccessPolicy",
                "kinesisanalytics:UpdateApplicationMaintenanceConfiguration",
                "ecr-public:BatchDeleteImage",
                "honeycode:BatchDeleteTableRows",
                "ssm:SendCommand",
                "ssm:UpdateDocumentMetadata",
                "ec2:DetachVolume",
                "waf-regional:UpdateWebACL",
                "rds:PromoteReadReplicaDBCluster",
                "ram:DisassociateResourceSharePermission",
                "kinesis:DeregisterStreamConsumer",
                "mobiletargeting:UpdateApnsVoipSandboxChannel",
                "lambda:DeleteLayerVersion",
                "appmesh:CreateVirtualService",
                "lightsail:CreateRelationalDatabaseSnapshot",
                "forecast:CreateForecast",
                "elasticache:CreateCacheSubnetGroup",
                "lightsail:UpdateBucketBundle",
                "ec2:CreateTrafficMirrorFilterRule",
                "iot:UpdateStream",
                "elasticbeanstalk:DeleteApplication",
                "s3-outposts:DeleteObject",
                "ds:ShareDirectory",
                "codedeploy:DeleteDeploymentConfig",
                "codedeploy:DeregisterOnPremisesInstance",
                "rekognition:DeleteProjectVersion",
                "amplify:DeleteBranch",
                "connect:DeleteQuickConnect",
                "mq:DeleteTags",
                "cognito-idp:DeleteGroup",
                "directconnect:AcceptDirectConnectGatewayAssociationProposal",
                "route53:DisableHostedZoneDNSSEC",
                "rekognition:StartProjectVersion",
                "elasticbeanstalk:ComposeEnvironments",
                "appstream:Stream",
                "connect-campaigns:TagResource",
                "servicecatalog:UpdateProvisioningArtifact",
                "waf:CreateRegexPatternSet",
                "dms:DeleteConnection",
                "mediapackage-vod:UntagResource",
                "nimble:UntagResource",
                "workmail:CancelMailboxExportJob",
                "cloudwatch:SetAlarmState",
                "mediapackage:DeleteChannel",
                "iotdeviceadvisor:StopSuiteRun",
                "rds:CopyDBParameterGroup",
                "kinesisanalytics:TagResource",
                "acm-pca:DeleteCertificateAuthority",
                "quicksight:CreateAnalysis",
                "ec2:CopySnapshot",
                "iot:CreateProvisioningTemplateVersion",
                "voiceid:DeleteSpeaker",
                "route53-recovery-cluster:UpdateRoutingControlState",
                "amplify:DeleteJob",
                "states:UpdateStateMachine",
                "forecast:CreatePredictor",
                "mgh:CreateProgressUpdateStream",
                "cognito-idp:AdminDisableProviderForUser",
                "ses:DeleteEmailIdentity",
                "mq:UpdateConfiguration",
                "lightsail:DeleteDomainEntry",
                "synthetics:DeleteCanary",
                "codebuild:StopBuild",
                "servicecatalog:DeleteAttributeGroup",
                "ec2:EnableVpcClassicLink",
                "redshift:CreateClusterSecurityGroup",
                "iot:UpdateDimension",
                "events:UntagResource",
                "connect:UntagResource",
                "robomaker:UpdateWorldTemplate",
                "personalize:PutUsers",
                "s3-outposts:PutLifecycleConfiguration",
                "elasticache:TestFailover",
                "quicksight:DeleteDataSet",
                "lookoutmetrics:PutFeedback",
                "chime:TagAttendee",
                "ds:RestoreFromSnapshot",
                "proton:TagResource",
                "lambda:RemoveLayerVersionPermission",
                "globalaccelerator:UpdateListener",
                "s3:PutInventoryConfiguration",
                "directconnect:ConfirmConnection",
                "iot:CreateDynamicThingGroup",
                "lookoutequipment:TagResource",
                "cognito-idp:AdminAddUserToGroup",
                "workmail:TestInboundMailFlowRules",
                "glue:UpdateDatabase",
                "eks:UpdateNodegroupConfig",
                "rds:DeleteDBSnapshot",
                "lex:UntagResource",
                "backup:DeleteRecoveryPoint",
                "frauddetector:DeleteRule",
                "chime:PutAppInstanceRetentionSettings",
                "iotanalytics:DeleteDataset",
                "ec2:CancelImportTask",
                "cognito-idp:CreateUserImportJob",
                "kinesis:StopStreamEncryption",
                "quicksight:DeleteAccountCustomization",
                "es:CreateOutboundConnection",
                "ec2:DeleteFlowLogs",
                "cognito-sync:SetDatasetConfiguration",
                "elasticfilesystem:DeleteFileSystemPolicy",
                "iot:Subscribe",
                "waf-regional:UpdateSqlInjectionMatchSet",
                "dynamodb:BatchWriteItem",
                "elasticache:AddTagsToResource",
                "swf:PollForDecisionTask",
                "connect:StopContact",
                "comprehend:StopTrainingEntityRecognizer",
                "codeartifact:PutPackageMetadata",
                "ec2:DisableVgwRoutePropagation",
                "macie2:DeleteFindingsFilter",
                "waf-regional:DeleteByteMatchSet",
                "autoscaling:SetInstanceHealth",
                "s3:PutLifecycleConfiguration",
                "mgn:NotifyAgentAuthenticationForMgn",
                "waf-regional:AssociateWebACL",
                "kendra:DeleteDataSource",
                "route53:DisassociateVPCFromHostedZone",
                "eks:DisassociateIdentityProviderConfig",
                "events:EnableRule",
                "codebuild:UpdateProject",
                "ec2:CreateVpc",
                "iotsitewise:CreateAccessPolicy",
                "imagebuilder:CreateImagePipeline",
                "gamelift:DeleteGameServerGroup",
                "proton:UpdateEnvironmentTemplate",
                "airflow:DeleteEnvironment",
                "ssm-incidents:CreateTimelineEvent",
                "sso:CreateAccountAssignment",
                "mobiletargeting:DeleteSegment",
                "comprehend:StopKeyPhrasesDetectionJob",
                "healthlake:TagResource",
                "ec2:AcceptTransitGatewayVpcAttachment",
                "redshift:RevokeClusterSecurityGroupIngress",
                "glue:RemoveSchemaVersionMetadata",
                "iotevents:BatchAcknowledgeAlarm",
                "quicksight:UpdateTemplateAlias",
                "rds:ModifyGlobalCluster",
                "codeartifact:DeleteRepositoryPermissionsPolicy",
                "workmail:DeleteMobileDeviceAccessRule",
                "clouddirectory:DetachPolicy",
                "kms:EnableKeyRotation",
                "s3:ReplicateObject",
                "dms:AddTagsToResource",
                "gamelift:UpdateBuild",
                "workmail:CreateGroup",
                "storagegateway:DeleteSnapshotSchedule",
                "glue:BatchCreatePartition",
                "workmail:CreateOutboundMailFlowRule",
                "cognito-idp:UpdateIdentityProvider",
                "codeartifact:DeleteDomain",
                "elasticache:PurchaseReservedCacheNodesOffering",
                "events:StartReplay",
                "amplify:CreateDeployment",
                "glue:CreateDatabase",
                "iot:CreateRoleAlias",
                "iotsitewise:DeletePortal",
                "iot:UpdateCustomMetric",
                "ssm-contacts:SendActivationCode",
                "quicksight:DeleteTemplateAlias",
                "mobiletargeting:UpdateEndpoint",
                "sagemaker:CreateCompilationJob",
                "quicksight:DeleteDashboard",
                "chime:CreateChannel",
                "iotwireless:AssociateWirelessGatewayWithCertificate",
                "codebuild:DeleteProject",
                "deeplens:DeregisterDevice",
                "kms:SynchronizeMultiRegionKey",
                "xray:UntagResource",
                "opsworks:DeleteLayer",
                "ec2:ResetNetworkInterfaceAttribute",
                "opsworks:UnassignInstance",
                "kms:RetireGrant",
                "batch:CancelJob",
                "ivs:ImportPlaybackKeyPair",
                "sagemaker:DeregisterDevices",
                "mgn:ChangeServerLifeCycleState",
                "elasticmapreduce:CreateEditor",
                "auditmanager:DeleteAssessment",
                "athena:TagResource",
                "iotwireless:DisassociateWirelessGatewayFromCertificate",
                "cognito-idp:CreateUserPoolDomain",
                "sagemaker:StopLabelingJob",
                "lightsail:SetResourceAccessForBucket",
                "memorydb:DeleteSnapshot",
                "iotfleethub:UntagResource",
                "dynamodb:PartiQLUpdate",
                "wisdom:CreateContent",
                "signer:RevokeSignature",
                "comprehend:StartSentimentDetectionJob",
                "route53resolver:UpdateFirewallDomains",
                "amplifybackend:DeleteBackendAuth",
                "sagemaker:CreateEndpointConfig",
                "sagemaker:UpdateTrial",
                "clouddirectory:AttachObject",
                "devicefarm:UpdateDeviceInstance",
                "rekognition:DeleteStreamProcessor",
                "medialive:StartMultiplex",
                "opsworks:CloneStack",
                "lookoutmetrics:CreateAnomalyDetector",
                "panorama:UpdateAppConfiguration",
                "cloudfront:CreateDistribution",
                "kms:ReEncryptFrom",
                "cur:PutReportDefinition",
                "globalaccelerator:UpdateAcceleratorAttributes",
                "wafv2:UpdateRegexPatternSet",
                "iotwireless:CreateWirelessGatewayTask",
                "ec2:CreateVpcEndpointConnectionNotification",
                "cloud9:CreateEnvironmentMembership",
                "redshift:CreateEventSubscription",
                "bugbust:UpdateWorkItemAdmin",
                "xray:UpdateGroup",
                "ssm:RegisterTargetWithMaintenanceWindow",
                "lightsail:UpdateDistribution",
                "ec2:CreateNatGateway",
                "codepipeline:CreateCustomActionType",
                "eks:DeleteFargateProfile",
                "waf:PutPermissionPolicy",
                "storagegateway:DeleteBandwidthRateLimit",
                "ram:AssociateResourceSharePermission",
                "voiceid:DeleteFraudster",
                "iotsitewise:UpdatePortal",
                "mgn:NotifyAgentDisconnectedForMgn",
                "cloudsearch:RemoveTags",
                "storagegateway:SetLocalConsolePassword",
                "storagegateway:UpdateGatewayInformation",
                "lightsail:CreateRelationalDatabaseFromSnapshot",
                "lookoutequipment:StartInferenceScheduler",
                "app-integrations:UpdateDataIntegration",
                "globalaccelerator:UntagResource",
                "elasticfilesystem:CreateMountTarget",
                "iot:CreateJobTemplate",
                "personalize:CreateDataset",
                "mediapackage:ConfigureLogs",
                "kendra:PutPrincipalMapping",
                "route53:DeleteHostedZone",
                "ivs:StopStream",
                "ds:AuthorizeApplication",
                "ds:DisableRadius",
                "sagemaker:StopHumanLoop",
                "storagegateway:UpdateChapCredentials",
                "workmail:PutMailboxPermissions",
                "comprehend:StopTrainingDocumentClassifier",
                "qldb:InsertSampleData",
                "lambda:CreateFunction",
                "events:DeleteApiDestination",
                "amplify:DeleteBackendEnvironment",
                "iot1click:UpdateDeviceState",
                "dax:UpdateItem",
                "lookoutequipment:CreateDataset",
                "appmesh-preview:UpdateVirtualGateway",
                "lightsail:DeleteCertificate",
                "kinesis:AddTagsToStream",
                "elasticbeanstalk:UpdateConfigurationTemplate",
                "clouddirectory:CreateTypedLinkFacet",
                "servicecatalog:DisassociateAttributeGroup",
                "codeguru-profiler:ConfigureAgent",
                "securityhub:DeleteMembers",
                "medialive:UpdateInputSecurityGroup",
                "dax:RebootNode",
                "panorama:TagResource",
                "wisdom:DeleteAssistant",
                "airflow:CreateCliToken",
                "redshift:CopyClusterSnapshot",
                "robomaker:DeleteWorldTemplate",
                "storagegateway:DetachVolume",
                "ec2:DisassociateIamInstanceProfile",
                "globalaccelerator:DeleteListener",
                "iot:CreateProvisioningTemplate",
                "access-analyzer:CreateAnalyzer",
                "storagegateway:StartAvailabilityMonitorTest",
                "events:DeleteEventBus",
                "a4b:AssociateContactWithAddressBook",
                "qldb:UpdateLedger",
                "chime:Connect",
                "ec2:AssociateEnclaveCertificateIamRole",
                "globalaccelerator:DeleteEndpointGroup",
                "cognito-sync:SubscribeToDataset",
                "glue:BatchDeleteTable",
                "lex:CreateIntent",
                "iot:CreateBillingGroup",
                "route53resolver:PutResolverQueryLogConfigPolicy",
                "elasticloadbalancing:CreateLoadBalancer",
                "honeycode:StartTableDataImportJob",
                "ses:TestRenderEmailTemplate",
                "acm:DeleteCertificate",
                "lightsail:CopySnapshot",
                "elasticloadbalancing:SetSubnets",
                "workspaces:DisassociateIpGroups",
                "healthlake:StartFHIRImportJob",
                "sagemaker:DeleteWorkteam",
                "route53resolver:CreateFirewallRule",
                "rds:AddRoleToDBInstance",
                "mobiletargeting:DeleteBaiduChannel",
                "forecast:UntagResource",
                "lightsail:OpenInstancePublicPorts",
                "globalaccelerator:UpdateCustomRoutingAccelerator",
                "events:DeleteRule",
                "mediatailor:StopChannel",
                "mobiletargeting:DeleteCampaign",
                "kms:DeleteAlias",
                "appmesh-preview:UpdateVirtualService",
                "sqlworkbench:CreateSavedQuery",
                "mediapackage:UntagResource",
                "directconnect:CreatePrivateVirtualInterface",
                "sqs:CreateQueue",
                "access-analyzer:UpdateArchiveRule",
                "personalize:CreateSolutionVersion",
                "sts:AssumeRole",
                "s3:PutBucketPolicy",
                "cognito-identity:UntagResource",
                "workmail:DeleteSmtpGateway",
                "access-analyzer:StartResourceScan",
                "networkmanager:RegisterTransitGateway",
                "iot:DeleteThing",
                "servicecatalog:DisassociateServiceActionFromProvisioningArtifact",
                "waf:UpdateGeoMatchSet",
                "lightsail:DeleteDisk",
                "rds:DeleteEventSubscription",
                "workmail:DisableMailGroups",
                "elasticloadbalancing:SetRulePriorities",
                "sagemaker:UpdateAppImageConfig",
                "rds:StartDBInstanceAutomatedBackupsReplication",
                "appstream:CreateStreamingURL",
                "sagemaker:DeleteArtifact",
                "transfer:UntagResource",
                "connect:DeleteUser",
                "directconnect:ConfirmPrivateVirtualInterface",
                "clouddirectory:AttachTypedLink",
                "a4b:DeleteBusinessReportSchedule",
                "imagebuilder:CreateImage",
                "elasticbeanstalk:UpdateApplicationResourceLifecycle",
                "savingsplans:TagResource",
                "redshift:AuthorizeDataShare",
                "chime:UntagResource",
                "elasticfilesystem:DeleteFileSystem",
                "elasticache:CreateUser",
                "iotanalytics:BatchPutMessage",
                "fms:TagResource",
                "events:DeleteConnection",
                "waf:UpdateRegexMatchSet",
                "gamelift:DeleteScalingPolicy",
                "kendra:DeleteIndex",
                "proton:UpdateServiceTemplateVersion",
                "mobiletargeting:DeleteApnsChannel",
                "connect:UpdateUserIdentityInfo",
                "opsworks:DeleteStack",
                "opsworks:GrantAccess",
                "ec2:EnableVgwRoutePropagation",
                "ec2:DisableTransitGatewayRouteTablePropagation",
                "ses:CreateContact",
                "s3:PutReplicationConfiguration",
                "appmesh:DeleteGatewayRoute",
                "elasticbeanstalk:DeletePlatformVersion",
                "iot:SetDefaultAuthorizer",
                "ecs:PutAttributes",
                "iotanalytics:TagResource",
                "rds:ResetDBClusterParameterGroup",
                "ivs:DeleteStreamKey",
                "kms:GenerateDataKeyPair",
                "mobiletargeting:UpdateApnsSandboxChannel",
                "dataexchange:PublishDataSet",
                "glacier:AddTagsToVault",
                "imagebuilder:CreateContainerRecipe",
                "iot:CreateThing",
                "ec2:UnassignIpv6Addresses",
                "chime:DeleteAppInstanceStreamingConfigurations",
                "medialive:DeleteMultiplexProgram",
                "ec2:CreateStoreImageTask",
                "lightsail:DeleteInstanceSnapshot",
                "connect:DisassociateInstanceStorageConfig",
                "glue:DeletePartition",
                "xray:CreateSamplingRule",
                "workspaces:ModifyWorkspaceCreationProperties",
                "personalize:CreateSchema",
                "servicediscovery:CreateService",
                "glue:PutResourcePolicy",
                "resource-groups:Untag",
                "medialive:CreateMultiplex",
                "fsx:CreateFileSystemFromBackup",
                "memorydb:UpdateSubnetGroup",
                "a4b:AssociateDeviceWithRoom",
                "proton:AcceptEnvironmentAccountConnection",
                "elasticmapreduce:TerminateJobFlows",
                "cur:DeleteReportDefinition",
                "s3:BypassGovernanceRetention",
                "route53resolver:UpdateResolverEndpoint",
                "mobiletargeting:CreateCampaign",
                "groundstation:UntagResource",
                "redshift:DeleteSnapshotCopyGrant",
                "cognito-idp:AdminDeleteUserAttributes",
                "comprehend:StopSentimentDetectionJob",
                "cloudhsm:ModifyCluster",
                "quicksight:GenerateEmbedUrlForRegisteredUser",
                "medialive:DeleteChannel",
                "elasticache:DeleteCacheCluster",
                "redshift:DeleteSnapshotSchedule",
                "quicksight:UpdateDataSource",
                "acm-pca:CreatePermission",
                "ec2:RejectTransitGatewayVpcAttachment",
                "lookoutmetrics:BackTestAnomalyDetector",
                "s3:CreateAccessPointForObjectLambda",
                "ec2:ModifyVpcTenancy",
                "autoscaling:DeleteLaunchConfiguration",
                "medialive:DeleteSchedule",
                "shield:DeleteProtectionGroup",
                "kendra:DeleteThesaurus",
                "opsworks:DeleteInstance",
                "mediatailor:DeleteChannelPolicy",
                "proton:UpdateEnvironmentTemplateMajorVersion",
                "connect:CreateQuickConnect",
                "s3-outposts:CreateAccessPoint",
                "elasticfilesystem:UpdateFileSystem",
                "proton:CancelEnvironmentDeployment",
                "codecommit:CreateRepository",
                "iot:DisableTopicRule",
                "sagemaker:DeleteContext",
                "clouddirectory:TagResource",
                "mgn:UpdateAgentSourcePropertiesForMgn",
                "s3-object-lambda:DeleteObject",
                "deepracer:TagResource",
                "s3:PutObjectAcl",
                "dms:DeleteCertificate",
                "ec2:CreateLaunchTemplate",
                "swf:FailWorkflowExecution",
                "amplify:StartJob",
                "geo:DeleteRouteCalculator",
                "swf:PollForActivityTask",
                "glue:UseMLTransforms",
                "amplify:CreateBackendEnvironment",
                "sagemaker:UpdateWorkforce",
                "cloudhsm:DeleteBackup",
                "elasticloadbalancing:ModifyLoadBalancerAttributes",
                "config:DeleteAggregationAuthorization",
                "frauddetector:PutDetector",
                "opsworks:DeregisterRdsDbInstance",
                "eks:UpdateClusterConfig",
                "codebuild:StartBuildBatch",
                "opsworks:UntagResource",
                "xray:TagResource",
                "iot:DeleteCertificate",
                "groundstation:UpdateConfig",
                "ec2:CreateFpgaImage",
                "cloudwatch:PutCompositeAlarm",
                "directconnect:UpdateVirtualInterfaceAttributes",
                "mgn:TerminateTargetInstances",
                "devicefarm:DeleteProject",
                "ssm-incidents:DeleteResourcePolicy",
                "logs:TagLogGroup",
                "finspace:UntagResource",
                "iotwireless:DeleteDeviceProfile",
                "appmesh:UpdateVirtualNode",
                "appmesh:UpdateVirtualGateway",
                "timestream:CreateDatabase",
                "es:CreateDomain",
                "frauddetector:CreateModelVersion",
                "connect:AssociateBot",
                "ses:UpdateCustomVerificationEmailTemplate",
                "deepracer:AddLeaderboardAccessPermission",
                "workmail:CreateUser",
                "lightsail:UpdateDistributionBundle",
                "directconnect:AssociateConnectionWithLag",
                "autoscaling:DeleteAutoScalingGroup",
                "iotthingsgraph:DeleteSystemTemplate",
                "ec2:EnableVpcClassicLinkDnsSupport",
                "lex:StartConversation",
                "ds:UpdateTrust",
                "kinesisanalytics:AddApplicationReferenceDataSource",
                "app-integrations:TagResource",
                "iotdeviceadvisor:TagResource",
                "detective:TagResource",
                "ec2:CreateNetworkInterface",
                "memorydb:CreateSnapshot",
                "waf-regional:DeleteRegexMatchSet",
                "ds:RemoveRegion",
                "rds:FailoverDBCluster",
                "auditmanager:UpdateAssessmentControlSetStatus",
                "mobiletargeting:UpdateTemplateActiveVersion",
                "ses:TagResource",
                "personalize:DeleteCampaign",
                "rds-db:connect",
                "s3-outposts:CreateEndpoint",
                "lambda:EnableReplication",
                "ses:DeleteCustomVerificationEmailTemplate",
                "s3:ReplicateDelete",
                "access-analyzer:ApplyArchiveRule",
                "codestar-notifications:UntagResource",
                "secretsmanager:GetSecretValue",
                "memorydb:CreateAcl",
                "swf:RecordMarker",
                "ivs:UpdateChannel",
                "imagebuilder:CreateImageRecipe",
                "bugbust:UpdateEvent",
                "mobiletargeting:DeleteEmailTemplate",
                "redshift:CreateSnapshotCopyGrant",
                "ivs:TagResource",
                "autoscaling:DeleteWarmPool",
                "robomaker:DeleteSimulationApplication",
                "ec2:ModifyVpnConnection",
                "iot:CancelJob",
                "qldb:PartiQLDelete",
                "iotevents:UpdateAlarmModel",
                "a4b:DeleteDeviceUsageData",
                "securityhub:UpdateSecurityHubConfiguration",
                "securityhub:CreateMembers",
                "swf:RespondDecisionTaskCompleted",
                "frauddetector:CreateRule",
                "ec2:DeleteNetworkAcl",
                "iot:DeleteRoleAlias",
                "ssm-contacts:DeactivateContactChannel",
                "comprehend:TagResource",
                "amplify:CreateWebHook",
                "ecr:UploadLayerPart",
                "cloudwatch:PutMetricStream",
                "acm-pca:CreateCertificateAuthorityAuditReport",
                "ec2:DeleteQueuedReservedInstances",
                "ec2:DisableFastSnapshotRestores",
                "kms:DeleteImportedKeyMaterial",
                "quicksight:UpdateTemplate",
                "es:ESHttpPatch",
                "ds:UnauthorizeApplication",
                "codeartifact:PublishPackageVersion",
                "events:TagResource",
                "quicksight:DeleteGroup",
                "ec2:ModifyInstanceEventWindow",
                "codedeploy:RegisterOnPremisesInstance",
                "wisdom:StartContentUpload",
                "ses:SendEmail",
                "opsworks:RegisterEcsCluster",
                "cloudfront:DeleteCloudFrontOriginAccessIdentity",
                "kms:CreateAlias",
                "ec2:CopyImage",
                "glue:RegisterSchemaVersion",
                "appmesh-preview:DeleteRoute",
                "swf:RespondActivityTaskFailed",
                "a4b:DeleteSkillAuthorization",
                "workspaces:UpdateWorkspaceBundle",
                "ec2:DisableImageDeprecation",
                "elasticloadbalancing:AddTags",
                "backup:CreateBackupSelection",
                "nimble:DeleteStreamingImage",
                "glue:DeleteUserDefinedFunction",
                "deepracer:UpdateCar",
                "proton:RejectEnvironmentAccountConnection",
                "license-manager:CreateGrant",
                "rds:CopyDBSnapshot",
                "waf-regional:UpdateIPSet",
                "codestar:DeleteProject",
                "ecr:CreateRepository",
                "s3:PutAccessPointConfigurationForObjectLambda",
                "personalize:DeleteFilter",
                "kinesisanalytics:DeleteApplicationVpcConfiguration",
                "clouddirectory:UntagResource",
                "route53-recovery-control-config:CreateCluster",
                "clouddirectory:DetachObject",
                "sagemaker:StartMonitoringSchedule",
                "codebuild:InvalidateProjectCache",
                "elasticloadbalancing:ModifyTargetGroupAttributes",
                "iot1click:DisassociateDeviceFromPlacement",
                "iot:DeleteTopicRuleDestination",
                "config:DeleteStoredQuery",
                "workmail:DeleteUser",
                "license-manager:CheckoutBorrowLicense",
                "ses:PutEmailIdentityMailFromAttributes",
                "memorydb:DeleteCluster",
                "wafv2:UpdateRuleGroup",
                "eks:TagResource",
                "ec2:UpdateSecurityGroupRuleDescriptionsIngress",
                "ssm:StartAutomationExecution",
                "connect:CreateContactFlow",
                "cloudformation:SetStackPolicy",
                "autoscaling:DeleteScheduledAction",
                "elasticbeanstalk:AssociateEnvironmentOperationsRole",
                "rds-data:RollbackTransaction",
                "cloudformation:UpdateStackSet",
                "ssm:RegisterDefaultPatchBaseline",
                "workmail:PutAccessControlRule",
                "chime:DeleteAttendee",
                "route53resolver:DeleteFirewallDomainList",
                "rds:ModifyDBInstance",
                "managedblockchain:RejectInvitation",
                "s3:PutMultiRegionAccessPointPolicy",
                "cassandra:UntagResource",
                "glacier:DeleteArchive",
                "servicecatalog:CreateConstraint",
                "ivs:CreateStreamKey",
                "directconnect:DeleteConnection",
                "resource-groups:Tag",
                "sagemaker:DeleteModel",
                "sts:TagSession",
                "ssm:DeregisterTaskFromMaintenanceWindow",
                "waf-regional:DeleteRateBasedRule",
                "wellarchitected:UpdateWorkload",
                "forecast:CreateDataset",
                "resource-groups:GroupResources",
                "iot:AddThingToThingGroup",
                "codecommit:DeleteBranch",
                "ec2:CreateSnapshots",
                "iotsitewise:BatchPutAssetPropertyValue",
                "managedblockchain:UntagResource",
                "elasticache:ModifyReplicationGroup",
                "resource-groups:PutGroupConfiguration",
                "macie2:DisassociateMember",
                "codestar-connections:DeleteConnection",
                "devicefarm:DeleteTestGridProject",
                "ec2:DeleteSnapshot",
                "schemas:UpdateRegistry",
                "lightsail:CreateDomain",
                "network-firewall:CreateRuleGroup",
                "machinelearning:UpdateDataSource",
                "codecommit:UpdatePullRequestApprovalRuleContent",
                "appstream:UntagResource",
                "ssm:DeleteDocument",
                "waf:CreateRegexMatchSet",
                "sdb:DeleteAttributes",
                "dms:StopReplicationTask",
                "proton:DeleteEnvironmentTemplateMinorVersion",
                "ec2:CreateVpcEndpoint",
                "connect:DisassociateSecurityKey",
                "dms:CancelReplicationTaskAssessmentRun",
                "ec2:DeleteNatGateway",
                "ec2:CreateClientVpnEndpoint",
                "connect:AssociateLexBot",
                "timestream:CreateTable",
                "proton:DeleteEnvironment",
                "lookoutmetrics:DeleteAlert",
                "cloudformation:DeleteStack",
                "macie2:UpdateFindingsFilter",
                "lightsail:DeleteBucketAccessKey",
                "amplifybackend:CreateToken",
                "s3-object-lambda:PutObjectVersionAcl",
                "directconnect:CreateBGPPeer",
                "es:DissociatePackage",
                "polly:StartSpeechSynthesisTask",
                "codeartifact:PutRepositoryPermissionsPolicy",
                "connect:UpdateHoursOfOperation",
                "sqs:PurgeQueue",
                "redshift:ModifyEventSubscription",
                "codestar-notifications:CreateNotificationRule",
                "appstream:BatchDisassociateUserStack",
                "iotsitewise:DeleteAccessPolicy",
                "storagegateway:CreateCachediSCSIVolume",
                "sagemaker:CreateDataQualityJobDefinition",
                "elasticbeanstalk:PutInstanceStatistics",
                "ec2:CreateManagedPrefixList",
                "backup:TagResource",
                "dataexchange:TagResource",
                "waf:DeleteXssMatchSet",
                "cloudshell:GetFileDownloadUrls",
                "ec2:ImportClientVpnClientCertificateRevocationList",
                "storagegateway:UpdateVTLDeviceType",
                "mediaconvert:DeleteJobTemplate",
                "iot:DeleteDynamicThingGroup",
                "serverlessrepo:UpdateApplication",
                "lightsail:AttachInstancesToLoadBalancer",
                "autoscaling:BatchPutScheduledUpdateGroupAction",
                "rekognition:StartStreamProcessor",
                "appmesh-preview:UpdateMesh",
                "kendra:UpdateDataSource",
                "ecs:RunTask",
                "apprunner:DeleteAutoScalingConfiguration",
                "auditmanager:BatchCreateDelegationByAssessment",
                "directconnect:StartBgpFailoverTest",
                "servicecatalog:RejectPortfolioShare",
                "iotsitewise:UpdateAsset",
                "mq:DeleteBroker",
                "route53-recovery-readiness:UntagResource",
                "cloudwatch:DeleteInsightRules",
                "sns:UntagResource",
                "appstream:DeleteImagePermissions",
                "lightsail:DownloadDefaultKeyPair",
                "logs:DeleteSubscriptionFilter",
                "mobiletargeting:CreateSegment",
                "codepipeline:RegisterWebhookWithThirdParty",
                "codepipeline:PutApprovalResult",
                "monitron:ListProjectAdminUsers",
                "synthetics:UntagResource",
                "lex:UpdateSlot",
                "connect:StopContactRecording",
                "route53:UpdateHealthCheck",
                "monitron:TagResource",
                "s3-outposts:DeleteAccessPoint",
                "cognito-idp:AdminResetUserPassword",
                "acm-pca:RestoreCertificateAuthority",
                "kendra:SubmitFeedback",
                "logs:DeleteMetricFilter",
                "lex:CreateExport",
                "quicksight:DeleteThemeAlias",
                "workmail:DeleteOrganization",
                "appflow:UpdateConnectorProfile",
                "eks:AssociateEncryptionConfig",
                "s3:PutObjectVersionTagging",
                "dynamodb:UpdateItem",
                "storagegateway:ShutdownGateway",
                "lightsail:CreateRelationalDatabase",
                "rds:CreateDBSnapshot",
                "es:StartElasticsearchServiceSoftwareUpdate",
                "budgets:CreateBudgetAction",
                "sagemaker:DeleteImage",
                "sagemaker:UpdateDevices",
                "sagemaker:BatchPutMetrics",
                "acm-pca:IssueCertificate",
                "app-integrations:DeleteEventIntegrationAssociation",
                "rds-data:BatchExecuteStatement",
                "storagegateway:DisassociateFileSystem",
                "eks:CreateFargateProfile",
                "ec2:CreateTags",
                "workmail:DeleteMailboxPermissions",
                "logs:DisassociateKmsKey",
                "ec2:DeleteClientVpnEndpoint",
                "servicecatalog:DeleteProvisioningArtifact",
                "fsx:DisassociateFileGateway",
                "detective:DeleteGraph",
                "databrew:DeleteProject",
                "ssm-contacts:ActivateContactChannel",
                "waf:CreateSizeConstraintSet",
                "glacier:CompleteMultipartUpload",
                "workmail:DeleteAccessControlRule",
                "mediaconvert:UntagResource",
                "mediapackage-vod:ConfigureLogs",
                "voiceid:UpdateDomain",
                "route53resolver:DisassociateResolverQueryLogConfig",
                "ssm-incidents:TagResource",
                "iotwireless:UpdateWirelessGateway",
                "ssm:StartChangeRequestExecution",
                "workmail:RegisterToWorkMail",
                "storagegateway:DeleteGateway",
                "cur:ModifyReportDefinition",
                "cloudformation:CreateChangeSet",
                "workmail:SetAdmin",
                "acm-pca:ImportCertificateAuthorityCertificate",
                "clouddirectory:DetachTypedLink",
                "clouddirectory:UpdateSchema",
                "machinelearning:DeleteRealtimeEndpoint",
                "rds:DeleteDBInstance",
                "lookoutvision:StartModel",
                "elasticbeanstalk:ApplyEnvironmentManagedAction",
                "cognito-idp:SetRiskConfiguration",
                "iotevents:BatchPutMessage",
                "lightsail:DeleteAutoSnapshot",
                "forecast:DeleteForecast",
                "timestream:UntagResource",
                "dataexchange:DeleteAsset",
                "route53resolver:AssociateResolverEndpointIpAddress",
                "directconnect:DisassociateConnectionFromLag",
                "amplifybackend:UpdateBackendAPI",
                "ssm-contacts:AcceptPage",
                "ds:CreateTrust",
                "ec2:ReleaseAddress",
                "es:ESHttpPost",
                "states:DeleteActivity",
                "es:UpgradeDomain",
                "imagebuilder:CreateDistributionConfiguration",
                "redshift:ModifyClusterSubnetGroup",
                "lightsail:DetachDisk",
                "cloudformation:UpdateStack",
                "ec2:ModifyVolumeAttribute",
                "ec2:ModifySecurityGroupRules",
                "a4b:UpdateGatewayGroup",
                "kendra:UpdateQuerySuggestionsConfig",
                "storagegateway:AttachVolume",
                "iot:DeleteTopicRule",
                "codeartifact:PutDomainPermissionsPolicy",
                "ssm-contacts:UpdateContact",
                "networkmanager:CreateLink",
                "redshift:DeleteTags",
                "servicecatalog:AssociateResource",
                "sdb:BatchDeleteAttributes",
                "waf:UpdateIPSet",
                "securityhub:BatchImportFindings",
                "athena:UpdateDataCatalog",
                "redshift:RejectDataShare",
                "cloudwatch:DisableInsightRules",
                "glue:UntagResource",
                "frauddetector:DeleteEntityType",
                "lightsail:UpdateBucket",
                "wellarchitected:DeleteWorkload",
                "ec2:ModifyTrafficMirrorFilterNetworkServices",
                "autoscaling:CancelInstanceRefresh",
                "servicecatalog:DisassociatePrincipalFromPortfolio",
                "mgn:DeleteJob",
                "globalaccelerator:RemoveCustomRoutingEndpoints",
                "iotfleethub:UpdateApplication",
                "waf:CreateRateBasedRule",
                "s3:PutBucketPublicAccessBlock",
                "cloudfront:AssociateAlias",
                "lambda:PutFunctionCodeSigningConfig",
                "network-firewall:UpdateRuleGroup",
                "sqlworkbench:AssociateQueryWithTab",
                "cloudsearch:DefineAnalysisScheme",
                "cloudfront:CreateDistributionWithTags",
                "glue:DeleteMLTransform",
                "servicecatalog:AssociateServiceActionWithProvisioningArtifact",
                "ds:UpdateNumberOfDomainControllers",
                "app-integrations:DeleteEventIntegration",
                "connect:AssociateApprovedOrigin",
                "iotwireless:DisassociateWirelessGatewayFromThing",
                "storagegateway:CreateTapes",
                "robomaker:RestartSimulationJob",
                "voiceid:UntagResource",
                "imagebuilder:UntagResource",
                "workmail:CreateResource",
                "rds:RestoreDBClusterFromSnapshot",
                "robomaker:CancelSimulationJobBatch",
                "storagegateway:AddUploadBuffer",
                "s3-outposts:PutObjectTagging",
                "redshift:DisableSnapshotCopy",
                "a4b:DeleteContact",
                "appconfig:UpdateApplication",
                "databrew:UpdateProfileJob",
                "cloudfront:UpdateDistribution",
                "workmail:UpdateOutboundMailFlowRule",
                "ec2:CreateRestoreImageTask",
                "a4b:DeleteSkillGroup",
                "quicksight:CreateFolder",
                "securityhub:DisassociateFromMasterAccount",
                "rds:ApplyPendingMaintenanceAction",
                "imagebuilder:PutImageRecipePolicy",
                "kinesisvideo:UntagResource",
                "sagemaker:DeleteTags",
                "redshift:RotateEncryptionKey",
                "s3:DeleteJobTagging",
                "ses:CreateConfigurationSetEventDestination",
                "lookoutvision:DetectAnomalies",
                "iot:DeleteThingGroup",
                "mediapackage-vod:DeletePackagingConfiguration",
                "iotanalytics:CreatePipeline",
                "devops-guru:AddNotificationChannel",
                "ec2:CreatePlacementGroup",
                "autoscaling:EnterStandby",
                "monitron:UpdateProject",
                "apigateway:SetWebACL",
                "sagemaker:CreateCodeRepository",
                "elasticache:IncreaseReplicaCount",
                "ecr-public:PutRepositoryCatalogData",
                "amplifybackend:UpdateBackendConfig",
                "iot1click:InvokeDeviceMethod",
                "imagebuilder:DeleteContainerRecipe",
                "ec2:ReplaceTransitGatewayRoute",
                "sagemaker:CreateHyperParameterTuningJob",
                "cloudfront:TagResource",
                "timestream:TagResource",
                "ecs:DeleteAttributes",
                "deepracer:StopEvaluation",
                "batch:RegisterJobDefinition",
                "backup:DeleteBackupSelection",
                "rds:ModifyDBClusterSnapshotAttribute",
                "machinelearning:AddTags",
                "deeplens:DeleteModel",
                "gamelift:RegisterGameServer",
                "imagebuilder:StartImagePipelineExecution",
                "elasticache:BatchApplyUpdateAction",
                "memorydb:UpdateCluster",
                "finspace:DeleteUser",
                "ec2:DisassociateEnclaveCertificateIamRole",
                "codedeploy:UpdateDeploymentGroup",
                "elasticache:FailoverGlobalReplicationGroup",
                "backup:DeleteBackupVault",
                "ses:PutEmailIdentityDkimSigningAttributes",
                "iot:UpdateCertificate",
                "bugbust:UpdateWorkItem",
                "route53:CreateTrafficPolicyVersion",
                "ds:EnableLDAPS",
                "redshift:AuthorizeSnapshotAccess",
                "appconfig:UntagResource",
                "iot:UpdateRoleAlias",
                "codebuild:BatchPutTestCases",
                "lightsail:UpdateDomainEntry",
                "iotevents:UpdateDetectorModel",
                "storagegateway:CreateSnapshot",
                "connect:UpdateUserHierarchyGroupName",
                "storagegateway:UpdateSMBFileShareVisibility",
                "sagemaker:CreateModelPackageGroup",
                "ecs:SubmitContainerStateChange",
                "workmail:DisableMailUsers",
                "lex:UpdateBotLocale",
                "aps:CreateRuleGroupsNamespace",
                "proton:CreateService",
                "a4b:SendInvitation",
                "servicecatalog:AssociateTagOptionWithResource",
                "ssm:DeregisterManagedInstance",
                "deepracer:DeleteLeaderboard",
                "elasticmapreduce:ModifyInstanceFleet",
                "route53:DeleteQueryLoggingConfig",
                "panorama:UpdateApp",
                "appflow:UseConnectorProfile",
                "lookoutequipment:CreateModel",
                "kinesisvideo:UntagStream",
                "cloud9:DeleteEnvironmentMembership",
                "personalize:PutEvents",
                "codedeploy:RemoveTagsFromOnPremisesInstances",
                "a4b:AssociateSkillGroupWithRoom",
                "profile:PutIntegration",
                "ec2:AcceptVpcEndpointConnections",
                "ec2:CreateTrafficMirrorTarget",
                "ses:PutDedicatedIpInPool",
                "appflow:UntagResource",
                "personalize:StopSolutionVersionCreation",
                "ds:UpdateConditionalForwarder",
                "workmail:TestOutboundMailFlowRules",
                "iot:UpdateCACertificate",
                "iotevents:CreateAlarmModel",
                "iot:RemoveThingFromThingGroup",
                "personalize:CreateDatasetGroup",
                "codecommit:MergeBranchesByFastForward",
                "opsworks:SetLoadBasedAutoScaling",
                "opsworks:DisassociateElasticIp",
                "ssm-contacts:DeleteContactPolicy",
                "sagemaker:DeleteTrialComponent",
                "ecs:StopTask",
                "license-manager:AcceptGrant",
                "states:StartSyncExecution",
                "chime:TagResource",
                "lookoutequipment:CreateInferenceScheduler",
                "kendra:CreateDataSource",
                "networkmanager:DisassociateCustomerGateway",
                "ecr:DeleteRepository",
                "databrew:DeleteRecipeVersion",
                "mobiletargeting:DeleteRecommenderConfiguration",
                "cloudwatch:EnableInsightRules",
                "worklink:UpdateCompanyNetworkConfiguration",
                "connect:CreateAgentStatus",
                "medialive:CreatePartnerInput",
                "elemental-appliances-software:TagResource",
                "lookoutmetrics:ActivateAnomalyDetector",
                "profile:UpdateDomain",
                "cloudhsm:CreateHsm",
                "iot:CreateTopicRule",
                "mobiletargeting:PutEventStream",
                "ssm:AssociateOpsItemRelatedItem",
                "cloudformation:UpdateStackInstances",
                "connect:CreateQueue",
                "codecommit:UpdatePullRequestStatus",
                "chime:DeleteChannelBan",
                "codepipeline:CreatePipeline",
                "sagemaker:UpdateImage",
                "ec2:DeleteVpcEndpointConnectionNotifications",
                "storagegateway:UpdateGatewaySoftwareNow",
                "ssm-contacts:TagResource",
                "events:UpdateApiDestination",
                "worklink:RevokeDomainAccess",
                "storagegateway:RemoveTagsFromResource",
                "lightsail:StopInstance",
                "redshift:PauseCluster",
                "lex:StartImport",
                "opsworks:StartStack",
                "deepcomposer:CreateModel",
                "sagemaker:StopHyperParameterTuningJob",
                "codeartifact:AssociateWithDownstreamRepository",
                "opsworks:AssignInstance",
                "route53-recovery-control-config:CreateRoutingControl",
                "ecr-public:CompleteLayerUpload",
                "directconnect:DeleteBGPPeer",
                "iot:CreateDomainConfiguration",
                "workspaces:StartWorkspaces",
                "codecommit:TestRepositoryTriggers",
                "iotwireless:DeleteDestination",
                "events:UpdateArchive",
                "iotthingsgraph:DeprecateSystemTemplate",
                "iot1click:DeletePlacement",
                "iotanalytics:DeleteDatasetContent",
                "redshift:CreateUsageLimit",
                "ec2:CreateFleet",
                "ses:DeleteEmailTemplate",
                "swf:DeprecateActivityType",
                "eks:CreateAddon",
                "acm:RemoveTagsFromCertificate",
                "quicksight:CreateIAMPolicyAssignment",
                "machinelearning:CreateMLModel",
                "sagemaker:CreateArtifact",
                "cloudwatch:PutMetricAlarm",
                "kms:CancelKeyDeletion",
                "opsworks:AssignVolume",
                "ssm:ModifyDocumentPermission",
                "backup:CreateBackupPlan",
                "ec2:AttachVpnGateway",
                "dataexchange:UpdateDataSet",
                "wafv2:UpdateIPSet",
                "glue:ImportCatalogToGlue",
                "appstream:CreateStack",
                "machinelearning:CreateDataSourceFromRDS",
                "route53-recovery-readiness:CreateReadinessCheck",
                "proton:CreateServiceTemplateMajorVersion",
                "ecs:UpdateTaskSet",
                "iotthingsgraph:DeprecateFlowTemplate",
                "elasticloadbalancing:DeleteRule",
                "appmesh:UpdateGatewayRoute",
                "iot:DeleteStream",
                "robomaker:DeleteFleet",
                "proton:CreateServiceTemplateMinorVersion",
                "iotwireless:DisassociateWirelessDeviceFromThing",
                "workspaces:UpdateConnectionAliasPermission",
                "cloudsearch:DeleteDomain",
                "chime:CreateChannelBan",
                "firehose:UntagDeliveryStream",
                "storagegateway:AssociateFileSystem",
                "kendra:UntagResource",
                "databrew:StartJobRun",
                "storagegateway:AddCache",
                "codebuild:StartBuild",
                "lightsail:CreateDisk",
                "cloudformation:DeleteStackSet",
                "ec2:CreateDhcpOptions",
                "elasticbeanstalk:DeleteEnvironmentConfiguration",
                "sns:AddPermission",
                "appstream:CreateFleet",
                "glue:DeleteTable",
                "networkmanager:UpdateConnection",
                "codestar-connections:UntagResource",
                "connect:UpdateContactFlowContent",
                "managedblockchain:DeleteMember",
                "codepipeline:StartPipelineExecution",
                "networkmanager:UpdateDevice",
                "ec2:ModifyInstanceMetadataOptions",
                "lambda:UpdateFunctionEventInvokeConfig",
                "ec2:CancelExportTask",
                "devicefarm:CreateDevicePool",
                "lightsail:DeleteLoadBalancerTlsCertificate",
                "connect:UpdateQuickConnectConfig",
                "iotwireless:UpdateWirelessDevice",
                "ec2:AssociateIamInstanceProfile",
                "autoscaling:StartInstanceRefresh",
                "storagegateway:DeleteChapCredentials",
                "workmail:SetMobilePolicyDetails",
                "cognito-idp:CreateUserPoolClient",
                "mobiletargeting:DeleteJourney",
                "sqs:AddPermission",
                "appmesh:DeleteMesh",
                "cloudfront:DeleteStreamingDistribution",
                "qldb:PartiQLUpdate",
                "cognito-idp:DeleteUserPoolClient",
                "elasticmapreduce:AddTags",
                "ec2:CreateTransitGatewayRoute",
                "logs:UntagLogGroup",
                "storagegateway:AddTagsToResource",
                "ssm:GetParameters",
                "appstream:TagResource",
                "codecommit:UploadArchive",
                "clouddirectory:DeleteFacet",
                "deepcomposer:DeleteComposition",
                "lex:DeleteResourcePolicy",
                "mobilehub:DeleteProject",
                "swf:StartTimer",
                "kinesis:PutRecords",
                "sagemaker:CreateTransformJob",
                "lambda:UntagResource",
                "elasticache:DeleteCacheSubnetGroup",
                "ssm:CreateResourceDataSync",
                "autoscaling:DetachLoadBalancerTargetGroups",
                "geo:DeleteMap",
                "robomaker:CancelDeploymentJob",
                "gamelift:UpdateMatchmakingConfiguration",
                "ecr:StartLifecyclePolicyPreview",
                "securityhub:UpdateStandardsControl",
                "athena:CreateWorkGroup",
                "machinelearning:CreateRealtimeEndpoint",
                "cloudtrail:StartLogging",
                "network-firewall:TagResource",
                "auditmanager:UntagResource",
                "waf:UpdateSizeConstraintSet",
                "mobiletargeting:DeleteSmsChannel",
                "codebuild:RetryBuild",
                "elasticloadbalancing:CreateTargetGroup",
                "ec2:CreateTransitGatewayMulticastDomain",
                "s3:PutIntelligentTieringConfiguration",
                "ssm-incidents:UntagResource",
                "rds:RemoveFromGlobalCluster",
                "sagemaker:DeleteEndpointConfig",
                "kinesisvideo:UpdateDataRetention",
                "fis:InjectApiInternalError",
                "savingsplans:UntagResource",
                "chime:UpdateAppInstanceUser",
                "iotanalytics:CancelPipelineReprocessing",
                "amplifybackend:DeleteBackendAPI",
                "elasticache:ModifyUser",
                "wafv2:PutLoggingConfiguration",
                "clouddirectory:UpdateObjectAttributes",
                "chatbot:UpdateChimeWebhookConfiguration",
                "geo:BatchUpdateDevicePosition",
                "proton:CreateServiceTemplateVersion",
                "elasticbeanstalk:DeleteConfigurationTemplate",
                "ec2:DeleteClientVpnRoute",
                "ec2:CreateCapacityReservation",
                "proton:UpdateServiceTemplateMinorVersion",
                "s3-outposts:PutBucketTagging",
                "quicksight:DeleteFolderMembership",
                "ec2:CreateNetworkInterfacePermission",
                "wafv2:DeleteRegexPatternSet",
                "auditmanager:UpdateControl",
                "ec2:AttachInternetGateway",
                "ssm-incidents:DeleteReplicationSet",
                "iotevents:DeleteInput",
                "fsx:CreateVolume",
                "chime:CreateChannelMembership",
                "apprunner:CreateService",
                "servicediscovery:RegisterInstance",
                "rds:CopyDBClusterParameterGroup",
                "cloudfront:DeleteDistribution",
                "cognito-idp:UpdateResourceServer",
                "mediatailor:CreateVodSource",
                "connect:AssociateSecurityKey",
                "geo:CreateTracker",
                "clouddirectory:UpdateLinkAttributes",
                "resource-groups:UpdateGroup",
                "workmail:CreateMailUser",
                "qldb:ExecuteStatement",
                "networkmanager:DeleteConnection",
                "codecommit:UpdateDefaultBranch",
                "ec2:DeleteTransitGatewayPeeringAttachment",
                "dms:RebootReplicationInstance",
                "route53resolver:PutFirewallRuleGroupPolicy",
                "codeguru-reviewer:PutRecommendationFeedback",
                "waf-regional:CreateByteMatchSet",
                "storagegateway:AddWorkingStorage",
                "iot:UpdateTopicRuleDestination",
                "ec2:ModifyTransitGateway",
                "medialive:UpdateReservation",
                "machinelearning:DeleteDataSource",
                "robomaker:SyncDeploymentJob",
                "datasync:DeleteTask",
                "forecast:StopResource",
                "iotwireless:UpdatePartnerAccount",
                "secretsmanager:CreateSecret",
                "ec2:AssociateAddress",
                "mq:UpdateUser",
                "workmailmessageflow:PutRawMessageContent",
                "codecommit:TagResource",
                "backup:UpdateRecoveryPointLifecycle",
                "airflow:CreateWebLoginToken",
                "proton:UpdateEnvironmentTemplateVersion",
                "appstream:DeleteImage",
                "wellarchitected:DeleteWorkloadShare",
                "worklink:SignOutUser",
                "ec2:ReplaceNetworkAclEntry",
                "elasticache:CreateCacheParameterGroup",
                "redshift:DeleteHsmConfiguration",
                "cognito-idp:AdminSetUserMFAPreference",
                "directconnect:AssociateHostedConnection",
                "storagegateway:DeleteVolume",
                "cloudtrail:CreateTrail",
                "directconnect:CreateTransitVirtualInterface",
                "comprehend:UpdateEndpoint",
                "nimble:CreateStreamingSessionStream",
                "redshift:CreateClusterParameterGroup",
                "nimble:CreateStreamingImage",
                "servicecatalog:ProvisionProduct",
                "elasticache:DeleteSnapshot",
                "s3:DeleteAccessPointPolicyForObjectLambda",
                "apprunner:StartDeployment",
                "mgh:DisassociateDiscoveredResource",
                "iotevents:UpdateInputRouting",
                "amplifybackend:DeleteToken",
                "s3:PutBucketObjectLockConfiguration",
                "voiceid:StartFraudsterRegistrationJob",
                "detective:DeleteMembers",
                "firehose:PutRecord",
                "redshift:AssociateDataShareConsumer",
                "iot:UpdateJobExecution",
                "ec2:TerminateInstances",
                "kms:ScheduleKeyDeletion",
                "elasticbeanstalk:CreateApplicationVersion",
                "s3:PutBucketAcl",
                "ssm-contacts:AssociateContact",
                "gamelift:TagResource",
                "amplifybackend:CloneBackend",
                "mq:CreateTags",
                "iotanalytics:UntagResource",
                "ec2:DeleteTrafficMirrorFilter",
                "appmesh:CreateVirtualRouter",
                "robomaker:CancelWorldGenerationJob",
                "access-analyzer:TagResource",
                "kms:UpdatePrimaryRegion",
                "ec2:ModifySpotFleetRequest",
                "databrew:PublishRecipe",
                "cognito-sync:SetIdentityPoolConfiguration",
                "mobiletargeting:DeleteUserEndpoints",
                "autoscaling:DetachInstances",
                "wisdom:DeleteKnowledgeBase",
                "workmail:AssociateDelegateToResource",
                "sagemaker:CreateNotebookInstance",
                "globalaccelerator:DeleteCustomRoutingEndpointGroup",
                "quicksight:UpdateIAMPolicyAssignment",
                "sagemaker:StartNotebookInstance",
                "glue:CancelMLTaskRun",
                "voiceid:StartSpeakerEnrollmentJob",
                "datasync:UpdateTask",
                "ec2:ReplaceIamInstanceProfileAssociation",
                "backup:CreateFramework",
                "autoscaling:PutNotificationConfiguration",
                "elastictranscoder:CreatePipeline",
                "worklink:UpdateDevicePolicyConfiguration",
                "autoscaling:DeleteTags",
                "braket:CancelQuantumTask",
                "rds:CreateDBCluster",
                "kms:Encrypt",
                "states:CreateActivity",
                "rds:ModifyDBProxyEndpoint",
                "cloudsearch:UpdateAvailabilityOptions",
                "ssm:CreateAssociationBatch",
                "elasticmapreduce:ModifyInstanceGroups",
                "iot:DeleteSecurityProfile",
                "cloudsearch:DefineIndexField",
                "s3-outposts:PutObjectAcl",
                "mobiletargeting:UpdateEmailTemplate",
                "s3-object-lambda:WriteGetObjectResponse",
                "quicksight:UpdateFolderPermissions",
                "ssm:UpdateMaintenanceWindowTask",
                "wellarchitected:DisassociateLenses",
                "workmail:CreateAlias",
                "synthetics:StopCanary",
                "athena:DeleteDataCatalog",
                "fis:DeleteExperimentTemplate",
                "iot1click:CreatePlacement",
                "swf:UndeprecateWorkflowType",
                "events:DisableRule",
                "workspaces:AssociateIpGroups",
                "ecs:UpdateClusterSettings",
                "connect:DisassociateApprovedOrigin",
                "codebuild:CreateReport",
                "codeartifact:TagResource",
                "kinesisanalytics:StopApplication",
                "workspaces:DeleteWorkspaceImage",
                "sagemaker:DeleteAction",
                "quicksight:RegisterUser",
                "cloudshell:GetFileUploadUrls",
                "greengrass:DeleteCoreDevice",
                "lambda:UpdateFunctionConfiguration",
                "backup:StartBackupJob",
                "a4b:DisassociateContactFromAddressBook",
                "cognito-idp:AdminRemoveUserFromGroup",
                "s3-object-lambda:PutObjectRetention",
                "ec2:DeleteNetworkInsightsAnalysis",
                "lightsail:AllocateStaticIp",
                "datasync:UpdateAgent",
                "devicefarm:CreateTestGridUrl",
                "elastictranscoder:CancelJob",
                "codecommit:MergeBranchesBySquash",
                "ec2:CreateVolume",
                "route53resolver:UpdateResolverDnssecConfig",
                "rds:ModifyDBProxy",
                "license-manager:UpdateLicenseSpecificationsForResource",
                "workmail:DeleteAlias",
                "redshift:CreateTags",
                "sso:DeleteAccountAssignment",
                "ec2:AssociateInstanceEventWindow",
                "ses:CreateDeliverabilityTestReport",
                "rds:CreateDBParameterGroup",
                "mgn:SendAgentMetricsForMgn",
                "kms:TagResource",
                "ec2:DeleteKeyPair",
                "medialive:UpdateMultiplex",
                "ecr:StartImageScan",
                "glue:DeleteConnection",
                "mq:DeleteUser",
                "mq:RebootBroker",
                "storagegateway:UpdateSMBSecurityStrategy",
                "schemas:StopDiscoverer",
                "ds:DisableSso",
                "elasticache:ModifyUserGroup",
                "wafv2:AssociateWebACL",
                "cloudformation:CancelUpdateStack",
                "waf:DeleteRule",
                "mobiletargeting:DeleteEmailChannel",
                "lambda:UpdateCodeSigningConfig",
                "s3:DeleteBucket",
                "lightsail:CreateLoadBalancer",
                "medialive:BatchDelete",
                "iot:CreateStream",
                "redshift:ModifyAquaConfiguration",
                "codestar-notifications:UpdateNotificationRule",
                "rds:CreateDBSecurityGroup",
                "workspaces:AuthorizeIpRules",
                "resource-groups:PutGroupPolicy",
                "deepracer:PerformLeaderboardOperation",
                "iot:DeletePolicyVersion",
                "ec2:ReportInstanceStatus",
                "connect:UpdateAgentStatus",
                "fsx:CopyBackup",
                "sagemaker:DeleteDomain",
                "qldb:ShowCatalog",
                "ses:SendCustomVerificationEmail",
                "kafka-cluster:Connect",
                "iot1click:UpdatePlacement",
                "a4b:UntagResource",
                "elasticache:RebootCacheCluster",
                "ec2:CreateTrafficMirrorSession",
                "ec2:AuthorizeClientVpnIngress",
                "a4b:CreateRoom",
                "chime:DeleteChannelMessage",
                "imagebuilder:DeleteImage",
                "emr-containers:DeleteVirtualCluster",
                "elasticmapreduce:DeleteEditor",
                "monitron:DisassociateProjectAdminUser",
                "route53resolver:DeleteResolverRule",
                "storagegateway:CreateSnapshotFromVolumeRecoveryPoint",
                "elasticache:DisassociateGlobalReplicationGroup",
                "connect:DisassociateCustomerProfilesDomain",
                "servicecatalog:CreateAttributeGroup",
                "lightsail:DeleteDiskSnapshot",
                "iotevents:BatchUpdateDetector",
                "sns:Subscribe",
                "ssm:RemoveTagsFromResource",
                "glacier:CreateVault",
                "geo:DisassociateTrackerConsumer",
                "ds:UpdateRadius",
                "sagemaker:DeleteDeviceFleet",
                "databrew:DeleteDataset",
                "codeartifact:DeleteDomainPermissionsPolicy",
                "xray:CreateGroup",
                "cloudwatch:TagResource",
                "codedeploy:DeleteApplication",
                "dlm:UntagResource",
                "rds:StopDBCluster",
                "serverlessrepo:PutApplicationPolicy",
                "medialive:CreateInput",
                "groundstation:CancelContact",
                "rds:RestoreDBClusterFromS3",
                "gamelift:CreateFleetLocations",
                "macie2:CreateMember",
                "gamelift:DeleteMatchmakingConfiguration",
                "ec2:ResetSnapshotAttribute",
                "s3-outposts:DeleteBucketPolicy",
                "aps:CreateAlertManagerDefinition",
                "amplify:TagResource",
                "finspace:TagResource",
                "cloudwatch:PutDashboard",
                "kms:PutKeyPolicy",
                "lightsail:ImportKeyPair",
                "waf:DeletePermissionPolicy",
                "glue:BatchDeleteTableVersion",
                "lex:PutSession",
                "es:StartServiceSoftwareUpdate",
                "s3-outposts:DeleteBucket",
                "ecs:DeleteCapacityProvider",
                "iot:AttachSecurityProfile",
                "cloudsearch:IndexDocuments",
                "iotthingsgraph:DeleteFlowTemplate",
                "elasticache:ModifyGlobalReplicationGroup",
                "dynamodb:UpdateTableReplicaAutoScaling",
                "ivs:DeletePlaybackKeyPair",
                "redshift:ModifyClusterParameterGroup",
                "cassandra:Drop",
                "elasticmapreduce:CreateStudioSessionMapping",
                "codecommit:MergePullRequestByThreeWay",
                "events:PutTargets",
                "forecast:DeleteResourceTree",
                "dlm:DeleteLifecyclePolicy",
                "cognito-idp:UpdateUserPoolDomain",
                "states:DeleteStateMachine",
                "frauddetector:DeleteEvent",
                "es:CreateOutboundCrossClusterSearchConnection",
                "workmail:CreateMailDomain",
                "ec2:PurchaseReservedInstancesOffering",
                "license-manager:UpdateLicenseConfiguration",
                "codeartifact:UntagResource",
                "auditmanager:AssociateAssessmentReportEvidenceFolder",
                "storagegateway:DeleteTape",
                "codedeploy:CreateDeployment",
                "ds:DeregisterCertificate",
                "devicefarm:UpdateInstanceProfile",
                "elasticmapreduce:AddJobFlowSteps",
                "waf-regional:CreateRuleGroup",
                "devicefarm:TagResource",
                "frauddetector:UntagResource",
                "ec2:RequestSpotFleet",
                "networkmanager:UpdateGlobalNetwork",
                "a4b:RevokeInvitation",
                "chime:DeleteAppInstanceUser",
                "sagemaker:DeleteAlgorithm",
                "elasticloadbalancing:CreateRule",
                "globalaccelerator:UpdateCustomRoutingListener",
                "mobiletargeting:UpdateVoiceChannel",
                "appconfig:UpdateEnvironment",
                "databrew:StopJobRun",
                "elasticache:DeleteReplicationGroup",
                "eks:UpdateAddon",
                "servicecatalog:UntagResource",
                "ec2:CopyFpgaImage",
                "iotanalytics:CreateChannel",
                "codecommit:PutFile",
                "glue:TagResource",
                "kms:ReEncryptTo",
                "autoscaling:PutWarmPool",
                "mobiletargeting:RemoveAttributes",
                "codebuild:UpdateProjectVisibility",
                "sagemaker:UpdateContext",
                "autoscaling:CreateOrUpdateTags",
                "connect:UpdateUserHierarchy",
                "acm-pca:UntagCertificateAuthority",
                "apigateway:PUT",
                "ec2:DetachClassicLinkVpc",
                "databrew:UpdateRecipe",
                "appmesh:UntagResource",
                "sagemaker:DisassociateTrialComponent",
                "wafv2:DeleteWebACL",
                "ec2:ModifyTrafficMirrorSession",
                "devicefarm:DeleteVPCEConfiguration",
                "directconnect:TagResource",
                "mediaconvert:DeletePreset",
                "config:DeleteConfigRule",
                "ecr-public:PutImage",
                "kafka-cluster:AlterTopicDynamicConfiguration",
                "ec2:AssociateTransitGatewayRouteTable",
                "deepcomposer:CreateAudio",
                "healthlake:UpdateResource",
                "transfer:UpdateServer",
                "athena:DeleteWorkGroup",
                "backup:UpdateReportPlan",
                "directconnect:ConfirmPublicVirtualInterface",
                "swf:UntagResource",
                "eks:UpdateNodegroupVersion",
                "codeguru-reviewer:DisassociateRepository",
                "glue:UpdatePartition",
                "quicksight:UpdateGroup",
                "codepipeline:PollForJobs",
                "redshift:DeleteClusterParameterGroup",
                "codestar:CreateUserProfile",
                "auditmanager:TagResource",
                "lex:CreateSlot",
                "iotthingsgraph:UndeploySystemInstance",
                "events:RemoveTargets",
                "codebuild:DeleteWebhook",
                "workmail:UpdateMobileDeviceAccessRule",
                "elasticbeanstalk:UpdateApplication",
                "dataexchange:DeleteRevision",
                "quicksight:DeleteNamespace",
                "ds:EnableSso",
                "dms:StartReplicationTaskAssessmentRun",
                "codebuild:DeleteBuildBatch",
                "codestar-connections:UpdateHost",
                "ssm:AddTagsToResource",
                "sqlworkbench:UpdateSavedQuery",
                "iot:DeprecateThingType",
                "worklink:AssociateWebsiteCertificateAuthority",
                "appconfig:DeleteApplication",
                "opsworks:SetTimeBasedAutoScaling",
                "iotevents:BatchResetAlarm",
                "dax:UpdateCluster",
                "frauddetector:UpdateDetectorVersionMetadata",
                "kinesisanalytics:AddApplicationInput",
                "lambda:DeleteFunctionCodeSigningConfig",
                "chime:CreateAttendee",
                "elasticmapreduce:PutAutoScalingPolicy",
                "waf:DeleteIPSet",
                "ses:CreateConfigurationSet",
                "wisdom:UpdateContent",
                "codestar-connections:DeleteHost",
                "appmesh-preview:UpdateRoute",
                "wafv2:DeleteIPSet",
                "workmail:UpdateInboundMailFlowRule",
                "iot:Receive",
                "elasticmapreduce:StartEditor",
                "quicksight:TagResource",
                "ses:PutConfigurationSetSuppressionOptions",
                "waf-regional:DeleteRuleGroup",
                "backup:UpdateFramework",
                "codepipeline:UpdatePipeline",
                "opsworks:DeleteApp",
                "ssm-incidents:DeleteResponsePlan",
                "mediaconvert:UpdateQueue",
                "frauddetector:DeleteDetector",
                "kinesis:IncreaseStreamRetentionPeriod",
                "license-manager:UpdateLicenseManagerReportGenerator",
                "redshift:CreateCluster",
                "clouddirectory:CreateFacet",
                "s3:GetObject",
                "amplify:DeleteDomainAssociation",
                "kms:CreateGrant",
                "elasticache:CreateCacheSecurityGroup",
                "serverlessrepo:CreateApplicationVersion",
                "appmesh:UpdateMesh",
                "iot:CreateScheduledAudit",
                "dynamodb:UpdateContinuousBackups",
                "cloudshell:StopEnvironment",
                "sns:Publish",
                "ec2:ModifyVpnTunnelCertificate",
                "backup:DeleteFramework",
                "cloud9:DeleteEnvironment",
                "ec2:EnableVolumeIO",
                "robomaker:CreateWorldExportJob",
                "servicecatalog:CreatePortfolio",
                "rds:CreateDBProxyEndpoint",
                "network-firewall:PutResourcePolicy",
                "appmesh:DeleteRoute",
                "kafka-cluster:CreateTopic",
                "elasticfilesystem:TagResource",
                "ecr-public:InitiateLayerUpload",
                "route53resolver:DisassociateFirewallRuleGroup",
                "kendra:StartDataSourceSyncJob",
                "guardduty:DeletePublishingDestination",
                "ec2:ModifyTransitGatewayPrefixListReference",
                "redshift:EnableSnapshotCopy",
                "opsworks:UpdateLayer",
                "sagemaker:UpdateWorkteam",
                "iot:CreateThingGroup",
                "ec2:AssociateVpcCidrBlock",
                "sagemaker:StopTransformJob",
                "rds:StartDBInstance",
                "qldb:PartiQLDropIndex",
                "rds:AddRoleToDBCluster",
                "frauddetector:PutEventType",
                "mobiletargeting:UpdateEndpointsBatch",
                "gamelift:UpdateGameServer",
                "iotsitewise:UpdateGateway",
                "eks:UpdateClusterVersion",
                "servicecatalog:AssociatePrincipalWithPortfolio",
                "gamelift:UpdateRuntimeConfiguration",
                "codestar-notifications:TagResource",
                "quicksight:DescribeDataSetPermissions",
                "appconfig:StartDeployment",
                "lambda:DeleteFunction",
                "servicecatalog:UpdatePortfolioShare",
                "kms:ReplicateKey",
                "ec2:CreateVpcPeeringConnection",
                "kinesisanalytics:DeleteApplicationReferenceDataSource",
                "rds-data:CommitTransaction",
                "elasticloadbalancing:DeleteLoadBalancer",
                "sagemaker:UpdateTrainingJob",
                "codeartifact:DeletePackageVersions",
                "personalize:CreateSolution",
                "codecommit:UpdatePullRequestTitle",
                "nimble:AcceptEulas",
                "forecast:CreatePredictorBacktestExportJob",
                "devicefarm:UpdateDevicePool",
                "nimble:UpdateStudioComponent",
                "events:CreatePartnerEventSource",
                "iotanalytics:UpdateDataset",
                "cloudformation:RecordHandlerProgress",
                "sqlworkbench:DeleteConnection",
                "databrew:StartProjectSession",
                "eks:DeleteNodegroup",
                "kinesisanalytics:AddApplicationVpcConfiguration",
                "lightsail:DeleteRelationalDatabase",
                "machinelearning:DeleteTags",
                "aps:PutAlertManagerDefinition",
                "dms:DeleteReplicationSubnetGroup",
                "auditmanager:BatchImportEvidenceToAssessmentControl",
                "healthlake:DeleteFHIRDatastore",
                "rds:RemoveRoleFromDBInstance",
                "opsworks:StartInstance",
                "geo:BatchDeleteGeofence",
                "iotevents:CreateDetectorModel",
                "iotwireless:PutResourceLogLevel",
                "lambda:DeleteEventSourceMapping",
                "cloudwatch:DeleteDashboards",
                "iot:DeleteJobTemplate",
                "workspaces:TerminateWorkspaces",
                "rds:StartActivityStream",
                "sagemaker:CreateProject",
                "memorydb:ResetParameterGroup",
                "servicecatalog:TagResource",
                "globalaccelerator:UpdateAccelerator",
                "lightsail:PutInstancePublicPorts",
                "codeguru-profiler:RemoveNotificationChannel",
                "ec2:DeleteVolume",
                "redshift:ModifySnapshotCopyRetentionPeriod",
                "codeguru-profiler:AddNotificationChannels",
                "dms:ReloadTables",
                "batch:CreateJobQueue",
                "devicefarm:DeleteNetworkProfile",
                "mobiletargeting:UpdateCampaign",
                "emr-containers:CreateManagedEndpoint",
                "schemas:PutResourcePolicy",
                "fis:TagResource",
                "lex:UpdateResourcePolicy",
                "secretsmanager:StopReplicationToReplica",
                "cognito-idp:CreateIdentityProvider",
                "connect:DeleteHoursOfOperation",
                "redshift:CreateClusterSnapshot",
                "proton:DeleteServiceTemplateMinorVersion",
                "dms:RemoveTagsFromResource",
                "ec2:CreateTransitGatewayPeeringAttachment",
                "securityhub:DisableImportFindingsForProduct",
                "sdb:DeleteDomain",
                "servicediscovery:UpdatePublicDnsNamespace",
                "devicefarm:DeleteRemoteAccessSession",
                "cloudfront:CreateStreamingDistribution",
                "monitron:AssociateProjectAdminUser",
                "lex:CreateResourcePolicy",
                "lex:UpdateExport",
                "sns:CreateTopic",
                "s3:PutAnalyticsConfiguration",
                "route53-recovery-control-config:DeleteControlPanel",
                "lex:CreateBotLocale",
                "dms:ModifyReplicationInstance",
                "swf:RegisterWorkflowType",
                "s3:PutAccessPointPolicy",
                "config:TagResource",
                "elasticmapreduce:CancelSteps",
                "cognito-idp:AdminInitiateAuth",
                "codecommit:BatchDisassociateApprovalRuleTemplateFromRepositories",
                "ec2:PurchaseHostReservation",
                "ec2:CreateVpnConnection",
                "fms:UntagResource",
                "cloud9:ModifyTemporaryCredentialsOnEnvironmentEC2",
                "lightsail:CreateContainerServiceDeployment",
                "sso:DeleteInstanceAccessControlAttributeConfiguration",
                "waf:CreateRule",
                "kendra:UpdateIndex",
                "cloudformation:DeleteStackInstances",
                "ssm:DeleteMaintenanceWindow",
                "iotanalytics:UpdatePipeline",
                "dynamodb:CreateBackup",
                "ec2:AssociateDhcpOptions",
                "iot:DeleteCustomMetric",
                "cloudsearch:UpdateScalingParameters",
                "servicecatalog:CreateProvisioningArtifact",
                "waf-regional:CreateXssMatchSet",
                "iotwireless:SendDataToWirelessDevice",
                "transfer:StartServer",
                "a4b:UpdateConferenceProvider",
                "lex:RecognizeUtterance",
                "elemental-activations:TagResource",
                "lambda:DeleteCodeSigningConfig",
                "bugbust:EvaluateProfilingGroups",
                "appstream:UpdateFleet",
                "rds:ModifyDBParameterGroup",
                "storagegateway:CancelArchival",
                "ecr-public:UploadLayerPart",
                "ec2:ModifyClientVpnEndpoint",
                "ec2:DisassociateClientVpnTargetNetwork",
                "waf-regional:CreateRule",
                "codedeploy:CreateDeploymentGroup",
                "autoscaling:SetDesiredCapacity",
                "iotevents:BatchSnoozeAlarm",
                "lightsail:DetachStaticIp",
                "redshift:RevokeSnapshotAccess",
                "elasticfilesystem:PutFileSystemPolicy",
                "machinelearning:CreateBatchPrediction",
                "networkmanager:DeleteSite",
                "ses:UpdateContactList",
                "devicefarm:CreateRemoteAccessSession",
                "sts:AssumeRoleWithWebIdentity",
                "waf:DeleteLoggingConfiguration",
                "geo:UpdateTracker",
                "cloudsearch:UpdateServiceAccessPolicies",
                "connect:DisassociateBot",
                "storagegateway:DisableGateway",
                "sagemaker:UpdateAction",
                "events:CreateArchive",
                "healthlake:DeleteResource",
                "amplify:DeleteApp",
                "proton:UpdateService",
                "clouddirectory:DeleteSchema",
                "globalaccelerator:AddCustomRoutingEndpoints",
                "route53-recovery-readiness:CreateResourceSet",
                "servicecatalog:DeletePortfolioShare",
                "clouddirectory:RemoveFacetFromObject",
                "elasticache:RebalanceSlotsInGlobalReplicationGroup",
                "batch:TerminateJob",
                "ecr:DeleteLifecyclePolicy",
                "wisdom:RemoveKnowledgeBaseTemplateUri",
                "ec2:AcceptReservedInstancesExchangeQuote",
                "ssm:RegisterPatchBaselineForPatchGroup",
                "lightsail:UpdateRelationalDatabase",
                "comprehend:DeleteDocumentClassifier",
                "guardduty:DeleteFilter",
                "cognito-idp:AdminUpdateDeviceStatus",
                "elasticmapreduce:UpdateStudio",
                "kinesisanalytics:DeleteApplicationOutput",
                "ec2:ModifyLaunchTemplate",
                "iot:TransferCertificate",
                "sagemaker:StopTrainingJob",
                "lookoutvision:CreateProject",
                "rds:CopyDBClusterSnapshot",
                "ssm:ResumeSession",
                "redshift:AuthorizeClusterSecurityGroupIngress",
                "imagebuilder:DeleteImagePipeline",
                "proton:CancelServicePipelineDeployment",
                "ec2:ReplaceRoute",
                "elasticfilesystem:PutBackupPolicy",
                "gamelift:DeleteScript",
                "sagemaker:CreateTrialComponent",
                "cassandra:Modify",
                "glue:UpdateMLTransform",
                "appstream:DeleteImageBuilder",
                "sagemaker:UpdateTrialComponent",
                "ses:UpdateEmailIdentityPolicy",
                "route53-recovery-control-config:DeleteSafetyRule",
                "proton:CreateEnvironment",
                "braket:TagResource",
                "imagebuilder:PutImagePolicy",
                "firehose:PutRecordBatch",
                "ec2:DeleteTags",
                "geo:DeletePlaceIndex",
                "guardduty:UpdateIPSet",
                "servicecatalog:ImportAsProvisionedProduct",
                "lex:CreateBotChannel",
                "fis:InjectApiUnavailableError",
                "cognito-idp:AdminUserGlobalSignOut",
                "codecommit:UpdatePullRequestApprovalState",
                "sagemaker:DeleteHumanTaskUi",
                "glacier:DeleteVaultAccessPolicy",
                "firehose:TagDeliveryStream",
                "clouddirectory:ApplySchema",
                "cloudwatch:StartMetricStreams",
                "directconnect:DeleteDirectConnectGatewayAssociation",
                "elasticmapreduce:AddInstanceGroups",
                "signer:RemoveProfilePermission",
                "personalize:CreateBatchInferenceJob",
                "deepcomposer:TagResource",
                "personalize:UpdateCampaign",
                "quicksight:UpdateUser",
                "cognito-idp:StopUserImportJob",
                "backup:DeleteBackupVaultNotifications",
                "ec2:ResetInstanceAttribute",
                "sns:DeleteTopic",
                "a4b:UpdateNetworkProfile",
                "es:DeleteElasticsearchDomain",
                "amplifybackend:UpdateBackendJob",
                "iot:UpdateThingGroup",
                "es:RemoveTags",
                "deepracer:CreateLeaderboardSubmission",
                "chime:DeleteChannelMembership",
                "sagemaker:StopCompilationJob",
                "codecommit:PostCommentForPullRequest",
                "ecs:ExecuteCommand",
                "sagemaker:UpdateMonitoringSchedule",
                "elasticmapreduce:AddInstanceFleet",
                "redshift:ResizeCluster",
                "mediaconvert:DeleteQueue",
                "codebuild:DeleteReport",
                "ec2:DisassociateTransitGatewayMulticastDomain",
                "networkmanager:UpdateLink",
                "workspaces:StopWorkspaces",
                "firehose:DeleteDeliveryStream",
                "a4b:UpdateGateway",
                "rds:StopDBInstanceAutomatedBackupsReplication",
                "glue:UpdateSchema",
                "license-manager:DeleteLicenseConfiguration",
                "waf-regional:UpdateRule",
                "amplifybackend:DeleteBackend",
                "nimble:UpdateStreamingImage",
                "managedblockchain:CreateMember",
                "elasticmapreduce:RemoveAutoScalingPolicy",
                "appflow:RunFlow",
                "quicksight:DeleteFolder",
                "mobiletargeting:UpdateSegment",
                "imagebuilder:ImportComponent",
                "workmail:AssociateMemberToGroup",
                "cloud9:UpdateEnvironmentMembership",
                "sagemaker:CreatePresignedNotebookInstanceUrl",
                "route53-recovery-readiness:UpdateRecoveryGroup",
                "rds:RemoveRoleFromDBCluster",
                "rekognition:StopProjectVersion",
                "autoscaling:DisableMetricsCollection",
                "route53:UpdateHostedZoneComment",
                "frauddetector:CreateBatchPredictionJob",
                "cloudformation:TagResource",
                "elasticmapreduce:RemoveTags",
                "ec2:DeleteManagedPrefixList",
                "fsx:UpdateFileSystem",
                "kinesisanalytics:AddApplicationOutput",
                "globalaccelerator:DeleteCustomRoutingAccelerator",
                "mediapackage:TagResource",
                "elasticache:DecreaseReplicaCount",
                "eks:AssociateIdentityProviderConfig",
                "s3:PutObject",
                "apprunner:UntagResource",
                "wellarchitected:AssociateLenses",
                "aps:PutAlertManagerSilences",
                "s3-object-lambda:PutObjectLegalHold",
                "mgn:UpdateAgentReplicationInfoForMgn",
                "sagemaker:DeleteAppImageConfig",
                "trustedadvisor:IncludeCheckItems",
                "personalize:DeleteDataset",
                "lookoutvision:DeleteProject",
                "deeplens:RemoveProject",
                "s3:DeleteBucketWebsite",
                "lightsail:SetIpAddressType",
                "transfer:UpdateUser",
                "rds:ModifyDBProxyTargetGroup",
                "forecast:CreateForecastExportJob",
                "lex:DeleteBotVersion",
                "codeguru-profiler:SubmitFeedback",
                "sagemaker:CreateHumanTaskUi",
                "s3:PutBucketOwnershipControls",
                "ec2:CreateNetworkAcl",
                "globalaccelerator:DeleteCustomRoutingListener",
                "appmesh-preview:CreateGatewayRoute",
                "wafv2:DeleteFirewallManagerRuleGroups",
                "backup:UntagResource",
                "wisdom:UpdateKnowledgeBaseTemplateUri",
                "personalize:DeleteDatasetGroup",
                "lightsail:CreateDiskFromSnapshot",
                "autoscaling:CompleteLifecycleAction",
                "mgn:UpdateReplicationConfigurationTemplate",
                "shield:UntagResource",
                "ssm-contacts:UpdateContactChannel",
                "lightsail:CreateLoadBalancerTlsCertificate",
                "snow-device-management:TagResource",
                "securityhub:DeleteActionTarget",
                "frauddetector:DeleteModelVersion",
                "cloudhsm:DeleteCluster",
                "ecr-public:CreateRepository",
                "qldb:TagResource",
                "iotsitewise:UpdateAssetModel",
                "workmail:UpdateSmtpGateway",
                "cloudfront:CreateStreamingDistributionWithTags",
                "sso:DeletePermissionSet",
                "elasticbeanstalk:CreatePlatformVersion",
                "firehose:UpdateDestination",
                "servicediscovery:DeleteService",
                "elasticfilesystem:DeleteAccessPoint",
                "appstream:AssociateFleet",
                "lex:DeleteBot",
                "directconnect:StopBgpFailoverTest",
                "ecr-public:PutRegistryCatalogData",
                "iotsitewise:DeleteDashboard",
                "redshift:ModifyClusterIamRoles",
                "timestream:UpdateDatabase",
                "app-integrations:CreateDataIntegrationAssociation",
                "sso:DetachManagedPolicyFromPermissionSet",
                "appstream:CreateImageBuilderStreamingURL",
                "mgn:BatchCreateVolumeSnapshotGroupForMgn",
                "redshift:EnableLogging",
                "iot:CloseTunnel",
                "ds:CreateConditionalForwarder",
                "codepipeline:PutActionRevision",
                "sagemaker:DeleteFeatureGroup",
                "a4b:UpdateContact",
                "directconnect:UpdateLag",
                "s3-object-lambda:PutObjectVersionTagging",
                "ec2:DeleteTrafficMirrorFilterRule",
                "elastictranscoder:DeletePipeline",
                "appmesh-preview:CreateMesh",
                "codecommit:GitPush",
                "secretsmanager:RotateSecret",
                "personalize:CreateFilter",
                "fsx:CreateDataRepositoryTask",
                "appflow:StopFlow",
                "medialive:UpdateChannel",
                "appmesh-preview:DeleteMesh",
                "lookoutequipment:StartDataIngestionJob",
                "ecs:UpdateCluster",
                "sagemaker:DeleteModelPackageGroupPolicy",
                "amplifybackend:CreateBackendAuth",
                "ec2:CreateLocalGatewayRoute",
                "fms:DeleteAppsList",
                "apprunner:ResumeService",
                "fms:PutPolicy",
                "quicksight:CancelIngestion",
                "finspace:CreateEnvironment",
                "connect:UpdateUserRoutingProfile",
                "waf-regional:DeleteXssMatchSet",
                "appsync:UntagResource",
                "clouddirectory:PublishSchema",
                "storagegateway:StartGateway",
                "elasticache:CreateGlobalReplicationGroup",
                "iotwireless:DisassociateAwsAccountFromPartnerAccount",
                "wafv2:CreateRuleGroup",
                "robomaker:RegisterRobot",
                "directconnect:AllocateTransitVirtualInterface",
                "events:ActivateEventSource",
                "medialive:CreateTags",
                "cloudhsm:ModifyBackupAttributes",
                "elasticloadbalancing:AddListenerCertificates",
                "ec2:DeleteSecurityGroup",
                "ses:CreateEmailIdentityPolicy",
                "securityhub:UntagResource",
                "rds:CreateDBClusterParameterGroup",
                "auditmanager:CreateAssessmentReport",
                "license-manager:DeleteLicense",
                "network-firewall:DeleteFirewall",
                "mgn:NotifyAgentReplicationProgressForMgn",
                "mgn:DisconnectFromService",
                "braket:CreateQuantumTask",
                "ses:PutEmailIdentityConfigurationSetAttributes",
                "voiceid:DeleteDomain",
                "ec2:DeleteLaunchTemplate",
                "rds:CreateDBInstance",
                "a4b:UpdateBusinessReportSchedule",
                "sso:DeleteInlinePolicyFromPermissionSet",
                "sso:CreateInstanceAccessControlAttributeConfiguration",
                "medialive:UpdateInputDevice",
                "lightsail:AttachStaticIp",
                "ssm:UpdateResourceDataSync",
                "dynamodb:DeleteTable",
                "cognito-idp:AdminDeleteUser",
                "xray:DeleteGroup",
                "lookoutmetrics:TagResource",
                "ec2:ModifyVpcEndpointConnectionNotification",
                "route53-recovery-readiness:DeleteReadinessCheck",
                "waf-regional:DisassociateWebACL",
                "lex:CreateBot",
                "workmail:UpdateMailboxQuota",
                "s3-outposts:CreateBucket",
                "directconnect:CreateLag",
                "fsx:TagResource",
                "glue:CreateRegistry",
                "databrew:BatchDeleteRecipeVersion",
                "waf-regional:UpdateSizeConstraintSet",
                "events:DeauthorizeConnection",
                "sqlworkbench:DriverExecute",
                "glacier:SetVaultNotifications",
                "cognito-sync:DeleteDataset",
                "ssm-incidents:DeleteIncidentRecord",
                "dataexchange:CreateJob",
                "ecs:RegisterContainerInstance",
                "frauddetector:PutLabel",
                "nimble:CreateStudioComponent",
                "connect:StartContactRecording",
                "network-firewall:UpdateLoggingConfiguration",
                "wafv2:DeleteRuleGroup",
                "sagemaker:StopPipelineExecution",
                "ec2:DisableVpcClassicLink",
                "elemental-appliances-software:CreateQuote",
                "mediapackage-vod:UpdatePackagingGroup",
                "sso:UntagResource",
                "a4b:UpdateDevice",
                "servicediscovery:DeregisterInstance",
                "route53resolver:CreateResolverEndpoint",
                "quicksight:CreateTemplate",
                "comprehend:StartKeyPhrasesDetectionJob",
                "worklink:RestoreDomainAccess",
                "wafv2:CreateWebACL",
                "backup:CreateReportPlan",
                "comprehend:CreateEndpoint",
                "directconnect:AssociateMacSecKey",
                "codepipeline:DeleteWebhook",
                "firehose:CreateDeliveryStream",
                "batch:DeleteJobQueue",
                "medialive:CancelInputDeviceTransfer",
                "amplifybackend:CreateBackendAPI",
                "mediaconvert:UpdatePreset",
                "redshift:DeleteEventSubscription",
                "rds:ModifyDBClusterEndpoint",
                "s3:PutObjectLegalHold",
                "robomaker:DeregisterRobot",
                "aps:CreateAlertManagerAlerts",
                "ds:StartSchemaExtension",
                "sagemaker:DeleteDataQualityJobDefinition",
                "iot:CancelJobExecution",
                "imagebuilder:CancelImageCreation",
                "ssm-contacts:CreateContactChannel",
                "worklink:AssociateDomain",
                "ecr:PutImageScanningConfiguration",
                "route53resolver:DisassociateResolverEndpointIpAddress",
                "logs:PutSubscriptionFilter",
                "qldb:UpdateLedgerPermissionsMode",
                "codebuild:UpdateReport",
                "acm:UpdateCertificateOptions",
                "codedeploy:RegisterApplicationRevision",
                "sagemaker:CreateEndpoint",
                "rds:PurchaseReservedDBInstancesOffering",
                "iotthingsgraph:DeploySystemInstance",
                "aps:RemoteWrite",
                "workmail:ResetUserPassword",
                "dynamodb:UpdateGlobalTableSettings",
                "kinesisanalytics:UpdateApplication",
                "lambda:PutFunctionEventInvokeConfig",
                "secretsmanager:ValidateResourcePolicy",
                "waf:UpdateByteMatchSet",
                "ecr:PutLifecyclePolicy",
                "network-firewall:UpdateFirewallDescription",
                "datasync:DeleteAgent",
                "appstream:DeleteFleet",
                "ec2:AttachNetworkInterface",
                "ssm-incidents:PutResourcePolicy",
                "lex:UpdateBot",
                "quicksight:UpdateDashboardPermissions",
                "s3:DeleteAccessPointPolicy",
                "workmail:UntagResource",
                "sagemaker:CreateAutoMLJob",
                "codeguru-profiler:UpdateProfilingGroup",
                "ssm:StartSession",
                "workmail:DeleteInboundMailFlowRule",
                "timestream:DeleteDatabase",
                "workmail:RemoveMembersFromGroup",
                "cognito-identity:DeleteIdentityPool",
                "kendra:TagResource",
                "ec2:DeleteVpcEndpointServiceConfigurations",
                "route53-recovery-readiness:UpdateCell",
                "nimble:UpdateLaunchProfileMember",
                "lightsail:TestAlarm",
                "appconfig:CreateConfigurationProfile",
                "deepracer:EditLeaderboard",
                "mobiletargeting:DeleteAdmChannel",
                "honeycode:InvokeScreenAutomation",
                "iotwireless:DeleteServiceProfile",
                "deepracer:DeleteModel",
                "ec2:EnableFastSnapshotRestores",
                "iotanalytics:CreateDatastore",
                "route53resolver:TagResource",
                "redshift:ModifyCluster",
                "storagegateway:UpdateMaintenanceStartTime",
                "iotwireless:UntagResource",
                "lex:TagResource",
                "chime:DeleteMeeting",
                "ec2:CreateFlowLogs",
                "gamelift:UpdateScript",
                "gamelift:UpdateGameServerGroup",
                "codepipeline:StopPipelineExecution",
                "nimble:UpdateStudio",
                "quicksight:DeleteUserByPrincipalId",
                "s3-outposts:DeleteObjectTagging",
                "ec2:RestoreManagedPrefixListVersion",
                "dynamodb:PutItem",
                "polly:DeleteLexicon",
                "ds:DeleteSnapshot",
                "ecs:DeleteService",
                "managedblockchain:CreateNode",
                "route53-recovery-control-config:UpdateRoutingControl",
                "sagemaker:CreateWorkteam",
                "ds:AddTagsToResource",
                "wellarchitected:CreateMilestone",
                "elasticloadbalancing:RegisterTargets",
                "codebuild:StopBuildBatch",
                "eks:DeleteCluster",
                "waf-regional:CreateSqlInjectionMatchSet",
                "chime:CreateMeetingDialOut",
                "frauddetector:TagResource",
                "route53:CreateVPCAssociationAuthorization",
                "mobiletargeting:UpdatePushTemplate",
                "lookoutequipment:UntagResource",
                "glacier:SetVaultAccessPolicy",
                "appconfig:TagResource",
                "sns:TagResource",
                "cloudshell:CreateSession",
                "sns:RemovePermission",
                "cognito-idp:CreateResourceServer",
                "appmesh:CreateGatewayRoute",
                "events:DeletePartnerEventSource",
                "ecs:UpdateContainerAgent",
                "ec2:CreateVpnConnectionRoute",
                "ec2:RevokeSecurityGroupIngress",
                "macie2:DeleteCustomDataIdentifier",
                "lambda:UpdateAlias",
                "ec2:BundleInstance",
                "rds:ModifyDBCluster",
                "qldb:PartiQLDropTable",
                "dms:StartReplicationTaskAssessment",
                "app-integrations:UpdateEventIntegration",
                "securityhub:AcceptInvitation",
                "iot:UpdateThingGroupsForThing",
                "rds:DeleteDBClusterSnapshot",
                "iotwireless:AssociateWirelessDeviceWithThing",
                "globalaccelerator:CreateCustomRoutingEndpointGroup",
                "s3:PutObjectVersionAcl",
                "es:UpdateDomainConfig",
                "ssm-contacts:DeleteContactChannel",
                "lambda:PublishVersion",
                "ec2:ReplaceNetworkAclAssociation",
                "secretsmanager:UpdateSecret",
                "config:DeleteEvaluationResults",
                "kinesisanalytics:DeleteApplicationSnapshot",
                "ssm-contacts:StartEngagement",
                "memorydb:DeleteParameterGroup",
                "ec2:EnableTransitGatewayRouteTablePropagation",
                "forecast:DeletePredictor",
                "route53:UpdateTrafficPolicyComment",
                "schemas:UntagResource",
                "glacier:AbortMultipartUpload",
                "opsworks:DeregisterVolume",
                "waf:UpdateRateBasedRule",
                "ec2:MonitorInstances",
                "elasticmapreduce:StartNotebookExecution",
                "kms:GenerateDataKey",
                "qldb:CreateLedger",
                "ses:DeleteConfigurationSet",
                "connect:UpdateInstanceStorageConfig",
                "memorydb:UpdateAcl",
                "ssm:UpdateDocument",
                "iotthingsgraph:UpdateFlowTemplate",
                "codedeploy:UpdateApplication",
                "cognito-idp:AdminForgetDevice",
                "appsync:TagResource",
                "servicecatalog:UpdateApplication",
                "wafv2:DeletePermissionPolicy",
                "nimble:UpdateLaunchProfile",
                "workspaces:ModifyWorkspaceProperties",
                "elasticfilesystem:CreateAccessPoint",
                "macie2:DeleteMember",
                "a4b:UpdateAddressBook",
                "ram:RejectResourceShareInvitation",
                "s3-outposts:PutBucketPolicy",
                "codestar:UpdateProject",
                "lightsail:DisableAddOn",
                "robomaker:DeleteRobot",
                "ses:UpdateContact",
                "sagemaker:UpdateEndpointWeightsAndCapacities",
                "worklink:AssociateWebsiteAuthorizationProvider",
                "dynamodb:CreateTableReplica",
                "s3-object-lambda:PutObject",
                "codecommit:CreateUnreferencedMergeCommit",
                "frauddetector:CancelBatchPredictionJob",
                "redshift:GetClusterCredentials",
                "ec2:DeleteNetworkInterface",
                "codestar-connections:TagResource",
                "codestar:UpdateUserProfile",
                "route53:DeleteVPCAssociationAuthorization",
                "codecommit:DeletePullRequestApprovalRule",
                "gamelift:UpdateGameSessionQueue",
                "medialive:BatchUpdateSchedule",
                "greengrass:CancelDeployment",
                "connect:UpdateContactFlowName",
                "lightsail:DetachCertificateFromDistribution",
                "ecr:DeleteRepositoryPolicy",
                "iotthingsgraph:UntagResource",
                "a4b:CreateUser",
                "deepracer:StopTrainingReinforcementLearningModel",
                "devicefarm:UpdateUpload",
                "connect:UpdateContactAttributes",
                "schemas:TagResource",
                "cloudhsm:CreateCluster",
                "sns:ConfirmSubscription",
                "waf-regional:CreateGeoMatchSet",
                "amplify:DeleteWebHook",
                "proton:DeleteEnvironmentTemplateVersion",
                "sagemaker:CreateDeviceFleet",
                "managedblockchain:VoteOnProposal",
                "chatbot:UpdateSlackChannelConfiguration",
                "lightsail:StartRelationalDatabase",
                "sagemaker:DeleteModelExplainabilityJobDefinition",
                "route53-recovery-readiness:DeleteCell",
                "cognito-idp:AdminDisableUser",
                "sqlworkbench:UntagResource",
                "codecommit:UpdateRepositoryName",
                "quicksight:CreateDataSet",
                "dynamodb:DeleteBackup",
                "sagemaker:StopAutoMLJob",
                "snow-device-management:CancelTask",
                "servicecatalog:CreateProduct",
                "workmail:SetDefaultMailDomain",
                "managedblockchain:TagResource",
                "profile:UpdateProfile",
                "ec2:RegisterTransitGatewayMulticastGroupSources",
                "ssm:DisassociateOpsItemRelatedItem",
                "license-manager:CreateGrantVersion",
                "ses:PutConfigurationSetReputationOptions",
                "ssm:DeleteOpsMetadata",
                "codestar:TagProject",
                "codepipeline:DisableStageTransition",
                "redshift:DisassociateDataShareConsumer",
                "elasticbeanstalk:CreateConfigurationTemplate",
                "events:PutRule",
                "appstream:CreateUpdatedImage",
                "dynamodb:RestoreTableFromBackup",
                "sagemaker:CreateAction",
                "servicecatalog:AssociateAttributeGroup",
                "rds:ModifyCurrentDBClusterCapacity",
                "ssm:DeleteResourceDataSync",
                "cloudwatch:StopMetricStreams",
                "auditmanager:UpdateAssessment",
                "glue:StartExportLabelsTaskRun",
                "chime:UntagAttendee",
                "ec2:ModifyImageAttribute",
                "sagemaker:SendHeartbeat",
                "mobiletargeting:SendMessages",
                "redshift:ResetClusterParameterGroup",
                "wafv2:UpdateWebACL",
                "iotfleethub:TagResource",
                "codedeploy:DeleteDeploymentGroup",
                "sqlworkbench:DeleteChart",
                "codestar:DisassociateTeamMember",
                "geo:CreateRouteCalculator",
                "elasticmapreduce:UpdateStudioSessionMapping",
                "clouddirectory:DeleteDirectory",
                "wellarchitected:UntagResource",
                "rds:DeleteGlobalCluster",
                "iot1click:CreateProject",
                "voiceid:EvaluateSession",
                "dynamodb:CreateGlobalTable",
                "greengrass:CreateComponentVersion",
                "clouddirectory:CreateObject",
                "dataexchange:StartJob",
                "secretsmanager:RemoveRegionsFromReplication",
                "connect:UpdateUserHierarchyStructure",
                "ec2:DeleteTransitGateway",
                "gamelift:UpdateAlias",
                "imagebuilder:UpdateDistributionConfiguration",
                "mgh:AssociateCreatedArtifact",
                "ssm:PutParameter",
                "cloudformation:CreateStackInstances",
                "events:CreateConnection",
                "sagemaker:CreateTrainingJob",
                "elastictranscoder:CreateJob",
                "mediatailor:UpdateSourceLocation",
                "waf:DeleteRegexMatchSet",
                "ssm:UpdateOpsItem",
                "directconnect:AllocatePrivateVirtualInterface",
                "ec2:AttachClassicLinkVpc",
                "iotevents:TagResource",
                "lex:CreateBotVersion",
                "appmesh:UpdateVirtualService",
                "cognito-idp:AdminCreateUser",
                "ec2:CancelSpotFleetRequests",
                "cognito-idp:DeleteUserPool",
                "signer:UntagResource",
                "rekognition:TagResource",
                "kinesisanalytics:RollbackApplication",
                "workspaces:DeregisterWorkspaceDirectory",
                "gamelift:StopFleetActions",
                "connect:CreateUserHierarchyGroup",
                "waf:CreateRuleGroup",
                "storagegateway:RefreshCache",
                "lightsail:DeleteBucket",
                "ec2:StartNetworkInsightsAnalysis",
                "mobiletargeting:DeletePushTemplate",
                "managedblockchain:DeleteNode",
                "lookoutmetrics:UpdateAnomalyDetector",
                "eks:DeleteAddon",
                "iot:CreateMitigationAction",
                "quicksight:CreateNamespace",
                "wellarchitected:CreateWorkloadShare",
                "lambda:AddPermission",
                "detective:UntagResource",
                "storagegateway:DeleteTapePool",
                "rds:DeleteDBClusterEndpoint",
                "nimble:PutStudioLogEvents",
                "ssm-contacts:UntagResource",
                "batch:UntagResource",
                "appstream:StopFleet",
                "opsworks:DeregisterElasticIp",
                "cloudfront:CreateCloudFrontOriginAccessIdentity",
                "mobiletargeting:DeleteApnsVoipChannel",
                "route53resolver:DeleteResolverQueryLogConfig",
                "iot:CreateDimension",
                "ec2:CreateTransitGateway",
                "ec2:DeleteVpnConnectionRoute",
                "connect:DeleteUserHierarchyGroup",
                "cognito-idp:UpdateUserPoolClient",
                "states:StartExecution",
                "securityhub:AcceptAdministratorInvitation",
                "lightsail:CreateInstanceSnapshot",
                "ec2:AuthorizeSecurityGroupIngress",
                "synthetics:StartCanary",
                "shield:DisassociateHealthCheck",
                "acm-pca:RevokeCertificate",
                "lightsail:StartInstance",
                "iotwireless:TestWirelessDevice",
                "sqlworkbench:CreateChart",
                "storagegateway:UpdateNFSFileShare",
                "ssm-incidents:DeleteTimelineEvent",
                "ec2:DeleteTransitGatewayVpcAttachment",
                "cloudsearch:DefineExpression",
                "waf:DeleteRateBasedRule",
                "s3:PutStorageLensConfigurationTagging",
                "ec2:DeleteVpcEndpoints",
                "timestream:UpdateTable",
                "guardduty:DeleteIPSet",
                "ec2:AssociateRouteTable",
                "forecast:TagResource",
                "secretsmanager:ReplicateSecretToRegions",
                "directconnect:UntagResource",
                "codepipeline:PutWebhook",
                "sagemaker:CreateImage",
                "connect:StartTaskContact",
                "secretsmanager:PutSecretValue",
                "iot:DeleteScheduledAudit",
                "fsx:DisassociateFileSystemAliases",
                "ses:PutEmailIdentityDkimAttributes",
                "frauddetector:CreateDetectorVersion",
                "mediatailor:DeleteChannel",
                "cloudhsm:InitializeCluster",
                "cognito-sync:UpdateRecords",
                "sagemaker:CreateMonitoringSchedule",
                "network-firewall:AssociateFirewallPolicy",
                "ec2:ModifyInstanceCreditSpecification",
                "waf:CreateXssMatchSet",
                "secretsmanager:TagResource",
                "cloudsearch:DeleteExpression",
                "appmesh:CreateMesh",
                "route53resolver:UpdateResolverRule",
                "ec2:DeleteTransitGatewayConnectPeer",
                "panorama:DeleteApp",
                "apprunner:DeleteConnection",
                "sqlworkbench:AssociateConnectionWithTab",
                "globalaccelerator:CreateListener",
                "schemas:DeleteSchemaVersion",
                "mobiletargeting:DeleteVoiceTemplate",
                "ecr-public:DeleteRepository",
                "detective:CreateMembers",
                "rds:ModifyDBClusterParameterGroup",
                "swf:StartChildWorkflowExecution",
                "networkmanager:DisassociateLink",
                "codeguru-reviewer:UnTagResource",
                "iotsitewise:CreateAsset",
                "globalaccelerator:CreateEndpointGroup",
                "personalize:CreateDatasetImportJob",
                "states:GetActivityTask",
                "route53:UpdateTrafficPolicyInstance",
                "mgn:StartCutover",
                "networkmanager:CreateSite",
                "ec2:AllocateAddress",
                "lambda:CreateAlias",
                "freertos:DeleteSoftwareConfiguration",
                "lambda:DeleteProvisionedConcurrencyConfig",
                "swf:RegisterActivityType",
                "iot:UpdateMitigationAction",
                "dax:CreateCluster",
                "devops-guru:RemoveNotificationChannel",
                "route53:CreateTrafficPolicyInstance",
                "globalaccelerator:AllowCustomRoutingTraffic",
                "gamelift:DeleteFleet",
                "ec2:CreateInternetGateway",
                "databrew:UpdateProject",
                "lookoutmetrics:UpdateMetricSet",
                "ram:PromoteResourceShareCreatedFromPolicy",
                "appconfig:CreateDeploymentStrategy",
                "kinesisvideo:DeleteSignalingChannel",
                "worklink:DeleteFleet",
                "chime:UpdateChannel",
                "profile:DeleteIntegration",
                "es:CreateElasticsearchDomain",
                "ssm:CreateAssociation",
                "sagemaker:CreateProcessingJob",
                "sagemaker:PutRecord",
                "xray:DeleteSamplingRule",
                "sagemaker:DeleteEndpoint",
                "mgn:UpdateAgentReplicationProcessStateForMgn",
                "ec2:UnmonitorInstances",
                "iot:DetachPrincipalPolicy",
                "license-manager:RejectGrant",
                "rds:DeleteDBSecurityGroup",
                "ssm:LabelParameterVersion",
                "network-firewall:UpdateFirewallDeleteProtection",
                "medialive:UpdateMultiplexProgram",
                "frauddetector:UpdateModelVersionStatus",
                "connect-campaigns:UpdateCampaignOutboundCallConfig",
                "iot:TagResource",
                "medialive:TransferInputDevice",
                "gamelift:DeleteGameSessionQueue",
                "config:UntagResource",
                "sagemaker:UpdatePipeline",
                "cloudshell:StartEnvironment",
                "dax:IncreaseReplicationFactor",
                "ds:CancelSchemaExtension",
                "cloudfront:CreateInvalidation",
                "redshift:RestoreFromClusterSnapshot",
                "states:UntagResource",
                "apprunner:PauseService",
                "lightsail:CreateCloudFormationStack",
                "connect:DisassociateLambdaFunction",
                "qldb:PartiQLCreateTable",
                "s3:PutBucketWebsite",
                "kendra:BatchDeleteDocument",
                "lightsail:RegisterContainerImage",
                "mediatailor:UpdateChannel",
                "lex:UpdateBotAlias",
                "a4b:TagResource",
                "glacier:RemoveTagsFromVault",
                "redshift-data:ExecuteStatement",
                "ec2:CreateLaunchTemplateVersion",
                "elasticloadbalancing:ModifyListener",
                "glue:DeleteDatabase",
                "wisdom:CreateAssistantAssociation",
                "guardduty:CreateFilter",
                "swf:RequestCancelActivityTask",
                "mobiletargeting:DeleteApp",
                "lightsail:CreateBucketAccessKey",
                "imagebuilder:PutComponentPolicy",
                "elasticbeanstalk:TerminateEnvironment",
                "securityhub:UpdateInsight",
                "kms:EnableKey",
                "a4b:DisassociateDeviceFromRoom",
                "timestream:WriteRecords",
                "apprunner:TagResource",
                "wafv2:DisassociateFirewallManager",
                "lightsail:CreateDomainEntry",
                "ecs:DeregisterContainerInstance",
                "sagemaker:DeleteRecord",
                "cloudformation:UpdateTerminationProtection",
                "events:InvokeApiDestination",
                "ssm-incidents:UpdateRelatedItems",
                "iot:DeleteJobExecution",
                "a4b:UpdateRoom",
                "dynamodb:UntagResource",
                "autoscaling:DeleteNotificationConfiguration",
                "geo:CreatePlaceIndex",
                "panorama:DeleteDataSource",
                "networkmanager:DeleteDevice",
                "ecr:UntagResource",
                "medialive:CreateInputSecurityGroup",
                "iotsitewise:UpdateAssetModelPropertyRouting",
                "iot:UpdateThing",
                "sagemaker:DeleteProject",
                "elasticbeanstalk:AddTags",
                "waf:UpdateRuleGroup",
                "lex:DeleteSlot",
                "appstream:BatchAssociateUserStack",
                "iotsitewise:CreateDashboard",
                "connect:ResumeContactRecording",
                "ec2:DeleteCarrierGateway",
                "proton:CreateEnvironmentTemplateMajorVersion",
                "sagemaker:CreateWorkforce",
                "frauddetector:PutExternalModel",
                "mobiletargeting:DeleteGcmChannel",
                "forecast:DeleteDatasetImportJob",
                "glue:DeleteSchema",
                "rds:DeleteDBClusterParameterGroup",
                "iot:DetachSecurityProfile",
                "mobiletargeting:UpdateSmsTemplate",
                "ec2:DeleteVpnConnection",
                "backup:CreateBackupVault",
                "s3-outposts:DeleteAccessPointPolicy",
                "workspaces:RestoreWorkspace",
                "ec2:DisassociateSubnetCidrBlock",
                "healthlake:CreateResource",
                "rds:CopyOptionGroup",
                "shield:TagResource",
                "lambda:DeleteFunctionConcurrency",
                "iotsitewise:DeleteGateway",
                "kinesisvideo:UpdateStream",
                "elasticloadbalancing:DeleteTargetGroup",
                "iotevents:CreateInput",
                "a4b:DeleteAddressBook",
                "iot:UpdateFleetMetric",
                "ec2:ModifyVpcPeeringConnectionOptions",
                "rds:RebootDBInstance",
                "glacier:CompleteVaultLock",
                "connect:CreateHoursOfOperation",
                "ec2:ReplaceRouteTableAssociation",
                "access-analyzer:CreateArchiveRule",
                "schemas:DeleteDiscoverer",
                "redshift:CreateClusterUser",
                "sqs:DeleteQueue",
                "kendra:DeletePrincipalMapping",
                "swf:UndeprecateActivityType",
                "sts:SetSourceIdentity",
                "schemas:UpdateSchema",
                "synthetics:UpdateCanary",
                "ds:DeleteTrust",
                "connect:StartChatContact",
                "codeartifact:DeleteRepository",
                "elasticmapreduce:RemoveManagedScalingPolicy",
                "mediatailor:DeletePlaybackConfiguration",
                "frauddetector:CreateModel",
                "waf-regional:UpdateByteMatchSet",
                "waf:TagResource",
                "ssm-contacts:DeleteContact",
                "sagemaker:CreateDomain",
                "appmesh-preview:UpdateGatewayRoute",
                "mobiletargeting:UpdateSmsChannel",
                "opsworks:SetPermission",
                "deepcomposer:UpdateComposition",
                "profile:DeleteProfileObject",
                "ses:PutConfigurationSetSendingOptions",
                "acm:AddTagsToCertificate",
                "guardduty:UpdateThreatIntelSet",
                "ec2:DisableVpcClassicLinkDnsSupport",
                "cognito-sync:RegisterDevice",
                "quicksight:CreateAdmin",
                "qldb:PartiQLUndropTable",
                "networkmanager:CreateDevice",
                "eks:CreateNodegroup",
                "codecommit:UpdateRepositoryDescription",
                "memorydb:UpdateParameterGroup",
                "globalaccelerator:TagResource",
                "codeartifact:DisposePackageVersions",
                "ds:AcceptSharedDirectory",
                "license-manager:DeleteLicenseManagerReportGenerator",
                "connect-campaigns:CreateCampaign",
                "route53-recovery-cluster:UpdateRoutingControlStates",
                "workspaces:CreateWorkspaceBundle",
                "backup:StartCopyJob",
                "securityhub:InviteMembers",
                "opsworks:CreateInstance",
                "elasticache:CreateSnapshot",
                "grafana:DisassociateLicense",
                "wafv2:DisassociateWebACL",
                "memorydb:CreateCluster",
                "wafv2:PutPermissionPolicy",
                "fis:CreateExperimentTemplate",
                "ssm-incidents:UpdateIncidentRecord",
                "apigateway:POST",
                "securityhub:DisassociateMembers",
                "logs:CreateExportTask",
                "cognito-idp:CreateGroup",
                "workmail:EnableMailUsers",
                "frauddetector:DeleteEventType",
                "s3:RestoreObject",
                "connect-campaigns:UpdateCampaignName",
                "elasticloadbalancing:SetSecurityGroups",
                "guardduty:UntagResource",
                "ecs:CreateService",
                "route53resolver:PutResolverRulePolicy",
                "iotwireless:AssociateWirelessGatewayWithThing",
                "imagebuilder:DeleteDistributionConfiguration",
                "connect:CreateUser",
                "dax:UntagResource",
                "swf:CancelTimer",
                "elasticache:ModifyCacheCluster",
                "connect-campaigns:UpdateCampaignDialerConfig",
                "ses:CreateEmailIdentity",
                "appmesh:DeleteVirtualService",
                "license-manager:CreateLicenseVersion",
                "profile:DeleteProfileKey",
                "ssm:StartAssociationsOnce",
                "backup:PutBackupVaultNotifications",
                "workspaces:ModifySelfservicePermissions",
                "nimble:DeleteStudio",
                "opsworks:CreateLayer",
                "route53resolver:CreateResolverQueryLogConfig",
                "storagegateway:CreateSMBFileShare",
                "ec2:AuthorizeSecurityGroupEgress",
                "directconnect:AllocateConnectionOnInterconnect",
                "datasync:TagResource",
                "comprehend:StopPiiEntitiesDetectionJob",
                "auditmanager:UpdateAssessmentFramework",
                "config:PutConfigurationAggregator",
                "directconnect:DeleteInterconnect",
                "devicefarm:UpdateVPCEConfiguration",
                "mediapackage:RotateChannelCredentials",
                "lambda:AddLayerVersionPermission",
                "s3:PutObjectTagging",
                "connect:DisassociateRoutingProfileQueues",
                "imagebuilder:CreateInfrastructureConfiguration",
                "appmesh-preview:CreateVirtualNode",
                "lightsail:AttachCertificateToDistribution",
                "iotwireless:DeleteWirelessGatewayTaskDefinition",
                "databrew:DeleteSchedule",
                "appmesh-preview:DeleteVirtualService",
                "storagegateway:CancelRetrieval",
                "fsx:UpdateStorageVirtualMachine",
                "route53resolver:DeleteFirewallRuleGroup",
                "directconnect:UpdateConnection",
                "fms:DeleteProtocolsList",
                "honeycode:BatchCreateTableRows",
                "machinelearning:DeleteBatchPrediction",
                "servicecatalog:UpdateProduct",
                "rekognition:StopStreamProcessor",
                "lex:DeleteSlotType",
                "ecs:DeleteCluster",
                "machinelearning:Predict",
                "chime:RedactChannelMessage",
                "fsx:CreateStorageVirtualMachine",
                "quicksight:DeleteGroupMembership",
                "machinelearning:CreateDataSourceFromS3",
                "glue:PutSchemaVersionMetadata",
                "dms:RefreshSchemas",
                "dms:MoveReplicationTask",
                "ecs:TagResource",
                "sagemaker:CreateModelPackage",
                "apprunner:DeleteService",
                "opsworks:UpdateInstance",
                "networkmanager:AssociateTransitGatewayConnectPeer",
                "iotdeviceadvisor:DeleteSuiteDefinition",
                "athena:StopQueryExecution",
                "elasticbeanstalk:DeleteApplicationVersion",
                "elasticbeanstalk:CreateEnvironment",
                "memorydb:UpdateUser",
                "mgn:DeleteReplicationConfigurationTemplate",
                "opsworks:StopStack",
                "comprehend:StartDocumentClassificationJob",
                "sso:UpdateInstanceAccessControlAttributeConfiguration",
                "swf:UndeprecateDomain",
                "robomaker:UpdateRobotApplication",
                "lightsail:ResetDistributionCache",
                "frauddetector:DeleteExternalModel",
                "ec2:DeleteRouteTable",
                "personalize:PutItems",
                "config:PutAggregationAuthorization",
                "ses:PutEmailIdentityFeedbackAttributes",
                "codecommit:PostCommentReply",
                "deepracer:StartEvaluation",
                "s3-object-lambda:PutObjectAcl",
                "route53resolver:CreateFirewallRuleGroup",
                "worklink:TagResource",
                "codepipeline:TagResource",
                "ec2:CreateKeyPair",
                "fms:PutAppsList",
                "ecr-public:DeleteRepositoryPolicy",
                "codeartifact:UpdateRepository",
                "ecs:PutClusterCapacityProviders",
                "s3:PutBucketNotification",
                "ssm-incidents:UpdateTimelineEvent",
                "securityhub:BatchDisableStandards",
                "swf:RequestCancelExternalWorkflowExecution",
                "groundstation:UpdateMissionProfile",
                "redshift:DeleteClusterSubnetGroup",
                "sqlworkbench:UpdateConnection",
                "gamelift:ResumeGameServerGroup",
                "quicksight:UpdateTemplatePermissions",
                "codeguru-profiler:UntagResource",
                "waf-regional:CreateWebACL",
                "kms:Verify",
                "kafka:UntagResource",
                "fsx:UntagResource",
                "opsworks:CreateDeployment",
                "rekognition:DeleteCollection",
                "gamelift:StartFleetActions",
                "ssm:DeleteParameters",
                "ds:ResetUserPassword",
                "mobiletargeting:DeleteApnsSandboxChannel",
                "ec2:DetachNetworkInterface",
                "connect-campaigns:UntagResource",
                "sagemaker:StopEdgePackagingJob",
                "s3:UpdateJobStatus",
                "ec2:DisassociateAddress",
                "clouddirectory:CreateDirectory",
                "events:CreateApiDestination",
                "opsworks:UpdateRdsDbInstance",
                "kafka-cluster:AlterGroup",
                "lookoutequipment:DeleteModel",
                "ecr-public:SetRepositoryPolicy",
                "ecs:SubmitTaskStateChange",
                "frauddetector:DeleteDetectorVersion",
                "devicefarm:DeleteDevicePool",
                "freertos:UpdateSoftwareConfiguration",
                "states:StopExecution",
                "rekognition:DeleteFaces",
                "sso:CreatePermissionSet",
                "dlm:TagResource",
                "redshift:DeleteClusterSnapshot",
                "fis:StopExperiment",
                "wellarchitected:UpdateLensReview",
                "ses:PutConfigurationSetTrackingOptions",
                "connect:UpdateUserPhoneConfig",
                "mobiletargeting:UpdateRecommenderConfiguration",
                "swf:SignalWorkflowExecution",
                "mgn:MarkAsArchived",
                "gamelift:DeleteAlias",
                "cloudhsm:CopyBackupToRegion",
                "network-firewall:UpdateSubnetChangeProtection",
                "waf-regional:DeleteLoggingConfiguration",
                "app-integrations:CreateEventIntegration",
                "dms:CreateReplicationTask",
                "frauddetector:PutEntityType",
                "iotwireless:DeleteWirelessDevice",
                "lookoutequipment:UpdateInferenceScheduler",
                "lex:DeleteExport",
                "kms:UpdateAlias",
                "imagebuilder:TagResource",
                "elasticmapreduce:SetTerminationProtection",
                "rds:RestoreDBInstanceToPointInTime",
                "storagegateway:CreateStorediSCSIVolume",
                "ec2:ImportInstance",
                "voiceid:OptOutSpeaker",
                "sagemaker:CreateTrial",
                "appflow:UpdateFlow",
                "workspaces:ModifyWorkspaceState",
                "ec2:ModifyFleet",
                "ec2:RegisterTransitGatewayMulticastGroupMembers",
                "workspaces:UpdateWorkspaceImagePermission",
                "acm-pca:TagCertificateAuthority",
                "iot:AcceptCertificateTransfer",
                "cassandra:Create",
                "waf-regional:CreateSizeConstraintSet",
                "ssm:RegisterTaskWithMaintenanceWindow",
                "codestar-notifications:Subscribe",
                "sagemaker:StartPipelineExecution",
                "airflow:PublishMetrics",
                "rds:CreateDBClusterEndpoint",
                "quicksight:UpdateFolder",
                "ec2:DeregisterImage",
                "appsync:GraphQL",
                "ec2:DeleteTransitGatewayRoute",
                "sagemaker:UpdateEndpoint",
                "states:TagResource",
                "ec2:DeleteInstanceEventWindow",
                "cognito-identity:UpdateIdentityPool",
                "securityhub:UpdateFindings",
                "network-firewall:DeleteFirewallPolicy",
                "ds:RemoveTagsFromResource",
                "swf:SignalExternalWorkflowExecution",
                "ec2:CreateCarrierGateway",
                "s3:DeleteAccessPoint",
                "securityhub:DisableSecurityHub",
                "wafv2:TagResource",
                "dms:ModifyReplicationTask",
                "dynamodb:EnableKinesisStreamingDestination",
                "iotsitewise:DeleteAsset",
                "clouddirectory:DetachFromIndex",
                "comprehend:UntagResource",
                "config:PutStoredQuery",
                "lookoutequipment:DeleteInferenceScheduler",
                "appmesh:CreateVirtualNode",
                "connect:GetFederationTokens",
                "route53:ActivateKeySigningKey",
                "codecommit:OverridePullRequestApprovalRules",
                "emr-containers:DeleteManagedEndpoint",
                "ec2:DeleteEgressOnlyInternetGateway",
                "ssm-incidents:UpdateResponsePlan",
                "devicefarm:UpdateProject",
                "elastictranscoder:UpdatePipelineNotifications",
                "servicecatalog:CreateApplication",
                "ec2:RevokeClientVpnIngress",
                "lookoutmetrics:CreateMetricSet",
                "codeguru-reviewer:AssociateRepository",
                "sagemaker:DeleteWorkforce",
                "servicecatalog:DisassociateTagOptionFromResource",
                "iot:CreatePolicy",
                "ec2:AssignPrivateIpAddresses",
                "iotsitewise:UpdateDashboard",
                "dax:DeleteCluster",
                "deepcomposer:UntagResource",
                "acm-pca:PutPolicy",
                "directconnect:CreateDirectConnectGatewayAssociation",
                "iot:CreateJob",
                "elasticbeanstalk:UpdateTagsForResource",
                "ecs:Poll",
                "ssm-incidents:UpdateReplicationSet",
                "geo:UpdateGeofenceCollection",
                "route53-recovery-control-config:UpdateControlPanel",
                "mobiletargeting:UpdateJourneyState",
                "dynamodb:UpdateContributorInsights",
                "kms:GenerateDataKeyPairWithoutPlaintext",
                "opsworks:UpdateVolume",
                "amplify:UntagResource",
                "rds:RestoreDBClusterToPointInTime",
                "redshift:RebootCluster",
                "quicksight:UpdateDataSetPermissions",
                "a4b:DeleteDevice",
                "s3-outposts:PutAccessPointPolicy",
                "storagegateway:CreateTapeWithBarcode",
                "kinesisanalytics:DeleteApplicationInputProcessingConfiguration",
                "mobiletargeting:CreateJourney",
                "machinelearning:UpdateMLModel",
                "rekognition:DeleteProject",
                "chime:UpdateAppInstance",
                "events:CancelReplay",
                "mgh:DisassociateCreatedArtifact",
                "dynamodb:ExportTableToPointInTime",
                "geo:AssociateTrackerConsumer",
                "workspaces:RevokeIpRules",
                "sts:AssumeRoleWithSAML",
                "kinesis:DecreaseStreamRetentionPeriod",
                "codedeploy:AddTagsToOnPremisesInstances",
                "transfer:ImportSshPublicKey",
                "ivs:DeleteRecordingConfiguration",
                "ec2:DeleteInternetGateway",
                "elasticbeanstalk:CreateApplication",
                "route53-recovery-control-config:DeleteRoutingControl",
                "elasticloadbalancing:CreateListener",
                "mediapackage:DeleteOriginEndpoint",
                "a4b:AssociateSkillWithSkillGroup",
                "elasticmapreduce:ModifyCluster",
                "dlm:UpdateLifecyclePolicy",
                "schemas:StartDiscoverer",
                "appmesh:DeleteVirtualNode",
                "apprunner:CreateConnection",
                "sqlworkbench:AssociateConnectionWithChart",
                "apigateway:UpdateRestApiPolicy",
                "finspace:CreateUser",
                "ds:DisableClientAuthentication",
                "mgn:StartTest",
                "sdb:CreateDomain",
                "datasync:StartTaskExecution",
                "servicequotas:PutServiceQuotaIncreaseRequestIntoTemplate",
                "cloudformation:SignalResource",
                "ec2:ImportSnapshot",
                "mgn:UpdateAgentBacklogForMgn",
                "appflow:StartFlow",
                "iot:DeleteJob",
                "proton:DeleteServiceTemplateVersion",
                "s3:PutMetricsConfiguration",
                "ivs:CreateChannel",
                "s3-object-lambda:DeleteObjectTagging",
                "devicefarm:DeleteInstanceProfile",
                "cloudformation:ExecuteChangeSet",
                "medialive:StopChannel",
                "cloudwatch:PutInsightRule",
                "cognito-idp:AdminEnableUser",
                "ec2:ModifyVpcEndpointServicePermissions",
                "sagemaker:StopMonitoringSchedule",
                "cloudhsm:UntagResource",
                "config:PutRemediationConfigurations",
                "lex:BuildBotLocale",
                "iotsitewise:DisassociateAssets",
                "rds:RemoveTagsFromResource",
                "ec2:RebootInstances",
                "serverlessrepo:UnshareApplication",
                "lex:DeleteIntent",
                "config:StartConfigRulesEvaluation",
                "kms:Sign",
                "rekognition:CreateCollection",
                "profile:DeleteProfileObjectType",
                "workspaces:AssociateConnectionAlias",
                "cognito-idp:AdminSetUserSettings",
                "appflow:DeleteFlow",
                "sagemaker:CreateEdgePackagingJob",
                "waf:UpdateRule",
                "glacier:UploadArchive",
                "lambda:InvokeAsync",
                "aps:UntagResource",
                "panorama:UntagResource",
                "lightsail:PutAlarm",
                "codecommit:CreateCommit",
                "cloudsearch:DeleteAnalysisScheme",
                "nimble:DeleteLaunchProfile",
                "bugbust:UntagResource",
                "ec2:AcceptTransitGatewayMulticastDomainAssociations",
                "ram:DeleteResourceShare",
                "access-analyzer:DeleteAnalyzer",
                "cloudformation:StopStackSetOperation",
                "a4b:DeleteRoomSkillParameter",
                "medialive:DeleteTags",
                "s3:DeleteObjectVersionTagging",
                "worklink:DisassociateDomain",
                "iot:UpdateThingShadow",
                "sagemaker:CreateFeatureGroup",
                "ssm-contacts:UpdateContactPolicy",
                "appmesh-preview:CreateVirtualService",
                "glue:BatchDeleteConnection",
                "mobiletargeting:DeleteApnsVoipSandboxChannel",
                "mobiletargeting:UpdateGcmChannel",
                "iotevents:BatchEnableAlarm",
                "comprehend:StartEntitiesDetectionJob",
                "autoscaling:ExecutePolicy",
                "connect-campaigns:ResumeCampaign",
                "clouddirectory:DisableDirectory",
                "comprehend:StopEntitiesDetectionJob",
                "mgn:RetryDataReplication",
                "waf:CreateWebACLMigrationStack",
                "iot1click:UntagResource",
                "waf:DeleteGeoMatchSet",
                "gamelift:UpdateFleetAttributes",
                "appmesh:UpdateVirtualRouter",
                "sagemaker:DeleteModelPackage",
                "cloudsearch:DefineSuggester",
                "workmail:UpdateResource",
                "mobiletargeting:PutEvents",
                "iot:UpdateJob",
                "logs:PutLogEvents",
                "es:UpgradeElasticsearchDomain",
                "clouddirectory:AttachToIndex",
                "mobilehub:UpdateProject",
                "appmesh-preview:DeleteVirtualRouter",
                "ds:DeleteDirectory",
                "events:PutEvents",
                "amplify:CreateApp",
                "glue:UpdateUserDefinedFunction",
                "quicksight:CreateFolderMembership",
                "workmail:SetJournalingRules",
                "waf-regional:DeleteSizeConstraintSet",
                "frauddetector:UpdateRuleVersion",
                "imagebuilder:DeleteInfrastructureConfiguration",
                "rds:CreateDBInstanceReadReplica",
                "s3:DeleteObject",
                "securityhub:UpdateOrganizationConfiguration",
                "ivs:DeleteChannel",
                "workmail:DisassociateMemberFromGroup",
                "iotdeviceadvisor:UntagResource",
                "kms:UntagResource",
                "route53:ChangeTagsForResource",
                "snow-device-management:UntagResource",
                "autoscaling:AttachLoadBalancerTargetGroups",
                "machinelearning:CreateEvaluation",
                "ssm:UpdateAssociationStatus",
                "geo:DeleteGeofenceCollection",
                "batch:TagResource",
                "emr-containers:UntagResource",
                "cloudformation:ImportStacksToStackSet",
                "securityhub:DisableOrganizationAdminAccount",
                "lightsail:DeleteLoadBalancer",
                "dynamodb:TagResource",
                "codebuild:UpdateReportGroup",
                "proton:DeleteEnvironmentTemplateMajorVersion",
                "dynamodb:RestoreTableToPointInTime",
                "sso:TagResource",
                "workmail:SetMailGroupDetails",
                "fsx:UpdateVolume",
                "ec2:ModifyTrafficMirrorFilterRule",
                "storagegateway:UpdateSMBFileShare",
                "ec2:CreateRouteTable",
                "chatbot:DeleteChimeWebhookConfiguration",
                "lex:DeleteImport",
                "s3:ReplicateTags",
                "profile:PutProfileObjectType",
                "devicefarm:UpdateTestGridProject",
                "nimble:TagResource",
                "amplifybackend:UpdateBackendAuth",
                "iot:StartDetectMitigationActionsTask",
                "storagegateway:RetrieveTapeArchive",
                "app-integrations:DeleteDataIntegration",
                "rds:RemoveSourceIdentifierFromSubscription",
                "waf-regional:UpdateGeoMatchSet",
                "redshift:ModifyClusterSnapshotSchedule",
                "iotevents:DeleteDetectorModel",
                "amplify:UpdateBranch",
                "emr-containers:StartJobRun",
                "codepipeline:UpdateActionType",
                "iotsitewise:UpdateAssetProperty",
                "rekognition:IndexFaces",
                "iot:CreatePolicyVersion",
                "cognito-idp:AdminUpdateAuthEventFeedback",
                "redshift:DisableLogging",
                "quicksight:UpdateThemeAlias",
                "iotanalytics:StartPipelineReprocessing",
                "cloudformation:CreateStack",
                "cognito-idp:AddCustomAttributes",
                "mobiletargeting:SendUsersMessages",
                "medialive:DeleteMultiplex",
                "apigateway:DELETE",
                "sagemaker:CreateModelQualityJobDefinition",
                "route53resolver:DeleteResolverEndpoint",
                "codecommit:MergeBranchesByThreeWay",
                "proton:CreateServiceTemplate",
                "shield:AssociateHealthCheck",
                "macie2:CreateFindingsFilter",
                "elasticache:RevokeCacheSecurityGroupIngress",
                "codeguru-profiler:DeleteProfilingGroup",
                "transfer:StopServer",
                "iotanalytics:UpdateChannel",
                "lookoutvision:DeleteModel",
                "deeplens:DeployProject",
                "codecommit:AssociateApprovalRuleTemplateWithRepository",
                "appconfig:DeleteConfigurationProfile",
                "ec2:CreateImage",
                "ivs:UntagResource",
                "shield:DeleteProtection",
                "forecast:DeletePredictorBacktestExportJob",
                "rds:CreateDBClusterSnapshot",
                "ecs:UpdateServicePrimaryTaskSet",
                "lambda:UpdateEventSourceMapping",
                "network-firewall:DeleteRuleGroup",
                "securityhub:CreateInsight",
                "nimble:PutLaunchProfileMembers",
                "dms:DeleteReplicationTaskAssessmentRun",
                "memorydb:BatchUpdateClusters",
                "s3:DeleteStorageLensConfigurationTagging",
                "codecommit:PutRepositoryTriggers",
                "iotthingsgraph:UpdateSystemTemplate",
                "mobiletargeting:UpdateEmailChannel",
                "mgh:NotifyMigrationTaskState",
                "codecommit:DeleteCommentContent",
                "events:UpdateConnection",
                "fsx:DeleteStorageVirtualMachine",
                "sqs:SetQueueAttributes",
                "iot:DeleteFleetMetric",
                "directconnect:DisassociateMacSecKey",
                "iot:CreateProvisioningClaim",
                "amplifybackend:CreateBackend",
                "airflow:TagResource",
                "globalaccelerator:DenyCustomRoutingTraffic",
                "rekognition:CreateStreamProcessor",
                "proton:CreateEnvironmentTemplate",
                "rekognition:CreateProject",
                "opsworks:RebootInstance",
                "chime:DeleteChannelModerator",
                "sagemaker:StopNotebookInstance",
                "ecr:ReplicateImage",
                "mediaconvert:TagResource",
                "connect:UpdateRoutingProfileQueues",
                "ses:CreateEmailTemplate",
                "chime:UpdateChannelReadMarker",
                "codecommit:PostCommentForComparedCommit",
                "cloudtrail:RemoveTags",
                "profile:CreateProfile",
                "route53resolver:AssociateResolverRule",
                "mobiletargeting:TagResource",
                "proton:DeleteEnvironmentTemplate",
                "eks:UntagResource",
                "proton:DeleteEnvironmentAccountConnection",
                "waf-regional:UpdateRuleGroup",
                "qldb:StreamJournalToKinesis",
                "amplify:UpdateWebHook",
                "iot:RemoveThingFromBillingGroup",
                "cognito-identity:UnlinkDeveloperIdentity",
                "geo:CreateGeofenceCollection",
                "elasticache:ModifyReplicationGroupShardConfiguration",
                "iot:RetainPublish",
                "waf-regional:DeleteGeoMatchSet",
                "lex:DeleteSession",
                "wafv2:CreateIPSet",
                "iot1click:TagResource",
                "comprehend:StartEventsDetectionJob",
                "sagemaker:CreateImageVersion",
                "elemental-activations:UntagResource",
                "deepcomposer:CreateComposition",
                "license-manager:CreateToken",
                "connect:UpdateRoutingProfileConcurrency",
                "iot:EnableTopicRule",
                "glacier:DeleteVault",
                "logs:DeleteLogGroup",
                "proton:UpdateServicePipeline",
                "directconnect:CreateConnection",
                "securityhub:EnableOrganizationAdminAccount",
                "devicefarm:DeleteUpload",
                "ec2:DeleteDhcpOptions",
                "kafka:TagResource",
                "logs:DeleteLogStream",
                "opsworks:DetachElasticLoadBalancer",
                "redshift-data:BatchExecuteStatement",
                "lambda:PutProvisionedConcurrencyConfig",
                "rds:RestoreDBInstanceFromS3",
                "workmail:CreateMobileDeviceAccessRule",
                "appstream:StopImageBuilder",
                "waf-regional:UpdateXssMatchSet",
                "quicksight:GenerateEmbedUrlForAnonymousUser",
                "appstream:CopyImage",
                "ec2:CreateTransitGatewayVpcAttachment",
                "amplify:StopJob",
                "kafka-cluster:DeleteGroup",
                "s3-object-lambda:PutObjectTagging",
                "ecr:CompleteLayerUpload",
                "geo:TagResource",
                "glue:UpdateConnection",
                "glacier:DeleteVaultNotifications",
                "quicksight:DescribeDataSourcePermissions",
                "transfer:TagResource",
                "iot:CreateSecurityProfile",
                "codestar:DeleteExtendedAccess",
                "redshift:ModifyClusterSnapshot",
                "lex:UpdateSlotType",
                "lightsail:StopRelationalDatabase",
                "connect:DisassociateLexBot",
                "directconnect:CreateInterconnect",
                "ec2:DisassociateInstanceEventWindow",
                "secretsmanager:DeleteSecret",
                "ec2:RejectTransitGatewayPeeringAttachment",
                "appmesh-preview:CreateRoute",
                "ec2:DeleteNetworkAclEntry",
                "kinesisvideo:ConnectAsViewer",
                "elasticache:CreateReplicationGroup",
                "connect:CreateIntegrationAssociation",
                "glue:CreatePartition",
                "wafv2:CreateRegexPatternSet",
                "connect:UpdateInstanceAttribute",
                "securityhub:EnableSecurityHub",
                "ssm:DeregisterPatchBaselineForPatchGroup",
                "iotwireless:DeleteWirelessGatewayTask",
                "ebs:PutSnapshotBlock",
                "iot:DeleteThingType",
                "servicequotas:RequestServiceQuotaIncrease",
                "waf-regional:UntagResource",
                "redshift:DeleteCluster",
                "ses:CreateCustomVerificationEmailTemplate",
                "fms:DeletePolicy",
                "dataexchange:CancelJob",
                "ec2:DisassociateRouteTable",
                "config:DeleteConfigurationAggregator",
                "gamelift:PutScalingPolicy",
                "glue:DeleteResourcePolicy",
                "cognito-idp:AdminRespondToAuthChallenge",
                "panorama:CreateAppVersion",
                "auditmanager:DeleteControl",
                "appconfig:DeleteHostedConfigurationVersion",
                "autoscaling:TerminateInstanceInAutoScalingGroup",
                "route53resolver:CreateResolverRule",
                "autoscaling:SetInstanceProtection",
                "securityhub:DeleteInvitations",
                "ebs:CompleteSnapshot",
                "glue:UpdateRegistry",
                "cloudsearch:document",
                "autoscaling:PutLifecycleHook",
                "codestar-notifications:DeleteNotificationRule",
                "sagemaker:UpdateUserProfile",
                "connect:UpdateQueueStatus",
                "networkmanager:UntagResource",
                "opsworks:RegisterRdsDbInstance",
                "signer:CancelSigningProfile",
                "sagemaker:DeleteModelQualityJobDefinition",
                "budgets:ExecuteBudgetAction",
                "geo:BatchPutGeofence",
                "detective:StartMonitoringMember",
                "lookoutvision:CreateModel",
                "emr-containers:TagResource",
                "ec2:CreateReservedInstancesListing",
                "waf:DeleteByteMatchSet",
                "mobiletargeting:DeleteEndpoint",
                "finspace:LoadSampleDataSetGroupIntoEnvironment",
                "clouddirectory:BatchWrite",
                "elasticmapreduce:OpenEditorInConsole",
                "ec2:UnassignPrivateIpAddresses",
                "memorydb:DeleteAcl",
                "connect:UpdateQueueOutboundCallerConfig",
                "dax:TagResource",
                "ram:AssociateResourceShare",
                "apprunner:UpdateService",
                "elasticache:ModifyCacheParameterGroup",
                "ec2:ModifyReservedInstances",
                "iot:DeleteDimension",
                "appconfig:StopDeployment",
                "cognito-idp:AdminConfirmSignUp",
                "logs:DeleteRetentionPolicy",
                "synthetics:TagResource",
                "iot:CreateFleetMetric",
                "iotevents:UpdateInput",
                "comprehend:DeleteEndpoint",
                "mobiletargeting:UpdateAdmChannel",
                "workspaces:ModifyWorkspaceAccessProperties",
                "auditmanager:DeleteAssessmentReport",
                "elemental-appliances-software:UntagResource",
                "ec2:DeleteFleets",
                "lambda:DeleteAlias",
                "lambda:DeleteFunctionEventInvokeConfig",
                "sagemaker:SendPipelineExecutionStepSuccess",
                "appmesh-preview:DeleteVirtualGateway",
                "dms:ModifyEndpoint",
                "mgn:UpdateLaunchConfiguration",
                "cloudtrail:StopLogging",
                "ses:UpdateEmailTemplate",
                "glue:CreateUserDefinedFunction",
                "lambda:PublishLayerVersion",
                "clouddirectory:EnableDirectory",
                "kinesisvideo:CreateStream",
                "rds:CreateEventSubscription",
                "lookoutvision:StopModel",
                "comprehend:StartTopicsDetectionJob",
                "deepracer:RemoveLeaderboardAccessPermission",
                "athena:CreateDataCatalog",
                "codeguru-profiler:RemovePermission",
                "license-manager:TagResource",
                "iotsitewise:UntagResource",
                "s3:CreateBucket",
                "databrew:UpdateRecipeJob",
                "chime:BatchCreateChannelMembership",
                "rds:DeleteDBParameterGroup",
                "rds:DeregisterDBProxyTargets",
                "elastic-inference:Connect",
                "rds-data:BeginTransaction",
                "gamelift:UntagResource",
                "lookoutvision:TagResource",
                "route53resolver:UpdateFirewallRuleGroupAssociation",
                "lightsail:SendContactMethodVerification",
                "iotanalytics:DeletePipeline",
                "medialive:StopMultiplex",
                "frauddetector:UpdateDetectorVersionStatus",
                "backup:DeleteBackupPlan",
                "nimble:PutStudioMembers",
                "codepipeline:EnableStageTransition",
                "codecommit:CreatePullRequest",
                "ssm:GetParametersByPath",
                "firehose:StopDeliveryStreamEncryption",
                "codepipeline:RetryStageExecution",
                "elasticbeanstalk:RemoveTags",
                "chime:BatchCreateAttendee",
                "fsx:CancelDataRepositoryTask",
                "athena:UpdatePreparedStatement",
                "clouddirectory:DeleteTypedLinkFacet",
                "ecs:UpdateCapacityProvider",
                "appstream:CreateImageBuilder",
                "storagegateway:BypassGovernanceRetention",
                "ec2:AttachVolume",
                "aps:DeleteAlertManagerDefinition",
                "s3:PutJobTagging",
                "codestar:UntagProject",
                "iotwireless:UpdateDestination",
                "iot:AssociateTargetsWithJob",
                "route53-recovery-control-config:DeleteCluster",
                "ecs:UntagResource",
                "ec2:ModifySnapshotAttribute",
                "ec2:RejectTransitGatewayMulticastDomainAssociations",
                "aps:PutRuleGroupsNamespace",
                "quicksight:UpdateAnalysis",
                "waf-regional:CreateRegexMatchSet",
                "ecr-public:TagResource",
                "kinesisanalytics:CreateApplicationSnapshot",
                "cloudformation:DeleteChangeSet",
                "amplify:GenerateAccessLogs",
                "monitron:DeleteProject",
                "sagemaker:UpdatePipelineExecution",
                "workspaces:UpdateRulesOfIpGroup",
                "sagemaker:UpdateModelPackage",
                "gamelift:ClaimGameServer",
                "lex:DeleteBotChannel",
                "greengrass:UntagResource",
                "iot1click:DeleteProject",
                "ssm:UpdateServiceSetting",
                "swf:RequestCancelWorkflowExecution",
                "ecs:StartTelemetrySession",
                "mediapackage-vod:DeleteAsset",
                "a4b:UpdateSkillGroup",
                "connect-campaigns:PauseCampaign",
                "network-firewall:UpdateFirewallPolicyChangeProtection",
                "ec2:DeleteVpc",
                "sagemaker:UpdateExperiment",
                "servicediscovery:UpdateHttpNamespace",
                "route53:AssociateVPCWithHostedZone",
                "auditmanager:UpdateAssessmentControl",
                "wellarchitected:UpdateShareInvitation",
                "medialive:AcceptInputDeviceTransfer",
                "redshift:CreateClusterSubnetGroup",
                "budgets:DeleteBudgetAction",
                "ec2:CreateSnapshot",
                "elasticfilesystem:PutLifecycleConfiguration",
                "auditmanager:BatchDeleteDelegationByAssessment",
                "rds:CreateGlobalCluster",
                "ec2:DeleteLaunchTemplateVersions",
                "lightsail:CreateBucket",
                "sagemaker:DeleteNotebookInstanceLifecycleConfig",
                "route53resolver:DeleteFirewallRule",
                "sagemaker:DeleteHumanLoop",
                "iotsitewise:UpdateGatewayCapabilityConfiguration",
                "sagemaker:StopProcessingJob",
                "a4b:DisassociateSkillFromSkillGroup",
                "databrew:UpdateSchedule",
                "codebuild:PutResourcePolicy",
                "iotwireless:DeleteWirelessGateway",
                "events:DeactivateEventSource",
                "rds:DeleteDBProxyEndpoint",
                "kinesisvideo:DeleteStream",
                "ec2:DeleteLocalGatewayRouteTableVpcAssociation",
                "kendra:CreateQuerySuggestionsBlockList",
                "sagemaker:AddTags",
                "sso:AttachManagedPolicyToPermissionSet",
                "aps:DeleteWorkspace",
                "forecast:DeleteDataset",
                "ec2:DeleteTrafficMirrorTarget",
                "kinesis:PutRecord",
                "robomaker:DeleteRobotApplication",
                "schemas:PutCodeBinding",
                "ivs:PutMetadata",
                "cloudshell:PutCredentials",
                "waf:UntagResource",
                "connect:UpdateQuickConnectName",
                "mediaconvert:CreateJobTemplate",
                "ec2:ModifyNetworkInterfaceAttribute",
                "ssm-contacts:PutContactPolicy",
                "geo:CreateMap",
                "lightsail:DeleteRelationalDatabaseSnapshot",
                "waf-regional:DeleteWebACL",
                "a4b:AssociateDeviceWithNetworkProfile",
                "sqlworkbench:UpdateChart",
                "autoscaling:ResumeProcesses",
                "mobiletargeting:DeleteVoiceChannel",
                "iotthingsgraph:DeleteSystemInstance",
                "ds:RemoveIpRoutes",
                "ssm:DeleteAssociation",
                "trustedadvisor:RefreshCheck",
                "mq:UpdateBroker",
                "mediatailor:DeleteSourceLocation",
                "gamelift:UpdateFleetCapacity",
                "wafv2:DeleteLoggingConfiguration",
                "securityhub:TagResource",
                "cloud9:TagResource",
                "codestar:AssociateTeamMember",
                "ds:EnableClientAuthentication",
                "appflow:TagResource",
                "nimble:CreateLaunchProfile",
                "workmail:CreateInboundMailFlowRule",
                "workspaces:MigrateWorkspace",
                "ec2:DeleteRoute",
                "sqs:TagQueue",
                "iot:CreateOTAUpdate",
                "dms:DeleteReplicationInstance",
                "kms:GenerateDataKeyWithoutPlaintext",
                "bugbust:JoinEvent",
                "qldb:SendCommand",
                "deepracer:CreateReinforcementLearningModel",
                "quicksight:CreateDashboard",
                "iot:CancelCertificateTransfer",
                "batch:UpdateJobQueue",
                "deeplens:UpdateProject",
                "redshift:DeauthorizeDataShare",
                "medialive:RejectInputDeviceTransfer",
                "sagemaker:CreateUserProfile",
                "worklink:UpdateFleetMetadata",
                "s3:DeleteBucketPolicy",
                "route53resolver:ImportFirewallDomains",
                "iot:UpdateBillingGroup",
                "access-analyzer:UpdateFindings",
                "elasticmapreduce:DeleteStudioSessionMapping",
                "secretsmanager:UpdateSecretVersionStage",
                "dynamodb:UpdateTable",
                "elasticbeanstalk:UpdateEnvironment",
                "cloudformation:ContinueUpdateRollback",
                "datasync:CancelTaskExecution",
                "ec2-instance-connect:SendSerialConsoleSSHPublicKey",
                "kms:UpdateKeyDescription",
                "dms:DeleteReplicationTask",
                "workspaces:DeleteIpGroup",
                "kinesisvideo:TagStream",
                "swf:DeprecateWorkflowType",
                "workmail:WipeMobileDevice",
                "cloudtrail:AddTags",
                "apigateway:PATCH",
                "grafana:DeleteWorkspace",
                "ssm:UpdateAssociation",
                "a4b:DeleteConferenceProvider",
                "cloudtrail:PutInsightSelectors",
                "lightsail:CreateCertificate",
                "iot:UpdateProvisioningTemplate",
                "lex:CreateSlotType",
                "cloud9:UpdateSSHRemote",
                "mobilehub:SynchronizeProject",
                "lookoutmetrics:UntagResource",
                "ec2:AcceptTransitGatewayPeeringAttachment",
                "iotevents:UntagResource",
                "route53-recovery-readiness:DeleteResourceSet",
                "athena:UntagResource",
                "a4b:DisassociateSkillFromUsers",
                "cloudsearch:AddTags",
                "appmesh:DeleteVirtualGateway",
                "sagemaker:CreatePipeline",
                "machinelearning:UpdateEvaluation",
                "databrew:SendProjectSessionAction",
                "codeguru-profiler:TagResource",
                "ec2:ModifyFpgaImageAttribute",
                "guardduty:UpdateFilter",
                "kinesisvideo:SendAlexaOfferToMaster",
                "groundstation:DeleteConfig",
                "redshift:JoinGroup",
                "frauddetector:UpdateModelVersion",
                "networkmanager:DeleteGlobalNetwork",
                "mediapackage:UpdateOriginEndpoint",
                "ssm-contacts:StopEngagement",
                "lex:UpdateIntent",
                "robomaker:CancelSimulationJob",
                "budgets:UpdateBudgetAction",
                "s3:PutBucketRequestPayment",
                "ec2:StopInstances",
                "geo:UntagResource",
                "ds:RejectSharedDirectory",
                "s3:PutBucketLogging",
                "cloudsearch:DeleteSuggester",
                "lightsail:CreateInstancesFromSnapshot",
                "datasync:DeleteLocation",
                "dms:DeleteEventSubscription",
                "lightsail:RebootRelationalDatabase",
                "workmail:AddMembersToGroup",
                "ec2:ExportTransitGatewayRoutes",
                "sqs:ChangeMessageVisibility",
                "finspace:DeleteEnvironment",
                "panorama:CreateDataSource",
                "personalize:DeleteSolution",
                "ec2:ResetImageAttribute",
                "s3:DeleteMultiRegionAccessPoint",
                "ssm:DeletePatchBaseline",
                "glue:DeleteTableVersion",
                "cognito-idp:UpdateAuthEventFeedback",
                "ec2:SendDiagnosticInterrupt",
                "codecommit:UpdateComment",
                "proton:UpdateEnvironmentTemplateMinorVersion",
                "ec2:AssociateSubnetCidrBlock",
                "securityhub:BatchUpdateFindings",
                "s3:UpdateJobPriority",
                "devicefarm:InstallToRemoteAccessSession",
                "guardduty:DeleteThreatIntelSet",
                "waf:DeleteWebACL",
                "autoscaling:RecordLifecycleActionHeartbeat",
                "fsx:DeleteBackup",
                "chime:UpdateChannelMessage",
                "workmail:ResetPassword",
                "rds:FailoverGlobalCluster",
                "kinesis:RegisterStreamConsumer",
                "ec2:ImportKeyPair",
                "iotevents:BatchDisableAlarm",
                "lightsail:UpdateContainerService",
                "mgn:SendAgentLogsForMgn",
                "amplifybackend:GenerateBackendAPIModels",
                "s3-object-lambda:DeleteObjectVersionTagging",
                "ec2:DeleteTransitGatewayPrefixListReference",
                "lightsail:EnableAddOn",
                "sagemaker:UpdateNotebookInstanceLifecycleConfig",
                "ec2:CreateNetworkAclEntry",
                "sagemaker:PutModelPackageGroupPolicy",
                "execute-api:ManageConnections",
                "networkmanager:AssociateLink",
                "swf:RecordActivityTaskHeartbeat",
                "ecr:BatchDeleteImage",
                "elasticloadbalancing:SetIpAddressType",
                "devicefarm:DeleteRun",
                "cloudhsm:TagResource",
                "grafana:UpdateWorkspace",
                "appstream:StartImageBuilder",
                "rds:ResetDBParameterGroup",
                "kafka-cluster:AlterTransactionalId",
                "medialive:DeleteInput",
                "autoscaling:DeleteLifecycleHook",
                "iotanalytics:UpdateDatastore",
                "codecommit:MergePullRequestByFastForward",
                "finspace:UpdateEnvironment",
                "glue:CreateTable",
                "appmesh:TagResource",
                "memorydb:DeleteUser",
                "medialive:CreateMultiplexProgram",
                "serverlessrepo:CreateCloudFormationChangeSet",
                "ec2:DeleteVpcPeeringConnection",
                "glue:CreateConnection",
                "rds:RevokeDBSecurityGroupIngress",
                "lightsail:DeleteKnownHostKeys",
                "logs:PutRetentionPolicy",
                "connect:StartOutboundVoiceContact",
                "waf-regional:CreateIPSet",
                "mobiletargeting:DeleteSmsTemplate",
                "batch:DeregisterJobDefinition",
                "signer:RevokeSigningProfile",
                "elasticache:DeleteCacheSecurityGroup",
                "ec2:CreateRoute",
                "cognito-idp:SetUserPoolMfaConfig",
                "medialive:UpdateInput",
                "ds:CreateAlias",
                "route53resolver:AssociateFirewallRuleGroup",
                "codecommit:DeleteFile",
                "ssm:UpdateInstanceAssociationStatus",
                "workmail:CreateSmtpGateway",
                "amplify:UpdateApp",
                "iot:DeleteThingShadow",
                "mgh:PutResourceAttributes",
                "apprunner:AssociateCustomDomain",
                "app-integrations:CreateDataIntegration",
                "lightsail:DeleteDistribution",
                "route53:DeleteKeySigningKey",
                "mediaconvert:CreateJob",
                "route53-recovery-readiness:CreateRecoveryGroup",
                "xray:UpdateSamplingRule",
                "lambda:CreateCodeSigningConfig",
                "storagegateway:RetrieveTapeRecoveryPoint",
                "lex:DeleteBotLocale",
                "athena:StartQueryExecution",
                "clouddirectory:UpdateFacet",
                "rds:ModifyEventSubscription",
                "sagemaker:DeleteNotebookInstance",
                "opsworks:UnassignVolume",
                "devicefarm:CreateUpload",
                "iotsitewise:DeleteProject",
                "guardduty:UpdateDetector",
                "cognito-idp:DeleteUserPoolDomain",
                "iot:SetDefaultPolicyVersion",
                "es:UpdateElasticsearchDomainConfig",
                "glacier:InitiateMultipartUpload",
                "a4b:DeleteRoom",
                "ecs:UpdateService",
                "deepracer:CreateLeaderboardAccessToken",
                "waf:DeleteRegexPatternSet",
                "a4b:PutSkillAuthorization",
                "rds:StartDBCluster",
                "kms:RevokeGrant",
                "personalize:CreateDatasetExportJob",
                "codeguru-reviewer:CreateCodeReview",
                "autoscaling:PutScheduledUpdateGroupAction",
                "swf:RespondActivityTaskCompleted",
                "waf:UpdateSqlInjectionMatchSet",
                "wellarchitected:UpdateWorkloadShare",
                "connect:DisassociateQueueQuickConnects",
                "freertos:CreateSoftwareConfiguration",
                "schemas:CreateDiscoverer",
                "sso:ProvisionPermissionSet",
                "kinesis:MergeShards",
                "quicksight:UpdateTheme",
                "s3:CreateAccessPoint",
                "securityhub:DeleteInsight",
                "s3:PutBucketTagging",
                "honeycode:BatchUpsertTableRows",
                "swf:ScheduleActivityTask",
                "elasticache:BatchStopUpdateAction",
                "proton:CreateEnvironmentTemplateVersion",
                "artifact:TerminateAgreement",
                "iot:DeleteOTAUpdate",
                "ec2:CreateInstanceExportTask",
                "securityhub:DeclineInvitations",
                "elasticache:DecreaseNodeGroupsInGlobalReplicationGroup",
                "quicksight:UntagResource",
                "acm:RenewCertificate",
                "securityhub:BatchEnableStandards",
                "comprehend:StopEventsDetectionJob",
                "quicksight:DeleteTemplate",
                "directconnect:AssociateVirtualInterface",
                "kafka-cluster:AlterCluster",
                "deepcomposer:UpdateModel",
                "machinelearning:UpdateBatchPrediction",
                "amplify:CreateDomainAssociation",
                "panorama:DeleteModel",
                "ssm:TerminateSession",
                "quicksight:DeleteIAMPolicyAssignment",
                "appmesh-preview:DeleteVirtualNode",
                "medialive:DeleteReservation",
                "iot:CreateAuthorizer",
                "cloudfront:UpdateCloudFrontOriginAccessIdentity",
                "elasticache:ModifyCacheSubnetGroup",
                "logs:CreateLogStream",
                "elasticache:DeleteGlobalReplicationGroup",
                "devicefarm:StopRun",
                "sagemaker:DeleteCodeRepository",
                "lightsail:DeleteInstance",
                "waf-regional:DeleteSqlInjectionMatchSet",
                "deepracer:CloneReinforcementLearningModel",
                "kinesisanalytics:AddApplicationCloudWatchLoggingOption",
                "shield:UpdateProtectionGroup",
                "ecr-public:UntagResource",
                "elasticmapreduce:StopEditor",
                "opsworks:UpdateStack",
                "networkmanager:CreateConnection",
                "appstream:UpdateStack",
                "personalize:DeleteSchema",
                "glue:NotifyEvent",
                "cognito-idp:DeleteResourceServer",
                "es:AssociatePackage",
                "elasticache:DeleteUserGroup",
                "frauddetector:UpdateVariable",
                "quicksight:UpdateDashboard",
                "wafv2:UntagResource",
                "kinesisvideo:CreateSignalingChannel",
                "kafka-cluster:AlterClusterDynamicConfiguration",
                "logs:AssociateKmsKey",
                "directconnect:ConfirmTransitVirtualInterface",
                "rds:ModifyDBSnapshot",
                "waf-regional:UpdateRateBasedRule",
                "glue:BatchDeletePartition",
                "workspaces:RebootWorkspaces",
                "kafka-cluster:AlterTopic",
                "sagemaker:DeleteFlowDefinition",
                "waf-regional:CreateRegexPatternSet",
                "fsx:AssociateFileGateway",
                "kendra:CreateThesaurus",
                "quicksight:CreateGroup",
                "ec2:DeleteTrafficMirrorSession",
                "waf-regional:CreateRateBasedRule",
                "lightsail:DeleteDomain",
                "lex:DeleteBotAlias",
                "directconnect:DeleteLag",
                "servicecatalog:DisassociateResource",
                "lightsail:CreateInstances",
                "panorama:UpdateDataSource",
                "kinesis:RemoveTagsFromStream",
                "ec2:ModifyVpnTunnelOptions",
                "kendra:ClearQuerySuggestions",
                "network-firewall:CreateFirewallPolicy",
                "batch:SubmitJob",
                "iot:ReplaceTopicRule",
                "clouddirectory:UpdateTypedLinkFacet",
                "ec2:AllocateHosts",
                "elasticfilesystem:Backup",
                "ds:UnshareDirectory",
                "quicksight:UpdateDashboardPublishedVersion",
                "ssm-contacts:CreateContact",
                "lightsail:TagResource",
                "a4b:DeleteNetworkProfile",
                "proton:DeleteServiceTemplateMajorVersion",
                "ec2:DeleteTransitGatewayConnect",
                "firehose:StartDeliveryStreamEncryption",
                "network-firewall:DeleteResourcePolicy",
                "appstream:DeleteStack",
                "storagegateway:UpdateFileSystemAssociation",
                "lightsail:ReleaseStaticIp",
                "appmesh-preview:DeleteGatewayRoute",
                "chime:CreateAppInstanceAdmin",
                "emr-containers:CancelJobRun",
                "panorama:DeleteAppVersion",
                "ssm:UpdateManagedInstanceRole",
                "connect:DeleteUseCase",
                "ecr:InitiateLayerUpload",
                "iot:UpdateSecurityProfile",
                "sagemaker:RegisterDevices",
                "waf-regional:PutPermissionPolicy",
                "ecs:DeleteTaskSet",
                "nimble:DeleteLaunchProfileMember",
                "iot:DeleteDomainConfiguration",
                "codepipeline:DeletePipeline",
                "waf-regional:DeleteRegexPatternSet",
                "iot:StartNextPendingJobExecution",
                "ses:DeleteContact",
                "dynamodb:UpdateGlobalTable",
                "redshift:BatchModifyClusterSnapshots",
                "amplifybackend:RemoveBackendConfig",
                "elasticloadbalancing:ModifyRule",
                "elasticloadbalancing:RemoveListenerCertificates",
                "autoscaling:EnableMetricsCollection",
                "globalaccelerator:CreateCustomRoutingListener",
                "nimble:CreateStreamingSession",
                "iotdeviceadvisor:UpdateSuiteDefinition",
                "wisdom:DeleteContent",
                "nimble:DeleteStudioMember",
                "servicediscovery:UpdatePrivateDnsNamespace",
                "route53-recovery-readiness:UpdateReadinessCheck",
                "ds:CreateComputer",
                "mobiletargeting:CreateExportJob",
                "events:CreateEventBus",
                "comprehend:StartPiiEntitiesDetectionJob",
                "clouddirectory:AttachPolicy",
                "workmail:UpdatePrimaryEmailAddress",
                "ec2:CancelSpotInstanceRequests",
                "connect:AssociateQueueQuickConnects",
                "mediatailor:CreateProgram",
                "acm-pca:UpdateCertificateAuthority",
                "ec2-instance-connect:SendSSHPublicKey",
                "sagemaker:CreateLabelingJob",
                "elasticache:CreateUserGroup",
                "waf:CreateGeoMatchSet",
                "ec2:ModifyInstancePlacement",
                "imagebuilder:UpdateInfrastructureConfiguration",
                "lambda:RemovePermission",
                "proton:DeleteService",
                "sdb:PutAttributes",
                "geo:PutGeofence",
                "lightsail:CreateDiskSnapshot",
                "airflow:CreateEnvironment",
                "waf:CreateIPSet",
                "ec2:ModifyCapacityReservation",
                "mobiletargeting:UpdateBaiduChannel",
                "codebuild:BatchDeleteBuilds",
                "elasticache:StartMigration",
                "appstream:DisassociateFleet",
                "iotanalytics:DeleteDatastore",
                "glue:DeleteRegistry",
                "connect-campaigns:PutDialRequestBatch",
                "iotsitewise:BatchDisassociateProjectAssets",
                "chime:SendChannelMessage",
                "servicecatalog:AcceptPortfolioShare",
                "sns:SetTopicAttributes",
                "panorama:CreateInputs",
                "ssm:GetParameter",
                "iotfleethub:DeleteDashboard",
                "personalize:CreateCampaign",
                "elasticache:ResetCacheParameterGroup",
                "redshift:DeleteClusterSecurityGroup",
                "cognito-identity:MergeDeveloperIdentities",
                "gamelift:DeleteBuild",
                "connect:AssociateRoutingProfileQueues",
                "dynamodb:UpdateTimeToLive",
                "ec2:CreateEgressOnlyInternetGateway",
                "waf:UpdateWebACL",
                "s3-object-lambda:AbortMultipartUpload",
                "s3:DeleteAccessPointForObjectLambda",
                "waf-regional:TagResource",
                "app-integrations:UntagResource",
                "redshift:DeleteHsmClientCertificate",
                "appconfig:CreateEnvironment",
                "route53resolver:UntagResource",
                "lightsail:RebootInstance",
                "sagemaker:CreateModelExplainabilityJobDefinition",
                "redshift:CreateSnapshotSchedule",
                "glue:StartImportLabelsTaskRun",
                "fis:UntagResource",
                "iot:Publish",
                "kinesisanalytics:StartApplication",
                "rds:DeleteDBCluster",
                "route53:ChangeResourceRecordSets",
                "workmail:DeleteResource",
                "storagegateway:UpdateBandwidthRateLimit",
                "kendra:BatchPutDocument",
                "ec2:CreateVpnGateway",
                "ec2:TerminateClientVpnConnections",
                "qldb:UntagResource",
                "ds:RegisterEventTopic",
                "athena:CreateNamedQuery",
                "codeartifact:AssociateExternalConnection",
                "fsx:DeleteFileSystem",
                "elasticache:CompleteMigration",
                "codebuild:CreateWebhook",
                "workspaces:DisassociateConnectionAlias",
                "codecommit:DeleteRepository",
                "route53:DeleteReusableDelegationSet",
                "chime:UntagMeeting",
                "cloudtrail:UpdateTrail",
                "elasticfilesystem:DeleteTags",
                "codecommit:PutCommentReaction",
                "config:StartRemediationExecution",
                "cognito-idp:UntagResource",
                "ec2:ModifyHosts",
                "aps:TagResource",
                "codepipeline:DeregisterWebhookWithThirdParty",
                "groundstation:DeleteMissionProfile",
                "wisdom:DeleteAssistantAssociation",
                "s3:ObjectOwnerOverrideToBucketOwner",
                "appsync:DeleteGraphqlApi",
                "ec2:CreateReplaceRootVolumeTask",
                "s3:AbortMultipartUpload",
                "sagemaker:UpdateDomain",
                "ec2:DeleteNetworkInsightsPath",
                "iot:RejectCertificateTransfer",
                "glue:StartMLLabelingSetGenerationTaskRun",
                "acm:ResendValidationEmail",
                "ec2:ModifySubnetAttribute",
                "iot:DeleteMitigationAction",
                "geo:DeleteTracker",
                "connect-campaigns:StopCampaign",
                "cloudtrail:DeleteTrail",
                "route53-recovery-control-config:UpdateSafetyRule",
                "s3:DeleteBucketOwnershipControls",
                "imagebuilder:PutContainerRecipePolicy",
                "mgn:UpdateReplicationConfiguration",
                "autoscaling:PutScalingPolicy",
                "waf-regional:UpdateRegexMatchSet",
                "sqs:SendMessage",
                "lookoutvision:UntagResource",
                "servicediscovery:UpdateService",
                "rds:BacktrackDBCluster",
                "directconnect:DeleteVirtualInterface",
                "opsworks:AttachElasticLoadBalancer",
                "workmail:StartMailboxExportJob",
                "profile:AddProfileKey",
                "lambda:UpdateFunctionCodeSigningConfig",
                "mediatailor:StartChannel",
                "iotwireless:TagResource",
                "quicksight:DeleteDataSource",
                "savingsplans:DeleteQueuedSavingsPlan",
                "sqlworkbench:DeleteSavedQuery",
                "rds:DeleteOptionGroup",
                "events:DeleteArchive",
                "kendra:DeleteFaq",
                "dataexchange:UntagResource",
                "elasticloadbalancing:DeleteListener",
                "appconfig:UpdateConfigurationProfile",
                "mediapackage-vod:TagResource",
                "elasticache:DeleteUser",
                "mediatailor:DeleteVodSource",
                "rds:CreateDBSubnetGroup",
                "networkmanager:TagResource",
                "ec2:CreateNetworkInsightsPath",
                "timestream:DeleteTable",
                "mediaconvert:CancelJob",
                "elastictranscoder:UpdatePipelineStatus",
                "kinesisanalytics:DeleteApplication",
                "ec2:ModifyVpcAttribute",
                "codeartifact:CopyPackageVersions",
                "ec2:DeleteFpgaImage",
                "qldb:ExportJournalToS3",
                "personalize:DeleteEventTracker",
                "ec2:ModifyVpnConnectionOptions",
                "cognito-idp:AdminSetUserPassword",
                "cognito-idp:DeleteIdentityProvider",
                "imagebuilder:UpdateImagePipeline",
                "kinesisvideo:UpdateSignalingChannel",
                "rds:AddTagsToResource",
                "network-firewall:CreateFirewall",
                "elasticmapreduce:StopNotebookExecution",
                "mgn:NotifyAgentConnectedForMgn",
                "route53:CreateHostedZone",
                "secretsmanager:RestoreSecret",
                "opsworks:UpdateApp",
                "iot:AttachPrincipalPolicy",
                "elasticbeanstalk:AbortEnvironmentUpdate",
                "aps:DeleteRuleGroupsNamespace",
                "waf:UpdateXssMatchSet",
                "quicksight:CreateUser",
                "kendra:UpdateQuerySuggestionsBlockList",
                "serverlessrepo:CreateCloudFormationTemplate",
                "braket:UntagResource",
                "wellarchitected:UpdateAnswer",
                "elasticache:IncreaseNodeGroupsInGlobalReplicationGroup",
                "cloudwatch:UntagResource",
                "sagemaker:DeleteApp",
                "servicecatalog:UpdatePortfolio",
                "ec2:CancelCapacityReservation",
                "rds:RestoreDBInstanceFromDBSnapshot",
                "redshift:ModifyClusterDbRevision",
                "kinesisanalytics:AddApplicationInputProcessingConfiguration",
                "apprunner:DisassociateCustomDomain",
                "opsworks:RegisterInstance",
                "ecs:SubmitAttachmentStateChanges",
                "ec2:RejectVpcEndpointConnections",
                "elasticbeanstalk:SwapEnvironmentCNAMEs",
                "gamelift:DeleteMatchmakingRuleSet",
                "glacier:AbortVaultLock",
                "fsx:CreateBackup",
                "codecommit:BatchAssociateApprovalRuleTemplateWithRepositories",
                "ec2:DeleteVpnGateway",
                "comprehend:StopDominantLanguageDetectionJob",
                "lightsail:CreateContainerService",
                "machinelearning:DeleteEvaluation",
                "ec2:CreateCustomerGateway",
                "dax:DecreaseReplicationFactor",
                "kendra:UpdateThesaurus",
                "dms:DeleteEndpoint",
                "connect-campaigns:DeleteCampaign",
                "ssm:CreateDocument",
                "elasticache:DeleteCacheParameterGroup",
                "servicecatalog:DeleteApplication",
                "rekognition:StartFaceSearch",
                "machinelearning:CreateDataSourceFromRedshift",
                "ecr:SetRepositoryPolicy",
                "mediatailor:PutChannelPolicy",
                "rds:AddSourceIdentifierToSubscription",
                "workmail:DeleteMailDomain",
                "appconfig:DeleteDeploymentStrategy",
                "connect:UpdateQueueName",
                "comprehend:CreateDocumentClassifier",
                "sagemaker:CreatePresignedDomainUrl",
                "cloudwatch:DeleteMetricStream",
                "mediaconvert:UpdateJobTemplate",
                "devicefarm:CreateNetworkProfile",
                "auditmanager:BatchDisassociateAssessmentReportEvidence",
                "backup:StartRestoreJob",
                "devicefarm:UntagResource",
                "rekognition:UntagResource",
                "greengrass:DeleteComponent",
                "ec2:ModifyTransitGatewayVpcAttachment",
                "resource-groups:DeleteGroup",
                "redshift:DeleteUsageLimit",
                "cloud9:UpdateEnvironment",
                "a4b:UpdateProfile",
                "cloudsearch:BuildSuggesters",
                "robomaker:UpdateSimulationApplication",
                "swf:StartWorkflowExecution",
                "globalaccelerator:UpdateCustomRoutingAcceleratorAttributes",
                "mobiletargeting:UpdateVoiceTemplate",
                "a4b:ForgetSmartHomeAppliances",
                "proton:UpdateServiceTemplate",
                "elasticmapreduce:DeleteStudio",
                "storagegateway:JoinDomain",
                "iotsitewise:AssociateAssets",
                "quicksight:UpdateDataSourcePermissions",
                "auditmanager:BatchAssociateAssessmentReportEvidence",
                "connect:UpdateRoutingProfileName",
                "sqs:UntagQueue",
                "opsworks:AssociateElasticIp",
                "quicksight:CreateGroupMembership",
                "directconnect:CreatePublicVirtualInterface",
                "redshift:ResumeCluster",
                "ec2:RunInstances",
                "ram:AcceptResourceShareInvitation",
                "ec2:DeleteCustomerGateway",
                "databrew:TagResource",
                "access-analyzer:DeleteArchiveRule",
                "nimble:StartStudioSSOConfigurationRepair",
                "ds:AddRegion",
                "machinelearning:DeleteMLModel",
                "frauddetector:DeleteLabel",
                "elasticache:RemoveTagsFromResource",
                "groundstation:TagResource",
                "config:DeleteRemediationConfiguration",
                "devicefarm:ScheduleRun",
                "iotsitewise:CreateProject",
                "ram:DisassociateResourceShare",
                "neptune-db:connect",
                "ses:SendBulkEmail",
                "lex:CreateBotAlias",
                "proton:DeleteServiceTemplate",
                "sagemaker:StartHumanLoop",
                "batch:UpdateComputeEnvironment",
                "codestar:DeleteUserProfile",
                "route53:CreateKeySigningKey",
                "kafka-cluster:DeleteTopic",
                "ivs:CreateRecordingConfiguration",
                "elasticbeanstalk:RestartAppServer",
                "connect:UpdateQueueMaxContacts",
                "managedblockchain:CreateProposal",
                "elasticfilesystem:DeleteMountTarget",
                "dynamodb:PartiQLInsert",
                "signer:AddProfilePermission",
                "iotsitewise:TagResource",
                "ec2:CreateClientVpnRoute",
                "storagegateway:SetSMBGuestPassword",
                "rds:CreateOptionGroup",
                "storagegateway:DeleteFileShare",
                "ec2:ModifyVolume",
                "network-firewall:DisassociateSubnets",
                "appflow:DeleteConnectorProfile",
                "connect:UpdateRoutingProfileDefaultOutboundQueue",
                "rds-data:ExecuteStatement",
                "budgets:ModifyBudget",
                "ebs:StartSnapshot",
                "macie2:UpdateClassificationJob",
                "es:DeleteDomain",
                "globalaccelerator:UpdateEndpointGroup",
                "ec2:CreateTransitGatewayConnect",
                "rds:DeleteDBSubnetGroup",
                "ds:DisableLDAPS",
                "mediapackage:RotateIngestEndpointCredentials",
                "waf-regional:UpdateRegexPatternSet",
                "s3:PutAccessPointPolicyForObjectLambda",
                "autoscaling:CreateLaunchConfiguration",
                "codestar-connections:UpdateConnectionInstallation",
                "servicecatalog:DeletePortfolio",
                "network-firewall:AssociateSubnets",
                "fis:UpdateExperimentTemplate",
                "lightsail:DeleteAlarm",
                "elasticmapreduce:PutManagedScalingPolicy",
                "clouddirectory:CreateIndex",
                "worklink:DisassociateWebsiteAuthorizationProvider",
                "storagegateway:UpdateBandwidthRateLimitSchedule",
                "geo:BatchEvaluateGeofences",
                "mobiletargeting:UpdateJourney",
                "kendra:CreateFaq",
                "dynamodb:DeleteTableReplica",
                "a4b:DeleteProfile",
                "opsworks:DeregisterEcsCluster",
                "cloudtrail:PutEventSelectors",
                "frauddetector:DeleteOutcome",
                "cloudwatch:DisableAlarmActions",
                "trustedadvisor:ExcludeCheckItems",
                "workmail:DeleteGroup",
                "ec2:DeleteTransitGatewayMulticastDomain",
                "workmail:PutRetentionPolicy",
                "iotsitewise:UpdateAccessPolicy",
                "ds:EnableRadius",
                "qldb:PartiQLInsert",
                "ds:RegisterCertificate",
                "cloud9:UpdateEnvironmentSettings",
                "memorydb:FailoverShard",
                "ec2:RunScheduledInstances",
                "codeguru-profiler:PostAgentProfile",
                "profile:PutProfileObject",
                "iot:DeleteProvisioningTemplateVersion",
                "ssm:DeleteParameter",
                "codeguru-profiler:PutPermission",
                "gamelift:UpdateFleetPortSettings",
                "codecommit:UntagResource",
                "cognito-idp:UpdateUserPool",
                "dax:BatchWriteItem",
                "appmesh-preview:UpdateVirtualRouter",
                "kafka-cluster:WriteDataIdempotently",
                "codebuild:RetryBuildBatch",
                "robomaker:CreateWorldGenerationJob",
                "kinesisanalytics:DeleteApplicationCloudWatchLoggingOption",
                "iotfleethub:UpdateDashboard",
                "sso:PutInlinePolicyToPermissionSet",
                "comprehend:DeleteEntityRecognizer",
                "sagemaker:CreateContext",
                "logs:PutMetricFilter",
                "logs:CreateLogGroup",
                "amplify:StartDeployment",
                "lookoutequipment:DeleteDataset",
                "networkmanager:DeleteLink",
                "proton:UntagResource",
                "cloudformation:UntagResource",
                "healthlake:StartFHIRExportJob",
                "securityhub:CreateActionTarget",
                "waf:UpdateRegexPatternSet",
                "elastictranscoder:UpdatePipeline",
                "athena:DeletePreparedStatement",
                "cassandra:TagResource",
                "appconfig:CreateHostedConfigurationVersion",
                "lightsail:UpdateLoadBalancerAttribute",
                "proton:CreateEnvironmentTemplateMinorVersion",
                "quicksight:CreateTemplateAlias",
                "appstream:StartFleet",
                "ds:DeleteLogSubscription",
                "qldb:CancelJournalKinesisStream",
                "auditmanager:DeleteAssessmentFramework",
                "nimble:CreateStudio",
                "iot:DeleteAuthorizer",
                "ec2:UpdateSecurityGroupRuleDescriptionsEgress",
                "cloudfront:UpdateStreamingDistribution",
                "kinesis:StartStreamEncryption",
                "wisdom:NotifyRecommendationsReceived",
                "es:ESHttpPut",
                "workspaces:RebuildWorkspaces",
                "cloudwatch:EnableAlarmActions",
                "iotsitewise:UpdateProject",
                "fsx:DeleteVolume",
                "iotanalytics:DeleteChannel",
                "ec2:CreateInstanceEventWindow",
                "ssm-incidents:StartIncident",
                "codedeploy:CreateDeploymentConfig",
                "waf-regional:CreateWebACLMigrationStack",
                "transfer:DeleteSshPublicKey",
                "cognito-sync:SetCognitoEvents",
                "networkmanager:DisassociateTransitGatewayConnectPeer",
                "connect:UpdateUserSecurityProfiles",
                "appmesh-preview:UpdateVirtualNode",
                "route53:DeleteHealthCheck",
                "greengrass:TagResource",
                "iotthingsgraph:TagResource",
                "medialive:DeleteInputSecurityGroup",
                "glue:UpdateTable",
                "rds:PromoteReadReplica",
                "ram:UntagResource",
                "codebuild:DeleteReportGroup",
                "rds:StopDBInstance",
                "ssm-incidents:UpdateDeletionProtection",
                "swf:TagResource",
                "waf:CreateSqlInjectionMatchSet",
                "quicksight:CreateReader",
                "databrew:UpdateDataset",
                "elasticloadbalancing:RemoveTags",
                "sqlworkbench:TagResource",
                "route53resolver:DisassociateResolverRule",
                "waf:CreateByteMatchSet",
                "connect:AssociateCustomerProfilesDomain",
                "ds:CreateSnapshot",
                "mobiletargeting:CreateImportJob",
                "waf-regional:DeleteIPSet",
                "waf:PutLoggingConfiguration",
                "fsx:ManageBackupPrincipalAssociations",
                "redshift:BatchDeleteClusterSnapshots",
                "robomaker:CreateSimulationApplicationVersion",
                "fsx:AssociateFileSystemAliases",
                "ec2:DeleteLocalGatewayRoute",
                "a4b:PutRoomSkillParameter",
                "s3-object-lambda:RestoreObject",
                "imagebuilder:DeleteComponent",
                "panorama:DeleteDevice",
                "iot:DeleteCACertificate",
                "gamelift:DeleteFleetLocations",
                "quicksight:DeleteTheme",
                "networkmanager:DeregisterTransitGateway",
                "autoscaling:AttachLoadBalancers",
                "kms:DisableKey",
                "redshift:ModifyUsageLimit",
                "rekognition:CreateProjectVersion",
                "ec2:RevokeSecurityGroupEgress",
                "lightsail:CloseInstancePublicPorts",
                "es:CancelElasticsearchServiceSoftwareUpdate",
                "opsworks:UpdateElasticIp",
                "sagemaker:UpdateArtifact",
                "cloudfront:UntagResource",
                "autoscaling:ExitStandby",
                "iot1click:AssociateDeviceWithPlacement",
                "chime:DeleteChannel",
                "chatbot:DeleteSlackChannelConfiguration",
                "sagemaker:CreateNotebookInstanceLifecycleConfig",
                "lightsail:DeleteKeyPair",
                "mobiletargeting:UpdateApplicationSettings",
                "ds:DeleteConditionalForwarder",
                "ec2:CreateSecurityGroup",
                "frauddetector:UpdateDetectorVersion",
                "iot:UpdateDynamicThingGroup",
                "profile:DeleteProfile",
                "elastictranscoder:DeletePreset",
                "transfer:CreateUser",
                "connect:TagResource",
                "storagegateway:NotifyWhenUploaded",
                "cognito-idp:TagResource",
                "quicksight:CreateIngestion",
                "polly:PutLexicon",
                "clouddirectory:DeleteObject",
                "sagemaker:SendPipelineExecutionStepFailure",
                "ec2:ApplySecurityGroupsToClientVpnTargetNetwork",
                "secretsmanager:UntagResource",
                "codecommit:CreateBranch",
                "route53-recovery-readiness:DeleteRecoveryGroup",
                "ec2:DeregisterTransitGatewayMulticastGroupMembers",
                "sagemaker:AddAssociation",
                "robomaker:CancelWorldExportJob",
                "elasticloadbalancing:DeregisterTargets",
                "ec2:AssignIpv6Addresses",
                "lambda:UpdateFunctionCode",
                "acm:ImportCertificate",
                "appmesh:CreateVirtualGateway",
                "iam:DeleteServiceLinkedRole",
                "iam:CreateServiceLinkedRole"
            ]
},
            "is_excluded": false
        }
    },
    "customer_managed_policies": {
        "NotYourPolicy": {
            "PolicyName": "NotYourPolicy",
            "PolicyId": "NotYourPolicy",
            "Arn": "arn:aws:iam::012345678901:policy/NotYourPolicy",
            "Path": "/",
            "DefaultVersionId": "v9",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2020-01-29 21:24:20+00:00",
            "UpdateDate": "2020-01-29 23:23:12+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Sid": "VisualEditor0",
                                "Effect": "Allow",
                                "Action": [
                                    "s3:PutObject",
                                    "s3:PutObjectAcl"
                                ],
                                "Resource": [
                                    "arn:aws:s3:::mybucket/*",
                                    "arn:aws:s3:::mybucket"
                                ]
                            }
                        ]
                    },
                    "VersionId": "v9",
                    "IsDefaultVersion": true,
                    "CreateDate": "2020-01-29 23:23:12+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": []
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": []
},
            "is_excluded": false
        },
        "InsecurePolicy": {
            "PolicyName": "InsecurePolicy",
            "PolicyId": "InsecurePolicy",
            "Arn": "arn:aws:iam::012345678901:policy/InsecurePolicy",
            "Path": "/",
            "DefaultVersionId": "v9",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2020-01-29 21:24:20+00:00",
            "UpdateDate": "2020-01-29 23:23:12+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Sid": "VisualEditor0",
                                "Effect": "Allow",
                                "Action": [
                                    "s3:PutObject",
                                    "s3:PutObjectAcl"
                                ],
                                "Resource": [
                                    "*"
                                ]
                            }
                        ]
                    },
                    "VersionId": "v9",
                    "IsDefaultVersion": true,
                    "CreateDate": "2020-01-29 23:23:12+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "s3:PutObjectAcl"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "s3:PutObjectAcl",
                "s3:PutObject"
            ]
},
            "is_excluded": false
        },
        "ExcessivePermissions": {
            "PolicyName": "ExcessivePermissions",
            "PolicyId": "ExcessivePermissions",
            "Arn": "arn:aws:iam::012345678901:policy/ExcessivePermissions",
            "Path": "/",
            "DefaultVersionId": "v9",
            "AttachmentCount": 1,
            "IsAttachable": true,
            "CreateDate": "2020-01-29 21:24:20+00:00",
            "UpdateDate": "2020-01-29 23:23:12+00:00",
            "PolicyVersionList": [
                {
                    "Document": {
                        "Version": "2012-10-17",
                        "Statement": [
                            {
                                "Sid": "VisualEditor0",
                                "Effect": "Allow",
                                "Action": [
                                    "s3:*",
                                    "secretsmanager:*",
                                    "lambda:*"
                                ],
                                "Resource": [
                                    "*"
                                ]
                            }
                        ]
                    },
                    "VersionId": "v9",
                    "IsDefaultVersion": true,
                    "CreateDate": "2020-01-29 23:23:12+00:00"
                }
            ],
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [
                {
                    "type": "EditExistingLambdaFunctionWithRole",
                    "actions": [
                        "lambda:updatefunctioncode"
                    ]
                }
            ],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": [
                "s3:GetObject",
                "secretsmanager:GetSecretValue"
            ]
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "secretsmanager:PutResourcePolicy",
                "lambda:RemoveLayerVersionPermission",
                "lambda:AddPermission",
                "s3:BypassGovernanceRetention",
                "s3:DeleteBucketPolicy",
                "s3:PutObjectAcl",
                "lambda:DisableReplication",
                "lambda:RemovePermission",
                "s3:PutAccessPointPolicy",
                "s3:PutAccessPointPolicyForObjectLambda",
                "secretsmanager:DeleteResourcePolicy",
                "lambda:EnableReplication",
                "lambda:AddLayerVersionPermission",
                "s3:PutBucketPublicAccessBlock",
                "s3:ObjectOwnerOverrideToBucketOwner",
                "secretsmanager:ValidateResourcePolicy",
                "s3:DeleteAccessPointPolicy",
                "s3:PutMultiRegionAccessPointPolicy",
                "s3:DeleteAccessPointPolicyForObjectLambda",
                "s3:PutBucketAcl",
                "s3:PutBucketPolicy",
                "s3:PutObjectVersionAcl"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "lambda",
                "s3",
                "secretsmanager"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "secretsmanager:PutResourcePolicy",
                "s3:DeleteBucketWebsite",
                "s3:DeleteObjectTagging",
                "lambda:RemoveLayerVersionPermission",
                "s3:PutInventoryConfiguration",
                "s3:PutReplicationConfiguration",
                "s3:PutBucketOwnershipControls",
                "lambda:DeleteFunction",
                "lambda:AddPermission",
                "lambda:UpdateFunctionConfiguration",
                "s3:PutLifecycleConfiguration",
                "s3:BypassGovernanceRetention",
                "s3:PutBucketCORS",
                "s3:DeleteBucketPolicy",
                "s3:DeleteStorageLensConfiguration",
                "lambda:DeleteFunctionConcurrency",
                "s3:PutBucketVersioning",
                "s3:CreateAccessPointForObjectLambda",
                "lambda:DeleteEventSourceMapping",
                "lambda:PutProvisionedConcurrencyConfig",
                "secretsmanager:UpdateSecretVersionStage",
                "lambda:UpdateCodeSigningConfig",
                "s3:DeleteBucket",
                "secretsmanager:RotateSecret",
                "s3:PutObjectVersionTagging",
                "s3:PutAccelerateConfiguration",
                "s3:ReplicateObject",
                "s3:DeleteObjectVersion",
                "secretsmanager:CancelRotateSecret",
                "s3:PutObjectAcl",
                "secretsmanager:DeleteSecret",
                "secretsmanager:StopReplicationToReplica",
                "lambda:DisableReplication",
                "lambda:UpdateFunctionEventInvokeConfig",
                "lambda:RemovePermission",
                "s3:PutAnalyticsConfiguration",
                "s3:PutMetricsConfiguration",
                "s3:PutAccessPointPolicy",
                "s3:PutBucketRequestPayment",
                "lambda:TagResource",
                "s3:PutAccessPointPolicyForObjectLambda",
                "secretsmanager:DeleteResourcePolicy",
                "s3:PutBucketLogging",
                "s3:RestoreObject",
                "lambda:InvokeAsync",
                "secretsmanager:RemoveRegionsFromReplication",
                "s3:DeleteMultiRegionAccessPoint",
                "lambda:UntagResource",
                "lambda:DeleteCodeSigningConfig",
                "s3:DeleteAccessPointForObjectLambda",
                "lambda:EnableReplication",
                "s3:ReplicateDelete",
                "secretsmanager:GetSecretValue",
                "s3:DeleteObjectVersionTagging",
                "s3:UpdateJobPriority",
                "s3:PutEncryptionConfiguration",
                "lambda:AddLayerVersionPermission",
                "s3:PutIntelligentTieringConfiguration",
                "s3:PutObjectTagging",
                "s3:PutObjectLegalHold",
                "lambda:DeleteAlias",
                "lambda:DeleteFunctionEventInvokeConfig",
                "s3:PutBucketPublicAccessBlock",
                "lambda:PutFunctionCodeSigningConfig",
                "lambda:PublishLayerVersion",
                "s3:PutStorageLensConfigurationTagging",
                "s3:CreateBucket",
                "s3:ObjectOwnerOverrideToBucketOwner",
                "lambda:CreateFunction",
                "lambda:InvokeFunction",
                "s3:DeleteObject",
                "secretsmanager:ReplicateSecretToRegions",
                "s3:AbortMultipartUpload",
                "s3:DeleteJobTagging",
                "secretsmanager:PutSecretValue",
                "lambda:PutFunctionEventInvokeConfig",
                "secretsmanager:ValidateResourcePolicy",
                "s3:DeleteAccessPointPolicy",
                "s3:DeleteBucketOwnershipControls",
                "secretsmanager:TagResource",
                "lambda:CreateCodeSigningConfig",
                "s3:PutAccessPointConfigurationForObjectLambda",
                "s3:ReplicateTags",
                "s3:PutObjectRetention",
                "lambda:UpdateFunctionCodeSigningConfig",
                "s3:PutBucketNotification",
                "secretsmanager:CreateSecret",
                "s3:PutJobTagging",
                "lambda:CreateAlias",
                "lambda:DeleteProvisionedConcurrencyConfig",
                "s3:PutMultiRegionAccessPointPolicy",
                "s3:UpdateJobStatus",
                "s3:DeleteAccessPointPolicyForObjectLambda",
                "lambda:DeleteLayerVersion",
                "s3:CreateAccessPoint",
                "s3:PutBucketObjectLockConfiguration",
                "s3:PutBucketTagging",
                "s3:PutBucketAcl",
                "lambda:UpdateEventSourceMapping",
                "s3:PutBucketPolicy",
                "lambda:DeleteFunctionCodeSigningConfig",
                "secretsmanager:RestoreSecret",
                "s3:DeleteStorageLensConfigurationTagging",
                "lambda:UpdateAlias",
                "s3:PutBucketWebsite",
                "secretsmanager:UntagResource",
                "s3:CreateMultiRegionAccessPoint",
                "s3:PutObjectVersionAcl",
                "lambda:PutFunctionConcurrency",
                "s3:PutObject",
                "s3:DeleteAccessPoint",
                "s3:GetObject",
                "lambda:PublishVersion",
                "lambda:UpdateFunctionCode",
                "secretsmanager:UpdateSecret"
            ]
},
            "is_excluded": false
        }
    },
    "inline_policies": {
        "ffd2b5250e18691dbd9f0fb8b36640ec574867835837f17d39f859c3193fb3f2": {
            "PolicyName": "InlinePolicyForAdminGroup",
            "PolicyId": "ffd2b5250e18691dbd9f0fb8b36640ec574867835837f17d39f859c3193fb3f2",
            "PolicyDocument": {
                "Version": "2012-10-17",
                "Statement": [
                    {
                        "Sid": "VisualEditor0",
                        "Effect": "Allow",
                        "Action": [
                            "s3:*"
                        ],
                        "Resource": "*"
                    }
                ]
            },
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": [
                "s3:GetObject"
            ]
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "s3:BypassGovernanceRetention",
                "s3:DeleteBucketPolicy",
                "s3:PutObjectAcl",
                "s3:PutAccessPointPolicy",
                "s3:PutAccessPointPolicyForObjectLambda",
                "s3:PutBucketPublicAccessBlock",
                "s3:ObjectOwnerOverrideToBucketOwner",
                "s3:DeleteAccessPointPolicy",
                "s3:PutMultiRegionAccessPointPolicy",
                "s3:DeleteAccessPointPolicyForObjectLambda",
                "s3:PutBucketAcl",
                "s3:PutBucketPolicy",
                "s3:PutObjectVersionAcl"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": [
                "s3"
            ]
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "s3:DeleteBucketWebsite",
                "s3:PutObjectAcl",
                "s3:DeleteObjectTagging",
                "s3:PutIntelligentTieringConfiguration",
                "s3:PutObjectTagging",
                "s3:PutObjectLegalHold",
                "s3:PutMultiRegionAccessPointPolicy",
                "s3:PutBucketPublicAccessBlock",
                "s3:PutInventoryConfiguration",
                "s3:PutReplicationConfiguration",
                "s3:PutBucketOwnershipControls",
                "s3:UpdateJobStatus",
                "s3:DeleteAccessPointPolicyForObjectLambda",
                "s3:PutJobTagging",
                "s3:CreateAccessPoint",
                "s3:PutBucketObjectLockConfiguration",
                "s3:PutBucketTagging",
                "s3:PutBucketAcl",
                "s3:PutAnalyticsConfiguration",
                "s3:PutMetricsConfiguration",
                "s3:PutAccessPointPolicy",
                "s3:PutStorageLensConfigurationTagging",
                "s3:CreateBucket",
                "s3:ObjectOwnerOverrideToBucketOwner",
                "s3:PutBucketPolicy",
                "s3:PutBucketRequestPayment",
                "s3:DeleteObject",
                "s3:DeleteJobTagging",
                "s3:AbortMultipartUpload",
                "s3:PutAccessPointPolicyForObjectLambda",
                "s3:PutLifecycleConfiguration",
                "s3:PutBucketLogging",
                "s3:BypassGovernanceRetention",
                "s3:DeleteStorageLensConfigurationTagging",
                "s3:RestoreObject",
                "s3:DeleteAccessPointPolicy",
                "s3:PutBucketCORS",
                "s3:DeleteBucketPolicy",
                "s3:DeleteStorageLensConfiguration",
                "s3:PutBucketVersioning",
                "s3:DeleteBucketOwnershipControls",
                "s3:CreateAccessPointForObjectLambda",
                "s3:PutAccessPointConfigurationForObjectLambda",
                "s3:PutBucketWebsite",
                "s3:DeleteMultiRegionAccessPoint",
                "s3:PutObjectRetention",
                "s3:CreateMultiRegionAccessPoint",
                "s3:DeleteAccessPointForObjectLambda",
                "s3:PutObjectVersionAcl",
                "s3:ReplicateTags",
                "s3:PutObject",
                "s3:ReplicateDelete",
                "s3:DeleteBucket",
                "s3:DeleteAccessPoint",
                "s3:PutBucketNotification",
                "s3:PutObjectVersionTagging",
                "s3:DeleteObjectVersionTagging",
                "s3:GetObject",
                "s3:PutAccelerateConfiguration",
                "s3:UpdateJobPriority",
                "s3:ReplicateObject",
                "s3:DeleteObjectVersion",
                "s3:PutEncryptionConfiguration"
            ]
},
            "is_excluded": false
        },
        "e8bca32ff7d1f7990d71c64d95a04b7caa5aad5791f06f69db59653228c6853d": {
            "PolicyName": "InlinePolicyForBidenGroup",
            "PolicyId": "e8bca32ff7d1f7990d71c64d95a04b7caa5aad5791f06f69db59653228c6853d",
            "PolicyDocument": {
                "Version": "2012-10-17",
                "Statement": [
                    {
                        "Sid": "VisualEditor0",
                        "Effect": "Allow",
                        "Action": [
                            "s3:GetObject",
                            "s3:PutObjectAcl"
                        ],
                        "Resource": "*"
                    }
                ]
            },
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": [
                "s3:GetObject"
            ]
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "s3:PutObjectAcl"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "s3:GetObject",
                "s3:PutObjectAcl"
            ]
},
            "is_excluded": false
        },
        "0568550cb147d2434f6c04641e921f18fe1b7b1fd0b5af5acf514d33d204faca": {
            "PolicyName": "MyOtherRolePolicy",
            "PolicyId": "0568550cb147d2434f6c04641e921f18fe1b7b1fd0b5af5acf514d33d204faca",
            "PolicyDocument": {
                "Version": "2012-10-17",
                "Statement": [
                    {
                        "Sid": "VisualEditor0",
                        "Effect": "Allow",
                        "Action": [
                            "iam:CreateInstanceProfile",
                            "iam:ListInstanceProfilesForRole",
                            "iam:PassRole",
                            "ec2:DescribeIamInstanceProfileAssociations",
                            "iam:GetInstanceProfile",
                            "ec2:DisassociateIamInstanceProfile",
                            "ec2:AssociateIamInstanceProfile",
                            "iam:AddRoleToInstanceProfile"
                        ],
                        "Resource": "*"
                    }
                ]
            },
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": []
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "iam:AddRoleToInstanceProfile",
                "iam:PassRole",
                "iam:CreateInstanceProfile"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "iam:AddRoleToInstanceProfile",
                "ec2:AssociateIamInstanceProfile",
                "iam:PassRole",
                "iam:CreateInstanceProfile",
                "ec2:DisassociateIamInstanceProfile"
            ]
},
            "is_excluded": false
        },
        "d09fe3603cd65058b6e2d9817cf37093e83e98318a56ce1e29c8491ac989e57e": {
            "PolicyName": "OverprivilegedEC2",
            "PolicyId": "d09fe3603cd65058b6e2d9817cf37093e83e98318a56ce1e29c8491ac989e57e",
            "PolicyDocument": {
                "Version": "2012-10-17",
                "Statement": [
                    {
                        "Sid": "VisualEditor0",
                        "Effect": "Allow",
                        "Action": [
                            "secretsmanager:GetSecretValue",
                            "s3:GetObject",
                            "iam:CreateAccessKey"
                        ],
                        "Resource": "*"
                    }
                ]
            },
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [
                {
                    "type": "CreateAccessKey",
                    "actions": [
                        "iam:createaccesskey"
                    ]
                }
            ],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": [
                "s3:GetObject",
                "secretsmanager:GetSecretValue"
            ]
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "iam:CreateAccessKey"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": [
                "iam:CreateAccessKey"
            ]
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "s3:GetObject",
                "iam:CreateAccessKey",
                "secretsmanager:GetSecretValue"
            ]
},
            "is_excluded": false
        },
        "354d81e1788639707f707738fb4c630cb7c5d23614cc467ff9a469a670049e3f": {
            "PolicyName": "InsecureUserPolicy",
            "PolicyId": "354d81e1788639707f707738fb4c630cb7c5d23614cc467ff9a469a670049e3f",
            "PolicyDocument": {
                "Version": "2012-10-17",
                "Statement": [
                    {
                        "Sid": "VisualEditor0",
                        "Effect": "Allow",
                        "Action": [
                            "s3:PutObject",
                            "s3:PutObjectAcl",
                            "s3:GetObject"
                        ],
                        "Resource": [
                            "*"
                        ]
                    }
                ]
            },
            "PrivilegeEscalation": {
"severity": "high",
"description":  "<p>These policies allow a combination of IAM actions that allow a principal with these permissions to escalate their privileges - for example, by creating an access key for another IAM user, or modifying their own permissions. This research was pioneered by Spencer Gietzen at Rhino Security Labs.  Remediation guidance can be found <a href=\"https://rhinosecuritylabs.com/aws/aws-privilege-escalation-methods-mitigation/\">here</a>.</p>",
"findings": [],
"links":[]
},
            "DataExfiltration": {
"severity": "medium",
"description":  "<div style=\"text-align:left\"><p>Policies with Data Exfiltration potential allow certain read-only IAM actions without resource constraints, such as <code>s3:GetObject</code>, <code>ssm:GetParameter*</code>, or <code>secretsmanager:GetSecretValue</code>. <br> <ul> <li>Unrestricted <code>s3:GetObject</code> permissions has a long history of customer data leaks.</li> <li><code>ssm:GetParameter*</code> and <code>secretsmanager:GetSecretValue</code> are both used to access secrets.</li> <li><code>rds:CopyDBSnapshot</code> and <code>rds:CreateDBSnapshot</code> can be used to exfiltrate RDS database contents.</li> </ul></p></div>",
"findings": [
                "s3:GetObject"
            ]
},
            "ResourceExposure": {
"severity": "high",
"description":  "<p>Resource Exposure actions allow modification of Permissions to <a href=\"https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_identity-vs-resource.html\">resource-based policies</a> or otherwise can expose AWS resources to the public via similar actions that can lead to resource exposure - for example, the ability to modify <a href=\"https://docs.aws.amazon.com/ram/latest/userguide/what-is.html\">AWS Resource Access Manager</a>.</p>",
"findings": [
                "s3:PutObjectAcl"
            ]
},
            "ServiceWildcard": {
"severity": "medium",
"description":  "<p>\"Service Wildcard\" is the unofficial way of referring to IAM policy statements that grant access to ALL actions under a service - like s3:*. Prioritizing the remediation of policies with this characteristic can help to efficiently reduce the total count of issues in the Cloudsplaining report.</p>",
"findings": []
},
            "CredentialsExposure": {
"severity": "high",
"description":  "<p>Credentials Exposure actions return credentials as part of the API response , such as ecr:GetAuthorizationToken, iam:UpdateAccessKey, and others. The full list is maintained here: https://gist.github.com/kmcquade/33860a617e651104d243c324ddf7992a</p>",
"findings": []
},
            "InfrastructureModification": {
"severity": "low",
"description":  "",
"findings": [
                "s3:GetObject",
                "s3:PutObjectAcl",
                "s3:PutObject"
            ]
},
            "is_excluded": false
        }
    },
    "exclusions": {
        "policies": [
            "AWSServiceRoleFor*",
            "*ServiceRolePolicy",
            "*ServiceLinkedRolePolicy",
            "AdministratorAccess",
            "service-role*",
            "aws-service-role*",
            "/service-role*",
            "/aws-service-role*",
            "MyRole"
        ],
        "roles": [
            "service-role*",
            "aws-service-role*"
        ],
        "users": [
            ""
        ],
        "groups": [
            ""
        ],
        "include-actions": [
            "s3:GetObject",
            "ssm:GetParameter",
            "ssm:GetParameters",
            "ssm:GetParametersByPath",
            "secretsmanager:GetSecretValue",
            "rds:CopyDBSnapshot",
            "rds:CreateDBSnapshot"
        ],
        "exclude-actions": [
            ""
        ]
    },
    "links": {
        "lightsail:DeleteContactMethod": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteContactMethod.html",
        "servicecatalog:CreatePortfolioShare": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_CreatePortfolioShare.html",
        "secretsmanager:PutResourcePolicy": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "mgn:UpdateAgentConversionInfoForMgn": "https://docs.aws.amazon.com/mgn/latest/ug/mgn-apis.html",
        "codecommit:UpdatePullRequestDescription": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_UpdatePullRequestDescription.html",
        "s3:DeleteObjectTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteObjectTagging.html",
        "mgn:FinalizeCutover": "https://docs.aws.amazon.com/mgn/latest/APIReference/API_FinalizeCutover.html",
        "monitron:UntagResource": "https://docs.aws.amazon.com/Monitron/latest/admin-guide/tagging.html#modify-tag-1",
        "managedblockchain:UpdateNode": "https://docs.aws.amazon.com/managed-blockchain/latest/APIReference/API_UpdateNode.html",
        "healthlake:UntagResource": "https://docs.aws.amazon.com/healthlake/latest/APIReference/API_UntagResource.html",
        "elasticache:CopySnapshot": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_CopySnapshot.html",
        "wafv2:PutFirewallManagerRuleGroups": "https://docs.aws.amazon.com/waf/latest/APIReference/API_PutFirewallManagerRuleGroups.html",
        "swf:ContinueAsNewWorkflowExecution": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_ContinueAsNewWorkflowExecution.html",
        "ec2:ModifyVpcEndpoint": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyVpcEndpoint.html",
        "chime:CreateChannelModerator": "https://docs.aws.amazon.com/chime/latest/APIReference/API_CreateChannelModerator.html",
        "codebuild:DeleteResourcePolicy": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_DeleteResourcePolicy.html",
        "codedeploy:TagResource": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_TagResource.html",
        "codebuild:CreateReportGroup": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_CreateReportGroup.html",
        "appmesh-preview:CreateVirtualGateway": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_CreateVirtualGateway.html",
        "dynamodb:DeleteItem": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_DeleteItem.html",
        "ec2:ResetFpgaImageAttribute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ResetFpgaImageAttribute.html",
        "elasticfilesystem:ClientWrite": "https://docs.aws.amazon.com/efs/latest/ug/efs-client-authorization.html",
        "elasticfilesystem:CreateTags": "https://docs.aws.amazon.com/efs/latest/ug/API_CreateTags.html",
        "glue:DeleteSchemaVersions": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-schema-registry-api.html#aws-glue-api-schema-registry-api-DeleteSchemaVersions",
        "managedblockchain:UpdateMember": "https://docs.aws.amazon.com/managed-blockchain/latest/APIReference/API_UpdateMember.html",
        "rds:StopActivityStream": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_StopActivityStream.html",
        "iam:DeleteUserPolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteUserPolicy.html",
        "s3-outposts:DeleteEndpoint": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_DeleteEndpoint.html",
        "storagegateway:UpdateAutomaticTapeCreationPolicy": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_UpdateAutomaticTapeCreationPolicy.html",
        "worklink:UpdateIdentityProviderConfiguration": "https://docs.aws.amazon.com/worklink/latest/api/API_UpdateIdentityProviderConfiguration.html",
        "dms:StartReplicationTask": "https://docs.aws.amazon.com/dms/latest/APIReference/API_StartReplicationTask.html",
        "waf-regional:DeleteRule": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DeleteRule.html",
        "opsworks:StopInstance": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_StopInstance.html",
        "aps:UpdateWorkspaceAlias": "https://docs.aws.amazon.com/prometheus/latest/userguide/AMP-APIReference.html#AMP-APIReference-UpdateWorkspaceAlias",
        "grafana:AssociateLicense": "https://docs.aws.amazon.com/grafana/latest/userguide/AMG-and-IAM.html",
        "ec2:RequestSpotInstances": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RequestSpotInstances.html",
        "iotanalytics:CreateDataset": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_CreateDataset.html",
        "ec2:CreateTransitGatewayRouteTable": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateTransitGatewayRouteTable.html",
        "iot:CreateCustomMetric": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateCustomMetric.html",
        "codeartifact:DisassociateExternalConnection": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_DisassociateExternalConnection.html",
        "frauddetector:UpdateModel": "https://docs.aws.amazon.com/frauddetector/latest/api/API_UpdateModel",
        "lambda:AddPermission": "https://docs.aws.amazon.com/lambda/latest/dg/API_AddPermission.html",
        "mq:CreateUser": "https://docs.aws.amazon.com/amazon-mq/latest/api-reference/rest-api-username.html#rest-api-username-methods-post",
        "athena:CreatePreparedStatement": "https://docs.aws.amazon.com/athena/latest/APIReference/API_CreatePreparedStatement.html",
        "deepcomposer:DeleteModel": "https://docs.aws.amazon.com/deepcomposer/latest/devguide/get-started-custom-model.html",
        "proton:UpdateServiceInstance": "https://docs.aws.amazon.com/proton/latest/APIReference/API_UpdateServiceInstance.html",
        "quicksight:RestoreAnalysis": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_RestoreAnalysis.html",
        "rds-data:ExecuteSql": "https://docs.aws.amazon.com/rdsdataservice/latest/APIReference/API_ExecuteSql.html",
        "geo:BatchDeleteDevicePositionHistory": "https://docs.aws.amazon.com/location/latest/developerguide/API_BatchDeleteDevicePositionHistory.html",
        "frauddetector:PutOutcome": "https://docs.aws.amazon.com/frauddetector/latest/api/API_PutOutcome.html",
        "sagemaker:DeletePipeline": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeletePipeline.html",
        "ec2:DetachInternetGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DetachInternetGateway.html",
        "opsworks:TagResource": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_TagResource.html",
        "kendra:StopDataSourceSyncJob": "https://docs.aws.amazon.com/kendra/latest/dg/API_StopDataSourceSyncJob.html",
        "iot1click:UpdateProject": "https://docs.aws.amazon.com/iot-1-click/latest/projects-apireference/API_UpdateProject.html",
        "ssm:UpdateMaintenanceWindowTarget": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_UpdateMaintenanceWindowTarget.html",
        "rds:AuthorizeDBSecurityGroupIngress": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_AuthorizeDBSecurityGroupIngress.html",
        "codecommit:CreatePullRequestApprovalRule": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_CreatePullRequestApprovalRule.html",
        "s3:DeleteStorageLensConfiguration": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_DeleteStorageLensConfiguration.html",
        "devicefarm:StopJob": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_StopJob.html",
        "ec2:CreateSubnet": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateSubnet.html",
        "databrew:UntagResource": "https://docs.aws.amazon.com/databrew/latest/dg/API_UntagResource.html",
        "honeycode:BatchUpdateTableRows": "https://docs.aws.amazon.com/honeycode/latest/UserGuide/API_BatchUpdateTableRows.html",
        "license-manager:DeleteGrant": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_DeleteGrant.html",
        "storagegateway:CreateNFSFileShare": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_CreateNFSFileShare.html",
        "appmesh-preview:CreateVirtualRouter": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_CreateVirtualRouter.html",
        "artifact:AcceptAgreement": "https://docs.aws.amazon.com/artifact/latest/ug/managingagreements.html",
        "lookoutmetrics:DeleteAnomalyDetector": "https://docs.aws.amazon.com/lookoutmetrics/latest/api/API_DeleteAnomalyDetector.html",
        "quicksight:CreateTheme": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CreateTheme.html",
        "gamelift:SuspendGameServerGroup": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_SuspendGameServerGroup.html",
        "rds:ModifyDBSubnetGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyDBSubnetGroup.html",
        "medialive:StartChannel": "https://docs.aws.amazon.com/medialive/latest/ug/starting-stopping-deleting-a-channel.html",
        "config:PutConfigRule": "https://docs.aws.amazon.com/config/latest/APIReference/API_PutConfigRule.html",
        "forecast:UpdateDatasetGroup": "https://docs.aws.amazon.com/forecast/latest/dg/API_UpdateDatasetGroup.html",
        "networkmanager:AssociateCustomerGateway": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_AssociateCustomerGateway.html",
        "iam:TagServerCertificate": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_TagServerCertificate.html",
        "sagemaker:DeleteAssociation": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteAssociation.html",
        "workmail:EnableMailGroups": "https://docs.aws.amazon.com/workmail/latest/adminguide/enable_existing_group.html",
        "ecs:StartTask": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_StartTask.html",
        "iot:AddThingToBillingGroup": "https://docs.aws.amazon.com/iot/latest/apireference/API_AddThingToBillingGroup.html",
        "wellarchitected:TagResource": "https://docs.aws.amazon.com/wellarchitected/latest/APIReference/API_TagResource.html",
        "kinesis:CreateStream": "https://docs.aws.amazon.com/kinesis/latest/APIReference/API_CreateStream.html",
        "connect:DeleteInstance": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "ec2:EnableImageDeprecation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_EnableImageDeprecation.html",
        "quicksight:UpdateThemePermissions": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateThemePermissions.html",
        "ds:CreateLogSubscription": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_CreateLogSubscription.html",
        "iam:UpdateAccessKey": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateAccessKey.html",
        "sagemaker:DeleteMonitoringSchedule": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteMonitoringSchedule.html",
        "workmail:DeleteMobileDevice": "https://docs.aws.amazon.com/workmail/latest/adminguide/manage-devices.html#remove_mobile_device",
        "deeplens:DeleteProject": null,
        "memorydb:DeleteSubnetGroup": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_DeleteSubnetGroup.html",
        "lambda:DisableReplication": null,
        "mobiletargeting:UntagResource": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-tags.html#rest-api-tags-methods-delete",
        "schemas:DeleteRegistry": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-registries-name-registryname.html#DeleteRegistry",
        "codebuild:CreateProject": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_CreateProject.html",
        "ses:UntagResource": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_UntagResource.html",
        "route53resolver:AssociateResolverQueryLogConfig": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_AssociateResolverQueryLogConfig.html",
        "codestar:UpdateTeamMember": "https://docs.aws.amazon.com/codestar/latest/APIReference/API_UpdateTeamMember.html",
        "redshift:CreateHsmConfiguration": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_CreateHsmConfiguration.html",
        "kms:DisableKeyRotation": "https://docs.aws.amazon.com/kms/latest/APIReference/API_DisableKeyRotation.html",
        "appmesh:CreateRoute": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_CreateRoute.html",
        "appconfig:DeleteEnvironment": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_DeleteEnvironment.html",
        "deepracer:UntagResource": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-tagging.html",
        "athena:UpdateWorkGroup": "https://docs.aws.amazon.com/athena/latest/APIReference/API_UpdateWorkGroup.html",
        "workspaces:ModifyClientProperties": "https://docs.aws.amazon.com/workspaces/latest/api/API_ModifyClientProperties.html",
        "sso:UpdatePermissionSet": "{DocHomeURL}singlesignon/latest/APIReference/API_UpdatePermissionSet.html",
        "mgh:AssociateDiscoveredResource": "https://docs.aws.amazon.com/migrationhub/latest/ug/API_AssociateDiscoveredResource.html",
        "chime:DeleteAppInstance": "https://docs.aws.amazon.com/chime/latest/APIReference/API_DeleteAppInstance.html",
        "athena:DeleteNamedQuery": "https://docs.aws.amazon.com/athena/latest/APIReference/API_DeleteNamedQuery.html",
        "ec2:ModifyVpcEndpointServiceConfiguration": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyVpcEndpointServiceConfiguration.html",
        "grafana:UpdatePermissions": "https://docs.aws.amazon.com/grafana/latest/userguide/AMG-and-IAM.html",
        "iot:UpdateAuthorizer": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateAuthorizer.html",
        "redshift:RestoreTableFromClusterSnapshot": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_RestoreTableFromClusterSnapshot.html",
        "ses:DeleteDedicatedIpPool": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_DeleteDedicatedIpPool.html",
        "app-integrations:DeleteDataIntegrationAssociation": "https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_DeleteDataIntegrationAssociation.html",
        "backup:DeleteBackupVaultAccessPolicy": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_DeleteBackupVaultAccessPolicy.html",
        "wellarchitected:UpgradeLensReview": "https://docs.aws.amazon.com/wellarchitected/latest/APIReference/API_UpgradeLensReview.html",
        "elasticfilesystem:UntagResource": "https://docs.aws.amazon.com/efs/latest/ug/API_UntagResource.html",
        "elasticbeanstalk:DisassociateEnvironmentOperationsRole": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_DisassociateEnvironmentOperationsRole.html",
        "cognito-idp:StartUserImportJob": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_StartUserImportJob.html",
        "cloudsearch:CreateDomain": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_CreateDomain.html",
        "ec2:ConfirmProductInstance": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ConfirmProductInstance.html",
        "ec2:ModifyInstanceAttribute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyInstanceAttribute.html",
        "es:ESHttpDelete": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/ac.html#ac-reference",
        "storagegateway:CreateTapes": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_CreateTapes.html",
        "lambda:TagResource": "https://docs.aws.amazon.com/lambda/latest/dg/API_TagResources.html",
        "mgh:DeleteProgressUpdateStream": "https://docs.aws.amazon.com/migrationhub/latest/ug/API_DeleteProgressUpdateStream.html",
        "connect:DeleteIntegrationAssociation": "https://docs.aws.amazon.com/connect/latest/APIReference/API_DeleteIntegrationAssociation.html",
        "amplifybackend:RemoveAllBackends": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-remove.html#RemoveAllBackends",
        "backup:DeleteReportPlan": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_DeleteReportPlan.html",
        "sagemaker:CreateApp": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateApp.html",
        "execute-api:InvalidateCache": "https://docs.aws.amazon.com/apigateway/api-reference/api-gateway-caching.html",
        "iam:DeleteVirtualMFADevice": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteVirtualMFADevice.html",
        "workmail:DeleteOutboundMailFlowRule": "https://docs.aws.amazon.com/workmail/latest/adminguide/remove-email-flow-rule.html",
        "fsx:CreateFileSystem": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_CreateFileSystem.html",
        "appconfig:ValidateConfiguration": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_ValidateConfiguration.html",
        "cloudhsm:RestoreBackup": "https://docs.aws.amazon.com/cloudhsm/latest/APIReference/API_RestoreBackup.html",
        "ec2:DeleteSubnet": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteSubnet.html",
        "servicecatalog:DeleteProduct": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_DeleteProduct.html",
        "ses:DeleteContactList": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_DeleteContactList.html",
        "swf:TerminateWorkflowExecution": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_TerminateWorkflowExecution.html",
        "forecast:CreateDatasetGroup": "https://docs.aws.amazon.com/forecast/latest/dg/API_CreateDatasetGroup.html",
        "appstream:UpdateImagePermissions": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_UpdateImagePermissions.html",
        "workmail:TagResource": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_TagResource.html",
        "connect:AssociateLambdaFunction": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "connect-campaigns:StartCampaign": "https://docs.aws.amazon.com/connect/latest/adminguide/enable-high-volume-outbound-communications.html",
        "medialive:PurchaseOffering": "https://docs.aws.amazon.com/medialive/latest/ug/purchasing-reservations.html",
        "codedeploy:CreateApplication": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_CreateApplication.html",
        "ec2:CreateTrafficMirrorFilter": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateTrafficMirrorFilter.html",
        "signer:TagResource": "https://docs.aws.amazon.com/signer/latest/api/API_TagResource.html",
        "cloudshell:DeleteEnvironment": "https://docs.aws.amazon.com/cloudshell/latest/userguide/sec-auth-with-identities.html#DeleteEnvironment",
        "dms:ApplyPendingMaintenanceAction": "https://docs.aws.amazon.com/dms/latest/APIReference/API_ApplyPendingMaintenanceAction.html",
        "ecr:TagResource": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_TagResource.html",
        "comprehend:CreateEntityRecognizer": "https://docs.aws.amazon.com/comprehend/latest/dg/API_CreateEntityRecognizer.html",
        "appconfig:CreateApplication": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_CreateApplication.html",
        "ses:CreateDedicatedIpPool": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_CreateDedicatedIpPool.html",
        "cognito-idp:UpdateGroup": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_UpdateGroup.html",
        "nimble:DeleteStreamingSession": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-streaming-sessions-sessionid.html",
        "iot:DeleteProvisioningTemplate": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteProvisioningTemplate.html",
        "opsworks:DeregisterInstance": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_DeregisterInstance.html",
        "backup:StartReportJob": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_StartReportJob.html",
        "s3-object-lambda:DeleteObjectVersion": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteObject.html",
        "directconnect:DeleteDirectConnectGateway": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_DeleteDirectConnectGateway.html",
        "storagegateway:DeleteAutomaticTapeCreationPolicy": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_DeleteAutomaticTapeCreationPolicy.html",
        "proton:CancelServiceInstanceDeployment": "https://docs.aws.amazon.com/proton/latest/APIReference/API_CancelServiceInstanceDeployment.html",
        "rds:ModifyOptionGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyOptionGroup.html",
        "ecs:UpdateContainerInstancesState": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_UpdateContainerInstancesState.html",
        "ssm:UpdateMaintenanceWindow": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_UpdateMaintenanceWindow.html",
        "ec2:AcceptVpcPeeringConnection": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AcceptVpcPeeringConnection.html",
        "connect:CreateRoutingProfile": "https://docs.aws.amazon.com/connect/latest/APIReference/API_CreateRoutingProfile.html",
        "elasticfilesystem:ClientRootAccess": "https://docs.aws.amazon.com/efs/latest/ug/efs-client-authorization.html",
        "groundstation:DeleteDataflowEndpointGroup": "https://docs.aws.amazon.com/ground-station/latest/APIReference/API_DeleteDataflowEndpointGroup.html",
        "lightsail:AttachDisk": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_AttachDisk.html",
        "quicksight:DeleteAnalysis": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteAnalysis.html",
        "ec2:ModifyInstanceEventStartTime": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyInstanceEventStartTime.html",
        "app-integrations:CreateEventIntegrationAssociation": "https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_CreateEventIntegrationAssociation.html",
        "kafka-cluster:WriteData": "https://docs.aws.amazon.com/msk/latest/developerguide/iam-access-control.html#actions",
        "cloud9:UntagResource": "https://docs.aws.amazon.com/cloud9/latest/APIReference/API_UntagResource.html",
        "apprunner:CreateAutoScalingConfiguration": "https://docs.aws.amazon.com/apprunner/latest/api/API_CreateAutoScalingConfiguration.html",
        "codepipeline:DeleteCustomActionType": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_DeleteCustomActionType.html",
        "elasticfilesystem:Restore": "https://docs.aws.amazon.com/efs/latest/ug/efs-backup-solutions.html",
        "iot:CreateTopicRuleDestination": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateTopicRuleDestination.html",
        "sagemaker:CreateModel": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateModel.html",
        "ses:DeleteEmailIdentityPolicy": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_DeleteEmailIdentityPolicy.html",
        "es:CancelServiceSoftwareUpdate": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-stopupdate",
        "signer:StartSigningJob": "https://docs.aws.amazon.com/signer/latest/api/API_StartSigningJob.html",
        "ds:AddIpRoutes": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_AddIpRoutes.html",
        "license-manager:UntagResource": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_UntagResource.html",
        "proton:UpdateEnvironment": "https://docs.aws.amazon.com/proton/latest/APIReference/API_UpdateEnvironment.html",
        "lambda:InvokeFunction": "https://docs.aws.amazon.com/lambda/latest/dg/API_Invoke.html",
        "worklink:UntagResource": "https://docs.aws.amazon.com/worklink/latest/api/API_UntagResource.html",
        "kinesis:DeleteStream": "https://docs.aws.amazon.com/kinesis/latest/APIReference/API_DeleteStream.html",
        "qldb:PartiQLCreateIndex": "https://docs.aws.amazon.com/qldb/latest/developerguide/ql-reference.create-index.html",
        "ec2:ModifyManagedPrefixList": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyManagedPrefixList.html",
        "mgn:DeleteSourceServer": "https://docs.aws.amazon.com/mgn/latest/APIReference/API_DeleteSourceServer.html",
        "lightsail:DeleteContainerService": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteContainerService.html",
        "cognito-sync:UnsubscribeFromDataset": "https://docs.aws.amazon.com/cognitosync/latest/APIReference/API_UnsubscribeFromDataset.html",
        "ec2:DisassociateTransitGatewayRouteTable": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisassociateTransitGatewayRouteTable.html",
        "ec2:ReleaseHosts": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ReleaseHosts.html",
        "mgh:ImportMigrationTask": "https://docs.aws.amazon.com/migrationhub/latest/ug/API_ImportMigrationTask.html",
        "codeguru-reviewer:TagResource": "https://docs.aws.amazon.com/codeguru/latest/reviewer-api/API_TagResource.html",
        "panorama:CreateStreams": "https://docs.aws.amazon.com/panorama/latest/dev/API_CreateStreamsList.html",
        "dynamodb:DisableKinesisStreamingDestination": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_DisableKinesisStreamingDestination.html",
        "chime:PutAppInstanceStreamingConfigurations": "https://docs.aws.amazon.com/chime/latest/APIReference/API_PutAppInstanceStreamingConfigurations.html",
        "route53:DeactivateKeySigningKey": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_DeactivateKeySigningKey.html",
        "frauddetector:DeleteVariable": "https://docs.aws.amazon.com/frauddetector/latest/api/API_DeleteVariable",
        "dax:DeleteItem": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_DeleteItem.html",
        "guardduty:TagResource": "https://docs.aws.amazon.com/guardduty/latest/APIReference/API_TagResource.html",
        "iotsitewise:BatchAssociateProjectAssets": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_BatchAssociateProjectAssets.html",
        "s3-outposts:PutObject": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObject.html",
        "ec2:StartInstances": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_StartInstances.html",
        "storagegateway:UpdateSnapshotSchedule": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_UpdateSnapshotSchedule.html",
        "worklink:UpdateDomainMetadata": "https://docs.aws.amazon.com/worklink/latest/api/API_UpdateDomainMetadata.html",
        "connect:SuspendContactRecording": "https://docs.aws.amazon.com/connect/latest/APIReference/API_SuspendContactRecording.html",
        "s3:PutObjectRetention": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectRetention.html",
        "ec2:AssociateTransitGatewayMulticastDomain": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AssociateTransitGatewayMulticastDomain.html",
        "cognito-identity:TagResource": "https://docs.aws.amazon.com/cognitoidentity/latest/APIReference/API_TagResource.html",
        "sagemaker:AssociateTrialComponent": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_AssociateTrialComponent.html",
        "ec2:DeleteTransitGatewayRouteTable": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteTransitGatewayRouteTable.html",
        "iot:DetachPolicy": "https://docs.aws.amazon.com/iot/latest/apireference/API_DetachPolicy.html",
        "schemas:UpdateDiscoverer": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-discoverers-id-discovererid.html#UpdateDiscoverer",
        "glacier:InitiateVaultLock": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-InitiateVaultLock.html",
        "ec2:ImportImage": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ImportImage.html",
        "macie2:CreateCustomDataIdentifier": "https://docs.aws.amazon.com/macie/latest/APIReference/custom-data-identifiers.html",
        "imagebuilder:CreateComponent": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_CreateComponent.html",
        "waf:DeleteSizeConstraintSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_DeleteSizeConstraintSet.html",
        "backup:UpdateBackupPlan": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_UpdateBackupPlan.html",
        "robomaker:UntagResource": "https://docs.aws.amazon.com/robomaker/latest/dg/API_UntagResource.html",
        "lightsail:GetInstanceAccessDetails": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_GetInstanceAccessDetails.html",
        "appsync:UpdateGraphqlApi": "https://docs.aws.amazon.com/appsync/latest/APIReference/API_UpdateGraphqlApi.html",
        "ram:UpdateResourceShare": "https://docs.aws.amazon.com/ram/latest/APIReference/API_UpdateResourceShare.html",
        "databrew:DeleteJob": "https://docs.aws.amazon.com/databrew/latest/dg/API_DeleteJob.html",
        "sqs:RemovePermission": "https://docs.aws.amazon.com/AWSSimpleQueueService/latest/APIReference/API_RemovePermission.html",
        "schemas:DeleteResourcePolicy": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-policy.html#DeleteResourcePolicy",
        "mobiletargeting:UpdateApnsVoipChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-apns-voip-channel.html#rest-api-apns-voip-channel-methods",
        "fms:PutProtocolsList": "https://docs.aws.amazon.com/fms/2018-01-01/APIReference/API_PutProtocolsList.html",
        "worklink:UpdateAuditStreamConfiguration": "https://docs.aws.amazon.com/worklink/latest/api/API_UpdateAuditStreamConfiguration.html",
        "directconnect:AllocateHostedConnection": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_AllocateHostedConnection.html",
        "lex:RecognizeText": "https://docs.aws.amazon.com/lexv2/latest/dg/API_runtime_RecognizeText.html",
        "macie2:CreateClassificationJob": "https://docs.aws.amazon.com/macie/latest/APIReference/jobs.html",
        "sagemaker:DeleteImageVersion": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteImageVersion.html",
        "route53-recovery-readiness:UpdateResourceSet": "https://docs.aws.amazon.com/recovery-readiness/latest/api/resourcesets-resourcesetname.html",
        "medialive:CreateChannel": "https://docs.aws.amazon.com/medialive/latest/ug/creating-channel-scratch.html",
        "appmesh:UpdateRoute": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UpdateRoute.html",
        "profile:DeleteDomain": "https://docs.aws.amazon.com/customerprofiles/latest/APIReference/API_DeleteDomain.html",
        "directconnect:CreateDirectConnectGatewayAssociationProposal": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_CreateDirectConnectGatewayAssociationProposal.html",
        "codeartifact:UpdatePackageVersionsStatus": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_UpdatePackageVersionsStatus.html",
        "guardduty:DeleteDetector": "https://docs.aws.amazon.com/guardduty/latest/APIReference/API_DeleteDetector.html",
        "ses:PutConfigurationSetDeliveryOptions": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_PutConfigurationSetDeliveryOptions.html",
        "iam:CreateGroup": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateGroup.html",
        "ram:TagResource": "https://docs.aws.amazon.com/ram/latest/APIReference/API_TagResource.html",
        "kinesisvideo:PutMedia": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_PutMedia.html",
        "redshift:ModifySnapshotSchedule": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ModifySnapshotSchedule.html",
        "clouddirectory:AddFacetToObject": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_AddFacetToObject.html",
        "workmail:DisassociateDelegateFromResource": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_DisassociateDelegateFromResource.html",
        "dax:PutItem": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_PutItem.html",
        "dataexchange:UpdateAsset": "https://docs.aws.amazon.com/data-exchange/latest/apireference/v1-data-sets-datasetid-revisions-revisionid-assets-assetid.html#UpdateAsset",
        "mediapackage-vod:DeletePackagingGroup": "https://docs.aws.amazon.com/mediapackage-vod/latest/apireference/packaging_groups-id.html#packaging_groups-iddelete",
        "ssm:PutComplianceItems": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_PutComplianceItems.html",
        "autoscaling:CreateAutoScalingGroup": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_CreateAutoScalingGroup.html",
        "sagemaker:DeleteExperiment": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteExperiment.html",
        "quicksight:UpdateAccountCustomization": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateAccountCustomization.html",
        "iotevents:DeleteAlarmModel": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_DeleteAlarmModel.html",
        "kinesisanalytics:UntagResource": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_UntagResource.html",
        "sqlworkbench:UpdateFileFolder": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "memorydb:TagResource": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_TagResource.html",
        "lookoutmetrics:CreateAlert": "https://docs.aws.amazon.com/lookoutmetrics/latest/api/API_CreateAlert.html",
        "personalize:CreateEventTracker": "https://docs.aws.amazon.com/personalize/latest/dg/API_CreateEventTracker.html",
        "waf:DeleteRuleGroup": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_DeleteRuleGroup.html",
        "frauddetector:UpdateRuleMetadata": "https://docs.aws.amazon.com/frauddetector/latest/api/API_UpdateRuleMetadata.html",
        "mobiletargeting:UpdateApnsChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-apns-channel.html#rest-api-apns-channel-methods",
        "transfer:DeleteServer": "https://docs.aws.amazon.com/transfer/latest/userguide/API_DeleteServer.html",
        "auditmanager:UpdateAssessmentStatus": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_UpdateAssessmentStatus.html",
        "a4b:DeleteGatewayGroup": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DeleteGatewayGroup.html",
        "opsworks:RegisterVolume": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_RegisterVolume.html",
        "robomaker:CreateRobotApplicationVersion": "https://docs.aws.amazon.com/robomaker/latest/dg/API_CreateRobotApplicationVersion.html",
        "voiceid:TagResource": "https://docs.aws.amazon.com/voiceid/latest/APIReference/API_TagResource.html",
        "workspaces:DeleteConnectionAlias": "https://docs.aws.amazon.com/workspaces/latest/api/API_DeleteConnectionAlias.html",
        "cloud9:ActivateEC2Remote": "https://docs.aws.amazon.com/cloud9/latest/user-guide/security-iam.html#auth-and-access-control-ref-matrix",
        "ec2:ExportImage": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ExportImage.html",
        "wafv2:UpdateRegexPatternSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_UpdateRegexPatternSet.html",
        "sagemaker:DeleteModelPackageGroup": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteModelPackageGroup.html",
        "swf:CompleteWorkflowExecution": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_CompleteWorkflowExecution.html",
        "cloudsearch:UpdateDomainEndpointOptions": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_UpdateDomainEndpointOptions.html",
        "quicksight:DeleteUser": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteUser.html",
        "waf:CreateWebACL": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_CreateWebACL.html",
        "kinesisvideo:ConnectAsMaster": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_ConnectAsMaster.html",
        "cassandra:Alter": null,
        "proton:UpdateEnvironmentAccountConnection": "https://docs.aws.amazon.com/proton/latest/APIReference/API_UpdateEnvironmentAccountConnection.html",
        "iot:AttachPolicy": "https://docs.aws.amazon.com/iot/latest/apireference/API_AttachPolicy.html",
        "ec2:ModifyInstanceCapacityReservationAttributes": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyInstanceCapacityReservationAttributes.html",
        "s3:CreateMultiRegionAccessPoint": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_CreateMultiRegionAccessPoint.html",
        "mobiletargeting:DeleteEventStream": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-event-stream.html#rest-api-event-stream-methods",
        "lambda:PutFunctionConcurrency": "https://docs.aws.amazon.com/lambda/latest/dg/API_PutFunctionConcurrency.html",
        "ec2:CreateVpcEndpointServiceConfiguration": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateVpcEndpointServiceConfiguration.html",
        "rds:RegisterDBProxyTargets": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_RegisterDBProxyTargets.html",
        "amplify:UpdateDomainAssociation": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "opsworks:CreateApp": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_CreateApp.html",
        "elasticache:CreateCacheCluster": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_CreateCacheCluster.html",
        "iotfleethub:DeleteApplication": null,
        "lookoutequipment:StopInferenceScheduler": "https://docs.aws.amazon.com/lookout-for-equipment/latest/ug/API_StopInferenceScheduler.html",
        "proton:UpdateServiceTemplateMajorVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_UpdateServiceTemplateMajorVersion.html",
        "glue:StartMLEvaluationTaskRun": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-machine-learning-api.html#aws-glue-api-machine-learning-api-StartMLEvaluationTaskRun",
        "mediatailor:UpdateVodSource": "https://docs.aws.amazon.com/mediatailor/latest/apireference/sourcelocation-sourcelocationname-vodsource-vodsourcename.html",
        "waf-regional:DeletePermissionPolicy": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DeletePermissionPolicy.html",
        "acm-pca:DeletePolicy": "https://docs.aws.amazon.com/acm-pca/latest/APIReference/API_DeletePolicy.html",
        "amplifybackend:CreateBackendConfig": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-config.html#CreateBackendConfig",
        "workmail:EnableMailDomain": "https://docs.aws.amazon.com/workmail/latest/adminguide/add_domain.html",
        "s3-outposts:AbortMultipartUpload": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_AbortMultipartUpload.html",
        "appmesh:DeleteVirtualRouter": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_DeleteVirtualRouter.html",
        "frauddetector:DeleteModel": "https://docs.aws.amazon.com/frauddetector/latest/api/API_DeleteModel",
        "fis:InjectApiThrottleError": "https://docs.aws.amazon.com/fis/latest/APIReference/Welcome.html",
        "frauddetector:DeleteBatchPredictionJob": "https://docs.aws.amazon.com/frauddetector/latest/api/API_DeleteBatchPredictionJob",
        "guardduty:UpdatePublishingDestination": "https://docs.aws.amazon.com/guardduty/latest/APIReference/API_UpdatePublishingDestination.html",
        "iot:DeleteBillingGroup": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteBillingGroup.html",
        "ses:CreateContactList": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_CreateContactList.html",
        "autoscaling:SuspendProcesses": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_SuspendProcesses.html",
        "kms:ImportKeyMaterial": "https://docs.aws.amazon.com/kms/latest/APIReference/API_ImportKeyMaterial.html",
        "securityhub:UpdateActionTarget": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_UpdateActionTarget.html",
        "ses:UpdateConfigurationSetEventDestination": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_UpdateConfigurationSetEventDestination.html",
        "ssm:UpdateOpsMetadata": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_UpdateOpsMetadata.html",
        "workmail:DeregisterFromWorkMail": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_DeregisterFromWorkMail.html",
        "ses:DeleteConfigurationSetEventDestination": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_DeleteConfigurationSetEventDestination.html",
        "sqlworkbench:CreateConnection": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "workspaces:CreateWorkspaces": "https://docs.aws.amazon.com/workspaces/latest/api/API_CreateWorkspaces.html",
        "mediapackage:UpdateChannel": "https://docs.aws.amazon.com/mediapackage/latest/apireference/channels-id.html#channels-idput",
        "cognito-idp:AdminLinkProviderForUser": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminLinkProviderForUser.html",
        "ec2:DetachVpnGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DetachVpnGateway.html",
        "cloudsearch:DeleteIndexField": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_DeleteIndexField.html",
        "iotwireless:ResetResourceLogLevel": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_ResetResourceLogLevel.html",
        "quicksight:CreateThemeAlias": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CreateThemeAlias.html",
        "networkmanager:UpdateSite": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_UpdateSite.html",
        "medialive:BatchStart": "https://docs.aws.amazon.com/medialive/latest/ug/starting-stopping-deleting-a-channel.html",
        "storagegateway:ResetCache": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_ResetCache.html",
        "chime:DeleteAppInstanceAdmin": "https://docs.aws.amazon.com/chime/latest/APIReference/API_DeleteAppInstanceAdmin.html",
        "datasync:UntagResource": "https://docs.aws.amazon.com/datasync/latest/userguide/API_UntagResource.html",
        "lightsail:CreateDistribution": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateDistribution.html",
        "lightsail:CreateKeyPair": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateKeyPair.html",
        "autoscaling:UpdateAutoScalingGroup": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_UpdateAutoScalingGroup.html",
        "dataexchange:DeleteDataSet": "https://docs.aws.amazon.com/data-exchange/latest/apireference/v1-data-sets-datasetid.html#DeleteDataSet",
        "dynamodb:PartiQLDelete": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_ExecuteStatement.html",
        "xray:CreateSamplingRule": "https://docs.aws.amazon.com/xray/latest/api/API_CreateSamplingRule.html",
        "waf-regional:PutLoggingConfiguration": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_PutLoggingConfiguration.html",
        "cognito-sync:BulkPublish": "https://docs.aws.amazon.com/cognitosync/latest/APIReference/API_BulkPublish.html",
        "acm-pca:DeletePermission": "https://docs.aws.amazon.com/acm-pca/latest/APIReference/API_DeletePermission.html",
        "schemas:CreateSchema": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-registries-name-registryname-schemas-name-schemaname.html#CreateSchema",
        "medialive:UpdateChannelClass": "https://docs.aws.amazon.com/medialive/latest/ug/editing-deleting-channel.html",
        "redshift:CancelResize": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_CancelResize.html",
        "swf:DeprecateDomain": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_DeprecateDomain.html",
        "sagemaker:CreateModelBiasJobDefinition": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateModelBiasJobDefinition.html",
        "codecommit:DisassociateApprovalRuleTemplateFromRepository": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_DisassociateApprovalRuleTemplateFromRepository.html",
        "s3:PutBucketCORS": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketCors.html",
        "mediatailor:DeleteProgram": "https://docs.aws.amazon.com/mediatailor/latest/apireference/channel-channelname-program-programname.html",
        "network-firewall:UntagResource": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_UntagResource.html",
        "s3:PutBucketVersioning": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketVersioning.html",
        "route53:CreateQueryLoggingConfig": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_CreateQueryLoggingConfig.html",
        "lightsail:DeleteContainerImage": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteContainerImage.html",
        "cognito-idp:AdminUpdateUserAttributes": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminUpdateUserAttributes.html",
        "chime:TagMeeting": "https://docs.aws.amazon.com/chime/latest/APIReference/API_TagMeeting.html",
        "iot:ConfirmTopicRuleDestination": "https://docs.aws.amazon.com/iot/latest/apireference/API_ConfirmTopicRuleDestination.html",
        "codedeploy:UntagResource": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_UntagResource.html",
        "ec2:RejectVpcPeeringConnection": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RejectVpcPeeringConnection.html",
        "autoscaling:DetachLoadBalancers": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_DetachLoadBalancers.html",
        "execute-api:Invoke": "https://docs.aws.amazon.com/apigateway/api-reference/how-to-call-api.html",
        "gamelift:StartGameSessionPlacement": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_StartGameSessionPlacement.html",
        "route53resolver:UpdateFirewallRule": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_UpdateFirewallRule.html",
        "sagemaker:UpdateNotebookInstance": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateNotebookInstance.html",
        "ds:DeregisterEventTopic": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_DeregisterEventTopic.html",
        "route53:EnableHostedZoneDNSSEC": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_EnableHostedZoneDNSSEC.html",
        "sagemaker:CreateAlgorithm": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateAlgorithm.html",
        "iam:UntagPolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UntagPolicy.html",
        "s3:PutAccelerateConfiguration": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketAccelerateConfiguration.html",
        "sdb:BatchPutAttributes": "https://docs.aws.amazon.com/AmazonSimpleDB/latest/DeveloperGuide/API_BatchPutAttributes.html",
        "directconnect:AllocatePublicVirtualInterface": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_AllocatePublicVirtualInterface.html",
        "s3:DeleteObjectVersion": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteObject.html",
        "codebuild:BatchPutCodeCoverages": "https://docs.aws.amazon.com/codebuild/latest/userguide/auth-and-access-control-iam-identity-based-access-control.html#console-policies",
        "elasticache:AuthorizeCacheSecurityGroupIngress": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_AuthorizeCacheSecurityGroupIngress.html",
        "forecast:DeleteForecastExportJob": "https://docs.aws.amazon.com/forecast/latest/dg/API_DeleteForecastExportJob.html",
        "imagebuilder:DeleteImageRecipe": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_DeleteImageRecipe.html",
        "securityhub:EnableImportFindingsForProduct": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_EnableImportFindingsForProduct.html",
        "waf:DeleteSqlInjectionMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_DeleteSqlInjectionMatchSet.html",
        "secretsmanager:CancelRotateSecret": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "kms:Decrypt": "https://docs.aws.amazon.com/kms/latest/APIReference/API_Decrypt.html",
        "memorydb:UntagResource": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_UntagResource.html",
        "lightsail:AttachLoadBalancerTlsCertificate": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_AttachLoadBalancerTlsCertificate.html",
        "iotanalytics:CreateDatasetContent": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_CreateDatasetContent.html",
        "autoscaling:DeletePolicy": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_DeletePolicy.html",
        "resource-groups:UpdateGroupQuery": "https://docs.aws.amazon.com/ARG/latest/APIReference/API_UpdateGroupQuery.html",
        "opsworks:RegisterElasticIp": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_RegisterElasticIp.html",
        "redshift:CreateHsmClientCertificate": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_CreateHsmClientCertificate.html",
        "cloudwatch:DeleteAlarms": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_DeleteAlarms.html",
        "dynamodb:CreateTable": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_CreateTable.html",
        "ec2:CreateTransitGatewayConnectPeer": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateTransitGatewayConnectPeer.html",
        "codepipeline:UntagResource": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_UntagResource.html",
        "iotsitewise:DeleteAssetModel": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_DeleteAssetModel.html",
        "quicksight:UpdateDataSet": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateDataSet.html",
        "sagemaker:DeleteUserProfile": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteUserProfile.html",
        "ec2:StartVpcEndpointServicePrivateDnsVerification": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_StartVpcEndpointServicePrivateDnsVerification.html",
        "route53-recovery-control-config:CreateSafetyRule": "https://docs.aws.amazon.com/recovery-cluster/latest/api/safetyrule.html",
        "cognito-idp:SetUICustomization": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_SetUICustomization.html",
        "connect:AssociateInstanceStorageConfig": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "ec2:CreateTransitGatewayPrefixListReference": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateTransitGatewayPrefixListReference.html",
        "elastictranscoder:CreatePreset": "https://docs.aws.amazon.com/elastictranscoder/latest/developerguide/create-preset.html",
        "codestar:PutExtendedAccess": null,
        "iot:UpdateScheduledAudit": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateScheduledAudit.html",
        "amplifybackend:ImportBackendAuth": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-auth-backendenvironmentname.html#ImportBackendAuth",
        "glacier:InitiateJob": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-initiate-job-post.html",
        "route53-recovery-readiness:CreateCell": "https://docs.aws.amazon.com/recovery-readiness/latest/api/cells.html",
        "fsx:CreateVolumeFromBackup": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_CreateVolumeFromBackup.html",
        "gamelift:DeregisterGameServer": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_DeregisterGameServer.html",
        "comprehend:StartDominantLanguageDetectionJob": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StartDominantLanguageDetectionJob.html",
        "wisdom:CreateSession": "https://docs.aws.amazon.com/wisdom/latest/APIReference/API_CreateSession.html",
        "kinesisvideo:TagResource": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_TagResource.html",
        "elemental-appliances-software:UpdateQuote": "https://docs.aws.amazon.com/elemental-appliances-software",
        "airflow:UpdateEnvironment": "https://docs.aws.amazon.com/mwaa/latest/userguide/mwaa-actions-resources.html",
        "sagemaker:CreateAppImageConfig": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateAppImageConfig.html",
        "batch:DeleteComputeEnvironment": "https://docs.aws.amazon.com/batch/latest/APIReference/API_DeleteComputeEnvironment.html",
        "amplify:CreateBranch": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "ec2:AssociateClientVpnTargetNetwork": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AssociateClientVpnTargetNetwork.html",
        "forecast:CreateDatasetImportJob": "https://docs.aws.amazon.com/forecast/latest/dg/API_CreateDatasetImportJob.html",
        "secretsmanager:DeleteResourcePolicy": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "ecr:PutImage": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_PutImage.html",
        "kendra:DeleteQuerySuggestionsBlockList": "https://docs.aws.amazon.com/kendra/latest/dg/API_DeleteQuerySuggestionsBlockList.html",
        "connect:UpdateQueueHoursOfOperation": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateQueueHoursOfOperation.html",
        "rds:DeleteDBProxy": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeleteDBProxy.html",
        "robomaker:TagResource": "https://docs.aws.amazon.com/robomaker/latest/dg/API_TagResource.html",
        "airflow:UntagResource": "https://docs.aws.amazon.com/mwaa/latest/userguide/mwaa-actions-resources.html",
        "devicefarm:StopRemoteAccessSession": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_StopRemoteAccessSession.html",
        "codecommit:MergePullRequestBySquash": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_MergePullRequestBySquash.html",
        "iot:CreateThingType": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateThingType.html",
        "servicecatalog:UpdateAttributeGroup": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_app-registry_UpdateAttributeGroup.html",
        "states:CreateStateMachine": "https://docs.aws.amazon.com/step-functions/latest/apireference/API_CreateStateMachine.html",
        "connect:CreateUseCase": "https://docs.aws.amazon.com/connect/latest/APIReference/API_CreateUseCase.html",
        "fis:StartExperiment": "https://docs.aws.amazon.com/fis/latest/APIReference/API_StartExperiment.html",
        "route53:DeleteTrafficPolicy": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_DeleteTrafficPolicy.html",
        "ec2:CreateLocalGatewayRouteTableVpcAssociation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateLocalGatewayRouteTableVpcAssociation.html",
        "access-analyzer:UntagResource": "https://docs.aws.amazon.com/access-analyzer/latest/APIReference/API_UntagResource.html",
        "iot:UntagResource": "https://docs.aws.amazon.com/iot/latest/apireference/API_UntagResource.html",
        "quicksight:UpdateAnalysisPermissions": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateAnalysisPermissions.html",
        "ecr:PutImageTagMutability": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_PutImageTagMutability.html",
        "medialive:BatchStop": "https://docs.aws.amazon.com/medialive/latest/ug/starting-stopping-deleting-a-channel.html",
        "ssm:UpdatePatchBaseline": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_UpdatePatchBaseline.html",
        "autoscaling:BatchDeleteScheduledAction": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_BatchDeleteScheduledAction.html",
        "globalaccelerator:DeleteAccelerator": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_DeleteAccelerator.html",
        "backup:DisassociateRecoveryPoint": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_DisassociateRecoveryPoint.html",
        "glacier:UploadMultipartPart": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-upload-part.html",
        "s3:PutEncryptionConfiguration": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketEncryption.html",
        "route53:DeleteTrafficPolicyInstance": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_DeleteTrafficPolicyInstance.html",
        "serverlessrepo:DeleteApplication": null,
        "transfer:DeleteUser": "https://docs.aws.amazon.com/transfer/latest/userguide/API_DeleteUser.html",
        "sqs:DeleteMessage": "https://docs.aws.amazon.com/AWSSimpleQueueService/latest/APIReference/API_DeleteMessage.html",
        "securityhub:DisassociateFromAdministratorAccount": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_DisassociateFromAdministratorAccount.html",
        "worklink:DisassociateWebsiteCertificateAuthority": "https://docs.aws.amazon.com/worklink/latest/api/API_DisassociateWebsiteCertificateAuthority.html",
        "iot:UpdateDomainConfiguration": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateDomainConfiguration.html",
        "appconfig:UpdateDeploymentStrategy": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_UpdateDeploymentStrategy.html",
        "chime:ListChannelMessages": "https://docs.aws.amazon.com/chime/latest/APIReference/API_ListChannelMessages.html",
        "iot:Connect": "https://docs.aws.amazon.com/iot/latest/developerguide/policy-actions.html",
        "memorydb:CopySnapshot": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_CopySnapshot.html",
        "auditmanager:DisassociateAssessmentReportEvidenceFolder": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_DisassociateAssessmentReportEvidenceFolder.html",
        "elasticloadbalancing:ModifyTargetGroup": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_ModifyTargetGroup.html",
        "lightsail:DetachInstancesFromLoadBalancer": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DetachInstancesFromLoadBalancer.html",
        "kinesis:SplitShard": "https://docs.aws.amazon.com/kinesis/latest/APIReference/API_SplitShard.html",
        "resource-groups:UngroupResources": "https://docs.aws.amazon.com/ARG/latest/APIReference/API_UngroupResources.html",
        "route53resolver:UpdateFirewallConfig": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_UpdateFirewallConfig.html",
        "dataexchange:UpdateRevision": "https://docs.aws.amazon.com/data-exchange/latest/apireference/v1-data-sets-datasetid-revisions-revisionid.html#UpdateRevision",
        "workspaces:CopyWorkspaceImage": "https://docs.aws.amazon.com/workspaces/latest/api/API_CopyWorkspaceImage.html",
        "servicediscovery:DeleteNamespace": "https://docs.aws.amazon.com/cloud-map/latest/api/API_DeleteNamespace.html",
        "workspaces:RegisterWorkspaceDirectory": "https://docs.aws.amazon.com/workspaces/latest/api/API_RegisterWorkspaceDirectory.html",
        "iot:DeletePolicy": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeletePolicy.html",
        "a4b:DeleteUser": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DeleteUser.html",
        "cloud9:UpdateMembershipSettings": "https://docs.aws.amazon.com/cloud9/latest/user-guide/security-iam.html#auth-and-access-control-ref-matrix",
        "nimble:DeleteStudioComponent": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-studio-components-studiocomponentid.html",
        "codebuild:UpdateWebhook": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_UpdateWebhook.html",
        "aps:DeleteAlertManagerSilence": "https://docs.aws.amazon.com/prometheus/latest/userguide/AMP-APIReference.html#AMP-APIReference-DeleteAlertManagerSilence",
        "glue:CreateSchema": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-schema-registry-api.html#aws-glue-api-schema-registry-api-CreateSchema",
        "route53resolver:CreateFirewallDomainList": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_CreateFirewallDomainList.html",
        "autoscaling:AttachInstances": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_AttachInstances.html",
        "route53-recovery-readiness:TagResource": "https://docs.aws.amazon.com/recovery-readiness/latest/api/tags-resource-arn.html",
        "storagegateway:AssignTapePool": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_AssignTapePool.html",
        "devicefarm:UpdateNetworkProfile": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_UpdateNetworkProfile.html",
        "elasticbeanstalk:RebuildEnvironment": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_RebuildEnvironment.html",
        "schemas:DeleteSchema": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-registries-name-registryname-schemas-name-schemaname.html#DeleteSchema",
        "ssm:DeregisterTargetFromMaintenanceWindow": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_DeregisterTargetFromMaintenanceWindow.html",
        "route53-recovery-control-config:CreateControlPanel": "https://docs.aws.amazon.com/recovery-cluster/latest/api/controlpanel.html",
        "codestar-notifications:Unsubscribe": "https://docs.aws.amazon.com/codestar-notifications/latest/APIReference/API_Unsubscribe.html",
        "ssm:ResetServiceSetting": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_ResetServiceSetting.html",
        "iam:CreateInstanceProfile": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateInstanceProfile.html",
        "lightsail:UntagResource": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_UntagResource.html",
        "ssm:UpdateDocumentDefaultVersion": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_UpdateDocumentDefaultVersion.html",
        "forecast:DeleteDatasetGroup": "https://docs.aws.amazon.com/forecast/latest/dg/API_DeleteDatasetGroup.html",
        "ec2:DeregisterTransitGatewayMulticastGroupSources": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeregisterTransitGatewayMulticastGroupSources.html",
        "schemas:CreateRegistry": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-registries-name-registryname.html#CreateRegistry",
        "elasticbeanstalk:UpdateApplicationVersion": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_UpdateApplicationVersion.html",
        "sagemaker:UpdateDeviceFleet": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateDeviceFleet.html",
        "es:AddTags": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-addtags",
        "workmail:DeleteRetentionPolicy": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_DeleteRetentionPolicy.html",
        "iam:DeleteSAMLProvider": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteSAMLProvider.html",
        "network-firewall:UpdateFirewallPolicy": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_UpdateFirewallPolicy.html",
        "qldb:DeleteLedger": "https://docs.aws.amazon.com/qldb/latest/developerguide/API_DeleteLedger.html",
        "sagemaker:CreateFlowDefinition": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateFlowDefinition.html",
        "sagemaker:DeleteModelBiasJobDefinition": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteModelBiasJobDefinition.html",
        "swf:CancelWorkflowExecution": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_CancelWorkflowExecution.html",
        "sagemaker:UpdateCodeRepository": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateCodeRepository.html",
        "workspaces:DeregisterWorkspaceDirectory": "https://docs.aws.amazon.com/workspaces/latest/api/API_DeregisterWorkspaceDirectory.html",
        "sagemaker:CreateExperiment": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateExperiment.html",
        "workmail:SetMailUserDetails": "https://docs.aws.amazon.com/workmail/latest/adminguide/manage-users.html",
        "bugbust:TagResource": "https://docs.aws.amazon.com/codeguru/latest/bugbust-ug/auth-and-access-control-permissions-reference.html",
        "batch:CreateComputeEnvironment": "https://docs.aws.amazon.com/batch/latest/APIReference/API_CreateComputeEnvironment.html",
        "a4b:DisassociateSkillGroupFromRoom": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DisassociateSkillGroupFromRoom.html",
        "rds:ModifyDBSnapshotAttribute": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyDBSnapshotAttribute.html",
        "backup:PutBackupVaultAccessPolicy": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_PutBackupVaultAccessPolicy.html",
        "swf:RespondActivityTaskCanceled": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_RespondActivityTaskCanceled.html",
        "iam:AddUserToGroup": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_AddUserToGroup.html",
        "kinesisanalytics:UpdateApplicationMaintenanceConfiguration": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_UpdateApplicationMaintenanceConfiguration.html",
        "workspaces:DeleteWorkspaceBundle": "https://docs.aws.amazon.com/workspaces/latest/api/API_DeleteWorkspaceBundle.html",
        "ecr-public:BatchDeleteImage": "https://docs.aws.amazon.com/AmazonECRPublic/latest/APIReference/API_BatchDeleteImage.html",
        "ec2:DetachVolume": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DetachVolume.html",
        "honeycode:BatchDeleteTableRows": "https://docs.aws.amazon.com/honeycode/latest/UserGuide/API_BatchDeleteTableRows.html",
        "ssm:SendCommand": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_SendCommand.html",
        "ssm:UpdateDocumentMetadata": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_UpdateDocumentMetadata.html",
        "waf-regional:UpdateWebACL": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_UpdateWebACL.html",
        "rds:PromoteReadReplicaDBCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_PromoteReadReplicaDBCluster.html",
        "ram:DisassociateResourceSharePermission": "https://docs.aws.amazon.com/ram/latest/APIReference/API_DisassociateResourceSharePermission.html",
        "kinesis:DeregisterStreamConsumer": "https://docs.aws.amazon.com/kinesis/latest/APIReference/API_DeregisterStreamConsumer.html",
        "mobiletargeting:UpdateApnsVoipSandboxChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-apns-voip-sandbox-channel.html#rest-api-apns-voip-sandbox-channel-methods",
        "lambda:DeleteLayerVersion": "https://docs.aws.amazon.com/lambda/latest/dg/API_DeleteLayerVersion.html",
        "appmesh:CreateVirtualService": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_CreateVirtualService.html",
        "forecast:CreateForecast": "https://docs.aws.amazon.com/forecast/latest/dg/API_CreateForecast.html",
        "lightsail:CreateRelationalDatabaseSnapshot": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateRelationalDatabaseSnapshot.html",
        "elasticache:CreateCacheSubnetGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_CreateCacheSubnetGroup.html",
        "ec2:CreateTrafficMirrorFilterRule": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateTrafficMirrorFilterRule.html",
        "elasticbeanstalk:DeleteApplication": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_DeleteApplication.html",
        "iot:UpdateStream": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateStream.html",
        "ds:ShareDirectory": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_ShareDirectory.html",
        "lightsail:UpdateBucketBundle": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_UpdateBucketBundle.html",
        "s3-outposts:DeleteObject": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteObject.html",
        "codedeploy:DeleteDeploymentConfig": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_DeleteDeploymentConfig.html",
        "codedeploy:DeregisterOnPremisesInstance": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_DeregisterOnPremisesInstance.html",
        "rekognition:DeleteProjectVersion": "https://docs.aws.amazon.com/rekognition/latest/dg/API_DeleteProjectVersion.html",
        "amplify:DeleteBranch": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "connect:DeleteQuickConnect": "https://docs.aws.amazon.com/connect/latest/APIReference/API_DeleteQuickConnect.html",
        "mq:DeleteTags": "https://docs.aws.amazon.com/amazon-mq/latest/api-reference/rest-api-tags.html#rest-api-tags-methods-delete",
        "cognito-idp:DeleteGroup": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_DeleteGroup.html",
        "directconnect:AcceptDirectConnectGatewayAssociationProposal": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_AcceptDirectConnectGatewayAssociationProposal.html",
        "route53:DisableHostedZoneDNSSEC": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_DisableHostedZoneDNSSEC.html",
        "rekognition:StartProjectVersion": "https://docs.aws.amazon.com/rekognition/latest/dg/API_StartProjectVersion.html",
        "elasticbeanstalk:ComposeEnvironments": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_ComposeEnvironments.html",
        "appstream:Stream": "https://docs.aws.amazon.com/appstream2/latest/developerguide/external-identity-providers-setting-up-saml.html#external-identity-providers-embed-inline-policy-for-IAM-role",
        "connect-campaigns:TagResource": "https://docs.aws.amazon.com/connect/latest/adminguide/enable-high-volume-outbound-communications.html",
        "servicecatalog:UpdateProvisioningArtifact": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_UpdateProvisioningArtifact.html",
        "waf:CreateRegexPatternSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_CreateRegexPatternSet.html",
        "dms:DeleteConnection": "https://docs.aws.amazon.com/dms/latest/APIReference/API_DeleteConnection.html",
        "mediapackage-vod:UntagResource": "https://docs.aws.amazon.com/mediapackage-vod/latest/apireference/tags-resource-arn.html#tags-resource-arndelete",
        "nimble:UntagResource": "https://docs.aws.amazon.com/nimble-studio/latest/api/tags-resourcearn.html",
        "workmail:CancelMailboxExportJob": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_CancelMailboxExportJob.html",
        "cloudwatch:SetAlarmState": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_SetAlarmState.html",
        "mediapackage:DeleteChannel": "https://docs.aws.amazon.com/mediapackage/latest/apireference/channels-id.html#channels-iddelete",
        "iotdeviceadvisor:StopSuiteRun": "https://docs.aws.amazon.com/iot/latest/apireference/API_iotdeviceadvisor_StopSuiteRun.html",
        "kinesisanalytics:TagResource": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_TagResource.html",
        "rds:CopyDBParameterGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CopyDBParameterGroup.html",
        "acm-pca:DeleteCertificateAuthority": "https://docs.aws.amazon.com/acm-pca/latest/APIReference/API_DeleteCertificateAuthority.html",
        "iam:UntagOpenIDConnectProvider": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UntagOpenIDConnectProvider.html",
        "ec2:CopySnapshot": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CopySnapshot.html",
        "iot:CreateProvisioningTemplateVersion": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateProvisioningTemplateVersion.html",
        "quicksight:CreateAnalysis": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CreateAnalysis.html",
        "route53-recovery-cluster:UpdateRoutingControlState": "https://docs.aws.amazon.com/routing-control/latest/APIReference/API_UpdateRoutingControlState.html",
        "amplify:DeleteJob": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "mgh:CreateProgressUpdateStream": "https://docs.aws.amazon.com/migrationhub/latest/ug/API_CreateProgressUpdateStream.html",
        "forecast:CreatePredictor": "https://docs.aws.amazon.com/forecast/latest/dg/API_CreatePredictor.html",
        "mq:UpdateConfiguration": "https://docs.aws.amazon.com/amazon-mq/latest/api-reference/rest-api-configuration.html#rest-api-configuration-methods-put",
        "cognito-idp:AdminDisableProviderForUser": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminDisableProviderForUser.html",
        "ses:DeleteEmailIdentity": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_DeleteEmailIdentity.html",
        "states:UpdateStateMachine": "https://docs.aws.amazon.com/step-functions/latest/apireference/API_UpdateStateMachine.html",
        "events:UntagResource": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_UntagResource.html",
        "lightsail:DeleteDomainEntry": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteDomainEntry.html",
        "codebuild:StopBuild": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_StopBuild.html",
        "redshift:CreateClusterSecurityGroup": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_CreateClusterSecurityGroup.html",
        "ec2:EnableVpcClassicLink": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_EnableVpcClassicLink.html",
        "servicecatalog:DeleteAttributeGroup": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_app-registry_DeleteAttributeGroup.html",
        "iot:UpdateDimension": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateDimension.html",
        "connect:UntagResource": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UntagResource.html",
        "robomaker:UpdateWorldTemplate": "https://docs.aws.amazon.com/robomaker/latest/dg/API_UpdateWorldTemplate.html",
        "personalize:PutUsers": "https://docs.aws.amazon.com/personalize/latest/dg/API_UBS_PutUsers.html",
        "s3-outposts:PutLifecycleConfiguration": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_PutBucketLifecycleConfiguration.html",
        "elasticache:TestFailover": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_TestFailover.html",
        "quicksight:DeleteDataSet": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteDataSet.html",
        "chime:TagAttendee": "https://docs.aws.amazon.com/chime/latest/APIReference/API_TagAttendee.html",
        "lookoutmetrics:PutFeedback": "https://docs.aws.amazon.com/lookoutmetrics/latest/api/API_PutFeedback.html",
        "ds:RestoreFromSnapshot": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_RestoreFromSnapshot.html",
        "lambda:RemoveLayerVersionPermission": "https://docs.aws.amazon.com/lambda/latest/dg/API_RemoveLayerVersionPermission.html",
        "globalaccelerator:UpdateListener": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_UpdateListener.html",
        "s3:PutInventoryConfiguration": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketInventoryConfiguration.html",
        "directconnect:ConfirmConnection": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_ConfirmConnection.html",
        "iot:CreateDynamicThingGroup": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateDynamicThingGroup.html",
        "lookoutequipment:TagResource": "https://docs.aws.amazon.com/lookout-for-equipment/latest/ug/API_TagResource.html",
        "cognito-idp:AdminAddUserToGroup": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminAddUserToGroup.html",
        "workmail:TestInboundMailFlowRules": "https://docs.aws.amazon.com/workmail/latest/adminguide/test-email-flow-rule.html",
        "glue:UpdateDatabase": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-databases.html#aws-glue-api-catalog-databases-UpdateDatabase",
        "eks:UpdateNodegroupConfig": "https://docs.aws.amazon.com/eks/latest/APIReference/API_UpdateNodegroupConfig.html",
        "rds:DeleteDBSnapshot": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeleteDBSnapshot.html",
        "lex:UntagResource": "https://docs.aws.amazon.com/lexv2/latest/dg/API_UntagResource.html",
        "backup:DeleteRecoveryPoint": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_DeleteRecoveryPoint.html",
        "frauddetector:DeleteRule": "https://docs.aws.amazon.com/frauddetector/latest/api/API_DeleteRule",
        "chime:PutAppInstanceRetentionSettings": "https://docs.aws.amazon.com/chime/latest/APIReference/API_PutAppInstanceRetentionSettings.html",
        "cognito-idp:CreateUserImportJob": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_CreateUserImportJob.html",
        "ec2:CancelImportTask": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CancelImportTask.html",
        "iotanalytics:DeleteDataset": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_DeleteDataset.html",
        "kinesis:StopStreamEncryption": "https://docs.aws.amazon.com/kinesis/latest/APIReference/API_StopStreamEncryption.html",
        "quicksight:DeleteAccountCustomization": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteAccountCustomization.html",
        "ec2:DeleteFlowLogs": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteFlowLogs.html",
        "cognito-sync:SetDatasetConfiguration": null,
        "es:CreateOutboundConnection": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-create-outbound-cross-cluster-search-connection",
        "elasticfilesystem:DeleteFileSystemPolicy": "https://docs.aws.amazon.com/efs/latest/ug/API_DeleteFileSystemPolicy.html",
        "iot:Subscribe": "https://docs.aws.amazon.com/iot/latest/developerguide/policy-actions.html",
        "dynamodb:BatchWriteItem": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_BatchWriteItem.html",
        "waf-regional:UpdateSqlInjectionMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_UpdateSqlInjectionMatchSet.html",
        "elasticache:AddTagsToResource": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_AddTagsToResource.html",
        "swf:PollForDecisionTask": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_PollForDecisionTask.html",
        "connect:StopContact": "https://docs.aws.amazon.com/connect/latest/APIReference/API_StopContact.html",
        "comprehend:StopTrainingEntityRecognizer": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StopTrainingEntityRecognizer.html",
        "codeartifact:PutPackageMetadata": "https://docs.aws.amazon.com/codeartifact/latest/userguide/repo-policies.html",
        "ec2:DisableVgwRoutePropagation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisableVgwRoutePropagation.html",
        "macie2:DeleteFindingsFilter": "https://docs.aws.amazon.com/macie/latest/APIReference/findingsfilters-id.html",
        "waf-regional:DeleteByteMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DeleteByteMatchSet.html",
        "autoscaling:SetInstanceHealth": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_SetInstanceHealth.html",
        "s3:PutLifecycleConfiguration": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketLifecycleConfiguration.html",
        "mgn:NotifyAgentAuthenticationForMgn": "https://docs.aws.amazon.com/mgn/latest/ug/mgn-apis.html",
        "waf-regional:AssociateWebACL": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_AssociateWebACL.html",
        "kendra:DeleteDataSource": "https://docs.aws.amazon.com/kendra/latest/dg/API_DeleteDataSource.html",
        "eks:DisassociateIdentityProviderConfig": "https://docs.aws.amazon.com/eks/latest/APIReference/API_DisassociateIdentityProviderConfig.html",
        "route53:DisassociateVPCFromHostedZone": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_DisassociateVPCFromHostedZone.html",
        "events:EnableRule": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_EnableRule.html",
        "codebuild:UpdateProject": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_UpdateProject.html",
        "ec2:CreateVpc": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateVpc.html",
        "iotsitewise:CreateAccessPolicy": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_CreateAccessPolicy.html",
        "imagebuilder:CreateImagePipeline": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_CreateImagePipeline.html",
        "gamelift:DeleteGameServerGroup": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_DeleteGameServerGroup.html",
        "proton:UpdateEnvironmentTemplate": "https://docs.aws.amazon.com/proton/latest/APIReference/API_UpdateEnvironmentTemplate.html",
        "airflow:DeleteEnvironment": "https://docs.aws.amazon.com/mwaa/latest/userguide/mwaa-actions-resources.html",
        "ssm-incidents:CreateTimelineEvent": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_CreateTimelineEvent.html",
        "healthlake:TagResource": "https://docs.aws.amazon.com/healthlake/latest/APIReference/API_TagResource.html",
        "mobiletargeting:DeleteSegment": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-segment.html#rest-api-segment-methods",
        "comprehend:StopKeyPhrasesDetectionJob": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StopKeyPhrasesDetectionJob.html",
        "sso:CreateAccountAssignment": "https://docs.aws.amazon.com/singlesignon/latest/APIReference/API_CreateAccountAssignment.html",
        "ec2:AcceptTransitGatewayVpcAttachment": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AcceptTransitGatewayVpcAttachment.html",
        "redshift:RevokeClusterSecurityGroupIngress": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_RevokeClusterSecurityGroupIngress.html",
        "glue:RemoveSchemaVersionMetadata": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-schema-registry-api.html#aws-glue-api-schema-registry-api-RemoveSchemaVersionMetadata",
        "iotevents:BatchAcknowledgeAlarm": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_iotevents-data_BatchAcknowledgeAlarm.html",
        "quicksight:UpdateTemplateAlias": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateTemplateAlias.html",
        "rds:ModifyGlobalCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyGlobalCluster.html",
        "codeartifact:DeleteRepositoryPermissionsPolicy": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_DeleteRepositoryPermissionsPolicy.html",
        "workmail:DeleteMobileDeviceAccessRule": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_DeleteMobileDeviceAccessRule.html",
        "clouddirectory:DetachPolicy": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_DetachPolicy.html",
        "kms:EnableKeyRotation": "https://docs.aws.amazon.com/kms/latest/APIReference/API_EnableKeyRotation.html",
        "s3:ReplicateObject": "https://docs.aws.amazon.com/AmazonS3/latest/dev/setting-repl-config-perm-overview.html",
        "dms:AddTagsToResource": "https://docs.aws.amazon.com/dms/latest/APIReference/API_AddTagsToResource.html",
        "gamelift:UpdateBuild": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_UpdateBuild.html",
        "workmail:CreateGroup": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_CreateGroup.html",
        "storagegateway:DeleteSnapshotSchedule": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_DeleteSnapshotSchedule.html",
        "glue:BatchCreatePartition": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-partitions.html#aws-glue-api-catalog-partitions-BatchCreatePartition",
        "workmail:CreateOutboundMailFlowRule": "https://docs.aws.amazon.com/workmail/latest/adminguide/create-email-rules.html",
        "cognito-idp:UpdateIdentityProvider": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_UpdateIdentityProvider.html",
        "codeartifact:DeleteDomain": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_DeleteDomain.html",
        "elasticache:PurchaseReservedCacheNodesOffering": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_PurchaseReservedCacheNodesOffering.html",
        "events:StartReplay": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_StartReplay.html",
        "amplify:CreateDeployment": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "glue:CreateDatabase": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-databases.html#aws-glue-api-catalog-databases-CreateDatabase",
        "iot:CreateRoleAlias": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateRoleAlias.html",
        "iotsitewise:DeletePortal": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_DeletePortal.html",
        "iot:UpdateCustomMetric": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateCustomMetric.html",
        "ssm-contacts:SendActivationCode": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_SendActivationCode.html",
        "quicksight:DeleteTemplateAlias": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteTemplateAlias.html",
        "mobiletargeting:UpdateEndpoint": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-endpoint.html#rest-api-endpoint-methods",
        "sagemaker:CreateCompilationJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateCompilationJob.html",
        "quicksight:DeleteDashboard": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteDashboard.html",
        "chime:CreateChannel": "https://docs.aws.amazon.com/chime/latest/APIReference/API_CreateChannel.html",
        "iotwireless:AssociateWirelessGatewayWithCertificate": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_AssociateWirelessGatewayWithCertificate.html",
        "codebuild:DeleteProject": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_DeleteProject.html",
        "deeplens:DeregisterDevice": null,
        "iam:CreateSAMLProvider": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateSAMLProvider.html",
        "kms:SynchronizeMultiRegionKey": "https://docs.aws.amazon.com/kms/latest/developerguide/multi-region-keys-auth.html#multi-region-auth-slr",
        "xray:UntagResource": "https://docs.aws.amazon.com/xray/latest/api/API_UntagResource.html",
        "opsworks:DeleteLayer": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_DeleteLayer.html",
        "ec2:ResetNetworkInterfaceAttribute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ResetNetworkInterfaceAttribute.html",
        "kms:RetireGrant": "https://docs.aws.amazon.com/kms/latest/APIReference/API_RetireGrant.html",
        "athena:TagResource": "https://docs.aws.amazon.com/athena/latest/APIReference/API_TagResource.html",
        "batch:CancelJob": "https://docs.aws.amazon.com/batch/latest/APIReference/API_CancelJob.html",
        "ivs:ImportPlaybackKeyPair": "https://docs.aws.amazon.com/ivs/latest/APIReference/API_ImportPlaybackKeyPair.html",
        "opsworks:UnassignInstance": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_UnassignInstance.html",
        "elasticmapreduce:CreateEditor": "https://docs.aws.amazon.com/emr/latest/ManagementGuide/emr-managed-notebooks-create.html",
        "auditmanager:DeleteAssessment": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_DeleteAssessment.html",
        "mgn:ChangeServerLifeCycleState": "https://docs.aws.amazon.com/mgn/latest/APIReference/API_ChangeServerLifeCycleState.html",
        "sagemaker:DeregisterDevices": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeregisterDevices.html",
        "iotwireless:DisassociateWirelessGatewayFromCertificate": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_DisassociateWirelessGatewayFromCertificate.html",
        "cognito-idp:CreateUserPoolDomain": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_CreateUserPoolDomain.html",
        "sagemaker:StopLabelingJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StopLabelingJob.html",
        "lightsail:SetResourceAccessForBucket": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_SetResourceAccessForBucket.html",
        "memorydb:DeleteSnapshot": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_DeleteSnapshot.html",
        "iotfleethub:UntagResource": "https://docs.aws.amazon.com/iot/latest/APIReference/API_Operations.htmlAPI_UntagResource.html",
        "dynamodb:PartiQLUpdate": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_ExecuteStatement.html",
        "signer:RevokeSignature": "https://docs.aws.amazon.com/signer/latest/api/API_RevokeSignature.html",
        "wisdom:CreateContent": "https://docs.aws.amazon.com/wisdom/latest/APIReference/API_CreateContent.html",
        "comprehend:StartSentimentDetectionJob": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StartSentimentDetectionJob.html",
        "route53resolver:UpdateFirewallDomains": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_UpdateFirewallDomains.html",
        "amplifybackend:DeleteBackendAuth": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-auth-backendenvironmentname-remove.html#DeleteBackendAuth",
        "sagemaker:CreateEndpointConfig": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateEndpointConfig.html",
        "sagemaker:UpdateTrial": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateTrial.html",
        "clouddirectory:AttachObject": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_AttachObject.html",
        "devicefarm:UpdateDeviceInstance": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_UpdateDeviceInstance.html",
        "rekognition:DeleteStreamProcessor": "https://docs.aws.amazon.com/rekognition/latest/dg/API_DeleteStreamProcessor.html",
        "lookoutmetrics:CreateAnomalyDetector": "https://docs.aws.amazon.com/lookoutmetrics/latest/api/API_CreateAnomalyDetector.html",
        "medialive:StartMultiplex": "https://docs.aws.amazon.com/medialive/latest/ug/starting-stopping-a-multiplex.html",
        "opsworks:CloneStack": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_CloneStack.html",
        "globalaccelerator:UpdateAcceleratorAttributes": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_UpdateAcceleratorAttributes.html",
        "cloudfront:CreateDistribution": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_CreateDistribution.html",
        "ec2:CreateVpcEndpointConnectionNotification": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateVpcEndpointConnectionNotification.html",
        "cur:PutReportDefinition": "https://docs.aws.amazon.com/awsaccountbilling/latest/aboutv2/put-report-definition.html",
        "kms:ReEncryptFrom": "https://docs.aws.amazon.com/kms/latest/APIReference/API_ReEncrypt.html",
        "mobiletargeting:UpdateSegment": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-segment.html#rest-api-segment-methods",
        "iotwireless:CreateWirelessGatewayTask": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_CreateWirelessGatewayTask.html",
        "panorama:UpdateAppConfiguration": "https://docs.aws.amazon.com/panorama/latest/dev/API_UpdateAppConfiguration.html",
        "cloud9:CreateEnvironmentMembership": "https://docs.aws.amazon.com/cloud9/latest/APIReference/API_CreateEnvironmentMembership.html",
        "redshift:CreateEventSubscription": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_CreateEventSubscription.html",
        "bugbust:UpdateWorkItemAdmin": "https://docs.aws.amazon.com/codeguru/latest/bugbust-ug/auth-and-access-control-permissions-reference.html",
        "ssm:RegisterTargetWithMaintenanceWindow": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_RegisterTargetWithMaintenanceWindow.html",
        "xray:UpdateGroup": "https://docs.aws.amazon.com/xray/latest/api/API_UpdateGroup.html",
        "ec2:CreateNatGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateNatGateway.html",
        "codepipeline:CreateCustomActionType": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_CreateCustomActionType.html",
        "eks:DeleteFargateProfile": "https://docs.aws.amazon.com/eks/latest/APIReference/API_DeleteFargateProfile.html",
        "lightsail:UpdateDistribution": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_UpdateDistribution.html",
        "waf:PutPermissionPolicy": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_PutPermissionPolicy.html",
        "storagegateway:DeleteBandwidthRateLimit": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_DeleteBandwidthRateLimit.html",
        "ram:AssociateResourceSharePermission": "https://docs.aws.amazon.com/ram/latest/APIReference/API_AssociateResourceSharePermission.html",
        "voiceid:DeleteFraudster": "https://docs.aws.amazon.com/voiceid/latest/APIReference/API_DeleteFraudster.html",
        "iotsitewise:UpdatePortal": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_UpdatePortal.html",
        "cloudsearch:RemoveTags": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_RemoveTags.html",
        "mgn:NotifyAgentDisconnectedForMgn": "https://docs.aws.amazon.com/mgn/latest/ug/mgn-apis.html",
        "storagegateway:SetLocalConsolePassword": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_SetLocalConsolePassword.html",
        "storagegateway:UpdateGatewayInformation": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_UpdateGatewayInformation.html",
        "globalaccelerator:UntagResource": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_UntagResource.html",
        "app-integrations:UpdateDataIntegration": "https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_UpdateDataIntegration.html",
        "lightsail:CreateRelationalDatabaseFromSnapshot": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateRelationalDatabaseFromSnapshot.html",
        "lookoutequipment:StartInferenceScheduler": "https://docs.aws.amazon.com/lookout-for-equipment/latest/ug/API_StartInferenceScheduler.html",
        "elasticfilesystem:CreateMountTarget": "https://docs.aws.amazon.com/efs/latest/ug/API_CreateMountTarget.html",
        "iot:CreateJobTemplate": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateJobTemplate.html",
        "personalize:CreateDataset": "https://docs.aws.amazon.com/personalize/latest/dg/API_CreateDataset.html",
        "mediapackage:ConfigureLogs": "https://docs.aws.amazon.com/mediapackage/latest/apireference/channels-id-configure_logs.html#channels-id-configure_logsput",
        "kendra:PutPrincipalMapping": "https://docs.aws.amazon.com/kendra/latest/dg/API_PutPrincipalMapping.html",
        "route53:DeleteHostedZone": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_DeleteHostedZone.html",
        "ds:AuthorizeApplication": null,
        "ds:DisableRadius": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_DisableRadius.html",
        "ivs:StopStream": "https://docs.aws.amazon.com/ivs/latest/APIReference/API_StopStream.html",
        "sagemaker:StopHumanLoop": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StopHumanLoop.html",
        "storagegateway:UpdateChapCredentials": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_UpdateChapCredentials.html",
        "comprehend:StopTrainingDocumentClassifier": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StopTrainingDocumentClassifier.html",
        "qldb:InsertSampleData": "https://docs.aws.amazon.com/qldb/latest/developerguide/console_QLDB.html",
        "lambda:CreateFunction": "https://docs.aws.amazon.com/lambda/latest/dg/API_CreateFunction.html",
        "workmail:PutMailboxPermissions": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_PutMailboxPermissions.html",
        "dax:UpdateItem": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_UpdateItem.html",
        "amplify:DeleteBackendEnvironment": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "appmesh-preview:UpdateVirtualGateway": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UpdateVirtualGateway.html",
        "events:DeleteApiDestination": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_DeleteApiDestination.html",
        "iot1click:UpdateDeviceState": "https://docs.aws.amazon.com/iot-1-click/1.0/devices-apireference/devices-deviceid-state.html",
        "lookoutequipment:CreateDataset": "https://docs.aws.amazon.com/lookout-for-equipment/latest/ug/API_CreateDataset.html",
        "lightsail:DeleteCertificate": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteCertificate.html",
        "kinesis:AddTagsToStream": "https://docs.aws.amazon.com/kinesis/latest/APIReference/API_AddTagsToStream.html",
        "codeguru-profiler:ConfigureAgent": "https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_ConfigureAgent.html",
        "clouddirectory:CreateTypedLinkFacet": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_CreateTypedLinkFacet.html",
        "elasticbeanstalk:UpdateConfigurationTemplate": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_UpdateConfigurationTemplate.html",
        "medialive:UpdateInputSecurityGroup": "https://docs.aws.amazon.com/medialive/latest/ug/edit-input-security-group.html",
        "dax:RebootNode": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_dax_RebootNode.html",
        "securityhub:DeleteMembers": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_DeleteMembers.html",
        "panorama:TagResource": "https://docs.aws.amazon.com/panorama/latest/dev/API_TagResource.html",
        "servicecatalog:DisassociateAttributeGroup": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_app-registry_DisassociateAttributeGroup.html",
        "wisdom:DeleteAssistant": "https://docs.aws.amazon.com/wisdom/latest/APIReference/API_DeleteAssistant.html",
        "airflow:CreateCliToken": "https://docs.aws.amazon.com/mwaa/latest/userguide/mwaa-actions-resources.html",
        "redshift:CopyClusterSnapshot": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_CopyClusterSnapshot.html",
        "robomaker:DeleteWorldTemplate": "https://docs.aws.amazon.com/robomaker/latest/dg/API_DeleteWorldTemplate.html",
        "storagegateway:DetachVolume": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_DetachVolume.html",
        "ec2:DisassociateIamInstanceProfile": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisassociateIamInstanceProfile.html",
        "globalaccelerator:DeleteListener": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_DeleteListener.html",
        "iot:CreateProvisioningTemplate": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateProvisioningTemplate.html",
        "access-analyzer:CreateAnalyzer": "https://docs.aws.amazon.com/access-analyzer/latest/APIReference/API_CreateAnalyzer.html",
        "events:DeleteEventBus": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_DeletePartnerEventSource",
        "storagegateway:StartAvailabilityMonitorTest": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_StartAvailabilityMonitorTest.html",
        "a4b:AssociateContactWithAddressBook": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_AssociateContactWithAddressBook.html",
        "chime:Connect": "https://docs.aws.amazon.com/chime/latest/APIReference/API_Connect.html",
        "qldb:UpdateLedger": "https://docs.aws.amazon.com/qldb/latest/developerguide/API_UpdateLedger.html",
        "ec2:AssociateEnclaveCertificateIamRole": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AssociateEnclaveCertificateIamRole.html",
        "globalaccelerator:DeleteEndpointGroup": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_DeleteEndpointGroup.html",
        "cognito-sync:SubscribeToDataset": "https://docs.aws.amazon.com/cognitosync/latest/APIReference/API_SubscribeToDataset.html",
        "iam:TagOpenIDConnectProvider": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_TagOpenIDConnectProvider.html",
        "glue:BatchDeleteTable": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-tables.html#aws-glue-api-catalog-tables-BatchDeleteTable",
        "lex:CreateIntent": "https://docs.aws.amazon.com/lexv2/latest/dg/API_CreateIntent.html",
        "iot:CreateBillingGroup": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateBillingGroup.html",
        "route53resolver:PutResolverQueryLogConfigPolicy": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_PutResolverQueryLogConfigPolicy.html",
        "elasticloadbalancing:CreateLoadBalancer": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_CreateLoadBalancer.html",
        "honeycode:StartTableDataImportJob": "https://docs.aws.amazon.com/honeycode/latest/UserGuide/API_StartTableDataImportJob.html",
        "ses:TestRenderEmailTemplate": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_TestRenderEmailTemplate.html",
        "acm:DeleteCertificate": "https://docs.aws.amazon.com/acm/latest/APIReference/API_DeleteCertificate.html",
        "elasticloadbalancing:SetSubnets": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_SetSubnets.html",
        "healthlake:StartFHIRImportJob": "https://docs.aws.amazon.com/healthlake/latest/APIReference/API_StartFHIRImportJob.html",
        "lightsail:CopySnapshot": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CopySnapshot.html",
        "mobiletargeting:DeleteBaiduChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-baidu-channel.html#rest-api-baidu-channel-methods",
        "sagemaker:DeleteWorkteam": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteWorkteam.html",
        "route53resolver:CreateFirewallRule": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_CreateFirewallRule.html",
        "forecast:UntagResource": "https://docs.aws.amazon.com/forecast/latest/dg/API_UntagResource.html",
        "rds:AddRoleToDBInstance": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_AddRoleToDBInstance.html",
        "workspaces:DisassociateIpGroups": "https://docs.aws.amazon.com/workspaces/latest/api/API_DisassociateIpGroups.html",
        "lightsail:OpenInstancePublicPorts": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_OpenInstancePublicPorts.html",
        "globalaccelerator:UpdateCustomRoutingAccelerator": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_UpdateCustomRoutingAccelerator.html",
        "events:DeleteRule": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_DeleteRule.html",
        "mediatailor:StopChannel": "https://docs.aws.amazon.com/mediatailor/latest/apireference/channel-channelname-stop.html",
        "kms:DeleteAlias": "https://docs.aws.amazon.com/kms/latest/APIReference/API_DeleteAlias.html",
        "mediapackage:UntagResource": "https://docs.aws.amazon.com/mediapackage/latest/apireference/tags-resource-arn.html#tags-resource-arndelete",
        "appmesh-preview:UpdateVirtualService": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UpdateVirtualService.html",
        "mobiletargeting:DeleteCampaign": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-campaign.html#rest-api-campaign-methods",
        "sqlworkbench:CreateSavedQuery": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "directconnect:CreatePrivateVirtualInterface": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_CreatePrivateVirtualInterface.html",
        "sqs:CreateQueue": "https://docs.aws.amazon.com/AWSSimpleQueueService/latest/APIReference/API_CreateQueue.html",
        "access-analyzer:UpdateArchiveRule": "https://docs.aws.amazon.com/access-analyzer/latest/APIReference/API_UpdateArchiveRule.html",
        "personalize:CreateSolutionVersion": "https://docs.aws.amazon.com/personalize/latest/dg/API_CreateSolutionVersion.html",
        "sts:AssumeRole": "https://docs.aws.amazon.com/STS/latest/APIReference/API_AssumeRole.html",
        "s3:PutBucketPolicy": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketPolicy.html",
        "cognito-identity:UntagResource": "https://docs.aws.amazon.com/cognitoidentity/latest/APIReference/API_UntagResource.html",
        "workmail:DeleteSmtpGateway": "https://docs.aws.amazon.com/workmail/latest/adminguide/smtp-gateway.html",
        "access-analyzer:StartResourceScan": "https://docs.aws.amazon.com/access-analyzer/latest/APIReference/API_StartResourceScan.html",
        "networkmanager:RegisterTransitGateway": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_RegisterTransitGateway.html",
        "iot:DeleteThing": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteThing.html",
        "servicecatalog:DisassociateServiceActionFromProvisioningArtifact": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_DisassociateServiceActionFromProvisioningArtifact.html",
        "waf:UpdateGeoMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_UpdateGeoMatchSet.html",
        "lightsail:DeleteDisk": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteDisk.html",
        "rds:DeleteEventSubscription": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeleteEventSubscription.html",
        "workmail:DisableMailGroups": "https://docs.aws.amazon.com/workmail/latest/adminguide/remove_group.html",
        "elasticloadbalancing:SetRulePriorities": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_SetRulePriorities.html",
        "sagemaker:UpdateAppImageConfig": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateAppImageConfig.html",
        "rds:StartDBInstanceAutomatedBackupsReplication": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_StartDBInstanceAutomatedBackupsReplication.html",
        "appstream:CreateStreamingURL": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_CreateStreamingURL.html",
        "sagemaker:DeleteArtifact": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteArtifact.html",
        "transfer:UntagResource": "https://docs.aws.amazon.com/transfer/latest/userguide/API_UntagResource.html",
        "connect:DeleteUser": "https://docs.aws.amazon.com/connect/latest/APIReference/API_DeleteUser.html",
        "directconnect:ConfirmPrivateVirtualInterface": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_ConfirmPrivateVirtualInterface.html",
        "clouddirectory:AttachTypedLink": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_AttachTypedLink.html",
        "a4b:DeleteBusinessReportSchedule": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DeleteBusinessReportSchedule.html",
        "imagebuilder:CreateImage": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_CreateImage.html",
        "elasticbeanstalk:UpdateApplicationResourceLifecycle": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_UpdateApplicationResourceLifecycle.html",
        "savingsplans:TagResource": "https://docs.aws.amazon.com/savingsplans/latest/APIReference/API_TagResource.html",
        "chime:UntagResource": "https://docs.aws.amazon.com/chime/latest/APIReference/API_UntagResource.html",
        "redshift:AuthorizeDataShare": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_AuthorizeDataShare.html",
        "elasticfilesystem:DeleteFileSystem": "https://docs.aws.amazon.com/efs/latest/ug/API_DeleteFileSystem.html",
        "elasticache:CreateUser": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_CreateUser.html",
        "sqlworkbench:DeleteConnection": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "fms:TagResource": "https://docs.aws.amazon.com/fms/2018-01-01/APIReference/API_TagResource.html",
        "iotanalytics:BatchPutMessage": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_BatchPutMessage.html",
        "events:DeleteConnection": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_DeleteConnection.html",
        "waf:UpdateRegexMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_UpdateRegexMatchSet.html",
        "gamelift:DeleteScalingPolicy": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_DeleteScalingPolicy.html",
        "connect:UpdateUserIdentityInfo": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateUserIdentityInfo.html",
        "kendra:DeleteIndex": "https://docs.aws.amazon.com/kendra/latest/dg/API_DeleteIndex.html",
        "mobiletargeting:DeleteApnsChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-apns-channel.html#rest-api-apns-channel-methods",
        "opsworks:DeleteStack": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_DeleteStack.html",
        "ec2:EnableVgwRoutePropagation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_EnableVgwRoutePropagation.html",
        "opsworks:GrantAccess": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_RebootInstance.html",
        "proton:UpdateServiceTemplateVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_UpdateServiceTemplateVersion.html",
        "ec2:DisableTransitGatewayRouteTablePropagation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisableTransitGatewayRouteTablePropagation.html",
        "s3:PutReplicationConfiguration": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketReplication.html",
        "ses:CreateContact": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_CreateContact.html",
        "appmesh:DeleteGatewayRoute": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_DeleteGatewayRoute.html",
        "elasticbeanstalk:DeletePlatformVersion": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_DeletePlatformVersion.html",
        "iot:SetDefaultAuthorizer": "https://docs.aws.amazon.com/iot/latest/apireference/API_SetDefaultAuthorizer.html",
        "ecs:PutAttributes": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_PutAttributes.html",
        "iotanalytics:TagResource": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_TagResource.html",
        "rds:ResetDBClusterParameterGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ResetDBClusterParameterGroup.html",
        "ivs:DeleteStreamKey": "https://docs.aws.amazon.com/ivs/latest/APIReference/API_DeleteStreamKey.html",
        "glacier:AddTagsToVault": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-AddTagsToVault.html",
        "kms:GenerateDataKeyPair": "https://docs.aws.amazon.com/kms/latest/APIReference/API_GenerateDataKeyPair.html",
        "dataexchange:PublishDataSet": "https://docs.aws.amazon.com/data-exchange/latest/userguide/api-permissions-ref.html",
        "mobiletargeting:UpdateApnsSandboxChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-apns-sandbox-channel.html#rest-api-apns-sandbox-channel-methods",
        "imagebuilder:CreateContainerRecipe": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_CreateContainerRecipe.html",
        "iot:CreateThing": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateThing.html",
        "ec2:UnassignIpv6Addresses": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_UnassignIpv6Addresses.html",
        "chime:DeleteAppInstanceStreamingConfigurations": "https://docs.aws.amazon.com/chime/latest/APIReference/API_DeleteAppInstanceStreamingConfigurations.html",
        "connect:DisassociateInstanceStorageConfig": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "ec2:CreateStoreImageTask": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateStoreImageTask.html",
        "glue:DeletePartition": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-partitions.html#aws-glue-api-catalog-partitions-DeletePartition",
        "lightsail:DeleteInstanceSnapshot": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteInstanceSnapshot.html",
        "glue:PutResourcePolicy": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-jobs-security.html#aws-glue-api-jobs-security-PutResourcePolicy",
        "medialive:DeleteMultiplexProgram": "https://docs.aws.amazon.com/medialive/latest/ug/delete-multiplex-program.html",
        "resource-groups:Untag": "https://docs.aws.amazon.com/ARG/latest/APIReference/API_Untag.html",
        "personalize:CreateSchema": "https://docs.aws.amazon.com/personalize/latest/dg/API_CreateSchema.html",
        "servicediscovery:CreateService": "https://docs.aws.amazon.com/cloud-map/latest/api/API_CreateService.html",
        "workspaces:ModifyWorkspaceCreationProperties": "https://docs.aws.amazon.com/workspaces/latest/api/API_ModifyWorkspaceCreationProperties.html",
        "medialive:CreateMultiplex": "https://docs.aws.amazon.com/medialive/latest/ug/creating-multiplex.html",
        "fsx:CreateFileSystemFromBackup": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_CreateFileSystemFromBackup.html",
        "memorydb:UpdateSubnetGroup": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_UpdateSubnetGroup.html",
        "a4b:AssociateDeviceWithRoom": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_AssociateDeviceWithRoom.html",
        "proton:AcceptEnvironmentAccountConnection": "https://docs.aws.amazon.com/proton/latest/APIReference/API_AcceptEnvironmentAccountConnection.html",
        "elasticmapreduce:TerminateJobFlows": "https://docs.aws.amazon.com/emr/latest/APIReference/API_TerminateJobFlows.html",
        "s3:BypassGovernanceRetention": "https://docs.aws.amazon.com/AmazonS3/latest/dev/object-lock-managing.html#object-lock-managing-bypass",
        "cur:DeleteReportDefinition": "https://docs.aws.amazon.com/awsaccountbilling/latest/aboutv2/delete-report-definition.html",
        "route53resolver:UpdateResolverEndpoint": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_UpdateResolverEndpoint.html",
        "groundstation:UntagResource": "https://docs.aws.amazon.com/ground-station/latest/APIReference/API_UntagResource.html",
        "mobiletargeting:CreateCampaign": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-campaigns.html#rest-api-campaigns-methods",
        "redshift:DeleteSnapshotCopyGrant": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DeleteSnapshotCopyGrant.html",
        "acm-pca:CreatePermission": "https://docs.aws.amazon.com/acm-pca/latest/APIReference/API_CreatePermission.html",
        "cloudhsm:ModifyCluster": "https://docs.aws.amazon.com/cloudhsm/latest/APIReference/API_ModifyCluster.html",
        "cognito-idp:AdminDeleteUserAttributes": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminDeleteUserAttributes.html",
        "comprehend:StopSentimentDetectionJob": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StopSentimentDetectionJob.html",
        "medialive:DeleteChannel": "https://docs.aws.amazon.com/medialive/latest/ug/editing-deleting-channel.html",
        "elasticache:DeleteCacheCluster": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_DeleteCacheCluster.html",
        "iam:RemoveRoleFromInstanceProfile": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_RemoveRoleFromInstanceProfile.html",
        "quicksight:GenerateEmbedUrlForRegisteredUser": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_GenerateEmbedUrlForRegisteredUser.html",
        "quicksight:UpdateDataSource": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateDataSource.html",
        "ec2:RejectTransitGatewayVpcAttachment": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RejectTransitGatewayVpcAttachment.html",
        "lookoutmetrics:BackTestAnomalyDetector": "https://docs.aws.amazon.com/lookoutmetrics/latest/api/API_BackTestAnomalyDetector.html",
        "redshift:DeleteSnapshotSchedule": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DeleteSnapshotSchedule.html",
        "s3:CreateAccessPointForObjectLambda": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_CreateAccessPointForObjectLambda.html",
        "ec2:ModifyVpcTenancy": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyVpcTenancy.html",
        "autoscaling:DeleteLaunchConfiguration": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_DeleteLaunchConfiguration.html",
        "medialive:DeleteSchedule": "https://docs.aws.amazon.com/medialive/latest/ug/schedule-using-console-delete.html",
        "shield:DeleteProtectionGroup": "https://docs.aws.amazon.com/waf/latest/DDOSAPIReference/API_DeleteProtectionGroup.html",
        "kendra:DeleteThesaurus": "https://docs.aws.amazon.com/kendra/latest/dg/API_DeleteThesaurus.html",
        "opsworks:DeleteInstance": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_DeleteInstance.html",
        "iam:ChangePassword": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_ChangePassword.html",
        "mediatailor:DeleteChannelPolicy": "https://docs.aws.amazon.com/mediatailor/latest/apireference/channel-channelname-policy.html",
        "connect:CreateQuickConnect": "https://docs.aws.amazon.com/connect/latest/APIReference/API_CreateQuickConnect.html",
        "proton:CancelEnvironmentDeployment": "https://docs.aws.amazon.com/proton/latest/APIReference/API_CancelEnvironmentDeployment.html",
        "codecommit:CreateRepository": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_CreateRepository.html",
        "elasticfilesystem:UpdateFileSystem": "https://docs.aws.amazon.com/efs/latest/ug/API_UpdateFileSystem.html",
        "iot:DisableTopicRule": "https://docs.aws.amazon.com/iot/latest/apireference/API_DisableTopicRule.html",
        "deepracer:TagResource": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-tagging.html",
        "clouddirectory:TagResource": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_TagResource.html",
        "proton:UpdateEnvironmentTemplateMajorVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_UpdateEnvironmentTemplateMajorVersion.html",
        "s3-outposts:CreateAccessPoint": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_CreateAccessPoint.html",
        "mgn:UpdateAgentSourcePropertiesForMgn": "https://docs.aws.amazon.com/mgn/latest/ug/mgn-apis.html",
        "s3-object-lambda:DeleteObject": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteObject.html",
        "s3:PutObjectAcl": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectAcl.html",
        "dms:DeleteCertificate": "https://docs.aws.amazon.com/dms/latest/APIReference/API_DeleteCertificate.html",
        "ec2:CreateLaunchTemplate": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateLaunchTemplate.html",
        "swf:FailWorkflowExecution": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_FailWorkflowExecution.html",
        "amplify:StartJob": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "geo:DeleteRouteCalculator": "https://docs.aws.amazon.com/location/latest/developerguide/API_DeleteRouteCalculator.html",
        "swf:PollForActivityTask": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_PollForActivityTask.html",
        "iam:DeletePolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeletePolicy.html",
        "glue:UseMLTransforms": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-machine-learning-api.html",
        "amplify:CreateBackendEnvironment": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "iot1click:UntagResource": "https://docs.aws.amazon.com/iot-1-click/latest/projects-apireference/API_UntagResource.html",
        "cloudhsm:DeleteBackup": "https://docs.aws.amazon.com/cloudhsm/latest/APIReference/API_DeleteBackup.html",
        "elasticloadbalancing:ModifyLoadBalancerAttributes": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_ModifyLoadBalancerAttributes.html",
        "config:DeleteAggregationAuthorization": "https://docs.aws.amazon.com/config/latest/APIReference/API_DeleteAggregationAuthorization.html",
        "eks:UpdateClusterConfig": "https://docs.aws.amazon.com/eks/latest/APIReference/API_UpdateClusterConfig.html",
        "frauddetector:PutDetector": "https://docs.aws.amazon.com/frauddetector/latest/api/API_PutDetector.html",
        "codebuild:StartBuildBatch": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_StartBuildBatch.html",
        "opsworks:DeregisterRdsDbInstance": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_DeregisterRdsDbInstance.html",
        "opsworks:UntagResource": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_UntagResource.html",
        "xray:TagResource": "https://docs.aws.amazon.com/xray/latest/api/API_TagResource.html",
        "groundstation:UpdateConfig": "https://docs.aws.amazon.com/ground-station/latest/APIReference/API_UpdateConfig.html",
        "iot:DeleteCertificate": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteCertificate.html",
        "ec2:CreateFpgaImage": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateFpgaImage.html",
        "cloudwatch:PutCompositeAlarm": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_PutCompositeAlarm.html",
        "directconnect:UpdateVirtualInterfaceAttributes": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_UpdateVirtualInterfaceAttributes.html",
        "finspace:UntagResource": "https://docs.aws.amazon.com/finspace/latest/management-api/API_UntagResource.html",
        "devicefarm:DeleteProject": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_DeleteProject.html",
        "logs:TagLogGroup": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_TagLogGroup.html",
        "mgn:TerminateTargetInstances": "https://docs.aws.amazon.com/mgn/latest/APIReference/API_TerminateTargetInstances.html",
        "ssm-incidents:DeleteResourcePolicy": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_DeleteResourcePolicy.html",
        "iotwireless:DeleteDeviceProfile": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_DeleteDeviceProfile.html",
        "appmesh:UpdateVirtualNode": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UpdateVirtualNode.html",
        "appmesh:UpdateVirtualGateway": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UpdateVirtualGateway.html",
        "timestream:CreateDatabase": "https://docs.aws.amazon.com/Timestream/latest/APIReference/API_CreateDatabase.html",
        "es:CreateDomain": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-createdomain",
        "connect:AssociateBot": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "deepracer:AddLeaderboardAccessPermission": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-manage-community-races.html",
        "ses:UpdateCustomVerificationEmailTemplate": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_UpdateCustomVerificationEmailTemplate.html",
        "workmail:CreateUser": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_CreateUser.html",
        "directconnect:AssociateConnectionWithLag": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_AssociateConnectionWithLag.html",
        "lightsail:UpdateDistributionBundle": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_UpdateDistributionBundle.html",
        "autoscaling:DeleteAutoScalingGroup": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_DeleteAutoScalingGroup.html",
        "iotthingsgraph:DeleteSystemTemplate": "https://docs.aws.amazon.com/thingsgraph/latest/APIReference/{APIReferenceDocPage}API_DeleteSystemTemplate.html",
        "ec2:EnableVpcClassicLinkDnsSupport": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_EnableVpcClassicLinkDnsSupport.html",
        "lex:StartConversation": "https://docs.aws.amazon.com/lexv2/latest/dg/API_runtime_StartConversation.html",
        "ds:UpdateTrust": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_UpdateTrust.html",
        "kinesisanalytics:AddApplicationReferenceDataSource": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_AddApplicationReferenceDataSource.html",
        "app-integrations:TagResource": "https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_TagResource.html",
        "iotdeviceadvisor:TagResource": "https://docs.aws.amazon.com/iot/latest/apireference/API_iotdeviceadvisor_TagResource.html",
        "detective:TagResource": "https://docs.aws.amazon.com/detective/latest/APIReference/API_TagResource.html",
        "ec2:CreateNetworkInterface": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateNetworkInterface.html",
        "memorydb:CreateSnapshot": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_CreateSnapshot.html",
        "waf-regional:DeleteRegexMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DeleteRegexMatchSet.html",
        "ds:RemoveRegion": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_RemoveRegion.html",
        "rds:FailoverDBCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_FailoverDBCluster.html",
        "auditmanager:UpdateAssessmentControlSetStatus": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_UpdateAssessmentControlSetStatus.html",
        "mobiletargeting:UpdateTemplateActiveVersion": "https://docs.aws.amazon.com/pinpoint/latest/apireference/templates-template-name-template-type-versions.html#templates-template-name-template-type-versions-http-methods",
        "ses:TagResource": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_TagResource.html",
        "personalize:DeleteCampaign": "https://docs.aws.amazon.com/personalize/latest/dg/API_DeleteCampaign.html",
        "rds-db:connect": "https://docs.aws.amazon.com/AmazonRDS/latest/UserGuide/UsingWithRDS.IAMDBAuth.IAMPolicy.html",
        "s3-outposts:CreateEndpoint": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_CreateEndpoint.html",
        "lambda:EnableReplication": null,
        "access-analyzer:ApplyArchiveRule": "https://docs.aws.amazon.com/access-analyzer/latest/APIReference/API_ApplyArchiveRule.html",
        "s3:ReplicateDelete": "https://docs.aws.amazon.com/AmazonS3/latest/dev/setting-repl-config-perm-overview.html",
        "secretsmanager:GetSecretValue": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "codestar-notifications:UntagResource": "https://docs.aws.amazon.com/codestar-notifications/latest/APIReference/API_UntagResource.html",
        "ses:DeleteCustomVerificationEmailTemplate": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_DeleteCustomVerificationEmailTemplate.html",
        "memorydb:CreateAcl": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_CreateAcl.html",
        "swf:RecordMarker": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_RecordMarker.html",
        "imagebuilder:CreateImageRecipe": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_CreateImageRecipe.html",
        "bugbust:UpdateEvent": "https://docs.aws.amazon.com/codeguru/latest/bugbust-ug/auth-and-access-control-permissions-reference.html",
        "ivs:UpdateChannel": "https://docs.aws.amazon.com/ivs/latest/APIReference/API_UpdateChannel.html",
        "mobiletargeting:DeleteEmailTemplate": "https://docs.aws.amazon.com/pinpoint/latest/apireference/templates-template-name-email.html#templates-template-name-email-http-methods",
        "redshift:CreateSnapshotCopyGrant": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_CreateSnapshotCopyGrant.html",
        "ivs:TagResource": "https://docs.aws.amazon.com/ivs/latest/APIReference/API_TagResource.html",
        "autoscaling:DeleteWarmPool": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_DeleteWarmPool.html",
        "robomaker:DeleteSimulationApplication": "https://docs.aws.amazon.com/robomaker/latest/dg/API_DeleteSimulationApplication.html",
        "ec2:ModifyVpnConnection": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyVpnConnection.html",
        "iot:CancelJob": "https://docs.aws.amazon.com/iot/latest/apireference/API_CancelJob.html",
        "qldb:PartiQLDelete": "https://docs.aws.amazon.com/qldb/latest/developerguide/ql-reference.delete.html",
        "iotevents:UpdateAlarmModel": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_UpdateAlarmModel.html",
        "a4b:DeleteDeviceUsageData": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DeleteDeviceUsageData.html",
        "securityhub:UpdateSecurityHubConfiguration": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_UpdateSecurityHubConfiguration.html",
        "securityhub:CreateMembers": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_CreateMembers.html",
        "swf:RespondDecisionTaskCompleted": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_RespondDecisionTaskCompleted.html",
        "frauddetector:CreateRule": "https://docs.aws.amazon.com/frauddetector/latest/api/API_CreateRule.html",
        "ec2:DeleteNetworkAcl": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteNetworkAcl.html",
        "iot:DeleteRoleAlias": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteRoleAlias.html",
        "comprehend:TagResource": "https://docs.aws.amazon.com/comprehend/latest/dg/API_TagResource.html",
        "ssm-contacts:DeactivateContactChannel": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_DeactivateContactChannel.html",
        "amplify:CreateWebHook": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "ecr:UploadLayerPart": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_UploadLayerPart.html",
        "cloudwatch:PutMetricStream": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_PutMetricStream.html",
        "acm-pca:CreateCertificateAuthorityAuditReport": "https://docs.aws.amazon.com/acm-pca/latest/APIReference/API_CreateCertificateAuthorityAuditReport.html",
        "ec2:DeleteQueuedReservedInstances": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteQueuedReservedInstances.html",
        "ds:UnauthorizeApplication": null,
        "ec2:DisableFastSnapshotRestores": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisableFastSnapshotRestores.html",
        "kms:DeleteImportedKeyMaterial": "https://docs.aws.amazon.com/kms/latest/APIReference/API_DeleteImportedKeyMaterial.html",
        "es:ESHttpPatch": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/ac.html#ac-reference",
        "quicksight:UpdateTemplate": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateTemplate.html",
        "codeartifact:PublishPackageVersion": "https://docs.aws.amazon.com/codeartifact/latest/userguide/repo-policies.html",
        "events:TagResource": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_TagResource.html",
        "quicksight:DeleteGroup": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteGroup.html",
        "ec2:ModifyInstanceEventWindow": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyInstanceEventWindow.html",
        "codedeploy:RegisterOnPremisesInstance": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_RegisterOnPremisesInstance.html",
        "cloudfront:DeleteCloudFrontOriginAccessIdentity": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_DeleteCloudFrontOriginAccessIdentity.html",
        "kms:CreateAlias": "https://docs.aws.amazon.com/kms/latest/APIReference/API_CreateAlias.html",
        "opsworks:RegisterEcsCluster": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_RegisterEcsCluster.html",
        "ses:SendEmail": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_SendEmail.html",
        "wisdom:StartContentUpload": "https://docs.aws.amazon.com/wisdom/latest/APIReference/API_StartContentUpload.html",
        "ec2:CopyImage": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CopyImage.html",
        "glue:RegisterSchemaVersion": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-schema-registry-api.html#aws-glue-api-schema-registry-api-RegisterSchemaVersion",
        "a4b:DeleteSkillAuthorization": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DeleteSkillAuthorization.html",
        "appmesh-preview:DeleteRoute": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_DeleteRoute.html",
        "swf:RespondActivityTaskFailed": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_RespondActivityTaskFailed.html",
        "workspaces:UpdateWorkspaceBundle": "https://docs.aws.amazon.com/workspaces/latest/api/API_UpdateWorkspaceBundle.html",
        "ec2:DisableImageDeprecation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisableImageDeprecation.html",
        "elasticloadbalancing:AddTags": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_AddTags.html",
        "backup:CreateBackupSelection": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_CreateBackupSelection.html",
        "nimble:DeleteStreamingImage": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-streaming-images-streamingimageid.html",
        "glue:DeleteUserDefinedFunction": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-functions.html#aws-glue-api-catalog-functions-DeleteUserDefinedFunction",
        "deepracer:UpdateCar": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-choose-race-type.html",
        "proton:RejectEnvironmentAccountConnection": "https://docs.aws.amazon.com/proton/latest/APIReference/API_RejectEnvironmentAccountConnection.html",
        "wafv2:AssociateWebACL": "https://docs.aws.amazon.com/waf/latest/APIReference/API_AssociateWebACL.html",
        "license-manager:CreateGrant": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_CreateGrant.html",
        "iam:UpdateRole": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateRole.html",
        "rds:CopyDBSnapshot": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CopyDBSnapshot.html",
        "waf-regional:UpdateIPSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_UpdateIPSet.html",
        "codestar:DeleteProject": "https://docs.aws.amazon.com/codestar/latest/APIReference/API_DeleteProject.html",
        "ecr:CreateRepository": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_CreateRepository.html",
        "s3:PutAccessPointConfigurationForObjectLambda": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_PutAccessPointConfigurationForObjectLambda.html",
        "personalize:DeleteFilter": "https://docs.aws.amazon.com/personalize/latest/dg/API_DeleteFilter.html",
        "clouddirectory:UntagResource": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_UntagResource.html",
        "kinesisanalytics:DeleteApplicationVpcConfiguration": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_DeleteApplicationVpcConfiguration.html",
        "route53-recovery-control-config:CreateCluster": "https://docs.aws.amazon.com/recovery-cluster/latest/api/cluster.html",
        "clouddirectory:DetachObject": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_DetachObject.html",
        "sagemaker:StartMonitoringSchedule": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StartMonitoringSchedule.html",
        "codebuild:InvalidateProjectCache": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_InvalidateProjectCache.html",
        "elasticloadbalancing:ModifyTargetGroupAttributes": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_ModifyTargetGroupAttributes.html",
        "config:DeleteStoredQuery": "https://docs.aws.amazon.com/config/latest/APIReference/API_DeleteStoredQuery.html",
        "eks:TagResource": "https://docs.aws.amazon.com/eks/latest/APIReference/API_TagResource.html",
        "iot1click:DisassociateDeviceFromPlacement": "https://docs.aws.amazon.com/iot-1-click/latest/projects-apireference/API_DissacociateDeviceFromPlacement.html",
        "iot:DeleteTopicRuleDestination": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteTopicRuleDestination.html",
        "license-manager:CheckoutBorrowLicense": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_CheckoutBorrowLicense.html",
        "memorydb:DeleteCluster": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_DeleteCluster.html",
        "ses:PutEmailIdentityMailFromAttributes": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_PutEmailIdentityMailFromAttributes.html",
        "wafv2:UpdateRuleGroup": "https://docs.aws.amazon.com/waf/latest/APIReference/API_UpdateRuleGroup.html",
        "workmail:DeleteUser": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_DeleteUser.html",
        "cloudformation:SetStackPolicy": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_SetStackPolicy.html",
        "ec2:UpdateSecurityGroupRuleDescriptionsIngress": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_UpdateSecurityGroupRuleDescriptionsIngress.html",
        "connect:CreateContactFlow": "https://docs.aws.amazon.com/connect/latest/APIReference/API_CreateContactFlow.html",
        "ssm:StartAutomationExecution": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_StartAutomationExecution.html",
        "autoscaling:DeleteScheduledAction": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_DeleteScheduledAction.html",
        "elasticbeanstalk:AssociateEnvironmentOperationsRole": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_AssociateEnvironmentOperationsRole.html",
        "rds-data:RollbackTransaction": "https://docs.aws.amazon.com/rdsdataservice/latest/APIReference/API_RollbackTransaction.html",
        "cloudformation:UpdateStackSet": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_UpdateStackSet.html",
        "ssm:RegisterDefaultPatchBaseline": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_RegisterDefaultPatchBaseline.html",
        "workmail:PutAccessControlRule": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_PutAccessControlRule.html",
        "chime:DeleteAttendee": "https://docs.aws.amazon.com/chime/latest/APIReference/API_DeleteAttendee.html",
        "route53resolver:DeleteFirewallDomainList": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_DeleteFirewallDomainList.html",
        "s3:PutMultiRegionAccessPointPolicy": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_PutMultiRegionAccessPointPolicy.html",
        "managedblockchain:RejectInvitation": "https://docs.aws.amazon.com/managed-blockchain/latest/APIReference/API_RejectInvitation.html",
        "cassandra:UntagResource": null,
        "rds:ModifyDBInstance": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyDBInstance.html",
        "glacier:DeleteArchive": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-archive-delete.html",
        "servicecatalog:CreateConstraint": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_CreateConstraint.html",
        "ivs:CreateStreamKey": "https://docs.aws.amazon.com/ivs/latest/APIReference/API_CreateStreamKey.html",
        "directconnect:DeleteConnection": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_DeleteConnection.html",
        "resource-groups:Tag": "https://docs.aws.amazon.com/ARG/latest/APIReference/API_Tag.html",
        "sagemaker:DeleteModel": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteModel.html",
        "sts:TagSession": "https://docs.aws.amazon.com/IAM/latest/UserGuide/id_session-tags.html",
        "ssm:DeregisterTaskFromMaintenanceWindow": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_DeregisterTaskFromMaintenanceWindow.html",
        "waf-regional:DeleteRateBasedRule": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DeleteRateBasedRule.html",
        "wellarchitected:UpdateWorkload": "https://docs.aws.amazon.com/wellarchitected/latest/APIReference/API_UpdateWorkload.html",
        "forecast:CreateDataset": "https://docs.aws.amazon.com/forecast/latest/dg/API_CreateDataset.html",
        "iot:AddThingToThingGroup": "https://docs.aws.amazon.com/iot/latest/apireference/API_AddThingToThingGroup.html",
        "iotsitewise:BatchPutAssetPropertyValue": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_BatchPutAssetPropertyValue.html",
        "codecommit:DeleteBranch": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_DeleteBranch.html",
        "ec2:CreateSnapshots": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateSnapshots.html",
        "managedblockchain:UntagResource": "https://docs.aws.amazon.com/managed-blockchain/latest/APIReference/API_UntagResource.html",
        "resource-groups:GroupResources": "https://docs.aws.amazon.com/ARG/latest/APIReference/API_GroupResources.html",
        "elasticache:ModifyReplicationGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_ModifyReplicationGroup.html",
        "resource-groups:PutGroupConfiguration": "https://docs.aws.amazon.com/ARG/latest/APIReference/API_PutGroupConfiguration.html",
        "macie2:DisassociateMember": "https://docs.aws.amazon.com/macie/latest/APIReference/members-disassociate-id.html",
        "codestar-connections:DeleteConnection": "https://docs.aws.amazon.com/codestar-connections/latest/APIReference/API_DeleteConnection.html",
        "devicefarm:DeleteTestGridProject": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_DeleteTestGridProject.html",
        "ec2:DeleteSnapshot": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteSnapshot.html",
        "schemas:UpdateRegistry": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-registries-name-registryname.html#UpdateRegistry",
        "lightsail:CreateDomain": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateDomain.html",
        "network-firewall:CreateRuleGroup": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_CreateRuleGroup.html",
        "machinelearning:UpdateDataSource": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_UpdateDataSource.html",
        "codecommit:UpdatePullRequestApprovalRuleContent": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_UpdatePullRequestApprovalRuleContent.html",
        "appstream:UntagResource": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_UntagResource.html",
        "ssm:DeleteDocument": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_DeleteDocument.html",
        "waf:CreateRegexMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_CreateRegexMatchSet.html",
        "sdb:DeleteAttributes": "https://docs.aws.amazon.com/AmazonSimpleDB/latest/DeveloperGuide/API_DeleteAttributes.html",
        "dms:StopReplicationTask": "https://docs.aws.amazon.com/dms/latest/APIReference/API_StopReplicationTask.html",
        "proton:DeleteEnvironmentTemplateMinorVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_DeleteEnvironmentTemplateMinorVersion.html",
        "connect:DisassociateSecurityKey": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "ec2:CreateVpcEndpoint": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateVpcEndpoint.html",
        "dms:CancelReplicationTaskAssessmentRun": "https://docs.aws.amazon.com/dms/latest/APIReference/API_CancelReplicationTaskAssessmentRun.html",
        "ec2:DeleteNatGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteNatGateway.html",
        "ec2:CreateClientVpnEndpoint": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateClientVpnEndpoint.html",
        "connect:AssociateLexBot": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "cloudformation:DeleteStack": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_DeleteStack.html",
        "macie2:UpdateFindingsFilter": "https://docs.aws.amazon.com/macie/latest/APIReference/findingsfilters-id.html",
        "lookoutmetrics:DeleteAlert": "https://docs.aws.amazon.com/lookoutmetrics/latest/api/API_DeleteAlert.html",
        "amplifybackend:CreateToken": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-challenge.html#CreateToken",
        "proton:DeleteEnvironment": "https://docs.aws.amazon.com/proton/latest/APIReference/API_DeleteEnvironment.html",
        "lightsail:DeleteBucketAccessKey": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteBucketAccessKey.html",
        "s3-object-lambda:PutObjectVersionAcl": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectAcl.html",
        "timestream:CreateTable": "https://docs.aws.amazon.com/Timestream/latest/APIReference/API_CreateTable.html",
        "directconnect:CreateBGPPeer": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_CreateBGPPeer.html",
        "es:DissociatePackage": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-dissociatepackage",
        "polly:StartSpeechSynthesisTask": "https://docs.aws.amazon.com/polly/latest/dg/API_StartSpeechSynthesisTask.html",
        "codeartifact:PutRepositoryPermissionsPolicy": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_PutRepositoryPermissionsPolicy.html",
        "connect:UpdateHoursOfOperation": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateHoursOfOperation.html",
        "sqs:PurgeQueue": "https://docs.aws.amazon.com/AWSSimpleQueueService/latest/APIReference/API_PurgeQueue.html",
        "redshift:ModifyEventSubscription": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ModifyEventSubscription.html",
        "codestar-notifications:CreateNotificationRule": "https://docs.aws.amazon.com/codestar-notifications/latest/APIReference/API_CreateNotificationRule.html",
        "appstream:BatchDisassociateUserStack": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_BatchDisassociateUserStack.html",
        "iotsitewise:DeleteAccessPolicy": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_DeleteAccessPolicy.html",
        "storagegateway:CreateCachediSCSIVolume": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_CreateCachediSCSIVolume.html",
        "sagemaker:CreateDataQualityJobDefinition": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateDataQualityJobDefinition.html",
        "elasticbeanstalk:PutInstanceStatistics": "https://docs.aws.amazon.com/elasticbeanstalk/latest/dg/health-enhanced.html#health-enhanced-authz",
        "ec2:CreateManagedPrefixList": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateManagedPrefixList.html",
        "backup:TagResource": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_TagResource.html",
        "dataexchange:TagResource": "https://docs.aws.amazon.com/data-exchange/latest/apireference/tags-resource-arn.html#TagResource",
        "iam:UpdateLoginProfile": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateLoginProfile.html",
        "cloudshell:GetFileDownloadUrls": "https://docs.aws.amazon.com/cloudshell/latest/userguide/sec-auth-with-identities.html#GetFileDownloadUrls",
        "ec2:ImportClientVpnClientCertificateRevocationList": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ImportClientVpnClientCertificateRevocationList.html",
        "iot:DeleteDynamicThingGroup": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteDynamicThingGroup.html",
        "mediaconvert:DeleteJobTemplate": "https://docs.aws.amazon.com/mediaconvert/latest/apireference/jobtemplates-name.html",
        "serverlessrepo:UpdateApplication": null,
        "storagegateway:UpdateVTLDeviceType": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_UpdateVTLDeviceType.html",
        "waf:DeleteXssMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_DeleteXssMatchSet.html",
        "autoscaling:BatchPutScheduledUpdateGroupAction": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_BatchPutScheduledUpdateGroupAction.html",
        "lightsail:AttachInstancesToLoadBalancer": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_AttachInstancesToLoadBalancer.html",
        "rekognition:StartStreamProcessor": "https://docs.aws.amazon.com/rekognition/latest/dg/API_StartStreamProcessor.html",
        "iam:DeleteUser": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteUser.html",
        "appmesh-preview:UpdateMesh": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UpdateMesh.html",
        "ecs:RunTask": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_RunTask.html",
        "kendra:UpdateDataSource": "https://docs.aws.amazon.com/kendra/latest/dg/API_UpdateDataSource.html",
        "apprunner:DeleteAutoScalingConfiguration": "https://docs.aws.amazon.com/apprunner/latest/api/API_DeleteAutoScalingConfiguration.html",
        "auditmanager:BatchCreateDelegationByAssessment": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_BatchCreateDelegationByAssessment.html",
        "directconnect:StartBgpFailoverTest": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_StartBgpFailoverTest.html",
        "servicecatalog:RejectPortfolioShare": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_RejectPortfolioShare.html",
        "iotsitewise:UpdateAsset": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_UpdateAsset.html",
        "mq:DeleteBroker": "https://docs.aws.amazon.com/amazon-mq/latest/api-reference/rest-api-broker.html#rest-api-broker-methods-delete",
        "route53-recovery-readiness:UntagResource": "https://docs.aws.amazon.com/recovery-readiness/latest/api/tags-resource-arn.html",
        "cloudwatch:DeleteInsightRules": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_DeleteInsightRules.html",
        "sns:UntagResource": "https://docs.aws.amazon.com/sns/latest/api/API_UntagResource.html",
        "appstream:DeleteImagePermissions": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_DeleteImagePermissions.html",
        "lightsail:DownloadDefaultKeyPair": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DownloadDefaultKeyPair.html",
        "logs:DeleteSubscriptionFilter": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_DeleteSubscriptionFilter.html",
        "mobiletargeting:CreateSegment": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-segments.html#rest-api-segments-methods",
        "codepipeline:RegisterWebhookWithThirdParty": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_RegisterWebhookWithThirdParty.html",
        "codepipeline:PutApprovalResult": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_PutApprovalResult.html",
        "monitron:ListProjectAdminUsers": "https://docs.aws.amazon.com/Monitron/latest/admin-guide/user-management-chapter.html",
        "synthetics:UntagResource": "https://docs.aws.amazon.com/AmazonSynthetics/latest/APIReference/API_UntagResource.html",
        "lex:UpdateSlot": "https://docs.aws.amazon.com/lexv2/latest/dg/API_UpdateSlot.html",
        "connect:StopContactRecording": "https://docs.aws.amazon.com/connect/latest/APIReference/API_StopContactRecording.html",
        "route53:UpdateHealthCheck": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_UpdateHealthCheck.html",
        "monitron:TagResource": "https://docs.aws.amazon.com/Monitron/latest/admin-guide/tagging.html",
        "s3-outposts:DeleteAccessPoint": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_DeleteAccessPoint.html",
        "cognito-idp:AdminResetUserPassword": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminResetUserPassword.html",
        "acm-pca:RestoreCertificateAuthority": "https://docs.aws.amazon.com/acm-pca/latest/APIReference/API_RestoreCertificateAuthority.html",
        "kendra:SubmitFeedback": "https://docs.aws.amazon.com/kendra/latest/dg/API_SubmitFeedback.html",
        "logs:DeleteMetricFilter": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_DeleteMetricFilter.html",
        "lex:CreateExport": "https://docs.aws.amazon.com/lexv2/latest/dg/API_CreateExport.html",
        "quicksight:DeleteThemeAlias": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteThemeAlias.html",
        "workmail:DeleteOrganization": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_DeleteOrganization.html",
        "appflow:UpdateConnectorProfile": "https://docs.aws.amazon.com/appflow/1.0/APIReference/API_UpdateConnectorProfile.html",
        "eks:AssociateEncryptionConfig": "https://docs.aws.amazon.com/eks/latest/APIReference/API_AssociateEncryptionConfig.html",
        "s3:PutObjectVersionTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectTagging.html",
        "dynamodb:UpdateItem": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_UpdateItem.html",
        "es:StartElasticsearchServiceSoftwareUpdate": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-startupdate",
        "lightsail:CreateRelationalDatabase": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateRelationalDatabase.html",
        "rds:CreateDBSnapshot": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CreateDBSnapshot.html",
        "storagegateway:ShutdownGateway": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_ShutdownGateway.html",
        "budgets:CreateBudgetAction": "https://docs.aws.amazon.com/awsaccountbilling/latest/aboutv2/billing-permissions-ref.html#user-permissions",
        "sagemaker:DeleteImage": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteImage.html",
        "sagemaker:UpdateDevices": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateDevices.html",
        "sagemaker:BatchPutMetrics": null,
        "acm-pca:IssueCertificate": "https://docs.aws.amazon.com/acm-pca/latest/APIReference/API_IssueCertificate.html",
        "iam:DeleteSigningCertificate": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteSigningCertificate.html",
        "app-integrations:DeleteEventIntegrationAssociation": "https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_DeleteEventIntegrationAssociation.html",
        "ec2:CreateTags": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateTags.html",
        "rds-data:BatchExecuteStatement": "https://docs.aws.amazon.com/rdsdataservice/latest/APIReference/API_BatchExecuteStatement.html",
        "eks:CreateFargateProfile": "https://docs.aws.amazon.com/eks/latest/APIReference/API_CreateFargateProfile.html",
        "storagegateway:DisassociateFileSystem": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_DisassociateFileSystem.html",
        "workmail:DeleteMailboxPermissions": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_DeleteMailboxPermissions.html",
        "ec2:DeleteClientVpnEndpoint": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteClientVpnEndpoint.html",
        "logs:DisassociateKmsKey": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_DisassociateKmsKey.html",
        "servicecatalog:DeleteProvisioningArtifact": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_DeleteProvisioningArtifact.html",
        "fsx:DisassociateFileGateway": "https://docs.aws.amazon.com/filegateway/latest/filefsxw/what-is-file-fsxw.html",
        "detective:DeleteGraph": "https://docs.aws.amazon.com/detective/latest/APIReference/API_DeleteGraph.html",
        "databrew:DeleteProject": "https://docs.aws.amazon.com/databrew/latest/dg/API_DeleteProject.html",
        "ssm-contacts:ActivateContactChannel": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_ActivateContactChannel.html",
        "waf:CreateSizeConstraintSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_CreateSizeConstraintSet.html",
        "glacier:CompleteMultipartUpload": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-multipart-complete-upload.html",
        "workmail:DeleteAccessControlRule": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_DeleteAccessControlRule.html",
        "mediaconvert:UntagResource": "https://docs.aws.amazon.com/mediaconvert/latest/apireference/tags-arn.html",
        "mediapackage-vod:ConfigureLogs": "https://docs.aws.amazon.com/mediapackage-vod/latest/apireference/packaging_groups-id-configure_logs.html#packaging_groups-id-configure_logsput",
        "voiceid:UpdateDomain": "https://docs.aws.amazon.com/voiceid/latest/APIReference/API_UpdateDomain.html",
        "route53resolver:DisassociateResolverQueryLogConfig": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_DisassociateResolverQueryLogConfig.html",
        "ssm-incidents:TagResource": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_TagResource.html",
        "cur:ModifyReportDefinition": "https://docs.aws.amazon.com/awsaccountbilling/latest/aboutv2/modify-report-definition.html",
        "iotwireless:UpdateWirelessGateway": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_UpdateWirelessGateway.html",
        "ssm:StartChangeRequestExecution": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_StartChangeRequestExecution.html",
        "storagegateway:DeleteGateway": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_DeleteGateway.html",
        "workmail:RegisterToWorkMail": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_RegisterToWorkMail.html",
        "cloudformation:CreateChangeSet": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_CreateChangeSet.html",
        "workmail:SetAdmin": "https://docs.aws.amazon.com/workmail/latest/adminguide/users_overview.html",
        "acm-pca:ImportCertificateAuthorityCertificate": "https://docs.aws.amazon.com/acm-pca/latest/APIReference/API_ImportCertificateAuthorityCertificate.html",
        "clouddirectory:DetachTypedLink": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_DetachTypedLink.html",
        "clouddirectory:UpdateSchema": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_UpdateSchema.html",
        "machinelearning:DeleteRealtimeEndpoint": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_DeleteRealtimeEndpoint.html",
        "rds:DeleteDBInstance": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeleteDBInstance.html",
        "lookoutvision:StartModel": "https://docs.aws.amazon.com/lookout-for-vision/latest/APIReference/API_StartModel.html",
        "elasticbeanstalk:ApplyEnvironmentManagedAction": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_ApplyEnvironmentManagedAction.html",
        "cognito-idp:SetRiskConfiguration": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_SetRiskConfiguration.html",
        "iotevents:BatchPutMessage": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_iotevents-data_BatchPutMessage.html",
        "forecast:DeleteForecast": "https://docs.aws.amazon.com/forecast/latest/dg/API_DeleteForecast.html",
        "lightsail:DeleteAutoSnapshot": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteAutoSnapshot.html",
        "timestream:UntagResource": "https://docs.aws.amazon.com/Timestream/latest/APIReference/API_UntagResource.html",
        "dataexchange:DeleteAsset": "https://docs.aws.amazon.com/data-exchange/latest/apireference/v1-data-sets-datasetid-revisions-revisionid-assets-assetid.html#DeleteAsset",
        "ds:CreateTrust": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_CreateTrust.html",
        "directconnect:DisassociateConnectionFromLag": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_DisassociateConnectionFromLag.html",
        "amplifybackend:UpdateBackendAPI": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-api-backendenvironmentname.html#UpdateBackendAPI",
        "route53resolver:AssociateResolverEndpointIpAddress": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_AssociateResolverEndpointIpAddress.html",
        "ssm-contacts:AcceptPage": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_AcceptPage.html",
        "ec2:ReleaseAddress": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ReleaseAddress.html",
        "es:ESHttpPost": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/ac.html#ac-reference",
        "states:DeleteActivity": "https://docs.aws.amazon.com/step-functions/latest/apireference/API_DeleteActivity.html",
        "es:UpgradeDomain": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-upgrade-domain",
        "imagebuilder:CreateDistributionConfiguration": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_CreateDistributionConfiguration.html",
        "redshift:ModifyClusterSubnetGroup": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ModifyClusterSubnetGroup.html",
        "cloudformation:UpdateStack": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_UpdateStack.html",
        "lightsail:DetachDisk": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DetachDisk.html",
        "ec2:ModifyVolumeAttribute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyVolumeAttribute.html",
        "a4b:UpdateGatewayGroup": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_UpdateGatewayGroup.html",
        "ec2:ModifySecurityGroupRules": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifySecurityGroupRules.html",
        "kendra:UpdateQuerySuggestionsConfig": "https://docs.aws.amazon.com/kendra/latest/dg/API_UpdateQuerySuggestionsConfig.html",
        "storagegateway:AttachVolume": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_AttachVolume.html",
        "iot:DeleteTopicRule": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteTopicRule.html",
        "codeartifact:PutDomainPermissionsPolicy": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_PutDomainPermissionsPolicy.html",
        "networkmanager:CreateLink": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_CreateLink.html",
        "redshift:DeleteTags": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DeleteTags.html",
        "ssm-contacts:UpdateContact": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_UpdateContact.html",
        "servicecatalog:AssociateResource": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_app-registry_AssociateResource.html",
        "sdb:BatchDeleteAttributes": "https://docs.aws.amazon.com/AmazonSimpleDB/latest/DeveloperGuide/API_BatchDeleteAttributes.html",
        "athena:UpdateDataCatalog": "https://docs.aws.amazon.com/athena/latest/APIReference/API_UpdateDataCatalog.html",
        "securityhub:BatchImportFindings": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_BatchImportFindings.html",
        "waf:UpdateIPSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_UpdateIPSet.html",
        "glue:UntagResource": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-tags.html#aws-glue-api-tags-UntagResource",
        "cloudwatch:DisableInsightRules": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_DisableInsightRules.html",
        "redshift:RejectDataShare": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_RejectDataShare.html",
        "autoscaling:CancelInstanceRefresh": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_CancelInstanceRefresh.html",
        "codepipeline:TagResource": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_TagResource.html",
        "frauddetector:DeleteEntityType": "https://docs.aws.amazon.com/frauddetector/latest/api/API_DeleteEntityType",
        "ec2:ModifyTrafficMirrorFilterNetworkServices": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyTrafficMirrorFilterNetworkServices.html",
        "lightsail:UpdateBucket": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_UpdateBucket.html",
        "mgn:DeleteJob": "https://docs.aws.amazon.com/mgn/latest/APIReference/API_DeleteJob.html",
        "servicecatalog:DisassociatePrincipalFromPortfolio": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_DisassociatePrincipalFromPortfolio.html",
        "globalaccelerator:RemoveCustomRoutingEndpoints": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_RemoveCustomRoutingEndpoints.html",
        "iotfleethub:UpdateApplication": null,
        "waf:CreateRateBasedRule": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_CreateRateBasedRule.html",
        "s3:PutBucketPublicAccessBlock": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutPublicAccessBlock.html",
        "cloudfront:AssociateAlias": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_AssociateAlias.html",
        "iam:DeleteSSHPublicKey": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteSSHPublicKey.html",
        "connect:AssociateApprovedOrigin": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "cloudsearch:DefineAnalysisScheme": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_DefineAnalysisScheme.html",
        "frauddetector:CreateModelVersion": "https://docs.aws.amazon.com/frauddetector/latest/api/API_CreateModelVersion",
        "cloudfront:CreateDistributionWithTags": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_CreateDistributionWithTags.html",
        "lambda:PutFunctionCodeSigningConfig": "https://docs.aws.amazon.com/lambda/latest/dg/API_PutFunctionCodeSigningConfig.html",
        "glue:DeleteMLTransform": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-machine-learning-api.html#aws-glue-api-machine-learning-api-DeleteMLTransform",
        "network-firewall:UpdateRuleGroup": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_UpdateRuleGroup.html",
        "ds:UpdateNumberOfDomainControllers": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_UpdateNumberOfDomainControllers.html",
        "app-integrations:DeleteEventIntegration": "https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_DeleteEventIntegration.html",
        "servicecatalog:AssociateServiceActionWithProvisioningArtifact": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_AssociateServiceActionWithProvisioningArtifact.html",
        "iotwireless:DisassociateWirelessGatewayFromThing": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_DisassociateWirelessGatewayFromThing.html",
        "sqlworkbench:AssociateQueryWithTab": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "robomaker:RestartSimulationJob": "https://docs.aws.amazon.com/robomaker/latest/dg/API_RestartSimulationJob.html",
        "imagebuilder:UntagResource": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_UntagResource.html",
        "voiceid:UntagResource": "https://docs.aws.amazon.com/voiceid/latest/APIReference/API_UntagResource.html",
        "workmail:CreateResource": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_CreateResource.html",
        "rds:RestoreDBClusterFromSnapshot": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_RestoreDBClusterFromSnapshot.html",
        "robomaker:CancelSimulationJobBatch": "https://docs.aws.amazon.com/robomaker/latest/dg/API_CancelSimulationJobBatch.html",
        "storagegateway:AddUploadBuffer": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_AddUploadBuffer.html",
        "s3-outposts:PutObjectTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectTagging.html",
        "a4b:DeleteContact": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DeleteContact.html",
        "redshift:DisableSnapshotCopy": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DisableSnapshotCopy.html",
        "appconfig:UpdateApplication": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_UpdateApplication.html",
        "databrew:UpdateProfileJob": "https://docs.aws.amazon.com/databrew/latest/dg/API_UpdateProfileJob.html",
        "cloudfront:UpdateDistribution": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_UpdateDistribution.html",
        "a4b:DeleteSkillGroup": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DeleteSkillGroup.html",
        "ec2:CreateRestoreImageTask": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateRestoreImageTask.html",
        "rds:ApplyPendingMaintenanceAction": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ApplyPendingMaintenanceAction.html",
        "quicksight:CreateFolder": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CreateFolder.html",
        "securityhub:DisassociateFromMasterAccount": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_DisassociateFromMasterAccount.html",
        "workmail:UpdateOutboundMailFlowRule": "https://docs.aws.amazon.com/workmail/latest/adminguide/modify-email-flow-rule.html",
        "imagebuilder:PutImageRecipePolicy": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_PutImageRecipePolicy.html",
        "kinesisvideo:UntagResource": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_UntagResource.html",
        "sagemaker:DeleteTags": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteTags.html",
        "redshift:RotateEncryptionKey": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_RotateEncryptionKey.html",
        "s3:DeleteJobTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_DeleteJobTagging.html",
        "lookoutvision:DetectAnomalies": "https://docs.aws.amazon.com/lookout-for-vision/latest/APIReference/API_DetectAnomalies.html",
        "ses:CreateConfigurationSetEventDestination": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_CreateConfigurationSetEventDestination.html",
        "iot:DeleteThingGroup": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteThingGroup.html",
        "iotanalytics:CreatePipeline": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_CreatePipeline.html",
        "mediapackage-vod:DeletePackagingConfiguration": "https://docs.aws.amazon.com/mediapackage-vod/latest/apireference/packaging_configurations-id.html#packaging_configurations-iddelete",
        "schemas:StopDiscoverer": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-discoverers-id-discovererid.html#StopDiscoverer",
        "devops-guru:AddNotificationChannel": "https://docs.aws.amazon.com/devops-guru/latest/APIReference/API_AddNotificationChannel.html",
        "ec2:CreatePlacementGroup": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreatePlacementGroup.html",
        "autoscaling:EnterStandby": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_EnterStandby.html",
        "iam:DeleteRolePermissionsBoundary": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteRolePermissionsBoundary.html",
        "monitron:UpdateProject": "https://docs.aws.amazon.com/Monitron/latest/admin-guide/mp-updating-project.html",
        "apigateway:SetWebACL": "https://docs.aws.amazon.com/apigateway/api-reference/WEBACL_SET.html",
        "elasticache:IncreaseReplicaCount": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_IncreaseReplicaCount.html",
        "sagemaker:CreateCodeRepository": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateCodeRepository.html",
        "ecr-public:PutRepositoryCatalogData": "https://docs.aws.amazon.com/AmazonECRPublic/latest/APIReference/API_PutRepositoryCatalogData.html",
        "amplifybackend:UpdateBackendConfig": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-config-update.html#UpdateBackendConfig",
        "iot1click:InvokeDeviceMethod": "https://docs.aws.amazon.com/iot-1-click/1.0/devices-apireference/devices-deviceid-methods.html",
        "cloudfront:TagResource": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_TagResource.html",
        "ec2:ReplaceTransitGatewayRoute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ReplaceTransitGatewayRoute.html",
        "imagebuilder:DeleteContainerRecipe": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_DeleteContainerRecipe.html",
        "sagemaker:CreateHyperParameterTuningJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateHyperParameterTuningJob.html",
        "timestream:TagResource": "https://docs.aws.amazon.com/Timestream/latest/APIReference/API_TagResource.html",
        "ecs:DeleteAttributes": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_DeleteAttributes.html",
        "deepracer:StopEvaluation": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-get-started-test-in-simulator.html",
        "batch:RegisterJobDefinition": "https://docs.aws.amazon.com/batch/latest/APIReference/API_RegisterJobDefinition.html",
        "backup:DeleteBackupSelection": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_DeleteBackupSelection.html",
        "machinelearning:AddTags": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_AddTags.html",
        "rds:ModifyDBClusterSnapshotAttribute": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyDBClusterSnapshotAttribute.html",
        "deeplens:DeleteModel": null,
        "gamelift:RegisterGameServer": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_RegisterGameServer.html",
        "imagebuilder:StartImagePipelineExecution": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_StartImagePipelineExecution.html",
        "elasticache:BatchApplyUpdateAction": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_BatchApplyUpdateAction.html",
        "memorydb:UpdateCluster": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_UpdateCluster.html",
        "finspace:DeleteUser": "https://docs.aws.amazon.com/finspace/latest/management-api/API_DeleteUser.html",
        "ec2:DisassociateEnclaveCertificateIamRole": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisassociateEnclaveCertificateIamRole.html",
        "codedeploy:UpdateDeploymentGroup": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_UpdateDeploymentGroup.html",
        "elasticache:FailoverGlobalReplicationGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_FailoverGlobalReplicationGroup.html",
        "backup:DeleteBackupVault": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_DeleteBackupVault.html",
        "iot:UpdateCertificate": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateCertificate.html",
        "bugbust:UpdateWorkItem": "https://docs.aws.amazon.com/codeguru/latest/bugbust-ug/auth-and-access-control-permissions-reference.html",
        "route53:CreateTrafficPolicyVersion": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_CreateTrafficPolicyVersion.html",
        "ses:PutEmailIdentityDkimSigningAttributes": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_PutEmailIdentityDkimSigningAttributes.html",
        "ds:EnableLDAPS": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_EnableLDAPS.html",
        "redshift:AuthorizeSnapshotAccess": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_AuthorizeSnapshotAccess.html",
        "appconfig:UntagResource": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_UntagResource.html",
        "iot:UpdateRoleAlias": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateRoleAlias.html",
        "codebuild:BatchPutTestCases": "https://docs.aws.amazon.com/codebuild/latest/userguide/auth-and-access-control-iam-identity-based-access-control.html#console-policies",
        "iotevents:UpdateDetectorModel": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_UpdateDetectorModel.html",
        "lightsail:UpdateDomainEntry": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_UpdateDomainEntry.html",
        "storagegateway:CreateSnapshot": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_CreateSnapshot.html",
        "connect:UpdateUserHierarchyGroupName": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateUserHierarchyGroupName.html",
        "storagegateway:UpdateSMBFileShareVisibility": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_UpdateSMBFileShareVisibility.html",
        "sagemaker:CreateModelPackageGroup": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateModelPackageGroup.html",
        "ecs:SubmitContainerStateChange": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_SubmitContainerStateChange.html",
        "workmail:DisableMailUsers": "https://docs.aws.amazon.com/workmail/latest/adminguide/manage-mailboxes.html#delete_user_mailbox",
        "aps:CreateRuleGroupsNamespace": "https://docs.aws.amazon.com/prometheus/latest/userguide/AMP-APIReference.html#AMP-APIReference-CreateRuleGroupsNamespace",
        "lex:UpdateBotLocale": "https://docs.aws.amazon.com/lexv2/latest/dg/API_UpdateBotLocale.html",
        "proton:CreateService": "https://docs.aws.amazon.com/proton/latest/APIReference/API_CreateService.html",
        "a4b:SendInvitation": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_SendInvitation.html",
        "servicecatalog:AssociateTagOptionWithResource": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_AssociateTagOptionWithResource.html",
        "ssm:DeregisterManagedInstance": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_DeregisterManagedInstance.html",
        "deepracer:DeleteLeaderboard": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-manage-community-races.html",
        "elasticmapreduce:ModifyInstanceFleet": "https://docs.aws.amazon.com/emr/latest/APIReference/API_ModifyInstanceFleet.html",
        "route53:DeleteQueryLoggingConfig": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_DeleteQueryLoggingConfig.html",
        "panorama:UpdateApp": "https://docs.aws.amazon.com/panorama/latest/dev/API_UpdateApp.html",
        "appflow:UseConnectorProfile": "https://docs.aws.amazon.com/appflow/1.0/APIReference/API_UseConnectorProfile.html",
        "lookoutequipment:CreateModel": "https://docs.aws.amazon.com/lookout-for-equipment/latest/ug/API_CreateModel.html",
        "cloud9:DeleteEnvironmentMembership": "https://docs.aws.amazon.com/cloud9/latest/APIReference/API_DeleteEnvironmentMembership.html",
        "personalize:PutEvents": "https://docs.aws.amazon.com/personalize/latest/dg/API_UBS_PutEvents.html",
        "codedeploy:RemoveTagsFromOnPremisesInstances": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_RemoveTagsFromOnPremisesInstances.html",
        "a4b:AssociateSkillGroupWithRoom": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_AssociateSkillGroupWithRoom.html",
        "ec2:AcceptVpcEndpointConnections": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AcceptVpcEndpointConnections.html",
        "profile:PutIntegration": "https://docs.aws.amazon.com/customerprofiles/latest/APIReference/API_PutIntegration.html",
        "appflow:UntagResource": "https://docs.aws.amazon.com/appflow/1.0/APIReference/API_UntagResource.html",
        "ec2:CreateTrafficMirrorTarget": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateTrafficMirrorTarget.html",
        "ses:PutDedicatedIpInPool": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_PutDedicatedIpInPool.html",
        "ssm-incidents:DeleteIncidentRecord": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_DeleteIncidentRecord.html",
        "personalize:StopSolutionVersionCreation": "https://docs.aws.amazon.com/personalize/latest/dg/API_StopSolutionVersionCreation.html",
        "ds:UpdateConditionalForwarder": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_UpdateConditionalForwarder.html",
        "workmail:TestOutboundMailFlowRules": "https://docs.aws.amazon.com/workmail/latest/adminguide/test-email-flow-rule.html",
        "iot:UpdateCACertificate": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateCACertificate.html",
        "iotevents:CreateAlarmModel": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_CreateAlarmModel.html",
        "iot:RemoveThingFromThingGroup": "https://docs.aws.amazon.com/iot/latest/apireference/API_RemoveThingFromThingGroup.html",
        "personalize:CreateDatasetGroup": "https://docs.aws.amazon.com/personalize/latest/dg/API_CreateDatasetGroup.html",
        "codecommit:MergeBranchesByFastForward": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_MergeBranchesByFastForward.html",
        "opsworks:SetLoadBasedAutoScaling": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_SetLoadBasedAutoScaling.html",
        "opsworks:DisassociateElasticIp": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_DisassociateElasticIp.html",
        "ssm-contacts:DeleteContactPolicy": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_DeleteContactPolicy.html",
        "ecs:StopTask": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_StopTask.html",
        "license-manager:AcceptGrant": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_AcceptGrant.html",
        "sagemaker:DeleteTrialComponent": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteTrialComponent.html",
        "states:StartSyncExecution": "https://docs.aws.amazon.com/step-functions/latest/apireference/API_StartSyncExecution.html",
        "iam:SetDefaultPolicyVersion": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_SetDefaultPolicyVersion.html",
        "chime:TagResource": "https://docs.aws.amazon.com/chime/latest/APIReference/API_TagResource.html",
        "lookoutequipment:CreateInferenceScheduler": "https://docs.aws.amazon.com/lookout-for-equipment/latest/ug/API_CreateInferenceScheduler.html",
        "kendra:CreateDataSource": "https://docs.aws.amazon.com/kendra/latest/dg/API_CreateDataSource.html",
        "ecr:DeleteRepository": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_DeleteRepository.html",
        "networkmanager:DisassociateCustomerGateway": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_DisassociateCustomerGateway.html",
        "databrew:DeleteRecipeVersion": "https://docs.aws.amazon.com/databrew/latest/dg/API_DeleteRecipeVersion.html",
        "mobiletargeting:DeleteRecommenderConfiguration": "https://docs.aws.amazon.com/pinpoint/latest/apireference/recommenders-recommender-id.html#DeleteRecommenderConfiguration",
        "cloudwatch:EnableInsightRules": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_EnableInsightRules.html",
        "connect:CreateAgentStatus": "https://docs.aws.amazon.com/connect/latest/APIReference/API_CreateAgentStatus.html",
        "elemental-appliances-software:TagResource": "https://docs.aws.amazon.com/elemental-appliances-software",
        "medialive:CreatePartnerInput": "https://docs.aws.amazon.com/medialive/latest/ug/create-partner-input.html",
        "worklink:UpdateCompanyNetworkConfiguration": "https://docs.aws.amazon.com/worklink/latest/api/API_UpdateCompanyNetworkConfiguration.html",
        "lookoutmetrics:ActivateAnomalyDetector": "https://docs.aws.amazon.com/lookoutmetrics/latest/api/API_ActivateAnomalyDetector.html",
        "profile:UpdateDomain": "https://docs.aws.amazon.com/customerprofiles/latest/APIReference/API_UpdateDomain.html",
        "cloudhsm:CreateHsm": "https://docs.aws.amazon.com/cloudhsm/latest/APIReference/API_CreateHsm.html",
        "iot:CreateTopicRule": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateTopicRule.html",
        "mobiletargeting:PutEventStream": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-event-stream.html#rest-api-event-stream-methods",
        "ssm:AssociateOpsItemRelatedItem": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_AssociateOpsItemRelatedItem.html",
        "cloudformation:UpdateStackInstances": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_UpdateStackInstances.html",
        "connect:CreateQueue": "https://docs.aws.amazon.com/connect/latest/APIReference/API_CreateQueue.html",
        "codecommit:UpdatePullRequestStatus": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_UpdatePullRequestStatus.html",
        "chime:DeleteChannelBan": "https://docs.aws.amazon.com/chime/latest/APIReference/API_DeleteChannelBan.html",
        "codepipeline:CreatePipeline": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_CreatePipeline.html",
        "sagemaker:UpdateImage": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateImage.html",
        "ec2:DeleteVpcEndpointConnectionNotifications": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteVpcEndpointConnectionNotifications.html",
        "storagegateway:UpdateGatewaySoftwareNow": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_UpdateGatewaySoftwareNow.html",
        "ssm-contacts:TagResource": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_TagResource.html",
        "events:UpdateApiDestination": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_UpdateApiDestination.html",
        "worklink:RevokeDomainAccess": "https://docs.aws.amazon.com/worklink/latest/api/API_RevokeDomainAccess.html",
        "iam:CreateVirtualMFADevice": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateVirtualMFADevice.html",
        "lightsail:StopInstance": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_StopInstance.html",
        "redshift:PauseCluster": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_PauseCluster.html",
        "iam:CreateOpenIDConnectProvider": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateOpenIDConnectProvider.html",
        "lex:StartImport": "https://docs.aws.amazon.com/lexv2/latest/dg/API_StartImport.html",
        "opsworks:StartStack": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_StartStack.html",
        "deepcomposer:CreateModel": "https://docs.aws.amazon.com/deepcomposer/latest/devguide/get-started-custom-model.html",
        "sagemaker:StopHyperParameterTuningJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StopHyperParameterTuningJob.html",
        "storagegateway:RemoveTagsFromResource": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_RemoveTagsFromResource.html",
        "codeartifact:AssociateWithDownstreamRepository": "https://docs.aws.amazon.com/codeartifact/latest/userguide/repos-upstream.html",
        "opsworks:AssignInstance": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_AssignInstance.html",
        "route53-recovery-control-config:CreateRoutingControl": "https://docs.aws.amazon.com/recovery-cluster/latest/api/routingcontrol.html",
        "directconnect:DeleteBGPPeer": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_DeleteBGPPeer.html",
        "ecr-public:CompleteLayerUpload": "https://docs.aws.amazon.com/AmazonECRPublic/latest/APIReference/API_CompleteLayerUpload.html",
        "iot:CreateDomainConfiguration": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateDomainConfiguration.html",
        "workspaces:StartWorkspaces": "https://docs.aws.amazon.com/workspaces/latest/api/API_StartWorkspaces.html",
        "codecommit:TestRepositoryTriggers": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_TestRepositoryTriggers.html",
        "iotwireless:DeleteDestination": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_DeleteDestination.html",
        "events:UpdateArchive": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_UpdateArchive.html",
        "iam:UntagRole": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UntagRole.html",
        "iotthingsgraph:DeprecateSystemTemplate": "https://docs.aws.amazon.com/thingsgraph/latest/APIReference/{APIReferenceDocPage}API_DeprecateSystemTemplate.html",
        "iot1click:DeletePlacement": "https://docs.aws.amazon.com/iot-1-click/latest/projects-apireference/API_DeletePlacement.html",
        "iotanalytics:DeleteDatasetContent": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_DeleteDatasetContent.html",
        "redshift:CreateUsageLimit": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_CreateUsageLimit.html",
        "ec2:CreateFleet": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateFleet.html",
        "ses:DeleteEmailTemplate": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_DeleteEmailTemplate.html",
        "swf:DeprecateActivityType": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_DeprecateActivityType.html",
        "acm:RemoveTagsFromCertificate": "https://docs.aws.amazon.com/acm/latest/APIReference/API_RemoveTagsFromCertificate.html",
        "eks:CreateAddon": "https://docs.aws.amazon.com/eks/latest/APIReference/API_CreateAddon.html",
        "fsx:TagResource": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_TagResource.html",
        "machinelearning:CreateMLModel": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_CreateMLModel.html",
        "kms:CancelKeyDeletion": "https://docs.aws.amazon.com/kms/latest/APIReference/API_CancelKeyDeletion.html",
        "cloudwatch:PutMetricAlarm": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_PutMetricAlarm.html",
        "quicksight:CreateIAMPolicyAssignment": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CreateIAMPolicyAssignment.html",
        "opsworks:AssignVolume": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_AssignVolume.html",
        "sagemaker:CreateArtifact": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateArtifact.html",
        "backup:CreateBackupPlan": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_CreateBackupPlan.html",
        "ssm:ModifyDocumentPermission": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_ModifyDocumentPermission.html",
        "ec2:AttachVpnGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AttachVpnGateway.html",
        "dataexchange:UpdateDataSet": "https://docs.aws.amazon.com/data-exchange/latest/apireference/v1-data-sets-datasetid.html#UpdateDataSet",
        "machinelearning:CreateDataSourceFromRDS": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_CreateDataSourceFromRDS.html",
        "glue:ImportCatalogToGlue": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-migration.html#aws-glue-api-catalog-migration-ImportCatalogToGlue",
        "appstream:CreateStack": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_CreateStack.html",
        "proton:CreateServiceTemplateMajorVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_CreateServiceTemplateMajorVersion.html",
        "iotthingsgraph:DeprecateFlowTemplate": "https://docs.aws.amazon.com/thingsgraph/latest/APIReference/{APIReferenceDocPage}API_DeprecateFlowTemplate.html",
        "route53-recovery-readiness:CreateReadinessCheck": "https://docs.aws.amazon.com/recovery-readiness/latest/api/readinesschecks.html",
        "ecs:UpdateTaskSet": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_UpdateTaskSet.html",
        "wafv2:UpdateIPSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_UpdateIPSet.html",
        "elasticloadbalancing:DeleteRule": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_DeleteRule.html",
        "appmesh:UpdateGatewayRoute": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UpdateGatewayRoute.html",
        "iot:DeleteStream": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteStream.html",
        "robomaker:DeleteFleet": "https://docs.aws.amazon.com/robomaker/latest/dg/API_DeleteFleet.html",
        "iotwireless:DisassociateWirelessDeviceFromThing": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_DisassociateWirelessDeviceFromThing.html",
        "proton:CreateServiceTemplateMinorVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_CreateServiceTemplateMinorVersion.html",
        "workspaces:UpdateConnectionAliasPermission": "https://docs.aws.amazon.com/workspaces/latest/api/API_UpdateConnectionAliasPermission.html",
        "cloudsearch:DeleteDomain": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_DeleteDomain.html",
        "chime:CreateChannelBan": "https://docs.aws.amazon.com/chime/latest/APIReference/API_CreateChannelBan.html",
        "firehose:UntagDeliveryStream": "https://docs.aws.amazon.com/firehose/latest/APIReference/API_UntagDeliveryStream.html",
        "storagegateway:AssociateFileSystem": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_AssociateFileSystem.html",
        "kendra:UntagResource": "https://docs.aws.amazon.com/kendra/latest/dg/API_UntagResource.html",
        "databrew:StartJobRun": "https://docs.aws.amazon.com/databrew/latest/dg/API_StartJobRun.html",
        "storagegateway:AddCache": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_AddCache.html",
        "codebuild:StartBuild": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_StartBuild.html",
        "cloudformation:DeleteStackSet": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_DeleteStackSet.html",
        "codestar-connections:UntagResource": "https://docs.aws.amazon.com/codestar-connections/latest/APIReference/API_UntagResource.html",
        "ec2:CreateDhcpOptions": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateDhcpOptions.html",
        "elasticbeanstalk:DeleteEnvironmentConfiguration": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_DeleteEnvironmentConfiguration.html",
        "lightsail:CreateDisk": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateDisk.html",
        "appstream:CreateFleet": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_CreateFleet.html",
        "glue:DeleteTable": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-tables.html#aws-glue-api-catalog-tables-DeleteTable",
        "networkmanager:UpdateConnection": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_UpdateConnection.html",
        "sns:AddPermission": "https://docs.aws.amazon.com/sns/latest/api/API_AddPermission.html",
        "connect:UpdateContactFlowContent": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateContactFlowContent.html",
        "codepipeline:StartPipelineExecution": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_StartPipelineExecution.html",
        "managedblockchain:DeleteMember": "https://docs.aws.amazon.com/managed-blockchain/latest/APIReference/API_DeleteMember.html",
        "networkmanager:UpdateDevice": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_UpdateDevice.html",
        "ec2:ModifyInstanceMetadataOptions": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyInstanceMetadataOptions.html",
        "lambda:UpdateFunctionEventInvokeConfig": "https://docs.aws.amazon.com/lambda/latest/dg/API_UpdateFunctionEventInvokeConfig.html",
        "ec2:CancelExportTask": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CancelExportTask.html",
        "devicefarm:CreateDevicePool": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_CreateDevicePool.html",
        "lightsail:DeleteLoadBalancerTlsCertificate": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteLoadBalancerTlsCertificate.html",
        "connect:UpdateQuickConnectConfig": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateQuickConnectConfig.html",
        "iotwireless:UpdateWirelessDevice": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_UpdateWirelessDevice.html",
        "ec2:AssociateIamInstanceProfile": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AssociateIamInstanceProfile.html",
        "autoscaling:StartInstanceRefresh": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_StartInstanceRefresh.html",
        "storagegateway:DeleteChapCredentials": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_DeleteChapCredentials.html",
        "workmail:SetMobilePolicyDetails": "https://docs.aws.amazon.com/workmail/latest/adminguide/edit_organization_mobile_policy.html",
        "cognito-idp:CreateUserPoolClient": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_CreateUserPoolClient.html",
        "mobiletargeting:DeleteJourney": "https://docs.aws.amazon.com/pinpoint/latest/apireference/apps-application-id-journeys-journey-id.html#apps-application-id-journeys-journey-id-http-methods",
        "iam:TagUser": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_TagUser.html",
        "sqs:AddPermission": "https://docs.aws.amazon.com/AWSSimpleQueueService/latest/APIReference/API_AddPermission.html",
        "appmesh:DeleteMesh": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_DeleteMesh.html",
        "cloudfront:DeleteStreamingDistribution": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_DeleteStreamingDistribution.html",
        "elasticmapreduce:AddTags": "https://docs.aws.amazon.com/emr/latest/APIReference/API_AddTags.html",
        "cognito-idp:DeleteUserPoolClient": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_DeleteUserPoolClient.html",
        "logs:UntagLogGroup": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_UntagLogGroup.html",
        "ec2:CreateTransitGatewayRoute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateTransitGatewayRoute.html",
        "qldb:PartiQLUpdate": "https://docs.aws.amazon.com/qldb/latest/developerguide/ql-reference.update.html",
        "ssm:GetParameters": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_GetParameters.html",
        "storagegateway:AddTagsToResource": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_AddTagsToResource.html",
        "appstream:TagResource": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_TagResource.html",
        "codecommit:UploadArchive": "https://docs.aws.amazon.com/codecommit/latest/userguide/auth-and-access-control-permissions-reference.html#aa-acp",
        "clouddirectory:DeleteFacet": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_DeleteFacet.html",
        "iam:UpdateRoleDescription": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateRoleDescription.html",
        "deepcomposer:DeleteComposition": "https://docs.aws.amazon.com/deepcomposer/latest/devguide/get-started-learn-from-pre-trained-models.html",
        "lex:DeleteResourcePolicy": "https://docs.aws.amazon.com/lexv2/latest/dg/API_DeleteResourcePolicy.html",
        "mobilehub:DeleteProject": "https://docs.aws.amazon.com/mobile-hub/latest/developerguide/managed-policies.html",
        "swf:StartTimer": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_StartTimer.html",
        "kinesis:PutRecords": "https://docs.aws.amazon.com/kinesis/latest/APIReference/API_PutRecords.html",
        "lambda:UpdateFunctionCode": "https://docs.aws.amazon.com/lambda/latest/dg/API_UpdateFunctionCode.html",
        "sagemaker:CreateTransformJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateTransformJob.html",
        "lambda:UntagResource": "https://docs.aws.amazon.com/lambda/latest/dg/API_UntagResource.html",
        "elasticache:DeleteCacheSubnetGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_DeleteCacheSubnetGroup.html",
        "ssm:CreateResourceDataSync": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_CreateResourceDataSync.html",
        "autoscaling:DetachLoadBalancerTargetGroups": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_DetachLoadBalancerTargetGroups.html",
        "geo:DeleteMap": "https://docs.aws.amazon.com/location/latest/developerguide/API_DeleteMap.html",
        "robomaker:CancelDeploymentJob": "https://docs.aws.amazon.com/robomaker/latest/dg/API_CancelDeploymentJob.html",
        "worklink:SignOutUser": "https://docs.aws.amazon.com/worklink/latest/api/API_SignOutUser.html",
        "gamelift:UpdateMatchmakingConfiguration": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_UpdateMatchmakingConfiguration.html",
        "ecr:StartLifecyclePolicyPreview": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_StartLifecyclePolicyPreview.html",
        "securityhub:UpdateStandardsControl": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_UpdateStandardsControl.html",
        "athena:CreateWorkGroup": "https://docs.aws.amazon.com/athena/latest/APIReference/API_CreateWorkGroup.html",
        "machinelearning:CreateRealtimeEndpoint": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_CreateRealtimeEndpoint.html",
        "cloudtrail:StartLogging": "https://docs.aws.amazon.com/awscloudtrail/latest/APIReference/API_StartLogging.html",
        "network-firewall:TagResource": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_TagResource.html",
        "auditmanager:UntagResource": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_UntagResource.html",
        "waf:UpdateSizeConstraintSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_UpdateSizeConstraintSet.html",
        "mobiletargeting:DeleteSmsChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-sms-channel.html#rest-api-sms-channel-methods",
        "codebuild:RetryBuild": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_RetryBuild.html",
        "elasticloadbalancing:CreateTargetGroup": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_CreateTargetGroup.html",
        "s3:PutIntelligentTieringConfiguration": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketIntelligentTieringConfiguration.html",
        "ec2:CreateTransitGatewayMulticastDomain": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateTransitGatewayMulticastDomain.html",
        "ssm-incidents:UntagResource": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_UntagResource.html",
        "rds:RemoveFromGlobalCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_RemoveFromGlobalCluster.html",
        "sagemaker:DeleteEndpointConfig": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteEndpointConfig.html",
        "kinesisvideo:UpdateDataRetention": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_UpdateDataRetention.html",
        "fis:InjectApiInternalError": "https://docs.aws.amazon.com/fis/latest/APIReference/Welcome.html",
        "savingsplans:UntagResource": "https://docs.aws.amazon.com/savingsplans/latest/APIReference/API_UntagResource.html",
        "chime:UpdateAppInstanceUser": "https://docs.aws.amazon.com/chime/latest/APIReference/API_UpdateAppInstanceUser.html",
        "iotanalytics:CancelPipelineReprocessing": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_CancelPipelineReprocessing.html",
        "amplifybackend:DeleteBackendAPI": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-api-backendenvironmentname-remove.html#DeleteBackendAPI",
        "elasticache:ModifyUser": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_ModifyUser.html",
        "wafv2:PutLoggingConfiguration": "https://docs.aws.amazon.com/waf/latest/APIReference/API_PutLoggingConfiguration.html",
        "clouddirectory:UpdateObjectAttributes": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_UpdateObjectAttributes.html",
        "chatbot:UpdateChimeWebhookConfiguration": null,
        "geo:BatchUpdateDevicePosition": "https://docs.aws.amazon.com/location/latest/developerguide/API_BatchUpdateDevicePosition.html",
        "proton:CreateServiceTemplateVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_CreateServiceTemplateVersion.html",
        "ec2:DeleteClientVpnRoute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteClientVpnRoute.html",
        "elasticbeanstalk:DeleteConfigurationTemplate": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_DeleteConfigurationTemplate.html",
        "ec2:CreateCapacityReservation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateCapacityReservation.html",
        "proton:UpdateServiceTemplateMinorVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_UpdateServiceTemplateMinorVersion.html",
        "s3-outposts:PutBucketTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_PutBucketTagging.html",
        "quicksight:DeleteFolderMembership": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteFolderMembership.html",
        "ec2:CreateNetworkInterfacePermission": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateNetworkInterfacePermission.html",
        "iam:PutRolePermissionsBoundary": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_PutRolePermissionsBoundary.html",
        "auditmanager:UpdateControl": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_UpdateControl.html",
        "ec2:AttachInternetGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AttachInternetGateway.html",
        "iotevents:DeleteInput": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_DeleteInput.html",
        "ssm-incidents:DeleteReplicationSet": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_DeleteReplicationSet.html",
        "fsx:CreateVolume": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_CreateVolume.html",
        "wafv2:DeleteRegexPatternSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_DeleteRegexPatternSet.html",
        "chime:CreateChannelMembership": "https://docs.aws.amazon.com/chime/latest/APIReference/API_CreateChannelMembership.html",
        "apprunner:CreateService": "https://docs.aws.amazon.com/apprunner/latest/api/API_CreateService.html",
        "servicediscovery:RegisterInstance": "https://docs.aws.amazon.com/cloud-map/latest/api/API_RegisterInstance.html",
        "rds:CopyDBClusterParameterGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CopyDBClusterParameterGroup.html",
        "cloudfront:DeleteDistribution": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_DeleteDistribution.html",
        "cognito-idp:UpdateResourceServer": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_UpdateResourceServer.html",
        "mediatailor:CreateVodSource": "https://docs.aws.amazon.com/mediatailor/latest/apireference/sourcelocation-sourcelocationname-vodsource-vodsourcename.html",
        "connect:AssociateSecurityKey": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "geo:CreateTracker": "https://docs.aws.amazon.com/location/latest/developerguide/API_CreateTracker.html",
        "clouddirectory:UpdateLinkAttributes": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_UpdateLinkAttributes.html",
        "resource-groups:UpdateGroup": "https://docs.aws.amazon.com/ARG/latest/APIReference/API_UpdateGroup.html",
        "iam:AddClientIDToOpenIDConnectProvider": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_AddClientIDToOpenIDConnectProvider.html",
        "workmail:CreateMailUser": "https://docs.aws.amazon.com/workmail/latest/adminguide/manage-users.html",
        "qldb:ExecuteStatement": "https://docs.aws.amazon.com/qldb/latest/developerguide/console_QLDB.html",
        "networkmanager:DeleteConnection": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_DeleteConnection.html",
        "codecommit:UpdateDefaultBranch": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_UpdateDefaultBranch.html",
        "ec2:DeleteTransitGatewayPeeringAttachment": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteTransitGatewayPeeringAttachment.html",
        "dms:RebootReplicationInstance": "https://docs.aws.amazon.com/dms/latest/APIReference/API_RebootReplicationInstance.html",
        "route53resolver:PutFirewallRuleGroupPolicy": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_PutFirewallRuleGroupPolicy.html",
        "codeguru-reviewer:PutRecommendationFeedback": "https://docs.aws.amazon.com/codeguru/latest/reviewer-api/API_PutRecommendationFeedback.html",
        "waf-regional:CreateByteMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_CreateByteMatchSet.html",
        "iot:UpdateTopicRuleDestination": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateTopicRuleDestination.html",
        "storagegateway:AddWorkingStorage": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_AddWorkingStorage.html",
        "ec2:ModifyTransitGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyTransitGateway.html",
        "iam:UntagServerCertificate": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UntagServerCertificate.html",
        "machinelearning:DeleteDataSource": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_DeleteDataSource.html",
        "medialive:UpdateReservation": "https://docs.aws.amazon.com/medialive/latest/ug/reservations.html",
        "robomaker:SyncDeploymentJob": "https://docs.aws.amazon.com/robomaker/latest/dg/API_SyncDeploymentJob.html",
        "datasync:DeleteTask": "https://docs.aws.amazon.com/datasync/latest/userguide/API_DeleteTask.html",
        "forecast:StopResource": "https://docs.aws.amazon.com/forecast/latest/dg/API_StopResource.html",
        "iotwireless:UpdatePartnerAccount": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_UpdatePartnerAccount.html",
        "ec2:AssociateAddress": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AssociateAddress.html",
        "mq:UpdateUser": "https://docs.aws.amazon.com/amazon-mq/latest/api-reference/rest-api-username.html#rest-api-username-methods-put",
        "secretsmanager:CreateSecret": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "codecommit:TagResource": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_TagResource.html",
        "iam:PutGroupPolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_PutGroupPolicy.html",
        "backup:UpdateRecoveryPointLifecycle": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_UpdateRecoveryPointLifecycle.html",
        "workmailmessageflow:PutRawMessageContent": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_messageflow_PutRawMessageContent.html",
        "airflow:CreateWebLoginToken": "https://docs.aws.amazon.com/mwaa/latest/userguide/mwaa-actions-resources.html",
        "proton:UpdateEnvironmentTemplateVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_UpdateEnvironmentTemplateVersion.html",
        "appstream:DeleteImage": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_DeleteImage.html",
        "wellarchitected:DeleteWorkloadShare": "https://docs.aws.amazon.com/wellarchitected/latest/APIReference/API_DeleteWorkloadShare.html",
        "elasticache:CreateCacheParameterGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_CreateCacheParameterGroup.html",
        "ec2:ReplaceNetworkAclEntry": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ReplaceNetworkAclEntry.html",
        "cloudtrail:CreateTrail": "https://docs.aws.amazon.com/awscloudtrail/latest/APIReference/API_CreateTrail.html",
        "cognito-idp:AdminSetUserMFAPreference": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminSetUserMFAPreference.html",
        "comprehend:UpdateEndpoint": "https://docs.aws.amazon.com/comprehend/latest/dg/API_UpdateEndpoint.html",
        "directconnect:AssociateHostedConnection": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_AssociateHostedConnection.html",
        "directconnect:CreateTransitVirtualInterface": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_CreateTransitVirtualInterface.html",
        "nimble:CreateStreamingImage": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-streaming-images.html",
        "redshift:CreateClusterParameterGroup": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_CreateClusterParameterGroup.html",
        "redshift:DeleteHsmConfiguration": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DeleteHsmConfiguration.html",
        "nimble:CreateStreamingSessionStream": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-streaming-sessions-sessionid-streams.html",
        "servicecatalog:ProvisionProduct": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_ProvisionProduct.html",
        "s3:DeleteAccessPointPolicyForObjectLambda": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_DeleteAccessPointPolicyForObjectLambda.html",
        "elasticache:DeleteSnapshot": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_DeleteSnapshot.html",
        "apprunner:StartDeployment": "https://docs.aws.amazon.com/apprunner/latest/api/API_StartDeployment.html",
        "mgh:DisassociateDiscoveredResource": "https://docs.aws.amazon.com/migrationhub/latest/ug/API_DisassociateDiscoveredResource.html",
        "iotevents:UpdateInputRouting": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_UpdateInputRouting.html",
        "amplifybackend:DeleteToken": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-challenge-sessionid-remove.html#DeleteToken",
        "s3:PutBucketObjectLockConfiguration": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectLockConfiguration.html",
        "voiceid:StartFraudsterRegistrationJob": "https://docs.aws.amazon.com/voiceid/latest/APIReference/API_StartFraudsterRegistrationJob.html",
        "s3:PutBucketAcl": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketAcl.html",
        "detective:DeleteMembers": "https://docs.aws.amazon.com/detective/latest/APIReference/API_DeleteMembers.html",
        "ec2:TerminateInstances": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_TerminateInstances.html",
        "firehose:PutRecord": "https://docs.aws.amazon.com/firehose/latest/APIReference/API_PutRecord.html",
        "iot:UpdateJobExecution": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateJobExecution.html",
        "kms:ScheduleKeyDeletion": "https://docs.aws.amazon.com/kms/latest/APIReference/API_ScheduleKeyDeletion.html",
        "elasticbeanstalk:CreateApplicationVersion": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_CreateApplicationVersion.html",
        "redshift:AssociateDataShareConsumer": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_AssociateDataShareConsumer.html",
        "sagemaker:StopTrainingJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StopTrainingJob.html",
        "gamelift:TagResource": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_TagResource.html",
        "ssm-contacts:AssociateContact": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_AssociateContact.html",
        "amplifybackend:CloneBackend": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-environments-backendenvironmentname-clone.html#CloneBackend",
        "mq:CreateTags": "https://docs.aws.amazon.com/amazon-mq/latest/api-reference/rest-api-tags.html#rest-api-tags-methods-post",
        "iotanalytics:UntagResource": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_UntagResource.html",
        "ec2:DeleteTrafficMirrorFilter": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteTrafficMirrorFilter.html",
        "appmesh:CreateVirtualRouter": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_CreateVirtualRouter.html",
        "robomaker:CancelWorldGenerationJob": "https://docs.aws.amazon.com/robomaker/latest/dg/API_CancelWorldGenerationJob.html",
        "kms:UpdatePrimaryRegion": "https://docs.aws.amazon.com/kms/latest/APIReference/API_UpdatePrimaryRegion.html",
        "iam:CreateServiceLinkedRole": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateServiceLinkedRole.html",
        "ec2:ModifySpotFleetRequest": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifySpotFleetRequest.html",
        "databrew:PublishRecipe": "https://docs.aws.amazon.com/databrew/latest/dg/API_PublishRecipe.html",
        "cognito-sync:SetIdentityPoolConfiguration": "https://docs.aws.amazon.com/cognitosync/latest/APIReference/API_SetIdentityPoolConfiguration.html",
        "mobiletargeting:DeleteUserEndpoints": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-user.html#rest-api-user-methods",
        "autoscaling:DetachInstances": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_DetachInstances.html",
        "wisdom:DeleteKnowledgeBase": "https://docs.aws.amazon.com/wisdom/latest/APIReference/API_DeleteKnowledgeBase.html",
        "workmail:AssociateDelegateToResource": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_AssociateDelegateToResource.html",
        "sagemaker:CreateNotebookInstance": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateNotebookInstance.html",
        "globalaccelerator:DeleteCustomRoutingEndpointGroup": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_DeleteCustomRoutingEndpointGroup.html",
        "quicksight:UpdateIAMPolicyAssignment": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateIAMPolicyAssignment.html",
        "sagemaker:StartNotebookInstance": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StartNotebookInstance.html",
        "glue:CancelMLTaskRun": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-machine-learning-api.html#aws-glue-api-machine-learning-api-CancelMLTaskRun",
        "voiceid:StartSpeakerEnrollmentJob": "https://docs.aws.amazon.com/voiceid/latest/APIReference/API_StartSpeakerEnrollmentJob.html",
        "datasync:UpdateTask": "https://docs.aws.amazon.com/datasync/latest/userguide/API_UpdateTask.html",
        "ec2:ReplaceIamInstanceProfileAssociation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ReplaceIamInstanceProfileAssociation.html",
        "backup:CreateFramework": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_CreateFramework.html",
        "autoscaling:PutNotificationConfiguration": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_PutNotificationConfiguration.html",
        "elastictranscoder:CreatePipeline": "https://docs.aws.amazon.com/elastictranscoder/latest/developerguide/create-pipeline.html",
        "autoscaling:DeleteTags": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_DeleteTags.html",
        "worklink:UpdateDevicePolicyConfiguration": "https://docs.aws.amazon.com/worklink/latest/api/API_UpdateDevicePolicyConfiguration.html",
        "braket:CancelQuantumTask": "https://docs.aws.amazon.com/braket/latest/APIReference/API_CancelQuantumTask.html",
        "rds:CreateDBCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CreateDBCluster.html",
        "kms:Encrypt": "https://docs.aws.amazon.com/kms/latest/APIReference/API_Encrypt.html",
        "states:CreateActivity": "https://docs.aws.amazon.com/step-functions/latest/apireference/API_CreateActivity.html",
        "rds:ModifyDBProxyEndpoint": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyDBProxyEndpoint.html",
        "cloudsearch:UpdateAvailabilityOptions": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_UpdateAvailabilityOptions.html",
        "ssm:CreateAssociationBatch": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_CreateAssociationBatch.html",
        "elasticmapreduce:ModifyInstanceGroups": "https://docs.aws.amazon.com/emr/latest/APIReference/API_ModifyInstanceGroups.html",
        "iot:DeleteSecurityProfile": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteSecurityProfile.html",
        "cloudsearch:DefineIndexField": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_DefineIndexField.html",
        "s3-outposts:PutObjectAcl": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectAcl.html",
        "mobiletargeting:UpdateEmailTemplate": "https://docs.aws.amazon.com/pinpoint/latest/apireference/templates-template-name-email.html#templates-template-name-email-http-methods",
        "s3-object-lambda:WriteGetObjectResponse": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_WriteGetObjectResponse.html",
        "quicksight:UpdateFolderPermissions": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateFolderPermissions.html",
        "ssm:UpdateMaintenanceWindowTask": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_UpdateMaintenanceWindowTask.html",
        "wellarchitected:DisassociateLenses": "https://docs.aws.amazon.com/wellarchitected/latest/APIReference/API_DisassociateLenses.html",
        "iam:DeleteOpenIDConnectProvider": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteOpenIDConnectProvider.html",
        "workmail:CreateAlias": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_CreateAlias.html",
        "synthetics:StopCanary": "https://docs.aws.amazon.com/AmazonSynthetics/latest/APIReference/API_StopCanary.html",
        "athena:DeleteDataCatalog": "https://docs.aws.amazon.com/athena/latest/APIReference/API_DeleteDataCatalog.html",
        "fis:DeleteExperimentTemplate": "https://docs.aws.amazon.com/fis/latest/APIReference/API_DeleteExperimentTemplate.html",
        "iot1click:CreatePlacement": "https://docs.aws.amazon.com/iot-1-click/latest/projects-apireference/API_CreatePlacement.html",
        "swf:UndeprecateWorkflowType": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_UndeprecateWorkflowType.html",
        "events:DisableRule": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_DisableRule.html",
        "workspaces:AssociateIpGroups": "https://docs.aws.amazon.com/workspaces/latest/api/API_AssociateIpGroups.html",
        "ecs:UpdateClusterSettings": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_UpdateClusterSettings.html",
        "codeartifact:TagResource": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_TagResource.html",
        "codebuild:CreateReport": "https://docs.aws.amazon.com/codebuild/latest/userguide/auth-and-access-control-iam-identity-based-access-control.html#console-policies",
        "connect:DisassociateApprovedOrigin": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "kinesisanalytics:StopApplication": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_StopApplication.html",
        "quicksight:RegisterUser": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_RegisterUser.html",
        "sagemaker:DeleteAction": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteAction.html",
        "workspaces:DeleteWorkspaceImage": "https://docs.aws.amazon.com/workspaces/latest/api/API_DeleteWorkspaceImage.html",
        "cloudshell:GetFileUploadUrls": "https://docs.aws.amazon.com/cloudshell/latest/userguide/sec-auth-with-identities.html#GetFileUploadUrls",
        "greengrass:DeleteCoreDevice": "https://docs.aws.amazon.com/greengrass/v2/APIReference/API_DeleteCoreDevice.html",
        "lambda:UpdateFunctionConfiguration": "https://docs.aws.amazon.com/lambda/latest/dg/API_UpdateFunctionConfiguration.html",
        "a4b:DisassociateContactFromAddressBook": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DisassociateContactFromAddressBook.html",
        "backup:StartBackupJob": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_StartBackupJob.html",
        "iam:DeleteAccessKey": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteAccessKey.html",
        "cognito-idp:AdminRemoveUserFromGroup": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminRemoveUserFromGroup.html",
        "ec2:DeleteNetworkInsightsAnalysis": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteNetworkInsightsAnalysis.html",
        "s3-object-lambda:PutObjectRetention": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectRetention.html",
        "lightsail:AllocateStaticIp": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_AllocateStaticIp.html",
        "datasync:UpdateAgent": "https://docs.aws.amazon.com/datasync/latest/userguide/API_UpdateAgent.html",
        "devicefarm:CreateTestGridUrl": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_CreateTestGridUrl.html",
        "codecommit:MergeBranchesBySquash": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_MergeBranchesBySquash.html",
        "elastictranscoder:CancelJob": "https://docs.aws.amazon.com/elastictranscoder/latest/developerguide/cancel-job.html",
        "ec2:CreateVolume": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateVolume.html",
        "route53resolver:UpdateResolverDnssecConfig": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_UpdateResolverDnssecConfig.html",
        "license-manager:UpdateLicenseSpecificationsForResource": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_UpdateLicenseSpecificationsForResource.html",
        "rds:ModifyDBProxy": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyDBProxy.html",
        "redshift:CreateTags": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_CreateTags.html",
        "workmail:DeleteAlias": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_DeleteAlias.html",
        "sso:DeleteAccountAssignment": "https://docs.aws.amazon.com/singlesignon/latest/APIReference/API_DeleteAccountAssignment.html",
        "ec2:AssociateInstanceEventWindow": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AssociateInstanceEventWindow.html",
        "ses:CreateDeliverabilityTestReport": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_CreateDeliverabilityTestReport.html",
        "rds:CreateDBParameterGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CreateDBParameterGroup.html",
        "mgn:SendAgentMetricsForMgn": "https://docs.aws.amazon.com/mgn/latest/ug/mgn-apis.html",
        "kms:TagResource": "https://docs.aws.amazon.com/kms/latest/APIReference/API_TagResource.html",
        "ec2:DeleteKeyPair": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteKeyPair.html",
        "glue:DeleteConnection": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-connections.html#aws-glue-api-catalog-connections-DeleteConnection",
        "ecr:StartImageScan": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_StartImageScan.html",
        "medialive:UpdateMultiplex": "https://docs.aws.amazon.com/medialive/latest/ug/edit-multiplex.html",
        "mq:DeleteUser": "https://docs.aws.amazon.com/amazon-mq/latest/api-reference/rest-api-username.html#rest-api-username-methods-delete",
        "mq:RebootBroker": "https://docs.aws.amazon.com/amazon-mq/latest/api-reference/rest-api-restart.html#rest-api-reboot-methods-post",
        "cloudformation:CancelUpdateStack": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_CancelUpdateStack.html",
        "iam:ResyncMFADevice": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_ResyncMFADevice.html",
        "ds:DisableSso": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_DisableSso.html",
        "elasticache:ModifyUserGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_ModifyUserGroup.html",
        "mobiletargeting:DeleteEmailChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-email-channel.html#rest-api-email-channel-methods",
        "storagegateway:UpdateSMBSecurityStrategy": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_UpdateSMBSecurityStrategy.html",
        "waf:DeleteRule": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_DeleteRule.html",
        "lambda:UpdateCodeSigningConfig": "https://docs.aws.amazon.com/lambda/latest/dg/API_UpdateCodeSigningConfig.html",
        "s3:DeleteBucket": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteBucket.html",
        "lightsail:CreateLoadBalancer": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateLoadBalancer.html",
        "medialive:BatchDelete": "https://docs.aws.amazon.com/medialive/latest/ug/editing-deleting-channel.html",
        "iot:CreateStream": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateStream.html",
        "redshift:ModifyAquaConfiguration": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ModifyAquaConfiguration.html",
        "codestar-notifications:UpdateNotificationRule": "https://docs.aws.amazon.com/codestar-notifications/latest/APIReference/API_UpdateNotificationRule.html",
        "rds:CreateDBSecurityGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CreateDBSecurityGroup.html",
        "workspaces:AuthorizeIpRules": "https://docs.aws.amazon.com/workspaces/latest/api/API_AuthorizeIpRules.html",
        "resource-groups:PutGroupPolicy": "https://docs.aws.amazon.com/ARG/latest/APIReference/LM_REDIRECT",
        "deepracer:PerformLeaderboardOperation": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-perform-leaderboard-operation.html",
        "iot:DeletePolicyVersion": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeletePolicyVersion.html",
        "ec2:ReportInstanceStatus": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ReportInstanceStatus.html",
        "connect:UpdateAgentStatus": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateAgentStatus.html",
        "fsx:CopyBackup": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_CopyBackup.html",
        "sagemaker:DeleteDomain": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteDomain.html",
        "qldb:ShowCatalog": "https://docs.aws.amazon.com/qldb/latest/developerguide/console_QLDB.html",
        "ses:SendCustomVerificationEmail": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_SendCustomVerificationEmail.html",
        "a4b:UntagResource": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_UntagResource.html",
        "iot1click:UpdatePlacement": "https://docs.aws.amazon.com/iot-1-click/latest/projects-apireference/API_UpdatePlacement.html",
        "kafka-cluster:Connect": "https://docs.aws.amazon.com/msk/latest/developerguide/iam-access-control.html#actions",
        "elasticache:RebootCacheCluster": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_RebootCacheCluster.html",
        "ec2:CreateTrafficMirrorSession": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateTrafficMirrorSession.html",
        "ec2:AuthorizeClientVpnIngress": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AuthorizeClientVpnIngress.html",
        "a4b:CreateRoom": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_CreateRoom.html",
        "chime:DeleteChannelMessage": "https://docs.aws.amazon.com/chime/latest/APIReference/API_DeleteChannelMessage.html",
        "imagebuilder:DeleteImage": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_DeleteImage.html",
        "emr-containers:DeleteVirtualCluster": "https://docs.aws.amazon.com/emr-on-eks/latest/APIReference/API_DeleteVirtualCluster.html",
        "elasticmapreduce:DeleteEditor": "https://docs.aws.amazon.com/emr/latest/ManagementGuide/emr-managed-notebooks.html#emr-managed-notebooks-deleting",
        "monitron:DisassociateProjectAdminUser": "https://docs.aws.amazon.com/Monitron/latest/admin-guide/mu-remove-project-admin.html",
        "route53resolver:DeleteResolverRule": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_DeleteResolverRule.html",
        "storagegateway:CreateSnapshotFromVolumeRecoveryPoint": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_CreateSnapshotFromVolumeRecoveryPoint.html",
        "connect:DisassociateCustomerProfilesDomain": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "elasticache:DisassociateGlobalReplicationGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_DisassociateGlobalReplicationGroup.html",
        "servicecatalog:CreateAttributeGroup": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_app-registry_CreateAttributeGroup.html",
        "lightsail:DeleteDiskSnapshot": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteDiskSnapshot.html",
        "iotevents:BatchUpdateDetector": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_iotevents-data_BatchUpdateDetector.html",
        "sns:Subscribe": "https://docs.aws.amazon.com/sns/latest/api/API_Subscribe.html",
        "ssm:RemoveTagsFromResource": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_RemoveTagsFromResource.html",
        "glacier:CreateVault": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-vault-put.html",
        "geo:DisassociateTrackerConsumer": "https://docs.aws.amazon.com/location/latest/developerguide/API_DisassociateTrackerConsumer.html",
        "ds:UpdateRadius": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_UpdateRadius.html",
        "sagemaker:DeleteDeviceFleet": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteDeviceFleet.html",
        "codeartifact:DeleteDomainPermissionsPolicy": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_DeleteDomainPermissionsPolicy.html",
        "cloudwatch:TagResource": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_TagResource.html",
        "databrew:DeleteDataset": "https://docs.aws.amazon.com/databrew/latest/dg/API_DeleteDataset.html",
        "xray:CreateGroup": "https://docs.aws.amazon.com/xray/latest/api/API_CreateGroup.html",
        "codedeploy:DeleteApplication": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_DeleteApplication.html",
        "dlm:UntagResource": "https://docs.aws.amazon.com/dlm/latest/APIReference/API_UntagResource.html",
        "rds:StopDBCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_StopDBCluster.html",
        "medialive:CreateInput": "https://docs.aws.amazon.com/medialive/latest/ug/creating-input.html",
        "serverlessrepo:PutApplicationPolicy": null,
        "groundstation:CancelContact": "https://docs.aws.amazon.com/ground-station/latest/APIReference/API_CancelContact.html",
        "rds:RestoreDBClusterFromS3": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_RestoreDBClusterFromS3.html",
        "ec2:ResetSnapshotAttribute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ResetSnapshotAttribute.html",
        "gamelift:CreateFleetLocations": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_CreateFleetLocations.html",
        "gamelift:DeleteMatchmakingConfiguration": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_DeleteMatchmakingConfiguration.html",
        "macie2:CreateMember": "https://docs.aws.amazon.com/macie/latest/APIReference/members.html",
        "s3-outposts:DeleteBucketPolicy": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_DeleteBucketPolicy.html",
        "aps:CreateAlertManagerDefinition": "https://docs.aws.amazon.com/prometheus/latest/userguide/AMP-APIReference.html#AMP-APIReference-CreateAlertManagerDefinition",
        "amplify:TagResource": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "finspace:TagResource": "https://docs.aws.amazon.com/finspace/latest/management-api/API_TagResource.html",
        "cloudwatch:PutDashboard": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_PutDashboard.html",
        "kms:PutKeyPolicy": "https://docs.aws.amazon.com/kms/latest/APIReference/API_PutKeyPolicy.html",
        "lightsail:ImportKeyPair": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_ImportKeyPair.html",
        "waf:DeletePermissionPolicy": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_DeletePermissionPolicy.html",
        "glue:BatchDeleteTableVersion": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-tables.html#aws-glue-api-catalog-tables-DeleteTableVersion",
        "lex:PutSession": "https://docs.aws.amazon.com/lexv2/latest/dg/API_runtime_PutSession.html",
        "es:StartServiceSoftwareUpdate": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-startupdate",
        "iam:UpdateSAMLProvider": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateSAMLProvider.html",
        "s3-outposts:DeleteBucket": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_DeleteBucket.html",
        "ecs:DeleteCapacityProvider": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_DeleteCapacityProvider.html",
        "cloudsearch:IndexDocuments": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_IndexDocuments.html",
        "iot:AttachSecurityProfile": "https://docs.aws.amazon.com/iot/latest/apireference/API_AttachSecurityProfile.html",
        "dynamodb:UpdateTableReplicaAutoScaling": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_UpdateTableReplicaAutoScaling.html",
        "elasticache:ModifyGlobalReplicationGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_ModifyGlobalReplicationGroup.html",
        "iotthingsgraph:DeleteFlowTemplate": "https://docs.aws.amazon.com/thingsgraph/latest/APIReference/{APIReferenceDocPage}API_DeleteFlowTemplate.html",
        "ivs:DeletePlaybackKeyPair": "https://docs.aws.amazon.com/ivs/latest/APIReference/API_DeletePlaybackKeyPair.html",
        "redshift:ModifyClusterParameterGroup": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ModifyClusterParameterGroup.html",
        "cassandra:Drop": null,
        "codecommit:MergePullRequestByThreeWay": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_MergePullRequestByThreeWay.html",
        "elasticmapreduce:CreateStudioSessionMapping": "https://docs.aws.amazon.com/emr/latest/ManagementGuide/emr-studio.html",
        "events:PutTargets": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_PutTargets.html",
        "forecast:DeleteResourceTree": "https://docs.aws.amazon.com/forecast/latest/dg/API_DeleteResourceTree.html",
        "dlm:DeleteLifecyclePolicy": "https://docs.aws.amazon.com/dlm/latest/APIReference/API_DeleteLifecyclePolicy.html",
        "cognito-idp:UpdateUserPoolDomain": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_UpdateUserPoolDomain.html",
        "states:DeleteStateMachine": "https://docs.aws.amazon.com/step-functions/latest/apireference/API_DeleteStateMachine.html",
        "frauddetector:DeleteEvent": "https://docs.aws.amazon.com/frauddetector/latest/api/API_DeleteEvent",
        "es:CreateOutboundCrossClusterSearchConnection": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-create-outbound-cross-cluster-search-connection",
        "workmail:CreateMailDomain": "https://docs.aws.amazon.com/workmail/latest/adminguide/add_domain.html",
        "ec2:PurchaseReservedInstancesOffering": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_PurchaseReservedInstancesOffering.html",
        "license-manager:UpdateLicenseConfiguration": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_UpdateLicenseConfiguration.html",
        "codeartifact:UntagResource": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_UntagResource.html",
        "auditmanager:AssociateAssessmentReportEvidenceFolder": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_AssociateAssessmentReportEvidenceFolder.html",
        "codedeploy:CreateDeployment": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_CreateDeployment.html",
        "devicefarm:TagResource": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_TagResource.html",
        "ds:DeregisterCertificate": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_DeregisterCertificate.html",
        "devicefarm:UpdateInstanceProfile": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_UpdateInstanceProfile.html",
        "elasticmapreduce:AddJobFlowSteps": "https://docs.aws.amazon.com/emr/latest/APIReference/API_AddJobFlowSteps.html",
        "frauddetector:UntagResource": "https://docs.aws.amazon.com/frauddetector/latest/api/API_UntagResource.html",
        "storagegateway:DeleteTape": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_DeleteTape.html",
        "waf-regional:CreateRuleGroup": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_CreateRuleGroup.html",
        "ec2:RequestSpotFleet": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RequestSpotFleet.html",
        "networkmanager:UpdateGlobalNetwork": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_UpdateGlobalNetwork.html",
        "a4b:RevokeInvitation": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_RevokeInvitation.html",
        "chime:DeleteAppInstanceUser": "https://docs.aws.amazon.com/chime/latest/APIReference/API_DeleteAppInstanceUser.html",
        "sagemaker:DeleteAlgorithm": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteAlgorithm.html",
        "elasticloadbalancing:CreateRule": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_CreateRule.html",
        "globalaccelerator:UpdateCustomRoutingListener": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_UpdateCustomRoutingListener.html",
        "appconfig:UpdateEnvironment": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_UpdateEnvironment.html",
        "elasticache:DeleteReplicationGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_DeleteReplicationGroup.html",
        "databrew:StopJobRun": "https://docs.aws.amazon.com/databrew/latest/dg/API_StopJobRun.html",
        "mobiletargeting:UpdateVoiceChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-voice-channel.html#rest-api-voice-channel-methods",
        "eks:UpdateAddon": "https://docs.aws.amazon.com/eks/latest/APIReference/API_UpdateAddon.html",
        "servicecatalog:UntagResource": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_app-registry_UntagResource.html",
        "ec2:CopyFpgaImage": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CopyFpgaImage.html",
        "iotanalytics:CreateChannel": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_CreateChannel.html",
        "codecommit:PutFile": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_PutFile.html",
        "glue:TagResource": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-tags.html#aws-glue-api-tags-TagResource",
        "autoscaling:PutWarmPool": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_PutWarmPool.html",
        "kms:ReEncryptTo": "https://docs.aws.amazon.com/kms/latest/APIReference/API_ReEncrypt.html",
        "mobiletargeting:RemoveAttributes": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-app.html#rest-api-app-methods",
        "codebuild:UpdateProjectVisibility": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_UpdateProjectVisibility.html",
        "sagemaker:UpdateContext": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateContext.html",
        "acm-pca:UntagCertificateAuthority": "https://docs.aws.amazon.com/acm-pca/latest/APIReference/API_UntagCertificateAuthority.html",
        "autoscaling:CreateOrUpdateTags": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_CreateOrUpdateTags.html",
        "connect:UpdateUserHierarchy": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateUserHierarchy.html",
        "apigateway:PUT": "https://docs.aws.amazon.com/apigateway/api-reference/API_PUT.html",
        "ec2:DetachClassicLinkVpc": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DetachClassicLinkVpc.html",
        "databrew:UpdateRecipe": "https://docs.aws.amazon.com/databrew/latest/dg/API_UpdateRecipe.html",
        "appmesh:UntagResource": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UntagResource.html",
        "sagemaker:DisassociateTrialComponent": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DisassociateTrialComponent.html",
        "wafv2:DeleteWebACL": "https://docs.aws.amazon.com/waf/latest/APIReference/API_DeleteWebACL.html",
        "ec2:ModifyTrafficMirrorSession": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyTrafficMirrorSession.html",
        "devicefarm:DeleteVPCEConfiguration": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_DeleteVPCEConfiguration.html",
        "directconnect:TagResource": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_TagResource.html",
        "mediaconvert:DeletePreset": "https://docs.aws.amazon.com/mediaconvert/latest/apireference/presets-name.html",
        "config:DeleteConfigRule": "https://docs.aws.amazon.com/config/latest/APIReference/API_DeleteConfigRule.html",
        "ecr-public:PutImage": "https://docs.aws.amazon.com/AmazonECRPublic/latest/APIReference/API_PutImage.html",
        "kafka-cluster:AlterTopicDynamicConfiguration": "https://docs.aws.amazon.com/msk/latest/developerguide/iam-access-control.html#actions",
        "ec2:AssociateTransitGatewayRouteTable": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AssociateTransitGatewayRouteTable.html",
        "deepcomposer:CreateAudio": "https://docs.aws.amazon.com/deepcomposer/latest/devguide/get-started-learn-from-pre-trained-models.html",
        "athena:DeleteWorkGroup": "https://docs.aws.amazon.com/athena/latest/APIReference/API_DeleteWorkGroup.html",
        "backup:UpdateReportPlan": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_UpdateReportPlan.html",
        "healthlake:UpdateResource": "https://docs.aws.amazon.com/healthlake/latest/devguide/crud-healthlake.html",
        "transfer:UpdateServer": "https://docs.aws.amazon.com/transfer/latest/userguide/API_UpdateServer.html",
        "directconnect:ConfirmPublicVirtualInterface": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_ConfirmPublicVirtualInterface.html",
        "swf:UntagResource": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_UntagResource.html",
        "eks:UpdateNodegroupVersion": "https://docs.aws.amazon.com/eks/latest/APIReference/API_UpdateNodegroupVersion.html",
        "codeguru-reviewer:DisassociateRepository": "https://docs.aws.amazon.com/codeguru/latest/reviewer-api/API_DisassociateRepository.html",
        "glue:UpdatePartition": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-partitions.html#aws-glue-api-catalog-partitions-UpdatePartition",
        "quicksight:UpdateGroup": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateGroup.html",
        "codepipeline:PollForJobs": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_PollForJobs.html",
        "redshift:DeleteClusterParameterGroup": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DeleteClusterParameterGroup.html",
        "auditmanager:TagResource": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_TagResource.html",
        "codestar:CreateUserProfile": "https://docs.aws.amazon.com/codestar/latest/APIReference/API_CreateUserProfile.html",
        "lex:CreateSlot": "https://docs.aws.amazon.com/lexv2/latest/dg/API_CreateSlot.html",
        "iotthingsgraph:UndeploySystemInstance": "https://docs.aws.amazon.com/thingsgraph/latest/APIReference/{APIReferenceDocPage}API_UndeploySystemInstance.html",
        "events:RemoveTargets": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_RemoveTargets.html",
        "codebuild:DeleteWebhook": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_DeleteWebhook.html",
        "workmail:UpdateMobileDeviceAccessRule": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_UpdateMobileDeviceAccessRule.html",
        "dataexchange:DeleteRevision": "https://docs.aws.amazon.com/data-exchange/latest/apireference/v1-data-sets-datasetid-revisions-revisionid.html#DeleteRevision",
        "elasticbeanstalk:UpdateApplication": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_UpdateApplication.html",
        "ds:EnableSso": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_EnableSso.html",
        "quicksight:DeleteNamespace": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteNamespace.html",
        "dms:StartReplicationTaskAssessmentRun": "https://docs.aws.amazon.com/dms/latest/APIReference/API_StartReplicationTaskAssessmentRun.html",
        "iam:DeleteUserPermissionsBoundary": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteUserPermissionsBoundary.html",
        "codebuild:DeleteBuildBatch": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_DeleteBuildBatch.html",
        "codestar-connections:UpdateHost": "https://docs.aws.amazon.com/codestar-connections/latest/APIReference/API_UpdateHost.html",
        "ssm:AddTagsToResource": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_AddTagsToResource.html",
        "sqlworkbench:UpdateSavedQuery": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "iot:DeprecateThingType": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeprecateThingType.html",
        "worklink:AssociateWebsiteCertificateAuthority": "https://docs.aws.amazon.com/worklink/latest/api/API_AssociateWebsiteCertificateAuthority.html",
        "appconfig:DeleteApplication": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_DeleteApplication.html",
        "opsworks:SetTimeBasedAutoScaling": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_SetTimeBasedAutoScaling.html",
        "iotevents:BatchResetAlarm": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_iotevents-data_BatchResetAlarm.html",
        "dax:UpdateCluster": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_dax_UpdateCluster.html",
        "frauddetector:UpdateDetectorVersionMetadata": "https://docs.aws.amazon.com/frauddetector/latest/api/API_UpdateDetectorVersionMetadata",
        "kinesisanalytics:AddApplicationInput": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_AddApplicationInput.html",
        "lambda:DeleteFunctionCodeSigningConfig": "https://docs.aws.amazon.com/lambda/latest/dg/API_DeleteFunctionCodeSigningConfig.html",
        "chime:CreateAttendee": "https://docs.aws.amazon.com/chime/latest/APIReference/API_CreateAttendee.html",
        "elasticmapreduce:PutAutoScalingPolicy": "https://docs.aws.amazon.com/emr/latest/APIReference/API_PutAutoScalingPolicy.html",
        "waf:DeleteIPSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_DeleteIPSet.html",
        "ses:CreateConfigurationSet": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_CreateConfigurationSet.html",
        "codestar-connections:DeleteHost": "https://docs.aws.amazon.com/codestar-connections/latest/APIReference/API_DeleteHost.html",
        "appmesh-preview:UpdateRoute": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UpdateRoute.html",
        "wafv2:DeleteIPSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_DeleteIPSet.html",
        "wisdom:UpdateContent": "https://docs.aws.amazon.com/wisdom/latest/APIReference/API_UpdateContent.html",
        "workmail:UpdateInboundMailFlowRule": "https://docs.aws.amazon.com/workmail/latest/adminguide/modify-email-flow-rule.html",
        "elasticmapreduce:StartEditor": "https://docs.aws.amazon.com/emr/latest/ManagementGuide/emr-managed-notebooks-working-with.html",
        "iot:Receive": "https://docs.aws.amazon.com/iot/latest/developerguide/policy-actions.html",
        "quicksight:TagResource": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_TagResource.html",
        "ses:PutConfigurationSetSuppressionOptions": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_PutConfigurationSetSuppressionOptions.html",
        "backup:UpdateFramework": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_UpdateFramework.html",
        "waf-regional:DeleteRuleGroup": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DeleteRuleGroup.html",
        "codepipeline:UpdatePipeline": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_UpdatePipeline.html",
        "opsworks:DeleteApp": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_DeleteApp.html",
        "ssm-incidents:DeleteResponsePlan": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_DeleteResponsePlan.html",
        "mediaconvert:UpdateQueue": "https://docs.aws.amazon.com/mediaconvert/latest/apireference/queues-name.html",
        "clouddirectory:CreateFacet": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_CreateFacet.html",
        "frauddetector:DeleteDetector": "https://docs.aws.amazon.com/frauddetector/latest/api/API_DeleteDetector",
        "kinesis:IncreaseStreamRetentionPeriod": "https://docs.aws.amazon.com/kinesis/latest/APIReference/API_IncreaseStreamRetentionPeriod.html",
        "license-manager:UpdateLicenseManagerReportGenerator": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_UpdateLicenseManagerReportGenerator.html",
        "redshift:CreateCluster": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_CreateCluster.html",
        "s3:GetObject": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_GetObject.html",
        "amplify:DeleteDomainAssociation": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "kms:CreateGrant": "https://docs.aws.amazon.com/kms/latest/APIReference/API_CreateGrant.html",
        "elasticache:CreateCacheSecurityGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_CreateCacheSecurityGroup.html",
        "serverlessrepo:CreateApplicationVersion": null,
        "appmesh:UpdateMesh": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UpdateMesh.html",
        "iot:CreateScheduledAudit": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateScheduledAudit.html",
        "dynamodb:UpdateContinuousBackups": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_UpdateContinuousBackups.html",
        "cloudshell:StopEnvironment": "https://docs.aws.amazon.com/cloudshell/latest/userguide/sec-auth-with-identities.html#StopEnvironment",
        "ec2:ModifyVpnTunnelCertificate": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyVpnTunnelCertificate",
        "sns:Publish": "https://docs.aws.amazon.com/sns/latest/api/API_Publish.html",
        "backup:DeleteFramework": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_DeleteFramework.html",
        "cloud9:DeleteEnvironment": "https://docs.aws.amazon.com/cloud9/latest/APIReference/API_DeleteEnvironment.html",
        "ec2:EnableVolumeIO": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_EnableVolumeIO.html",
        "elasticfilesystem:TagResource": "https://docs.aws.amazon.com/efs/latest/ug/API_TagResource.html",
        "appmesh:DeleteRoute": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_DeleteRoute.html",
        "rds:CreateDBProxyEndpoint": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CreateDBProxyEndpoint.html",
        "network-firewall:PutResourcePolicy": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_PutResourcePolicy.html",
        "robomaker:CreateWorldExportJob": "https://docs.aws.amazon.com/robomaker/latest/dg/API_CreateWorldExportJob.html",
        "kafka-cluster:CreateTopic": "https://docs.aws.amazon.com/msk/latest/developerguide/iam-access-control.html#actions",
        "servicecatalog:CreatePortfolio": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_CreatePortfolio.html",
        "ecr-public:InitiateLayerUpload": "https://docs.aws.amazon.com/AmazonECRPublic/latest/APIReference/API_InitiateLayerUpload.html",
        "route53resolver:DisassociateFirewallRuleGroup": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_DisassociateFirewallRuleGroup.html",
        "kendra:StartDataSourceSyncJob": "https://docs.aws.amazon.com/kendra/latest/dg/API_StartDataSourceSyncJob.html",
        "guardduty:DeletePublishingDestination": "https://docs.aws.amazon.com/guardduty/latest/APIReference/API_DeletePublishingDestination.html",
        "ec2:ModifyTransitGatewayPrefixListReference": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyTransitGatewayPrefixListReference.html",
        "redshift:EnableSnapshotCopy": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_EnableSnapshotCopy.html",
        "opsworks:UpdateLayer": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_UpdateLayer.html",
        "iot:CreateThingGroup": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateThingGroup.html",
        "sagemaker:UpdateWorkteam": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateWorkteam.html",
        "ec2:AssociateVpcCidrBlock": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AssociateVpcCidrBlock.html",
        "sagemaker:DeleteTrial": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteTrial.html",
        "rds:StartDBInstance": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_StartDBInstance.html",
        "sagemaker:StopTransformJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StopTransformJob.html",
        "qldb:PartiQLDropIndex": "https://docs.aws.amazon.com/qldb/latest/developerguide/ql-reference.drop-index.html",
        "rds:AddRoleToDBCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_AddRoleToDBCluster.html",
        "frauddetector:PutEventType": "https://docs.aws.amazon.com/frauddetector/latest/api/API_PutEventType.html",
        "mobiletargeting:UpdateEndpointsBatch": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-endpoints.html#rest-api-endpoints-methods",
        "gamelift:UpdateGameServer": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_UpdateGameServer.html",
        "iotsitewise:UpdateGateway": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_UpdateGateway.html",
        "eks:UpdateClusterVersion": "https://docs.aws.amazon.com/eks/latest/APIReference/API_UpdateClusterVersion.html",
        "servicecatalog:AssociatePrincipalWithPortfolio": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_AssociatePrincipalWithPortfolio.html",
        "gamelift:UpdateRuntimeConfiguration": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_UpdateRuntimeConfiguration.html",
        "codestar-notifications:TagResource": "https://docs.aws.amazon.com/codestar-notifications/latest/APIReference/API_TagResource.html",
        "iam:PutRolePolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_PutRolePolicy.html",
        "quicksight:DescribeDataSetPermissions": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DescribeDataSetPermissions.html",
        "appconfig:StartDeployment": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_StartDeployment.html",
        "lambda:DeleteFunction": "https://docs.aws.amazon.com/lambda/latest/dg/API_DeleteFunction.html",
        "servicecatalog:UpdatePortfolioShare": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_UpdatePortfolioShare.html",
        "kms:ReplicateKey": "https://docs.aws.amazon.com/kms/latest/APIReference/API_ReplicateKey.html",
        "ec2:CreateVpcPeeringConnection": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateVpcPeeringConnection.html",
        "kinesisanalytics:DeleteApplicationReferenceDataSource": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_DeleteApplicationReferenceDataSource.html",
        "rds-data:CommitTransaction": "https://docs.aws.amazon.com/rdsdataservice/latest/APIReference/API_CommitTransaction.html",
        "elasticloadbalancing:DeleteLoadBalancer": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_DeleteLoadBalancer.html",
        "sagemaker:UpdateTrainingJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateTrainingJob.html",
        "codeartifact:DeletePackageVersions": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_DeletePackageVersions.html",
        "codecommit:UpdatePullRequestTitle": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_UpdatePullRequestTitle.html",
        "personalize:CreateSolution": "https://docs.aws.amazon.com/personalize/latest/dg/API_CreateSolution.html",
        "nimble:AcceptEulas": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-eula-acceptances.html",
        "devicefarm:UpdateDevicePool": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_UpdateDevicePool.html",
        "connect:TagResource": "https://docs.aws.amazon.com/connect/latest/APIReference/API_TagResource.html",
        "forecast:CreatePredictorBacktestExportJob": "https://docs.aws.amazon.com/forecast/latest/dg/API_CreatePredictorBacktestExportJob.html",
        "events:CreatePartnerEventSource": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_CreatePartnerEventSource.html",
        "cloudformation:RecordHandlerProgress": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_RecordHandlerProgress.html",
        "databrew:StartProjectSession": "https://docs.aws.amazon.com/databrew/latest/dg/API_StartProjectSession.html",
        "eks:DeleteNodegroup": "https://docs.aws.amazon.com/eks/latest/APIReference/API_DeleteNodegroup.html",
        "iotanalytics:UpdateDataset": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_UpdateDataset.html",
        "machinelearning:DeleteTags": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_DeleteTags.html",
        "kinesisanalytics:AddApplicationVpcConfiguration": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_AddApplicationVpcConfiguration.html",
        "lightsail:DeleteRelationalDatabase": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteRelationalDatabase.html",
        "nimble:UpdateStudioComponent": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-studio-components-studiocomponentid.html",
        "aps:PutAlertManagerDefinition": "https://docs.aws.amazon.com/prometheus/latest/userguide/AMP-APIReference.html#AMP-APIReference-PutAlertManagerDefinition",
        "auditmanager:BatchImportEvidenceToAssessmentControl": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_BatchImportEvidenceToAssessmentControl.html",
        "dms:DeleteReplicationSubnetGroup": "https://docs.aws.amazon.com/dms/latest/APIReference/API_DeleteReplicationSubnetGroup.html",
        "healthlake:DeleteFHIRDatastore": "https://docs.aws.amazon.com/healthlake/latest/APIReference/API_DeleteFHIRDatastore.html",
        "rds:RemoveRoleFromDBInstance": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_RemoveRoleFromDBInstance.html",
        "opsworks:StartInstance": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_StartInstance.html",
        "geo:BatchDeleteGeofence": "https://docs.aws.amazon.com/location/latest/developerguide/API_BatchDeleteGeofence.html",
        "cloudwatch:DeleteDashboards": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_DeleteDashboards.html",
        "iam:UpdateSigningCertificate": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateSigningCertificate.html",
        "iotevents:CreateDetectorModel": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_CreateDetectorModel.html",
        "iotwireless:PutResourceLogLevel": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_PutResourceLogLevel.html",
        "iot:DeleteJobTemplate": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteJobTemplate.html",
        "lambda:DeleteEventSourceMapping": "https://docs.aws.amazon.com/lambda/latest/dg/API_DeleteEventSourceMapping.html",
        "rds:StartActivityStream": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_StartActivityStream.html",
        "sagemaker:CreateProject": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateProject.html",
        "memorydb:ResetParameterGroup": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_ResetParameterGroup.html",
        "servicecatalog:TagResource": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_app-registry_TagResource.html",
        "globalaccelerator:UpdateAccelerator": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_UpdateAccelerator.html",
        "workspaces:TerminateWorkspaces": "https://docs.aws.amazon.com/workspaces/latest/api/API_TerminateWorkspaces.html",
        "lightsail:PutInstancePublicPorts": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_PutInstancePublicPorts.html",
        "codeguru-profiler:RemoveNotificationChannel": "https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_RemoveNotificationChannel.html",
        "ec2:DeleteVolume": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteVolume.html",
        "redshift:ModifySnapshotCopyRetentionPeriod": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ModifySnapshotCopyRetentionPeriod.html",
        "codeguru-profiler:AddNotificationChannels": "https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_AddNotificationChannels.html",
        "dms:ReloadTables": "https://docs.aws.amazon.com/dms/latest/APIReference/API_ReloadTables.html",
        "batch:CreateJobQueue": "https://docs.aws.amazon.com/batch/latest/APIReference/API_CreateJobQueue.html",
        "devicefarm:DeleteNetworkProfile": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/DeleteNetworkProfile.html",
        "mobiletargeting:UpdateCampaign": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-campaign.html#rest-api-campaign-methods",
        "emr-containers:CreateManagedEndpoint": "https://docs.aws.amazon.com/emr-on-eks/latest/APIReference/API_CreateManagedEndpoint.html",
        "fis:TagResource": "https://docs.aws.amazon.com/fis/latest/APIReference/API_TagResource.html",
        "schemas:PutResourcePolicy": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-policy.html#PutResourcePolicy",
        "lex:UpdateResourcePolicy": "https://docs.aws.amazon.com/lexv2/latest/dg/API_UpdateResourcePolicy.html",
        "secretsmanager:StopReplicationToReplica": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "cognito-idp:CreateIdentityProvider": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_CreateIdentityProvider.html",
        "connect:DeleteHoursOfOperation": "https://docs.aws.amazon.com/connect/latest/APIReference/API_DeleteHoursOfOperation.html",
        "redshift:CreateClusterSnapshot": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_CreateClusterSnapshot.html",
        "proton:DeleteServiceTemplateMinorVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_DeleteServiceTemplateMinorVersion.html",
        "dms:RemoveTagsFromResource": "https://docs.aws.amazon.com/dms/latest/APIReference/API_RemoveTagsFromResource.html",
        "ec2:CreateTransitGatewayPeeringAttachment": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateTransitGatewayPeeringAttachment.html",
        "securityhub:DisableImportFindingsForProduct": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_DisableImportFindingsForProduct.html",
        "sdb:DeleteDomain": "https://docs.aws.amazon.com/AmazonSimpleDB/latest/DeveloperGuide/API_DeleteDomain.html",
        "servicediscovery:UpdatePublicDnsNamespace": "https://docs.aws.amazon.com/cloud-map/latest/api/API_UpdatePublicDnsNamespace.html",
        "devicefarm:DeleteRemoteAccessSession": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_DeleteRemoteAccessSession.html",
        "cloudfront:CreateStreamingDistribution": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_CreateStreamingDistribution.html",
        "monitron:AssociateProjectAdminUser": "https://docs.aws.amazon.com/Monitron/latest/admin-guide/user-management-chapter.html",
        "iam:CreatePolicyVersion": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_CreatePolicyVersion.html",
        "lex:CreateResourcePolicy": "https://docs.aws.amazon.com/lexv2/latest/dg/API_CreateResourcePolicy.html",
        "lex:UpdateExport": "https://docs.aws.amazon.com/lexv2/latest/dg/API_UpdateExport.html",
        "sns:CreateTopic": "https://docs.aws.amazon.com/sns/latest/api/API_CreateTopic.html",
        "s3:PutAnalyticsConfiguration": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketAnalyticsConfiguration.html",
        "route53-recovery-control-config:DeleteControlPanel": "https://docs.aws.amazon.com/recovery-cluster/latest/api/controlpanel-controlpanelarn.html",
        "lex:CreateBotLocale": "https://docs.aws.amazon.com/lexv2/latest/dg/API_CreateBotLocale.html",
        "dms:ModifyReplicationInstance": "https://docs.aws.amazon.com/dms/latest/APIReference/API_ModifyReplicationInstance.html",
        "s3:PutAccessPointPolicy": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_PutAccessPointPolicy.html",
        "swf:RegisterWorkflowType": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_RegisterWorkflowType.html",
        "config:TagResource": "https://docs.aws.amazon.com/config/latest/APIReference/API_TagResource.html",
        "elasticmapreduce:CancelSteps": "https://docs.aws.amazon.com/emr/latest/APIReference/API_CancelSteps.html",
        "cognito-idp:AdminInitiateAuth": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminInitiateAuth.html",
        "iam:UpdateServerCertificate": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateServerCertificate.html",
        "codecommit:BatchDisassociateApprovalRuleTemplateFromRepositories": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_BatchDisassociateApprovalRuleTemplateFromRepositories.html",
        "ec2:PurchaseHostReservation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_PurchaseHostReservation.html",
        "ec2:CreateVpnConnection": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateVpnConnection.html",
        "fms:UntagResource": "https://docs.aws.amazon.com/fms/2018-01-01/APIReference/API_UntagResource.html",
        "cloud9:ModifyTemporaryCredentialsOnEnvironmentEC2": "https://docs.aws.amazon.com/cloud9/latest/user-guide/security-iam.html#auth-and-access-control-ref-matrix",
        "kendra:UpdateIndex": "https://docs.aws.amazon.com/kendra/latest/dg/API_UpdateIndex.html",
        "lightsail:CreateContainerServiceDeployment": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateContainerServiceDeployment.html",
        "sso:DeleteInstanceAccessControlAttributeConfiguration": "https://docs.aws.amazon.com/singlesignon/latest/APIReference/API_DeleteInstanceAccessControlAttributeConfiguration.html",
        "synthetics:DeleteCanary": "https://docs.aws.amazon.com/AmazonSynthetics/latest/APIReference/API_DeleteCanary.html",
        "waf:CreateRule": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_CreateRule.html",
        "cloudformation:DeleteStackInstances": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_DeleteStackInstances.html",
        "ssm:DeleteMaintenanceWindow": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_DeleteMaintenanceWindow.html",
        "iotanalytics:UpdatePipeline": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_UpdatePipeline.html",
        "dynamodb:CreateBackup": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_CreateBackup.html",
        "ec2:AssociateDhcpOptions": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AssociateDhcpOptions.html",
        "cloudsearch:UpdateScalingParameters": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_UpdateScalingParameters.html",
        "iot:DeleteCustomMetric": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteCustomMetric.html",
        "servicecatalog:CreateProvisioningArtifact": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_CreateProvisioningArtifact.html",
        "waf-regional:CreateXssMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_CreateXssMatchSet.html",
        "iotwireless:SendDataToWirelessDevice": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_SendDataToWirelessDevice.html",
        "transfer:StartServer": "https://docs.aws.amazon.com/transfer/latest/userguide/API_StartServer.html",
        "a4b:UpdateConferenceProvider": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_UpdateConferenceProvider.html",
        "lex:RecognizeUtterance": "https://docs.aws.amazon.com/lexv2/latest/dg/API_runtime_RecognizeUtterance.html",
        "elemental-activations:TagResource": "https://docs.aws.amazon.com/elemental-appliances-software/",
        "lambda:DeleteCodeSigningConfig": "https://docs.aws.amazon.com/lambda/latest/dg/API_DeleteCodeSigningConfig.html",
        "bugbust:EvaluateProfilingGroups": "https://docs.aws.amazon.com/codeguru/latest/bugbust-ug/auth-and-access-control-permissions-reference.html",
        "appstream:UpdateFleet": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_UpdateFleet.html",
        "rds:ModifyDBParameterGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyDBParameterGroup.html",
        "storagegateway:CancelArchival": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_CancelArchival.html",
        "ec2:ModifyClientVpnEndpoint": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyClientVpnEndpoint.html",
        "ecr-public:UploadLayerPart": "https://docs.aws.amazon.com/AmazonECRPublic/latest/APIReference/API_UploadLayerPart.html",
        "autoscaling:SetDesiredCapacity": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_SetDesiredCapacity.html",
        "ec2:DisassociateClientVpnTargetNetwork": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisassociateClientVpnTargetNetwork.html",
        "codedeploy:CreateDeploymentGroup": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_CreateDeploymentGroup.html",
        "waf-regional:CreateRule": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_CreateRule.html",
        "iotevents:BatchSnoozeAlarm": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_iotevents-data_BatchSnoozeAlarm.html",
        "lightsail:DetachStaticIp": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DetachStaticIp.html",
        "redshift:RevokeSnapshotAccess": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_RevokeSnapshotAccess.html",
        "elasticfilesystem:PutFileSystemPolicy": "https://docs.aws.amazon.com/efs/latest/ug/API_PutFileSystemPolicy.html",
        "machinelearning:CreateBatchPrediction": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_CreateBatchPrediction.html",
        "networkmanager:DeleteSite": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_DeleteSite.html",
        "ses:UpdateContactList": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_UpdateContactList.html",
        "devicefarm:CreateRemoteAccessSession": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_CreateRemoteAccessSession.html",
        "sts:AssumeRoleWithWebIdentity": "https://docs.aws.amazon.com/STS/latest/APIReference/API_AssumeRoleWithWebIdentity.html",
        "waf:DeleteLoggingConfiguration": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_DeleteLoggingConfiguration.html",
        "geo:UpdateTracker": "https://docs.aws.amazon.com/location/latest/developerguide/API_UpdateTracker.html",
        "cloudsearch:UpdateServiceAccessPolicies": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_UpdateServiceAccessPolicies.html",
        "connect:DisassociateBot": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "storagegateway:DisableGateway": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_DisableGateway.html",
        "sagemaker:UpdateAction": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateAction.html",
        "events:CreateArchive": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_CreateArchive.html",
        "healthlake:DeleteResource": "https://docs.aws.amazon.com/healthlake/latest/devguide/crud-healthlake.html",
        "amplify:DeleteApp": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "clouddirectory:DeleteSchema": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_DeleteSchema.html",
        "globalaccelerator:AddCustomRoutingEndpoints": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_AddCustomRoutingEndpoints.html",
        "proton:UpdateService": "https://docs.aws.amazon.com/proton/latest/APIReference/API_UpdateService.html",
        "route53-recovery-readiness:CreateResourceSet": "https://docs.aws.amazon.com/recovery-readiness/latest/api/resourcesets.html",
        "servicecatalog:DeletePortfolioShare": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_DeletePortfolioShare.html",
        "clouddirectory:RemoveFacetFromObject": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_RemoveFacetFromObject.html",
        "elasticache:RebalanceSlotsInGlobalReplicationGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_RebalanceSlotsInGlobalReplicationGroup.html",
        "batch:TerminateJob": "https://docs.aws.amazon.com/batch/latest/APIReference/API_TerminateJob.html",
        "ec2:AcceptReservedInstancesExchangeQuote": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AcceptReservedInstancesExchangeQuote.html",
        "ecr:DeleteLifecyclePolicy": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_DeleteLifecyclePolicy.html",
        "ssm:RegisterPatchBaselineForPatchGroup": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_RegisterPatchBaselineForPatchGroup.html",
        "ec2:ModifyLaunchTemplate": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyLaunchTemplate.html",
        "iot:TransferCertificate": "https://docs.aws.amazon.com/iot/latest/apireference/API_TransferCertificate.html",
        "comprehend:DeleteDocumentClassifier": "https://docs.aws.amazon.com/comprehend/latest/dg/API_DeleteDocumentClassifier.html",
        "cognito-idp:AdminUpdateDeviceStatus": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminUpdateDeviceStatus.html",
        "elasticmapreduce:UpdateStudio": "https://docs.aws.amazon.com/emr/latest/ManagementGuide/emr-studio.html",
        "guardduty:DeleteFilter": "https://docs.aws.amazon.com/guardduty/latest/APIReference/API_DeleteFilter.html",
        "kinesisanalytics:DeleteApplicationOutput": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_DeleteApplicationOutput.html",
        "kinesisvideo:UntagStream": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_UntagStream.html",
        "lightsail:UpdateRelationalDatabase": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_UpdateRelationalDatabase.html",
        "imagebuilder:DeleteImagePipeline": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_DeleteImagePipeline.html",
        "lookoutvision:CreateProject": "https://docs.aws.amazon.com/lookout-for-vision/latest/APIReference/API_CreateProject.html",
        "proton:CancelServicePipelineDeployment": "https://docs.aws.amazon.com/proton/latest/APIReference/API_CancelServicePipelineDeployment.html",
        "rds:CopyDBClusterSnapshot": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CopyDBClusterSnapshot.html",
        "redshift:AuthorizeClusterSecurityGroupIngress": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_AuthorizeClusterSecurityGroupIngress.html",
        "ec2:ReplaceRoute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ReplaceRoute.html",
        "elasticfilesystem:PutBackupPolicy": "https://docs.aws.amazon.com/efs/latest/ug/API_PutBackupPolicy.html",
        "ssm:ResumeSession": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_ResumeSession.html",
        "gamelift:DeleteScript": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_DeleteScript.html",
        "sagemaker:CreateTrialComponent": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateTrialComponent.html",
        "cassandra:Modify": null,
        "glue:UpdateMLTransform": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-machine-learning-api.html#aws-glue-api-machine-learning-api-UpdateMLTransform",
        "appstream:DeleteImageBuilder": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_DeleteImageBuilder.html",
        "sagemaker:UpdateTrialComponent": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateTrialComponent.html",
        "ses:UpdateEmailIdentityPolicy": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_UpdateEmailIdentityPolicy.html",
        "route53-recovery-control-config:DeleteSafetyRule": "https://docs.aws.amazon.com/recovery-cluster/latest/api/safetyrule-safetyrulearn.html",
        "proton:CreateEnvironment": "https://docs.aws.amazon.com/proton/latest/APIReference/API_CreateEnvironment.html",
        "braket:TagResource": "https://docs.aws.amazon.com/braket/latest/APIReference/API_TagResource.html",
        "imagebuilder:PutImagePolicy": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_PutImagePolicy.html",
        "firehose:PutRecordBatch": "https://docs.aws.amazon.com/firehose/latest/APIReference/API_PutRecordBatch.html",
        "ec2:DeleteTags": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteTags.html",
        "geo:DeletePlaceIndex": "https://docs.aws.amazon.com/location/latest/developerguide/API_DeletePlaceIndex.html",
        "guardduty:UpdateIPSet": "https://docs.aws.amazon.com/guardduty/latest/APIReference/API_UpdateIPSet.html",
        "servicecatalog:ImportAsProvisionedProduct": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_ImportAsProvisionedProduct.html",
        "fis:InjectApiUnavailableError": "https://docs.aws.amazon.com/fis/latest/APIReference/Welcome.html",
        "lex:CreateBotChannel": "https://docs.aws.amazon.com/lexv2/latest/dg/deploying-messaging-platform.html",
        "cognito-idp:AdminUserGlobalSignOut": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminUserGlobalSignOut.html",
        "codecommit:UpdatePullRequestApprovalState": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_UpdatePullRequestApprovalState.html",
        "glacier:DeleteVaultAccessPolicy": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-DeleteVaultAccessPolicy.html",
        "sagemaker:DeleteHumanTaskUi": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteHumanTaskUi.html",
        "firehose:TagDeliveryStream": "https://docs.aws.amazon.com/firehose/latest/APIReference/API_TagDeliveryStream.html",
        "clouddirectory:ApplySchema": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_ApplySchema.html",
        "cloudwatch:StartMetricStreams": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_StartMetricStreams.html",
        "directconnect:DeleteDirectConnectGatewayAssociation": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_DeleteDirectConnectGatewayAssociation.html",
        "elasticmapreduce:AddInstanceGroups": "https://docs.aws.amazon.com/emr/latest/APIReference/API_AddInstanceGroups.html",
        "iam:DeleteRole": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteRole.html",
        "signer:RemoveProfilePermission": "https://docs.aws.amazon.com/signer/latest/api/API_RemoveProfilePermission.html",
        "deepcomposer:TagResource": "https://docs.aws.amazon.com/deepcomposer/latest/devguide/deepcomposer-tagging.html",
        "personalize:CreateBatchInferenceJob": "https://docs.aws.amazon.com/personalize/latest/dg/API_CreateBatchInferenceJob.html",
        "personalize:UpdateCampaign": "https://docs.aws.amazon.com/personalize/latest/dg/API_UpdateCampaign.html",
        "quicksight:UpdateUser": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateUser.html",
        "cognito-idp:StopUserImportJob": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_StopUserImportJob.html",
        "backup:DeleteBackupVaultNotifications": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_DeleteBackupVaultNotifications.html",
        "ec2:ResetInstanceAttribute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ResetInstanceAttribute.html",
        "sns:DeleteTopic": "https://docs.aws.amazon.com/sns/latest/api/API_DeleteTopic.html",
        "a4b:UpdateNetworkProfile": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_UpdateNetworkProfile.html",
        "es:DeleteElasticsearchDomain": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-deleteelasticsearchdomain",
        "amplifybackend:UpdateBackendJob": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-job-backendenvironmentname-jobid.html#UpdateBackendJob",
        "iot:UpdateThingGroup": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateThingGroup.html",
        "es:RemoveTags": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-removetags",
        "chime:DeleteChannelMembership": "https://docs.aws.amazon.com/chime/latest/APIReference/API_DeleteChannelMembership.html",
        "deepracer:CreateLeaderboardSubmission": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-submit-model-to-leaderboard.html",
        "sagemaker:StopCompilationJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StopCompilationJob.html",
        "codecommit:PostCommentForPullRequest": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_PostCommentForPullRequest.html",
        "ecs:ExecuteCommand": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_ExecuteCommand.html",
        "elasticmapreduce:AddInstanceFleet": "https://docs.aws.amazon.com/emr/latest/APIReference/API_AddInstanceFleet.html",
        "sagemaker:UpdateMonitoringSchedule": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateMonitoringSchedule.html",
        "redshift:ResizeCluster": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ResizeCluster.html",
        "mediaconvert:DeleteQueue": "https://docs.aws.amazon.com/mediaconvert/latest/apireference/queues-name.html",
        "codebuild:DeleteReport": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_DeleteReport.html",
        "ec2:DisassociateTransitGatewayMulticastDomain": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisassociateTransitGatewayMulticastDomain.html",
        "networkmanager:UpdateLink": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_UpdateLink.html",
        "workspaces:StopWorkspaces": "https://docs.aws.amazon.com/workspaces/latest/api/API_StopWorkspaces.html",
        "firehose:DeleteDeliveryStream": "https://docs.aws.amazon.com/firehose/latest/APIReference/API_DeleteDeliveryStream.html",
        "a4b:UpdateGateway": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_UpdateGateway.html",
        "rds:StopDBInstanceAutomatedBackupsReplication": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_StopDBInstanceAutomatedBackupsReplication.html",
        "glue:UpdateSchema": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-schema-registry-api.html#aws-glue-api-schema-registry-api-UpdateSchema",
        "license-manager:DeleteLicenseConfiguration": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_DeleteLicenseConfiguration.html",
        "waf-regional:UpdateRule": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_UpdateRule.html",
        "amplifybackend:DeleteBackend": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-environments-backendenvironmentname-remove.html#DeleteBackend",
        "nimble:UpdateStreamingImage": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-streaming-images-streamingimageid.html",
        "managedblockchain:CreateMember": "https://docs.aws.amazon.com/managed-blockchain/latest/APIReference/API_CreateMember.html",
        "elasticmapreduce:RemoveAutoScalingPolicy": "https://docs.aws.amazon.com/emr/latest/APIReference/API_RemoveAutoScalingPolicy.html",
        "appflow:RunFlow": "https://docs.aws.amazon.com/appflow/latest/userguide/identity-access-management.html#appflow-api-actions",
        "imagebuilder:ImportComponent": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_ImportComponent.html",
        "quicksight:DeleteFolder": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteFolder.html",
        "workmail:AssociateMemberToGroup": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_AssociateMemberToGroup.html",
        "cloud9:UpdateEnvironmentMembership": "https://docs.aws.amazon.com/cloud9/latest/APIReference/API_UpdateEnvironmentMembership.html",
        "route53-recovery-readiness:UpdateRecoveryGroup": "https://docs.aws.amazon.com/recovery-readiness/latest/api/recoverygroups-recoverygroupname.html",
        "elasticmapreduce:RemoveTags": "https://docs.aws.amazon.com/emr/latest/APIReference/API_RemoveTags.html",
        "rds:RemoveRoleFromDBCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_RemoveRoleFromDBCluster.html",
        "autoscaling:DisableMetricsCollection": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_DisableMetricsCollection.html",
        "cloudformation:TagResource": null,
        "rekognition:StopProjectVersion": "https://docs.aws.amazon.com/rekognition/latest/dg/API_StopProjectVersion.html",
        "frauddetector:CreateBatchPredictionJob": "https://docs.aws.amazon.com/frauddetector/latest/api/API_CreateBatchPredictionJob",
        "route53:UpdateHostedZoneComment": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_UpdateHostedZoneComment.html",
        "sagemaker:CreatePresignedNotebookInstanceUrl": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreatePresignedNotebookInstanceUrl.html",
        "ec2:DeleteManagedPrefixList": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteManagedPrefixList.html",
        "iam:UpdateGroup": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateGroup.html",
        "fsx:UpdateFileSystem": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_UpdateFileSystem.html",
        "kinesisanalytics:AddApplicationOutput": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_AddApplicationOutput.html",
        "globalaccelerator:DeleteCustomRoutingAccelerator": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_DeleteCustomRoutingAccelerator.html",
        "mediapackage:TagResource": "https://docs.aws.amazon.com/mediapackage/latest/apireference/hj-create.html",
        "elasticache:DecreaseReplicaCount": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_DecreaseReplicaCount.html",
        "s3:PutObject": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObject.html",
        "eks:AssociateIdentityProviderConfig": "https://docs.aws.amazon.com/eks/latest/APIReference/API_AssociateIdentityProviderConfig.html",
        "apprunner:UntagResource": "https://docs.aws.amazon.com/apprunner/latest/api/API_UntagResource.html",
        "wellarchitected:AssociateLenses": "https://docs.aws.amazon.com/wellarchitected/latest/APIReference/API_AssociateLenses.html",
        "aps:PutAlertManagerSilences": "https://docs.aws.amazon.com/prometheus/latest/userguide/AMP-APIReference.html#AMP-APIReference-PutAlertManagerSilences",
        "s3-object-lambda:PutObjectLegalHold": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectLegalHold.html",
        "mgn:UpdateAgentReplicationInfoForMgn": "https://docs.aws.amazon.com/mgn/latest/ug/mgn-apis.html",
        "iam:DeleteRolePolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteRolePolicy.html",
        "sagemaker:DeleteAppImageConfig": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteAppImageConfig.html",
        "personalize:DeleteDataset": "https://docs.aws.amazon.com/personalize/latest/dg/API_DeleteDataset.html",
        "trustedadvisor:IncludeCheckItems": "https://docs.aws.amazon.com/awssupport/latest/user/security-trusted-advisor.html#trusted-advisor-operations",
        "lookoutvision:DeleteProject": "https://docs.aws.amazon.com/lookout-for-vision/latest/APIReference/API_DeleteProject.html",
        "deeplens:RemoveProject": null,
        "s3:DeleteBucketWebsite": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteBucketWebsite.html",
        "lightsail:SetIpAddressType": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_SetIpAddressType.html",
        "rds:ModifyDBProxyTargetGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyDBProxyTargetGroup.html",
        "transfer:UpdateUser": "https://docs.aws.amazon.com/transfer/latest/userguide/API_UpdateUser.html",
        "forecast:CreateForecastExportJob": "https://docs.aws.amazon.com/forecast/latest/dg/API_CreateForecastExportJob.html",
        "lex:DeleteBotVersion": "https://docs.aws.amazon.com/lexv2/latest/dg/API_DeleteBotVersion.html",
        "codeguru-profiler:SubmitFeedback": "https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_SubmitFeedback.html",
        "appmesh-preview:CreateGatewayRoute": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_CreateGatewayRoute.html",
        "s3:PutBucketOwnershipControls": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketOwnershipControls.html",
        "ec2:CreateNetworkAcl": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateNetworkAcl.html",
        "backup:UntagResource": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_UntagResource.html",
        "globalaccelerator:DeleteCustomRoutingListener": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_DeleteCustomRoutingListener.html",
        "sagemaker:CreateHumanTaskUi": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateHumanTaskUi.html",
        "wafv2:DeleteFirewallManagerRuleGroups": "https://docs.aws.amazon.com/waf/latest/APIReference/API_DeleteFirewallManagerRuleGroups.html",
        "wisdom:UpdateKnowledgeBaseTemplateUri": "https://docs.aws.amazon.com/wisdom/latest/APIReference/API_UpdateKnowledgeBaseTemplateUri.html",
        "personalize:DeleteDatasetGroup": "https://docs.aws.amazon.com/personalize/latest/dg/API_DeleteDatasetGroup.html",
        "lightsail:CreateDiskFromSnapshot": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateDiskFromSnapshot.html",
        "autoscaling:CompleteLifecycleAction": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_CompleteLifecycleAction.html",
        "mgn:UpdateReplicationConfigurationTemplate": "https://docs.aws.amazon.com/mgn/latest/APIReference/API_UpdateReplicationConfigurationTemplate.html",
        "shield:UntagResource": "https://docs.aws.amazon.com/waf/latest/DDOSAPIReference/API_UntagResource.html",
        "snow-device-management:TagResource": "https://docs.aws.amazon.com/snowball/latest/snowcone-guide/sdms-cli-tag-resource.html",
        "lightsail:CreateLoadBalancerTlsCertificate": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateLoadBalancerTlsCertificate.html",
        "ssm-contacts:UpdateContactChannel": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_UpdateContactChannel.html",
        "securityhub:DeleteActionTarget": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_DeleteActionTarget.html",
        "frauddetector:DeleteModelVersion": "https://docs.aws.amazon.com/frauddetector/latest/api/API_DeleteModelVersion",
        "cloudhsm:DeleteCluster": "https://docs.aws.amazon.com/cloudhsm/latest/APIReference/API_DeleteCluster.html",
        "ecr-public:CreateRepository": "https://docs.aws.amazon.com/AmazonECRPublic/latest/APIReference/API_CreateRepository.html",
        "qldb:TagResource": "https://docs.aws.amazon.com/qldb/latest/developerguide/API_TagResource.html",
        "iotsitewise:UpdateAssetModel": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_UpdateAssetModel.html",
        "workmail:UpdateSmtpGateway": "https://docs.aws.amazon.com/workmail/latest/adminguide/smtp-gateway.html",
        "cloudfront:CreateStreamingDistributionWithTags": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_CreateStreamingDistributionWithTags.html",
        "sso:DeletePermissionSet": "{DocHomeURL}singlesignon/latest/APIReference/API_DeletePermissionSet.html",
        "elasticbeanstalk:CreatePlatformVersion": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_CreatePlatformVersion.html",
        "firehose:UpdateDestination": "https://docs.aws.amazon.com/firehose/latest/APIReference/API_UpdateDestination.html",
        "servicediscovery:DeleteService": "https://docs.aws.amazon.com/cloud-map/latest/api/API_DeleteService.html",
        "elasticfilesystem:DeleteAccessPoint": "https://docs.aws.amazon.com/efs/latest/ug/API_DeleteAccessPoint.html",
        "appstream:AssociateFleet": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_AssociateFleet.html",
        "ecr-public:PutRegistryCatalogData": "https://docs.aws.amazon.com/AmazonECRPublic/latest/APIReference/API_PutRegistryCatalogData.html",
        "directconnect:StopBgpFailoverTest": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_StopBgpFailoverTest.html",
        "iotsitewise:DeleteDashboard": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_DeleteDashboard.html",
        "lex:DeleteBot": "https://docs.aws.amazon.com/lexv2/latest/dg/API_DeleteBot.html",
        "redshift:ModifyClusterIamRoles": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ModifyClusterIamRoles.html",
        "timestream:UpdateDatabase": "https://docs.aws.amazon.com/Timestream/latest/APIReference/API_UpdateDatabase.html",
        "app-integrations:CreateDataIntegrationAssociation": "https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_CreateDataIntegrationAssociation.html",
        "sso:DetachManagedPolicyFromPermissionSet": "https://docs.aws.amazon.com/singlesignon/latest/APIReference/API_DetachManagedPolicyFromPermissionSet.html",
        "appstream:CreateImageBuilderStreamingURL": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_CreateImageBuilderStreamingURL.html",
        "ds:CreateConditionalForwarder": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_CreateConditionalForwarder.html",
        "iot:CloseTunnel": "https://docs.aws.amazon.com/iot/latest/apireference/API_CloseTunnel.html",
        "mgn:BatchCreateVolumeSnapshotGroupForMgn": "https://docs.aws.amazon.com/mgn/latest/ug/mgn-apis.html",
        "redshift:EnableLogging": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_EnableLogging.html",
        "codepipeline:PutActionRevision": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_PutActionRevision.html",
        "sagemaker:DeleteFeatureGroup": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteFeatureGroup.html",
        "a4b:UpdateContact": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_UpdateContact.html",
        "directconnect:UpdateLag": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_UpdateLag.html",
        "s3-object-lambda:PutObjectVersionTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectTagging.html",
        "ec2:DeleteTrafficMirrorFilterRule": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteTrafficMirrorFilterRule.html",
        "waf:CreateRuleGroup": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_CreateRuleGroup.html",
        "elastictranscoder:DeletePipeline": "https://docs.aws.amazon.com/elastictranscoder/latest/developerguide/delete-pipeline.html",
        "appmesh-preview:CreateMesh": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_CreateMesh.html",
        "codecommit:GitPush": "https://docs.aws.amazon.com/codecommit/latest/userguide/auth-and-access-control-permissions-reference.html#aa-git",
        "appflow:StopFlow": "https://docs.aws.amazon.com/appflow/1.0/APIReference/API_StopFlow.html",
        "fsx:CreateDataRepositoryTask": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_CreateDataRepositoryTask.html",
        "personalize:CreateFilter": "https://docs.aws.amazon.com/personalize/latest/dg/API_CreateFilter.html",
        "secretsmanager:RotateSecret": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "medialive:UpdateChannel": "https://docs.aws.amazon.com/medialive/latest/ug/editing-deleting-channel.html",
        "appmesh-preview:DeleteMesh": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_DeleteMesh.html",
        "ecs:UpdateCluster": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_UpdateCluster.html",
        "amplifybackend:CreateBackendAuth": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-auth.html#CreateBackendAuth",
        "lookoutequipment:StartDataIngestionJob": "https://docs.aws.amazon.com/lookout-for-equipment/latest/ug/API_StartDataIngestionJob.html",
        "sagemaker:DeleteModelPackageGroupPolicy": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteModelPackageGroupPolicy.html",
        "ec2:CreateLocalGatewayRoute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateLocalGatewayRoute.html",
        "fms:DeleteAppsList": "https://docs.aws.amazon.com/fms/2018-01-01/APIReference/API_DeleteAppsList.html",
        "apprunner:ResumeService": "https://docs.aws.amazon.com/apprunner/latest/api/API_ResumeService.html",
        "fms:PutPolicy": "https://docs.aws.amazon.com/fms/2018-01-01/APIReference/API_PutPolicy.html",
        "quicksight:CancelIngestion": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CancelIngestion.html",
        "connect:UpdateUserRoutingProfile": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateUserRoutingProfile.html",
        "appsync:UntagResource": "https://docs.aws.amazon.com/appsync/latest/APIReference/API_UntagResource.html",
        "finspace:CreateEnvironment": "https://docs.aws.amazon.com/finspace/latest/management-api/API_CreateEnvironment.html",
        "waf-regional:DeleteXssMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DeleteXssMatchSet.html",
        "clouddirectory:PublishSchema": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_PublishSchema.html",
        "elasticache:CreateGlobalReplicationGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_CreateGlobalReplicationGroup.html",
        "iotwireless:DisassociateAwsAccountFromPartnerAccount": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_DisassociateAwsAccountFromPartnerAccount.html",
        "storagegateway:StartGateway": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_StartGateway.html",
        "wafv2:CreateRuleGroup": "https://docs.aws.amazon.com/waf/latest/APIReference/API_CreateRuleGroup.html",
        "robomaker:RegisterRobot": "https://docs.aws.amazon.com/robomaker/latest/dg/API_RegisterRobot.html",
        "directconnect:AllocateTransitVirtualInterface": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_AllocateTransitVirtualInterface.html",
        "events:ActivateEventSource": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_ActivateEventSource.html",
        "medialive:CreateTags": "https://docs.aws.amazon.com/medialive/latest/ug/tagging.html",
        "cloudhsm:ModifyBackupAttributes": "https://docs.aws.amazon.com/cloudhsm/latest/APIReference/API_ModifyBackupAttributes.html",
        "elasticloadbalancing:AddListenerCertificates": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_AddListenerCertificates.html",
        "ec2:DeleteSecurityGroup": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteSecurityGroup.html",
        "ses:CreateEmailIdentityPolicy": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_CreateEmailIdentityPolicy.html",
        "rds:CreateDBClusterParameterGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CreateDBClusterParameterGroup.html",
        "auditmanager:CreateAssessmentReport": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_CreateAssessmentReport.html",
        "braket:CreateQuantumTask": "https://docs.aws.amazon.com/braket/latest/APIReference/API_CreateQuantumTask.html",
        "license-manager:DeleteLicense": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_DeleteLicense.html",
        "mgn:NotifyAgentReplicationProgressForMgn": "https://docs.aws.amazon.com/mgn/latest/ug/mgn-apis.html",
        "mgn:DisconnectFromService": "https://docs.aws.amazon.com/mgn/latest/APIReference/API_DisconnectFromService.html",
        "network-firewall:DeleteFirewall": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_DeleteFirewall.html",
        "ses:PutEmailIdentityConfigurationSetAttributes": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_PutEmailIdentityConfigurationSetAttributes.html",
        "voiceid:DeleteDomain": "https://docs.aws.amazon.com/voiceid/latest/APIReference/API_DeleteDomain.html",
        "voiceid:DeleteSpeaker": "https://docs.aws.amazon.com/voiceid/latest/APIReference/API_DeleteSpeaker.html",
        "ec2:DeleteLaunchTemplate": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteLaunchTemplate.html",
        "iam:EnableMFADevice": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_EnableMFADevice.html",
        "a4b:UpdateBusinessReportSchedule": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_UpdateBusinessReportSchedule.html",
        "iam:DeleteInstanceProfile": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteInstanceProfile.html",
        "medialive:UpdateInputDevice": "https://docs.aws.amazon.com/medialive/latest/ug/edit-input-device.html",
        "rds:CreateDBInstance": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CreateDBInstance.html",
        "lightsail:AttachStaticIp": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_AttachStaticIp.html",
        "sso:CreateInstanceAccessControlAttributeConfiguration": "https://docs.aws.amazon.com/singlesignon/latest/APIReference/API_CreateInstanceAccessControlAttributeConfiguration.html",
        "ssm:UpdateResourceDataSync": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_UpdateResourceDataSync.html",
        "sso:DeleteInlinePolicyFromPermissionSet": "https://docs.aws.amazon.com/singlesignon/latest/APIReference/API_DeleteInlinePolicyFromPermissionSet.html",
        "dynamodb:DeleteTable": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_DeleteTable.html",
        "cognito-idp:AdminDeleteUser": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminDeleteUser.html",
        "xray:DeleteGroup": "https://docs.aws.amazon.com/xray/latest/api/API_DeleteGroup.html",
        "lookoutmetrics:TagResource": "https://docs.aws.amazon.com/lookoutmetrics/latest/api/API_TagResource.html",
        "ec2:ModifyVpcEndpointConnectionNotification": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyVpcEndpointConnectionNotification.html",
        "lex:CreateBot": "https://docs.aws.amazon.com/lexv2/latest/dg/API_CreateBot.html",
        "route53-recovery-readiness:DeleteReadinessCheck": "https://docs.aws.amazon.com/recovery-readiness/latest/api/readinesschecks-readinesscheckname.html",
        "waf-regional:DisassociateWebACL": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DisassociateWebACL.html",
        "s3-outposts:CreateBucket": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_CreateBucket.html",
        "workmail:UpdateMailboxQuota": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_UpdateMailboxQuota.html",
        "directconnect:CreateLag": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_CreateLag.html",
        "glue:CreateRegistry": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-schema-registry-api.html#aws-glue-api-schema-registry-api-CreateRegistry",
        "databrew:BatchDeleteRecipeVersion": "https://docs.aws.amazon.com/databrew/latest/dg/API_BatchDeleteRecipeVersion.html",
        "events:DeauthorizeConnection": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_DeauthorizeConnection.html",
        "sqlworkbench:DriverExecute": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "waf-regional:UpdateSizeConstraintSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_UpdateSizeConstraintSet.html",
        "glacier:SetVaultNotifications": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-vault-notifications-put.html",
        "cognito-sync:DeleteDataset": "https://docs.aws.amazon.com/cognitosync/latest/APIReference/API_DeleteDataset.html",
        "access-analyzer:TagResource": "https://docs.aws.amazon.com/access-analyzer/latest/APIReference/API_TagResource.html",
        "dataexchange:CreateJob": "https://docs.aws.amazon.com/data-exchange/latest/apireference/v1-jobs.html#CreateJob",
        "ecs:RegisterContainerInstance": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_RegisterContainerInstance.html",
        "elemental-appliances-software:CreateQuote": "https://docs.aws.amazon.com/elemental-appliances-software",
        "frauddetector:PutLabel": "https://docs.aws.amazon.com/frauddetector/latest/api/API_PutLabel.html",
        "connect:StartContactRecording": "https://docs.aws.amazon.com/connect/latest/APIReference/API_StartContactRecording.html",
        "network-firewall:UpdateLoggingConfiguration": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_UpdateLoggingConfiguration.html",
        "nimble:CreateStudioComponent": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-studio-components.html",
        "sagemaker:StopPipelineExecution": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StopPipelineExecution.html",
        "ec2:DisableVpcClassicLink": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisableVpcClassicLink.html",
        "wafv2:DeleteRuleGroup": "https://docs.aws.amazon.com/waf/latest/APIReference/API_DeleteRuleGroup.html",
        "mediapackage-vod:UpdatePackagingGroup": "https://docs.aws.amazon.com/mediapackage-vod/latest/apireference/packaging_groups-id.html#packaging_groups-idput",
        "sso:UntagResource": "https://docs.aws.amazon.com/singlesignon/latest/APIReference/API_UntagResource.html",
        "a4b:UpdateDevice": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_UpdateDevice.html",
        "servicediscovery:DeregisterInstance": "https://docs.aws.amazon.com/cloud-map/latest/api/API_DeregisterInstance.html",
        "route53resolver:CreateResolverEndpoint": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_CreateResolverEndpoint.html",
        "quicksight:CreateTemplate": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CreateTemplate.html",
        "comprehend:StartKeyPhrasesDetectionJob": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StartKeyPhrasesDetectionJob.html",
        "worklink:RestoreDomainAccess": "https://docs.aws.amazon.com/worklink/latest/api/API_RestoreDomainAccess.html",
        "wafv2:CreateWebACL": "https://docs.aws.amazon.com/waf/latest/APIReference/API_CreateWebACL.html",
        "backup:CreateReportPlan": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_CreateReportPlan.html",
        "comprehend:CreateEndpoint": "https://docs.aws.amazon.com/comprehend/latest/dg/API_CreateEndpoint.html",
        "directconnect:AssociateMacSecKey": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_AssociateMacSecKey.html",
        "codepipeline:DeleteWebhook": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_DeleteWebhook.html",
        "firehose:CreateDeliveryStream": "https://docs.aws.amazon.com/firehose/latest/APIReference/API_CreateDeliveryStream.html",
        "batch:DeleteJobQueue": "https://docs.aws.amazon.com/batch/latest/APIReference/API_DeleteJobQueue.html",
        "medialive:CancelInputDeviceTransfer": "https://docs.aws.amazon.com/medialive/latest/ug/eml-devices.html",
        "amplifybackend:CreateBackendAPI": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-api.html#CreateBackendAPI",
        "mediaconvert:UpdatePreset": "https://docs.aws.amazon.com/mediaconvert/latest/apireference/presets-name.html",
        "redshift:DeleteEventSubscription": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DeleteEventSubscription.html",
        "rds:ModifyDBClusterEndpoint": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyDBClusterEndpoint.html",
        "s3:PutObjectLegalHold": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectLegalHold.html",
        "robomaker:DeregisterRobot": "https://docs.aws.amazon.com/robomaker/latest/dg/API_DeregisterRobot.html",
        "aps:CreateAlertManagerAlerts": "https://docs.aws.amazon.com/prometheus/latest/userguide/AMP-APIReference.html#AMP-APIReference-CreateAlertManagerAlerts",
        "ds:StartSchemaExtension": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_StartSchemaExtension.html",
        "sagemaker:DeleteDataQualityJobDefinition": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteDataQualityJobDefinition.html",
        "iot:CancelJobExecution": "https://docs.aws.amazon.com/iot/latest/apireference/API_CancelJobExecution.html",
        "imagebuilder:CancelImageCreation": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_CancelImageCreation.html",
        "iam:UntagUser": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UntagUser.html",
        "ssm-contacts:CreateContactChannel": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_CreateContactChannel.html",
        "worklink:AssociateDomain": "https://docs.aws.amazon.com/worklink/latest/api/API_AssociateDomain.html",
        "ecr:PutImageScanningConfiguration": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_PutImageScanningConfiguration.html",
        "iam:DetachUserPolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DetachUserPolicy.html",
        "route53resolver:DisassociateResolverEndpointIpAddress": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_DisassociateResolverEndpointIpAddress.html",
        "logs:PutSubscriptionFilter": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_PutSubscriptionFilter.html",
        "qldb:UpdateLedgerPermissionsMode": "https://docs.aws.amazon.com/qldb/latest/developerguide/API_UpdateLedgerPermissionsMode.html",
        "codebuild:UpdateReport": "https://docs.aws.amazon.com/codebuild/latest/userguide/auth-and-access-control-iam-identity-based-access-control.html#console-policies",
        "acm:UpdateCertificateOptions": "https://docs.aws.amazon.com/acm/latest/APIReference/API_UpdateCertificateOptions.html",
        "codedeploy:RegisterApplicationRevision": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_RegisterApplicationRevision.html",
        "sagemaker:CreateEndpoint": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateEndpoint.html",
        "rds:PurchaseReservedDBInstancesOffering": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_PurchaseReservedDBInstancesOffering.html",
        "iotthingsgraph:DeploySystemInstance": "https://docs.aws.amazon.com/thingsgraph/latest/APIReference/{APIReferenceDocPage}API_DeploySystemInstance.html",
        "aps:RemoteWrite": "https://docs.aws.amazon.com/prometheus/latest/userguide/AMP-APIReference.html#AMP-APIReference-RemoteWrite",
        "workmail:ResetUserPassword": "https://docs.aws.amazon.com/workmail/latest/adminguide/manage-users.html#reset_user_password",
        "dynamodb:UpdateGlobalTableSettings": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_UpdateGlobalTableSettings.html",
        "kinesisanalytics:UpdateApplication": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_UpdateApplication.html",
        "lambda:PutFunctionEventInvokeConfig": "https://docs.aws.amazon.com/lambda/latest/dg/API_PutFunctionEventInvokeConfig.html",
        "secretsmanager:ValidateResourcePolicy": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "waf:UpdateByteMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_UpdateByteMatchSet.html",
        "ecr:PutLifecyclePolicy": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_PutLifecyclePolicy.html",
        "s3:DeleteAccessPointPolicy": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_DeleteAccessPointPolicy.html",
        "datasync:DeleteAgent": "https://docs.aws.amazon.com/datasync/latest/userguide/API_DeleteAgent.html",
        "appstream:DeleteFleet": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_DeleteFleet.html",
        "ec2:AttachNetworkInterface": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AttachNetworkInterface.html",
        "network-firewall:UpdateFirewallDescription": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_UpdateFirewallDescription.html",
        "lex:UpdateBot": "https://docs.aws.amazon.com/lexv2/latest/dg/API_UpdateBot.html",
        "quicksight:UpdateDashboardPermissions": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateDashboardPermissions.html",
        "ssm-incidents:PutResourcePolicy": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_PutResourcePolicy.html",
        "workmail:UntagResource": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_UntagResource.html",
        "codeguru-profiler:UpdateProfilingGroup": "https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_UpdateProfilingGroup.html",
        "sagemaker:CreateAutoMLJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateAutoMLJob.html",
        "ssm:StartSession": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_StartSession.html",
        "workmail:DeleteInboundMailFlowRule": "https://docs.aws.amazon.com/workmail/latest/adminguide/remove-email-flow-rule.html",
        "timestream:DeleteDatabase": "https://docs.aws.amazon.com/Timestream/latest/APIReference/API_DeleteDatabase.html",
        "kendra:TagResource": "https://docs.aws.amazon.com/kendra/latest/dg/API_TagResource.html",
        "cognito-identity:DeleteIdentityPool": "https://docs.aws.amazon.com/cognitoidentity/latest/APIReference/API_DeleteIdentityPool.html",
        "workmail:RemoveMembersFromGroup": "https://docs.aws.amazon.com/workmail/latest/adminguide/groups_overview.html",
        "ec2:DeleteVpcEndpointServiceConfigurations": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteVpcEndpointServiceConfigurations.html",
        "route53-recovery-readiness:UpdateCell": "https://docs.aws.amazon.com/recovery-readiness/latest/api/cells-cellname.html",
        "nimble:UpdateLaunchProfileMember": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-launch-profiles-launchprofileid-membership-principalid.html",
        "lightsail:TestAlarm": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_TestAlarm.html",
        "appconfig:CreateConfigurationProfile": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_CreateConfigurationProfile.html",
        "deepracer:EditLeaderboard": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-manage-community-races.html",
        "mobiletargeting:DeleteAdmChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-adm-channel.html#rest-api-adm-channel-methods",
        "honeycode:InvokeScreenAutomation": "https://docs.aws.amazon.com/honeycode/latest/UserGuide/API_InvokeScreenAutomation.html",
        "iotwireless:DeleteServiceProfile": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_DeleteServiceProfile.html",
        "deepracer:DeleteModel": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-get-started-training-model.html",
        "ec2:EnableFastSnapshotRestores": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_EnableFastSnapshotRestores.html",
        "iotanalytics:CreateDatastore": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_CreateDatastore.html",
        "route53resolver:TagResource": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_TagResource.html",
        "redshift:ModifyCluster": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ModifyCluster.html",
        "iotwireless:UntagResource": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_UntagResource.html",
        "storagegateway:UpdateMaintenanceStartTime": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_UpdateMaintenanceStartTime.html",
        "lex:TagResource": "https://docs.aws.amazon.com/lexv2/latest/dg/API_TagResource.html",
        "chime:DeleteMeeting": "https://docs.aws.amazon.com/chime/latest/APIReference/API_DeleteMeeting.html",
        "ec2:CreateFlowLogs": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateFlowLogs.html",
        "gamelift:UpdateScript": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_UpdateScript.html",
        "gamelift:UpdateGameServerGroup": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_UpdateGameServerGroup.html",
        "codepipeline:StopPipelineExecution": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_StopPipelineExecution.html",
        "nimble:UpdateStudio": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid.html",
        "quicksight:DeleteUserByPrincipalId": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteUserByPrincipalId.html",
        "s3-outposts:DeleteObjectTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteObjectTagging.html",
        "ec2:RestoreManagedPrefixListVersion": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RestoreManagedPrefixListVersion.html",
        "dynamodb:PutItem": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_PutItem.html",
        "polly:DeleteLexicon": "https://docs.aws.amazon.com/polly/latest/dg/API_DeleteLexicon.html",
        "ds:DeleteSnapshot": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_DeleteSnapshot.html",
        "ecs:DeleteService": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_DeleteService.html",
        "managedblockchain:CreateNode": "https://docs.aws.amazon.com/managed-blockchain/latest/APIReference/API_CreateNode.html",
        "route53-recovery-control-config:UpdateRoutingControl": "https://docs.aws.amazon.com/recovery-cluster/latest/api/controlpanel-controlpanelarn-routingcontrols.html",
        "ds:AddTagsToResource": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_AddTagsToResource.html",
        "sagemaker:CreateWorkteam": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateWorkteam.html",
        "wellarchitected:CreateMilestone": "https://docs.aws.amazon.com/wellarchitected/latest/APIReference/API_CreateMilestone.html",
        "elasticloadbalancing:RegisterTargets": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_RegisterTargets.html",
        "codebuild:StopBuildBatch": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_StopBuildBatch.html",
        "eks:DeleteCluster": "https://docs.aws.amazon.com/eks/latest/APIReference/API_DeleteCluster.html",
        "iam:PutUserPermissionsBoundary": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_PutUserPermissionsBoundary.html",
        "chime:CreateMeetingDialOut": "https://docs.aws.amazon.com/chime/latest/APIReference/API_CreateMeetingDialOut.html",
        "waf-regional:CreateSqlInjectionMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_CreateSqlInjectionMatchSet.html",
        "frauddetector:TagResource": "https://docs.aws.amazon.com/frauddetector/latest/api/API_TagResource.html",
        "route53:CreateVPCAssociationAuthorization": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_CreateVPCAssociationAuthorization.html",
        "iam:UntagInstanceProfile": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UntagInstanceProfile.html",
        "lookoutequipment:UntagResource": "https://docs.aws.amazon.com/lookout-for-equipment/latest/ug/API_UntagResource.html",
        "mobiletargeting:UpdatePushTemplate": "https://docs.aws.amazon.com/pinpoint/latest/apireference/templates-template-name-push.html#templates-template-name-push-http-methods",
        "glacier:SetVaultAccessPolicy": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-SetVaultAccessPolicy.html",
        "appconfig:TagResource": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_TagResource.html",
        "sns:TagResource": "https://docs.aws.amazon.com/sns/latest/api/API_TagResource.html",
        "cloudshell:CreateSession": "https://docs.aws.amazon.com/cloudshell/latest/userguide/sec-auth-with-identities.html#CreateSession",
        "sns:RemovePermission": "https://docs.aws.amazon.com/sns/latest/api/API_RemovePermission.html",
        "appmesh:CreateGatewayRoute": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_CreateGatewayRoute.html",
        "cognito-idp:CreateResourceServer": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_CreateResourceServer.html",
        "events:DeletePartnerEventSource": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_DeletePartnerEventSource",
        "ecs:UpdateContainerAgent": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_UpdateContainerAgent.html",
        "ec2:CreateVpnConnectionRoute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateVpnConnectionRoute.html",
        "ec2:RevokeSecurityGroupIngress": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RevokeSecurityGroupIngress.html",
        "iam:DeleteServiceSpecificCredential": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteServiceSpecificCredential.html",
        "macie2:DeleteCustomDataIdentifier": "https://docs.aws.amazon.com/macie/latest/APIReference/custom-data-identifiers-id.html",
        "lambda:UpdateAlias": "https://docs.aws.amazon.com/lambda/latest/dg/API_UpdateAlias.html",
        "ec2:BundleInstance": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_BundleInstance.html",
        "qldb:PartiQLDropTable": "https://docs.aws.amazon.com/qldb/latest/developerguide/ql-reference.drop-table.html",
        "dms:StartReplicationTaskAssessment": "https://docs.aws.amazon.com/dms/latest/APIReference/API_StartReplicationTaskAssessment.html",
        "rds:ModifyDBCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyDBCluster.html",
        "app-integrations:UpdateEventIntegration": "https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_UpdateEventIntegration.html",
        "iot:UpdateThingGroupsForThing": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateThingGroupsForThing.html",
        "rds:DeleteDBClusterSnapshot": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeleteDBClusterSnapshot.html",
        "securityhub:AcceptInvitation": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_AcceptInvitation.html",
        "iotwireless:AssociateWirelessDeviceWithThing": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_AssociateWirelessDeviceWithThing.html",
        "s3:PutObjectVersionAcl": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectAcl.html",
        "globalaccelerator:CreateCustomRoutingEndpointGroup": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_CreateCustomRoutingEndpointGroup.html",
        "es:UpdateDomainConfig": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-updatedomainconfig",
        "ssm-contacts:DeleteContactChannel": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_DeleteContactChannel.html",
        "lambda:PublishVersion": "https://docs.aws.amazon.com/lambda/latest/dg/API_PublishVersion.html",
        "ec2:ReplaceNetworkAclAssociation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ReplaceNetworkAclAssociation.html",
        "secretsmanager:UpdateSecret": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "config:DeleteEvaluationResults": "https://docs.aws.amazon.com/config/latest/APIReference/API_DeleteEvaluationResults.html",
        "kinesisanalytics:DeleteApplicationSnapshot": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_DeleteApplicationSnapshot.html",
        "workmail:DisassociateMemberFromGroup": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_DisassociateMemberFromGroup.html",
        "ssm-contacts:StartEngagement": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_StartEngagement.html",
        "memorydb:DeleteParameterGroup": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_DeleteParameterGroup.html",
        "ec2:EnableTransitGatewayRouteTablePropagation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_EnableTransitGatewayRouteTablePropagation.html",
        "forecast:DeletePredictor": "https://docs.aws.amazon.com/forecast/latest/dg/API_DeletePredictor.html",
        "route53:UpdateTrafficPolicyComment": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_UpdateTrafficPolicyComment.html",
        "schemas:UntagResource": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/tags-resource-arn.html#UntagResource",
        "glacier:AbortMultipartUpload": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-multipart-abort-upload.html",
        "opsworks:DeregisterVolume": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_DeregisterVolume.html",
        "iam:DeleteGroupPolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteGroupPolicy.html",
        "waf:UpdateRateBasedRule": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_UpdateRateBasedRule.html",
        "iam:DeleteGroup": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteGroup.html",
        "ec2:MonitorInstances": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_MonitorInstances.html",
        "elasticmapreduce:StartNotebookExecution": "https://docs.aws.amazon.com/emr/latest/ManagementGuide/emr-managed-notebooks-headless.html",
        "kms:GenerateDataKey": "https://docs.aws.amazon.com/kms/latest/APIReference/API_GenerateDataKey.html",
        "qldb:CreateLedger": "https://docs.aws.amazon.com/qldb/latest/developerguide/API_CreateLedger.html",
        "ses:DeleteConfigurationSet": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_DeleteConfigurationSet.html",
        "connect:UpdateInstanceStorageConfig": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "cognito-idp:AdminForgetDevice": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminForgetDevice.html",
        "appsync:TagResource": "https://docs.aws.amazon.com/appsync/latest/APIReference/API_TagResource.html",
        "codedeploy:UpdateApplication": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_UpdateApplication.html",
        "iotthingsgraph:UpdateFlowTemplate": "https://docs.aws.amazon.com/thingsgraph/latest/APIReference/{APIReferenceDocPage}API_UpdateFlowTemplate.html",
        "memorydb:UpdateAcl": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_UpdateAcl.html",
        "ssm:UpdateDocument": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_UpdateDocument.html",
        "servicecatalog:UpdateApplication": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_app-registry_UpdateApplication.html",
        "wafv2:DeletePermissionPolicy": "https://docs.aws.amazon.com/waf/latest/APIReference/API_DeletePermissionPolicy.html",
        "nimble:UpdateLaunchProfile": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-launch-profiles-launchprofileid.html",
        "macie2:DeleteMember": "https://docs.aws.amazon.com/macie/latest/APIReference/members-id.html",
        "elasticfilesystem:CreateAccessPoint": "https://docs.aws.amazon.com/efs/latest/ug/API_CreateAccessPoint.html",
        "s3-outposts:PutBucketPolicy": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_PutBucketPolicy.html",
        "a4b:UpdateAddressBook": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_UpdateAddressBook.html",
        "ram:RejectResourceShareInvitation": "https://docs.aws.amazon.com/ram/latest/APIReference/API_RejectResourceShareInvitation.html",
        "workspaces:ModifyWorkspaceProperties": "https://docs.aws.amazon.com/workspaces/latest/api/API_ModifyWorkspaceProperties.html",
        "codestar:UpdateProject": "https://docs.aws.amazon.com/codestar/latest/APIReference/API_UpdateProject.html",
        "lightsail:DisableAddOn": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DisableAddOn.html",
        "robomaker:DeleteRobot": "https://docs.aws.amazon.com/robomaker/latest/dg/API_DeleteRobot.html",
        "ses:UpdateContact": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_UpdateContact.html",
        "sagemaker:UpdateEndpointWeightsAndCapacities": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateEndpointWeightsAndCapacities.html",
        "dynamodb:CreateTableReplica": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/V2gt_IAM.html",
        "s3-object-lambda:PutObject": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObject.html",
        "worklink:AssociateWebsiteAuthorizationProvider": "https://docs.aws.amazon.com/worklink/latest/api/API_AssociateWebsiteAuthorizationProvider.html",
        "codecommit:CreateUnreferencedMergeCommit": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_CreateUnreferencedMergeCommit.html",
        "frauddetector:CancelBatchPredictionJob": "https://docs.aws.amazon.com/frauddetector/latest/api/API_CancelBatchPredictionJob",
        "redshift:GetClusterCredentials": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_GetClusterCredentials.html",
        "ec2:DeleteNetworkInterface": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteNetworkInterface.html",
        "codestar-connections:TagResource": "https://docs.aws.amazon.com/codestar-connections/latest/APIReference/API_TagResource.html",
        "codestar:UpdateUserProfile": "https://docs.aws.amazon.com/codestar/latest/APIReference/API_UpdateUserProfile.html",
        "codecommit:DeletePullRequestApprovalRule": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_DeletePullRequestApprovalRule.html",
        "gamelift:UpdateGameSessionQueue": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_UpdateGameSessionQueue.html",
        "route53:DeleteVPCAssociationAuthorization": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_DeleteVPCAssociationAuthorization.html",
        "medialive:BatchUpdateSchedule": "https://docs.aws.amazon.com/medialive/latest/ug/batching-actions.html",
        "greengrass:CancelDeployment": "https://docs.aws.amazon.com/greengrass/v2/APIReference/API_CancelDeployment.html",
        "connect:UpdateContactFlowName": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateContactFlowName.html",
        "iotthingsgraph:UntagResource": "https://docs.aws.amazon.com/thingsgraph/latest/APIReference/{APIReferenceDocPage}API_UntagResource.html",
        "ecr:DeleteRepositoryPolicy": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_DeleteRepositoryPolicy.html",
        "lightsail:DetachCertificateFromDistribution": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DetachCertificateFromDistribution.html",
        "a4b:CreateUser": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_CreateUser.html",
        "deepracer:StopTrainingReinforcementLearningModel": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-get-started-training-model.html",
        "devicefarm:UpdateUpload": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_UpdateUpload.html",
        "connect:UpdateContactAttributes": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateContactAttributes.html",
        "schemas:TagResource": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/tags-resource-arn.html#TagResource",
        "cloudhsm:CreateCluster": "https://docs.aws.amazon.com/cloudhsm/latest/APIReference/API_CreateCluster.html",
        "sns:ConfirmSubscription": "https://docs.aws.amazon.com/sns/latest/api/API_ConfirmSubscription.html",
        "waf-regional:CreateGeoMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_CreateGeoMatchSet.html",
        "amplify:DeleteWebHook": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "proton:DeleteEnvironmentTemplateVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_DeleteEnvironmentTemplateVersion.html",
        "sagemaker:CreateDeviceFleet": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateDeviceFleet.html",
        "managedblockchain:VoteOnProposal": "https://docs.aws.amazon.com/managed-blockchain/latest/APIReference/API_VoteOnProposal.html",
        "chatbot:UpdateSlackChannelConfiguration": null,
        "lightsail:StartRelationalDatabase": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_StartRelationalDatabase.html",
        "sagemaker:DeleteModelExplainabilityJobDefinition": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteModelExplainabilityJobDefinition.html",
        "route53-recovery-readiness:DeleteCell": "https://docs.aws.amazon.com/recovery-readiness/latest/api/cells-cellname.html",
        "cognito-idp:AdminDisableUser": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminDisableUser.html",
        "sqlworkbench:UntagResource": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "codecommit:UpdateRepositoryName": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_UpdateRepositoryName.html",
        "quicksight:CreateDataSet": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CreateDataSet.html",
        "dynamodb:DeleteBackup": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_DeleteBackup.html",
        "sagemaker:StopAutoMLJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StopAutoMLJob.html",
        "snow-device-management:CancelTask": "https://docs.aws.amazon.com/snowball/latest/snowcone-guide/sdms-cli-cancel-task.html",
        "servicecatalog:CreateProduct": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_CreateProduct.html",
        "wisdom:RemoveKnowledgeBaseTemplateUri": "https://docs.aws.amazon.com/wisdom/latest/APIReference/API_RemoveKnowledgeBaseTemplateUri.html",
        "managedblockchain:TagResource": "https://docs.aws.amazon.com/managed-blockchain/latest/APIReference/API_TagResource.html",
        "workmail:SetDefaultMailDomain": "https://docs.aws.amazon.com/workmail/latest/adminguide/default_domain.html",
        "profile:UpdateProfile": "https://docs.aws.amazon.com/customerprofiles/latest/APIReference/API_UpdateProfile.html",
        "ec2:RegisterTransitGatewayMulticastGroupSources": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RegisterTransitGatewayMulticastGroupSources.html",
        "ssm:DisassociateOpsItemRelatedItem": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_DisassociateOpsItemRelatedItem.html",
        "license-manager:CreateGrantVersion": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_CreateGrantVersion.html",
        "ses:PutConfigurationSetReputationOptions": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_PutConfigurationSetReputationOptions.html",
        "ssm:DeleteOpsMetadata": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_DeleteOpsMetadata.html",
        "codestar:TagProject": "https://docs.aws.amazon.com/codestar/latest/APIReference/API_TagProject.html",
        "codepipeline:DisableStageTransition": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_DisableStageTransition.html",
        "elasticbeanstalk:CreateConfigurationTemplate": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_CreateConfigurationTemplate.html",
        "redshift:DisassociateDataShareConsumer": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DisassociateDataShareConsumer.html",
        "dynamodb:RestoreTableFromBackup": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_RestoreTableFromBackup.html",
        "appstream:CreateUpdatedImage": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_CreateUpdatedImage.html",
        "events:PutRule": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_PutRule.html",
        "sagemaker:CreateAction": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateAction.html",
        "servicecatalog:AssociateAttributeGroup": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_app-registry_AssociateAttributeGroup.html",
        "chime:UntagAttendee": "https://docs.aws.amazon.com/chime/latest/APIReference/API_UntagAttendee.html",
        "rds:ModifyCurrentDBClusterCapacity": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyCurrentDBClusterCapacity.html",
        "cloudwatch:StopMetricStreams": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_StopMetricStreams.html",
        "auditmanager:UpdateAssessment": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_UpdateAssessment.html",
        "glue:StartExportLabelsTaskRun": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-machine-learning-api.html#aws-glue-api-machine-learning-api-StartExportLabelsTaskRun",
        "ssm:DeleteResourceDataSync": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_DeleteResourceDataSync.html",
        "ec2:ModifyImageAttribute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyImageAttribute.html",
        "mobiletargeting:SendMessages": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-messages.html#rest-api-messages-methods",
        "sagemaker:SendHeartbeat": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_SendHeartbeat.html",
        "redshift:ResetClusterParameterGroup": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ResetClusterParameterGroup.html",
        "iotfleethub:TagResource": "https://docs.aws.amazon.com/iot/latest/APIReference/API_Operations.htmlAPI_TagResource.html",
        "wafv2:UpdateWebACL": "https://docs.aws.amazon.com/waf/latest/APIReference/API_UpdateWebACL.html",
        "codedeploy:DeleteDeploymentGroup": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_DeleteDeploymentGroup.html",
        "sqlworkbench:DeleteChart": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "codestar:DisassociateTeamMember": "https://docs.aws.amazon.com/codestar/latest/APIReference/API_DisassociateTeamMember.html",
        "elasticmapreduce:UpdateStudioSessionMapping": "https://docs.aws.amazon.com/emr/latest/ManagementGuide/emr-studio.html",
        "clouddirectory:DeleteDirectory": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_DeleteDirectory.html",
        "geo:CreateRouteCalculator": "https://docs.aws.amazon.com/location/latest/developerguide/API_CreateRouteCalculator.html",
        "iam:CreateLoginProfile": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateLoginProfile.html",
        "rds:DeleteGlobalCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeleteGlobalCluster.html",
        "iot1click:CreateProject": "https://docs.aws.amazon.com/iot-1-click/latest/projects-apireference/API_CreateProject.html",
        "voiceid:EvaluateSession": "https://docs.aws.amazon.com/voiceid/latest/APIReference/API_EvaluateSession.html",
        "dynamodb:CreateGlobalTable": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_CreateGlobalTable.html",
        "greengrass:CreateComponentVersion": "https://docs.aws.amazon.com/greengrass/v2/APIReference/API_CreateComponentVersion.html",
        "clouddirectory:CreateObject": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_CreateObject.html",
        "connect:UpdateUserHierarchyStructure": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateUserHierarchyStructure.html",
        "dataexchange:StartJob": "https://docs.aws.amazon.com/data-exchange/latest/apireference/v1-jobs.html#StartJob",
        "imagebuilder:UpdateDistributionConfiguration": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_UpdateDistributionConfiguration.html",
        "ec2:DeleteTransitGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteTransitGateway.html",
        "gamelift:UpdateAlias": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_UpdateAlias.html",
        "secretsmanager:RemoveRegionsFromReplication": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "mgh:AssociateCreatedArtifact": "https://docs.aws.amazon.com/migrationhub/latest/ug/API_AssociateCreatedArtifact.html",
        "ssm:PutParameter": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_PutParameter.html",
        "cloudformation:CreateStackInstances": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_CreateStackInstances.html",
        "elastictranscoder:CreateJob": "https://docs.aws.amazon.com/elastictranscoder/latest/developerguide/create-job.html",
        "events:CreateConnection": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_CreateConnection.html",
        "sagemaker:CreateTrainingJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateTrainingJob.html",
        "mediatailor:UpdateSourceLocation": "https://docs.aws.amazon.com/mediatailor/latest/apireference/sourcelocation-sourcelocationname.html",
        "waf:DeleteRegexMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_DeleteRegexMatchSet.html",
        "ssm:UpdateOpsItem": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_UpdateOpsItem.html",
        "directconnect:AllocatePrivateVirtualInterface": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_AllocatePrivateVirtualInterface.html",
        "ec2:AttachClassicLinkVpc": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AttachClassicLinkVpc.html",
        "iotevents:TagResource": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_TagResource.html",
        "lex:CreateBotVersion": "https://docs.aws.amazon.com/lexv2/latest/dg/API_CreateBotVersion.html",
        "appmesh:UpdateVirtualService": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UpdateVirtualService.html",
        "cognito-idp:AdminCreateUser": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminCreateUser.html",
        "cognito-idp:DeleteUserPool": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_DeleteUserPool.html",
        "ec2:CancelSpotFleetRequests": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CancelSpotFleetRequests.html",
        "signer:UntagResource": "https://docs.aws.amazon.com/signer/latest/api/API_UntagResource.html",
        "rekognition:TagResource": "https://docs.aws.amazon.com/rekognition/latest/dg/API_TagResource.html",
        "kinesisanalytics:RollbackApplication": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_RollbackApplication.html",
        "storagegateway:RefreshCache": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_RefreshCache.html",
        "gamelift:StopFleetActions": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_StopFleetActions.html",
        "connect:CreateUserHierarchyGroup": "https://docs.aws.amazon.com/connect/latest/APIReference/API_CreateUserHierarchyGroup.html",
        "ec2:StartNetworkInsightsAnalysis": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_StartNetworkInsightsAnalysis.html",
        "mobiletargeting:DeletePushTemplate": "https://docs.aws.amazon.com/pinpoint/latest/apireference/templates-template-name-push.html#templates-template-name-push-http-methods",
        "lightsail:DeleteBucket": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteBucket.html",
        "eks:DeleteAddon": "https://docs.aws.amazon.com/eks/latest/APIReference/API_DeleteAddon.html",
        "managedblockchain:DeleteNode": "https://docs.aws.amazon.com/managed-blockchain/latest/APIReference/API_DeleteNode.html",
        "iot:CreateMitigationAction": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateMitigationAction.html",
        "lookoutmetrics:UpdateAnomalyDetector": "https://docs.aws.amazon.com/lookoutmetrics/latest/api/API_UpdateAnomalyDetector.html",
        "quicksight:CreateNamespace": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CreateNamespace.html",
        "batch:UntagResource": "https://docs.aws.amazon.com/batch/latest/APIReference/API_UntagResource.html",
        "detective:UntagResource": "https://docs.aws.amazon.com/detective/latest/APIReference/API_UntagResource.html",
        "wellarchitected:CreateWorkloadShare": "https://docs.aws.amazon.com/wellarchitected/latest/APIReference/API_CreateWorkloadShare.html",
        "ssm-contacts:UntagResource": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_UntagResource.html",
        "rds:DeleteDBClusterEndpoint": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeleteDBClusterEndpoint.html",
        "nimble:PutStudioLogEvents": "https://docs.aws.amazon.com/nimble-studio/latest/userguide/security-iam-service-with-iam.html",
        "storagegateway:DeleteTapePool": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_DeleteTapePool.html",
        "appstream:StopFleet": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_StopFleet.html",
        "opsworks:DeregisterElasticIp": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_DeregisterElasticIp.html",
        "cloudfront:CreateCloudFrontOriginAccessIdentity": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_CreateCloudFrontOriginAccessIdentity.html",
        "mobiletargeting:DeleteApnsVoipChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-apns-voip-channel.html#rest-api-apns-voip-channel-methods",
        "route53resolver:DeleteResolverQueryLogConfig": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_DeleteResolverQueryLogConfig.html",
        "iot:CreateDimension": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateDimension.html",
        "ec2:CreateTransitGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateTransitGateway.html",
        "ec2:DeleteVpnConnectionRoute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteVpnConnectionRoute.html",
        "connect:DeleteUserHierarchyGroup": "https://docs.aws.amazon.com/connect/latest/APIReference/API_DeleteUserHierarchyGroup.html",
        "cognito-idp:UpdateUserPoolClient": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_UpdateUserPoolClient.html",
        "states:StartExecution": "https://docs.aws.amazon.com/step-functions/latest/apireference/API_StartExecution.html",
        "securityhub:AcceptAdministratorInvitation": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_AcceptAdministratorInvitation.html",
        "lightsail:CreateInstanceSnapshot": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateInstanceSnapshot.html",
        "ec2:AuthorizeSecurityGroupIngress": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AuthorizeSecurityGroupIngress.html",
        "synthetics:StartCanary": "https://docs.aws.amazon.com/AmazonSynthetics/latest/APIReference/API_StartCanary.html",
        "shield:DisassociateHealthCheck": "https://docs.aws.amazon.com/waf/latest/DDOSAPIReference/API_DisassociateHealthCheck.html",
        "acm-pca:RevokeCertificate": "https://docs.aws.amazon.com/acm-pca/latest/APIReference/API_RevokeCertificate.html",
        "lightsail:StartInstance": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_StartInstance.html",
        "s3:PutStorageLensConfigurationTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_PutStorageLensConfigurationTagging.html",
        "iotwireless:TestWirelessDevice": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_TestWirelessDevice.html",
        "ec2:DeleteTransitGatewayVpcAttachment": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteTransitGatewayVpcAttachment.html",
        "sqlworkbench:CreateChart": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "ssm-incidents:DeleteTimelineEvent": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_DeleteTimelineEvent.html",
        "cloudsearch:DefineExpression": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_DefineExpression.html",
        "storagegateway:UpdateNFSFileShare": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_UpdateNFSFileShare.html",
        "waf:DeleteRateBasedRule": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_DeleteRateBasedRule.html",
        "ec2:DeleteVpcEndpoints": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteVpcEndpoints.html",
        "timestream:UpdateTable": "https://docs.aws.amazon.com/Timestream/latest/APIReference/API_UpdateTable.html",
        "ec2:AssociateRouteTable": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AssociateRouteTable.html",
        "guardduty:DeleteIPSet": "https://docs.aws.amazon.com/guardduty/latest/APIReference/API_DeleteIPSet.html",
        "forecast:TagResource": "https://docs.aws.amazon.com/forecast/latest/dg/API_TagResource.html",
        "secretsmanager:ReplicateSecretToRegions": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "directconnect:UntagResource": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_UntagResource.html",
        "codepipeline:PutWebhook": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_PutWebhook.html",
        "connect:StartTaskContact": "https://docs.aws.amazon.com/connect/latest/APIReference/API_StartTaskContact.html",
        "sagemaker:CreateImage": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateImage.html",
        "secretsmanager:PutSecretValue": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "iot:DeleteScheduledAudit": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteScheduledAudit.html",
        "fsx:DisassociateFileSystemAliases": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_DisassociateFileSystemAliases.html",
        "ses:PutEmailIdentityDkimAttributes": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_PutEmailIdentityDkimAttributes.html",
        "frauddetector:CreateDetectorVersion": "https://docs.aws.amazon.com/frauddetector/latest/api/API_CreateDetectorVersion",
        "mediatailor:DeleteChannel": "https://docs.aws.amazon.com/mediatailor/latest/apireference/channel-channelname.html",
        "cloudhsm:InitializeCluster": "https://docs.aws.amazon.com/cloudhsm/latest/APIReference/API_InitializeCluster.html",
        "iam:PutUserPolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_PutUserPolicy.html",
        "cognito-sync:UpdateRecords": "https://docs.aws.amazon.com/cognitosync/latest/APIReference/API_UpdateRecords.html",
        "network-firewall:AssociateFirewallPolicy": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_AssociateFirewallPolicy.html",
        "sagemaker:CreateMonitoringSchedule": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateMonitoringSchedule.html",
        "ec2:ModifyInstanceCreditSpecification": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyInstanceCreditSpecification.html",
        "waf:CreateXssMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_CreateXssMatchSet.html",
        "secretsmanager:TagResource": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "cloudsearch:DeleteExpression": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_DeleteExpression.html",
        "appmesh:CreateMesh": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_CreateMesh.html",
        "ec2:DeleteTransitGatewayConnectPeer": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteTransitGatewayConnectPeer.html",
        "panorama:DeleteApp": "https://docs.aws.amazon.com/panorama/latest/dev/API_DeleteApp.html",
        "route53resolver:UpdateResolverRule": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_UpdateResolverRule.html",
        "apprunner:DeleteConnection": "https://docs.aws.amazon.com/apprunner/latest/api/API_DeleteConnection.html",
        "sqlworkbench:AssociateConnectionWithTab": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "globalaccelerator:CreateListener": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_CreateListener.html",
        "schemas:DeleteSchemaVersion": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-registries-name-registryname-schemas-name-schemaname-version-schemaversion.html#DeleteSchemaVersion",
        "mobiletargeting:DeleteVoiceTemplate": "https://docs.aws.amazon.com/pinpoint/latest/apireference/templates-template-name-voice.html#templates-template-name-voice-http-methods",
        "ecr-public:DeleteRepository": "https://docs.aws.amazon.com/AmazonECRPublic/latest/APIReference/API_DeleteRepository.html",
        "detective:CreateMembers": "https://docs.aws.amazon.com/detective/latest/APIReference/API_CreateMembers.html",
        "rds:ModifyDBClusterParameterGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyDBClusterParameterGroup.html",
        "swf:StartChildWorkflowExecution": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_StartChildWorkflowExecution.html",
        "networkmanager:DisassociateLink": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_DisassociateLink.html",
        "codeguru-reviewer:UnTagResource": "https://docs.aws.amazon.com/codeguru/latest/reviewer-api/API_UnTagResource.html",
        "iotsitewise:CreateAsset": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_CreateAsset.html",
        "globalaccelerator:CreateEndpointGroup": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_CreateEndpointGroup.html",
        "personalize:CreateDatasetImportJob": "https://docs.aws.amazon.com/personalize/latest/dg/API_CreateDatasetImportJob.html",
        "route53:UpdateTrafficPolicyInstance": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_UpdateTrafficPolicyInstance.html",
        "states:GetActivityTask": "https://docs.aws.amazon.com/step-functions/latest/apireference/API_GetActivityTask.html",
        "ec2:AllocateAddress": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AllocateAddress.html",
        "mgn:StartCutover": "https://docs.aws.amazon.com/mgn/latest/APIReference/API_StartCutover.html",
        "lambda:CreateAlias": "https://docs.aws.amazon.com/lambda/latest/dg/API_CreateAlias.html",
        "lambda:DeleteProvisionedConcurrencyConfig": "https://docs.aws.amazon.com/lambda/latest/dg/API_DeleteProvisionedConcurrencyConfig.html",
        "freertos:DeleteSoftwareConfiguration": "https://docs.aws.amazon.com/freertos/latest/userguide/freertos-ocw.html",
        "networkmanager:CreateSite": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_CreateSite.html",
        "dax:CreateCluster": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_dax_CreateCluster.html",
        "iot:UpdateMitigationAction": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateMitigationAction.html",
        "swf:RegisterActivityType": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_RegisterActivityType.html",
        "devops-guru:RemoveNotificationChannel": "https://docs.aws.amazon.com/devops-guru/latest/APIReference/API_RemoveNotificationChannel.html",
        "route53:CreateTrafficPolicyInstance": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_CreateTrafficPolicyInstance.html",
        "gamelift:DeleteFleet": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_DeleteFleet.html",
        "globalaccelerator:AllowCustomRoutingTraffic": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_AllowCustomRoutingTraffic.html",
        "ec2:CreateInternetGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateInternetGateway.html",
        "databrew:UpdateProject": "https://docs.aws.amazon.com/databrew/latest/dg/API_UpdateProject.html",
        "lookoutmetrics:UpdateMetricSet": "https://docs.aws.amazon.com/lookoutmetrics/latest/api/API_UpdateMetricSet.html",
        "ram:PromoteResourceShareCreatedFromPolicy": "https://docs.aws.amazon.com/ram/latest/APIReference/API_PromoteResourceShareCreatedFromPolicy.html",
        "appconfig:CreateDeploymentStrategy": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_CreateDeploymentStrategy.html",
        "es:CreateElasticsearchDomain": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-createdomain",
        "chime:UpdateChannel": "https://docs.aws.amazon.com/chime/latest/APIReference/API_UpdateChannel.html",
        "kinesisvideo:DeleteSignalingChannel": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_DeleteSignalingChannel.html",
        "profile:DeleteIntegration": "https://docs.aws.amazon.com/customerprofiles/latest/APIReference/API_DeleteIntegration.html",
        "worklink:DeleteFleet": "https://docs.aws.amazon.com/worklink/latest/api/API_DeleteFleet.html",
        "ssm:CreateAssociation": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_CreateAssociation.html",
        "sagemaker:CreateProcessingJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateProcessingJob.html",
        "sagemaker:PutRecord": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_PutRecord.html",
        "xray:DeleteSamplingRule": "https://docs.aws.amazon.com/xray/latest/api/API_DeleteSamplingRule.html",
        "sagemaker:DeleteEndpoint": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteEndpoint.html",
        "mgn:UpdateAgentReplicationProcessStateForMgn": "https://docs.aws.amazon.com/mgn/latest/ug/mgn-apis.html",
        "ec2:UnmonitorInstances": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_UnmonitorInstances.html",
        "iot:DetachPrincipalPolicy": "https://docs.aws.amazon.com/iot/latest/apireference/API_DetachPrincipalPolicy.html",
        "license-manager:RejectGrant": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_RejectGrant.html",
        "medialive:UpdateMultiplexProgram": "https://docs.aws.amazon.com/medialive/latest/ug/edit-multiplex-program-channel.html",
        "network-firewall:UpdateFirewallDeleteProtection": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_UpdateFirewallDeleteProtection.html",
        "frauddetector:UpdateModelVersionStatus": "https://docs.aws.amazon.com/frauddetector/latest/api/API_UpdateModelVersionStatus",
        "connect-campaigns:UpdateCampaignOutboundCallConfig": "https://docs.aws.amazon.com/connect/latest/adminguide/enable-high-volume-outbound-communications.html",
        "iot:TagResource": "https://docs.aws.amazon.com/iot/latest/apireference/API_TagResource.html",
        "rds:DeleteDBSecurityGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeleteDBSecurityGroup.html",
        "ssm:LabelParameterVersion": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_LabelParameterVersion.html",
        "medialive:TransferInputDevice": "https://docs.aws.amazon.com/medialive/latest/ug/eml-devices.html",
        "config:UntagResource": "https://docs.aws.amazon.com/config/latest/APIReference/API_UntagResource.html",
        "gamelift:DeleteGameSessionQueue": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_DeleteGameSessionQueue.html",
        "sagemaker:UpdatePipeline": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdatePipeline.html",
        "cloudshell:StartEnvironment": "https://docs.aws.amazon.com/cloudshell/latest/userguide/sec-auth-with-identities.html#StartEnvironment",
        "dax:IncreaseReplicationFactor": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_dax_IncreaseReplicationFactor.html",
        "cloudfront:CreateInvalidation": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_CreateInvalidation.html",
        "ds:CancelSchemaExtension": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_CancelSchemaExtension.html",
        "redshift:RestoreFromClusterSnapshot": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_RestoreFromClusterSnapshot.html",
        "states:UntagResource": "https://docs.aws.amazon.com/step-functions/latest/apireference/API_UntagResource.html",
        "apprunner:PauseService": "https://docs.aws.amazon.com/apprunner/latest/api/API_PauseService.html",
        "connect:DisassociateLambdaFunction": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "lightsail:CreateCloudFormationStack": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateCloudFormationStack.html",
        "s3:PutBucketWebsite": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketWebsite.html",
        "lightsail:RegisterContainerImage": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_RegisterContainerImage.html",
        "a4b:TagResource": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_TagResource.html",
        "kendra:BatchDeleteDocument": "https://docs.aws.amazon.com/kendra/latest/dg/API_BatchDeleteDocument.html",
        "mediatailor:UpdateChannel": "https://docs.aws.amazon.com/mediatailor/latest/apireference/channel-channelname.html",
        "lex:UpdateBotAlias": "https://docs.aws.amazon.com/lexv2/latest/dg/API_UpdateBotAlias.html",
        "qldb:PartiQLCreateTable": "https://docs.aws.amazon.com/qldb/latest/developerguide/ql-reference.create-table.html",
        "glacier:RemoveTagsFromVault": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-RemoveTagsFromVault.html",
        "redshift-data:ExecuteStatement": "https://docs.aws.amazon.com/redshift-data/latest/APIReference/API_ExecuteStatement.html",
        "ec2:CreateLaunchTemplateVersion": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateLaunchTemplateVersion.html",
        "elasticloadbalancing:ModifyListener": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_ModifyListener.html",
        "glue:DeleteDatabase": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-databases.html#aws-glue-api-catalog-databases-DeleteDatabase",
        "wisdom:CreateAssistantAssociation": "https://docs.aws.amazon.com/wisdom/latest/APIReference/API_CreateAssistantAssociation.html",
        "guardduty:CreateFilter": "https://docs.aws.amazon.com/guardduty/latest/APIReference/API_CreateFilter.html",
        "mobiletargeting:DeleteApp": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-app.html#rest-api-app-methods",
        "swf:RequestCancelActivityTask": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_RequestCancelActivityTask.html",
        "lightsail:CreateBucketAccessKey": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateBucketAccessKey.html",
        "imagebuilder:PutComponentPolicy": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_PutComponentPolicy.html",
        "elasticbeanstalk:TerminateEnvironment": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_TerminateEnvironment.html",
        "kms:EnableKey": "https://docs.aws.amazon.com/kms/latest/APIReference/API_EnableKey.html",
        "securityhub:UpdateInsight": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_UpdateInsight.html",
        "a4b:DisassociateDeviceFromRoom": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DisassociateDeviceFromRoom.html",
        "timestream:WriteRecords": "https://docs.aws.amazon.com/Timestream/latest/APIReference/API_WriteRecords.html",
        "apprunner:TagResource": "https://docs.aws.amazon.com/apprunner/latest/api/API_TagResource.html",
        "wafv2:DisassociateFirewallManager": "https://docs.aws.amazon.com/waf/latest/APIReference/API_DisassociateFirewallManager.html",
        "lightsail:CreateDomainEntry": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateDomainEntry.html",
        "ecs:DeregisterContainerInstance": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_DeregisterContainerInstance.html",
        "sagemaker:DeleteRecord": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteRecord.html",
        "cloudformation:UpdateTerminationProtection": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_UpdateTerminationProtection.html",
        "events:InvokeApiDestination": "https://docs.aws.amazon.com/eventbridge/latest/userguide/iam-identity-based-access-control-eventbridge.html",
        "ssm-incidents:UpdateRelatedItems": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_UpdateRelatedItems.html",
        "a4b:UpdateRoom": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_UpdateRoom.html",
        "iot:DeleteJobExecution": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteJobExecution.html",
        "dynamodb:UntagResource": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_UntagResource.html",
        "autoscaling:DeleteNotificationConfiguration": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_DeleteNotificationConfiguration.html",
        "geo:CreatePlaceIndex": "https://docs.aws.amazon.com/location/latest/developerguide/API_CreatePlaceIndex.html",
        "panorama:DeleteDataSource": "https://docs.aws.amazon.com/panorama/latest/dev/API_DeleteDataSource.html",
        "networkmanager:DeleteDevice": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_DeleteDevice.html",
        "ecr:UntagResource": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_UntagResource.html",
        "iotsitewise:UpdateAssetModelPropertyRouting": "${UserGuideDocPage}alarms-iam-permissions.html",
        "medialive:CreateInputSecurityGroup": "https://docs.aws.amazon.com/medialive/latest/ug/working-with-input-security-groups.html",
        "iot:UpdateThing": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateThing.html",
        "sagemaker:DeleteProject": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteProject.html",
        "elasticbeanstalk:AddTags": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_UpdateTagsForResource.html",
        "lex:DeleteSlot": "https://docs.aws.amazon.com/lexv2/latest/dg/API_DeleteSlot.html",
        "waf:UpdateRuleGroup": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_UpdateRuleGroup.html",
        "appstream:BatchAssociateUserStack": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_BatchAssociateUserStack.html",
        "iotsitewise:CreateDashboard": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_CreateDashboard.html",
        "connect:ResumeContactRecording": "https://docs.aws.amazon.com/connect/latest/APIReference/API_ResumeContactRecording.html",
        "ec2:DeleteCarrierGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteCarrierGateway.html",
        "proton:CreateEnvironmentTemplateMajorVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_CreateEnvironmentTemplateMajorVersion.html",
        "sagemaker:CreateWorkforce": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateWorkforce.html",
        "frauddetector:PutExternalModel": "https://docs.aws.amazon.com/frauddetector/latest/api/API_PutExternalModel.html",
        "forecast:DeleteDatasetImportJob": "https://docs.aws.amazon.com/forecast/latest/dg/API_DeleteDatasetImportJob.html",
        "mobiletargeting:DeleteGcmChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-gcm-channel.html#rest-api-gcm-channel-methods",
        "glue:DeleteSchema": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-schema-registry-api.html#aws-glue-api-schema-registry-api-DeleteSchema",
        "rds:DeleteDBClusterParameterGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeleteDBClusterParameterGroup.html",
        "iot:DetachSecurityProfile": "https://docs.aws.amazon.com/iot/latest/apireference/API_DetachSecurityProfile.html",
        "mobiletargeting:UpdateSmsTemplate": "https://docs.aws.amazon.com/pinpoint/latest/apireference/templates-template-name-sms.html#templates-template-name-sms-http-methods",
        "ec2:DeleteVpnConnection": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteVpnConnection.html",
        "backup:CreateBackupVault": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_CreateBackupVault.html",
        "s3-outposts:DeleteAccessPointPolicy": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_DeleteAccessPointPolicy.html",
        "ec2:DisassociateSubnetCidrBlock": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisassociateSubnetCidrBlock.html",
        "workspaces:RestoreWorkspace": "https://docs.aws.amazon.com/workspaces/latest/api/API_RestoreWorkspace.html",
        "healthlake:CreateResource": "https://docs.aws.amazon.com/healthlake/latest/devguide/crud-healthlake.html",
        "rds:CopyOptionGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CopyOptionGroup.html",
        "shield:TagResource": "https://docs.aws.amazon.com/waf/latest/DDOSAPIReference/API_TagResource.html",
        "lambda:DeleteFunctionConcurrency": "https://docs.aws.amazon.com/lambda/latest/dg/API_DeleteFunctionConcurrency.html",
        "iotsitewise:DeleteGateway": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_DeleteGateway.html",
        "kinesisvideo:UpdateStream": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_UpdateStream.html",
        "elasticloadbalancing:DeleteTargetGroup": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_DeleteTargetGroup.html",
        "iot:UpdateFleetMetric": "https://docs.aws.amazon.com/iot/latest/apireference/iot-indexing.html",
        "a4b:DeleteAddressBook": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DeleteAddressBook.html",
        "ec2:ModifyVpcPeeringConnectionOptions": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyVpcPeeringConnectionOptions.html",
        "glacier:CompleteVaultLock": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-CompleteVaultLock.html",
        "iotevents:CreateInput": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_CreateInput.html",
        "rds:RebootDBInstance": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_RebootDBInstance.html",
        "connect:CreateHoursOfOperation": "https://docs.aws.amazon.com/connect/latest/APIReference/API_CreateHoursOfOperation.html",
        "ec2:ReplaceRouteTableAssociation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ReplaceRouteTableAssociation.html",
        "access-analyzer:CreateArchiveRule": "https://docs.aws.amazon.com/access-analyzer/latest/APIReference/API_CreateArchiveRule.html",
        "schemas:DeleteDiscoverer": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-discoverers-id-discovererid.html#DeleteDiscoverer",
        "redshift:CreateClusterUser": "https://docs.aws.amazon.com/redshift/latest/mgmt/generating-iam-credentials-role-permissions.html",
        "sqs:DeleteQueue": "https://docs.aws.amazon.com/AWSSimpleQueueService/latest/APIReference/API_DeleteQueue.html",
        "kendra:DeletePrincipalMapping": "https://docs.aws.amazon.com/kendra/latest/dg/API_DeletePrincipalMapping.html",
        "swf:UndeprecateActivityType": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_UndeprecateActivityType.html",
        "sts:SetSourceIdentity": "https://docs.aws.amazon.com/IAM/latest/UserGuide/id_credentials_temp_control-access_monitor.html#id_credentials_temp_control-access_monitor-perms",
        "schemas:UpdateSchema": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-registries-name-registryname-schemas-name-schemaname.html#UpdateSchema",
        "synthetics:UpdateCanary": "https://docs.aws.amazon.com/AmazonSynthetics/latest/APIReference/API_UpdateCanary.html",
        "ds:DeleteTrust": "https://docs.aws.amazon.com/directoryservice/latest/devguide/DeleteTrust.html",
        "codeartifact:DeleteRepository": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_DeleteRepository.html",
        "connect:StartChatContact": "https://docs.aws.amazon.com/connect/latest/APIReference/API_StartChatContact.html",
        "elasticmapreduce:RemoveManagedScalingPolicy": "https://docs.aws.amazon.com/emr/latest/APIReference/API_RemoveManagedScalingPolicy.html",
        "mediatailor:DeletePlaybackConfiguration": "https://docs.aws.amazon.com/mediatailor/latest/apireference/playbackconfiguration-name.html",
        "frauddetector:CreateModel": "https://docs.aws.amazon.com/frauddetector/latest/api/API_CreateModel",
        "waf-regional:UpdateByteMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_UpdateByteMatchSet.html",
        "waf:TagResource": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_TagResource.html",
        "ssm-contacts:DeleteContact": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_DeleteContact.html",
        "sagemaker:CreateDomain": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateDomain.html",
        "appmesh-preview:UpdateGatewayRoute": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UpdateGatewayRoute.html",
        "mobiletargeting:UpdateSmsChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-sms-channel.html#rest-api-sms-channel-methods",
        "opsworks:SetPermission": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_SetPermission.html",
        "deepcomposer:UpdateComposition": "https://docs.aws.amazon.com/deepcomposer/latest/devguide/get-started-learn-from-pre-trained-models.html",
        "profile:DeleteProfileObject": "https://docs.aws.amazon.com/customerprofiles/latest/APIReference/API_DeleteProfileObject.html",
        "ses:PutConfigurationSetSendingOptions": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_PutConfigurationSetSendingOptions.html",
        "acm:AddTagsToCertificate": "https://docs.aws.amazon.com/acm/latest/APIReference/API_AddTagsToCertificate.html",
        "guardduty:UpdateThreatIntelSet": "https://docs.aws.amazon.com/guardduty/latest/APIReference/API_UpdateThreatIntelSet.html",
        "ec2:DisableVpcClassicLinkDnsSupport": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisableVpcClassicLinkDnsSupport.html",
        "cognito-sync:RegisterDevice": "https://docs.aws.amazon.com/cognitosync/latest/APIReference/API_RegisterDevice.html",
        "quicksight:CreateAdmin": "https://docs.aws.amazon.com/quicksight/latest/user/iam-actions.html",
        "globalaccelerator:TagResource": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_TagResource.html",
        "networkmanager:CreateDevice": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_CreateDevice.html",
        "eks:CreateNodegroup": "https://docs.aws.amazon.com/eks/latest/APIReference/API_CreateNodegroup.html",
        "codecommit:UpdateRepositoryDescription": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_UpdateRepositoryDescription.html",
        "memorydb:UpdateParameterGroup": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_UpdateParameterGroup.html",
        "qldb:PartiQLUndropTable": "https://docs.aws.amazon.com/qldb/latest/developerguide/ql-reference.undrop-table.html",
        "codeartifact:DisposePackageVersions": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_DisposePackageVersions.html",
        "ds:AcceptSharedDirectory": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_AcceptSharedDirectory.html",
        "license-manager:DeleteLicenseManagerReportGenerator": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_DeleteLicenseManagerReportGenerator.html",
        "connect-campaigns:CreateCampaign": "https://docs.aws.amazon.com/connect/latest/adminguide/enable-high-volume-outbound-communications.html",
        "route53-recovery-cluster:UpdateRoutingControlStates": "https://docs.aws.amazon.com/routing-control/latest/APIReference/API_UpdateRoutingControlStates.html",
        "workspaces:CreateWorkspaceBundle": "https://docs.aws.amazon.com/workspaces/latest/api/API_CreateWorkspaceBundle.html",
        "backup:StartCopyJob": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_StartCopyJob.html",
        "securityhub:InviteMembers": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_InviteMembers.html",
        "elasticache:CreateSnapshot": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_CreateSnapshot.html",
        "opsworks:CreateInstance": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_CreateInstance.html",
        "grafana:DisassociateLicense": "https://docs.aws.amazon.com/grafana/latest/userguide/AMG-and-IAM.html",
        "memorydb:CreateCluster": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_CreateCluster.html",
        "wafv2:DisassociateWebACL": "https://docs.aws.amazon.com/waf/latest/APIReference/API_DisassociateWebACL.html",
        "wafv2:PutPermissionPolicy": "https://docs.aws.amazon.com/waf/latest/APIReference/API_PutPermissionPolicy.html",
        "fis:CreateExperimentTemplate": "https://docs.aws.amazon.com/fis/latest/APIReference/API_CreateExperimentTemplate.html",
        "apigateway:POST": "https://docs.aws.amazon.com/apigateway/api-reference/API_POST.html",
        "ssm-incidents:UpdateIncidentRecord": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_UpdateIncidentRecord.html",
        "securityhub:DisassociateMembers": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_DisassociateMembers.html",
        "logs:CreateExportTask": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_CreateExportTask.html",
        "cognito-idp:CreateGroup": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_CreateGroup.html",
        "workmail:EnableMailUsers": "https://docs.aws.amazon.com/workmail/latest/adminguide/manage-users.html#enable_existing_user",
        "frauddetector:DeleteEventType": "https://docs.aws.amazon.com/frauddetector/latest/api/API_DeleteEventType",
        "s3:RestoreObject": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_RestoreObject.html",
        "connect-campaigns:UpdateCampaignName": "https://docs.aws.amazon.com/connect/latest/adminguide/enable-high-volume-outbound-communications.html",
        "elasticloadbalancing:SetSecurityGroups": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_SetSecurityGroups.html",
        "guardduty:UntagResource": "https://docs.aws.amazon.com/guardduty/latest/APIReference/API_UntagResource.html",
        "ecs:CreateService": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_CreateService.html",
        "route53resolver:PutResolverRulePolicy": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_PutResolverRulePolicy.html",
        "iotwireless:AssociateWirelessGatewayWithThing": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_AssociateWirelessGatewayWithThing.html",
        "dax:UntagResource": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_dax_UntagResource.html",
        "connect:CreateUser": "https://docs.aws.amazon.com/connect/latest/APIReference/API_CreateUser.html",
        "imagebuilder:DeleteDistributionConfiguration": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_DeleteDistributionConfiguration.html",
        "swf:CancelTimer": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_CancelTimer.html",
        "elasticache:ModifyCacheCluster": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_ModifyCacheCluster.html",
        "appmesh:DeleteVirtualService": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_DeleteVirtualService.html",
        "connect-campaigns:UpdateCampaignDialerConfig": "https://docs.aws.amazon.com/connect/latest/adminguide/enable-high-volume-outbound-communications.html",
        "ses:CreateEmailIdentity": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_CreateEmailIdentity.html",
        "storagegateway:DeleteVolume": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_DeleteVolume.html",
        "license-manager:CreateLicenseVersion": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_CreateLicenseVersion.html",
        "backup:PutBackupVaultNotifications": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_PutBackupVaultNotifications.html",
        "profile:DeleteProfileKey": "https://docs.aws.amazon.com/customerprofiles/latest/APIReference/API_DeleteProfileKey.html",
        "ssm:StartAssociationsOnce": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_StartAssociationsOnce.html",
        "workspaces:ModifySelfservicePermissions": "https://docs.aws.amazon.com/workspaces/latest/api/API_ModifySelfservicePermissions.html",
        "nimble:DeleteStudio": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid.html",
        "opsworks:CreateLayer": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_CreateLayer.html",
        "route53resolver:CreateResolverQueryLogConfig": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_CreateResolverQueryLogConfig.html",
        "storagegateway:CreateSMBFileShare": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_CreateSMBFileShare.html",
        "directconnect:AllocateConnectionOnInterconnect": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_AllocateConnectionOnInterconnect.html",
        "ec2:AuthorizeSecurityGroupEgress": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AuthorizeSecurityGroupEgress.html",
        "datasync:TagResource": "https://docs.aws.amazon.com/datasync/latest/userguide/API_TagResource.html",
        "iam:CreateUser": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateUser.html",
        "comprehend:StopPiiEntitiesDetectionJob": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StopPiiEntitiesDetectionJob.html",
        "auditmanager:UpdateAssessmentFramework": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_UpdateAssessmentFramework.html",
        "config:PutConfigurationAggregator": "https://docs.aws.amazon.com/config/latest/APIReference/API_PutConfigurationAggregator.html",
        "devicefarm:UpdateVPCEConfiguration": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_UpdateVPCEConfiguration.html",
        "directconnect:DeleteInterconnect": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_DeleteInterconnect.html",
        "lambda:AddLayerVersionPermission": "https://docs.aws.amazon.com/lambda/latest/dg/API_AddLayerVersionPermission.html",
        "mediapackage:RotateChannelCredentials": "https://docs.aws.amazon.com/mediapackage/latest/apireference/channels-id-credentials.html#channels-id-credentialsput",
        "s3:PutObjectTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectTagging.html",
        "connect:DisassociateRoutingProfileQueues": "https://docs.aws.amazon.com/connect/latest/APIReference/API_DisassociateRoutingProfileQueues.html",
        "appmesh-preview:CreateVirtualNode": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_CreateVirtualNode.html",
        "imagebuilder:CreateInfrastructureConfiguration": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_CreateInfrastructureConfiguration.html",
        "lightsail:AttachCertificateToDistribution": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_AttachCertificateToDistribution.html",
        "databrew:DeleteSchedule": "https://docs.aws.amazon.com/databrew/latest/dg/API_DeleteSchedule.html",
        "iotwireless:DeleteWirelessGatewayTaskDefinition": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_DeleteWirelessGatewayTaskDefinition.html",
        "appmesh-preview:DeleteVirtualService": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_DeleteVirtualService.html",
        "storagegateway:CancelRetrieval": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_CancelRetrieval.html",
        "fsx:UpdateStorageVirtualMachine": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_UpdateStorageVirtualMachine.html",
        "route53resolver:DeleteFirewallRuleGroup": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_DeleteFirewallRuleGroup.html",
        "directconnect:UpdateConnection": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_UpdateConnection.html",
        "fms:DeleteProtocolsList": "https://docs.aws.amazon.com/fms/2018-01-01/APIReference/API_DeleteProtocolsList.html",
        "honeycode:BatchCreateTableRows": "https://docs.aws.amazon.com/honeycode/latest/UserGuide/API_BatchCreateTableRows.html",
        "lex:DeleteSlotType": "https://docs.aws.amazon.com/lexv2/latest/dg/API_DeleteSlotType.html",
        "ecs:DeleteCluster": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_DeleteCluster.html",
        "machinelearning:DeleteBatchPrediction": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_DeleteBatchPrediction.html",
        "chime:RedactChannelMessage": "https://docs.aws.amazon.com/chime/latest/APIReference/API_RedactChannelMessage.html",
        "fsx:CreateStorageVirtualMachine": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_CreateStorageVirtualMachine.html",
        "machinelearning:Predict": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_Predict.html",
        "rekognition:StopStreamProcessor": "https://docs.aws.amazon.com/rekognition/latest/dg/API_StopStreamProcessor.html",
        "servicecatalog:UpdateProduct": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_UpdateProduct.html",
        "quicksight:DeleteGroupMembership": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteGroupMembership.html",
        "machinelearning:CreateDataSourceFromS3": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_CreateDataSourceFromS3.html",
        "dms:MoveReplicationTask": "https://docs.aws.amazon.com/dms/latest/APIReference/API_MoveReplicationTask.html",
        "dms:RefreshSchemas": "https://docs.aws.amazon.com/dms/latest/APIReference/API_RefreshSchemas.html",
        "glue:PutSchemaVersionMetadata": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-schema-registry-api.html#aws-glue-api-schema-registry-api-PutSchemaVersionMetadata",
        "ecs:TagResource": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_TagResource.html",
        "sagemaker:CreateModelPackage": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateModelPackage.html",
        "apprunner:DeleteService": "https://docs.aws.amazon.com/apprunner/latest/api/API_DeleteService.html",
        "opsworks:UpdateInstance": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_UpdateInstance.html",
        "networkmanager:AssociateTransitGatewayConnectPeer": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_AssociateTransitGatewayConnectPeer.html",
        "iotdeviceadvisor:DeleteSuiteDefinition": "https://docs.aws.amazon.com/iot/latest/apireference/API_iotdeviceadvisor_DeleteSuiteDefinition.html",
        "athena:StopQueryExecution": "https://docs.aws.amazon.com/athena/latest/APIReference/API_StopQueryExecution.html",
        "elasticbeanstalk:CreateEnvironment": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_CreateEnvironment.html",
        "comprehend:StartDocumentClassificationJob": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StartDocumentClassificationJob.html",
        "elasticbeanstalk:DeleteApplicationVersion": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_DeleteApplicationVersion.html",
        "memorydb:UpdateUser": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_UpdateUser.html",
        "mgn:DeleteReplicationConfigurationTemplate": "https://docs.aws.amazon.com/mgn/latest/APIReference/API_DeleteReplicationConfigurationTemplate.html",
        "opsworks:StopStack": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_StopStack.html",
        "robomaker:UpdateRobotApplication": "https://docs.aws.amazon.com/robomaker/latest/dg/API_UpdateRobotApplication.html",
        "sso:UpdateInstanceAccessControlAttributeConfiguration": "https://docs.aws.amazon.com/singlesignon/latest/APIReference/API_UpdateInstanceAccessControlAttributeConfiguration.html",
        "swf:UndeprecateDomain": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_UndeprecateDomain.html",
        "lightsail:ResetDistributionCache": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_ResetDistributionCache.html",
        "frauddetector:DeleteExternalModel": "https://docs.aws.amazon.com/frauddetector/latest/api/API_DeleteExternalModel",
        "ec2:DeleteRouteTable": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteRouteTable.html",
        "personalize:PutItems": "https://docs.aws.amazon.com/personalize/latest/dg/API_UBS_PutItems.html",
        "config:PutAggregationAuthorization": "https://docs.aws.amazon.com/config/latest/APIReference/API_PutAggregationAuthorization.html",
        "ses:PutEmailIdentityFeedbackAttributes": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_PutEmailIdentityFeedbackAttributes.html",
        "codecommit:PostCommentReply": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_PostCommentReply.html",
        "deepracer:StartEvaluation": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-get-started-test-in-simulator.html",
        "s3-object-lambda:PutObjectAcl": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectAcl.html",
        "route53resolver:CreateFirewallRuleGroup": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_CreateFirewallRuleGroup.html",
        "worklink:TagResource": "https://docs.aws.amazon.com/worklink/latest/api/API_TagResource.html",
        "ec2:CreateKeyPair": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateKeyPair.html",
        "fms:PutAppsList": "https://docs.aws.amazon.com/fms/2018-01-01/APIReference/API_PutAppsList.html",
        "ecr-public:DeleteRepositoryPolicy": "https://docs.aws.amazon.com/AmazonECRPublic/latest/APIReference/API_DeleteRepositoryPolicy.html",
        "codeartifact:UpdateRepository": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_UpdateRepository.html",
        "ecs:PutClusterCapacityProviders": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_PutClusterCapacityProviders.html",
        "s3:PutBucketNotification": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketNotification.html",
        "ssm-incidents:UpdateTimelineEvent": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_UpdateTimelineEvent.html",
        "securityhub:BatchDisableStandards": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_BatchDisableStandards.html",
        "swf:RequestCancelExternalWorkflowExecution": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_RequestCancelExternalWorkflowExecution.html",
        "groundstation:UpdateMissionProfile": "https://docs.aws.amazon.com/ground-station/latest/APIReference/API_UpdateMissionProfile.html",
        "redshift:DeleteClusterSubnetGroup": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DeleteClusterSubnetGroup.html",
        "sqlworkbench:UpdateConnection": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "gamelift:ResumeGameServerGroup": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_ResumeGameServerGroup.html",
        "codeguru-profiler:UntagResource": "https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_UntagResource.html",
        "kafka:UntagResource": "https://docs.aws.amazon.com/msk/1.0/apireference/tags-resourcearn.html#UntagResource",
        "iam:PassRole": "https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_use_passrole.html",
        "kms:Verify": "https://docs.aws.amazon.com/kms/latest/APIReference/API_Verify.html",
        "fsx:UntagResource": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_UntagResource.html",
        "quicksight:UpdateTemplatePermissions": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateTemplatePermissions.html",
        "waf-regional:CreateWebACL": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_CreateWebACL.html",
        "opsworks:CreateDeployment": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_CreateDeployment.html",
        "rekognition:DeleteCollection": "https://docs.aws.amazon.com/rekognition/latest/dg/API_DeleteCollection.html",
        "gamelift:StartFleetActions": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_StartFleetActions.html",
        "ssm:DeleteParameters": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_DeleteParameters.html",
        "connect-campaigns:UntagResource": "https://docs.aws.amazon.com/connect/latest/adminguide/enable-high-volume-outbound-communications.html",
        "ds:ResetUserPassword": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_ResetUserPassword.html",
        "ec2:DetachNetworkInterface": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DetachNetworkInterface.html",
        "mobiletargeting:DeleteApnsSandboxChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-apns-sandbox-channel.html#rest-api-apns-sandbox-channel-methods",
        "s3:UpdateJobStatus": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_UpdateJobStatus.html",
        "sagemaker:StopEdgePackagingJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StopEdgePackagingJob.html",
        "ec2:DisassociateAddress": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisassociateAddress.html",
        "clouddirectory:CreateDirectory": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_CreateDirectory.html",
        "events:CreateApiDestination": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_CreateApiDestination.html",
        "kafka-cluster:AlterGroup": "https://docs.aws.amazon.com/msk/latest/developerguide/iam-access-control.html#actions",
        "iam:UpdateSSHPublicKey": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateSSHPublicKey.html",
        "opsworks:UpdateRdsDbInstance": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_UpdateRdsDbInstance.html",
        "lookoutequipment:DeleteModel": "https://docs.aws.amazon.com/lookout-for-equipment/latest/ug/API_DeleteModel.html",
        "ecr-public:SetRepositoryPolicy": "https://docs.aws.amazon.com/AmazonECRPublic/latest/APIReference/API_SetRepositoryPolicy.html",
        "ecs:SubmitTaskStateChange": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_SubmitTaskStateChange.html",
        "devicefarm:DeleteDevicePool": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_DeleteDevicePool.html",
        "frauddetector:DeleteDetectorVersion": "https://docs.aws.amazon.com/frauddetector/latest/api/API_DeleteDetectorVersion",
        "freertos:UpdateSoftwareConfiguration": "https://docs.aws.amazon.com/freertos/latest/userguide/freertos-ocw.html",
        "states:StopExecution": "https://docs.aws.amazon.com/step-functions/latest/apireference/API_StopExecution.html",
        "rekognition:DeleteFaces": "https://docs.aws.amazon.com/rekognition/latest/dg/API_DeleteFaces.html",
        "sso:CreatePermissionSet": "https://docs.aws.amazon.com/singlesignon/latest/APIReference/API_CreatePermissionSet.html",
        "dlm:TagResource": "https://docs.aws.amazon.com/dlm/latest/APIReference/API_TagResource.html",
        "redshift:DeleteClusterSnapshot": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DeleteClusterSnapshot.html",
        "fis:StopExperiment": "https://docs.aws.amazon.com/fis/latest/APIReference/API_StopExperiment.html",
        "ses:PutConfigurationSetTrackingOptions": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_PutConfigurationSetTrackingOptions.html",
        "wellarchitected:UpdateLensReview": "https://docs.aws.amazon.com/wellarchitected/latest/APIReference/API_UpdateLensReview.html",
        "connect:UpdateUserPhoneConfig": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateUserPhoneConfig.html",
        "mgn:MarkAsArchived": "https://docs.aws.amazon.com/mgn/latest/APIReference/API_MarkAsArchived.html",
        "app-integrations:CreateEventIntegration": "https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_CreateEventIntegration.html",
        "dms:CreateReplicationTask": "https://docs.aws.amazon.com/dms/latest/APIReference/API_CreateReplicationTask.html",
        "cloudhsm:CopyBackupToRegion": "https://docs.aws.amazon.com/cloudhsm/latest/APIReference/API_CopyBackupToRegion.html",
        "gamelift:DeleteAlias": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_DeleteAlias.html",
        "mobiletargeting:UpdateRecommenderConfiguration": "https://docs.aws.amazon.com/pinpoint/latest/apireference/recommenders-recommender-id.html#UpdateRecommenderConfiguration",
        "network-firewall:UpdateSubnetChangeProtection": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_UpdateSubnetChangeProtection.html",
        "swf:SignalWorkflowExecution": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_SignalWorkflowExecution.html",
        "frauddetector:PutEntityType": "https://docs.aws.amazon.com/frauddetector/latest/api/API_PutEntityType.html",
        "iam:DeletePolicyVersion": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeletePolicyVersion.html",
        "iotwireless:DeleteWirelessDevice": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_DeleteWirelessDevice.html",
        "lex:DeleteExport": "https://docs.aws.amazon.com/lexv2/latest/dg/API_DeleteExport.html",
        "lookoutequipment:UpdateInferenceScheduler": "https://docs.aws.amazon.com/lookout-for-equipment/latest/ug/API_UpdateInferenceScheduler.html",
        "waf-regional:DeleteLoggingConfiguration": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DeleteLoggingConfiguration.html",
        "kms:UpdateAlias": "https://docs.aws.amazon.com/kms/latest/APIReference/API_UpdateAlias.html",
        "imagebuilder:TagResource": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_TagResource.html",
        "elasticmapreduce:SetTerminationProtection": "https://docs.aws.amazon.com/emr/latest/APIReference/API_SetTerminationProtection.html",
        "rds:RestoreDBInstanceToPointInTime": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_RestoreDBInstanceToPointInTime.html",
        "sagemaker:CreateTrial": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateTrial.html",
        "ec2:ImportInstance": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ImportInstance.html",
        "storagegateway:CreateStorediSCSIVolume": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_CreateStorediSCSIVolume.html",
        "voiceid:OptOutSpeaker": "https://docs.aws.amazon.com/voiceid/latest/APIReference/API_OptOutSpeaker.html",
        "appflow:UpdateFlow": "https://docs.aws.amazon.com/appflow/1.0/APIReference/API_UpdateFlow.html",
        "securityhub:UntagResource": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_UntagResource.html",
        "ec2:ModifyFleet": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyFleet.html",
        "ec2:RegisterTransitGatewayMulticastGroupMembers": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RegisterTransitGatewayMulticastGroupMembers.html",
        "acm-pca:TagCertificateAuthority": "https://docs.aws.amazon.com/acm-pca/latest/APIReference/API_TagCertificateAuthority.html",
        "workspaces:ModifyWorkspaceState": "https://docs.aws.amazon.com/workspaces/latest/api/API_ModifyWorkspaceState.html",
        "iot:AcceptCertificateTransfer": "https://docs.aws.amazon.com/iot/latest/apireference/API_AcceptCertificateTransfer.html",
        "cassandra:Create": null,
        "sagemaker:StartPipelineExecution": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StartPipelineExecution.html",
        "ssm:RegisterTaskWithMaintenanceWindow": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_RegisterTaskWithMaintenanceWindow.html",
        "codestar-notifications:Subscribe": "https://docs.aws.amazon.com/codestar-notifications/latest/APIReference/API_Subscribe.html",
        "airflow:PublishMetrics": "https://docs.aws.amazon.com/mwaa/latest/userguide/mwaa-actions-resources.html",
        "iam:UpdateUser": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateUser.html",
        "waf-regional:CreateSizeConstraintSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_CreateSizeConstraintSet.html",
        "rds:CreateDBClusterEndpoint": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CreateDBClusterEndpoint.html",
        "ec2:DeregisterImage": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeregisterImage.html",
        "quicksight:UpdateFolder": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateFolder.html",
        "appsync:GraphQL": "https://docs.aws.amazon.com/appsync/latest/devguide/using-your-api.html",
        "ec2:DeleteTransitGatewayRoute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteTransitGatewayRoute.html",
        "sagemaker:UpdateEndpoint": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateEndpoint.html",
        "states:TagResource": "https://docs.aws.amazon.com/step-functions/latest/apireference/API_TagResource.html",
        "cognito-identity:UpdateIdentityPool": "https://docs.aws.amazon.com/cognitoidentity/latest/APIReference/API_UpdateIdentityPool.html",
        "ec2:DeleteInstanceEventWindow": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteInstanceEventWindow.html",
        "securityhub:UpdateFindings": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_UpdateFindings.html",
        "network-firewall:DeleteFirewallPolicy": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_DeleteFirewallPolicy.html",
        "ds:RemoveTagsFromResource": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_RemoveTagsFromResource.html",
        "s3:DeleteAccessPoint": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_DeleteAccessPoint.html",
        "ec2:CreateCarrierGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateCarrierGateway.html",
        "swf:SignalExternalWorkflowExecution": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_SignalExternalWorkflowExecution.html",
        "securityhub:DisableSecurityHub": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_DisableSecurityHub.html",
        "wafv2:TagResource": "https://docs.aws.amazon.com/waf/latest/APIReference/API_TagResource.html",
        "dms:ModifyReplicationTask": "https://docs.aws.amazon.com/dms/latest/APIReference/API_ModifyReplicationTask.html",
        "dynamodb:EnableKinesisStreamingDestination": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_EnableKinesisStreamingDestination.html",
        "iotsitewise:DeleteAsset": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_DeleteAsset.html",
        "clouddirectory:DetachFromIndex": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_DetachFromIndex.html",
        "comprehend:UntagResource": "https://docs.aws.amazon.com/comprehend/latest/dg/API_UntagResource.html",
        "config:PutStoredQuery": "https://docs.aws.amazon.com/config/latest/APIReference/API_PutStoredQuery.html",
        "lookoutequipment:DeleteInferenceScheduler": "https://docs.aws.amazon.com/lookout-for-equipment/latest/ug/API_DeleteInferenceScheduler.html",
        "appmesh:CreateVirtualNode": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_CreateVirtualNode.html",
        "connect:GetFederationTokens": "https://docs.aws.amazon.com/connect/latest/APIReference/emergency-admin-login.html",
        "route53:ActivateKeySigningKey": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_ActivateKeySigningKey.html",
        "codecommit:OverridePullRequestApprovalRules": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_OverridePullRequestApprovalRules.html",
        "sagemaker:UpdateWorkforce": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateWorkforce.html",
        "emr-containers:DeleteManagedEndpoint": "https://docs.aws.amazon.com/emr-on-eks/latest/APIReference/API_DeleteManagedEndpoint.html",
        "ec2:DeleteEgressOnlyInternetGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteEgressOnlyInternetGateway.html",
        "ssm-incidents:UpdateResponsePlan": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_UpdateResponsePlan.html",
        "devicefarm:UpdateProject": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_UpdateProject.html",
        "elastictranscoder:UpdatePipelineNotifications": "https://docs.aws.amazon.com/elastictranscoder/latest/developerguide/update-pipeline-notifications.html",
        "servicecatalog:CreateApplication": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_app-registry_CreateApplication.html",
        "iam:CreateAccessKey": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateAccessKey.html",
        "ec2:RevokeClientVpnIngress": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RevokeClientVpnIngress.html",
        "lookoutmetrics:CreateMetricSet": "https://docs.aws.amazon.com/lookoutmetrics/latest/api/API_CreateMetricSet.html",
        "codeguru-reviewer:AssociateRepository": "https://docs.aws.amazon.com/codeguru/latest/reviewer-api/API_AssociateRepository.html",
        "ec2:AssignPrivateIpAddresses": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AssignPrivateIpAddresses.html",
        "iam:TagRole": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_TagRole.html",
        "iot:CreatePolicy": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreatePolicy.html",
        "iotsitewise:UpdateDashboard": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_UpdateDashboard.html",
        "sagemaker:DeleteWorkforce": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteWorkforce.html",
        "dax:DeleteCluster": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_dax_DeleteCluster.html",
        "servicecatalog:DisassociateTagOptionFromResource": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_DisassociateTagOptionFromResource.html",
        "deepcomposer:UntagResource": "https://docs.aws.amazon.com/deepcomposer/latest/devguide/deepcomposer-tagging.html",
        "acm-pca:PutPolicy": "https://docs.aws.amazon.com/acm-pca/latest/APIReference/API_PutPolicy.html",
        "directconnect:CreateDirectConnectGatewayAssociation": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_CreateDirectConnectGatewayAssociation.html",
        "iot:CreateJob": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateJob.html",
        "elasticbeanstalk:UpdateTagsForResource": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_UpdateTagsForResource.html",
        "ecs:Poll": "https://docs.aws.amazon.com/AmazonECS/latest/developerguide/instance_IAM_role.html",
        "ssm-incidents:UpdateReplicationSet": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_UpdateReplicationSet.html",
        "geo:UpdateGeofenceCollection": "https://docs.aws.amazon.com/location/latest/developerguide/API_UpdateGeofenceCollection.html",
        "route53-recovery-control-config:UpdateControlPanel": "https://docs.aws.amazon.com/recovery-cluster/latest/api/controlpanel.html",
        "mobiletargeting:UpdateJourneyState": "https://docs.aws.amazon.com/pinpoint/latest/apireference/apps-application-id-journeys-journey-id-state.html#apps-application-id-journeys-journey-id-state-http-methods",
        "dynamodb:UpdateContributorInsights": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_UpdateContributorInsights.html",
        "kms:GenerateDataKeyPairWithoutPlaintext": "https://docs.aws.amazon.com/kms/latest/APIReference/API_GenerateDataKeyPairWithoutPlaintext.html",
        "opsworks:UpdateVolume": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_UpdateVolume.html",
        "amplify:UntagResource": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "rds:RestoreDBClusterToPointInTime": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_RestoreDBClusterToPointInTime.html",
        "redshift:RebootCluster": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_RebootCluster.html",
        "quicksight:UpdateDataSetPermissions": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateDataSetPermissions.html",
        "a4b:DeleteDevice": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DeleteDevice.html",
        "s3-outposts:PutAccessPointPolicy": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_PutAccessPointPolicy.html",
        "mobiletargeting:CreateJourney": "https://docs.aws.amazon.com/pinpoint/latest/apireference/apps-application-id-journeys-journey-id.html#apps-application-id-journeys-journey-id-http-methods",
        "kinesisanalytics:DeleteApplicationInputProcessingConfiguration": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_DeleteApplicationInputProcessingConfiguration.html",
        "machinelearning:UpdateMLModel": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_UpdateMLModel.html",
        "storagegateway:CreateTapeWithBarcode": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_CreateTapeWithBarcode.html",
        "chime:UpdateAppInstance": "https://docs.aws.amazon.com/chime/latest/APIReference/API_UpdateAppInstance.html",
        "rekognition:DeleteProject": "https://docs.aws.amazon.com/rekognition/latest/dg/API_DeleteProject.html",
        "dynamodb:ExportTableToPointInTime": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_ExportTableToPointInTime.html",
        "events:CancelReplay": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_CancelReplay.html",
        "mgh:DisassociateCreatedArtifact": "https://docs.aws.amazon.com/migrationhub/latest/ug/API_DisassociateCreatedArtifact.html",
        "geo:AssociateTrackerConsumer": "https://docs.aws.amazon.com/location/latest/developerguide/API_AssociateTrackerConsumer.html",
        "workspaces:RevokeIpRules": "https://docs.aws.amazon.com/workspaces/latest/api/API_RevokeIpRules.html",
        "sts:AssumeRoleWithSAML": "https://docs.aws.amazon.com/STS/latest/APIReference/API_AssumeRoleWithSAML.html",
        "codedeploy:AddTagsToOnPremisesInstances": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_AddTagsToOnPremisesInstances.html",
        "kinesis:DecreaseStreamRetentionPeriod": "https://docs.aws.amazon.com/kinesis/latest/APIReference/API_DecreaseStreamRetentionPeriod.html",
        "ivs:DeleteRecordingConfiguration": "https://docs.aws.amazon.com/ivs/latest/APIReference/API_DeleteRecordingConfiguration.html",
        "transfer:ImportSshPublicKey": "https://docs.aws.amazon.com/transfer/latest/userguide/API_ImportSshPublicKey.html",
        "ec2:DeleteInternetGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteInternetGateway.html",
        "elasticbeanstalk:CreateApplication": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_CreateApplication.html",
        "route53-recovery-control-config:DeleteRoutingControl": "https://docs.aws.amazon.com/recovery-cluster/latest/api/routingcontrol-routingcontrolarn.html",
        "a4b:AssociateSkillWithSkillGroup": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_AssociateSkillWithSkillGroup.html",
        "elasticloadbalancing:CreateListener": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_CreateListener.html",
        "elasticmapreduce:ModifyCluster": "https://docs.aws.amazon.com/emr/latest/APIReference/API_ModifyCluster.html",
        "mediapackage:DeleteOriginEndpoint": "https://docs.aws.amazon.com/mediapackage/latest/apireference/origin_endpoints-id.html#origin_endpoints-iddelete",
        "appmesh:DeleteVirtualNode": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_DeleteVirtualNode.html",
        "dlm:UpdateLifecyclePolicy": "https://docs.aws.amazon.com/dlm/latest/APIReference/API_UpdateLifecyclePolicy.html",
        "apprunner:CreateConnection": "https://docs.aws.amazon.com/apprunner/latest/api/API_CreateConnection.html",
        "schemas:StartDiscoverer": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-discoverers-id-discovererid.html#StartDiscoverer",
        "sqlworkbench:AssociateConnectionWithChart": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "apigateway:UpdateRestApiPolicy": null,
        "iam:CreateRole": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateRole.html",
        "ds:DisableClientAuthentication": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_DisableClientAuthentication.html",
        "finspace:CreateUser": "https://docs.aws.amazon.com/finspace/latest/management-api/API_CreateUser.html",
        "mgn:StartTest": "https://docs.aws.amazon.com/mgn/latest/APIReference/API_StartTest.html",
        "sdb:CreateDomain": "https://docs.aws.amazon.com/AmazonSimpleDB/latest/DeveloperGuide/API_CreateDomain.html",
        "datasync:StartTaskExecution": "https://docs.aws.amazon.com/datasync/latest/userguide/API_StartTaskExecution.html",
        "ec2:ImportSnapshot": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ImportSnapshot.html",
        "cloudformation:SignalResource": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_SignalResource.html",
        "servicequotas:PutServiceQuotaIncreaseRequestIntoTemplate": "https://docs.aws.amazon.com/servicequotas/2019-06-24/apireference/API_PutServiceQuotaIncreaseRequestIntoTemplate.html",
        "appflow:StartFlow": "https://docs.aws.amazon.com/appflow/1.0/APIReference/API_StartFlow.html",
        "mgn:UpdateAgentBacklogForMgn": "https://docs.aws.amazon.com/mgn/latest/ug/mgn-apis.html",
        "iot:DeleteJob": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteJob.html",
        "proton:DeleteServiceTemplateVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_DeleteServiceTemplateVersion.html",
        "s3:PutMetricsConfiguration": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketMetricsConfiguration.html",
        "ivs:CreateChannel": "https://docs.aws.amazon.com/ivs/latest/APIReference/API_CreateChannel.html",
        "s3-object-lambda:DeleteObjectTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteObjectTagging.html",
        "devicefarm:DeleteInstanceProfile": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_DeleteInstanceProfile.html",
        "cloudformation:ExecuteChangeSet": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_ExecuteChangeSet.html",
        "ec2:ModifyVpcEndpointServicePermissions": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyVpcEndpointServicePermissions.html",
        "cloudwatch:PutInsightRule": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_PutInsightRule.html",
        "cognito-idp:AdminEnableUser": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminEnableUser.html",
        "medialive:StopChannel": "https://docs.aws.amazon.com/medialive/latest/ug/starting-stopping-deleting-a-channel.html",
        "sagemaker:StopMonitoringSchedule": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StopMonitoringSchedule.html",
        "cloudhsm:UntagResource": "https://docs.aws.amazon.com/cloudhsm/latest/APIReference/API_UntagResource.html",
        "config:PutRemediationConfigurations": "https://docs.aws.amazon.com/config/latest/APIReference/API_PutRemediationConfigurations.html",
        "lex:BuildBotLocale": "https://docs.aws.amazon.com/lexv2/latest/dg/API_BuildBotLocale.html",
        "iotsitewise:DisassociateAssets": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_DisassociateAssets.html",
        "rds:RemoveTagsFromResource": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_RemoveTagsFromResource.html",
        "ec2:RebootInstances": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RebootInstances.html",
        "serverlessrepo:UnshareApplication": null,
        "lex:DeleteIntent": "https://docs.aws.amazon.com/lexv2/latest/dg/API_DeleteIntent.html",
        "config:StartConfigRulesEvaluation": "https://docs.aws.amazon.com/config/latest/APIReference/API_StartConfigRulesEvaluation.html",
        "kms:Sign": "https://docs.aws.amazon.com/kms/latest/APIReference/API_Sign.html",
        "rekognition:CreateCollection": "https://docs.aws.amazon.com/rekognition/latest/dg/API_CreateCollection.html",
        "profile:DeleteProfileObjectType": "https://docs.aws.amazon.com/customerprofiles/latest/APIReference/API_DeleteProfileObjectType.html",
        "cognito-idp:AdminSetUserSettings": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminSetUserSettings.html",
        "workspaces:AssociateConnectionAlias": "https://docs.aws.amazon.com/workspaces/latest/api/API_AssociateConnectionAlias.html",
        "appflow:DeleteFlow": "https://docs.aws.amazon.com/appflow/1.0/APIReference/API_DeleteFlow.html",
        "sagemaker:CreateEdgePackagingJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateEdgePackagingJob.html",
        "glacier:UploadArchive": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-archive-post.html",
        "lambda:InvokeAsync": "https://docs.aws.amazon.com/lambda/latest/dg/API_InvokeAsync.html",
        "aps:UntagResource": "https://docs.aws.amazon.com/prometheus/latest/userguide/AMP-APIReference.html#AMP-APIReference-UntagResource",
        "panorama:UntagResource": "https://docs.aws.amazon.com/panorama/latest/dev/API_UntagResource.html",
        "waf:UpdateRule": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_UpdateRule.html",
        "lightsail:PutAlarm": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_PutAlarm.html",
        "codecommit:CreateCommit": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_CreateCommit.html",
        "cloudsearch:DeleteAnalysisScheme": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_DeleteAnalysisScheme.html",
        "nimble:DeleteLaunchProfile": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-launch-profiles-launchprofileid.html",
        "bugbust:UntagResource": "https://docs.aws.amazon.com/codeguru/latest/bugbust-ug/auth-and-access-control-permissions-reference.html",
        "ec2:AcceptTransitGatewayMulticastDomainAssociations": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AcceptTransitGatewayMulticastDomainAssociations.html",
        "ram:DeleteResourceShare": "https://docs.aws.amazon.com/ram/latest/APIReference/API_DeleteResourceShare.html",
        "access-analyzer:DeleteAnalyzer": "https://docs.aws.amazon.com/access-analyzer/latest/APIReference/API_DeleteAnalyzer.html",
        "cloudformation:StopStackSetOperation": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_StopStackSetOperation.html",
        "a4b:DeleteRoomSkillParameter": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DeleteRoomSkillParameter.html",
        "medialive:DeleteTags": "https://docs.aws.amazon.com/medialive/latest/ug/tagging.html",
        "s3:DeleteObjectVersionTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteObjectTagging.html",
        "iot:UpdateThingShadow": "https://docs.aws.amazon.com/iot/latest/developerguide/policy-actions.html",
        "worklink:DisassociateDomain": "https://docs.aws.amazon.com/worklink/latest/api/API_DisassociateDomain.html",
        "sagemaker:CreateFeatureGroup": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateFeatureGroup.html",
        "ssm-contacts:UpdateContactPolicy": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_UpdateContactPolicy.html",
        "appmesh-preview:CreateVirtualService": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_CreateVirtualService.html",
        "glue:BatchDeleteConnection": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-connections.html#aws-glue-api-catalog-connections-BatchDeleteConnection",
        "mobiletargeting:DeleteApnsVoipSandboxChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-apns-voip-sandbox-channel.html#rest-api-apns-voip-sandbox-channel-methods",
        "mobiletargeting:UpdateGcmChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-gcm-channel.html#rest-api-gcm-channel-methods",
        "iotevents:BatchEnableAlarm": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_iotevents-data_BatchEnableAlarm.html",
        "comprehend:StartEntitiesDetectionJob": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StartEntitiesDetectionJob.html",
        "autoscaling:ExecutePolicy": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_ExecutePolicy.html",
        "connect-campaigns:ResumeCampaign": "https://docs.aws.amazon.com/connect/latest/adminguide/enable-high-volume-outbound-communications.html",
        "clouddirectory:DisableDirectory": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_DisableDirectory.html",
        "comprehend:StopEntitiesDetectionJob": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StopEntitiesDetectionJob.html",
        "mgn:RetryDataReplication": "https://docs.aws.amazon.com/mgn/latest/APIReference/API_RetryDataReplication.html",
        "waf:CreateWebACLMigrationStack": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_CreateWebACLMigrationStack.html",
        "appmesh:UpdateVirtualRouter": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UpdateVirtualRouter.html",
        "gamelift:UpdateFleetAttributes": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_UpdateFleetAttributes.html",
        "waf:DeleteGeoMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_DeleteGeoMatchSet.html",
        "cloudsearch:DefineSuggester": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_DefineSuggester.html",
        "sagemaker:DeleteModelPackage": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteModelPackage.html",
        "workmail:UpdateResource": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_UpdateResource.html",
        "mobiletargeting:PutEvents": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-events.html#rest-api-events-methods",
        "iot:UpdateJob": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateJob.html",
        "logs:PutLogEvents": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_PutLogEvents.html",
        "es:UpgradeElasticsearchDomain": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-upgrade-domain",
        "clouddirectory:AttachToIndex": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_AttachToIndex.html",
        "mobilehub:UpdateProject": "https://docs.aws.amazon.com/mobile-hub/latest/developerguide/managed-policies.html",
        "appmesh-preview:DeleteVirtualRouter": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_DeleteVirtualRouter.html",
        "ds:DeleteDirectory": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_DeleteDirectory.html",
        "events:PutEvents": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_PutEvents.html",
        "amplify:CreateApp": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "glue:UpdateUserDefinedFunction": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-functions.html#aws-glue-api-catalog-functions-UpdateUserDefinedFunction",
        "quicksight:CreateFolderMembership": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CreateFolderMembership.html",
        "iam:RemoveClientIDFromOpenIDConnectProvider": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_RemoveClientIDFromOpenIDConnectProvider.html",
        "workmail:SetJournalingRules": "https://docs.aws.amazon.com/workmail/latest/adminguide/journaling_overview.html",
        "frauddetector:UpdateRuleVersion": "https://docs.aws.amazon.com/frauddetector/latest/api/API_UpdateRuleVersion.html",
        "rds:CreateDBInstanceReadReplica": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CreateDBInstanceReadReplica.html",
        "imagebuilder:DeleteInfrastructureConfiguration": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_DeleteInfrastructureConfiguration.html",
        "s3:DeleteObject": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteObject.html",
        "waf-regional:DeleteSizeConstraintSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DeleteSizeConstraintSet.html",
        "securityhub:UpdateOrganizationConfiguration": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_UpdateOrganizationConfiguration.html",
        "iotdeviceadvisor:UntagResource": "https://docs.aws.amazon.com/iot/latest/apireference/API_iotdeviceadvisor_UntagResource.html",
        "iam:TagInstanceProfile": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_TagInstanceProfile.html",
        "ivs:DeleteChannel": "https://docs.aws.amazon.com/ivs/latest/APIReference/API_DeleteChannel.html",
        "kms:UntagResource": "https://docs.aws.amazon.com/kms/latest/APIReference/API_UntagResource.html",
        "route53:ChangeTagsForResource": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_ChangeTagsForResource.html",
        "snow-device-management:UntagResource": "https://docs.aws.amazon.com/snowball/latest/snowcone-guide/sdms-cli-untag-resources.html",
        "autoscaling:AttachLoadBalancerTargetGroups": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_AttachLoadBalancerTargetGroups.html",
        "batch:TagResource": "https://docs.aws.amazon.com/batch/latest/APIReference/API_TagResource.html",
        "emr-containers:UntagResource": "https://docs.aws.amazon.com/emr-on-eks/latest/APIReference/API_UnTagResource.html",
        "geo:DeleteGeofenceCollection": "https://docs.aws.amazon.com/location/latest/developerguide/API_DeleteGeofenceCollection.html",
        "machinelearning:CreateEvaluation": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_CreateEvaluation.html",
        "ssm:UpdateAssociationStatus": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_UpdateAssociationStatus.html",
        "cloudformation:ImportStacksToStackSet": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_ImportStacksToStackSet.html",
        "dynamodb:TagResource": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_TagResource.html",
        "lightsail:DeleteLoadBalancer": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteLoadBalancer.html",
        "securityhub:DisableOrganizationAdminAccount": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_DisableOrganizationAdminAccount.html",
        "codebuild:UpdateReportGroup": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_UpdateReportGroup.html",
        "proton:DeleteEnvironmentTemplateMajorVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_DeleteEnvironmentTemplateMajorVersion.html",
        "dynamodb:RestoreTableToPointInTime": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_RestoreTableToPointInTime.html",
        "iam:UpdateServiceSpecificCredential": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateServiceSpecificCredential.html",
        "sso:TagResource": "https://docs.aws.amazon.com/singlesignon/latest/APIReference/API_TagResource.html",
        "fsx:UpdateVolume": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_UpdateVolume.html",
        "workmail:SetMailGroupDetails": "https://docs.aws.amazon.com/workmail/latest/adminguide/add_new_group.html",
        "ec2:CreateRouteTable": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateRouteTable.html",
        "ec2:ModifyTrafficMirrorFilterRule": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyTrafficMirrorFilterRule.html",
        "storagegateway:UpdateSMBFileShare": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_UpdateSMBFileShare.html",
        "chatbot:DeleteChimeWebhookConfiguration": null,
        "lex:DeleteImport": "https://docs.aws.amazon.com/lexv2/latest/dg/API_DeleteImport.html",
        "s3:ReplicateTags": "https://docs.aws.amazon.com/AmazonS3/latest/dev/setting-repl-config-perm-overview.html",
        "devicefarm:UpdateTestGridProject": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_UpdateTestGridProject.html",
        "profile:PutProfileObjectType": "https://docs.aws.amazon.com/customerprofiles/latest/APIReference/API_PutProfileObjectType.html",
        "nimble:TagResource": "https://docs.aws.amazon.com/nimble-studio/latest/api/tags-resourcearn.html",
        "amplifybackend:UpdateBackendAuth": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-auth-backendenvironmentname.html#UpdateBackendAuth",
        "iot:StartDetectMitigationActionsTask": "https://docs.aws.amazon.com/iot/latest/apireference/API_StartDetectMitigationActionsTask.html",
        "iotevents:DeleteDetectorModel": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_DeleteDetectorModel.html",
        "app-integrations:DeleteDataIntegration": "https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_DeleteDataIntegration.html",
        "amplify:UpdateBranch": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "rds:RemoveSourceIdentifierFromSubscription": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_RemoveSourceIdentifierFromSubscription.html",
        "redshift:ModifyClusterSnapshotSchedule": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ModifyClusterSnapshotSchedule.html",
        "storagegateway:RetrieveTapeArchive": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_RetrieveTapeArchive.html",
        "waf-regional:UpdateGeoMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_UpdateGeoMatchSet.html",
        "emr-containers:StartJobRun": "https://docs.aws.amazon.com/emr-on-eks/latest/APIReference/API_StartJobRun.html",
        "codepipeline:UpdateActionType": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_UpdateActionType.html",
        "iotsitewise:UpdateAssetProperty": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_UpdateAssetProperty.html",
        "rekognition:IndexFaces": "https://docs.aws.amazon.com/rekognition/latest/dg/API_IndexFaces.html",
        "iot:CreatePolicyVersion": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreatePolicyVersion.html",
        "cognito-idp:AdminUpdateAuthEventFeedback": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminUpdateAuthEventFeedback.html",
        "redshift:DisableLogging": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DisableLogging.html",
        "quicksight:UpdateThemeAlias": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateThemeAlias.html",
        "iotanalytics:StartPipelineReprocessing": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_StartPipelineReprocessing.html",
        "cloudformation:CreateStack": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_CreateStack.html",
        "cognito-idp:AddCustomAttributes": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AddCustomAttributes.html",
        "medialive:DeleteMultiplex": "https://docs.aws.amazon.com/medialive/latest/ug/delete-multiplex.html",
        "apigateway:DELETE": "https://docs.aws.amazon.com/apigateway/api-reference/API_DELETE.html",
        "mobiletargeting:SendUsersMessages": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-users-messages.html#rest-api-users-messages-methods",
        "sagemaker:CreateModelQualityJobDefinition": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateModelQualityJobDefinition.html",
        "codecommit:MergeBranchesByThreeWay": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_MergeBranchesByThreeWay.html",
        "route53resolver:DeleteResolverEndpoint": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_DeleteResolverEndpoint.html",
        "proton:CreateServiceTemplate": "https://docs.aws.amazon.com/proton/latest/APIReference/API_CreateServiceTemplate.html",
        "shield:AssociateHealthCheck": "https://docs.aws.amazon.com/waf/latest/DDOSAPIReference/API_AssociateHealthCheck.html",
        "macie2:CreateFindingsFilter": "https://docs.aws.amazon.com/macie/latest/APIReference/findingsfilters.html",
        "elasticache:RevokeCacheSecurityGroupIngress": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_RevokeCacheSecurityGroupIngress.html",
        "codeguru-profiler:DeleteProfilingGroup": "https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_DeleteProfilingGroup.html",
        "transfer:StopServer": "https://docs.aws.amazon.com/transfer/latest/userguide/API_StopServer.html",
        "iotanalytics:UpdateChannel": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_UpdateChannel.html",
        "lookoutvision:DeleteModel": "https://docs.aws.amazon.com/lookout-for-vision/latest/APIReference/API_DeleteModel.html",
        "deeplens:DeployProject": null,
        "codecommit:AssociateApprovalRuleTemplateWithRepository": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_AssociateApprovalRuleTemplateWithRepository.html",
        "appconfig:DeleteConfigurationProfile": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_DeleteConfigurationProfile.html",
        "ec2:CreateImage": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateImage.html",
        "ivs:UntagResource": "https://docs.aws.amazon.com/ivs/latest/APIReference/API_UntagResource.html",
        "shield:DeleteProtection": "https://docs.aws.amazon.com/waf/latest/DDOSAPIReference/API_DeleteProtection.html",
        "forecast:DeletePredictorBacktestExportJob": "https://docs.aws.amazon.com/forecast/latest/dg/API_DeletePredictorBacktestExportJob.html",
        "rds:CreateDBClusterSnapshot": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CreateDBClusterSnapshot.html",
        "ecs:UpdateServicePrimaryTaskSet": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_UpdateServicePrimaryTaskSet.html",
        "lambda:UpdateEventSourceMapping": "https://docs.aws.amazon.com/lambda/latest/dg/API_UpdateEventSourceMapping.html",
        "network-firewall:DeleteRuleGroup": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_DeleteRuleGroup.html",
        "securityhub:CreateInsight": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_CreateInsight.html",
        "nimble:PutLaunchProfileMembers": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-launch-profiles-launchprofileid-membership.html",
        "dms:DeleteReplicationTaskAssessmentRun": "https://docs.aws.amazon.com/dms/latest/APIReference/API_DeleteReplicationTaskAssessmentRun.html",
        "iam:AttachUserPolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_AttachUserPolicy.html",
        "memorydb:BatchUpdateClusters": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_BatchUpdateClusters.html",
        "s3:DeleteStorageLensConfigurationTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_DeleteStorageLensConfigurationTagging.html",
        "codecommit:PutRepositoryTriggers": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_PutRepositoryTriggers.html",
        "iotthingsgraph:UpdateSystemTemplate": "https://docs.aws.amazon.com/thingsgraph/latest/APIReference/{APIReferenceDocPage}API_UpdateSystemTemplate.html",
        "mobiletargeting:UpdateEmailChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-email-channel.html#rest-api-email-channel-methods",
        "mgh:NotifyMigrationTaskState": "https://docs.aws.amazon.com/migrationhub/latest/ug/API_NotifyMigrationTaskState.html",
        "codecommit:DeleteCommentContent": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_DeleteCommentContent.html",
        "events:UpdateConnection": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_UpdateConnection.html",
        "sqs:SetQueueAttributes": "https://docs.aws.amazon.com/AWSSimpleQueueService/latest/APIReference/API_SetQueueAttributes.html",
        "directconnect:DisassociateMacSecKey": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_DisassociateMacSecKey.html",
        "iot:DeleteFleetMetric": "https://docs.aws.amazon.com/iot/latest/apireference/iot-indexing.html",
        "airflow:TagResource": "https://docs.aws.amazon.com/mwaa/latest/userguide/mwaa-actions-resources.html",
        "amplifybackend:CreateBackend": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend.html#CreateBackend",
        "iot:CreateProvisioningClaim": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateProvisioningClaim.html",
        "globalaccelerator:DenyCustomRoutingTraffic": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_DenyCustomRoutingTraffic.html",
        "rekognition:CreateStreamProcessor": "https://docs.aws.amazon.com/rekognition/latest/dg/API_CreateStreamProcessor.html",
        "proton:CreateEnvironmentTemplate": "https://docs.aws.amazon.com/proton/latest/APIReference/API_CreateEnvironmentTemplate.html",
        "rekognition:CreateProject": "https://docs.aws.amazon.com/rekognition/latest/dg/API_CreateProject.html",
        "opsworks:RebootInstance": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_RebootInstance.html",
        "chime:DeleteChannelModerator": "https://docs.aws.amazon.com/chime/latest/APIReference/API_DeleteChannelModerator.html",
        "sagemaker:StopNotebookInstance": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StopNotebookInstance.html",
        "ecr:ReplicateImage": "https://docs.aws.amazon.com/AmazonECR/latest/userguide/registry-permissions.html",
        "mediaconvert:TagResource": "https://docs.aws.amazon.com/mediaconvert/latest/apireference/tags.html",
        "connect:UpdateRoutingProfileQueues": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateRoutingProfileQueues.html",
        "iam:UntagSAMLProvider": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UntagSAMLProvider.html",
        "ses:CreateEmailTemplate": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_CreateEmailTemplate.html",
        "chime:UpdateChannelReadMarker": "https://docs.aws.amazon.com/chime/latest/APIReference/API_UpdateChannelReadMarker.html",
        "codecommit:PostCommentForComparedCommit": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_PostCommentForComparedCommit.html",
        "cloudtrail:RemoveTags": "https://docs.aws.amazon.com/awscloudtrail/latest/APIReference/API_RemoveTags.html",
        "profile:CreateProfile": "https://docs.aws.amazon.com/customerprofiles/latest/APIReference/API_CreateProfile.html",
        "route53resolver:AssociateResolverRule": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_AssociateResolverRule.html",
        "mobiletargeting:TagResource": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-tags.html#rest-api-tags-methods-post",
        "proton:DeleteEnvironmentTemplate": "https://docs.aws.amazon.com/proton/latest/APIReference/API_DeleteEnvironmentTemplate.html",
        "eks:UntagResource": "https://docs.aws.amazon.com/eks/latest/APIReference/API_UntagResource.html",
        "proton:DeleteEnvironmentAccountConnection": "https://docs.aws.amazon.com/proton/latest/APIReference/API_DeleteEnvironmentAccountConnection.html",
        "waf-regional:UpdateRuleGroup": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_UpdateRuleGroup.html",
        "qldb:StreamJournalToKinesis": "https://docs.aws.amazon.com/qldb/latest/developerguide/API_StreamJournalToKinesis.html",
        "amplify:UpdateWebHook": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "iot:RemoveThingFromBillingGroup": "https://docs.aws.amazon.com/iot/latest/apireference/API_RemoveThingFromBillingGroup.html",
        "cognito-identity:UnlinkDeveloperIdentity": "https://docs.aws.amazon.com/cognitoidentity/latest/APIReference/API_UnlinkDeveloperIdentity.html",
        "elasticache:ModifyReplicationGroupShardConfiguration": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_ModifyReplicationGroupShardConfiguration.html",
        "geo:CreateGeofenceCollection": "https://docs.aws.amazon.com/location/latest/developerguide/API_CreateGeofenceCollection.html",
        "iot:RetainPublish": "https://docs.aws.amazon.com/iot/latest/developerguide/policy-actions.html",
        "waf-regional:DeleteGeoMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DeleteGeoMatchSet.html",
        "lex:DeleteSession": "https://docs.aws.amazon.com/lexv2/latest/dg/API_runtime_DeleteSession.html",
        "wafv2:CreateIPSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_CreateIPSet.html",
        "iot1click:TagResource": "https://docs.aws.amazon.com/iot-1-click/latest/projects-apireference/API_TagResource.html",
        "comprehend:StartEventsDetectionJob": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StartEventsDetectionJob.html",
        "sagemaker:CreateImageVersion": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateImageVersion.html",
        "elemental-activations:UntagResource": "https://docs.aws.amazon.com/elemental-appliances-software/",
        "deepcomposer:CreateComposition": "https://docs.aws.amazon.com/deepcomposer/latest/devguide/get-started-learn-from-pre-trained-models.html",
        "license-manager:CreateToken": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_CreateToken.html",
        "connect:UpdateRoutingProfileConcurrency": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateRoutingProfileConcurrency.html",
        "directconnect:CreateConnection": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_CreateConnection.html",
        "glacier:DeleteVault": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-vault-delete.html",
        "devicefarm:DeleteUpload": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_DeleteUpload.html",
        "ec2:DeleteDhcpOptions": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteDhcpOptions.html",
        "iot:EnableTopicRule": "https://docs.aws.amazon.com/iot/latest/apireference/API_EnableTopicRule.html",
        "logs:DeleteLogGroup": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_DeleteLogGroup.html",
        "proton:UpdateServicePipeline": "https://docs.aws.amazon.com/proton/latest/APIReference/API_UpdateServicePipeline.html",
        "kafka:TagResource": "https://docs.aws.amazon.com/msk/1.0/apireference/tags-resourcearn.html#TagResource",
        "securityhub:EnableOrganizationAdminAccount": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_EnableOrganizationAdminAccount.html",
        "logs:DeleteLogStream": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_DeleteLogStream.html",
        "opsworks:DetachElasticLoadBalancer": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_DetachElasticLoadBalancer.html",
        "redshift-data:BatchExecuteStatement": "https://docs.aws.amazon.com/redshift-data/latest/APIReference/API_BatchExecuteStatement.html",
        "lambda:PutProvisionedConcurrencyConfig": "https://docs.aws.amazon.com/lambda/latest/dg/API_PutProvisionedConcurrencyConfig.html",
        "rds:RestoreDBInstanceFromS3": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_RestoreDBInstanceFromS3.html",
        "quicksight:GenerateEmbedUrlForAnonymousUser": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_GenerateEmbedUrlForAnonymousUser.html",
        "appstream:StopImageBuilder": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_StopImageBuilder.html",
        "waf-regional:UpdateXssMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_UpdateXssMatchSet.html",
        "wellarchitected:UntagResource": "https://docs.aws.amazon.com/wellarchitected/latest/APIReference/API_UntagResource.html",
        "workmail:CreateMobileDeviceAccessRule": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_CreateMobileDeviceAccessRule.html",
        "amplify:StopJob": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "appstream:CopyImage": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_CopyImage.html",
        "ec2:CreateTransitGatewayVpcAttachment": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateTransitGatewayVpcAttachment.html",
        "kafka-cluster:DeleteGroup": "https://docs.aws.amazon.com/msk/latest/developerguide/iam-access-control.html#actions",
        "s3-object-lambda:PutObjectTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutObjectTagging.html",
        "ecr:CompleteLayerUpload": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_CompleteLayerUpload.html",
        "geo:TagResource": "https://docs.aws.amazon.com/location/latest/developerguide/API_TagResource.html",
        "glue:UpdateConnection": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-connections.html#aws-glue-api-catalog-connections-UpdateConnection",
        "glacier:DeleteVaultNotifications": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-vault-notifications-delete.html",
        "quicksight:DescribeDataSourcePermissions": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DescribeDataSourcePermissions.html",
        "transfer:TagResource": "https://docs.aws.amazon.com/transfer/latest/userguide/API_TagResource.html",
        "iot:CreateSecurityProfile": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateSecurityProfile.html",
        "codestar:DeleteExtendedAccess": null,
        "connect:DisassociateLexBot": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "directconnect:CreateInterconnect": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_CreateInterconnect.html",
        "ec2:DisassociateInstanceEventWindow": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisassociateInstanceEventWindow.html",
        "lex:UpdateSlotType": "https://docs.aws.amazon.com/lexv2/latest/dg/API_UpdateSlotType.html",
        "lightsail:StopRelationalDatabase": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_StopRelationalDatabase.html",
        "redshift:ModifyClusterSnapshot": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ModifyClusterSnapshot.html",
        "secretsmanager:DeleteSecret": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "ec2:RejectTransitGatewayPeeringAttachment": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RejectTransitGatewayPeeringAttachment.html",
        "appmesh-preview:CreateRoute": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_CreateRoute.html",
        "ec2:DeleteNetworkAclEntry": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteNetworkAclEntry.html",
        "kinesisvideo:ConnectAsViewer": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_ConnectAsViewer.html",
        "connect:CreateIntegrationAssociation": "https://docs.aws.amazon.com/connect/latest/APIReference/API_CreateIntegrationAssociation.html",
        "elasticache:CreateReplicationGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_CreateReplicationGroup.html",
        "glue:CreatePartition": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-partitions.html#aws-glue-api-catalog-partitions-CreatePartition",
        "wafv2:CreateRegexPatternSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_CreateRegexPatternSet.html",
        "connect:UpdateInstanceAttribute": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "securityhub:EnableSecurityHub": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_EnableSecurityHub.html",
        "ssm:DeregisterPatchBaselineForPatchGroup": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_DeregisterPatchBaselineForPatchGroup.html",
        "iot:DeleteThingType": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteThingType.html",
        "ebs:PutSnapshotBlock": "https://docs.aws.amazon.com/ebs/latest/APIReference/API_PutSnapshotBlock.html",
        "iotwireless:DeleteWirelessGatewayTask": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_DeleteWirelessGatewayTask.html",
        "servicequotas:RequestServiceQuotaIncrease": "https://docs.aws.amazon.com/servicequotas/2019-06-24/apireference/API_RequestServiceQuotaIncrease.html",
        "waf-regional:UntagResource": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_UntagResource.html",
        "fms:DeletePolicy": "https://docs.aws.amazon.com/fms/2018-01-01/APIReference/API_DeletePolicy.html",
        "ec2:DisassociateRouteTable": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DisassociateRouteTable.html",
        "redshift:DeleteCluster": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DeleteCluster.html",
        "config:DeleteConfigurationAggregator": "https://docs.aws.amazon.com/config/latest/APIReference/API_DeleteConfigurationAggregator.html",
        "dataexchange:CancelJob": "https://docs.aws.amazon.com/data-exchange/latest/apireference/v1-jobs.html#CancelJob",
        "glue:DeleteResourcePolicy": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-jobs-security.html#aws-glue-api-jobs-security-DeleteResourcePolicy",
        "gamelift:PutScalingPolicy": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_PutScalingPolicy.html",
        "ses:CreateCustomVerificationEmailTemplate": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_CreateCustomVerificationEmailTemplate.html",
        "cognito-idp:AdminRespondToAuthChallenge": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminRespondToAuthChallenge.html",
        "panorama:CreateAppVersion": "https://docs.aws.amazon.com/panorama/latest/dev/API_CreateAppVersion.html",
        "workspaces:UpdateWorkspaceImagePermission": "https://docs.aws.amazon.com/workspaces/latest/api/API_UpdateWorkspaceImagePermission.html",
        "auditmanager:DeleteControl": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_DeleteControl.html",
        "appconfig:DeleteHostedConfigurationVersion": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_DeleteHostedConfigurationVersion.html",
        "autoscaling:TerminateInstanceInAutoScalingGroup": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_TerminateInstanceInAutoScalingGroup.html",
        "route53resolver:CreateResolverRule": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_CreateResolverRule.html",
        "autoscaling:SetInstanceProtection": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_SetInstanceProtection.html",
        "glue:UpdateRegistry": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-schema-registry-api.html#aws-glue-api-schema-registry-api-UpdateRegistry",
        "ebs:CompleteSnapshot": "https://docs.aws.amazon.com/ebs/latest/APIReference/API_CompleteSnapshot.html",
        "securityhub:DeleteInvitations": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_DeleteInvitations.html",
        "autoscaling:PutLifecycleHook": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_PutLifecycleHook.html",
        "cloudsearch:document": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/configuring-access.html#cloudsearch-actions",
        "codestar-notifications:DeleteNotificationRule": "https://docs.aws.amazon.com/codestar-notifications/latest/APIReference/API_DeleteNotificationRule.html",
        "networkmanager:UntagResource": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_UntagResource.html",
        "connect:UpdateQueueStatus": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateQueueStatus.html",
        "sagemaker:UpdateUserProfile": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateUserProfile.html",
        "opsworks:RegisterRdsDbInstance": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_RegisterRdsDbInstance.html",
        "signer:CancelSigningProfile": "https://docs.aws.amazon.com/signer/latest/api/API_CancelSigningProfile.html",
        "sagemaker:DeleteModelQualityJobDefinition": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteModelQualityJobDefinition.html",
        "budgets:ExecuteBudgetAction": "https://docs.aws.amazon.com/awsaccountbilling/latest/aboutv2/billing-permissions-ref.html#user-permissions",
        "detective:StartMonitoringMember": "https://docs.aws.amazon.com/detective/latest/APIReference/API_StartMonitoringMember.html",
        "geo:BatchPutGeofence": "https://docs.aws.amazon.com/location/latest/developerguide/API_BatchPutGeofence.html",
        "lookoutvision:CreateModel": "https://docs.aws.amazon.com/lookout-for-vision/latest/APIReference/API_CreateModel.html",
        "emr-containers:TagResource": "https://docs.aws.amazon.com/emr-on-eks/latest/APIReference/API_TagResource.html",
        "ec2:CreateReservedInstancesListing": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateReservedInstancesListing.html",
        "waf:DeleteByteMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_DeleteByteMatchSet.html",
        "mobiletargeting:DeleteEndpoint": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-endpoint.html#rest-api-endpoint-methods",
        "finspace:LoadSampleDataSetGroupIntoEnvironment": "https://docs.aws.amazon.com/finspace/latest/management-api/API_LoadSampleDataSetGroupIntoEnvironment.html",
        "clouddirectory:BatchWrite": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_BatchWrite.html",
        "ec2:UnassignPrivateIpAddresses": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_UnassignPrivateIpAddresses.html",
        "elasticmapreduce:OpenEditorInConsole": "https://docs.aws.amazon.com/emr/latest/ManagementGuide/emr-managed-notebooks.html#emr-managed-notebooks-editor",
        "memorydb:DeleteAcl": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_DeleteAcl.html",
        "connect:UpdateQueueOutboundCallerConfig": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateQueueOutboundCallerConfig.html",
        "dax:TagResource": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_dax_TagResource.html",
        "ram:AssociateResourceShare": "https://docs.aws.amazon.com/ram/latest/APIReference/API_AssociateResourceShare.html",
        "apprunner:UpdateService": "https://docs.aws.amazon.com/apprunner/latest/api/API_UpdateService.html",
        "ec2:ModifyReservedInstances": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyReservedInstances.html",
        "elasticache:ModifyCacheParameterGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_ModifyCacheParameterGroup.html",
        "iot:DeleteDimension": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteDimension.html",
        "appconfig:StopDeployment": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_StopDeployment.html",
        "cognito-idp:AdminConfirmSignUp": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminConfirmSignUp.html",
        "logs:DeleteRetentionPolicy": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_DeleteRetentionPolicy.html",
        "synthetics:TagResource": "https://docs.aws.amazon.com/AmazonSynthetics/latest/APIReference/API_TagResource.html",
        "iot:CreateFleetMetric": "https://docs.aws.amazon.com/iot/latest/apireference/iot-indexing.html",
        "iotevents:UpdateInput": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_UpdateInput.html",
        "comprehend:DeleteEndpoint": "https://docs.aws.amazon.com/comprehend/latest/dg/API_DeleteEndpoint.html",
        "mobiletargeting:UpdateAdmChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-adm-channel.html#rest-api-adm-channel-methods",
        "workspaces:ModifyWorkspaceAccessProperties": "https://docs.aws.amazon.com/workspaces/latest/api/API_ModifyWorkspaceAccessProperties.html",
        "auditmanager:DeleteAssessmentReport": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_DeleteAssessmentReport.html",
        "elemental-appliances-software:UntagResource": "https://docs.aws.amazon.com/elemental-appliances-software",
        "ec2:DeleteFleets": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteFleets.html",
        "lambda:DeleteAlias": "https://docs.aws.amazon.com/lambda/latest/dg/API_DeleteAlias.html",
        "lambda:DeleteFunctionEventInvokeConfig": "https://docs.aws.amazon.com/lambda/latest/dg/API_DeleteFunctionEventInvokeConfig.html",
        "sagemaker:SendPipelineExecutionStepSuccess": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_SendPipelineExecutionStepSuccess.html",
        "appmesh-preview:DeleteVirtualGateway": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_DeleteVirtualGateway.html",
        "dms:ModifyEndpoint": "https://docs.aws.amazon.com/dms/latest/APIReference/API_ModifyEndpoint.html",
        "mgn:UpdateLaunchConfiguration": "https://docs.aws.amazon.com/mgn/latest/APIReference/API_UpdateLaunchConfiguration.html",
        "cloudtrail:StopLogging": "https://docs.aws.amazon.com/awscloudtrail/latest/APIReference/API_StopLogging.html",
        "ses:UpdateEmailTemplate": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_UpdateEmailTemplate.html",
        "glue:CreateUserDefinedFunction": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-functions.html#aws-glue-api-catalog-functions-CreateUserDefinedFunction",
        "iam:UploadSigningCertificate": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UploadSigningCertificate.html",
        "lambda:PublishLayerVersion": "https://docs.aws.amazon.com/lambda/latest/dg/API_PublishLayerVersion.html",
        "clouddirectory:EnableDirectory": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_EnableDirectory.html",
        "deepracer:RemoveLeaderboardAccessPermission": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-manage-community-races.html",
        "codeguru-profiler:RemovePermission": "https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_RemovePermission.html",
        "comprehend:StartTopicsDetectionJob": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StartTopicsDetectionJob.html",
        "athena:CreateDataCatalog": "https://docs.aws.amazon.com/athena/latest/APIReference/API_CreateDataCatalog.html",
        "kinesisvideo:CreateStream": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_CreateStream.html",
        "license-manager:TagResource": "https://docs.aws.amazon.com/license-manager/latest/APIReference/API_TagResource.html",
        "lookoutvision:StopModel": "https://docs.aws.amazon.com/lookout-for-vision/latest/APIReference/API_StopModel.html",
        "iotsitewise:UntagResource": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_UntagResource.html",
        "rds:CreateEventSubscription": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CreateEventSubscription.html",
        "s3:CreateBucket": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_CreateBucket.html",
        "chime:BatchCreateChannelMembership": "https://docs.aws.amazon.com/chime/latest/APIReference/API_BatchCreateChannelMembership.html",
        "databrew:UpdateRecipeJob": "https://docs.aws.amazon.com/databrew/latest/dg/API_UpdateRecipeJob.html",
        "elastic-inference:Connect": null,
        "lookoutvision:TagResource": "https://docs.aws.amazon.com/lookout-for-vision/latest/APIReference/API_TagResource.html",
        "gamelift:UntagResource": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_UntagResource.html",
        "rds-data:BeginTransaction": "https://docs.aws.amazon.com/rdsdataservice/latest/APIReference/API_BeginTransaction.html",
        "rds:DeleteDBParameterGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeleteDBParameterGroup.html",
        "rds:DeregisterDBProxyTargets": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeregisterDBProxyTargets.html",
        "route53resolver:UpdateFirewallRuleGroupAssociation": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_UpdateFirewallRuleGroupAssociation.html",
        "lightsail:SendContactMethodVerification": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_SendContactMethodVerification.html",
        "iotanalytics:DeletePipeline": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_DeletePipeline.html",
        "medialive:StopMultiplex": "https://docs.aws.amazon.com/medialive/latest/ug/starting-stopping-a-multiplex.html",
        "frauddetector:UpdateDetectorVersionStatus": "https://docs.aws.amazon.com/frauddetector/latest/api/API_UpdateDetectorVersionStatus",
        "backup:DeleteBackupPlan": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_DeleteBackupPlan.html",
        "iam:CreatePolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_CreatePolicy.html",
        "codepipeline:EnableStageTransition": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_EnableStageTransition.html",
        "nimble:PutStudioMembers": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-membership.html",
        "codecommit:CreatePullRequest": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_CreatePullRequest.html",
        "ssm:GetParametersByPath": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_GetParametersByPath.html",
        "firehose:StopDeliveryStreamEncryption": "https://docs.aws.amazon.com/firehose/latest/APIReference/API_StopDeliveryStreamEncryption.html",
        "codepipeline:RetryStageExecution": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_RetryStageExecution.html",
        "elasticbeanstalk:RemoveTags": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_UpdateTagsForResource.html",
        "chime:BatchCreateAttendee": "https://docs.aws.amazon.com/chime/latest/APIReference/API_BatchCreateAttendee.html",
        "fsx:CancelDataRepositoryTask": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_CancelDataRepositoryTask.html",
        "athena:UpdatePreparedStatement": "https://docs.aws.amazon.com/athena/latest/APIReference/API_UpdatePreparedStatement.html",
        "clouddirectory:DeleteTypedLinkFacet": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_DeleteTypedLinkFacet.html",
        "ecs:UpdateCapacityProvider": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_UpdateCapacityProvider.html",
        "appstream:CreateImageBuilder": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_CreateImageBuilder.html",
        "storagegateway:BypassGovernanceRetention": "https://docs.aws.amazon.com/storagegateway/latest/userguide/CreatingCustomTapePool.html#TapeRetentionLock",
        "ec2:AttachVolume": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AttachVolume.html",
        "iam:AttachGroupPolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_AttachGroupPolicy.html",
        "s3:PutJobTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_PutJobTagging.html",
        "aps:DeleteAlertManagerDefinition": "https://docs.aws.amazon.com/prometheus/latest/userguide/AMP-APIReference.html#AMP-APIReference-DeleteAlertManagerDefinition",
        "codestar:UntagProject": "https://docs.aws.amazon.com/codestar/latest/APIReference/API_UntagProject.html",
        "iotwireless:UpdateDestination": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_UpdateDestination.html",
        "ecs:UntagResource": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_UntagResource.html",
        "iot:AssociateTargetsWithJob": "https://docs.aws.amazon.com/iot/latest/apireference/API_AssociateTargetsWithJob.html",
        "route53-recovery-control-config:DeleteCluster": "https://docs.aws.amazon.com/recovery-cluster/latest/api/cluster-clusterarn.html",
        "ec2:ModifySnapshotAttribute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifySnapshotAttribute.html",
        "ec2:RejectTransitGatewayMulticastDomainAssociations": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RejectTransitGatewayMulticastDomainAssociations.html",
        "aps:PutRuleGroupsNamespace": "https://docs.aws.amazon.com/prometheus/latest/userguide/AMP-APIReference.html#AMP-APIReference-PutRuleGroupsNamespace",
        "quicksight:UpdateAnalysis": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateAnalysis.html",
        "waf-regional:CreateRegexMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_CreateRegexMatchSet.html",
        "ecr-public:TagResource": "https://docs.aws.amazon.com/AmazonECRPublic/latest/APIReference/API_TagResource.html",
        "kinesisanalytics:CreateApplicationSnapshot": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_CreateApplicationSnapshot.html",
        "cloudformation:DeleteChangeSet": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_DeleteChangeSet.html",
        "amplify:GenerateAccessLogs": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "monitron:DeleteProject": "https://docs.aws.amazon.com/Monitron/latest/admin-guide/mp-delete-project.html",
        "sagemaker:UpdateModelPackage": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateModelPackage.html",
        "gamelift:ClaimGameServer": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_ClaimGameServer.html",
        "greengrass:UntagResource": "https://docs.aws.amazon.com/greengrass/v2/APIReference/API_UntagResource.html",
        "lex:DeleteBotChannel": "https://docs.aws.amazon.com/lexv2/latest/dg/deploying-messaging-platform.html",
        "sagemaker:UpdatePipelineExecution": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdatePipelineExecution.html",
        "workspaces:UpdateRulesOfIpGroup": "https://docs.aws.amazon.com/workspaces/latest/api/API_UpdateRulesOfIpGroup.html",
        "iot1click:DeleteProject": "https://docs.aws.amazon.com/iot-1-click/latest/projects-apireference/API_DeleteProject.html",
        "ssm:UpdateServiceSetting": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_UpdateServiceSetting.html",
        "swf:RequestCancelWorkflowExecution": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_RequestCancelWorkflowExecution.html",
        "ecs:StartTelemetrySession": "https://docs.aws.amazon.com/AmazonECS/latest/developerguide/cloudwatch-metrics.html#enable_cloudwatch",
        "mediapackage-vod:DeleteAsset": "https://docs.aws.amazon.com/mediapackage-vod/latest/apireference/assets-id.html#assets-iddelete",
        "a4b:UpdateSkillGroup": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_UpdateSkillGroup.html",
        "connect-campaigns:PauseCampaign": "https://docs.aws.amazon.com/connect/latest/adminguide/enable-high-volume-outbound-communications.html",
        "network-firewall:UpdateFirewallPolicyChangeProtection": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_UpdateFirewallPolicyChangeProtection.html",
        "ec2:DeleteVpc": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteVpc.html",
        "auditmanager:UpdateAssessmentControl": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_UpdateAssessmentControl.html",
        "sagemaker:UpdateExperiment": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateExperiment.html",
        "route53:AssociateVPCWithHostedZone": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_AssociateVPCWithHostedZone.html",
        "servicediscovery:UpdateHttpNamespace": "https://docs.aws.amazon.com/cloud-map/latest/api/API_UpdateHttpNamespace.html",
        "wellarchitected:UpdateShareInvitation": "https://docs.aws.amazon.com/wellarchitected/latest/APIReference/API_UpdateShareInvitation.html",
        "medialive:AcceptInputDeviceTransfer": "https://docs.aws.amazon.com/medialive/latest/ug/eml-devices.html",
        "redshift:CreateClusterSubnetGroup": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_CreateClusterSubnetGroup.html",
        "budgets:DeleteBudgetAction": "https://docs.aws.amazon.com/awsaccountbilling/latest/aboutv2/billing-permissions-ref.html#user-permissions",
        "auditmanager:BatchDeleteDelegationByAssessment": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_BatchDeleteDelegationByAssessment.html",
        "ec2:CreateSnapshot": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateSnapshot.html",
        "elasticfilesystem:PutLifecycleConfiguration": "https://docs.aws.amazon.com/efs/latest/ug/API_PutLifecycleConfiguration.html",
        "lightsail:CreateBucket": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateBucket.html",
        "ec2:DeleteLaunchTemplateVersions": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteLaunchTemplateVersions.html",
        "rds:CreateGlobalCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CreateGlobalCluster.html",
        "sagemaker:DeleteNotebookInstanceLifecycleConfig": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteNotebookInstanceLifecycleConfig.html",
        "route53resolver:DeleteFirewallRule": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_DeleteFirewallRule.html",
        "sagemaker:DeleteHumanLoop": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteHumanLoop.html",
        "iotsitewise:UpdateGatewayCapabilityConfiguration": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_UpdateGatewayCapabilityConfiguration.html",
        "sagemaker:StopProcessingJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StopProcessingJob.html",
        "a4b:DisassociateSkillFromSkillGroup": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DisassociateSkillFromSkillGroup.html",
        "codebuild:PutResourcePolicy": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_PutResourcePolicy.html",
        "databrew:UpdateSchedule": "https://docs.aws.amazon.com/databrew/latest/dg/API_UpdateSchedule.html",
        "events:DeactivateEventSource": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_DeactivateEventSource.html",
        "iotwireless:DeleteWirelessGateway": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_DeleteWirelessGateway.html",
        "rds:DeleteDBProxyEndpoint": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeleteDBProxyEndpoint.html",
        "kinesisvideo:DeleteStream": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_DeleteStream.html",
        "ec2:DeleteLocalGatewayRouteTableVpcAssociation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteLocalGatewayRouteTableVpcAssociation.html",
        "kendra:CreateQuerySuggestionsBlockList": "https://docs.aws.amazon.com/kendra/latest/dg/API_CreateQuerySuggestionsBlockList.html",
        "sagemaker:AddTags": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_AddTags.html",
        "sso:AttachManagedPolicyToPermissionSet": "https://docs.aws.amazon.com/singlesignon/latest/APIReference/API_AttachManagedPolicyToPermissionSet.html",
        "aps:DeleteWorkspace": "https://docs.aws.amazon.com/prometheus/latest/userguide/AMP-APIReference.html#AMP-APIReference-DeleteWorkspace",
        "forecast:DeleteDataset": "https://docs.aws.amazon.com/forecast/latest/dg/API_DeleteDataset.html",
        "ec2:DeleteTrafficMirrorTarget": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteTrafficMirrorTarget.html",
        "kinesis:PutRecord": "https://docs.aws.amazon.com/kinesis/latest/APIReference/API_PutRecord.html",
        "robomaker:DeleteRobotApplication": "https://docs.aws.amazon.com/robomaker/latest/dg/API_DeleteRobotApplication.html",
        "schemas:PutCodeBinding": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-registries-name-registryname-schemas-name-schemaname-language-language.html#PutCodeBinding",
        "ivs:PutMetadata": "https://docs.aws.amazon.com/ivs/latest/APIReference/API_PutMetadata.html",
        "cloudshell:PutCredentials": "https://docs.aws.amazon.com/cloudshell/latest/userguide/sec-auth-with-identities.html#PutCredentials",
        "waf:UntagResource": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_UntagResource.html",
        "connect:UpdateQuickConnectName": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateQuickConnectName.html",
        "mediaconvert:CreateJobTemplate": "https://docs.aws.amazon.com/mediaconvert/latest/apireference/jobs-id.html",
        "ec2:ModifyNetworkInterfaceAttribute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyNetworkInterfaceAttribute.html",
        "ssm-contacts:PutContactPolicy": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_PutContactPolicy.html",
        "geo:CreateMap": "https://docs.aws.amazon.com/location/latest/developerguide/API_CreateMap.html",
        "lightsail:DeleteRelationalDatabaseSnapshot": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteRelationalDatabaseSnapshot.html",
        "a4b:AssociateDeviceWithNetworkProfile": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_AssociateDeviceWithNetworkProfile.html",
        "sqlworkbench:UpdateChart": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "autoscaling:ResumeProcesses": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_ResumeProcesses.html",
        "ds:RemoveIpRoutes": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_RemoveIpRoutes.html",
        "mobiletargeting:DeleteVoiceChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-voice-channel.html#rest-api-voice-channel-methods",
        "iotthingsgraph:DeleteSystemInstance": "https://docs.aws.amazon.com/thingsgraph/latest/APIReference/{APIReferenceDocPage}API_DeleteSystemInstance.html",
        "ssm:DeleteAssociation": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_DeleteAssociation.html",
        "waf-regional:DeleteWebACL": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DeleteWebACL.html",
        "trustedadvisor:RefreshCheck": "https://docs.aws.amazon.com/awssupport/latest/user/security-trusted-advisor.html#trusted-advisor-operations",
        "iam:TagSAMLProvider": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_TagSAMLProvider.html",
        "mq:UpdateBroker": "https://docs.aws.amazon.com/amazon-mq/latest/api-reference/rest-api-broker.html#rest-api-broker-methods-get",
        "gamelift:UpdateFleetCapacity": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_UpdateFleetCapacity.html",
        "mediatailor:DeleteSourceLocation": "https://docs.aws.amazon.com/mediatailor/latest/apireference/sourcelocation-sourcelocationname.html",
        "wafv2:DeleteLoggingConfiguration": "https://docs.aws.amazon.com/waf/latest/APIReference/API_DeleteLoggingConfiguration.html",
        "cloud9:TagResource": "https://docs.aws.amazon.com/cloud9/latest/APIReference/API_TagResource.html",
        "securityhub:TagResource": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_TagResource.html",
        "appflow:TagResource": "https://docs.aws.amazon.com/appflow/1.0/APIReference/API_TagResource.html",
        "codestar:AssociateTeamMember": "https://docs.aws.amazon.com/codestar/latest/APIReference/API_AssociateTeamMember.html",
        "ds:EnableClientAuthentication": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_EnableClientAuthentication.html",
        "nimble:CreateLaunchProfile": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-launch-profiles.html",
        "workmail:CreateInboundMailFlowRule": "https://docs.aws.amazon.com/workmail/latest/adminguide/create-email-rules.html",
        "workspaces:MigrateWorkspace": "https://docs.aws.amazon.com/workspaces/latest/api/API_MigrateWorkspace.html",
        "ec2:DeleteRoute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteRoute.html",
        "sqs:TagQueue": "https://docs.aws.amazon.com/AWSSimpleQueueService/latest/APIReference/API_TagQueue.html",
        "dms:DeleteReplicationInstance": "https://docs.aws.amazon.com/dms/latest/APIReference/API_DeleteReplicationInstance.html",
        "iot:CreateOTAUpdate": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateOTAUpdate.html",
        "kms:GenerateDataKeyWithoutPlaintext": "https://docs.aws.amazon.com/kms/latest/APIReference/API_GenerateDataKeyWithoutPlaintext.html",
        "bugbust:JoinEvent": "https://docs.aws.amazon.com/codeguru/latest/bugbust-ug/auth-and-access-control-permissions-reference.html",
        "qldb:SendCommand": "API_QLDB-Session_SendCommand.html",
        "deepracer:CreateReinforcementLearningModel": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-get-started-training-model.html",
        "quicksight:CreateDashboard": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CreateDashboard.html",
        "iot:CancelCertificateTransfer": "https://docs.aws.amazon.com/iot/latest/apireference/API_CancelCertificateTransfer.html",
        "batch:UpdateJobQueue": "https://docs.aws.amazon.com/batch/latest/APIReference/API_UpdateJobQueue.html",
        "deeplens:UpdateProject": null,
        "redshift:DeauthorizeDataShare": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DeauthorizeDataShare.html",
        "medialive:RejectInputDeviceTransfer": "https://docs.aws.amazon.com/medialive/latest/ug/eml-devices.html",
        "sagemaker:CreateUserProfile": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateUserProfile.html",
        "s3:DeleteBucketPolicy": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteBucketPolicy.html",
        "worklink:UpdateFleetMetadata": "https://docs.aws.amazon.com/worklink/latest/api/API_UpdateFleetMetadata.html",
        "route53resolver:ImportFirewallDomains": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_ImportFirewallDomains.html",
        "iot:UpdateBillingGroup": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateBillingGroup.html",
        "access-analyzer:UpdateFindings": "https://docs.aws.amazon.com/access-analyzer/latest/APIReference/API_UpdateFindings.html",
        "elasticmapreduce:DeleteStudioSessionMapping": "https://docs.aws.amazon.com/emr/latest/ManagementGuide/emr-studio.html",
        "secretsmanager:UpdateSecretVersionStage": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "dynamodb:UpdateTable": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_UpdateTable.html",
        "elasticbeanstalk:UpdateEnvironment": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_UpdateEnvironment.html",
        "cloudformation:ContinueUpdateRollback": "https://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/API_ContinueUpdateRollback.html",
        "datasync:CancelTaskExecution": "https://docs.aws.amazon.com/datasync/latest/userguide/API_CancelTaskExecution.html",
        "ec2-instance-connect:SendSerialConsoleSSHPublicKey": "https://docs.aws.amazon.com/ec2-instance-connect/latest/APIReference/API_SendSerialConsoleSSHPublicKey.html",
        "kms:UpdateKeyDescription": "https://docs.aws.amazon.com/kms/latest/APIReference/API_UpdateKeyDescription.html",
        "dms:DeleteReplicationTask": "https://docs.aws.amazon.com/dms/latest/APIReference/API_DeleteReplicationTask.html",
        "kinesisvideo:TagStream": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_TagStream.html",
        "workspaces:DeleteIpGroup": "https://docs.aws.amazon.com/workspaces/latest/api/API_DeleteIpGroup.html",
        "swf:DeprecateWorkflowType": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_DeprecateWorkflowType.html",
        "cloudtrail:AddTags": "https://docs.aws.amazon.com/awscloudtrail/latest/APIReference/API_AddTags.html",
        "workmail:WipeMobileDevice": "https://docs.aws.amazon.com/workmail/latest/adminguide/manage-devices.html#remote_wipe_device",
        "apigateway:PATCH": "https://docs.aws.amazon.com/apigateway/api-reference/API_PATCH.html",
        "grafana:DeleteWorkspace": "https://docs.aws.amazon.com/grafana/latest/userguide/AMG-and-IAM.html",
        "ssm:UpdateAssociation": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_UpdateAssociation.html",
        "a4b:DeleteConferenceProvider": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DeleteConferenceProvider.html",
        "cloudtrail:PutInsightSelectors": "https://docs.aws.amazon.com/awscloudtrail/latest/APIReference/API_PutInsightSelectors.html",
        "iam:CreateServiceSpecificCredential": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateServiceSpecificCredential.html",
        "lightsail:CreateCertificate": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateCertificate.html",
        "iot:UpdateProvisioningTemplate": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateProvisioningTemplate.html",
        "lex:CreateSlotType": "https://docs.aws.amazon.com/lexv2/latest/dg/API_CreateSlotType.html",
        "cloud9:UpdateSSHRemote": "https://docs.aws.amazon.com/cloud9/latest/user-guide/security-iam.html#auth-and-access-control-ref-matrix",
        "mobilehub:SynchronizeProject": "https://docs.aws.amazon.com/mobile-hub/latest/developerguide/managed-policies.html",
        "lookoutmetrics:UntagResource": "https://docs.aws.amazon.com/lookoutmetrics/latest/api/API_UntagResource.html",
        "ec2:AcceptTransitGatewayPeeringAttachment": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AcceptTransitGatewayPeeringAttachment.html",
        "iotevents:UntagResource": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_UntagResource.html",
        "route53-recovery-readiness:DeleteResourceSet": "https://docs.aws.amazon.com/recovery-readiness/latest/api/resourcesets-resourcesetname.html",
        "athena:UntagResource": "https://docs.aws.amazon.com/athena/latest/APIReference/API_UntagResource.html",
        "a4b:DisassociateSkillFromUsers": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DisassociateSkillFromUsers.html",
        "cloudsearch:AddTags": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_AddTags.html",
        "appmesh:DeleteVirtualGateway": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_DeleteVirtualGateway.html",
        "sagemaker:CreatePipeline": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreatePipeline.html",
        "machinelearning:UpdateEvaluation": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_UpdateEvaluation.html",
        "codeguru-profiler:TagResource": "https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_TagResource.html",
        "databrew:SendProjectSessionAction": "https://docs.aws.amazon.com/databrew/latest/dg/API_SendProjectSessionAction.html",
        "ec2:ModifyFpgaImageAttribute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyFpgaImageAttribute.html",
        "guardduty:UpdateFilter": "https://docs.aws.amazon.com/guardduty/latest/APIReference/API_UpdateFilter.html",
        "kinesisvideo:SendAlexaOfferToMaster": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_SendAlexaOfferToMaster.html",
        "groundstation:DeleteConfig": "https://docs.aws.amazon.com/ground-station/latest/APIReference/API_DeleteConfig.html",
        "redshift:JoinGroup": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_GetClusterCredentials.html",
        "frauddetector:UpdateModelVersion": "https://docs.aws.amazon.com/frauddetector/latest/api/API_UpdateModelVersion",
        "mediapackage:UpdateOriginEndpoint": "https://docs.aws.amazon.com/mediapackage/latest/apireference/origin_endpoints-id.html#origin_endpoints-idput",
        "networkmanager:DeleteGlobalNetwork": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_DeleteGlobalNetwork.html",
        "lex:UpdateIntent": "https://docs.aws.amazon.com/lexv2/latest/dg/API_UpdateIntent.html",
        "ssm-contacts:StopEngagement": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_StopEngagement.html",
        "robomaker:CancelSimulationJob": "https://docs.aws.amazon.com/robomaker/latest/dg/API_CancelSimulationJob.html",
        "budgets:UpdateBudgetAction": "https://docs.aws.amazon.com/awsaccountbilling/latest/aboutv2/billing-permissions-ref.html#user-permissions",
        "s3:PutBucketRequestPayment": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketRequestPayment.html",
        "ec2:StopInstances": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_StopInstances.html",
        "geo:UntagResource": "https://docs.aws.amazon.com/location/latest/developerguide/API_UntagResource.html",
        "ds:RejectSharedDirectory": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_RejectSharedDirectory.html",
        "s3:PutBucketLogging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketLogging.html",
        "cloudsearch:DeleteSuggester": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_DeleteSuggester.html",
        "lightsail:CreateInstancesFromSnapshot": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateInstancesFromSnapshot.html",
        "datasync:DeleteLocation": "https://docs.aws.amazon.com/datasync/latest/userguide/API_DeleteLocation.html",
        "dms:DeleteEventSubscription": "https://docs.aws.amazon.com/dms/latest/APIReference/API_DeleteEventSubscription.html",
        "ec2:ExportTransitGatewayRoutes": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ExportTransitGatewayRoutes.html",
        "lightsail:RebootRelationalDatabase": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_RebootRelationalDatabase.html",
        "sqs:ChangeMessageVisibility": "https://docs.aws.amazon.com/AWSSimpleQueueService/latest/APIReference/API_ChangeMessageVisibility.html",
        "workmail:AddMembersToGroup": "https://docs.aws.amazon.com/workmail/latest/adminguide/groups_overview.html",
        "finspace:DeleteEnvironment": "https://docs.aws.amazon.com/finspace/latest/management-api/API_DeleteEnvironment.html",
        "panorama:CreateDataSource": "https://docs.aws.amazon.com/panorama/latest/dev/API_CreateDataSource.html",
        "personalize:DeleteSolution": "https://docs.aws.amazon.com/personalize/latest/dg/API_DeleteSolution.html",
        "ec2:ResetImageAttribute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ResetImageAttribute.html",
        "s3:DeleteMultiRegionAccessPoint": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_DeleteMultiRegionAccessPoint.html",
        "ssm:DeletePatchBaseline": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_DeletePatchBaseline.html",
        "glue:DeleteTableVersion": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-tables.html#aws-glue-api-catalog-tables-DeleteTableVersion",
        "cognito-idp:UpdateAuthEventFeedback": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_UpdateAuthEventFeedback.html",
        "ec2:SendDiagnosticInterrupt": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_SendDiagnosticInterrupt.html",
        "codecommit:UpdateComment": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_UpdateComment.html",
        "proton:UpdateEnvironmentTemplateMinorVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_UpdateEnvironmentTemplateMinorVersion.html",
        "ec2:AssociateSubnetCidrBlock": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AssociateSubnetCidrBlock.html",
        "securityhub:BatchUpdateFindings": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_BatchUpdateFindings.html",
        "s3:UpdateJobPriority": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_UpdateJobPriority.html",
        "devicefarm:InstallToRemoteAccessSession": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_InstallToRemoteAccessSession.html",
        "guardduty:DeleteThreatIntelSet": "https://docs.aws.amazon.com/guardduty/latest/APIReference/API_DeleteThreatIntelSet.html",
        "waf:DeleteWebACL": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_DeleteWebACL.html",
        "autoscaling:RecordLifecycleActionHeartbeat": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_RecordLifecycleActionHeartbeat.html",
        "chime:UpdateChannelMessage": "https://docs.aws.amazon.com/chime/latest/APIReference/API_UpdateChannelMessage.html",
        "fsx:DeleteBackup": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_DeleteBackup.html",
        "workmail:ResetPassword": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_ResetPassword.html",
        "rds:FailoverGlobalCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_FailoverGlobalCluster.html",
        "kinesis:RegisterStreamConsumer": "https://docs.aws.amazon.com/kinesis/latest/APIReference/API_RegisterStreamConsumer.html",
        "ec2:ImportKeyPair": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ImportKeyPair.html",
        "iotevents:BatchDisableAlarm": "https://docs.aws.amazon.com/iotevents/latest/apireference/API_iotevents-data_BatchDisableAlarm.html",
        "amplifybackend:GenerateBackendAPIModels": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-api-backendenvironmentname-generatemodels.html#GenerateBackendAPIModels",
        "lightsail:UpdateContainerService": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_UpdateContainerService.html",
        "mgn:SendAgentLogsForMgn": "https://docs.aws.amazon.com/mgn/latest/ug/mgn-apis.html",
        "s3-object-lambda:DeleteObjectVersionTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteObjectTagging.html",
        "ec2:DeleteTransitGatewayPrefixListReference": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteTransitGatewayPrefixListReference.html",
        "lightsail:EnableAddOn": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_EnableAddOn.html",
        "sagemaker:UpdateNotebookInstanceLifecycleConfig": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_ UpdateNotebookInstanceLifecycleConfig.html",
        "ec2:CreateNetworkAclEntry": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateNetworkAclEntry.html",
        "sagemaker:PutModelPackageGroupPolicy": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_PutModelPackageGroupPolicy.html",
        "execute-api:ManageConnections": "https://docs.aws.amazon.com/apigateway/api-reference/apigateway-websocket-control-access-iam.html",
        "networkmanager:AssociateLink": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_AssociateLink.html",
        "swf:RecordActivityTaskHeartbeat": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_RecordActivityTaskHeartbeat.html",
        "ecr:BatchDeleteImage": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_BatchDeleteImage.html",
        "elasticloadbalancing:SetIpAddressType": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_SetIpAddressType.html",
        "cloudhsm:TagResource": "https://docs.aws.amazon.com/cloudhsm/latest/APIReference/API_TagResource.html",
        "devicefarm:DeleteRun": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_DeleteRun.html",
        "grafana:UpdateWorkspace": "https://docs.aws.amazon.com/grafana/latest/userguide/AMG-and-IAM.html",
        "appstream:StartImageBuilder": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_StartImageBuilder.html",
        "appmesh:TagResource": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_TagResource.html",
        "autoscaling:DeleteLifecycleHook": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_DeleteLifecycleHook.html",
        "codecommit:MergePullRequestByFastForward": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_MergePullRequestByFastForward.html",
        "iotanalytics:UpdateDatastore": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_UpdateDatastore.html",
        "kafka-cluster:AlterTransactionalId": "https://docs.aws.amazon.com/msk/latest/developerguide/iam-access-control.html#actions",
        "medialive:DeleteInput": "https://docs.aws.amazon.com/medialive/latest/ug/delete-input.html",
        "finspace:UpdateEnvironment": "https://docs.aws.amazon.com/finspace/latest/management-api/API_UpdateEnvironment.html",
        "glue:CreateTable": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-tables.html#aws-glue-api-catalog-tables-CreateTable",
        "rds:ResetDBParameterGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ResetDBParameterGroup.html",
        "memorydb:DeleteUser": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_DeleteUser.html",
        "medialive:CreateMultiplexProgram": "https://docs.aws.amazon.com/medialive/latest/ug/multiplex-create.html",
        "glue:CreateConnection": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-connections.html#aws-glue-api-catalog-connections-CreateConnection",
        "ec2:DeleteVpcPeeringConnection": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteVpcPeeringConnection.html",
        "proton:TagResource": "https://docs.aws.amazon.com/proton/latest/APIReference/API_TagResource.html",
        "rds:RevokeDBSecurityGroupIngress": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_RevokeDBSecurityGroupIngress.html",
        "connect:StartOutboundVoiceContact": "https://docs.aws.amazon.com/connect/latest/APIReference/API_StartOutboundVoiceContact.html",
        "lightsail:DeleteKnownHostKeys": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteKnownHostKeys.html",
        "logs:PutRetentionPolicy": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_PutRetentionPolicy.html",
        "mobiletargeting:DeleteSmsTemplate": "https://docs.aws.amazon.com/pinpoint/latest/apireference/templates-template-name-sms.html#templates-template-name-sms-http-methods",
        "batch:DeregisterJobDefinition": "https://docs.aws.amazon.com/batch/latest/APIReference/API_DeregisterJobDefinition.html",
        "serverlessrepo:CreateCloudFormationChangeSet": null,
        "signer:RevokeSigningProfile": "https://docs.aws.amazon.com/signer/latest/api/API_RevokeSigningProfile.html",
        "waf-regional:CreateIPSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_CreateIPSet.html",
        "cognito-idp:SetUserPoolMfaConfig": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_SetUserPoolMfaConfig.html",
        "ec2:CreateRoute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateRoute.html",
        "elasticache:DeleteCacheSecurityGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_DeleteCacheSecurityGroup.html",
        "ds:CreateAlias": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_CreateAlias.html",
        "medialive:UpdateInput": "https://docs.aws.amazon.com/medialive/latest/ug/edit-input.html",
        "route53resolver:AssociateFirewallRuleGroup": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_AssociateFirewallRuleGroup.html",
        "codecommit:DeleteFile": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_DeleteFile.html",
        "amplify:UpdateApp": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "ssm:UpdateInstanceAssociationStatus": null,
        "iot:DeleteThingShadow": "https://docs.aws.amazon.com/iot/latest/developerguide/policy-actions.html",
        "workmail:CreateSmtpGateway": "https://docs.aws.amazon.com/workmail/latest/adminguide/smtp-gateway.html",
        "mgh:PutResourceAttributes": "https://docs.aws.amazon.com/migrationhub/latest/ug/API_PutResourceAttributes.html",
        "app-integrations:CreateDataIntegration": "https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_CreateDataIntegration.html",
        "apprunner:AssociateCustomDomain": "https://docs.aws.amazon.com/apprunner/latest/api/API_AssociateCustomDomain.html",
        "lightsail:DeleteDistribution": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteDistribution.html",
        "mediaconvert:CreateJob": "https://docs.aws.amazon.com/mediaconvert/latest/apireference/jobs.html",
        "route53-recovery-readiness:CreateRecoveryGroup": "https://docs.aws.amazon.com/recovery-readiness/latest/api/recoverygroups.html",
        "route53:DeleteKeySigningKey": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_DeleteKeySigningKey.html",
        "xray:UpdateSamplingRule": "https://docs.aws.amazon.com/xray/latest/api/API_UpdateSamplingRule.html",
        "lambda:CreateCodeSigningConfig": "https://docs.aws.amazon.com/lambda/latest/dg/API_CreateCodeSigningConfig.html",
        "storagegateway:RetrieveTapeRecoveryPoint": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_RetrieveTapeRecoveryPoint.html",
        "lex:DeleteBotLocale": "https://docs.aws.amazon.com/lexv2/latest/dg/API_DeleteBotLocale.html",
        "athena:StartQueryExecution": "https://docs.aws.amazon.com/athena/latest/APIReference/API_StartQueryExecution.html",
        "clouddirectory:UpdateFacet": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_UpdateFacet.html",
        "opsworks:UnassignVolume": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_UnassignVolume.html",
        "rds:ModifyEventSubscription": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyEventSubscription.html",
        "iam:DeleteServerCertificate": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteServerCertificate.html",
        "devicefarm:CreateUpload": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_CreateUpload.html",
        "iotsitewise:DeleteProject": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_DeleteProject.html",
        "iam:DeleteLoginProfile": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteLoginProfile.html",
        "sagemaker:DeleteNotebookInstance": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteNotebookInstance.html",
        "guardduty:UpdateDetector": "https://docs.aws.amazon.com/guardduty/latest/APIReference/API_UpdateDetector.html",
        "cognito-idp:DeleteUserPoolDomain": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_DeleteUserPoolDomain.html",
        "iot:SetDefaultPolicyVersion": "https://docs.aws.amazon.com/iot/latest/apireference/API_SetDefaultPolicyVersion.html",
        "es:UpdateElasticsearchDomainConfig": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-updatedomainconfig",
        "glacier:InitiateMultipartUpload": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-multipart-initiate-upload.html",
        "a4b:DeleteRoom": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DeleteRoom.html",
        "ecs:UpdateService": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_UpdateService.html",
        "deepracer:CreateLeaderboardAccessToken": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-manage-community-races.html",
        "kms:RevokeGrant": "https://docs.aws.amazon.com/kms/latest/APIReference/API_RevokeGrant.html",
        "a4b:PutSkillAuthorization": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_PutSkillAuthorization.html",
        "rds:StartDBCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_StartDBCluster.html",
        "waf:DeleteRegexPatternSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_DeleteRegexPatternSet.html",
        "codeguru-reviewer:CreateCodeReview": "https://docs.aws.amazon.com/codeguru/latest/reviewer-api/API_CreateCodeReview.html",
        "personalize:CreateDatasetExportJob": "https://docs.aws.amazon.com/personalize/latest/dg/API_CreateDatasetExportJob.html",
        "autoscaling:PutScheduledUpdateGroupAction": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_PutScheduledUpdateGroupAction.html",
        "swf:RespondActivityTaskCompleted": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_RespondActivityTaskCompleted.html",
        "sagemaker:DeleteContext": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteContext.html",
        "waf:UpdateSqlInjectionMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_UpdateSqlInjectionMatchSet.html",
        "wellarchitected:UpdateWorkloadShare": "https://docs.aws.amazon.com/wellarchitected/latest/APIReference/API_UpdateWorkloadShare.html",
        "connect:DisassociateQueueQuickConnects": "https://docs.aws.amazon.com/connect/latest/APIReference/API_DisassociateQueueQuickConnects.html",
        "freertos:CreateSoftwareConfiguration": "https://docs.aws.amazon.com/freertos/latest/userguide/freertos-ocw.html",
        "schemas:CreateDiscoverer": "https://docs.aws.amazon.com/eventbridge/latest/schema-reference/v1-discoverers-id-discovererid.html#CreateDiscoverer",
        "sso:ProvisionPermissionSet": "https://docs.aws.amazon.com/singlesignon/latest/APIReference/API_ProvisionPermissionSet.html",
        "kinesis:MergeShards": "https://docs.aws.amazon.com/kinesis/latest/APIReference/API_MergeShards.html",
        "quicksight:UpdateTheme": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateTheme.html",
        "s3:CreateAccessPoint": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_CreateAccessPoint.html",
        "s3:PutBucketTagging": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_PutBucketTagging.html",
        "securityhub:DeleteInsight": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_DeleteInsight.html",
        "honeycode:BatchUpsertTableRows": "https://docs.aws.amazon.com/honeycode/latest/UserGuide/API_BatchUpsertTableRows.html",
        "swf:ScheduleActivityTask": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_ScheduleActivityTask.html",
        "elasticache:BatchStopUpdateAction": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_BatchStopUpdateAction.html",
        "ec2:CreateInstanceExportTask": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateInstanceExportTask.html",
        "artifact:TerminateAgreement": "https://docs.aws.amazon.com/artifact/latest/ug/managingagreements.html",
        "iot:DeleteOTAUpdate": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteOTAUpdate.html",
        "proton:CreateEnvironmentTemplateVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_CreateEnvironmentTemplateVersion.html",
        "quicksight:UntagResource": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UntagResource.html",
        "elasticache:DecreaseNodeGroupsInGlobalReplicationGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_DecreaseNodeGroupsInGlobalReplicationGroup.html",
        "securityhub:DeclineInvitations": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_DeclineInvitations.html",
        "acm:RenewCertificate": "https://docs.aws.amazon.com/acm/latest/APIReference/API_RenewCertificate.html",
        "securityhub:BatchEnableStandards": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_BatchEnableStandards.html",
        "comprehend:StopEventsDetectionJob": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StopEventsDetectionJob.html",
        "quicksight:DeleteTemplate": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteTemplate.html",
        "directconnect:AssociateVirtualInterface": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_AssociateVirtualInterface.html",
        "kafka-cluster:AlterCluster": "https://docs.aws.amazon.com/msk/latest/developerguide/iam-access-control.html#actions",
        "deepcomposer:UpdateModel": "https://docs.aws.amazon.com/deepcomposer/latest/devguide/get-started-custom-model.html",
        "machinelearning:UpdateBatchPrediction": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_UpdateBatchPrediction.html",
        "amplify:CreateDomainAssociation": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "panorama:DeleteModel": "https://docs.aws.amazon.com/panorama/latest/dev/API_DeleteModel.html",
        "ssm:TerminateSession": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_TerminateSession.html",
        "quicksight:DeleteIAMPolicyAssignment": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteIAMPolicyAssignment.html",
        "appmesh-preview:DeleteVirtualNode": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_DeleteVirtualNode.html",
        "medialive:DeleteReservation": "https://docs.aws.amazon.com/medialive/latest/ug/deleting-reservations.html",
        "iot:CreateAuthorizer": "https://docs.aws.amazon.com/iot/latest/apireference/API_CreateAuthorizer.html",
        "cloudfront:UpdateCloudFrontOriginAccessIdentity": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_UpdateCloudFrontOriginAccessIdentity.html",
        "elasticache:ModifyCacheSubnetGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_ModifyCacheSubnetGroup.html",
        "logs:CreateLogStream": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_CreateLogStream.html",
        "devicefarm:StopRun": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_StopRun.html",
        "elasticache:DeleteGlobalReplicationGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_DeleteGlobalReplicationGroup.html",
        "sagemaker:DeleteCodeRepository": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteCodeRepository.html",
        "lightsail:DeleteInstance": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteInstance.html",
        "waf-regional:DeleteSqlInjectionMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DeleteSqlInjectionMatchSet.html",
        "deepracer:CloneReinforcementLearningModel": "https://docs.aws.amazon.com/deepracer/latest/developerguide/deepracer-console-train-evaluate-models.html#deepracer-clone-trained-model",
        "kinesisanalytics:AddApplicationCloudWatchLoggingOption": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_AddApplicationCloudWatchLoggingOption.html",
        "shield:UpdateProtectionGroup": "https://docs.aws.amazon.com/waf/latest/DDOSAPIReference/API_UpdateProtectionGroup.html",
        "ecr-public:UntagResource": "https://docs.aws.amazon.com/AmazonECRPublic/latest/APIReference/API_UntagResource.html",
        "elasticmapreduce:StopEditor": "https://docs.aws.amazon.com/emr/latest/ManagementGuide/emr-managed-notebooks.html",
        "opsworks:UpdateStack": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_UpdateStack.html",
        "networkmanager:CreateConnection": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_CreateConnection.html",
        "appstream:UpdateStack": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_UpdateStack.html",
        "personalize:DeleteSchema": "https://docs.aws.amazon.com/personalize/latest/dg/API_DeleteSchema.html",
        "elasticache:DeleteUserGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_DeleteUserGroup.html",
        "cognito-idp:DeleteResourceServer": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_DeleteResourceServer.html",
        "es:AssociatePackage": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-associatepackage",
        "glue:NotifyEvent": "https://docs.aws.amazon.com/glue/latest/dg/starting-workflow-eventbridge.html",
        "frauddetector:UpdateVariable": "https://docs.aws.amazon.com/frauddetector/latest/api/API_UpdateVariable.html",
        "quicksight:UpdateDashboard": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateDashboard.html",
        "wafv2:UntagResource": "https://docs.aws.amazon.com/waf/latest/APIReference/API_UntagResource.html",
        "kinesisvideo:CreateSignalingChannel": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_CreateSignalingChannel.html",
        "kafka-cluster:AlterClusterDynamicConfiguration": "https://docs.aws.amazon.com/msk/latest/developerguide/iam-access-control.html#actions",
        "logs:AssociateKmsKey": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_AssociateKmsKey.html",
        "directconnect:ConfirmTransitVirtualInterface": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_ConfirmTransitVirtualInterface.html",
        "rds:ModifyDBSnapshot": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_ModifyDBSnapshot.html",
        "waf-regional:UpdateRateBasedRule": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_UpdateRateBasedRule.html",
        "glue:BatchDeletePartition": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-partitions.html#aws-glue-api-catalog-partitions-BatchDeletePartition",
        "workspaces:RebootWorkspaces": "https://docs.aws.amazon.com/workspaces/latest/api/API_RebootWorkspaces.html",
        "kafka-cluster:AlterTopic": "https://docs.aws.amazon.com/msk/latest/developerguide/iam-access-control.html#actions",
        "sagemaker:DeleteFlowDefinition": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteFlowDefinition.html",
        "fsx:AssociateFileGateway": "https://docs.aws.amazon.com/filegateway/latest/filefsxw/what-is-file-fsxw.html",
        "waf-regional:CreateRegexPatternSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_CreateRegexPatternSet.html",
        "iam:UpdateAssumeRolePolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateAssumeRolePolicy.html",
        "kendra:CreateThesaurus": "https://docs.aws.amazon.com/kendra/latest/dg/API_CreateThesaurus.html",
        "quicksight:CreateGroup": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CreateGroup.html",
        "ec2:DeleteTrafficMirrorSession": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteTrafficMirrorSession.html",
        "waf-regional:CreateRateBasedRule": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_CreateRateBasedRule.html",
        "lightsail:DeleteDomain": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteDomain.html",
        "lex:DeleteBotAlias": "https://docs.aws.amazon.com/lexv2/latest/dg/API_DeleteBotAlias.html",
        "directconnect:DeleteLag": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_DeleteLag.html",
        "kinesis:RemoveTagsFromStream": "https://docs.aws.amazon.com/kinesis/latest/APIReference/API_RemoveTagsFromStream.html",
        "lightsail:CreateInstances": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateInstances.html",
        "panorama:UpdateDataSource": "https://docs.aws.amazon.com/panorama/latest/dev/API_UpdateDataSource.html",
        "servicecatalog:DisassociateResource": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_app-registry_DisassociateResource.html",
        "ec2:ModifyVpnTunnelOptions": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyVpnTunnelOptions.html",
        "iam:UpdateOpenIDConnectProviderThumbprint": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateOpenIDConnectProviderThumbprint.html",
        "kendra:ClearQuerySuggestions": "https://docs.aws.amazon.com/kendra/latest/dg/API_ClearQuerySuggestions.html",
        "network-firewall:CreateFirewallPolicy": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_CreateFirewallPolicy.html",
        "batch:SubmitJob": "https://docs.aws.amazon.com/batch/latest/APIReference/API_SubmitJob.html",
        "clouddirectory:UpdateTypedLinkFacet": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_UpdateTypedLinkFacet.html",
        "iot:ReplaceTopicRule": "https://docs.aws.amazon.com/iot/latest/apireference/API_ReplaceTopicRule.html",
        "ec2:AllocateHosts": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AllocateHosts.html",
        "elasticfilesystem:Backup": "https://docs.aws.amazon.com/efs/latest/ug/efs-backup-solutions.html",
        "ds:UnshareDirectory": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_UnshareDirectory.html",
        "quicksight:UpdateDashboardPublishedVersion": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateDashboardPublishedVersion.html",
        "ssm-contacts:CreateContact": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_CreateContact.html",
        "lightsail:TagResource": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_TagResource.html",
        "a4b:DeleteNetworkProfile": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DeleteNetworkProfile.html",
        "proton:DeleteServiceTemplateMajorVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_DeleteServiceTemplateMajorVersion.html",
        "ec2:DeleteTransitGatewayConnect": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteTransitGatewayConnect.html",
        "firehose:StartDeliveryStreamEncryption": "https://docs.aws.amazon.com/firehose/latest/APIReference/API_StartDeliveryStreamEncryption.html",
        "appstream:DeleteStack": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_DeleteStack.html",
        "network-firewall:DeleteResourcePolicy": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_DeleteResourcePolicy.html",
        "storagegateway:UpdateFileSystemAssociation": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_UpdateFileSystemAssociation.html",
        "lightsail:ReleaseStaticIp": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_ReleaseStaticIp.html",
        "appmesh-preview:DeleteGatewayRoute": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_DeleteGatewayRoute.html",
        "chime:CreateAppInstanceAdmin": "https://docs.aws.amazon.com/chime/latest/APIReference/API_CreateAppInstanceAdmin.html",
        "emr-containers:CancelJobRun": "https://docs.aws.amazon.com/emr-on-eks/latest/APIReference/API_CancelJobRun.html",
        "connect:DeleteUseCase": "https://docs.aws.amazon.com/connect/latest/APIReference/API_DeleteUseCase.html",
        "iam:UntagMFADevice": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UntagMFADevice.html",
        "panorama:DeleteAppVersion": "https://docs.aws.amazon.com/panorama/latest/dev/API_DeleteAppVersion.html",
        "ssm:UpdateManagedInstanceRole": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_UpdateManagedInstanceRole.html",
        "ecr:InitiateLayerUpload": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_InitiateLayerUpload.html",
        "iot:UpdateSecurityProfile": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateSecurityProfile.html",
        "sagemaker:RegisterDevices": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_RegisterDevices.html",
        "waf-regional:PutPermissionPolicy": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_PutPermissionPolicy.html",
        "ecs:DeleteTaskSet": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_DeleteTaskSet.html",
        "nimble:DeleteLaunchProfileMember": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-launch-profiles-launchprofileid-membership-principalid.html",
        "iot:DeleteDomainConfiguration": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteDomainConfiguration.html",
        "codepipeline:DeletePipeline": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_DeletePipeline.html",
        "iot:StartNextPendingJobExecution": "https://docs.aws.amazon.com/iot/latest/apireference/API_StartNextPendingJobExecution.html",
        "waf-regional:DeleteRegexPatternSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DeleteRegexPatternSet.html",
        "ses:DeleteContact": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_DeleteContact.html",
        "dynamodb:UpdateGlobalTable": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_UpdateGlobalTable.html",
        "redshift:BatchModifyClusterSnapshots": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_BatchModifyClusterSnapshots.html",
        "amplifybackend:RemoveBackendConfig": "https://docs.aws.amazon.com/amplify-admin-ui/latest/APIReference/backend-appid-config-remove.html#RemoveBackendConfig",
        "elasticloadbalancing:ModifyRule": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_ModifyRule.html",
        "elasticloadbalancing:RemoveListenerCertificates": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_RemoveListenerCertificates.html",
        "autoscaling:EnableMetricsCollection": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_EnableMetricsCollection.html",
        "globalaccelerator:CreateCustomRoutingListener": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_CreateCustomRoutingListener.html",
        "nimble:CreateStreamingSession": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-streaming-sessions.html",
        "iotdeviceadvisor:UpdateSuiteDefinition": "https://docs.aws.amazon.com/iot/latest/apireference/API_iotdeviceadvisor_UpdateSuiteDefinition.html",
        "nimble:DeleteStudioMember": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios-studioid-membership-principalid.html",
        "servicediscovery:UpdatePrivateDnsNamespace": "https://docs.aws.amazon.com/cloud-map/latest/api/API_UpdatePrivateDnsNamespace.html",
        "wisdom:DeleteContent": "https://docs.aws.amazon.com/wisdom/latest/APIReference/API_DeleteContent.html",
        "ds:CreateComputer": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_CreateComputer.html",
        "events:CreateEventBus": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_CreateEventBus.html",
        "mobiletargeting:CreateExportJob": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-export-jobs.html#rest-api-export-jobs-methods",
        "route53-recovery-readiness:UpdateReadinessCheck": "https://docs.aws.amazon.com/recovery-readiness/latest/api/readinesschecks-readinesscheckname.html",
        "comprehend:StartPiiEntitiesDetectionJob": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StartPiiEntitiesDetectionJob.html",
        "clouddirectory:AttachPolicy": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_AttachPolicy.html",
        "workmail:UpdatePrimaryEmailAddress": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_UpdatePrimaryEmailAddress.html",
        "connect:AssociateQueueQuickConnects": "https://docs.aws.amazon.com/connect/latest/APIReference/API_AssociateQueueQuickConnects.html",
        "ec2:CancelSpotInstanceRequests": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CancelSpotInstanceRequests.html",
        "mediatailor:CreateProgram": "https://docs.aws.amazon.com/mediatailor/latest/apireference/channel-channelname-program-programname.html",
        "acm-pca:UpdateCertificateAuthority": "https://docs.aws.amazon.com/acm-pca/latest/APIReference/API_UpdateCertificateAuthority.html",
        "ec2-instance-connect:SendSSHPublicKey": "https://docs.aws.amazon.com/ec2-instance-connect/latest/APIReference/API_SendSSHPublicKey.html",
        "ec2:ModifyInstancePlacement": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyInstancePlacement.html",
        "elasticache:CreateUserGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_CreateUserGroup.html",
        "lambda:RemovePermission": "https://docs.aws.amazon.com/lambda/latest/dg/API_RemovePermission.html",
        "sagemaker:CreateLabelingJob": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateLabelingJob.html",
        "iam:ResetServiceSpecificCredential": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_ResetServiceSpecificCredential.html",
        "imagebuilder:UpdateInfrastructureConfiguration": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_UpdateInfrastructureConfiguration.html",
        "waf:CreateGeoMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_CreateGeoMatchSet.html",
        "proton:DeleteService": "https://docs.aws.amazon.com/proton/latest/APIReference/API_DeleteService.html",
        "sdb:PutAttributes": "https://docs.aws.amazon.com/AmazonSimpleDB/latest/DeveloperGuide/API_PutAttributes.html",
        "geo:PutGeofence": "https://docs.aws.amazon.com/location/latest/developerguide/API_PutGeofence.html",
        "lightsail:CreateDiskSnapshot": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateDiskSnapshot.html",
        "airflow:CreateEnvironment": "https://docs.aws.amazon.com/mwaa/latest/userguide/mwaa-actions-resources.html",
        "waf:CreateIPSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_CreateIPSet.html",
        "iam:TagPolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_TagPolicy.html",
        "connect-campaigns:PutDialRequestBatch": "https://docs.aws.amazon.com/connect/latest/adminguide/enable-high-volume-outbound-communications.html",
        "ec2:ModifyCapacityReservation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyCapacityReservation.html",
        "codebuild:BatchDeleteBuilds": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_BatchDeleteBuilds.html",
        "elasticache:StartMigration": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_StartMigration.html",
        "appstream:DisassociateFleet": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_DisassociateFleet.html",
        "glue:DeleteRegistry": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-schema-registry-api.html#aws-glue-api-schema-registry-api-DeleteRegistry",
        "iotanalytics:DeleteDatastore": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_DeleteDatastore.html",
        "iotsitewise:BatchDisassociateProjectAssets": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_BatchDisassociateProjectAssets.html",
        "mobiletargeting:UpdateBaiduChannel": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-baidu-channel.html#rest-api-baidu-channel-methods",
        "chime:SendChannelMessage": "https://docs.aws.amazon.com/chime/latest/APIReference/API_SendChannelMessage.html",
        "servicecatalog:AcceptPortfolioShare": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_AcceptPortfolioShare.html",
        "sns:SetTopicAttributes": "https://docs.aws.amazon.com/sns/latest/api/API_SetTopicAttributes.html",
        "panorama:CreateInputs": "https://docs.aws.amazon.com/panorama/latest/dev/API_CreateInputList.html",
        "ssm:GetParameter": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_GetParameter.html",
        "iotfleethub:DeleteDashboard": null,
        "personalize:CreateCampaign": "https://docs.aws.amazon.com/personalize/latest/dg/API_CreateCampaign.html",
        "elasticache:ResetCacheParameterGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_ResetCacheParameterGroup.html",
        "redshift:DeleteClusterSecurityGroup": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DeleteClusterSecurityGroup.html",
        "cognito-identity:MergeDeveloperIdentities": "https://docs.aws.amazon.com/cognitoidentity/latest/APIReference/API_MergeDeveloperIdentities.html",
        "gamelift:DeleteBuild": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_DeleteBuild.html",
        "iam:UploadSSHPublicKey": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UploadSSHPublicKey.html",
        "connect:AssociateRoutingProfileQueues": "https://docs.aws.amazon.com/connect/latest/APIReference/API_AssociateRoutingProfileQueues.html",
        "dynamodb:UpdateTimeToLive": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_UpdateTimeToLive.html",
        "ec2:CreateEgressOnlyInternetGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateEgressOnlyInternetGateway.html",
        "waf:UpdateWebACL": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_UpdateWebACL.html",
        "s3-object-lambda:AbortMultipartUpload": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_AbortMultipartUpload.html",
        "s3:DeleteAccessPointForObjectLambda": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_DeleteAccessPointForObjectLambda.html",
        "waf-regional:TagResource": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_TagResource.html",
        "app-integrations:UntagResource": "https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_UntagResource.html",
        "redshift:DeleteHsmClientCertificate": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DeleteHsmClientCertificate.html",
        "appconfig:CreateEnvironment": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_CreateEnvironment.html",
        "route53resolver:UntagResource": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_UntagResource.html",
        "fis:UntagResource": "https://docs.aws.amazon.com/fis/latest/APIReference/API_UntagResource.html",
        "lightsail:RebootInstance": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_RebootInstance.html",
        "redshift:CreateSnapshotSchedule": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_CreateSnapshotSchedule.html",
        "glue:StartImportLabelsTaskRun": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-machine-learning-api.html#aws-glue-api-machine-learning-api-StartImportLabelsTaskRun",
        "sagemaker:CreateModelExplainabilityJobDefinition": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateModelExplainabilityJobDefinition.html",
        "iot:Publish": "https://docs.aws.amazon.com/iot/latest/developerguide/policy-actions.html",
        "kinesisanalytics:StartApplication": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_StartsApplication.html",
        "rds:DeleteDBCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeleteDBCluster.html",
        "route53:ChangeResourceRecordSets": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_ChangeResourceRecordSets.html",
        "workmail:DeleteResource": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_DeleteResource.html",
        "storagegateway:UpdateBandwidthRateLimit": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_UpdateBandwidthRateLimit.html",
        "kendra:BatchPutDocument": "https://docs.aws.amazon.com/kendra/latest/dg/API_BatchPutDocument.html",
        "ec2:CreateVpnGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateVpnGateway.html",
        "ec2:TerminateClientVpnConnections": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_TerminateClientVpnConnections.html",
        "qldb:UntagResource": "https://docs.aws.amazon.com/qldb/latest/developerguide/API_UntagResource.html",
        "ds:RegisterEventTopic": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_RegisterEventTopic.html",
        "athena:CreateNamedQuery": "https://docs.aws.amazon.com/athena/latest/APIReference/API_CreateNamedQuery.html",
        "codeartifact:AssociateExternalConnection": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_AssociateExternalConnection.html",
        "codebuild:CreateWebhook": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_CreateWebhook.html",
        "elasticache:CompleteMigration": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_CompleteMigration.html",
        "fsx:DeleteFileSystem": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_DeleteFileSystem.html",
        "workspaces:DisassociateConnectionAlias": "https://docs.aws.amazon.com/workspaces/latest/api/API_DisassociateConnectionAlias.html",
        "codecommit:DeleteRepository": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_DeleteRepository.html",
        "chime:UntagMeeting": "https://docs.aws.amazon.com/chime/latest/APIReference/API_UntagMeeting.html",
        "elasticfilesystem:DeleteTags": "https://docs.aws.amazon.com/efs/latest/ug/API_DeleteTags.html",
        "cloudtrail:UpdateTrail": "https://docs.aws.amazon.com/awscloudtrail/latest/APIReference/API_UpdateTrail.html",
        "route53:DeleteReusableDelegationSet": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_DeleteReusableDelegationSet.html",
        "codecommit:PutCommentReaction": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_PutCommentReaction.html",
        "cognito-idp:UntagResource": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_UntagResource.html",
        "config:StartRemediationExecution": "https://docs.aws.amazon.com/config/latest/APIReference/API_StartRemediationExecution.html",
        "iam:DeactivateMFADevice": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeactivateMFADevice.html",
        "ec2:ModifyHosts": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyHosts.html",
        "aps:TagResource": "https://docs.aws.amazon.com/prometheus/latest/userguide/AMP-APIReference.html#AMP-APIReference-TagResource",
        "codepipeline:DeregisterWebhookWithThirdParty": "https://docs.aws.amazon.com/codepipeline/latest/APIReference/API_DeregisterWebhookWithThirdParty.html",
        "groundstation:DeleteMissionProfile": "https://docs.aws.amazon.com/ground-station/latest/APIReference/API_DeleteMissionProfile.html",
        "wisdom:DeleteAssistantAssociation": "https://docs.aws.amazon.com/wisdom/latest/APIReference/API_DeleteAssistantAssociation.html",
        "s3:ObjectOwnerOverrideToBucketOwner": "https://docs.aws.amazon.com/AmazonS3/latest/dev/replication-change-owner.html#repl-ownership-add-role-permission",
        "appsync:DeleteGraphqlApi": "https://docs.aws.amazon.com/appsync/latest/APIReference/API_DeleteGraphqlApi.html",
        "iam:DetachRolePolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DetachRolePolicy.html",
        "ec2:CreateReplaceRootVolumeTask": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateReplaceRootVolumeTask.html",
        "s3:AbortMultipartUpload": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_AbortMultipartUpload.html",
        "sagemaker:UpdateDomain": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateDomain.html",
        "ec2:DeleteNetworkInsightsPath": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteNetworkInsightsPath.html",
        "iot:RejectCertificateTransfer": "https://docs.aws.amazon.com/iot/latest/apireference/API_RejectCertificateTransfer.html",
        "glue:StartMLLabelingSetGenerationTaskRun": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-machine-learning-api.html#aws-glue-api-machine-learning-api-StartMLLabelingSetGenerationTaskRun",
        "acm:ResendValidationEmail": "https://docs.aws.amazon.com/acm/latest/APIReference/API_ResendValidationEmail.html",
        "ec2:ModifySubnetAttribute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifySubnetAttribute.html",
        "iot:DeleteMitigationAction": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteMitigationAction.html",
        "geo:DeleteTracker": "https://docs.aws.amazon.com/location/latest/developerguide/API_DeleteTracker.html",
        "cloudtrail:DeleteTrail": "https://docs.aws.amazon.com/awscloudtrail/latest/APIReference/API_DeleteTrail.html",
        "connect-campaigns:StopCampaign": "https://docs.aws.amazon.com/connect/latest/adminguide/enable-high-volume-outbound-communications.html",
        "route53-recovery-control-config:UpdateSafetyRule": "https://docs.aws.amazon.com/recovery-cluster/latest/api/safetyrule.html",
        "s3:DeleteBucketOwnershipControls": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_DeleteBucketOwnershipControls.html",
        "imagebuilder:PutContainerRecipePolicy": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_PutContainerRecipePolicy.html",
        "lookoutvision:UntagResource": "https://docs.aws.amazon.com/lookout-for-vision/latest/APIReference/API_UntagResource.html",
        "autoscaling:PutScalingPolicy": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_PutScalingPolicy.html",
        "mgn:UpdateReplicationConfiguration": "https://docs.aws.amazon.com/mgn/latest/APIReference/API_UpdateReplicationConfiguration.html",
        "sqs:SendMessage": "https://docs.aws.amazon.com/AWSSimpleQueueService/latest/APIReference/API_SendMessage.html",
        "waf-regional:UpdateRegexMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_UpdateRegexMatchSet.html",
        "servicediscovery:UpdateService": "https://docs.aws.amazon.com/cloud-map/latest/api/API_UpdateService.html",
        "rds:BacktrackDBCluster": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_BacktrackDBCluster.html",
        "directconnect:DeleteVirtualInterface": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_DeleteVirtualInterface.html",
        "opsworks:AttachElasticLoadBalancer": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_AttachElasticLoadBalancer.html",
        "workmail:StartMailboxExportJob": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_StartMailboxExportJob.html",
        "lambda:UpdateFunctionCodeSigningConfig": "https://docs.aws.amazon.com/lambda/latest/dg/API_UpdateFunctionCodeSigningConfig.html",
        "profile:AddProfileKey": "https://docs.aws.amazon.com/customerprofiles/latest/APIReference/API_AddProfileKey.html",
        "iotwireless:TagResource": "https://docs.aws.amazon.com/iot-wireless/2020-11-22/apireference/API_TagResource.html",
        "mediatailor:StartChannel": "https://docs.aws.amazon.com/mediatailor/latest/apireference/channel-channelname-start.html",
        "quicksight:DeleteDataSource": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteDataSource.html",
        "iam:UploadServerCertificate": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_UploadServerCertificate.html",
        "savingsplans:DeleteQueuedSavingsPlan": "https://docs.aws.amazon.com/savingsplans/latest/APIReference/API_DeleteQueuedSavingsPlan.html",
        "sqlworkbench:DeleteSavedQuery": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "rds:DeleteOptionGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeleteOptionGroup.html",
        "events:DeleteArchive": "https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_DeleteArchive.html",
        "dataexchange:UntagResource": "https://docs.aws.amazon.com/data-exchange/latest/apireference/tags-resource-arn.html#UntagResource",
        "kendra:DeleteFaq": "https://docs.aws.amazon.com/kendra/latest/dg/API_DeleteFaq.html",
        "elasticloadbalancing:DeleteListener": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_DeleteListener.html",
        "appconfig:UpdateConfigurationProfile": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_UpdateConfigurationProfile.html",
        "mediapackage-vod:TagResource": "https://docs.aws.amazon.com/mediapackage-vod/latest/apireference/tags-resource-arn.html#tags-resource-arnpost",
        "elasticache:DeleteUser": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_DeleteUser.html",
        "mediatailor:DeleteVodSource": "https://docs.aws.amazon.com/mediatailor/latest/apireference/sourcelocation-sourcelocationname-vodsource-vodsourcename.html",
        "rds:CreateDBSubnetGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CreateDBSubnetGroup.html",
        "networkmanager:TagResource": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_TagResource.html",
        "ec2:CreateNetworkInsightsPath": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateNetworkInsightsPath.html",
        "timestream:DeleteTable": "https://docs.aws.amazon.com/Timestream/latest/APIReference/API_DeleteTable.html",
        "mediaconvert:CancelJob": "https://docs.aws.amazon.com/mediaconvert/latest/apireference/jobs-id.html",
        "elastictranscoder:UpdatePipelineStatus": "https://docs.aws.amazon.com/elastictranscoder/latest/developerguide/update-pipeline-status.html",
        "kinesisanalytics:DeleteApplication": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_DeleteApplication.html",
        "ec2:DeleteFpgaImage": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteFpgaImage.html",
        "codeartifact:CopyPackageVersions": "https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_CopyPackageVersions.html",
        "ec2:ModifyVpcAttribute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyVpcAttribute.html",
        "personalize:DeleteEventTracker": "https://docs.aws.amazon.com/personalize/latest/dg/API_DeleteEventTracker.html",
        "cognito-idp:AdminSetUserPassword": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_AdminSetUserPassword.html",
        "ec2:ModifyVpnConnectionOptions": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyVpnConnectionOptions.html",
        "qldb:ExportJournalToS3": "https://docs.aws.amazon.com/qldb/latest/developerguide/API_ExportJournalToS3.html",
        "cognito-idp:DeleteIdentityProvider": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_DeleteIdentityProvider.html",
        "imagebuilder:UpdateImagePipeline": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_UpdateImagePipeline.html",
        "kinesisvideo:UpdateSignalingChannel": "https://docs.aws.amazon.com/kinesisvideostreams/latest/dg/API_UpdateSignalingChannel.html",
        "rds:AddTagsToResource": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_AddTagsToResource.html",
        "elasticmapreduce:StopNotebookExecution": "https://docs.aws.amazon.com/emr/latest/ManagementGuide/emr-managed-notebooks-headless.html",
        "network-firewall:CreateFirewall": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_CreateFirewall.html",
        "mgn:NotifyAgentConnectedForMgn": "https://docs.aws.amazon.com/mgn/latest/ug/mgn-apis.html",
        "route53:CreateHostedZone": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_CreateHostedZone.html",
        "opsworks:UpdateApp": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_UpdateApp.html",
        "secretsmanager:RestoreSecret": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "iot:AttachPrincipalPolicy": "https://docs.aws.amazon.com/iot/latest/apireference/API_AttachPrincipalPolicy.html",
        "elasticbeanstalk:AbortEnvironmentUpdate": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_AbortEnvironmentUpdate.html",
        "iam:TagMFADevice": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_TagMFADevice.html",
        "aps:DeleteRuleGroupsNamespace": "https://docs.aws.amazon.com/prometheus/latest/userguide/AMP-APIReference.html#AMP-APIReference-DeleteRuleGroupsNamespace",
        "iam:DeleteServiceLinkedRole": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteServiceLinkedRole.html",
        "quicksight:CreateUser": "https://docs.aws.amazon.com/quicksight/latest/user/iam-actions.html",
        "waf:UpdateXssMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_UpdateXssMatchSet.html",
        "kendra:UpdateQuerySuggestionsBlockList": "https://docs.aws.amazon.com/kendra/latest/dg/API_UpdateQuerySuggestionsBlockList.html",
        "serverlessrepo:CreateCloudFormationTemplate": null,
        "braket:UntagResource": "https://docs.aws.amazon.com/braket/latest/APIReference/API_UntagResource.html",
        "cloudwatch:UntagResource": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_UntagResource.html",
        "elasticache:IncreaseNodeGroupsInGlobalReplicationGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_IncreaseNodeGroupsInGlobalReplicationGroup.html",
        "wellarchitected:UpdateAnswer": "https://docs.aws.amazon.com/wellarchitected/latest/APIReference/API_UpdateAnswer.html",
        "sagemaker:DeleteApp": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_DeleteApp.html",
        "servicecatalog:UpdatePortfolio": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_UpdatePortfolio.html",
        "ec2:CancelCapacityReservation": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CancelCapacityReservation.html",
        "rds:RestoreDBInstanceFromDBSnapshot": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_RestoreDBInstanceFromDBSnapshot.html",
        "redshift:ModifyClusterDbRevision": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ModifyClusterDbRevision.html",
        "iam:AttachRolePolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_AttachRolePolicy.html",
        "kinesisanalytics:AddApplicationInputProcessingConfiguration": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_AddApplicationInputProcessingConfiguration.html",
        "apprunner:DisassociateCustomDomain": "https://docs.aws.amazon.com/apprunner/latest/api/API_DisassociateCustomDomain.html",
        "opsworks:RegisterInstance": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_RegisterInstance.html",
        "ec2:RejectVpcEndpointConnections": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RejectVpcEndpointConnections.html",
        "ecs:SubmitAttachmentStateChanges": "https://docs.aws.amazon.com/AmazonECS/latest/APIReference/API_SubmitAttachmentStateChanges.html",
        "elasticbeanstalk:SwapEnvironmentCNAMEs": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_SwapEnvironmentCNAMEs.html",
        "gamelift:DeleteMatchmakingRuleSet": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_DeleteMatchmakingRuleSet.html",
        "glacier:AbortVaultLock": "https://docs.aws.amazon.com/amazonglacier/latest/dev/api-AbortVaultLock.html",
        "fsx:CreateBackup": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_CreateBackup.html",
        "codecommit:BatchAssociateApprovalRuleTemplateWithRepositories": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_BatchAssociateApprovalRuleTemplateWithRepositories.html",
        "ec2:DeleteVpnGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteVpnGateway.html",
        "comprehend:StopDominantLanguageDetectionJob": "https://docs.aws.amazon.com/comprehend/latest/dg/API_StopDominantLanguageDetectionJob.html",
        "lightsail:CreateContainerService": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CreateContainerService.html",
        "kendra:UpdateThesaurus": "https://docs.aws.amazon.com/kendra/latest/dg/API_UpdateThesaurus.html",
        "ec2:CreateCustomerGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateCustomerGateway.html",
        "dax:DecreaseReplicationFactor": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_dax_DecreaseReplicationFactor.html",
        "machinelearning:DeleteEvaluation": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_DeleteEvaluation.html",
        "dms:DeleteEndpoint": "https://docs.aws.amazon.com/dms/latest/APIReference/API_DeleteEndpoint.html",
        "connect-campaigns:DeleteCampaign": "https://docs.aws.amazon.com/connect/latest/adminguide/enable-high-volume-outbound-communications.html",
        "iam:DetachGroupPolicy": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_DetachGroupPolicy.html",
        "elasticache:DeleteCacheParameterGroup": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_DeleteCacheParameterGroup.html",
        "servicecatalog:DeleteApplication": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_app-registry_DeleteApplication.html",
        "machinelearning:CreateDataSourceFromRedshift": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_CreateDataSourceFromRedshift.html",
        "rekognition:StartFaceSearch": "https://docs.aws.amazon.com/rekognition/latest/dg/API_StartFaceSearch.html",
        "ecr:SetRepositoryPolicy": "https://docs.aws.amazon.com/AmazonECR/latest/APIReference/API_SetRepositoryPolicy.html",
        "ssm:CreateDocument": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_CreateDocument.html",
        "mediatailor:PutChannelPolicy": "https://docs.aws.amazon.com/mediatailor/latest/apireference/channel-channelname-policy.html",
        "rds:AddSourceIdentifierToSubscription": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_AddSourceIdentifierToSubscription.html",
        "workmail:DeleteMailDomain": "https://docs.aws.amazon.com/workmail/latest/adminguide/remove_domain.html",
        "appconfig:DeleteDeploymentStrategy": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_DeleteDeploymentStrategy.html",
        "cloudwatch:DeleteMetricStream": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_DeleteMetricStream.html",
        "comprehend:CreateDocumentClassifier": "https://docs.aws.amazon.com/comprehend/latest/dg/API_CreateDocumentClassifier.html",
        "connect:UpdateQueueName": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateQueueName.html",
        "mediaconvert:UpdateJobTemplate": "https://docs.aws.amazon.com/mediaconvert/latest/apireference/jobtemplates-name.html",
        "devicefarm:CreateNetworkProfile": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_CreateNetworkProfile.html",
        "sagemaker:CreatePresignedDomainUrl": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreatePresignedDomainUrl.html",
        "auditmanager:BatchDisassociateAssessmentReportEvidence": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_BatchDisassociateAssessmentReportEvidence.html",
        "backup:StartRestoreJob": "https://docs.aws.amazon.com/aws-backup/latest/devguide/API_StartRestoreJob.html",
        "devicefarm:UntagResource": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_UntagResource.html",
        "rekognition:UntagResource": "https://docs.aws.amazon.com/rekognition/latest/dg/API_UntagResource.html",
        "greengrass:DeleteComponent": "https://docs.aws.amazon.com/greengrass/v2/APIReference/API_DeleteComponent.html",
        "ec2:ModifyTransitGatewayVpcAttachment": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyTransitGatewayVpcAttachment.html",
        "resource-groups:DeleteGroup": "https://docs.aws.amazon.com/ARG/latest/APIReference/API_DeleteGroup.html",
        "iam:RemoveUserFromGroup": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_RemoveUserFromGroup.html",
        "redshift:DeleteUsageLimit": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_DeleteUsageLimit.html",
        "cloud9:UpdateEnvironment": "https://docs.aws.amazon.com/cloud9/latest/APIReference/API_UpdateEnvironment.html",
        "a4b:UpdateProfile": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_UpdateProfile.html",
        "cloudsearch:BuildSuggesters": "https://docs.aws.amazon.com/cloudsearch/latest/developerguide/API_BuildSuggesters.html",
        "robomaker:UpdateSimulationApplication": "https://docs.aws.amazon.com/robomaker/latest/dg/API_UpdateSimulationApplication.html",
        "globalaccelerator:UpdateCustomRoutingAcceleratorAttributes": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_UpdateCustomRoutingAcceleratorAttributes.html",
        "swf:StartWorkflowExecution": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_StartWorkflowExecution.html",
        "mobiletargeting:UpdateVoiceTemplate": "https://docs.aws.amazon.com/pinpoint/latest/apireference/templates-template-name-voice.html#templates-template-name-voice-http-methods",
        "a4b:ForgetSmartHomeAppliances": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_ForgetSmartHomeAppliances.html",
        "proton:UpdateServiceTemplate": "https://docs.aws.amazon.com/proton/latest/APIReference/API_UpdateServiceTemplate.html",
        "elasticmapreduce:DeleteStudio": "https://docs.aws.amazon.com/emr/latest/ManagementGuide/emr-studio.html",
        "sqs:UntagQueue": "https://docs.aws.amazon.com/AWSSimpleQueueService/latest/APIReference/API_UntagQueue.html",
        "iotsitewise:AssociateAssets": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_AssociateAssets.html",
        "quicksight:UpdateDataSourcePermissions": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_UpdateDataSourcePermissions.html",
        "auditmanager:BatchAssociateAssessmentReportEvidence": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_BatchAssociateAssessmentReportEvidence.html",
        "connect:UpdateRoutingProfileName": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateRoutingProfileName.html",
        "storagegateway:JoinDomain": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_JoinDomain.html",
        "iam:AddRoleToInstanceProfile": "https://docs.aws.amazon.com/IAM/latest/APIReference/API_AddRoleToInstanceProfile.html",
        "opsworks:AssociateElasticIp": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_AssociateElasticIp.html",
        "quicksight:CreateGroupMembership": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CreateGroupMembership.html",
        "directconnect:CreatePublicVirtualInterface": "https://docs.aws.amazon.com/directconnect/latest/APIReference/API_CreatePublicVirtualInterface.html",
        "redshift:ResumeCluster": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ResumeCluster.html",
        "ec2:RunInstances": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RunInstances.html",
        "ram:AcceptResourceShareInvitation": "https://docs.aws.amazon.com/ram/latest/APIReference/API_AcceptResourceShareInvitation.html",
        "ec2:DeleteCustomerGateway": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteCustomerGateway.html",
        "databrew:TagResource": "https://docs.aws.amazon.com/databrew/latest/dg/API_TagResource.html",
        "access-analyzer:DeleteArchiveRule": "https://docs.aws.amazon.com/access-analyzer/latest/APIReference/API_DeleteArchiveRule.html",
        "elasticache:RemoveTagsFromResource": "https://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_RemoveTagsFromResource.html",
        "ds:AddRegion": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_AddRegion.html",
        "groundstation:TagResource": "https://docs.aws.amazon.com/ground-station/latest/APIReference/API_TagResource.html",
        "frauddetector:DeleteLabel": "https://docs.aws.amazon.com/frauddetector/latest/api/API_DeleteLabel",
        "machinelearning:DeleteMLModel": "https://docs.aws.amazon.com/machine-learning/latest/APIReference/API_DeleteMLModel.html",
        "nimble:StartStudioSSOConfigurationRepair": "https://docs.aws.amazon.com/nimble-studio/latest/api/tags-resourcearn.html",
        "config:DeleteRemediationConfiguration": "https://docs.aws.amazon.com/config/latest/APIReference/API_DeleteRemediationConfiguration.html",
        "devicefarm:ScheduleRun": "https://docs.aws.amazon.com/devicefarm/latest/APIReference/API_ScheduleRun.html",
        "iotsitewise:CreateProject": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_CreateProject.html",
        "ram:DisassociateResourceShare": "https://docs.aws.amazon.com/ram/latest/APIReference/API_DisassociateResourceShare.html",
        "neptune-db:connect": "https://docs.aws.amazon.com/neptune/latest/userguide/get-started.html",
        "ses:SendBulkEmail": "https://docs.aws.amazon.com/ses/latest/APIReference-V2/API_SendBulkEmail.html",
        "lex:CreateBotAlias": "https://docs.aws.amazon.com/lexv2/latest/dg/API_CreateBotAlias.html",
        "proton:DeleteServiceTemplate": "https://docs.aws.amazon.com/proton/latest/APIReference/API_DeleteServiceTemplate.html",
        "sagemaker:StartHumanLoop": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_StartHumanLoop.html",
        "batch:UpdateComputeEnvironment": "https://docs.aws.amazon.com/batch/latest/APIReference/API_UpdateComputeEnvironment.html",
        "codestar:DeleteUserProfile": "https://docs.aws.amazon.com/codestar/latest/APIReference/API_DeleteUserProfile.html",
        "ivs:CreateRecordingConfiguration": "https://docs.aws.amazon.com/ivs/latest/APIReference/API_CreateRecordingConfiguration.html",
        "kafka-cluster:DeleteTopic": "https://docs.aws.amazon.com/msk/latest/developerguide/iam-access-control.html#actions",
        "route53:CreateKeySigningKey": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_CreateKeySigningKey.html",
        "connect:UpdateQueueMaxContacts": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateQueueMaxContacts.html",
        "elasticbeanstalk:RestartAppServer": "https://docs.aws.amazon.com/elasticbeanstalk/latest/api/API_RestartAppServer.html",
        "managedblockchain:CreateProposal": "https://docs.aws.amazon.com/managed-blockchain/latest/APIReference/API_CreateProposal.html",
        "dynamodb:PartiQLInsert": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_ExecuteStatement.html",
        "elasticfilesystem:DeleteMountTarget": "https://docs.aws.amazon.com/efs/latest/ug/API_DeleteMountTarget.html",
        "signer:AddProfilePermission": "https://docs.aws.amazon.com/signer/latest/api/API_AddProfilePermission.html",
        "iotsitewise:TagResource": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_TagResource.html",
        "ec2:CreateClientVpnRoute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateClientVpnRoute.html",
        "storagegateway:SetSMBGuestPassword": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_SetSMBGuestPassword.html",
        "rds:CreateOptionGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_CreateOptionGroup.html",
        "storagegateway:DeleteFileShare": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_DeleteFileShare.html",
        "ec2:ModifyVolume": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ModifyVolume.html",
        "network-firewall:DisassociateSubnets": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/APIReference/API_DisassociateSubnets.html",
        "appflow:DeleteConnectorProfile": "https://docs.aws.amazon.com/appflow/1.0/APIReference/API_DescribeConnectorProfiles.html",
        "connect:UpdateRoutingProfileDefaultOutboundQueue": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateRoutingProfileDefaultOutboundQueue.html",
        "budgets:ModifyBudget": "https://docs.aws.amazon.com/awsaccountbilling/latest/aboutv2/billing-permissions-ref.html#user-permissions",
        "rds-data:ExecuteStatement": "https://docs.aws.amazon.com/rdsdataservice/latest/APIReference/API_ExecuteStatement.html",
        "ebs:StartSnapshot": "https://docs.aws.amazon.com/ebs/latest/APIReference/API_StartSnapshot.html",
        "es:DeleteDomain": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-deletedomain",
        "macie2:UpdateClassificationJob": "https://docs.aws.amazon.com/macie/latest/APIReference/jobs-jobid.html",
        "globalaccelerator:UpdateEndpointGroup": "https://docs.aws.amazon.com/global-accelerator/latest/api/API_UpdateEndpointGroup.html",
        "ec2:CreateTransitGatewayConnect": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateTransitGatewayConnect.html",
        "mediapackage:RotateIngestEndpointCredentials": "https://docs.aws.amazon.com/mediapackage/latest/apireference/channels-id-ingest_endpoints-ingest_endpoint_id-credentials.html#channels-id-ingest_endpoints-ingest_endpoint_id-credentialsput",
        "ds:DisableLDAPS": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_DisableLDAPS.html",
        "s3:PutAccessPointPolicyForObjectLambda": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_control_PutAccessPointPolicyForObjectLambda.html",
        "rds:DeleteDBSubnetGroup": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_DeleteDBSubnetGroup.html",
        "waf-regional:UpdateRegexPatternSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_UpdateRegexPatternSet.html",
        "autoscaling:CreateLaunchConfiguration": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_CreateLaunchConfiguration.html",
        "codestar-connections:UpdateConnectionInstallation": "https://docs.aws.amazon.com/dtconsole/latest/userguide/security-iam.html#permissions-reference-connections-handshake",
        "servicecatalog:DeletePortfolio": "https://docs.aws.amazon.com/servicecatalog/latest/dg/API_DeletePortfolio.html",
        "network-firewall:AssociateSubnets": "https://docs.aws.amazon.com/network-firewall/latest/APIReference/API_AssociateSubnets.html",
        "fis:UpdateExperimentTemplate": "https://docs.aws.amazon.com/fis/latest/APIReference/API_UpdateExperimentTemplate.html",
        "lightsail:DeleteAlarm": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteAlarm.html",
        "elasticmapreduce:PutManagedScalingPolicy": "https://docs.aws.amazon.com/emr/latest/APIReference/API_PutManagedScalingPolicy.html",
        "clouddirectory:CreateIndex": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_CreateIndex.html",
        "storagegateway:UpdateBandwidthRateLimitSchedule": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_UpdateBandwidthRateLimitSchedule.html",
        "worklink:DisassociateWebsiteAuthorizationProvider": "https://docs.aws.amazon.com/worklink/latest/api/API_DisassociateWebsiteAuthorizationProvider.html",
        "geo:BatchEvaluateGeofences": "https://docs.aws.amazon.com/location/latest/developerguide/API_BatchEvaluateGeofences.html",
        "mobiletargeting:UpdateJourney": "https://docs.aws.amazon.com/pinpoint/latest/apireference/apps-application-id-journeys-journey-id.html#apps-application-id-journeys-journey-id-http-methods",
        "kendra:CreateFaq": "https://docs.aws.amazon.com/kendra/latest/dg/API_CreateFaq.html",
        "dynamodb:DeleteTableReplica": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/V2gt_IAM.html",
        "a4b:DeleteProfile": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_DeleteProfile.html",
        "opsworks:DeregisterEcsCluster": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_DeregisterEcsCluster.html",
        "cloudtrail:PutEventSelectors": "https://docs.aws.amazon.com/awscloudtrail/latest/APIReference/API_PutEventSelectors.html",
        "frauddetector:DeleteOutcome": "https://docs.aws.amazon.com/frauddetector/latest/api/API_DeleteOutcome",
        "cloudwatch:DisableAlarmActions": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_DisableAlarmActions.html",
        "qldb:PartiQLInsert": "https://docs.aws.amazon.com/qldb/latest/developerguide/ql-reference.insert.html",
        "ds:RegisterCertificate": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_RegisterCertificate.html",
        "cloud9:UpdateEnvironmentSettings": "https://docs.aws.amazon.com/cloud9/latest/user-guide/security-iam.html#auth-and-access-control-ref-matrix",
        "ec2:DeleteTransitGatewayMulticastDomain": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteTransitGatewayMulticastDomain.html",
        "ds:EnableRadius": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_EnableRadius.html",
        "iotsitewise:UpdateAccessPolicy": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_UpdateAccessPolicy.html",
        "memorydb:FailoverShard": "https://docs.aws.amazon.com/memorydb/latest/APIReference/API_FailoverShard.html",
        "trustedadvisor:ExcludeCheckItems": "https://docs.aws.amazon.com/awssupport/latest/user/security-trusted-advisor.html#trusted-advisor-operations",
        "workmail:DeleteGroup": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_DeleteGroup.html",
        "workmail:PutRetentionPolicy": "https://docs.aws.amazon.com/workmail/latest/APIReference/API_PutRetentionPolicy.html",
        "ec2:RunScheduledInstances": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RunScheduledInstances.html",
        "codeguru-profiler:PostAgentProfile": "https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_PostAgentProfile.html",
        "profile:PutProfileObject": "https://docs.aws.amazon.com/customerprofiles/latest/APIReference/API_PutProfileObject.html",
        "iot:DeleteProvisioningTemplateVersion": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteProvisioningTemplateVersion.html",
        "codeguru-profiler:PutPermission": "https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_PutPermission.html",
        "ssm:DeleteParameter": "https://docs.aws.amazon.com/systems-manager/latest/APIReference/API_DeleteParameter.html",
        "gamelift:UpdateFleetPortSettings": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_UpdateFleetPortSettings.html",
        "codecommit:UntagResource": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_UntagResource.html",
        "cognito-idp:UpdateUserPool": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_UpdateUserPool.html",
        "dax:BatchWriteItem": "https://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_BatchWriteItem.html",
        "appmesh-preview:UpdateVirtualRouter": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UpdateVirtualRouter.html",
        "kafka-cluster:WriteDataIdempotently": "https://docs.aws.amazon.com/msk/latest/developerguide/iam-access-control.html#actions",
        "codebuild:RetryBuildBatch": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_RetryBuildBatch.html",
        "robomaker:CreateWorldGenerationJob": "https://docs.aws.amazon.com/robomaker/latest/dg/API_CreateWorldGenerationJob.html",
        "kinesisanalytics:DeleteApplicationCloudWatchLoggingOption": "https://docs.aws.amazon.com/kinesisanalytics/latest/apiv2/API_DeleteApplicationCloudWatchLoggingOption.html",
        "iotfleethub:UpdateDashboard": null,
        "sso:PutInlinePolicyToPermissionSet": "https://docs.aws.amazon.com/singlesignon/latest/APIReference/API_PutInlinePolicyToPermissionSet.html",
        "comprehend:DeleteEntityRecognizer": "https://docs.aws.amazon.com/comprehend/latest/dg/API_DeleteEntityRecognizer.html",
        "sagemaker:CreateContext": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateContext.html",
        "logs:CreateLogGroup": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_CreateLogGroup.html",
        "logs:PutMetricFilter": "https://docs.aws.amazon.com/AmazonCloudWatchLogs/latest/APIReference/API_PutMetricFilter.html",
        "amplify:StartDeployment": "https://docs.aws.amazon.com/amplify/latest/userguide/welcome.html",
        "lookoutequipment:DeleteDataset": "https://docs.aws.amazon.com/lookout-for-equipment/latest/ug/API_DeleteDataset.html",
        "networkmanager:DeleteLink": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_DeleteLink.html",
        "proton:UntagResource": "https://docs.aws.amazon.com/proton/latest/APIReference/API_UntagResource.html",
        "cloudformation:UntagResource": null,
        "healthlake:StartFHIRExportJob": "https://docs.aws.amazon.com/healthlake/latest/APIReference/API_StartFHIRExportJob.html",
        "securityhub:CreateActionTarget": "https://docs.aws.amazon.com/securityhub/1.0/APIReference/API_CreateActionTarget.html",
        "waf:UpdateRegexPatternSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_UpdateRegexPatternSet.html",
        "elastictranscoder:UpdatePipeline": "https://docs.aws.amazon.com/elastictranscoder/latest/developerguide/update-pipeline.html",
        "athena:DeletePreparedStatement": "https://docs.aws.amazon.com/athena/latest/APIReference/API_DeletePreparedStatement.html",
        "cassandra:TagResource": null,
        "appconfig:CreateHostedConfigurationVersion": "https://docs.aws.amazon.com/appconfig/2019-10-09/APIReference/API_CreateHostedConfigurationVersion.html",
        "appstream:StartFleet": "https://docs.aws.amazon.com/appstream2/latest/APIReference/API_StartFleet.html",
        "lightsail:UpdateLoadBalancerAttribute": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DetachInstancesFromLoadBalancer.html",
        "proton:CreateEnvironmentTemplateMinorVersion": "https://docs.aws.amazon.com/proton/latest/APIReference/API_CreateEnvironmentTemplateMinorVersion.html",
        "quicksight:CreateTemplateAlias": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CreateTemplateAlias.html",
        "ds:DeleteLogSubscription": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_DeleteLogSubscription.html",
        "qldb:CancelJournalKinesisStream": "https://docs.aws.amazon.com/qldb/latest/developerguide/API_CancelJournalKinesisStream.html",
        "auditmanager:DeleteAssessmentFramework": "https://docs.aws.amazon.com/audit-manager/latest/APIReference/API_DeleteAssessmentFramework.html",
        "nimble:CreateStudio": "https://docs.aws.amazon.com/nimble-studio/latest/api/studios.html",
        "iot:DeleteAuthorizer": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteAuthorizer.html",
        "ec2:UpdateSecurityGroupRuleDescriptionsEgress": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_UpdateSecurityGroupRuleDescriptionsEgress.html",
        "cloudfront:UpdateStreamingDistribution": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_UpdateStreamingDistribution.html",
        "kinesis:StartStreamEncryption": "https://docs.aws.amazon.com/kinesis/latest/APIReference/API_StartStreamEncryption.html",
        "wisdom:NotifyRecommendationsReceived": "https://docs.aws.amazon.com/wisdom/latest/APIReference/API_NotifyRecommendationsReceived.html",
        "es:ESHttpPut": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/ac.html#ac-reference",
        "workspaces:RebuildWorkspaces": "https://docs.aws.amazon.com/workspaces/latest/api/API_RebuildWorkspaces.html",
        "wellarchitected:DeleteWorkload": "https://docs.aws.amazon.com/wellarchitected/latest/APIReference/API_DeleteWorkload.html",
        "cloudwatch:EnableAlarmActions": "https://docs.aws.amazon.com/AmazonCloudWatch/latest/APIReference/API_EnableAlarmActions.html",
        "iotanalytics:DeleteChannel": "https://docs.aws.amazon.com/iotanalytics/latest/APIReference/API_DeleteChannel.html",
        "fsx:DeleteVolume": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_DeleteVolume.html",
        "iotsitewise:UpdateProject": "https://docs.aws.amazon.com/iot-sitewise/latest/APIReference/API_UpdateProject.html",
        "ec2:CreateInstanceEventWindow": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateInstanceEventWindow.html",
        "ssm-incidents:StartIncident": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_StartIncident.html",
        "codedeploy:CreateDeploymentConfig": "https://docs.aws.amazon.com/codedeploy/latest/APIReference/API_CreateDeploymentConfig.html",
        "waf-regional:CreateWebACLMigrationStack": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_CreateWebACLMigrationStack.html",
        "transfer:DeleteSshPublicKey": "https://docs.aws.amazon.com/transfer/latest/userguide/API_DeleteSshPublicKey.html",
        "cognito-sync:SetCognitoEvents": "https://docs.aws.amazon.com/cognitosync/latest/APIReference/API_SetCognitoEvents.html",
        "iotthingsgraph:TagResource": "https://docs.aws.amazon.com/thingsgraph/latest/APIReference/{APIReferenceDocPage}API_TagResource.html",
        "connect:UpdateUserSecurityProfiles": "https://docs.aws.amazon.com/connect/latest/APIReference/API_UpdateUserSecurityProfiles.html",
        "appmesh-preview:UpdateVirtualNode": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_UpdateVirtualNode.html",
        "greengrass:TagResource": "https://docs.aws.amazon.com/greengrass/v2/APIReference/API_TagResource.html",
        "networkmanager:DisassociateTransitGatewayConnectPeer": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_DisassociateTransitGatewayConnectPeer.html",
        "route53:DeleteHealthCheck": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_DeleteHealthCheck.html",
        "glue:UpdateTable": "https://docs.aws.amazon.com/glue/latest/dg/aws-glue-api-catalog-tables.html#aws-glue-api-catalog-tables-UpdateTable",
        "medialive:DeleteInputSecurityGroup": "https://docs.aws.amazon.com/medialive/latest/ug/delete-input-security-group.html",
        "ram:UntagResource": "https://docs.aws.amazon.com/ram/latest/APIReference/API_UntagResource.html",
        "rds:PromoteReadReplica": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_PromoteReadReplica.html",
        "codebuild:DeleteReportGroup": "https://docs.aws.amazon.com/codebuild/latest/APIReference/API_DeleteReportGroup.html",
        "rds:StopDBInstance": "https://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_StopDBInstance.html",
        "ssm-incidents:UpdateDeletionProtection": "https://docs.aws.amazon.com/incident-manager/latest/APIReference/API_UpdateDeletionProtection.html",
        "swf:TagResource": "https://docs.aws.amazon.com/amazonswf/latest/apireference/API_TagResource.html",
        "waf:CreateSqlInjectionMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_CreateSqlInjectionMatchSet.html",
        "quicksight:CreateReader": "https://docs.aws.amazon.com/quicksight/latest/user/iam-actions.html",
        "databrew:UpdateDataset": "https://docs.aws.amazon.com/databrew/latest/dg/API_UpdateDataset.html",
        "elasticloadbalancing:RemoveTags": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_RemoveTags.html",
        "sqlworkbench:TagResource": "https://docs.aws.amazon.com/redshift/latest/mgmt/redshift-policy-resources.resource-permissions.html",
        "route53resolver:DisassociateResolverRule": "https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_DisassociateResolverRule.html",
        "waf:CreateByteMatchSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_CreateByteMatchSet.html",
        "connect:AssociateCustomerProfilesDomain": "https://docs.aws.amazon.com/console/connect/amazon-connect-console/grant-instance-permissions",
        "ds:CreateSnapshot": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_CreateSnapshot.html",
        "mobiletargeting:CreateImportJob": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-import-jobs.html#rest-api-import-jobs-methods",
        "fsx:ManageBackupPrincipalAssociations": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_CopyBackup.html",
        "waf-regional:DeleteIPSet": "https://docs.aws.amazon.com/waf/latest/APIReference/API_wafRegional_DeleteIPSet.html",
        "waf:PutLoggingConfiguration": "https://docs.aws.amazon.com/waf/latest/APIReference/API_waf_PutLoggingConfiguration.html",
        "redshift:BatchDeleteClusterSnapshots": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_BatchDeleteClusterSnapshots.html",
        "robomaker:CreateSimulationApplicationVersion": "https://docs.aws.amazon.com/robomaker/latest/dg/API_CreateSimulationApplicationVersion.html",
        "fsx:AssociateFileSystemAliases": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_AssociateFileSystemAliases.html",
        "ec2:DeleteLocalGatewayRoute": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeleteLocalGatewayRoute.html",
        "a4b:PutRoomSkillParameter": "https://docs.aws.amazon.com/a4b/latest/APIReference/API_PutRoomSkillParameter.html",
        "s3-object-lambda:RestoreObject": "https://docs.aws.amazon.com/AmazonS3/latest/API/API_RestoreObject.html",
        "imagebuilder:DeleteComponent": "https://docs.aws.amazon.com/imagebuilder/latest/APIReference/API_DeleteComponent.html",
        "iot:DeleteCACertificate": "https://docs.aws.amazon.com/iot/latest/apireference/API_DeleteCACertificate.html",
        "autoscaling:AttachLoadBalancers": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_AttachLoadBalancers.html",
        "gamelift:DeleteFleetLocations": "https://docs.aws.amazon.com/gamelift/latest/apireference/API_DeleteFleetLocations.html",
        "kms:DisableKey": "https://docs.aws.amazon.com/kms/latest/APIReference/API_DisableKey.html",
        "networkmanager:DeregisterTransitGateway": "https://docs.aws.amazon.com/networkmanager/latest/APIReference/API_DeregisterTransitGateway.html",
        "panorama:DeleteDevice": "https://docs.aws.amazon.com/panorama/latest/dev/API_DeleteDevice.html",
        "quicksight:DeleteTheme": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_DeleteTheme.html",
        "redshift:ModifyUsageLimit": "https://docs.aws.amazon.com/redshift/latest/APIReference/API_ModifyUsageLimit.html",
        "ec2:RevokeSecurityGroupEgress": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_RevokeSecurityGroupEgress.html",
        "rekognition:CreateProjectVersion": "https://docs.aws.amazon.com/rekognition/latest/dg/API_CreateProjectVersion.html",
        "lightsail:CloseInstancePublicPorts": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_CloseInstancePublicPorts.html",
        "es:CancelElasticsearchServiceSoftwareUpdate": "https://docs.aws.amazon.com/opensearch-service/latest/developerguide/configuration-api.html#configuration-api-actions-stopupdate",
        "cloudfront:UntagResource": "https://docs.aws.amazon.com/cloudfront/latest/APIReference/API_UntagResource.html",
        "opsworks:UpdateElasticIp": "https://docs.aws.amazon.com/opsworks/latest/APIReference/API_UpdateElasticIp.html",
        "sagemaker:UpdateArtifact": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_UpdateArtifact.html",
        "autoscaling:ExitStandby": "https://docs.aws.amazon.com/AutoScaling/latest/APIReference/API_ExitStandby.html",
        "chatbot:DeleteSlackChannelConfiguration": null,
        "chime:DeleteChannel": "https://docs.aws.amazon.com/chime/latest/APIReference/API_DeleteChannel.html",
        "iot1click:AssociateDeviceWithPlacement": "https://docs.aws.amazon.com/iot-1-click/latest/projects-apireference/API_AssociateDeviceWithPlacement.html",
        "lightsail:DeleteKeyPair": "https://docs.aws.amazon.com/lightsail/2016-11-28/api-reference/API_DeleteKeyPair.html",
        "sagemaker:CreateNotebookInstanceLifecycleConfig": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_CreateNotebookInstanceLifecycleConfig.html",
        "mobiletargeting:UpdateApplicationSettings": "https://docs.aws.amazon.com/pinpoint/latest/apireference/rest-api-settings.html#rest-api-settings-methods",
        "ds:DeleteConditionalForwarder": "https://docs.aws.amazon.com/directoryservice/latest/devguide/API_DeleteConditionalForwarder.html",
        "ec2:CreateSecurityGroup": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_CreateSecurityGroup.html",
        "frauddetector:UpdateDetectorVersion": "https://docs.aws.amazon.com/frauddetector/latest/api/API_UpdateDetectorVersion",
        "iot:UpdateDynamicThingGroup": "https://docs.aws.amazon.com/iot/latest/apireference/API_UpdateDynamicThingGroup.html",
        "profile:DeleteProfile": "https://docs.aws.amazon.com/customerprofiles/latest/APIReference/API_DeleteProfile.html",
        "elastictranscoder:DeletePreset": "https://docs.aws.amazon.com/elastictranscoder/latest/developerguide/delete-preset.html",
        "transfer:CreateUser": "https://docs.aws.amazon.com/transfer/latest/userguide/API_CreateUser.html",
        "storagegateway:NotifyWhenUploaded": "https://docs.aws.amazon.com/storagegateway/latest/APIReference/API_NotifyWhenUploaded.html",
        "cognito-idp:TagResource": "https://docs.aws.amazon.com/cognito-user-identity-pools/latest/APIReference/API_TagResource.html",
        "quicksight:CreateIngestion": "https://docs.aws.amazon.com/quicksight/latest/APIReference/API_CreateIngestion.html",
        "polly:PutLexicon": "https://docs.aws.amazon.com/polly/latest/dg/API_PutLexicon.html",
        "clouddirectory:DeleteObject": "https://docs.aws.amazon.com/directoryservice/latest/APIReference/API_DeleteObject.html",
        "ec2:ApplySecurityGroupsToClientVpnTargetNetwork": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_ApplySecurityGroupsToClientVpnTargetNetwork.html",
        "sagemaker:SendPipelineExecutionStepFailure": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_SendPipelineExecutionStepFailure.html",
        "secretsmanager:UntagResource": "https://docs.aws.amazon.com/secretsmanager/latest/userguide/reference_iam-permissions.html#iam-actions",
        "codecommit:CreateBranch": "https://docs.aws.amazon.com/codecommit/latest/APIReference/API_CreateBranch.html",
        "route53-recovery-readiness:DeleteRecoveryGroup": "https://docs.aws.amazon.com/recovery-readiness/latest/api/recoverygroups-recoverygroupname.html",
        "ec2:DeregisterTransitGatewayMulticastGroupMembers": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DeregisterTransitGatewayMulticastGroupMembers.html",
        "sagemaker:AddAssociation": "https://docs.aws.amazon.com/sagemaker/latest/dg/API_AddAssociation.html",
        "robomaker:CancelWorldExportJob": "https://docs.aws.amazon.com/robomaker/latest/dg/API_CancelWorldExportJob.html",
        "elasticloadbalancing:DeregisterTargets": "https://docs.aws.amazon.com/elasticloadbalancing/latest/APIReference/API_DeregisterTargets.html",
        "ec2:AssignIpv6Addresses": "https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AssignIpv6Addresses.html",
        "fsx:DeleteStorageVirtualMachine": "https://docs.aws.amazon.com/fsx/latest/APIReference/API_DeleteStorageVirtualMachine.html",
        "acm:ImportCertificate": "https://docs.aws.amazon.com/acm/latest/APIReference/API_ImportCertificate.html",
        "appmesh:CreateVirtualGateway": "https://docs.aws.amazon.com/app-mesh/latest/APIReference/API_CreateVirtualGateway.html"
    }
}


exports.sample_iam_data = sample_iam_data;
